/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@grafana/ui","react","@emotion/css","lodash","@emotion/react","react-dom","@grafana/runtime","rxjs","redux","react-redux"],((e,t,n,r,o,a,i,l,s,c,d)=>(()=>{var u={7774:(e,t,n)=>{"use strict";var r=n(2007),o=n(5959),a=n(6089),i=n(3241),l=(n(7781),n(9089));n(5846);const s=(e,t,n)=>{const r=18*e.split("\n").length,o=t||200,a=n||1e3;return r<o?o:r>a?a:r},c=e=>({header:a.css({display:"flex",cursor:"pointer",boxSizing:"border-box",flexDirection:"row-reverse",position:"relative",justifyContent:"space-between",fontSize:e.typography.size.lg,padding:`${e.spacing(.5)} 0`,"&:focus-within":{outline:"2px dotted transparent",outlineOffset:"2px",boxShadow:`0 0 0 2px ${e.colors.background.canvas}, 0 0 0px 4px ${e.colors.primary.main}`,transitionTimingFunction:"cubic-bezier(0.19, 1, 0.22, 1)",transitionDuration:"0.2s",transitionProperty:"outline, outline-offset, box-shadow"}}),button:a.css({all:"unset","&:focus-visible":{outline:"none",outlineOffset:"unset",transition:"none",boxShadow:"none"}}),icon:a.css({color:e.colors.text.secondary}),content:a.css({padding:`${e.spacing(2)} 0`}),spinner:a.css({display:"flex",alignItems:"center",width:e.spacing(2)}),label:a.css({display:"flex"})}),d=e=>({rootOutline:a.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:a.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:a.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:a.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:a.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:a.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var u=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(u||{});const p=({value:e,onChange:t,min:n,max:a,step:i,...l})=>{const s=o.useRef(null),c=o.useRef(!1),[d,u]=o.useState(e?.toString()??"0"),p=o.useCallback((e=>{u(e.currentTarget.value),c.current=!0}),[]),m=o.useCallback((()=>{let e=Number(d);if(Number.isNaN(e)&&(e=0),void 0!==i){let t=1e3*i;for(void 0!==n&&(t=1e3*n);t<1e3*e;)t+=1e3*i;e=t/1e3}void 0!==a&&e>a?e=a:void 0!==n&&e<n&&(e=n),c.current&&(t?.(e),u(e.toString()),c.current=!1)}),[d,a,n,t,i]),f=o.useCallback((e=>{"Enter"===e.key&&s.current?.blur()}),[m]);return o.useEffect((()=>{u(e?.toString()||"0")}),[e]),o.createElement(r.Input,{ref:s,...l,type:"text",value:d,onChange:p,onBlur:m,onKeyDown:f})},{default:m}=n(3072),{default:f}=(r.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,i=e.colors.primary.main,s=e.colors.primary.main,c=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:a.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:a.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${s};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${c};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${i};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:l.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:a.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:a.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:a.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:a.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(6067)),{default:g}=n(6067);t.v4=({value:e,onChange:t,minHeight:n,maxHeight:a,height:i,...l})=>{const[c,d]=o.useState(s(e,n,a));return o.useEffect((()=>{d(s(e,n,a))}),[e,n,a]),o.createElement(r.CodeEditor,{value:e,onChange:e=>{t?.(e),d(s(e,n,a))},height:i??c,...l})},t.OA=class{constructor(e,t=r.CodeEditorSuggestionItemKind.Property){this.detail=e,this.kind=t,this.value={}}},t.Fn=class{constructor(e,t="context"){this.suggestions=[],this.suggestions.push({label:t,kind:r.CodeEditorSuggestionItemKind.Constant,detail:e.detail}),this.addSuggestions(t,e)}addSuggestions(e,t){Object.entries(t.items).forEach((([t,n])=>{const o=`${e}.${t}`;if("items"in n)return this.suggestions.push({label:o,detail:n.detail,kind:r.CodeEditorSuggestionItemKind.Property}),void this.addSuggestions(o,n);this.suggestions.push({label:o,detail:n.detail,kind:n.kind})}))}create(e){return e}},t.MU=({label:e,isOpen:t,onToggle:n,className:l,contentClassName:s,children:d,labelId:u,loading:p=!1,headerDataTestId:m,contentDataTestId:f})=>{const[g,b]=o.useState(t),h=r.useStyles2(c),v=e=>{e.target instanceof HTMLElement&&"A"===e.target.tagName||(e.preventDefault(),e.stopPropagation(),n?.(!g),b(!g))},{current:y}=o.useRef(i.uniqueId()),E=u??`collapse-label-${y}`;return o.useEffect((()=>{b(t)}),[t]),o.createElement(o.Fragment,null,o.createElement("div",{onClick:v,className:a.cx(h.header,l)},o.createElement("button",{type:"button",id:`collapse-button-${y}`,className:h.button,onClick:v,"aria-expanded":g&&!p,"aria-controls":`collapse-content-${y}`,"aria-labelledby":E},p?o.createElement(r.Spinner,{className:h.spinner}):o.createElement(r.Icon,{name:g?"angle-up":"angle-down",className:h.icon})),o.createElement("div",{className:h.label,id:`collapse-label-${y}`,"data-testid":m},e)),g&&o.createElement("div",{id:`collapse-content-${y}`,className:a.cx(h.content,s),"data-testid":f},d))},t.SD=({title:e,actions:t,children:n,isOpen:i=!1,onToggle:l,headerTestId:s,contentTestId:c,fill:u="outline",isInlineContent:p=!1})=>{const m=r.useTheme2(),f=r.useStyles2(d),g="solid"===u,b="outline"===u;return o.createElement("div",{className:a.cx({[f.rootOutline]:b})},o.createElement("div",{className:a.cx(f.header,{[f.headerSolid]:g}),"data-testid":s,onClick:()=>l?.(!i)},o.createElement(r.IconButton,{name:i?"angle-down":"angle-right",tooltip:i?"Collapse":"Expand",className:f.collapseIcon,"aria-expanded":i}),o.createElement("div",{className:f.title},e),t&&o.createElement("div",{className:f.actions,onClick:e=>e.stopPropagation()},t)),i&&o.createElement("div",{style:{padding:p?0:m.spacing(.5)},"data-testid":c},n))},t.Q7=p},9997:(e,t)=>{"use strict";t.B=(e,t=[])=>n=>Object.entries(e).reduce(((e,[r,o])=>({...e,[r]:(e=!1,...a)=>{const i="function"==typeof o?o(...a):o;return i.startsWith("data-testid")||t.includes(r)?e?n.queryByTestId(i):n.getByTestId(i):e?n.queryByLabelText(i):n.getByLabelText(i)}})),{})},3261:(e,t,n)=>{"use strict";n.d(t,{A:()=>l});var r=n(4942),o=n.n(r),a=n(278),i=n.n(a)()(o());i.push([e.id,".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n","",{version:3,sources:["webpack://./../node_modules/rc-slider/assets/index.css"],names:[],mappings:"AAAA;EACE,kBAAkB;EAClB,WAAW;EACX,YAAY;EACZ,cAAc;EACd,kBAAkB;EAClB,kBAAkB;EAClB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;;EAEE,kBAAkB;EAClB,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;EACE,UAAU;EACV,uBAAuB;EACvB,4BAA4B;EAC5B,sCAAsC;EACtC,yCAAyC;EACzC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,WAAW;EACX,YAAY;EACZ,gBAAgB;EAChB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;EACf,oBAAoB;EACpB,YAAY;EACZ,YAAY;EACZ,mBAAmB;AACrB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,aAAa;EACb,gBAAgB;AAClB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,qBAAqB;EACrB,iBAAiB;AACnB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,qBAAqB;EACrB,2BAA2B;EAC3B,wBAAwB;EACxB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,SAAS;EACT,OAAO;EACP,WAAW;EACX,eAAe;AACjB;AACA;EACE,kBAAkB;EAClB,qBAAqB;EACrB,WAAW;EACX,kBAAkB;EAClB,sBAAsB;EACtB,eAAe;AACjB;AACA;EACE,WAAW;AACb;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,uBAAuB;AACzB;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,UAAU;EACV,WAAW;EACX,sBAAsB;EACtB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;AACjB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,kBAAkB;AACpB;AACA;EACE,yBAAyB;AAC3B;AACA;EACE,sBAAsB;AACxB;AACA;;EAEE,sBAAsB;EACtB,kBAAkB;EAClB,gBAAgB;EAChB,mBAAmB;AACrB;AACA;;EAEE,8BAA8B;AAChC;AACA;EACE,WAAW;EACX,YAAY;EACZ,cAAc;AAChB;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,SAAS;EACT,SAAS;EACT,UAAU;AACZ;AACA;EACE,aAAa;EACb,gBAAgB;EAChB,wCAAwC;EACxC,uCAAuC;EACvC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,aAAa;EACb,iBAAiB;EACjB,mBAAmB;AACrB;AACA;EACE,MAAM;EACN,UAAU;EACV,YAAY;AACd;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,iBAAiB;AACnB;AACA;;EAEE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;EACE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;;EAEE,yCAAyC;EACzC,6BAA6B;AAC/B;AACA;EACE,0CAA0C;EAC1C,6BAA6B;AAC/B;AACA;;EAEE,sBAAsB;EACtB,yDAAyD;AAC3D;AACA;EACE,iEAAiE;AACnE;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;EACA;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;AACF;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;EACA;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;AACF;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,aAAa;EACb,mBAAmB;EACnB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,aAAa;AACf;AACA;EACE,oBAAoB;AACtB;AACA;EACE,eAAe;EACf,YAAY;EACZ,gBAAgB;EAChB,WAAW;EACX,eAAe;EACf,cAAc;EACd,kBAAkB;EAClB,qBAAqB;EACrB,yBAAyB;EACzB,kBAAkB;EAClB,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,QAAQ;EACR,SAAS;EACT,yBAAyB;EACzB,mBAAmB;AACrB;AACA;EACE,WAAW;EACX,SAAS;EACT,iBAAiB;EACjB,uBAAuB;EACvB,yBAAyB;AAC3B",sourcesContent:[".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n"],sourceRoot:""}]);const l=i},278:e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n="",r=void 0!==t[5];return t[4]&&(n+="@supports (".concat(t[4],") {")),t[2]&&(n+="@media ".concat(t[2]," {")),r&&(n+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),n+=e(t),r&&(n+="}"),t[2]&&(n+="}"),t[4]&&(n+="}"),n})).join("")},t.i=function(e,n,r,o,a){"string"==typeof e&&(e=[[null,e,void 0]]);var i={};if(r)for(var l=0;l<this.length;l++){var s=this[l][0];null!=s&&(i[s]=!0)}for(var c=0;c<e.length;c++){var d=[].concat(e[c]);r&&i[d[0]]||(void 0!==a&&(void 0===d[5]||(d[1]="@layer".concat(d[5].length>0?" ".concat(d[5]):""," {").concat(d[1],"}")),d[5]=a),n&&(d[2]?(d[1]="@media ".concat(d[2]," {").concat(d[1],"}"),d[2]=n):d[2]=n),o&&(d[4]?(d[1]="@supports (".concat(d[4],") {").concat(d[1],"}"),d[4]=o):d[4]="".concat(o)),t.push(d))}},t}},4942:e=>{"use strict";e.exports=function(e){var t=e[1],n=e[3];if(!n)return t;if("function"==typeof btoa){var r=btoa(unescape(encodeURIComponent(JSON.stringify(n)))),o="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(r),a="/*# ".concat(o," */");return[t].concat([a]).join("\n")}return[t].join("\n")}},6067:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>N});var r=n(7405),o=n(1705),a=n(4300),i=n(7850),l=n(694),s=n(4452),c=n.n(s),d=n(9273),u=n(4358);var p=n(5959),m=n(8102),f=n(9644);function g(e,t,n){return(e-t)/(n-t)}function b(e,t,n,r){var o=g(t,n,r),a={};switch(e){case"rtl":a.right="".concat(100*o,"%"),a.transform="translateX(50%)";break;case"btt":a.bottom="".concat(100*o,"%"),a.transform="translateY(50%)";break;case"ttb":a.top="".concat(100*o,"%"),a.transform="translateY(-50%)";break;default:a.left="".concat(100*o,"%"),a.transform="translateX(-50%)"}return a}function h(e,t){return Array.isArray(e)?e[t]:e}var v={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=v.F1&&t<=v.F12)return!1;switch(t){case v.ALT:case v.CAPS_LOCK:case v.CONTEXT_MENU:case v.CTRL:case v.DOWN:case v.END:case v.ESC:case v.HOME:case v.INSERT:case v.LEFT:case v.MAC_FF_META:case v.META:case v.NUMLOCK:case v.NUM_CENTER:case v.PAGE_DOWN:case v.PAGE_UP:case v.PAUSE:case v.PRINT_SCREEN:case v.RIGHT:case v.SHIFT:case v.UP:case v.WIN_KEY:case v.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=v.ZERO&&e<=v.NINE)return!0;if(e>=v.NUM_ZERO&&e<=v.NUM_MULTIPLY)return!0;if(e>=v.A&&e<=v.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case v.SPACE:case v.QUESTION_MARK:case v.NUM_PLUS:case v.NUM_MINUS:case v.NUM_PERIOD:case v.NUM_DIVISION:case v.SEMICOLON:case v.DASH:case v.EQUALS:case v.COMMA:case v.PERIOD:case v.SLASH:case v.APOSTROPHE:case v.SINGLE_QUOTE:case v.OPEN_SQUARE_BRACKET:case v.BACKSLASH:case v.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const y=v,E=p.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var A=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete","onFocus","onMouseEnter"];const C=p.forwardRef((function(e,t){var n,a=e.prefixCls,i=e.value,l=e.valueIndex,s=e.onStartMove,d=e.style,u=e.render,g=e.dragging,v=e.onOffsetChange,C=e.onChangeComplete,O=e.onFocus,w=e.onMouseEnter,S=(0,f.A)(e,A),I=p.useContext(E),x=I.min,P=I.max,D=I.direction,T=I.disabled,R=I.keyboard,B=I.range,N=I.tabIndex,L=I.ariaLabelForHandle,k=I.ariaLabelledByForHandle,M=I.ariaValueTextFormatterForHandle,j=I.styles,F=I.classNames,$="".concat(a,"-handle"),_=function(e){T||s(e,l)},U=b(D,i,x,P),V={};null!==l&&(V={tabIndex:T?null:h(N,l),role:"slider","aria-valuemin":x,"aria-valuemax":P,"aria-valuenow":i,"aria-disabled":T,"aria-label":h(L,l),"aria-labelledby":h(k,l),"aria-valuetext":null===(n=h(M,l))||void 0===n?void 0:n(i),"aria-orientation":"ltr"===D||"rtl"===D?"horizontal":"vertical",onMouseDown:_,onTouchStart:_,onFocus:function(e){null==O||O(e,l)},onMouseEnter:function(e){w(e,l)},onKeyDown:function(e){if(!T&&R){var t=null;switch(e.which||e.keyCode){case y.LEFT:t="ltr"===D||"btt"===D?-1:1;break;case y.RIGHT:t="ltr"===D||"btt"===D?1:-1;break;case y.UP:t="ttb"!==D?1:-1;break;case y.DOWN:t="ttb"!==D?-1:1;break;case y.HOME:t="min";break;case y.END:t="max";break;case y.PAGE_UP:t=2;break;case y.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),v(t,l))}},onKeyUp:function(e){switch(e.which||e.keyCode){case y.LEFT:case y.RIGHT:case y.UP:case y.DOWN:case y.HOME:case y.END:case y.PAGE_UP:case y.PAGE_DOWN:null==C||C()}}});var G=p.createElement("div",(0,m.A)({ref:t,className:c()($,(0,o.A)((0,o.A)({},"".concat($,"-").concat(l+1),null!==l&&B),"".concat($,"-dragging"),g),F.handle),style:(0,r.A)((0,r.A)((0,r.A)({},U),d),j.handle)},V,S));return u&&(G=u(G,{index:l,prefixCls:a,value:i,dragging:g})),G}));var O=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","activeHandleRender","draggingIndex","onFocus"];const w=p.forwardRef((function(e,t){var n=e.prefixCls,o=e.style,a=e.onStartMove,l=e.onOffsetChange,s=e.values,c=e.handleRender,d=e.activeHandleRender,u=e.draggingIndex,g=e.onFocus,b=(0,f.A)(e,O),v=p.useRef({});p.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=v.current[e])||void 0===t||t.focus()}}}));var y=p.useState(-1),E=(0,i.A)(y,2),A=E[0],w=E[1],S=(0,r.A)({prefixCls:n,onStartMove:a,onOffsetChange:l,render:c,onFocus:function(e,t){w(t),null==g||g(e)},onMouseEnter:function(e,t){w(t)}},b);return p.createElement(p.Fragment,null,s.map((function(e,t){return p.createElement(C,(0,m.A)({ref:function(e){e?v.current[t]=e:delete v.current[t]},dragging:u===t,style:h(o,t),key:t,value:e,valueIndex:t},S))})),d&&p.createElement(C,(0,m.A)({key:"a11y"},S,{value:s[A],valueIndex:null,dragging:-1!==u,render:d,style:{pointerEvents:"none"},tabIndex:null,"aria-hidden":!0})))})),S=function(e){var t=e.prefixCls,n=e.style,a=e.children,i=e.value,l=e.onClick,s=p.useContext(E),d=s.min,u=s.max,m=s.direction,f=s.includedStart,g=s.includedEnd,h=s.included,v="".concat(t,"-text"),y=b(m,i,d,u);return p.createElement("span",{className:c()(v,(0,o.A)({},"".concat(v,"-active"),h&&f<=i&&i<=g)),style:(0,r.A)((0,r.A)({},y),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){l(i)}},a)},I=function(e){var t=e.prefixCls,n=e.marks,r=e.onClick,o="".concat(t,"-mark");return n.length?p.createElement("div",{className:o},n.map((function(e){var t=e.value,n=e.style,a=e.label;return p.createElement(S,{key:t,prefixCls:o,style:n,value:t,onClick:r},a)}))):null},x=function(e){var t=e.prefixCls,n=e.value,a=e.style,i=e.activeStyle,l=p.useContext(E),s=l.min,d=l.max,u=l.direction,m=l.included,f=l.includedStart,g=l.includedEnd,h="".concat(t,"-dot"),v=m&&f<=n&&n<=g,y=(0,r.A)((0,r.A)({},b(u,n,s,d)),"function"==typeof a?a(n):a);return v&&(y=(0,r.A)((0,r.A)({},y),"function"==typeof i?i(n):i)),p.createElement("span",{className:c()(h,(0,o.A)({},"".concat(h,"-active"),v)),style:y})},P=function(e){var t=e.prefixCls,n=e.marks,r=e.dots,o=e.style,a=e.activeStyle,i=p.useContext(E),l=i.min,s=i.max,c=i.step,d=p.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==c)for(var t=l;t<=s;)e.add(t),t+=c;return Array.from(e)}),[l,s,c,r,n]);return p.createElement("div",{className:"".concat(t,"-step")},d.map((function(e){return p.createElement(x,{prefixCls:t,key:e,value:e,style:o,activeStyle:a})})))},D=function(e){var t=e.prefixCls,n=e.style,a=e.start,i=e.end,l=e.index,s=e.onStartMove,d=e.replaceCls,u=p.useContext(E),m=u.direction,f=u.min,b=u.max,h=u.disabled,v=u.range,y=u.classNames,A="".concat(t,"-track"),C=g(a,f,b),O=g(i,f,b),w=function(e){!h&&s&&s(e,-1)},S={};switch(m){case"rtl":S.right="".concat(100*C,"%"),S.width="".concat(100*O-100*C,"%");break;case"btt":S.bottom="".concat(100*C,"%"),S.height="".concat(100*O-100*C,"%");break;case"ttb":S.top="".concat(100*C,"%"),S.height="".concat(100*O-100*C,"%");break;default:S.left="".concat(100*C,"%"),S.width="".concat(100*O-100*C,"%")}var I=d||c()(A,(0,o.A)((0,o.A)({},"".concat(A,"-").concat(l+1),null!==l&&v),"".concat(t,"-track-draggable"),s),y.track);return p.createElement("div",{className:I,style:(0,r.A)((0,r.A)({},S),n),onMouseDown:w,onTouchStart:w})},T=function(e){var t=e.prefixCls,n=e.style,o=e.values,a=e.startPoint,i=e.onStartMove,l=p.useContext(E),s=l.included,d=l.range,u=l.min,m=l.styles,f=l.classNames,g=p.useMemo((function(){if(!d){if(0===o.length)return[];var e=null!=a?a:u,t=o[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<o.length-1;r+=1)n.push({start:o[r],end:o[r+1]});return n}),[o,d,a,u]);if(!s)return null;var b=f.tracks||m.tracks?p.createElement(D,{index:null,prefixCls:t,start:g[0].start,end:g[g.length-1].end,replaceCls:c()(f.tracks,"".concat(t,"-tracks")),style:m.tracks}):null;return p.createElement(p.Fragment,null,b,g.map((function(e,o){var a=e.start,l=e.end;return p.createElement(D,{index:o,prefixCls:t,style:(0,r.A)((0,r.A)({},h(n,o)),m.track),start:a,end:l,key:o,onStartMove:i})})))};var R=n(291);function B(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}const N=p.forwardRef((function(e,t){var n=e.prefixCls,s=void 0===n?"rc-slider":n,m=e.className,f=e.style,g=e.classNames,b=e.styles,h=e.disabled,v=void 0!==h&&h,y=e.keyboard,A=void 0===y||y,C=e.autoFocus,O=e.onFocus,S=e.onBlur,x=e.min,D=void 0===x?0:x,N=e.max,L=void 0===N?100:N,k=e.step,M=void 0===k?1:k,j=e.value,F=e.defaultValue,$=e.range,_=e.count,U=e.onChange,V=e.onBeforeChange,G=e.onAfterChange,W=e.onChangeComplete,H=e.allowCross,z=void 0===H||H,q=e.pushable,Y=void 0!==q&&q,X=e.draggableTrack,Q=e.reverse,K=e.vertical,J=e.included,Z=void 0===J||J,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,oe=e.dotStyle,ae=e.activeDotStyle,ie=e.marks,le=e.dots,se=e.handleRender,ce=e.activeHandleRender,de=e.tabIndex,ue=void 0===de?0:de,pe=e.ariaLabelForHandle,me=e.ariaLabelledByForHandle,fe=e.ariaValueTextFormatterForHandle,ge=p.useRef(null),be=p.useRef(null),he=p.useMemo((function(){return K?Q?"ttb":"btt":Q?"rtl":"ltr"}),[Q,K]),ve=p.useMemo((function(){return isFinite(D)?D:0}),[D]),ye=p.useMemo((function(){return isFinite(L)?L:100}),[L]),Ee=p.useMemo((function(){return null!==M&&M<=0?1:M}),[M]),Ae=p.useMemo((function(){return"boolean"==typeof Y?!!Y&&Ee:Y>=0&&Y}),[Y,Ee]),Ce=p.useMemo((function(){return Object.keys(ie||{}).map((function(e){var t=ie[e],n={value:Number(e)};return t&&"object"===(0,l.A)(t)&&!p.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ie]),Oe=function(e,t,n,r,o,i){var l=p.useCallback((function(n){return Math.max(e,Math.min(t,n))}),[e,t]),s=p.useCallback((function(r){if(null!==n){var o=e+Math.round((l(r)-e)/n)*n,a=function(e){return(String(e).split(".")[1]||"").length},i=Math.max(a(n),a(t),a(e)),s=Number(o.toFixed(i));return e<=s&&s<=t?s:null}return null}),[n,e,t,l]),c=p.useCallback((function(o){var a=l(o),i=r.map((function(e){return e.value}));null!==n&&i.push(s(o)),i.push(e,t);var c=i[0],d=t-e;return i.forEach((function(e){var t=Math.abs(a-e);t<=d&&(c=e,d=t)})),c}),[e,t,r,n,l,s]),d=function o(i,l,c){var d=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof l){var u,p=i[c],m=p+l,f=[];r.forEach((function(e){f.push(e.value)})),f.push(e,t),f.push(s(p));var g=l>0?1:-1;"unit"===d?f.push(s(p+g*n)):f.push(s(m)),f=f.filter((function(e){return null!==e})).filter((function(e){return l<0?e<=p:e>=p})),"unit"===d&&(f=f.filter((function(e){return e!==p})));var b="unit"===d?p:m;u=f[0];var h=Math.abs(u-b);if(f.forEach((function(e){var t=Math.abs(e-b);t<h&&(u=e,h=t)})),void 0===u)return l<0?e:t;if("dist"===d)return u;if(Math.abs(l)>1){var v=(0,a.A)(i);return v[c]=u,o(v,l-g,c,d)}return u}return"min"===l?e:"max"===l?t:void 0},u=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e[n],a=d(e,t,n,r);return{value:a,changed:a!==o}},m=function(e){return null===i&&0===e||"number"==typeof i&&e<i};return[c,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",a=e.map(c),l=a[n],s=d(a,t,n,r);if(a[n]=s,!1===o){var p=i||0;n>0&&a[n-1]!==l&&(a[n]=Math.max(a[n],a[n-1]+p)),n<a.length-1&&a[n+1]!==l&&(a[n]=Math.min(a[n],a[n+1]-p))}else if("number"==typeof i||null===i){for(var f=n+1;f<a.length;f+=1)for(var g=!0;m(a[f]-a[f-1])&&g;){var b=u(a,1,f);a[f]=b.value,g=b.changed}for(var h=n;h>0;h-=1)for(var v=!0;m(a[h]-a[h-1])&&v;){var y=u(a,-1,h-1);a[h-1]=y.value,v=y.changed}for(var E=a.length-1;E>0;E-=1)for(var A=!0;m(a[E]-a[E-1])&&A;){var C=u(a,-1,E-1);a[E-1]=C.value,A=C.changed}for(var O=0;O<a.length-1;O+=1)for(var w=!0;m(a[O+1]-a[O])&&w;){var S=u(a,1,O+1);a[O+1]=S.value,w=S.changed}}return{value:a[n],values:a}}]}(ve,ye,Ee,Ce,z,Ae),we=(0,i.A)(Oe,2),Se=we[0],Ie=we[1],xe=(0,d.A)(F,{value:j}),Pe=(0,i.A)(xe,2),De=Pe[0],Te=Pe[1],Re=p.useMemo((function(){var e=null==De?[]:Array.isArray(De)?De:[De],t=(0,i.A)(e,1)[0],n=null===De?[]:[void 0===t?ve:t];if($){if(n=(0,a.A)(e),_||void 0===De){var r=_>=0?_+1:2;for(n=n.slice(0,r);n.length<r;){var o;n.push(null!==(o=n[n.length-1])&&void 0!==o?o:ve)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=Se(e)})),n}),[De,$,ve,_,Se]),Be=p.useRef(Re);Be.current=Re;var Ne=function(e){return $?e:e[0]},Le=function(e){var t=(0,a.A)(e).sort((function(e,t){return e-t}));U&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,o){var a=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,i=r.has(t);if((0,u.Ay)(!i,"Warning: There may be circular references"),i)return!1;if(t===o)return!0;if(n&&a>1)return!1;r.add(t);var s=a+1;if(Array.isArray(t)){if(!Array.isArray(o)||t.length!==o.length)return!1;for(var c=0;c<t.length;c++)if(!e(t[c],o[c],s))return!1;return!0}if(t&&o&&"object"===(0,l.A)(t)&&"object"===(0,l.A)(o)){var d=Object.keys(t);return d.length===Object.keys(o).length&&d.every((function(n){return e(t[n],o[n],s)}))}return!1}(e,t)}(t,Be.current,!0)&&U(Ne(t)),Te(t)},ke=function(){var e=Ne(Be.current);null==G||G(e),(0,u.Ay)(!G,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==W||W(e)},Me=function(e,t,n,r,o,l,s,c,d){var u=p.useState(null),m=(0,i.A)(u,2),f=m[0],g=m[1],b=p.useState(-1),h=(0,i.A)(b,2),v=h[0],y=h[1],E=p.useState(n),A=(0,i.A)(E,2),C=A[0],O=A[1],w=p.useState(n),S=(0,i.A)(w,2),I=S[0],x=S[1],P=p.useRef(null),D=p.useRef(null);p.useLayoutEffect((function(){-1===v&&O(n)}),[n,v]),p.useEffect((function(){return function(){document.removeEventListener("mousemove",P.current),document.removeEventListener("mouseup",D.current),document.removeEventListener("touchmove",P.current),document.removeEventListener("touchend",D.current)}}),[]);var T=function(e,t){C.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&g(t),O(e),s(e))},N=(0,R._q)((function(e,t){if(-1===e){var n=I[0],i=I[I.length-1],s=r-n,c=o-i,u=t*(o-r);u=Math.max(u,s),u=Math.min(u,c);var p=l(n+u);u=p-n;var m=I.map((function(e){return e+u}));T(m)}else{var f=(o-r)*t,g=(0,a.A)(C);g[e]=I[e];var b=d(g,f,e,"dist");T(b.values,b.value)}})),L=p.useMemo((function(){var e=(0,a.A)(n).sort((function(e,t){return e-t})),t=(0,a.A)(C).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?C:n}),[n,C]);return[v,f,L,function(r,o,a){r.stopPropagation();var i=a||n,l=i[o];y(o),g(l),x(i);var s=B(r),d=s.pageX,u=s.pageY,p=function(n){n.preventDefault();var r,a=B(n),i=a.pageX,l=a.pageY,s=i-d,c=l-u,p=e.current.getBoundingClientRect(),m=p.width,f=p.height;switch(t){case"btt":r=-c/f;break;case"ttb":r=c/f;break;case"rtl":r=-s/m;break;default:r=s/m}N(o,r)},m=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",p),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",p),P.current=null,D.current=null,y(-1),c()};document.addEventListener("mouseup",m),document.addEventListener("mousemove",p),document.addEventListener("touchend",m),document.addEventListener("touchmove",p),P.current=p,D.current=m}]}(be,he,Re,ve,ye,Se,Le,ke,Ie),je=(0,i.A)(Me,4),Fe=je[0],$e=je[1],_e=je[2],Ue=je[3],Ve=function(e,t){if(!v){var n=0,r=ye-ve;Re.forEach((function(t,o){var a=Math.abs(e-t);a<=r&&(r=a,n=o)}));var o,i,l=(0,a.A)(Re);l[n]=e,$&&!Re.length&&void 0===_&&l.push(e),null==V||V(Ne(l)),Le(l),t&&(null===(o=document.activeElement)||void 0===o||null===(i=o.blur)||void 0===i||i.call(o),ge.current.focus(n),Ue(t,n,l))}},Ge=p.useState(null),We=(0,i.A)(Ge,2),He=We[0],ze=We[1];p.useEffect((function(){if(null!==He){var e=Re.indexOf(He);e>=0&&ge.current.focus(e)}ze(null)}),[He]);var qe=p.useMemo((function(){return(!X||null!==Ee)&&X}),[X,Ee]),Ye=function(e,t){Ue(e,t),null==V||V(Ne(Be.current))},Xe=-1!==Fe;p.useEffect((function(){if(!Xe){var e=Re.lastIndexOf($e);ge.current.focus(e)}}),[Xe]);var Qe=p.useMemo((function(){return(0,a.A)(_e).sort((function(e,t){return e-t}))}),[_e]),Ke=p.useMemo((function(){return $?[Qe[0],Qe[Qe.length-1]]:[ve,Qe[0]]}),[Qe,$,ve]),Je=(0,i.A)(Ke,2),Ze=Je[0],et=Je[1];p.useImperativeHandle(t,(function(){return{focus:function(){ge.current.focus(0)},blur:function(){var e,t=document.activeElement;null!==(e=be.current)&&void 0!==e&&e.contains(t)&&(null==t||t.blur())}}})),p.useEffect((function(){C&&ge.current.focus(0)}),[]);var tt=p.useMemo((function(){return{min:ve,max:ye,direction:he,disabled:v,keyboard:A,step:Ee,included:Z,includedStart:Ze,includedEnd:et,range:$,tabIndex:ue,ariaLabelForHandle:pe,ariaLabelledByForHandle:me,ariaValueTextFormatterForHandle:fe,styles:b||{},classNames:g||{}}}),[ve,ye,he,v,A,Ee,Z,Ze,et,$,ue,pe,me,fe,b,g]);return p.createElement(E.Provider,{value:tt},p.createElement("div",{ref:be,className:c()(s,m,(0,o.A)((0,o.A)((0,o.A)((0,o.A)({},"".concat(s,"-disabled"),v),"".concat(s,"-vertical"),K),"".concat(s,"-horizontal"),!K),"".concat(s,"-with-marks"),Ce.length)),style:f,onMouseDown:function(e){e.preventDefault();var t,n=be.current.getBoundingClientRect(),r=n.width,o=n.height,a=n.left,i=n.top,l=n.bottom,s=n.right,c=e.clientX,d=e.clientY;switch(he){case"btt":t=(l-d)/o;break;case"ttb":t=(d-i)/o;break;case"rtl":t=(s-c)/r;break;default:t=(c-a)/r}Ve(Se(ve+t*(ye-ve)),e)}},p.createElement("div",{className:c()("".concat(s,"-rail"),null==g?void 0:g.rail),style:(0,r.A)((0,r.A)({},re),null==b?void 0:b.rail)}),p.createElement(T,{prefixCls:s,style:te,values:Qe,startPoint:ee,onStartMove:qe?Ye:void 0}),p.createElement(P,{prefixCls:s,marks:Ce,dots:le,style:oe,activeStyle:ae}),p.createElement(w,{ref:ge,prefixCls:s,style:ne,values:_e,draggingIndex:Fe,onStartMove:Ye,onOffsetChange:function(e,t){if(!v){var n=Ie(Re,e,t);null==V||V(Ne(Re)),Le(n.values),ze(n.value)}},onFocus:O,onBlur:S,handleRender:se,activeHandleRender:ce,onChangeComplete:ke}),p.createElement(I,{prefixCls:s,marks:Ce,onClick:Ve})))}))},3072:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>l,default:()=>un});var r=n(4452),o=n.n(r),a=n(5959),i=n.n(a);function l(e){var t=e.children,n=e.prefixCls,r=e.id,i=e.overlayInnerStyle,l=e.className,s=e.style;return a.createElement("div",{className:o()("".concat(n,"-content"),l),style:s},a.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:i},"function"==typeof t?t():t))}var s=n(8102),c=n(7405),d=n(9644),u=n(7850),p=n(8398),m=n.n(p),f=n(9370),g=(n(4358),n(9115));const b=a.createContext(null);var h=n(4300),v=n(697),y=[],E="data-rc-order",A="data-rc-priority",C="rc-util-key",O=new Map;function w(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):C}function S(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function I(e){return Array.from((O.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function x(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,f.A)())return null;var n=t.csp,r=t.prepend,o=t.priority,a=void 0===o?0:o,i=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),l="prependQueue"===i,s=document.createElement("style");s.setAttribute(E,i),l&&a&&s.setAttribute(A,"".concat(a)),null!=n&&n.nonce&&(s.nonce=null==n?void 0:n.nonce),s.innerHTML=e;var c=S(t),d=c.firstChild;if(r){if(l){var u=(t.styles||I(c)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(E)))return!1;var t=Number(e.getAttribute(A)||0);return a>=t}));if(u.length)return c.insertBefore(s,u[u.length-1].nextSibling),s}c.insertBefore(s,d)}else c.appendChild(s);return s}function P(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=S(t);return(t.styles||I(n)).find((function(n){return n.getAttribute(w(t))===e}))}function D(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=P(e,t);n&&S(t).removeChild(n)}function T(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=S(n),o=I(r),a=(0,c.A)((0,c.A)({},n),{},{styles:o});!function(e,t){var n=O.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=x("",t),o=r.parentNode;O.set(e,o),e.removeChild(r)}}(r,a);var i,l,s,d=P(t,a);if(d)return null!==(i=a.csp)&&void 0!==i&&i.nonce&&d.nonce!==(null===(l=a.csp)||void 0===l?void 0:l.nonce)&&(d.nonce=null===(s=a.csp)||void 0===s?void 0:s.nonce),d.innerHTML!==e&&(d.innerHTML=e),d;var u=x(e,a);return u.setAttribute(w(a),t),u}var R="rc-util-locker-".concat(Date.now()),B=0;function N(e){var t=!!e,n=a.useState((function(){return B+=1,"".concat(R,"_").concat(B)})),r=(0,u.A)(n,1)[0];(0,v.A)((function(){if(t){var e=(o=document.body,"undefined"!=typeof document&&o&&o instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,o,a=n.style;if(a.position="absolute",a.left="0",a.top="0",a.width="100px",a.height="100px",a.overflow="scroll",e){var i=getComputedStyle(e);a.scrollbarColor=i.scrollbarColor,a.scrollbarWidth=i.scrollbarWidth;var l=getComputedStyle(e,"::-webkit-scrollbar"),s=parseInt(l.width,10),c=parseInt(l.height,10);try{var d=s?"width: ".concat(l.width,";"):"",u=c?"height: ".concat(l.height,";"):"";T("\n#".concat(t,"::-webkit-scrollbar {\n").concat(d,"\n").concat(u,"\n}"),t)}catch(e){console.error(e),r=s,o=c}}document.body.appendChild(n);var p=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,m=e&&o&&!isNaN(o)?o:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),D(t),{width:p,height:m}}(o):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;T("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else D(r);var o;return function(){D(r)}}),[t,r])}var L=!1,k=function(e){return!1!==e&&((0,f.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},M=a.forwardRef((function(e,t){var n=e.open,r=e.autoLock,o=e.getContainer,i=(e.debug,e.autoDestroy),l=void 0===i||i,s=e.children,c=a.useState(n),d=(0,u.A)(c,2),m=d[0],E=d[1],A=m||n;a.useEffect((function(){(l||n)&&E(n)}),[n,l]);var C=a.useState((function(){return k(o)})),O=(0,u.A)(C,2),w=O[0],S=O[1];a.useEffect((function(){var e=k(o);S(null!=e?e:null)}));var I=function(e,t){var n=a.useState((function(){return(0,f.A)()?document.createElement("div"):null})),r=(0,u.A)(n,1)[0],o=a.useRef(!1),i=a.useContext(b),l=a.useState(y),s=(0,u.A)(l,2),c=s[0],d=s[1],p=i||(o.current?void 0:function(e){d((function(t){return[e].concat((0,h.A)(t))}))});function m(){r.parentElement||document.body.appendChild(r),o.current=!0}function g(){var e;null===(e=r.parentElement)||void 0===e||e.removeChild(r),o.current=!1}return(0,v.A)((function(){return e?i?i(m):m():g(),g}),[e]),(0,v.A)((function(){c.length&&(c.forEach((function(e){return e()})),d(y))}),[c]),[r,p]}(A&&!w),x=(0,u.A)(I,2),P=x[0],D=x[1],T=null!=w?w:P;N(r&&n&&(0,f.A)()&&(T===P||T===document.body));var R=null;s&&(0,g.f3)(s)&&t&&(R=s.ref);var B=(0,g.xK)(R,t);if(!A||!(0,f.A)()||void 0===w)return null;var M=!1===T||L,j=s;return t&&(j=a.cloneElement(s,{ref:B})),a.createElement(b.Provider,{value:D},M?j:(0,p.createPortal)(j,T))}));const j=M;var F=n(9555);function $(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return i().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat($(e)):(0,F.isFragment)(e)&&e.props?n=n.concat($(e.props.children,t)):n.push(e))})),n}var _=n(694);function U(e){return e instanceof HTMLElement||e instanceof SVGElement}function V(e){var t,n=function(e){return e&&"object"===(0,_.A)(e)&&U(e.nativeElement)?e.nativeElement:U(e)?e:null}(e);return n||(e instanceof i().Component?null===(t=m().findDOMNode)||void 0===t?void 0:t.call(m(),e):null)}var G=a.createContext(null),W=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var o=r[n];e.call(t,o[1],o[0])}},t}()}(),H="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,z=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),q="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(z):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},Y=["top","right","bottom","left","width","height","size","weight"],X="undefined"!=typeof MutationObserver,Q=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e,t){var n=!1,r=!1,o=0;function a(){n&&(n=!1,e()),r&&l()}function i(){q(a)}function l(){var e=Date.now();if(n){if(e-o<2)return;r=!0}else n=!0,r=!1,setTimeout(i,t);o=e}return l}(this.refresh.bind(this),20)}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){H&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),X?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){H&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;Y.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),K=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var o=r[n];Object.defineProperty(e,o,{value:t[o],enumerable:!1,writable:!1,configurable:!0})}return e},J=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||z},Z=oe(0,0,0,0);function ee(e){return parseFloat(e)||0}function te(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+ee(e["border-"+n+"-width"])}),0)}var ne="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof J(e).SVGGraphicsElement}:function(e){return e instanceof J(e).SVGElement&&"function"==typeof e.getBBox};function re(e){return H?ne(e)?function(e){var t=e.getBBox();return oe(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return Z;var r=J(e).getComputedStyle(e),o=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var o=r[n],a=e["padding-"+o];t[o]=ee(a)}return t}(r),a=o.left+o.right,i=o.top+o.bottom,l=ee(r.width),s=ee(r.height);if("border-box"===r.boxSizing&&(Math.round(l+a)!==t&&(l-=te(r,"left","right")+a),Math.round(s+i)!==n&&(s-=te(r,"top","bottom")+i)),!function(e){return e===J(e).document.documentElement}(e)){var c=Math.round(l+a)-t,d=Math.round(s+i)-n;1!==Math.abs(c)&&(l-=c),1!==Math.abs(d)&&(s-=d)}return oe(o.left,o.top,l,s)}(e):Z}function oe(e,t,n,r){return{x:e,y:t,width:n,height:r}}var ae=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=oe(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=re(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),ie=function(e,t){var n,r,o,a,i,l,s,c=(r=(n=t).x,o=n.y,a=n.width,i=n.height,l="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,s=Object.create(l.prototype),K(s,{x:r,y:o,width:a,height:i,top:o,right:r+a,bottom:i+o,left:r}),s);K(this,{target:e,contentRect:c})},le=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new W,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof J(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new ae(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof J(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new ie(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),se="undefined"!=typeof WeakMap?new WeakMap:new W,ce=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=Q.getInstance(),r=new le(t,n,this);se.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){ce.prototype[e]=function(){var t;return(t=se.get(this))[e].apply(t,arguments)}}));const de=void 0!==z.ResizeObserver?z.ResizeObserver:ce;var ue=new Map,pe=new de((function(e){e.forEach((function(e){var t,n=e.target;null===(t=ue.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function me(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var fe=n(2162);function ge(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,fe.A)(r.key),r)}}function be(e,t,n){return t&&ge(e.prototype,t),n&&ge(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function he(e,t){return he=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},he(e,t)}function ve(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&he(e,t)}function ye(e){return ye=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},ye(e)}function Ee(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Ee=function(){return!!e})()}function Ae(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Ce(e){var t=Ee();return function(){var n,r=ye(e);if(t){var o=ye(this).constructor;n=Reflect.construct(r,arguments,o)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,_.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Ae(e)}(this,n)}}var Oe=function(e){ve(n,e);var t=Ce(n);function n(){return me(this,n),t.apply(this,arguments)}return be(n,[{key:"render",value:function(){return this.props.children}}]),n}(a.Component);function we(e,t){var n=e.children,r=e.disabled,o=a.useRef(null),i=a.useRef(null),l=a.useContext(G),s="function"==typeof n,d=s?n(o):n,u=a.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),p=!s&&a.isValidElement(d)&&(0,g.f3)(d),m=p?d.ref:null,f=(0,g.xK)(m,o),b=function(){var e;return V(o.current)||(o.current&&"object"===(0,_.A)(o.current)?V(null===(e=o.current)||void 0===e?void 0:e.nativeElement):null)||V(i.current)};a.useImperativeHandle(t,(function(){return b()}));var h=a.useRef(e);h.current=e;var v=a.useCallback((function(e){var t=h.current,n=t.onResize,r=t.data,o=e.getBoundingClientRect(),a=o.width,i=o.height,s=e.offsetWidth,d=e.offsetHeight,p=Math.floor(a),m=Math.floor(i);if(u.current.width!==p||u.current.height!==m||u.current.offsetWidth!==s||u.current.offsetHeight!==d){var f={width:p,height:m,offsetWidth:s,offsetHeight:d};u.current=f;var g=s===Math.round(a)?a:s,b=d===Math.round(i)?i:d,v=(0,c.A)((0,c.A)({},f),{},{offsetWidth:g,offsetHeight:b});null==l||l(v,e,r),n&&Promise.resolve().then((function(){n(v,e)}))}}),[]);return a.useEffect((function(){var e,t,n=b();return n&&!r&&(e=n,t=v,ue.has(e)||(ue.set(e,new Set),pe.observe(e)),ue.get(e).add(t)),function(){return function(e,t){ue.has(e)&&(ue.get(e).delete(t),ue.get(e).size||(pe.unobserve(e),ue.delete(e)))}(n,v)}}),[o.current,r]),a.createElement(Oe,{ref:i},p?a.cloneElement(d,{ref:f}):d)}const Se=a.forwardRef(we);function Ie(e,t){var n=e.children;return("function"==typeof n?[n]:$(n)).map((function(n,r){var o=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return a.createElement(Se,(0,s.A)({},e,{key:o,ref:0===r?t:void 0}),n)}))}var xe=a.forwardRef(Ie);xe.Collection=function(e){var t=e.children,n=e.onBatchResize,r=a.useRef(0),o=a.useRef([]),i=a.useContext(G),l=a.useCallback((function(e,t,a){r.current+=1;var l=r.current;o.current.push({size:e,element:t,data:a}),Promise.resolve().then((function(){l===r.current&&(null==n||n(o.current),o.current=[])})),null==i||i(e,t,a)}),[n,i]);return a.createElement(G.Provider,{value:l},t)};const Pe=xe;function De(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function Te(e){return function(e){return De(e)instanceof ShadowRoot}(e)?De(e):null}var Re=n(8728),Be=0,Ne=(0,c.A)({},a).useId;const Le=Ne?function(e){var t=Ne();return e||t}:function(e){var t=a.useState("ssr-id"),n=(0,u.A)(t,2),r=n[0],o=n[1];return a.useEffect((function(){var e=Be;Be+=1,o("rc_unique_".concat(e))}),[]),e||r};var ke=n(1705),Me=a.createContext({}),je=function(e){ve(n,e);var t=Ce(n);function n(){return me(this,n),t.apply(this,arguments)}return be(n,[{key:"render",value:function(){return this.props.children}}]),n}(a.Component);const Fe=je;var $e=n(291),_e=n(1773),Ue="none",Ve="appear",Ge="enter",We="leave",He="none",ze="prepare",qe="start",Ye="active",Xe="end",Qe="prepared";function Ke(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var Je,Ze,et,tt=(Je=(0,f.A)(),Ze="undefined"!=typeof window?window:{},et={animationend:Ke("Animation","AnimationEnd"),transitionend:Ke("Transition","TransitionEnd")},Je&&("AnimationEvent"in Ze||delete et.animationend.animation,"TransitionEvent"in Ze||delete et.transitionend.transition),et),nt={};if((0,f.A)()){var rt=document.createElement("div");nt=rt.style}var ot={};function at(e){if(ot[e])return ot[e];var t=tt[e];if(t)for(var n=Object.keys(t),r=n.length,o=0;o<r;o+=1){var a=n[o];if(Object.prototype.hasOwnProperty.call(t,a)&&a in nt)return ot[e]=t[a],ot[e]}return""}var it=at("animationend"),lt=at("transitionend"),st=!(!it||!lt),ct=it||"animationend",dt=lt||"transitionend";function ut(e,t){return e?"object"===(0,_.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const pt=(0,f.A)()?a.useLayoutEffect:a.useEffect;var mt=function(e){return+setTimeout(e,16)},ft=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(mt=function(e){return window.requestAnimationFrame(e)},ft=function(e){return window.cancelAnimationFrame(e)});var gt=0,bt=new Map;function ht(e){bt.delete(e)}var vt=function(e){var t=gt+=1;return function n(r){if(0===r)ht(t),e();else{var o=mt((function(){n(r-1)}));bt.set(t,o)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};vt.cancel=function(e){var t=bt.get(e);return ht(e),ft(t)};const yt=vt;var Et=[ze,qe,Ye,Xe],At=[ze,Qe],Ct=!1;function Ot(e){return e===Ye||e===Xe}function wt(e,t,n,r){var o,i,l,s,d=r.motionEnter,p=void 0===d||d,m=r.motionAppear,f=void 0===m||m,g=r.motionLeave,b=void 0===g||g,h=r.motionDeadline,v=r.motionLeaveImmediately,y=r.onAppearPrepare,E=r.onEnterPrepare,A=r.onLeavePrepare,C=r.onAppearStart,O=r.onEnterStart,w=r.onLeaveStart,S=r.onAppearActive,I=r.onEnterActive,x=r.onLeaveActive,P=r.onAppearEnd,D=r.onEnterEnd,T=r.onLeaveEnd,R=r.onVisibleChanged,B=(0,_e.A)(),N=(0,u.A)(B,2),L=N[0],k=N[1],M=(o=Ue,i=a.useReducer((function(e){return e+1}),0),l=(0,u.A)(i,2)[1],s=a.useRef(o),[(0,Re.A)((function(){return s.current})),(0,Re.A)((function(e){s.current="function"==typeof e?e(s.current):e,l()}))]),j=(0,u.A)(M,2),F=j[0],$=j[1],_=(0,_e.A)(null),U=(0,u.A)(_,2),V=U[0],G=U[1],W=F(),H=(0,a.useRef)(!1),z=(0,a.useRef)(null);function q(){return n()}var Y=(0,a.useRef)(!1);function X(){$(Ue),G(null,!0)}var Q=(0,$e._q)((function(e){var t=F();if(t!==Ue){var n=q();if(!e||e.deadline||e.target===n){var r,o=Y.current;t===Ve&&o?r=null==P?void 0:P(n,e):t===Ge&&o?r=null==D?void 0:D(n,e):t===We&&o&&(r=null==T?void 0:T(n,e)),o&&!1!==r&&X()}}})),K=function(e){var t=(0,a.useRef)();function n(t){t&&(t.removeEventListener(dt,e),t.removeEventListener(ct,e))}return a.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(dt,e),r.addEventListener(ct,e),t.current=r)},n]}(Q),J=(0,u.A)(K,1)[0],Z=function(e){switch(e){case Ve:return(0,ke.A)((0,ke.A)((0,ke.A)({},ze,y),qe,C),Ye,S);case Ge:return(0,ke.A)((0,ke.A)((0,ke.A)({},ze,E),qe,O),Ye,I);case We:return(0,ke.A)((0,ke.A)((0,ke.A)({},ze,A),qe,w),Ye,x);default:return{}}},ee=a.useMemo((function(){return Z(W)}),[W]),te=function(e,t,n){var r=(0,_e.A)(He),o=(0,u.A)(r,2),i=o[0],l=o[1],s=function(){var e=a.useRef(null);function t(){yt.cancel(e.current)}return a.useEffect((function(){return function(){t()}}),[]),[function n(r){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var a=yt((function(){o<=1?r({isCanceled:function(){return a!==e.current}}):n(r,o-1)}));e.current=a},t]}(),c=(0,u.A)(s,2),d=c[0],p=c[1],m=t?At:Et;return pt((function(){if(i!==He&&i!==Xe){var e=m.indexOf(i),t=m[e+1],r=n(i);r===Ct?l(t,!0):t&&d((function(e){function n(){e.isCanceled()||l(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,i]),a.useEffect((function(){return function(){p()}}),[]),[function(){l(ze,!0)},i]}(W,!e,(function(e){if(e===ze){var t=ee[ze];return t?t(q()):Ct}var n;return oe in ee&&G((null===(n=ee[oe])||void 0===n?void 0:n.call(ee,q(),null))||null),oe===Ye&&W!==Ue&&(J(q()),h>0&&(clearTimeout(z.current),z.current=setTimeout((function(){Q({deadline:!0})}),h))),oe===Qe&&X(),true})),ne=(0,u.A)(te,2),re=ne[0],oe=ne[1],ae=Ot(oe);Y.current=ae,pt((function(){k(t);var n,r=H.current;H.current=!0,!r&&t&&f&&(n=Ve),r&&t&&p&&(n=Ge),(r&&!t&&b||!r&&v&&!t&&b)&&(n=We);var o=Z(n);n&&(e||o[ze])?($(n),re()):$(Ue)}),[t]),(0,a.useEffect)((function(){(W===Ve&&!f||W===Ge&&!p||W===We&&!b)&&$(Ue)}),[f,p,b]),(0,a.useEffect)((function(){return function(){H.current=!1,clearTimeout(z.current)}}),[]);var ie=a.useRef(!1);(0,a.useEffect)((function(){L&&(ie.current=!0),void 0!==L&&W===Ue&&((ie.current||L)&&(null==R||R(L)),ie.current=!0)}),[L,W]);var le=V;return ee[ze]&&oe===qe&&(le=(0,c.A)({transition:"none"},le)),[W,oe,le,null!=L?L:t]}const St=function(e){var t=e;"object"===(0,_.A)(e)&&(t=e.transitionSupport);var n=a.forwardRef((function(e,n){var r=e.visible,i=void 0===r||r,l=e.removeOnLeave,s=void 0===l||l,d=e.forceRender,p=e.children,m=e.motionName,f=e.leavedClassName,b=e.eventProps,h=function(e,n){return!(!e.motionName||!t||!1===n)}(e,a.useContext(Me).motion),v=(0,a.useRef)(),y=(0,a.useRef)(),E=wt(h,i,(function(){try{return v.current instanceof HTMLElement?v.current:V(y.current)}catch(e){return null}}),e),A=(0,u.A)(E,4),C=A[0],O=A[1],w=A[2],S=A[3],I=a.useRef(S);S&&(I.current=!0);var x,P=a.useCallback((function(e){v.current=e,(0,g.Xf)(n,e)}),[n]),D=(0,c.A)((0,c.A)({},b),{},{visible:i});if(p)if(C===Ue)x=S?p((0,c.A)({},D),P):!s&&I.current&&f?p((0,c.A)((0,c.A)({},D),{},{className:f}),P):d||!s&&!f?p((0,c.A)((0,c.A)({},D),{},{style:{display:"none"}}),P):null;else{var T;O===ze?T="prepare":Ot(O)?T="active":O===qe&&(T="start");var R=ut(m,"".concat(C,"-").concat(T));x=p((0,c.A)((0,c.A)({},D),{},{className:o()(ut(m,C),(0,ke.A)((0,ke.A)({},R,R&&T),m,"string"==typeof m)),style:w}),P)}else x=null;return a.isValidElement(x)&&(0,g.f3)(x)&&(x.ref||(x=a.cloneElement(x,{ref:P}))),a.createElement(Fe,{ref:y},x)}));return n.displayName="CSSMotion",n}(st);var It="add",xt="keep",Pt="remove",Dt="removed";function Tt(e){var t;return t=e&&"object"===(0,_.A)(e)&&"key"in e?e:{key:e},(0,c.A)((0,c.A)({},t),{},{key:String(t.key)})}function Rt(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(Tt)}var Bt=["component","children","onVisibleChanged","onAllRemoved"],Nt=["status"],Lt=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:St,n=function(e){ve(r,e);var n=Ce(r);function r(){var e;me(this,r);for(var t=arguments.length,o=new Array(t),a=0;a<t;a++)o[a]=arguments[a];return e=n.call.apply(n,[this].concat(o)),(0,ke.A)(Ae(e),"state",{keyEntities:[]}),(0,ke.A)(Ae(e),"removeKey",(function(t){var n=e.state.keyEntities.map((function(e){return e.key!==t?e:(0,c.A)((0,c.A)({},e),{},{status:Dt})}));return e.setState({keyEntities:n}),n.filter((function(e){return e.status!==Dt})).length})),e}return be(r,[{key:"render",value:function(){var e=this,n=this.state.keyEntities,r=this.props,o=r.component,i=r.children,l=r.onVisibleChanged,u=r.onAllRemoved,p=(0,d.A)(r,Bt),m=o||a.Fragment,f={};return Lt.forEach((function(e){f[e]=p[e],delete p[e]})),delete p.keys,a.createElement(m,p,n.map((function(n,r){var o=n.status,p=(0,d.A)(n,Nt),m=o===It||o===xt;return a.createElement(t,(0,s.A)({},f,{key:p.key,visible:m,eventProps:p,onVisibleChanged:function(t){null==l||l(t,{key:p.key}),t||0===e.removeKey(p.key)&&u&&u()}}),(function(e,t){return i((0,c.A)((0,c.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,o=Rt(n),a=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,o=t.length,a=Rt(e),i=Rt(t);a.forEach((function(e){for(var t=!1,a=r;a<o;a+=1){var l=i[a];if(l.key===e.key){r<a&&(n=n.concat(i.slice(r,a).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:It})}))),r=a),n.push((0,c.A)((0,c.A)({},l),{},{status:xt})),r+=1,t=!0;break}}t||n.push((0,c.A)((0,c.A)({},e),{},{status:Pt}))})),r<o&&(n=n.concat(i.slice(r).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:It})}))));var l={};return n.forEach((function(e){var t=e.key;l[t]=(l[t]||0)+1})),Object.keys(l).filter((function(e){return l[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==Pt}))).forEach((function(t){t.key===e&&(t.status=xt)}))})),n}(r,o);return{keyEntities:a.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==Dt||e.status!==Pt}))}}}]),r}(a.Component);(0,ke.A)(n,"defaultProps",{component:"div"})}(st);const kt=St;function Mt(e){var t=e.prefixCls,n=e.align,r=e.arrow,i=e.arrowPos,l=r||{},s=l.className,c=l.content,d=i.x,u=void 0===d?0:d,p=i.y,m=void 0===p?0:p,f=a.useRef();if(!n||!n.points)return null;var g={position:"absolute"};if(!1!==n.autoArrow){var b=n.points[0],h=n.points[1],v=b[0],y=b[1],E=h[0],A=h[1];v!==E&&["t","b"].includes(v)?"t"===v?g.top=0:g.bottom=0:g.top=m,y!==A&&["l","r"].includes(y)?"l"===y?g.left=0:g.right=0:g.left=u}return a.createElement("div",{ref:f,className:o()("".concat(t,"-arrow"),s),style:g},c)}function jt(e){var t=e.prefixCls,n=e.open,r=e.zIndex,i=e.mask,l=e.motion;return i?a.createElement(kt,(0,s.A)({},l,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return a.createElement("div",{style:{zIndex:r},className:o()("".concat(t,"-mask"),n)})})):null}const Ft=a.memo((function(e){return e.children}),(function(e,t){return t.cache}));var $t=a.forwardRef((function(e,t){var n=e.popup,r=e.className,i=e.prefixCls,l=e.style,d=e.target,p=e.onVisibleChanged,m=e.open,f=e.keepDom,b=e.fresh,h=e.onClick,y=e.mask,E=e.arrow,A=e.arrowPos,C=e.align,O=e.motion,w=e.maskMotion,S=e.forceRender,I=e.getPopupContainer,x=e.autoDestroy,P=e.portal,D=e.zIndex,T=e.onMouseEnter,R=e.onMouseLeave,B=e.onPointerEnter,N=e.ready,L=e.offsetX,k=e.offsetY,M=e.offsetR,j=e.offsetB,F=e.onAlign,$=e.onPrepare,_=e.stretch,U=e.targetWidth,V=e.targetHeight,G="function"==typeof n?n():n,W=m||f,H=(null==I?void 0:I.length)>0,z=a.useState(!I||!H),q=(0,u.A)(z,2),Y=q[0],X=q[1];if((0,v.A)((function(){!Y&&H&&d&&X(!0)}),[Y,H,d]),!Y)return null;var Q="auto",K={left:"-1000vw",top:"-1000vh",right:Q,bottom:Q};if(N||!m){var J,Z=C.points,ee=C.dynamicInset||(null===(J=C._experimental)||void 0===J?void 0:J.dynamicInset),te=ee&&"r"===Z[0][1],ne=ee&&"b"===Z[0][0];te?(K.right=M,K.left=Q):(K.left=L,K.right=Q),ne?(K.bottom=j,K.top=Q):(K.top=k,K.bottom=Q)}var re={};return _&&(_.includes("height")&&V?re.height=V:_.includes("minHeight")&&V&&(re.minHeight=V),_.includes("width")&&U?re.width=U:_.includes("minWidth")&&U&&(re.minWidth=U)),m||(re.pointerEvents="none"),a.createElement(P,{open:S||W,getContainer:I&&function(){return I(d)},autoDestroy:x},a.createElement(jt,{prefixCls:i,open:m,zIndex:D,mask:y,motion:w}),a.createElement(Pe,{onResize:F,disabled:!m},(function(e){return a.createElement(kt,(0,s.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:S,leavedClassName:"".concat(i,"-hidden")},O,{onAppearPrepare:$,onEnterPrepare:$,visible:m,onVisibleChanged:function(e){var t;null==O||null===(t=O.onVisibleChanged)||void 0===t||t.call(O,e),p(e)}}),(function(n,s){var d=n.className,u=n.style,p=o()(i,d,r);return a.createElement("div",{ref:(0,g.K4)(e,t,s),className:p,style:(0,c.A)((0,c.A)((0,c.A)((0,c.A)({"--arrow-x":"".concat(A.x||0,"px"),"--arrow-y":"".concat(A.y||0,"px")},K),re),u),{},{boxSizing:"border-box",zIndex:D},l),onMouseEnter:T,onMouseLeave:R,onPointerEnter:B,onClick:h},E&&a.createElement(Mt,{prefixCls:i,arrow:E,arrowPos:A,align:C}),a.createElement(Ft,{cache:!m&&!b},G))}))})))}));const _t=$t,Ut=a.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,o=(0,g.f3)(n),i=a.useCallback((function(e){(0,g.Xf)(t,r?r(e):e)}),[r]),l=(0,g.xK)(i,n.ref);return o?a.cloneElement(n,{ref:l}):n})),Vt=a.createContext(null);function Gt(e){return e?Array.isArray(e)?e:[e]:[]}function Wt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function Ht(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function zt(e){return e.ownerDocument.defaultView}function qt(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var o=zt(n).getComputedStyle(n);[o.overflowX,o.overflowY,o.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function Yt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function Xt(e){return Yt(parseFloat(e),0)}function Qt(e,t){var n=(0,c.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=zt(e).getComputedStyle(e),r=t.overflow,o=t.overflowClipMargin,a=t.borderTopWidth,i=t.borderBottomWidth,l=t.borderLeftWidth,s=t.borderRightWidth,c=e.getBoundingClientRect(),d=e.offsetHeight,u=e.clientHeight,p=e.offsetWidth,m=e.clientWidth,f=Xt(a),g=Xt(i),b=Xt(l),h=Xt(s),v=Yt(Math.round(c.width/p*1e3)/1e3),y=Yt(Math.round(c.height/d*1e3)/1e3),E=(p-m-b-h)*v,A=(d-u-f-g)*y,C=f*y,O=g*y,w=b*v,S=h*v,I=0,x=0;if("clip"===r){var P=Xt(o);I=P*v,x=P*y}var D=c.x+w-I,T=c.y+C-x,R=D+c.width+2*I-w-S-E,B=T+c.height+2*x-C-O-A;n.left=Math.max(n.left,D),n.top=Math.max(n.top,T),n.right=Math.min(n.right,R),n.bottom=Math.min(n.bottom,B)}})),n}function Kt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function Jt(e,t){var n=t||[],r=(0,u.A)(n,2),o=r[0],a=r[1];return[Kt(e.width,o),Kt(e.height,a)]}function Zt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function en(e,t){var n,r=t[0],o=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===o?e.x:"r"===o?e.x+e.width:e.x+e.width/2,y:n}}function tn(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var nn=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const rn=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:j,t=a.forwardRef((function(t,n){var r=t.prefixCls,i=void 0===r?"rc-trigger-popup":r,l=t.children,s=t.action,p=void 0===s?"hover":s,m=t.showAction,f=t.hideAction,g=t.popupVisible,b=t.defaultPopupVisible,y=t.onPopupVisibleChange,E=t.afterPopupVisibleChange,A=t.mouseEnterDelay,C=t.mouseLeaveDelay,O=void 0===C?.1:C,w=t.focusDelay,S=t.blurDelay,I=t.mask,x=t.maskClosable,P=void 0===x||x,D=t.getPopupContainer,T=t.forceRender,R=t.autoDestroy,B=t.destroyPopupOnHide,N=t.popup,L=t.popupClassName,k=t.popupStyle,M=t.popupPlacement,j=t.builtinPlacements,F=void 0===j?{}:j,$=t.popupAlign,_=t.zIndex,V=t.stretch,G=t.getPopupClassNameFromAlign,W=t.fresh,H=t.alignPoint,z=t.onPopupClick,q=t.onPopupAlign,Y=t.arrow,X=t.popupMotion,Q=t.maskMotion,K=t.popupTransitionName,J=t.popupAnimation,Z=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,d.A)(t,nn),oe=R||B||!1,ae=a.useState(!1),ie=(0,u.A)(ae,2),le=ie[0],se=ie[1];(0,v.A)((function(){se(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var ce=a.useRef({}),de=a.useContext(Vt),ue=a.useMemo((function(){return{registerSubPopup:function(e,t){ce.current[e]=t,null==de||de.registerSubPopup(e,t)}}}),[de]),pe=Le(),me=a.useState(null),fe=(0,u.A)(me,2),ge=fe[0],be=fe[1],he=a.useRef(null),ve=(0,Re.A)((function(e){he.current=e,U(e)&&ge!==e&&be(e),null==de||de.registerSubPopup(pe,e)})),ye=a.useState(null),Ee=(0,u.A)(ye,2),Ae=Ee[0],Ce=Ee[1],Oe=a.useRef(null),we=(0,Re.A)((function(e){U(e)&&Ae!==e&&(Ce(e),Oe.current=e)})),Se=a.Children.only(l),Ie=(null==Se?void 0:Se.props)||{},xe={},De=(0,Re.A)((function(e){var t,n,r=Ae;return(null==r?void 0:r.contains(e))||(null===(t=Te(r))||void 0===t?void 0:t.host)===e||e===r||(null==ge?void 0:ge.contains(e))||(null===(n=Te(ge))||void 0===n?void 0:n.host)===e||e===ge||Object.values(ce.current).some((function(t){return(null==t?void 0:t.contains(e))||e===t}))})),Be=Ht(i,X,J,K),Ne=Ht(i,Q,ee,Z),ke=a.useState(b||!1),Me=(0,u.A)(ke,2),je=Me[0],Fe=Me[1],$e=null!=g?g:je,_e=(0,Re.A)((function(e){void 0===g&&Fe(e)}));(0,v.A)((function(){Fe(g||!1)}),[g]);var Ue=a.useRef($e);Ue.current=$e;var Ve=a.useRef([]);Ve.current=[];var Ge=(0,Re.A)((function(e){var t;_e(e),(null!==(t=Ve.current[Ve.current.length-1])&&void 0!==t?t:$e)!==e&&(Ve.current.push(e),null==y||y(e))})),We=a.useRef(),He=function(){clearTimeout(We.current)},ze=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;He(),0===t?Ge(e):We.current=setTimeout((function(){Ge(e)}),1e3*t)};a.useEffect((function(){return He}),[]);var qe=a.useState(!1),Ye=(0,u.A)(qe,2),Xe=Ye[0],Qe=Ye[1];(0,v.A)((function(e){e&&!$e||Qe(!0)}),[$e]);var Ke=a.useState(null),Je=(0,u.A)(Ke,2),Ze=Je[0],et=Je[1],tt=a.useState([0,0]),nt=(0,u.A)(tt,2),rt=nt[0],ot=nt[1],at=function(e){ot([e.clientX,e.clientY])},it=function(e,t,n,r,o,i,l){var s=a.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:o[r]||{}}),d=(0,u.A)(s,2),p=d[0],m=d[1],f=a.useRef(0),g=a.useMemo((function(){return t?qt(t):[]}),[t]),b=a.useRef({});e||(b.current={});var h=(0,Re.A)((function(){if(t&&n&&e){var a,s,d,p=t,f=p.ownerDocument,h=zt(p).getComputedStyle(p),v=h.width,y=h.height,E=h.position,A=p.style.left,C=p.style.top,O=p.style.right,w=p.style.bottom,S=p.style.overflow,I=(0,c.A)((0,c.A)({},o[r]),i),x=f.createElement("div");if(null===(a=p.parentElement)||void 0===a||a.appendChild(x),x.style.left="".concat(p.offsetLeft,"px"),x.style.top="".concat(p.offsetTop,"px"),x.style.position=E,x.style.height="".concat(p.offsetHeight,"px"),x.style.width="".concat(p.offsetWidth,"px"),p.style.left="0",p.style.top="0",p.style.right="auto",p.style.bottom="auto",p.style.overflow="hidden",Array.isArray(n))d={x:n[0],y:n[1],width:0,height:0};else{var P=n.getBoundingClientRect();d={x:P.x,y:P.y,width:P.width,height:P.height}}var D=p.getBoundingClientRect(),T=f.documentElement,R=T.clientWidth,B=T.clientHeight,N=T.scrollWidth,L=T.scrollHeight,k=T.scrollTop,M=T.scrollLeft,j=D.height,F=D.width,$=d.height,_=d.width,V={left:0,top:0,right:R,bottom:B},G={left:-M,top:-k,right:N-M,bottom:L-k},W=I.htmlRegion,H="visible",z="visibleFirst";"scroll"!==W&&W!==z&&(W=H);var q=W===z,Y=Qt(G,g),X=Qt(V,g),Q=W===H?X:Y,K=q?X:Q;p.style.left="auto",p.style.top="auto",p.style.right="0",p.style.bottom="0";var J=p.getBoundingClientRect();p.style.left=A,p.style.top=C,p.style.right=O,p.style.bottom=w,p.style.overflow=S,null===(s=p.parentElement)||void 0===s||s.removeChild(x);var Z=Yt(Math.round(F/parseFloat(v)*1e3)/1e3),ee=Yt(Math.round(j/parseFloat(y)*1e3)/1e3);if(0===Z||0===ee||U(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var o=e.getBoundingClientRect(),a=o.width,i=o.height;if(a||i)return!0}}return!1}(n))return;var te=I.offset,ne=I.targetOffset,re=Jt(D,te),oe=(0,u.A)(re,2),ae=oe[0],ie=oe[1],le=Jt(d,ne),se=(0,u.A)(le,2),ce=se[0],de=se[1];d.x-=ce,d.y-=de;var ue=I.points||[],pe=(0,u.A)(ue,2),me=pe[0],fe=Zt(pe[1]),ge=Zt(me),be=en(d,fe),he=en(D,ge),ve=(0,c.A)({},I),ye=be.x-he.x+ae,Ee=be.y-he.y+ie;function mt(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:Q,r=D.x+e,o=D.y+t,a=r+F,i=o+j,l=Math.max(r,n.left),s=Math.max(o,n.top),c=Math.min(a,n.right),d=Math.min(i,n.bottom);return Math.max(0,(c-l)*(d-s))}var Ae,Ce,Oe,we,Se=mt(ye,Ee),Ie=mt(ye,Ee,X),xe=en(d,["t","l"]),Pe=en(D,["t","l"]),De=en(d,["b","r"]),Te=en(D,["b","r"]),Re=I.overflow||{},Be=Re.adjustX,Ne=Re.adjustY,Le=Re.shiftX,ke=Re.shiftY,Me=function(e){return"boolean"==typeof e?e:e>=0};function ft(){Ae=D.y+Ee,Ce=Ae+j,Oe=D.x+ye,we=Oe+F}ft();var je=Me(Ne),Fe=ge[0]===fe[0];if(je&&"t"===ge[0]&&(Ce>K.bottom||b.current.bt)){var $e=Ee;Fe?$e-=j-$:$e=xe.y-Te.y-ie;var _e=mt(ye,$e),Ue=mt(ye,$e,X);_e>Se||_e===Se&&(!q||Ue>=Ie)?(b.current.bt=!0,Ee=$e,ie=-ie,ve.points=[tn(ge,0),tn(fe,0)]):b.current.bt=!1}if(je&&"b"===ge[0]&&(Ae<K.top||b.current.tb)){var Ve=Ee;Fe?Ve+=j-$:Ve=De.y-Pe.y-ie;var Ge=mt(ye,Ve),We=mt(ye,Ve,X);Ge>Se||Ge===Se&&(!q||We>=Ie)?(b.current.tb=!0,Ee=Ve,ie=-ie,ve.points=[tn(ge,0),tn(fe,0)]):b.current.tb=!1}var He=Me(Be),ze=ge[1]===fe[1];if(He&&"l"===ge[1]&&(we>K.right||b.current.rl)){var qe=ye;ze?qe-=F-_:qe=xe.x-Te.x-ae;var Ye=mt(qe,Ee),Xe=mt(qe,Ee,X);Ye>Se||Ye===Se&&(!q||Xe>=Ie)?(b.current.rl=!0,ye=qe,ae=-ae,ve.points=[tn(ge,1),tn(fe,1)]):b.current.rl=!1}if(He&&"r"===ge[1]&&(Oe<K.left||b.current.lr)){var Qe=ye;ze?Qe+=F-_:Qe=De.x-Pe.x-ae;var Ke=mt(Qe,Ee),Je=mt(Qe,Ee,X);Ke>Se||Ke===Se&&(!q||Je>=Ie)?(b.current.lr=!0,ye=Qe,ae=-ae,ve.points=[tn(ge,1),tn(fe,1)]):b.current.lr=!1}ft();var Ze=!0===Le?0:Le;"number"==typeof Ze&&(Oe<X.left&&(ye-=Oe-X.left-ae,d.x+_<X.left+Ze&&(ye+=d.x-X.left+_-Ze)),we>X.right&&(ye-=we-X.right-ae,d.x>X.right-Ze&&(ye+=d.x-X.right+Ze)));var et=!0===ke?0:ke;"number"==typeof et&&(Ae<X.top&&(Ee-=Ae-X.top-ie,d.y+$<X.top+et&&(Ee+=d.y-X.top+$-et)),Ce>X.bottom&&(Ee-=Ce-X.bottom-ie,d.y>X.bottom-et&&(Ee+=d.y-X.bottom+et)));var tt=D.x+ye,nt=tt+F,rt=D.y+Ee,ot=rt+j,at=d.x,it=at+_,lt=d.y,st=lt+$,ct=(Math.max(tt,at)+Math.min(nt,it))/2-tt,dt=(Math.max(rt,lt)+Math.min(ot,st))/2-rt;null==l||l(t,ve);var ut=J.right-D.x-(ye+D.width),pt=J.bottom-D.y-(Ee+D.height);1===Z&&(ye=Math.round(ye),ut=Math.round(ut)),1===ee&&(Ee=Math.round(Ee),pt=Math.round(pt)),m({ready:!0,offsetX:ye/Z,offsetY:Ee/ee,offsetR:ut/Z,offsetB:pt/ee,arrowX:ct/Z,arrowY:dt/ee,scaleX:Z,scaleY:ee,align:ve})}})),y=function(){m((function(e){return(0,c.A)((0,c.A)({},e),{},{ready:!1})}))};return(0,v.A)(y,[r]),(0,v.A)((function(){e||y()}),[e]),[p.ready,p.offsetX,p.offsetY,p.offsetR,p.offsetB,p.arrowX,p.arrowY,p.scaleX,p.scaleY,p.align,function(){f.current+=1;var e=f.current;Promise.resolve().then((function(){f.current===e&&h()}))}]}($e,ge,H?rt:Ae,M,F,$,q),lt=(0,u.A)(it,11),st=lt[0],ct=lt[1],dt=lt[2],ut=lt[3],pt=lt[4],mt=lt[5],ft=lt[6],gt=lt[7],bt=lt[8],ht=lt[9],vt=lt[10],yt=function(e,t,n,r){return a.useMemo((function(){var o=Gt(null!=n?n:t),a=Gt(null!=r?r:t),i=new Set(o),l=new Set(a);return e&&(i.has("hover")&&(i.delete("hover"),i.add("click")),l.has("hover")&&(l.delete("hover"),l.add("click"))),[i,l]}),[e,t,n,r])}(le,p,m,f),Et=(0,u.A)(yt,2),At=Et[0],Ct=Et[1],Ot=At.has("click"),wt=Ct.has("click")||Ct.has("contextMenu"),St=(0,Re.A)((function(){Xe||vt()}));!function(e,t,n,r,o){(0,v.A)((function(){if(e&&t&&n){var o=n,a=qt(t),i=qt(o),l=zt(o),s=new Set([l].concat((0,h.A)(a),(0,h.A)(i)));function c(){r(),Ue.current&&H&&wt&&ze(!1)}return s.forEach((function(e){e.addEventListener("scroll",c,{passive:!0})})),l.addEventListener("resize",c,{passive:!0}),r(),function(){s.forEach((function(e){e.removeEventListener("scroll",c),l.removeEventListener("resize",c)}))}}}),[e,t,n])}($e,Ae,ge,St),(0,v.A)((function(){St()}),[rt,M]),(0,v.A)((function(){!$e||null!=F&&F[M]||St()}),[JSON.stringify($)]);var It=a.useMemo((function(){var e=function(e,t,n,r){for(var o=n.points,a=Object.keys(e),i=0;i<a.length;i+=1){var l,s=a[i];if(Wt(null===(l=e[s])||void 0===l?void 0:l.points,o,r))return"".concat(t,"-placement-").concat(s)}return""}(F,i,ht,H);return o()(e,null==G?void 0:G(ht))}),[ht,G,F,i,H]);a.useImperativeHandle(n,(function(){return{nativeElement:Oe.current,popupElement:he.current,forceAlign:St}}));var xt=a.useState(0),Pt=(0,u.A)(xt,2),Dt=Pt[0],Tt=Pt[1],Rt=a.useState(0),Bt=(0,u.A)(Rt,2),Nt=Bt[0],Lt=Bt[1],kt=function(){if(V&&Ae){var e=Ae.getBoundingClientRect();Tt(e.width),Lt(e.height)}};function Mt(e,t,n,r){xe[e]=function(o){var a;null==r||r(o),ze(t,n);for(var i=arguments.length,l=new Array(i>1?i-1:0),s=1;s<i;s++)l[s-1]=arguments[s];null===(a=Ie[e])||void 0===a||a.call.apply(a,[Ie,o].concat(l))}}(0,v.A)((function(){Ze&&(vt(),Ze(),et(null))}),[Ze]),(Ot||wt)&&(xe.onClick=function(e){var t;Ue.current&&wt?ze(!1):!Ue.current&&Ot&&(at(e),ze(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Ie.onClick)||void 0===t||t.call.apply(t,[Ie,e].concat(r))}),function(e,t,n,r,o,i,l,s){var c=a.useRef(e);c.current=e,a.useEffect((function(){if(t&&r&&(!o||i)){var e=function(e){var t=e.target;c.current&&!l(t)&&s(!1)},a=zt(r);a.addEventListener("mousedown",e,!0),a.addEventListener("contextmenu",e,!0);var d=Te(n);return d&&(d.addEventListener("mousedown",e,!0),d.addEventListener("contextmenu",e,!0)),function(){a.removeEventListener("mousedown",e,!0),a.removeEventListener("contextmenu",e,!0),d&&(d.removeEventListener("mousedown",e,!0),d.removeEventListener("contextmenu",e,!0))}}}),[t,n,r,o,i])}($e,wt,Ae,ge,I,P,De,ze);var jt,Ft,$t=At.has("hover"),Xt=Ct.has("hover");$t&&(Mt("onMouseEnter",!0,A,(function(e){at(e)})),Mt("onPointerEnter",!0,A,(function(e){at(e)})),jt=function(e){($e||Xe)&&null!=ge&&ge.contains(e.target)&&ze(!0,A)},H&&(xe.onMouseMove=function(e){var t;null===(t=Ie.onMouseMove)||void 0===t||t.call(Ie,e)})),Xt&&(Mt("onMouseLeave",!1,O),Mt("onPointerLeave",!1,O),Ft=function(){ze(!1,O)}),At.has("focus")&&Mt("onFocus",!0,w),Ct.has("focus")&&Mt("onBlur",!1,S),At.has("contextMenu")&&(xe.onContextMenu=function(e){var t;Ue.current&&Ct.has("contextMenu")?ze(!1):(at(e),ze(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Ie.onContextMenu)||void 0===t||t.call.apply(t,[Ie,e].concat(r))}),te&&(xe.className=o()(Ie.className,te));var Kt=(0,c.A)((0,c.A)({},Ie),xe),rn={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(rn[e]=function(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];null===(t=Kt[e])||void 0===t||t.call.apply(t,[Kt].concat(r)),re[e].apply(re,r)})}));var on=a.cloneElement(Se,(0,c.A)((0,c.A)({},Kt),rn)),an={x:mt,y:ft},ln=Y?(0,c.A)({},!0!==Y?Y:{}):null;return a.createElement(a.Fragment,null,a.createElement(Pe,{disabled:!$e,ref:we,onResize:function(){kt(),St()}},a.createElement(Ut,{getTriggerDOMNode:ne},on)),a.createElement(Vt.Provider,{value:ue},a.createElement(_t,{portal:e,ref:ve,prefixCls:i,popup:N,className:o()(L,It),style:k,target:Ae,onMouseEnter:jt,onMouseLeave:Ft,onPointerEnter:jt,zIndex:_,open:$e,keepDom:Xe,fresh:W,onClick:z,mask:I,motion:Be,maskMotion:Ne,onVisibleChanged:function(e){Qe(!1),vt(),null==E||E(e)},onPrepare:function(){return new Promise((function(e){kt(),et((function(){return e}))}))},forceRender:T,autoDestroy:oe,getPopupContainer:D,align:ht,arrow:ln,arrowPos:an,ready:st,offsetX:ct,offsetY:dt,offsetR:ut,offsetB:pt,onAlign:St,stretch:V,targetWidth:Dt/gt,targetHeight:Nt/bt})))}));return t}(j);var on={shiftX:64,adjustY:1},an={adjustX:1,shiftY:!0},ln=[0,0],sn={left:{points:["cr","cl"],overflow:an,offset:[-4,0],targetOffset:ln},right:{points:["cl","cr"],overflow:an,offset:[4,0],targetOffset:ln},top:{points:["bc","tc"],overflow:on,offset:[0,-4],targetOffset:ln},bottom:{points:["tc","bc"],overflow:on,offset:[0,4],targetOffset:ln},topLeft:{points:["bl","tl"],overflow:on,offset:[0,-4],targetOffset:ln},leftTop:{points:["tr","tl"],overflow:an,offset:[-4,0],targetOffset:ln},topRight:{points:["br","tr"],overflow:on,offset:[0,-4],targetOffset:ln},rightTop:{points:["tl","tr"],overflow:an,offset:[4,0],targetOffset:ln},bottomRight:{points:["tr","br"],overflow:on,offset:[0,4],targetOffset:ln},rightBottom:{points:["bl","br"],overflow:an,offset:[4,0],targetOffset:ln},bottomLeft:{points:["tl","bl"],overflow:on,offset:[0,4],targetOffset:ln},leftBottom:{points:["br","bl"],overflow:an,offset:[-4,0],targetOffset:ln}},cn=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],dn=function(e,t){var n=e.overlayClassName,r=e.trigger,o=void 0===r?["hover"]:r,i=e.mouseEnterDelay,u=void 0===i?0:i,p=e.mouseLeaveDelay,m=void 0===p?.1:p,f=e.overlayStyle,g=e.prefixCls,b=void 0===g?"rc-tooltip":g,h=e.children,v=e.onVisibleChange,y=e.afterVisibleChange,E=e.transitionName,A=e.animation,C=e.motion,O=e.placement,w=void 0===O?"right":O,S=e.align,I=void 0===S?{}:S,x=e.destroyTooltipOnHide,P=void 0!==x&&x,D=e.defaultVisible,T=e.getTooltipContainer,R=e.overlayInnerStyle,B=(e.arrowContent,e.overlay),N=e.id,L=e.showArrow,k=void 0===L||L,M=(0,d.A)(e,cn),j=(0,a.useRef)(null);(0,a.useImperativeHandle)(t,(function(){return j.current}));var F=(0,c.A)({},M);return"visible"in e&&(F.popupVisible=e.visible),a.createElement(rn,(0,s.A)({popupClassName:n,prefixCls:b,popup:function(){return a.createElement(l,{key:"content",prefixCls:b,id:N,overlayInnerStyle:R},B)},action:o,builtinPlacements:sn,popupPlacement:w,ref:j,popupAlign:I,getPopupContainer:T,onPopupVisibleChange:v,afterPopupVisibleChange:y,popupTransitionName:E,popupAnimation:A,popupMotion:C,defaultPopupVisible:D,autoDestroy:P,mouseLeaveDelay:m,popupStyle:f,mouseEnterDelay:u,arrow:k},F),h)};const un=(0,a.forwardRef)(dn)},9370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},8728:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(5959);function o(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>l,o:()=>i});var r=n(5959),o=(0,n(9370).A)()?r.useLayoutEffect:r.useEffect,a=function(e,t){var n=r.useRef(!0);o((function(){return e(n.current)}),t),o((function(){return n.current=!1,function(){n.current=!0}}),[])},i=function(e,t){a((function(t){if(!t)return e()}),t)};const l=a},9273:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(7850),o=n(8728),a=n(697),i=n(1773);function l(e){return void 0!==e}function s(e,t){var n=t||{},s=n.defaultValue,c=n.value,d=n.onChange,u=n.postState,p=(0,i.A)((function(){return l(c)?c:l(s)?"function"==typeof s?s():s:"function"==typeof e?e():e})),m=(0,r.A)(p,2),f=m[0],g=m[1],b=void 0!==c?c:f,h=u?u(b):b,v=(0,o.A)(d),y=(0,i.A)([b]),E=(0,r.A)(y,2),A=E[0],C=E[1];return(0,a.o)((function(){var e=A[0];f!==e&&v(f,e)}),[A]),(0,a.o)((function(){l(c)||g(c)}),[c]),[h,(0,o.A)((function(e,t){g(e,t),C([b],t)}))]}},1773:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(7850),o=n(5959);function a(e){var t=o.useRef(!1),n=o.useState(e),a=(0,r.A)(n,2),i=a[0],l=a[1];return o.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[i,function(e,n){n&&t.current||l(e)}]}},291:(e,t,n)=>{"use strict";n.d(t,{_q:()=>r.A});var r=n(8728);n(9273),n(9115),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys,n(4358)},9115:(e,t,n)=>{"use strict";n.d(t,{K4:()=>l,Xf:()=>i,f3:()=>c,xK:()=>s});var r=n(694),o=n(5959),a=n(9555),i=function(e,t){"function"==typeof e?e(t):"object"===(0,r.A)(e)&&e&&"current"in e&&(e.current=t)},l=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){i(t,e)}))}},s=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return l.apply(void 0,t)},a=t,i=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(s=o.useRef({})).current&&!i(s.current.condition,a)||(s.current.value=r(),s.current.condition=a),s.current.value;var r,a,i,s},c=function(e){var t,n,r=(0,a.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===a.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===a.ForwardRef)};Number(o.version.split(".")[0])},4358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>c});var r={},o=[];function a(e,t){}function i(e,t){}function l(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function s(e,t){l(a,e,t)}s.preMessage=function(e){o.push(e)},s.resetWarned=function(){r={}},s.noteOnce=function(e,t){l(i,e,t)};const c=s},6087:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),o=Symbol.for("react.fragment"),a=Symbol.for("react.strict_mode"),i=Symbol.for("react.profiler"),l=Symbol.for("react.provider"),s=Symbol.for("react.context"),c=Symbol.for("react.server_context"),d=Symbol.for("react.forward_ref"),u=Symbol.for("react.suspense"),p=Symbol.for("react.suspense_list"),m=Symbol.for("react.memo"),f=Symbol.for("react.lazy");Symbol.for("react.offscreen");function g(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case o:case i:case a:case u:case p:return e;default:switch(e=e&&e.$$typeof){case c:case s:case d:case f:case m:case l:return e;default:return t}}case r:return t}}}Symbol.for("react.module.reference"),t.ForwardRef=d,t.isFragment=function(e){return g(e)===o},t.isMemo=function(e){return g(e)===m}},9555:(e,t,n)=>{"use strict";e.exports=n(6087)},9524:(e,t,n)=>{const r=Symbol("SemVer ANY");class o{static get ANY(){return r}constructor(e,t){if(t=a(t),e instanceof o){if(e.loose===!!t.loose)return e;e=e.value}e=e.trim().split(/\s+/).join(" "),c("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===r?this.value="":this.value=this.operator+this.semver.version,c("comp",this)}parse(e){const t=this.options.loose?i[l.COMPARATORLOOSE]:i[l.COMPARATOR],n=e.match(t);if(!n)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==n[1]?n[1]:"","="===this.operator&&(this.operator=""),n[2]?this.semver=new d(n[2],this.options.loose):this.semver=r}toString(){return this.value}test(e){if(c("Comparator.test",e,this.options.loose),this.semver===r||e===r)return!0;if("string"==typeof e)try{e=new d(e,this.options)}catch(e){return!1}return s(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof o))throw new TypeError("a Comparator is required");return""===this.operator?""===this.value||new u(e.value,t).test(this.value):""===e.operator?""===e.value||new u(this.value,t).test(e.semver):!((t=a(t)).includePrerelease&&("<0.0.0-0"===this.value||"<0.0.0-0"===e.value)||!t.includePrerelease&&(this.value.startsWith("<0.0.0")||e.value.startsWith("<0.0.0"))||(!this.operator.startsWith(">")||!e.operator.startsWith(">"))&&(!this.operator.startsWith("<")||!e.operator.startsWith("<"))&&(this.semver.version!==e.semver.version||!this.operator.includes("=")||!e.operator.includes("="))&&!(s(this.semver,"<",e.semver,t)&&this.operator.startsWith(">")&&e.operator.startsWith("<"))&&!(s(this.semver,">",e.semver,t)&&this.operator.startsWith("<")&&e.operator.startsWith(">")))}}e.exports=o;const a=n(7095),{safeRe:i,t:l}=n(6850),s=n(3811),c=n(9796),d=n(7944),u=n(8395)},8395:(e,t,n)=>{class r{constructor(e,t){if(t=a(t),e instanceof r)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new r(e.raw,t);if(e instanceof i)return this.raw=e.value,this.set=[[e]],this.format(),this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e.trim().split(/\s+/).join(" "),this.set=this.raw.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${this.raw}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!b(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&h(e[0])){this.set=[e];break}}this.format()}format(){return this.range=this.set.map((e=>e.join(" ").trim())).join("||").trim(),this.range}toString(){return this.range}parseRange(e){const t=((this.options.includePrerelease&&f)|(this.options.loose&&g))+":"+e,n=o.get(t);if(n)return n;const r=this.options.loose,a=r?c[d.HYPHENRANGELOOSE]:c[d.HYPHENRANGE];e=e.replace(a,D(this.options.includePrerelease)),l("hyphen replace",e),e=e.replace(c[d.COMPARATORTRIM],u),l("comparator trim",e),e=e.replace(c[d.TILDETRIM],p),l("tilde trim",e),e=e.replace(c[d.CARETTRIM],m),l("caret trim",e);let s=e.split(" ").map((e=>y(e,this.options))).join(" ").split(/\s+/).map((e=>P(e,this.options)));r&&(s=s.filter((e=>(l("loose invalid filter",e,this.options),!!e.match(c[d.COMPARATORLOOSE]))))),l("range list",s);const h=new Map,v=s.map((e=>new i(e,this.options)));for(const e of v){if(b(e))return[e];h.set(e.value,e)}h.size>1&&h.has("")&&h.delete("");const E=[...h.values()];return o.set(t,E),E}intersects(e,t){if(!(e instanceof r))throw new TypeError("a Range is required");return this.set.some((n=>v(n,t)&&e.set.some((e=>v(e,t)&&n.every((n=>e.every((e=>n.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new s(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(T(this.set[t],e,this.options))return!0;return!1}}e.exports=r;const o=new(n(1158)),a=n(7095),i=n(9524),l=n(9796),s=n(7944),{safeRe:c,t:d,comparatorTrimReplace:u,tildeTrimReplace:p,caretTrimReplace:m}=n(6850),{FLAG_INCLUDE_PRERELEASE:f,FLAG_LOOSE:g}=n(9630),b=e=>"<0.0.0-0"===e.value,h=e=>""===e.value,v=(e,t)=>{let n=!0;const r=e.slice();let o=r.pop();for(;n&&r.length;)n=r.every((e=>o.intersects(e,t))),o=r.pop();return n},y=(e,t)=>(l("comp",e,t),e=O(e,t),l("caret",e),e=A(e,t),l("tildes",e),e=S(e,t),l("xrange",e),e=x(e,t),l("stars",e),e),E=e=>!e||"x"===e.toLowerCase()||"*"===e,A=(e,t)=>e.trim().split(/\s+/).map((e=>C(e,t))).join(" "),C=(e,t)=>{const n=t.loose?c[d.TILDELOOSE]:c[d.TILDE];return e.replace(n,((t,n,r,o,a)=>{let i;return l("tilde",e,t,n,r,o,a),E(n)?i="":E(r)?i=`>=${n}.0.0 <${+n+1}.0.0-0`:E(o)?i=`>=${n}.${r}.0 <${n}.${+r+1}.0-0`:a?(l("replaceTilde pr",a),i=`>=${n}.${r}.${o}-${a} <${n}.${+r+1}.0-0`):i=`>=${n}.${r}.${o} <${n}.${+r+1}.0-0`,l("tilde return",i),i}))},O=(e,t)=>e.trim().split(/\s+/).map((e=>w(e,t))).join(" "),w=(e,t)=>{l("caret",e,t);const n=t.loose?c[d.CARETLOOSE]:c[d.CARET],r=t.includePrerelease?"-0":"";return e.replace(n,((t,n,o,a,i)=>{let s;return l("caret",e,t,n,o,a,i),E(n)?s="":E(o)?s=`>=${n}.0.0${r} <${+n+1}.0.0-0`:E(a)?s="0"===n?`>=${n}.${o}.0${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.0${r} <${+n+1}.0.0-0`:i?(l("replaceCaret pr",i),s="0"===n?"0"===o?`>=${n}.${o}.${a}-${i} <${n}.${o}.${+a+1}-0`:`>=${n}.${o}.${a}-${i} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${a}-${i} <${+n+1}.0.0-0`):(l("no pr"),s="0"===n?"0"===o?`>=${n}.${o}.${a}${r} <${n}.${o}.${+a+1}-0`:`>=${n}.${o}.${a}${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${a} <${+n+1}.0.0-0`),l("caret return",s),s}))},S=(e,t)=>(l("replaceXRanges",e,t),e.split(/\s+/).map((e=>I(e,t))).join(" ")),I=(e,t)=>{e=e.trim();const n=t.loose?c[d.XRANGELOOSE]:c[d.XRANGE];return e.replace(n,((n,r,o,a,i,s)=>{l("xRange",e,n,r,o,a,i,s);const c=E(o),d=c||E(a),u=d||E(i),p=u;return"="===r&&p&&(r=""),s=t.includePrerelease?"-0":"",c?n=">"===r||"<"===r?"<0.0.0-0":"*":r&&p?(d&&(a=0),i=0,">"===r?(r=">=",d?(o=+o+1,a=0,i=0):(a=+a+1,i=0)):"<="===r&&(r="<",d?o=+o+1:a=+a+1),"<"===r&&(s="-0"),n=`${r+o}.${a}.${i}${s}`):d?n=`>=${o}.0.0${s} <${+o+1}.0.0-0`:u&&(n=`>=${o}.${a}.0${s} <${o}.${+a+1}.0-0`),l("xRange return",n),n}))},x=(e,t)=>(l("replaceStars",e,t),e.trim().replace(c[d.STAR],"")),P=(e,t)=>(l("replaceGTE0",e,t),e.trim().replace(c[t.includePrerelease?d.GTE0PRE:d.GTE0],"")),D=e=>(t,n,r,o,a,i,l,s,c,d,u,p)=>`${n=E(r)?"":E(o)?`>=${r}.0.0${e?"-0":""}`:E(a)?`>=${r}.${o}.0${e?"-0":""}`:i?`>=${n}`:`>=${n}${e?"-0":""}`} ${s=E(c)?"":E(d)?`<${+c+1}.0.0-0`:E(u)?`<${c}.${+d+1}.0-0`:p?`<=${c}.${d}.${u}-${p}`:e?`<${c}.${d}.${+u+1}-0`:`<=${s}`}`.trim(),T=(e,t,n)=>{for(let n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!n.includePrerelease){for(let n=0;n<e.length;n++)if(l(e[n].semver),e[n].semver!==i.ANY&&e[n].semver.prerelease.length>0){const r=e[n].semver;if(r.major===t.major&&r.minor===t.minor&&r.patch===t.patch)return!0}return!1}return!0}},7944:(e,t,n)=>{const r=n(9796),{MAX_LENGTH:o,MAX_SAFE_INTEGER:a}=n(9630),{safeRe:i,t:l}=n(6850),s=n(7095),{compareIdentifiers:c}=n(4031);class d{constructor(e,t){if(t=s(t),e instanceof d){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid version. Must be a string. Got type "${typeof e}".`);if(e.length>o)throw new TypeError(`version is longer than ${o} characters`);r("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const n=e.trim().match(t.loose?i[l.LOOSE]:i[l.FULL]);if(!n)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+n[1],this.minor=+n[2],this.patch=+n[3],this.major>a||this.major<0)throw new TypeError("Invalid major version");if(this.minor>a||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>a||this.patch<0)throw new TypeError("Invalid patch version");n[4]?this.prerelease=n[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<a)return t}return e})):this.prerelease=[],this.build=n[5]?n[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(r("SemVer.compare",this.version,this.options,e),!(e instanceof d)){if("string"==typeof e&&e===this.version)return 0;e=new d(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof d||(e=new d(e,this.options)),c(this.major,e.major)||c(this.minor,e.minor)||c(this.patch,e.patch)}comparePre(e){if(e instanceof d||(e=new d(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const n=this.prerelease[t],o=e.prerelease[t];if(r("prerelease compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return c(n,o)}while(++t)}compareBuild(e){e instanceof d||(e=new d(e,this.options));let t=0;do{const n=this.build[t],o=e.build[t];if(r("build compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return c(n,o)}while(++t)}inc(e,t,n){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t,n);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t,n);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t,n),this.inc("pre",t,n);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t,n),this.inc("pre",t,n);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":{const e=Number(n)?1:0;if(!t&&!1===n)throw new Error("invalid increment argument: identifier is empty");if(0===this.prerelease.length)this.prerelease=[e];else{let r=this.prerelease.length;for(;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);if(-1===r){if(t===this.prerelease.join(".")&&!1===n)throw new Error("invalid increment argument: identifier already exists");this.prerelease.push(e)}}if(t){let r=[t,e];!1===n&&(r=[t]),0===c(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=r):this.prerelease=r}break}default:throw new Error(`invalid increment argument: ${e}`)}return this.raw=this.format(),this.build.length&&(this.raw+=`+${this.build.join(".")}`),this}}e.exports=d},7994:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e.trim().replace(/^[=v]+/,""),t);return n?n.version:null}},3811:(e,t,n)=>{const r=n(6909),o=n(7659),a=n(144),i=n(2077),l=n(599),s=n(7092);e.exports=(e,t,n,c)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e===n;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e!==n;case"":case"=":case"==":return r(e,n,c);case"!=":return o(e,n,c);case">":return a(e,n,c);case">=":return i(e,n,c);case"<":return l(e,n,c);case"<=":return s(e,n,c);default:throw new TypeError(`Invalid operator: ${t}`)}}},5334:(e,t,n)=>{const r=n(7944),o=n(5860),{safeRe:a,t:i}=n(6850);e.exports=(e,t)=>{if(e instanceof r)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let n=null;if((t=t||{}).rtl){const r=t.includePrerelease?a[i.COERCERTLFULL]:a[i.COERCERTL];let o;for(;(o=r.exec(e))&&(!n||n.index+n[0].length!==e.length);)n&&o.index+o[0].length===n.index+n[0].length||(n=o),r.lastIndex=o.index+o[1].length+o[2].length;r.lastIndex=-1}else n=e.match(t.includePrerelease?a[i.COERCEFULL]:a[i.COERCE]);if(null===n)return null;const l=n[2],s=n[3]||"0",c=n[4]||"0",d=t.includePrerelease&&n[5]?`-${n[5]}`:"",u=t.includePrerelease&&n[6]?`+${n[6]}`:"";return o(`${l}.${s}.${c}${d}${u}`,t)}},2801:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>{const o=new r(e,n),a=new r(t,n);return o.compare(a)||o.compareBuild(a)}},7023:(e,t,n)=>{const r=n(5380);e.exports=(e,t)=>r(e,t,!0)},5380:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>new r(e,n).compare(new r(t,n))},660:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,null,!0),o=r(t,null,!0),a=n.compare(o);if(0===a)return null;const i=a>0,l=i?n:o,s=i?o:n,c=!!l.prerelease.length;if(s.prerelease.length&&!c)return s.patch||s.minor?l.patch?"patch":l.minor?"minor":"major":"major";const d=c?"pre":"";return n.major!==o.major?d+"major":n.minor!==o.minor?d+"minor":n.patch!==o.patch?d+"patch":"prerelease"}},6909:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0===r(e,t,n)},144:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>0},2077:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>=0},5955:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n,o,a)=>{"string"==typeof n&&(a=o,o=n,n=void 0);try{return new r(e instanceof r?e.version:e,n).inc(t,o,a).version}catch(e){return null}}},599:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<0},7092:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<=0},2966:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).major},5986:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).minor},7659:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0!==r(e,t,n)},5860:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n=!1)=>{if(e instanceof r)return e;try{return new r(e,t)}catch(e){if(!n)return null;throw e}}},1617:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).patch},9613:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n&&n.prerelease.length?n.prerelease:null}},2862:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(t,e,n)},6033:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(n,e,t)))},1722:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>{try{t=new r(t,n)}catch(e){return!1}return t.test(e)}},603:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(e,n,t)))},7645:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n?n.version:null}},8449:(e,t,n)=>{const r=n(6850),o=n(9630),a=n(7944),i=n(4031),l=n(5860),s=n(7645),c=n(7994),d=n(5955),u=n(660),p=n(2966),m=n(5986),f=n(1617),g=n(9613),b=n(5380),h=n(2862),v=n(7023),y=n(2801),E=n(603),A=n(6033),C=n(144),O=n(599),w=n(6909),S=n(7659),I=n(2077),x=n(7092),P=n(3811),D=n(5334),T=n(9524),R=n(8395),B=n(1722),N=n(651),L=n(7840),k=n(7930),M=n(3489),j=n(7494),F=n(5463),$=n(7871),_=n(4266),U=n(1112),V=n(1465),G=n(9252);e.exports={parse:l,valid:s,clean:c,inc:d,diff:u,major:p,minor:m,patch:f,prerelease:g,compare:b,rcompare:h,compareLoose:v,compareBuild:y,sort:E,rsort:A,gt:C,lt:O,eq:w,neq:S,gte:I,lte:x,cmp:P,coerce:D,Comparator:T,Range:R,satisfies:B,toComparators:N,maxSatisfying:L,minSatisfying:k,minVersion:M,validRange:j,outside:F,gtr:$,ltr:_,intersects:U,simplifyRange:V,subset:G,SemVer:a,re:r.re,src:r.src,tokens:r.t,SEMVER_SPEC_VERSION:o.SEMVER_SPEC_VERSION,RELEASE_TYPES:o.RELEASE_TYPES,compareIdentifiers:i.compareIdentifiers,rcompareIdentifiers:i.rcompareIdentifiers}},9630:e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={MAX_LENGTH:256,MAX_SAFE_COMPONENT_LENGTH:16,MAX_SAFE_BUILD_LENGTH:250,MAX_SAFE_INTEGER:t,RELEASE_TYPES:["major","premajor","minor","preminor","patch","prepatch","prerelease"],SEMVER_SPEC_VERSION:"2.0.0",FLAG_INCLUDE_PRERELEASE:1,FLAG_LOOSE:2}},9796:e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>console.error("SEMVER",...e):()=>{};e.exports=t},4031:e=>{const t=/^[0-9]+$/,n=(e,n)=>{const r=t.test(e),o=t.test(n);return r&&o&&(e=+e,n=+n),e===n?0:r&&!o?-1:o&&!r?1:e<n?-1:1};e.exports={compareIdentifiers:n,rcompareIdentifiers:(e,t)=>n(t,e)}},1158:e=>{e.exports=class{constructor(){this.max=1e3,this.map=new Map}get(e){const t=this.map.get(e);return void 0===t?void 0:(this.map.delete(e),this.map.set(e,t),t)}delete(e){return this.map.delete(e)}set(e,t){if(!this.delete(e)&&void 0!==t){if(this.map.size>=this.max){const e=this.map.keys().next().value;this.delete(e)}this.map.set(e,t)}return this}}},7095:e=>{const t=Object.freeze({loose:!0}),n=Object.freeze({});e.exports=e=>e?"object"!=typeof e?t:e:n},6850:(e,t,n)=>{const{MAX_SAFE_COMPONENT_LENGTH:r,MAX_SAFE_BUILD_LENGTH:o,MAX_LENGTH:a}=n(9630),i=n(9796),l=(t=e.exports={}).re=[],s=t.safeRe=[],c=t.src=[],d=t.t={};let u=0;const p="[a-zA-Z0-9-]",m=[["\\s",1],["\\d",a],[p,o]],f=(e,t,n)=>{const r=(e=>{for(const[t,n]of m)e=e.split(`${t}*`).join(`${t}{0,${n}}`).split(`${t}+`).join(`${t}{1,${n}}`);return e})(t),o=u++;i(e,o,t),d[e]=o,c[o]=t,l[o]=new RegExp(t,n?"g":void 0),s[o]=new RegExp(r,n?"g":void 0)};f("NUMERICIDENTIFIER","0|[1-9]\\d*"),f("NUMERICIDENTIFIERLOOSE","\\d+"),f("NONNUMERICIDENTIFIER",`\\d*[a-zA-Z-]${p}*`),f("MAINVERSION",`(${c[d.NUMERICIDENTIFIER]})\\.(${c[d.NUMERICIDENTIFIER]})\\.(${c[d.NUMERICIDENTIFIER]})`),f("MAINVERSIONLOOSE",`(${c[d.NUMERICIDENTIFIERLOOSE]})\\.(${c[d.NUMERICIDENTIFIERLOOSE]})\\.(${c[d.NUMERICIDENTIFIERLOOSE]})`),f("PRERELEASEIDENTIFIER",`(?:${c[d.NUMERICIDENTIFIER]}|${c[d.NONNUMERICIDENTIFIER]})`),f("PRERELEASEIDENTIFIERLOOSE",`(?:${c[d.NUMERICIDENTIFIERLOOSE]}|${c[d.NONNUMERICIDENTIFIER]})`),f("PRERELEASE",`(?:-(${c[d.PRERELEASEIDENTIFIER]}(?:\\.${c[d.PRERELEASEIDENTIFIER]})*))`),f("PRERELEASELOOSE",`(?:-?(${c[d.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${c[d.PRERELEASEIDENTIFIERLOOSE]})*))`),f("BUILDIDENTIFIER",`${p}+`),f("BUILD",`(?:\\+(${c[d.BUILDIDENTIFIER]}(?:\\.${c[d.BUILDIDENTIFIER]})*))`),f("FULLPLAIN",`v?${c[d.MAINVERSION]}${c[d.PRERELEASE]}?${c[d.BUILD]}?`),f("FULL",`^${c[d.FULLPLAIN]}$`),f("LOOSEPLAIN",`[v=\\s]*${c[d.MAINVERSIONLOOSE]}${c[d.PRERELEASELOOSE]}?${c[d.BUILD]}?`),f("LOOSE",`^${c[d.LOOSEPLAIN]}$`),f("GTLT","((?:<|>)?=?)"),f("XRANGEIDENTIFIERLOOSE",`${c[d.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),f("XRANGEIDENTIFIER",`${c[d.NUMERICIDENTIFIER]}|x|X|\\*`),f("XRANGEPLAIN",`[v=\\s]*(${c[d.XRANGEIDENTIFIER]})(?:\\.(${c[d.XRANGEIDENTIFIER]})(?:\\.(${c[d.XRANGEIDENTIFIER]})(?:${c[d.PRERELEASE]})?${c[d.BUILD]}?)?)?`),f("XRANGEPLAINLOOSE",`[v=\\s]*(${c[d.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[d.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[d.XRANGEIDENTIFIERLOOSE]})(?:${c[d.PRERELEASELOOSE]})?${c[d.BUILD]}?)?)?`),f("XRANGE",`^${c[d.GTLT]}\\s*${c[d.XRANGEPLAIN]}$`),f("XRANGELOOSE",`^${c[d.GTLT]}\\s*${c[d.XRANGEPLAINLOOSE]}$`),f("COERCEPLAIN",`(^|[^\\d])(\\d{1,${r}})(?:\\.(\\d{1,${r}}))?(?:\\.(\\d{1,${r}}))?`),f("COERCE",`${c[d.COERCEPLAIN]}(?:$|[^\\d])`),f("COERCEFULL",c[d.COERCEPLAIN]+`(?:${c[d.PRERELEASE]})?`+`(?:${c[d.BUILD]})?(?:$|[^\\d])`),f("COERCERTL",c[d.COERCE],!0),f("COERCERTLFULL",c[d.COERCEFULL],!0),f("LONETILDE","(?:~>?)"),f("TILDETRIM",`(\\s*)${c[d.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",f("TILDE",`^${c[d.LONETILDE]}${c[d.XRANGEPLAIN]}$`),f("TILDELOOSE",`^${c[d.LONETILDE]}${c[d.XRANGEPLAINLOOSE]}$`),f("LONECARET","(?:\\^)"),f("CARETTRIM",`(\\s*)${c[d.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",f("CARET",`^${c[d.LONECARET]}${c[d.XRANGEPLAIN]}$`),f("CARETLOOSE",`^${c[d.LONECARET]}${c[d.XRANGEPLAINLOOSE]}$`),f("COMPARATORLOOSE",`^${c[d.GTLT]}\\s*(${c[d.LOOSEPLAIN]})$|^$`),f("COMPARATOR",`^${c[d.GTLT]}\\s*(${c[d.FULLPLAIN]})$|^$`),f("COMPARATORTRIM",`(\\s*)${c[d.GTLT]}\\s*(${c[d.LOOSEPLAIN]}|${c[d.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",f("HYPHENRANGE",`^\\s*(${c[d.XRANGEPLAIN]})\\s+-\\s+(${c[d.XRANGEPLAIN]})\\s*$`),f("HYPHENRANGELOOSE",`^\\s*(${c[d.XRANGEPLAINLOOSE]})\\s+-\\s+(${c[d.XRANGEPLAINLOOSE]})\\s*$`),f("STAR","(<|>)?=?\\s*\\*"),f("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),f("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},7871:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,">",n)},1112:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>(e=new r(e,n),t=new r(t,n),e.intersects(t,n))},4266:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,"<",n)},7840:(e,t,n)=>{const r=n(7944),o=n(8395);e.exports=(e,t,n)=>{let a=null,i=null,l=null;try{l=new o(t,n)}catch(e){return null}return e.forEach((e=>{l.test(e)&&(a&&-1!==i.compare(e)||(a=e,i=new r(a,n)))})),a}},7930:(e,t,n)=>{const r=n(7944),o=n(8395);e.exports=(e,t,n)=>{let a=null,i=null,l=null;try{l=new o(t,n)}catch(e){return null}return e.forEach((e=>{l.test(e)&&(a&&1!==i.compare(e)||(a=e,i=new r(a,n)))})),a}},3489:(e,t,n)=>{const r=n(7944),o=n(8395),a=n(144);e.exports=(e,t)=>{e=new o(e,t);let n=new r("0.0.0");if(e.test(n))return n;if(n=new r("0.0.0-0"),e.test(n))return n;n=null;for(let t=0;t<e.set.length;++t){const o=e.set[t];let i=null;o.forEach((e=>{const t=new r(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":i&&!a(t,i)||(i=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!i||n&&!a(n,i)||(n=i)}return n&&e.test(n)?n:null}},5463:(e,t,n)=>{const r=n(7944),o=n(9524),{ANY:a}=o,i=n(8395),l=n(1722),s=n(144),c=n(599),d=n(7092),u=n(2077);e.exports=(e,t,n,p)=>{let m,f,g,b,h;switch(e=new r(e,p),t=new i(t,p),n){case">":m=s,f=d,g=c,b=">",h=">=";break;case"<":m=c,f=u,g=s,b="<",h="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(l(e,t,p))return!1;for(let n=0;n<t.set.length;++n){const r=t.set[n];let i=null,l=null;if(r.forEach((e=>{e.semver===a&&(e=new o(">=0.0.0")),i=i||e,l=l||e,m(e.semver,i.semver,p)?i=e:g(e.semver,l.semver,p)&&(l=e)})),i.operator===b||i.operator===h)return!1;if((!l.operator||l.operator===b)&&f(e,l.semver))return!1;if(l.operator===h&&g(e,l.semver))return!1}return!0}},1465:(e,t,n)=>{const r=n(1722),o=n(5380);e.exports=(e,t,n)=>{const a=[];let i=null,l=null;const s=e.sort(((e,t)=>o(e,t,n)));for(const e of s)r(e,t,n)?(l=e,i||(i=e)):(l&&a.push([i,l]),l=null,i=null);i&&a.push([i,null]);const c=[];for(const[e,t]of a)e===t?c.push(e):t||e!==s[0]?t?e===s[0]?c.push(`<=${t}`):c.push(`${e} - ${t}`):c.push(`>=${e}`):c.push("*");const d=c.join(" || "),u="string"==typeof t.raw?t.raw:String(t);return d.length<u.length?d:t}},9252:(e,t,n)=>{const r=n(8395),o=n(9524),{ANY:a}=o,i=n(1722),l=n(5380),s=[new o(">=0.0.0-0")],c=[new o(">=0.0.0")],d=(e,t,n)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===a){if(1===t.length&&t[0].semver===a)return!0;e=n.includePrerelease?s:c}if(1===t.length&&t[0].semver===a){if(n.includePrerelease)return!0;t=c}const r=new Set;let o,d,m,f,g,b,h;for(const t of e)">"===t.operator||">="===t.operator?o=u(o,t,n):"<"===t.operator||"<="===t.operator?d=p(d,t,n):r.add(t.semver);if(r.size>1)return null;if(o&&d){if(m=l(o.semver,d.semver,n),m>0)return null;if(0===m&&(">="!==o.operator||"<="!==d.operator))return null}for(const e of r){if(o&&!i(e,String(o),n))return null;if(d&&!i(e,String(d),n))return null;for(const r of t)if(!i(e,String(r),n))return!1;return!0}let v=!(!d||n.includePrerelease||!d.semver.prerelease.length)&&d.semver,y=!(!o||n.includePrerelease||!o.semver.prerelease.length)&&o.semver;v&&1===v.prerelease.length&&"<"===d.operator&&0===v.prerelease[0]&&(v=!1);for(const e of t){if(h=h||">"===e.operator||">="===e.operator,b=b||"<"===e.operator||"<="===e.operator,o)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(f=u(o,e,n),f===e&&f!==o)return!1}else if(">="===o.operator&&!i(o.semver,String(e),n))return!1;if(d)if(v&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===v.major&&e.semver.minor===v.minor&&e.semver.patch===v.patch&&(v=!1),"<"===e.operator||"<="===e.operator){if(g=p(d,e,n),g===e&&g!==d)return!1}else if("<="===d.operator&&!i(d.semver,String(e),n))return!1;if(!e.operator&&(d||o)&&0!==m)return!1}return!(o&&b&&!d&&0!==m||d&&h&&!o&&0!==m||y||v)},u=(e,t,n)=>{if(!e)return t;const r=l(e.semver,t.semver,n);return r>0?e:r<0||">"===t.operator&&">="===e.operator?t:e},p=(e,t,n)=>{if(!e)return t;const r=l(e.semver,t.semver,n);return r<0?e:r>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,n={})=>{if(e===t)return!0;e=new r(e,n),t=new r(t,n);let o=!1;e:for(const r of e.set){for(const e of t.set){const t=d(r,e,n);if(o=o||null!==t,t)continue e}if(o)return!1}return!0}},651:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>new r(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},7494:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>{try{return new r(e,t).range||"*"}catch(e){return null}}},5846:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>h});var r=n(5292),o=n.n(r),a=n(9893),i=n.n(a),l=n(9383),s=n.n(l),c=n(6884),d=n.n(c),u=n(9088),p=n.n(u),m=n(7997),f=n.n(m),g=n(3261),b={};b.styleTagTransform=f(),b.setAttributes=d(),b.insert=s().bind(null,"head"),b.domAPI=i(),b.insertStyleElement=p(),o()(g.A,b);const h=g.A&&g.A.locals?g.A.locals:void 0},5292:e=>{"use strict";var t=[];function n(e){for(var n=-1,r=0;r<t.length;r++)if(t[r].identifier===e){n=r;break}return n}function r(e,r){for(var a={},i=[],l=0;l<e.length;l++){var s=e[l],c=r.base?s[0]+r.base:s[0],d=a[c]||0,u="".concat(c," ").concat(d);a[c]=d+1;var p=n(u),m={css:s[1],media:s[2],sourceMap:s[3],supports:s[4],layer:s[5]};if(-1!==p)t[p].references++,t[p].updater(m);else{var f=o(m,r);r.byIndex=l,t.splice(l,0,{identifier:u,updater:f,references:1})}i.push(u)}return i}function o(e,t){var n=t.domAPI(t);return n.update(e),function(t){if(t){if(t.css===e.css&&t.media===e.media&&t.sourceMap===e.sourceMap&&t.supports===e.supports&&t.layer===e.layer)return;n.update(e=t)}else n.remove()}}e.exports=function(e,o){var a=r(e=e||[],o=o||{});return function(e){e=e||[];for(var i=0;i<a.length;i++){var l=n(a[i]);t[l].references--}for(var s=r(e,o),c=0;c<a.length;c++){var d=n(a[c]);0===t[d].references&&(t[d].updater(),t.splice(d,1))}a=s}}},9383:e=>{"use strict";var t={};e.exports=function(e,n){var r=function(e){if(void 0===t[e]){var n=document.querySelector(e);if(window.HTMLIFrameElement&&n instanceof window.HTMLIFrameElement)try{n=n.contentDocument.head}catch(e){n=null}t[e]=n}return t[e]}(e);if(!r)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");r.appendChild(n)}},9088:e=>{"use strict";e.exports=function(e){var t=document.createElement("style");return e.setAttributes(t,e.attributes),e.insert(t,e.options),t}},6884:(e,t,n)=>{"use strict";e.exports=function(e){var t=n.nc;t&&e.setAttribute("nonce",t)}},9893:e=>{"use strict";e.exports=function(e){if("undefined"==typeof document)return{update:function(){},remove:function(){}};var t=e.insertStyleElement(e);return{update:function(n){!function(e,t,n){var r="";n.supports&&(r+="@supports (".concat(n.supports,") {")),n.media&&(r+="@media ".concat(n.media," {"));var o=void 0!==n.layer;o&&(r+="@layer".concat(n.layer.length>0?" ".concat(n.layer):""," {")),r+=n.css,o&&(r+="}"),n.media&&(r+="}"),n.supports&&(r+="}");var a=n.sourceMap;a&&"undefined"!=typeof btoa&&(r+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(a))))," */")),t.styleTagTransform(r,e,t.options)}(t,e,n)},remove:function(){!function(e){if(null===e.parentNode)return!1;e.parentNode.removeChild(e)}(t)}}}},7997:e=>{"use strict";e.exports=function(e,t){if(t.styleSheet)t.styleSheet.cssText=e;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(e))}}},6089:e=>{"use strict";e.exports=r},9089:e=>{"use strict";e.exports=a},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=l},2007:e=>{"use strict";e.exports=t},3241:e=>{"use strict";e.exports=o},5959:e=>{"use strict";e.exports=n},8398:e=>{"use strict";e.exports=i},200:e=>{"use strict";e.exports=d},7694:e=>{"use strict";e.exports=c},1269:e=>{"use strict";e.exports=s},4452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=i(e,a(n)))}return e}function a(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=i(t,n));return t}function i(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(n=function(){return o}.apply(t,[]))||(e.exports=n)}()},7451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},1705:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(2162);function o(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},8102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},7405:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(1705);function o(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function a(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?o(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):o(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},9644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.indexOf(r)>=0)continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||{}.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}n.d(t,{A:()=>r})},7850:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(6438);function o(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,o,a,i,l=[],s=!0,c=!1;try{if(a=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;s=!1}else for(;!(s=(r=a.call(n)).done)&&(l.push(r.value),l.length!==t);s=!0);}catch(e){c=!0,o=e}finally{try{if(!s&&null!=n.return&&(i=n.return(),Object(i)!==i))return}finally{if(c)throw o}}return l}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},4300:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(7451),o=n(6438);function a(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,o.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},2162:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(694);function o(e){var t=function(e,t){if("object"!=(0,r.A)(e)||!e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var o=n.call(e,"string");if("object"!=(0,r.A)(o))return o;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},6438:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7451);function o(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}}},p={};function m(e){var t=p[e];if(void 0!==t)return t.exports;var n=p[e]={id:e,exports:{}};return u[e](n,n.exports,m),n.exports}m.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return m.d(t,{a:t}),t},m.d=(e,t)=>{for(var n in t)m.o(t,n)&&!m.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},m.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),m.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),m.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},m.nc=void 0;var f={};return(()=>{"use strict";m.r(f),m.d(f,{plugin:()=>hs});var e,t,n,r,o,a,i,l,s,c=m(7781),d=m(2007),u=m(5959),p=m.n(u);!function(e){e.LEFT="left",e.CENTER="center",e.RIGHT="right"}(e||(e={})),function(e){e.SMALL="sm",e.MEDIUM="md",e.LARGE="lg"}(t||(t={})),function(e){e.CUSTOM="custom",e.DESTRUCTIVE="destructive",e.HIDDEN="hidden",e.PRIMARY="primary",e.SECONDARY="secondary"}(n||(n={})),function(e){e.FORM="form",e.BOTTOM="bottom"}(r||(r={})),function(e){e.C="c",e.CPP="cpp",e.CSHARP="csharp",e.GO="go",e.JAVA="java",e.JAVASCRIPT="javascript",e.JSON="json",e.MYSQL="mysql",e.PHP="php",e.PGSQL="pgsql",e.PYTHON="python",e.RUBY="ruby",e.SQL="sql",e.TYPESCRIPT="typescript"}(o||(o={})),function(e){e.REQUEST="request",e.GET_PAYLOAD="getPayload",e.ELEMENT_VALUE_CHANGED="elementValueChanged",e.ELEMENT_SHOW_IF="elementShowIf",e.ELEMENT_DISABLE_IF="elementDisableIf",e.ELEMENT_GET_OPTIONS="elementGetOptions"}(a||(a={})),function(e){e.NEW_TAB="_blank",e.SELF_TAB="_self"}(i||(i={})),function(e){e.NAME="name",e.OLD_VALUE="oldValue",e.NEW_VALUE="newValue"}(l||(l={})),function(e){e.DISABLED="disabled",e.AUTO="auto",e.MANUAL="manual"}(s||(s={}));const g=[{value:n.HIDDEN,label:"Hidden"}],b=[{value:n.PRIMARY,label:"Primary"},{value:n.SECONDARY,label:"Secondary"},{value:n.DESTRUCTIVE,label:"Destructive"},{value:n.CUSTOM,label:"Custom"}],h=[{value:e.LEFT,label:"Left",icon:"horizontal-align-left"},{value:e.CENTER,label:"Center",icon:"horizontal-align-center"},{value:e.RIGHT,label:"Right",icon:"horizontal-align-right"}],v=[{value:t.SMALL,label:"Small"},{value:t.MEDIUM,label:"Medium"},{value:t.LARGE,label:"Large"}];var y=m(7774);const E=new y.Fn({detail:"All properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{data:new y.OA("Panel data."),options:new y.OA("Panel options."),onOptionsChange:new y.OA("Update panel options on dashboard.",d.CodeEditorSuggestionItemKind.Method),elements:new y.OA("Panel elements."),onChangeElements:new y.OA("Update panel elements.",d.CodeEditorSuggestionItemKind.Method),patchFormValue:new y.OA("Patch panel elements.",d.CodeEditorSuggestionItemKind.Method),setFormValue:new y.OA("Set panel elements.",d.CodeEditorSuggestionItemKind.Method),formValue:new y.OA("Return current form value.",d.CodeEditorSuggestionItemKind.Method),initial:new y.OA("Initial values."),setInitial:new y.OA("Allows to specify the initial values.",d.CodeEditorSuggestionItemKind.Method),initialRequest:new y.OA("Run Initial request.",d.CodeEditorSuggestionItemKind.Method),enableSubmit:new y.OA("Enable submit button.",d.CodeEditorSuggestionItemKind.Method),disableSubmit:new y.OA("Disable submit button.",d.CodeEditorSuggestionItemKind.Method),response:new y.OA("Response object."),toggleSection:new y.OA("Toggle section",d.CodeEditorSuggestionItemKind.Method),collapseSection:new y.OA("Collapse section",d.CodeEditorSuggestionItemKind.Method),expandSection:new y.OA("Expand section",d.CodeEditorSuggestionItemKind.Method),sectionsExpandedState:new y.OA("Sections Expanded State")}},grafana:{detail:"Grafana properties and methods.",items:{backendService:new y.OA("Backend service."),locationService:new y.OA("Location service."),templateService:new y.OA("Template variables service."),notifyError:new y.OA("Show error notification.",d.CodeEditorSuggestionItemKind.Method),notifySuccess:new y.OA("Show success notification.",d.CodeEditorSuggestionItemKind.Method),notifyWarning:new y.OA("Show warning notification.",d.CodeEditorSuggestionItemKind.Method),eventBus:new y.OA("Panels events."),appEvents:new y.OA("Application events."),refresh:new y.OA("Refresh dashboard.",d.CodeEditorSuggestionItemKind.Method)}},utils:{detail:"Utils and helpers functions.",items:{toDataQueryResponse:new y.OA("Parse the results from /api/ds/query.",d.CodeEditorSuggestionItemKind.Method),fileToBase64:new y.OA("Converts File to Base64 string.",d.CodeEditorSuggestionItemKind.Method)}}}}),A=new y.Fn({detail:"All properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{data:new y.OA("Panel data."),options:new y.OA("Panel options."),onOptionsChange:new y.OA("Update panel options on dashboard.",d.CodeEditorSuggestionItemKind.Method),elements:new y.OA("Panel elements."),onChangeElements:new y.OA("Update panel elements.",d.CodeEditorSuggestionItemKind.Method),patchFormValue:new y.OA("Patch panel elements.",d.CodeEditorSuggestionItemKind.Method),setFormValue:new y.OA("Set panel elements.",d.CodeEditorSuggestionItemKind.Method),formValue:new y.OA("Return current form value.",d.CodeEditorSuggestionItemKind.Method),initial:new y.OA("Initial values."),initialRequest:new y.OA("Run Initial request.",d.CodeEditorSuggestionItemKind.Method),enableSubmit:new y.OA("Enable submit button.",d.CodeEditorSuggestionItemKind.Method),disableSubmit:new y.OA("Disable submit button.",d.CodeEditorSuggestionItemKind.Method),setError:new y.OA("Set panel error.",d.CodeEditorSuggestionItemKind.Method),enableReset:new y.OA("Enable reset button.",d.CodeEditorSuggestionItemKind.Method),disableReset:new y.OA("Disable reset button.",d.CodeEditorSuggestionItemKind.Method),enableSaveDefault:new y.OA("Enable save default button.",d.CodeEditorSuggestionItemKind.Method),disableSaveDefault:new y.OA("Disable save default button.",d.CodeEditorSuggestionItemKind.Method),toggleSection:new y.OA("Toggle section",d.CodeEditorSuggestionItemKind.Method),collapseSection:new y.OA("Collapse section",d.CodeEditorSuggestionItemKind.Method),expandSection:new y.OA("Expand section",d.CodeEditorSuggestionItemKind.Method),sectionsExpandedState:new y.OA("Sections Expanded State")}},grafana:{detail:"Grafana properties and methods.",items:{locationService:new y.OA("Location service."),templateService:new y.OA("Template variables service."),notifyError:new y.OA("Show error notification.",d.CodeEditorSuggestionItemKind.Method),notifySuccess:new y.OA("Show success notification.",d.CodeEditorSuggestionItemKind.Method),notifyWarning:new y.OA("Show warning notification.",d.CodeEditorSuggestionItemKind.Method),eventBus:new y.OA("Panels events."),appEvents:new y.OA("Application events."),refresh:new y.OA("Refresh dashboard.",d.CodeEditorSuggestionItemKind.Method)}},utils:{detail:"Utils and helpers functions.",items:{toDataQueryResponse:new y.OA("Parse the results from /api/ds/query.",d.CodeEditorSuggestionItemKind.Method)}},element:new y.OA("Form Element which value has been changed.")}}),C=new y.Fn({detail:"All properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{elements:new y.OA("Panel elements.")}},grafana:{detail:"Grafana properties and methods.",items:{replaceVariables:new y.OA("Interpolate variables.",d.CodeEditorSuggestionItemKind.Method)}}}}),O=new y.Fn({detail:"All properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{elements:new y.OA("Panel elements.")}},grafana:{detail:"Grafana properties and methods.",items:{replaceVariables:new y.OA("Interpolate variables.",d.CodeEditorSuggestionItemKind.Method)}}}}),w=new y.Fn({detail:"All properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{data:new y.OA("Panel data."),elements:new y.OA("Panel elements.")}},grafana:{detail:"Grafana properties and methods.",items:{replaceVariables:new y.OA("Interpolate variables.",d.CodeEditorSuggestionItemKind.Method)}}}}),S=new y.Fn({detail:"All properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{initial:new y.OA("Initial values."),elements:new y.OA("Panel elements.")}},utils:{detail:"Utils and helpers functions.",items:{fileToBase64:new y.OA("Converts File to Base64 string.",d.CodeEditorSuggestionItemKind.Method)}}}}),I=[{value:o.C,label:"C"},{value:o.CPP,label:"C++"},{value:o.CSHARP,label:"C#"},{value:o.GO,label:"GO"},{value:o.JAVA,label:"Java"},{value:o.JAVASCRIPT,label:"Javascript"},{value:o.JSON,label:"JSON"},{value:o.MYSQL,label:"MySQL"},{value:o.PHP,label:"PHP"},{value:o.PGSQL,label:"PostgreSQL"},{value:o.PYTHON,label:"Python"},{value:o.RUBY,label:"Ruby"},{value:o.SQL,label:"SQL"},{value:o.TYPESCRIPT,label:"TypeScript"}],x={[a.REQUEST]:E.suggestions,[a.GET_PAYLOAD]:S.suggestions,[a.ELEMENT_VALUE_CHANGED]:A.suggestions,[a.ELEMENT_DISABLE_IF]:O.suggestions,[a.ELEMENT_SHOW_IF]:C.suggestions,[a.ELEMENT_GET_OPTIONS]:w.suggestions},P=[{value:l.NAME,label:"Name"},{value:l.OLD_VALUE,label:"Old Value"},{value:l.NEW_VALUE,label:"New Value"}],D=[{value:!0,label:"Enabled",icon:"sync"},{value:!1,label:"Disabled",icon:"sync-slash"}],T={RadioButton:{container:"data-testid radio-button"},Breadcrumbs:{breadcrumb:e=>`data-testid ${e} breadcrumb`},TimePicker:{openButton:"data-testid TimePicker Open Button",overlayContent:"data-testid TimePicker Overlay Content",fromField:"data-testid Time Range from field",toField:"data-testid Time Range to field",applyTimeRange:"data-testid TimePicker submit button",copyTimeRange:"data-testid TimePicker copy button",pasteTimeRange:"data-testid TimePicker paste button",calendar:{label:"data-testid Time Range calendar",openButton:"data-testid Open time range calendar",closeButton:"data-testid Close time range Calendar"},absoluteTimeRangeTitle:"data-testid-absolute-time-range-narrow"},DataSourcePermissions:{form:()=>'form[name="addPermission"]',roleType:"Role to add new permission to",rolePicker:"Built-in role picker",permissionLevel:"Permission Level"},DateTimePicker:{input:"data-testid date-time-input"},DataSource:{TestData:{QueryTab:{scenarioSelectContainer:"Test Data Query scenario select container",scenarioSelect:"Test Data Query scenario select",max:"TestData max",min:"TestData min",noise:"TestData noise",seriesCount:"TestData series count",spread:"TestData spread",startValue:"TestData start value",drop:"TestData drop values"}},DataSourceHttpSettings:{urlInput:"data-testid Datasource HTTP settings url"},Jaeger:{traceIDInput:"Trace ID"},Prometheus:{configPage:{connectionSettings:"Data source connection URL",manageAlerts:"prometheus-alerts-manager",scrapeInterval:"data-testid scrape interval",queryTimeout:"data-testid query timeout",defaultEditor:"data-testid default editor",disableMetricLookup:"disable-metric-lookup",prometheusType:"data-testid prometheus type",prometheusVersion:"data-testid prometheus version",cacheLevel:"data-testid cache level",incrementalQuerying:"prometheus-incremental-querying",queryOverlapWindow:"data-testid query overlap window",disableRecordingRules:"disable-recording-rules",customQueryParameters:"data-testid custom query parameters",httpMethod:"data-testid http method",exemplarsAddButton:"data-testid Add exemplar config button",internalLinkSwitch:"data-testid Internal link switch",codeModeMetricNamesSuggestionLimit:"data-testid code mode metric names suggestion limit"},queryEditor:{explain:"data-testid prometheus explain switch wrapper",editorToggle:"data-testid QueryEditorModeToggle",options:"data-testid prometheus options",legend:"data-testid prometheus legend wrapper",format:"data-testid prometheus format",step:"prometheus-step",type:"data-testid prometheus type",exemplars:"prometheus-exemplars",builder:{metricSelect:"data-testid metric select",hints:"data-testid prometheus hints",metricsExplorer:"data-testid metrics explorer",queryAdvisor:"data-testid query advisor"},code:{queryField:"data-testid prometheus query field",metricsCountInfo:"data-testid metrics count disclaimer",metricsBrowser:{openButton:"data-testid open metrics browser",selectMetric:"data-testid select a metric",metricList:"data-testid metric list",labelNamesFilter:"data-testid label names filter",labelValuesFilter:"data-testid label values filter",useQuery:"data-testid use query",useAsRateQuery:"data-testid use as rate query",validateSelector:"data-testid validate selector",clear:"data-testid clear"}}},exemplarMarker:"data-testid Exemplar marker",variableQueryEditor:{queryType:"data-testid query type",labelnames:{metricRegex:"data-testid label names metric regex"},labelValues:{labelSelect:"data-testid label values label select"},metricNames:{metricRegex:"data-testid metric names metric regex"},varQueryResult:"data-testid variable query result",seriesQuery:"data-testid prometheus series query",classicQuery:"data-testid prometheus classic query"},annotations:{minStep:"prometheus-annotation-min-step",title:"data-testid prometheus annotation title",tags:"data-testid prometheus annotation tags",text:"data-testid prometheus annotation text",seriesValueAsTimestamp:"data-testid prometheus annotation series value as timestamp"}}},Menu:{MenuComponent:e=>`${e} menu`,MenuGroup:e=>`${e} menu group`,MenuItem:e=>`${e} menu item`,SubMenu:{container:"data-testid SubMenu container",icon:"data-testid SubMenu icon"}},Panels:{Panel:{title:e=>`data-testid Panel header ${e}`,content:"data-testid panel content",headerItems:e=>`data-testid Panel header item ${e}`,menuItems:e=>`data-testid Panel menu item ${e}`,menu:e=>`data-testid Panel menu ${e}`,containerByTitle:e=>`${e} panel`,headerCornerInfo:e=>`Panel header ${e}`,status:e=>`data-testid Panel status ${e}`,loadingBar:()=>"Panel loading bar",HoverWidget:{container:"data-testid hover-header-container",dragIcon:"data-testid drag-icon"},PanelDataErrorMessage:"data-testid Panel data error message"},Visualization:{Graph:{container:"Graph container",VisualizationTab:{legendSection:"Legend section"},Legend:{legendItemAlias:e=>`gpl alias ${e}`,showLegendSwitch:"gpl show legend"},xAxis:{labels:()=>"div.flot-x-axis > div.flot-tick-label"}},BarGauge:{value:"Bar gauge value",valueV2:"data-testid Bar gauge value"},PieChart:{svgSlice:"data testid Pie Chart Slice"},Text:{container:()=>".markdown-html"},Table:{header:"table header",footer:"table-footer",body:"data-testid table body"}}},VizLegend:{seriesName:e=>`data-testid VizLegend series ${e}`},Drawer:{General:{title:e=>`Drawer title ${e}`,expand:"Drawer expand",contract:"Drawer contract",close:"data-testid Drawer close",rcContentWrapper:()=>".rc-drawer-content-wrapper",subtitle:"data-testid drawer subtitle"},DashboardSaveDrawer:{saveButton:"data-testid Save dashboard drawer button",saveAsButton:"data-testid Save as dashboard drawer button",saveAsTitleInput:"Save dashboard title field"}},PanelEditor:{General:{content:"data-testid Panel editor content"},OptionsPane:{content:"data-testid Panel editor option pane content",select:"Panel editor option pane select",fieldLabel:e=>`${e} field property editor`,fieldInput:e=>`data-testid Panel editor option pane field input ${e}`},DataPane:{content:"data-testid Panel editor data pane content"},applyButton:"data-testid Apply changes and go back to dashboard",toggleVizPicker:"data-testid toggle-viz-picker",toggleVizOptions:"data-testid toggle-viz-options",toggleTableView:"data-testid toggle-table-view",showZoomField:"Map controls Show zoom control field property editor",showAttributionField:"Map controls Show attribution field property editor",showScaleField:"Map controls Show scale field property editor",showMeasureField:"Map controls Show measure tools field property editor",showDebugField:"Map controls Show debug field property editor",measureButton:"show measure tools"},PanelInspector:{Data:{content:"Panel inspector Data content"},Stats:{content:"Panel inspector Stats content"},Json:{content:"data-testid Panel inspector Json content"},Query:{content:"Panel inspector Query content",refreshButton:"Panel inspector Query refresh button",jsonObjectKeys:()=>".json-formatter-key"}},Tab:{title:e=>`Tab ${e}`,active:()=>'[class*="-activeTabStyle"]'},RefreshPicker:{runButton:"RefreshPicker run button",intervalButton:"RefreshPicker interval button",runButtonV2:"data-testid RefreshPicker run button",intervalButtonV2:"data-testid RefreshPicker interval button"},QueryTab:{content:"Query editor tab content",queryInspectorButton:"Query inspector button",queryHistoryButton:"data-testid query-history-button",addQuery:"data-testid query-tab-add-query",queryGroupTopSection:"data-testid query group top section",addExpression:"data-testid query-tab-add-expression"},QueryHistory:{queryText:"Query text"},QueryEditorRows:{rows:"Query editor row"},QueryEditorRow:{actionButton:e=>`data-testid ${e}`,title:e=>`Query editor row title ${e}`,container:e=>`Query editor row ${e}`},AlertTab:{content:"data-testid Alert editor tab content"},AlertRules:{groupToggle:"data-testid group-collapse-toggle",toggle:"data-testid collapse-toggle",expandedContent:"data-testid expanded-content",previewButton:"data-testid alert-rule preview-button",ruleNameField:"data-testid alert-rule name-field",newFolderButton:"data-testid alert-rule new-folder-button",newFolderNameField:"data-testid alert-rule name-folder-name-field",newFolderNameCreateButton:"data-testid alert-rule name-folder-name-create-button",newEvaluationGroupButton:"data-testid alert-rule new-evaluation-group-button",newEvaluationGroupName:"data-testid alert-rule new-evaluation-group-name",newEvaluationGroupInterval:"data-testid alert-rule new-evaluation-group-interval",newEvaluationGroupCreate:"data-testid alert-rule new-evaluation-group-create-button"},Alert:{alert:e=>`Alert ${e}`,alertV2:e=>`data-testid Alert ${e}`},TransformTab:{content:"data-testid Transform editor tab content",newTransform:e=>`data-testid New transform ${e}`,transformationEditor:e=>`data-testid Transformation editor ${e}`,transformationEditorDebugger:e=>`data-testid Transformation editor debugger ${e}`},Transforms:{card:e=>`data-testid New transform ${e}`,disableTransformationButton:"data-testid Disable transformation button",Reduce:{modeLabel:"data-testid Transform mode label",calculationsLabel:"data-testid Transform calculations label"},SpatialOperations:{actionLabel:"root Action field property editor",locationLabel:"root Location Mode field property editor",location:{autoOption:"Auto location option",coords:{option:"Coords location option",latitudeFieldLabel:"root Latitude field field property editor",longitudeFieldLabel:"root Longitude field field property editor"},geohash:{option:"Geohash location option",geohashFieldLabel:"root Geohash field field property editor"},lookup:{option:"Lookup location option",lookupFieldLabel:"root Lookup field field property editor",gazetteerFieldLabel:"root Gazetteer field property editor"}}},searchInput:"data-testid search transformations",noTransformationsMessage:"data-testid no transformations message",addTransformationButton:"data-testid add transformation button",removeAllTransformationsButton:"data-testid remove all transformations button"},NavBar:{Configuration:{button:"Configuration"},Toggle:{button:"data-testid Toggle menu"},Reporting:{button:"Reporting"}},NavMenu:{Menu:"data-testid navigation mega-menu",item:"data-testid Nav menu item"},NavToolbar:{container:"data-testid Nav toolbar",shareDashboard:"data-testid Share dashboard",markAsFavorite:"data-testid Mark as favorite",editDashboard:{editButton:"data-testid Edit dashboard button",saveButton:"data-testid Save dashboard button",exitButton:"data-testid Exit edit mode button",settingsButton:"data-testid Dashboard settings",addRowButton:"data-testid Add row button",addLibraryPanelButton:"data-testid Add a panel from the panel library button",addVisualizationButton:"data-testid Add new visualization menu item",pastePanelButton:"data-testid Paste panel button",discardChangesButton:"data-testid Discard changes button",discardLibraryPanelButton:"data-testid Discard library panel button",unlinkLibraryPanelButton:"data-testid Unlink library panel button",saveLibraryPanelButton:"data-testid Save library panel button",backToDashboardButton:"data-testid Back to dashboard button"}},PageToolbar:{container:()=>".page-toolbar",item:e=>`${e}`,itemButton:e=>`data-testid ${e}`},QueryEditorToolbarItem:{button:e=>`QueryEditor toolbar item button ${e}`},BackButton:{backArrow:"data-testid Go Back"},OptionsGroup:{group:e=>e?`data-testid Options group ${e}`:"data-testid Options group",toggle:e=>e?`data-testid Options group ${e} toggle`:"data-testid Options group toggle"},PluginVisualization:{item:e=>`Plugin visualization item ${e}`,current:()=>'[class*="-currentVisualizationItem"]'},Select:{option:"data-testid Select option",input:()=>'input[id*="time-options-input"]',singleValue:()=>'div[class*="-singleValue"]'},FieldConfigEditor:{content:"Field config editor content"},OverridesConfigEditor:{content:"Field overrides editor content"},FolderPicker:{container:"Folder picker select container",containerV2:"data-testid Folder picker select container",input:"data-testid folder-picker-input"},ReadonlyFolderPicker:{container:"data-testid Readonly folder picker select container"},DataSourcePicker:{container:"data-testid Data source picker select container",input:()=>'input[id="data-source-picker"]',inputV2:"data-testid Select a data source",dataSourceList:"data-testid Data source list dropdown",advancedModal:{dataSourceList:"data-testid Data source list",builtInDataSourceList:"data-testid Built in data source list"}},TimeZonePicker:{container:"Time zone picker select container",containerV2:"data-testid Time zone picker select container",changeTimeSettingsButton:"data-testid Time zone picker Change time settings button"},WeekStartPicker:{container:"Choose starting day of the week",containerV2:"data-testid Choose starting day of the week",placeholder:"Choose starting day of the week"},TraceViewer:{spanBar:"data-testid SpanBar--wrapper"},QueryField:{container:"data-testid Query field"},QueryBuilder:{queryPatterns:"data-testid Query patterns",labelSelect:"data-testid Select label",inputSelect:"data-testid Select label-input",valueSelect:"data-testid Select value",matchOperatorSelect:"data-testid Select match operator"},ValuePicker:{button:e=>`data-testid Value picker button ${e}`,select:e=>`data-testid Value picker select ${e}`},Search:{section:"Search section",sectionV2:"data-testid Search section",items:"Search items",itemsV2:"data-testid Search items",cards:"data-testid Search cards",collapseFolder:e=>`data-testid Collapse folder ${e}`,expandFolder:e=>`data-testid Expand folder ${e}`,dashboardItem:e=>`${T.Search.dashboardItems} ${e}`,dashboardCard:e=>`data-testid Search card ${e}`,folderHeader:e=>`data-testid Folder header ${e}`,folderContent:e=>`data-testid Folder content ${e}`,dashboardItems:"data-testid Dashboard search item"},DashboardLinks:{container:"data-testid Dashboard link container",dropDown:"data-testid Dashboard link dropdown",link:"data-testid Dashboard link"},LoadingIndicator:{icon:"data-testid Loading indicator"},CallToActionCard:{button:e=>`Call to action button ${e}`,buttonV2:e=>`data-testid Call to action button ${e}`},DataLinksContextMenu:{singleLink:"data-testid Data link"},CodeEditor:{container:"data-testid Code editor container"},ReactMonacoEditor:{editorLazy:"data-testid ReactMonacoEditor editorLazy"},DashboardImportPage:{textarea:"data-testid-import-dashboard-textarea",submit:"data-testid-load-dashboard"},ImportDashboardForm:{name:"data-testid-import-dashboard-title",submit:"data-testid-import-dashboard-submit"},PanelAlertTabContent:{content:"data-testid Unified alert editor tab content"},VisualizationPreview:{card:e=>`data-testid suggestion-${e}`},ColorSwatch:{name:"data-testid-colorswatch"},DashboardRow:{title:e=>`data-testid dashboard-row-title-${e}`},UserProfile:{profileSaveButton:"data-testid-user-profile-save",preferencesSaveButton:"data-testid-shared-prefs-save",orgsTable:"data-testid-user-orgs-table",sessionsTable:"data-testid-user-sessions-table",extensionPointTabs:"data-testid-extension-point-tabs",extensionPointTab:e=>`data-testid-extension-point-tab-${e}`},FileUpload:{inputField:"data-testid-file-upload-input-field",fileNameSpan:"data-testid-file-upload-file-name"},DebugOverlay:{wrapper:"debug-overlay"},OrgRolePicker:{input:"Role"},AnalyticsToolbarButton:{button:"Dashboard insights"},Variables:{variableOption:"data-testid variable-option"},Annotations:{annotationsTypeInput:"data-testid annotations-type-input",annotationsChoosePanelInput:"data-testid choose-panels-input",editor:{testButton:"data-testid annotations-test-button",resultContainer:"data-testid annotations-query-result-container"}},Tooltip:{container:"data-testid tooltip"},ReturnToPrevious:{buttonGroup:"data-testid dismissable button group",backButton:"data-testid back",dismissButton:"data-testid dismiss"},SQLQueryEditor:{selectColumn:"data-testid select-column",selectAggregation:"data-testid select-aggregation",selectAlias:"data-testid select-alias",filterConjunction:"data-testid filter-conjunction",filterField:"data-testid filter-field",filterOperator:"data-testid filter-operator",headerTableSelector:"data-testid header-table-selector",headerFilterSwitch:"data-testid header-filter-switch",headerGroupSwitch:"data-testid header-group-switch",headerOrderSwitch:"data-testid header-order-switch",headerPreviewSwitch:"data-testid header-preview-switch"}},R={delete:"data-testid Confirm Modal Danger Button"},B=(T.CallToActionCard.button("Add annotation query"),T.CallToActionCard.buttonV2("Add annotation query"),T.CallToActionCard.button("Add variable"),T.CallToActionCard.buttonV2("Add variable"),T.DataSourcePicker.inputV2,T.DataSourcePicker.inputV2,T.DataSourcePicker.inputV2,{panel:{root:"data-testid panel",loadingBar:"data-testid panel loading-bar",infoMessage:"data-testid panel info-message",singleLayoutContent:"data-testid panel single-layout-content",splitLayoutContent:e=>`data-testid panel split-layout-content-${e}`,buttonSubmit:"data-testid panel button-submit",buttonReset:"data-testid panel button-reset",buttonSaveDefault:"data-testid panel button-save-default",errorMessage:"data-testid panel error-message",buttonConfirmUpdate:R.delete,confirmModalContent:"data-testid panel confirm-modal-content",confirmModalField:e=>`data-testid panel confirm-modal-content field-${e}`,confirmModalFieldTitle:"data-testid panel confirm-modal-content field field-title",confirmModalFieldPreviousValue:"data-testid panel confirm-modal-content field field-previous-value",confirmModalFieldValue:"data-testid panel confirm-modal-content field field-value",resetConfirmModal:"data-testid panel reset-confirm-modal",buttonConfirmReset:R.delete},customCodeEditor:{root:"data-testid custom-code-editor"},formElements:{root:"data-testid form-elements",element:(e,t)=>`data-testid form-elements element-${e}-${t}`,fieldNumber:"data-testid form-elements field-number",fieldString:"data-testid form-elements field-string",fieldFile:"data-testid form-elements field-file",fieldPassword:"data-testid form-elements field-password",fieldDisabled:"data-testid form-elements field-disabled",fieldTextarea:"data-testid form-elements field-textarea",fieldDisabledTextarea:"data-testid form-elements field-disabled-textarea",fieldCode:"Code editor container",fieldBooleanContainer:"data-testid form-elements field-boolean-container",fieldDateTime:"date-time-input",fieldTime:"data-testid form-elements field-time",fieldSlider:"form-elements field-slider",fieldSliderInput:"data-testid form-elements field-slider-input",fieldRadioContainer:"data-testid form-elements field-radio-container",fieldCheckboxListContainer:"data-testid form-elements field-checkboxList-container",fieldSelect:"form-elements field-select-container",fieldCustomButtonContainer:"data-testid form-elements field-custom-button-container",fieldCustomButton:e=>`data-testid form-elements field-custom-button-${e}`,booleanOption:e=>`form-elements boolean-${e}`,unit:"data-testid form-elements unit",link:"data-testid form elements link"},formElementsEditor:{addElementError:"data-testid form-elements-editor add-element-error",buttonAddElement:"data-testid form-elements-editor button-add-element",buttonAddOption:"data-testid form-elements-editor button-add-option",buttonRemoveElement:"data-testid form-elements-editor button-remove-element",buttonRemoveOption:"data-testid form-elements-editor button-remove-option",buttonRemoveBackground:"data-testid form-elements-editor button-remove-background",buttonRemoveLabelBackground:"data-testid form-elements-editor button-remove-label-background",buttonRemoveLabelColor:"data-testid form-elements-editor button-remove-label-color",buttonSaveChanges:"data-testid form-elements-editor button-save-changes",fieldCodeHeight:"data-testid form-elements-editor field-code-height",fieldCodeLanguage:"form-elements-editor field-code-language",fieldId:"data-testid form-elements-editor field-id",fieldLabel:"data-testid form-elements-editor field-label",fieldLabelWidth:"data-testid form-elements-editor field-label-width",fieldNumberMax:"data-testid form-elements-editor field-number-max",fieldNumberMin:"data-testid form-elements-editor field-number-min",options:"data-testid form-elements-editor options",optionLabel:e=>`data-testid form-elements-editor option-label-${e}`,optionContent:e=>`data-testid form-elements-editor option-content-${e}`,fieldOptionLabel:"data-testid form-elements-editor field-option-label",fieldOptionIcon:"form-elements-editor field-option-icon",fieldOptionType:"form-elements-editor field-option-type",fieldOptionValue:"data-testid form-elements-editor field-option-value",fieldSection:"form-elements-editor field-section",fieldSliderMax:"data-testid form-elements-editor field-slider-max",fieldSliderMin:"data-testid form-elements-editor field-slider-min",fieldSliderStep:"data-testid form-elements-editor field-slider-step",fieldTextareaRows:"data-testid form-elements-editor field-textarea-rows",fieldTooltip:"data-testid form-elements-editor field-tooltip",fieldType:"form-elements-editor field-type",fieldShowIf:"form-elements-editor field-show-if",fieldDisableIf:"form-elements-editor field-disable-if",fieldUnit:"data-testid form-elements-editor field-unit",fieldVisibility:"data-testid form-elements-editor field-visibility",fieldTimeZone:"data-testid form-elements-editor field-time-zone",fieldWidth:"data-testid form-elements-editor field-width",fieldElementBackground:"data-testid form-elements-editor field-element-background",fieldLabelBackground:"data-testid form-elements-editor field-label-background",fieldLabelColor:"data-testid form-elements-editor field-label-color",fieldNamePicker:"data-testid form-elements-editor field-name-picker",fieldAccept:"data-testid form-elements-editor field-accept",fieldFromQueryPicker:"form-elements-editor field-from-query-picker",fieldDateTime:"date-time-input",fieldMinDate:"data-testid form-elements-editor field-min-date",fieldMaxDate:"data-testid form-elements-editor field-max-date",fieldCustomButtonIcon:"data-testid form-elements-editor field-custom-button-icon",fieldCustomButtonForeground:"data-testid form-elements-editor field-custom-button-foreground",fieldCustomButtonBackground:"data-testid form-elements-editor field-custom-button-background",fieldCustomButtonCustomCode:"form-elements-editor field-custom-button-custom-code",fieldCustomButtonSize:"data-testid form-elements-editor field-custom-button-size",fieldCustomButtonPlace:"data-testid form-elements-editor field-custom-button-place",fieldCustomButtonVariant:"data-testid form-elements-editor field-custom-button-variant",fieldCustomButtonLabel:"data-testid form-elements-editor field-custom-button-label",customButtonSizeOption:e=>`form-elements-editor custom-button-size-option-${e}`,customButtonPlaceOption:e=>`form-elements-editor custom-button-place-option-${e}`,customButtonVariantOption:e=>`form-elements-editor custom-button-varian-option-${e}`,optionsSourceOption:e=>`form-elements-editor options-source-option-${e}`,linkTargetOption:e=>`form-elements-editor link-target-option-${e}`,fieldQueryOptionsValue:"form-elements-editor field-query-options-value",fieldQueryOptionsLabel:"form-elements-editor field-query-options-label",newElementId:"data-testid form-elements-editor new-element-id",newElementLabel:"data-testid form-elements-editor new-element-label",newElementType:"form-elements-editor new-element-type",radioOption:e=>`form-elements-editor option-${e}`,timeTransformationOption:e=>`form-elements-editor time-option-${e}`,root:"data-testid form-elements-editor",sectionContent:(e,t)=>`data-testid form-elements-editor section-content-${e}-${t}`,sectionLabel:(e,t)=>`data-testid form-elements-editor section-label-${e}-${t}`,sectionNewContent:"data-testid form-elements-editor section-new-content",sectionNewLabel:"data-testid form-elements-editor section-new-label",buttonSetDate:"data-testid form-elements-editor button-set-date",buttonRemoveDate:"data-testid form-elements-editor button-remove-date",fieldLinkText:"data-testid form-elements-editor field-link-text",fieldGetOptions:"form-elements-editor field-get-options",fileMultipleOption:e=>`form-elements-editor file-multiple-option-${e}`},formElementsSection:{sectionContent:(e,t)=>`data-testid form-elements-section section-content-${e}-${t}`,sectionHeader:(e,t)=>`data-testid form-elements-section section-header-${e}-${t}`},headerParametersEditor:{buttonAdd:"data-testid header-parameters-editor button-add",buttonRemove:"data-testid header-parameters-editor button-remove",fieldName:"data-testid header-parameters-editor field-name",fieldValue:"data-testid header-parameters-editor field-value",parameter:e=>`data-testid header-parameters-editor root parameter-${e}`,root:"data-testid header-parameters-editor"},layoutSectionsEditor:{buttonAdd:"data-testid layout-sections-editor button-add",buttonRemove:"data-testid layout-sections-editor button-remove",fieldId:"data-testid layout-sections-editor field-id",fieldName:"data-testid layout-sections-editor field-name",fieldExpanded:"layout-sections-editor field-expanded",root:"data-testid layout-sections-editor",section:e=>`data-testid layout-sections-editor section-${e}`},datasourceEditor:{fieldSelect:"select-datasource-editor field-select"},payloadEditor:{loadingMessage:"data-testid payload-editor loading-message",errorMessage:"data-testid payload-editor error-message"},initialFieldsEditor:{root:"data-testid initial-fields-editor",buttonSaveChanges:"data-testid initial-fields-editor button-save-changes",fieldNamePicker:"data-testid initial-fields-editor field-name-picker",fieldFromQueryPicker:"data-testid initial-fields-editor field-from-query-picker"}});var N;!function(e){e.BOOLEAN="boolean",e.CODE="code",e.BUTTON="button",e.DATETIME="datetime",e.DISABLED="disabled",e.DISABLED_TEXTAREA="disabledTextarea",e.FILE="file",e.LINK="link",e.MULTISELECT="multiselect",e.NUMBER="number",e.PASSWORD="password",e.RADIO="radio",e.SECRET="secret",e.SELECT="select",e.SLIDER="slider",e.STRING="string",e.TEXTAREA="textarea",e.TIME="time",e.CHECKBOX_LIST="checkboxList"}(N||(N={}));const L=[{value:"checkboxList",label:"Checkbox list with custom options"},{value:"code",label:"Code Editor"},{value:"button",label:"Button"},{value:"datetime",label:"Date and time"},{value:"file",label:"File"},{value:"link",label:"Link"},{value:"multiselect",label:"Multi select with custom options"},{value:"number",label:"Number input"},{value:"slider",label:"Number slider"},{value:"password",label:"Password input"},{value:"boolean",label:"Radio group with boolean options"},{value:"radio",label:"Radio group with custom options"},{value:"disabled",label:"Read-only"},{value:"disabledTextarea",label:"Read-only text area"},{value:"select",label:"Select with custom options"},{value:"string",label:"String input"},{value:"textarea",label:"Text area"},{value:"time",label:"Time"}],k=[{ariaLabel:B.formElements.booleanOption("true"),value:!0,label:"True"},{ariaLabel:B.formElements.booleanOption("false"),value:!1,label:"False"}],M=[{value:"number",label:"Number"},{value:"string",label:"String"}],j=[{ariaLabel:B.formElementsEditor.radioOption("visibility-display"),description:"Display",icon:"eye",value:!1},{ariaLabel:B.formElementsEditor.radioOption("visibility-hidden"),description:"Hidden",icon:"eye-slash",value:!0}],F=[{ariaLabel:B.formElementsEditor.timeTransformationOption("time-utc"),description:"UTC",label:"UTC",value:!1},{ariaLabel:B.formElementsEditor.timeTransformationOption("time-local"),description:"Local",label:"Local",value:!0}];var $;!function(e){e.NONE="",e.INITIAL="initial",e.UPDATE="update",e.RESET="reset"}($||($={}));const _=(0,d.getAvailableIcons)().map((e=>({label:e,value:e,icon:e})));var U;!function(e){e.QUERY="Query",e.CUSTOM="Custom",e.CODE="Code"}(U||(U={}));const V=[{label:"Query",value:"Query",ariaLabel:B.formElementsEditor.optionsSourceOption("Query")},{label:"Custom",value:"Custom",ariaLabel:B.formElementsEditor.optionsSourceOption("Custom"),icon:"keyboard"},{label:"Code",value:"Code",ariaLabel:B.formElementsEditor.optionsSourceOption("Code"),icon:"calculator-alt"}],G=[{label:"Same Tab",value:i.SELF_TAB,ariaLabel:B.formElementsEditor.linkTargetOption(i.SELF_TAB)},{label:"New Tab",value:i.NEW_TAB,ariaLabel:B.formElementsEditor.linkTargetOption(i.NEW_TAB),icon:"external-link-alt"}],W=[{ariaLabel:B.formElementsEditor.customButtonPlaceOption("form"),value:r.FORM,label:"In Line"},{ariaLabel:B.formElementsEditor.customButtonPlaceOption("bottom"),value:r.BOTTOM,label:"Footer"}],H=[{ariaLabel:B.formElementsEditor.customButtonSizeOption("sm"),value:t.SMALL,label:"Small"},{ariaLabel:B.formElementsEditor.customButtonSizeOption("md"),value:t.MEDIUM,label:"Medium"},{ariaLabel:B.formElementsEditor.customButtonSizeOption("lg"),value:t.LARGE,label:"Large"}],z=[{ariaLabel:B.formElementsEditor.customButtonVariantOption("primary"),value:n.PRIMARY,label:"Primary"},{ariaLabel:B.formElementsEditor.customButtonVariantOption("secondary"),value:n.SECONDARY,label:"Secondary"},{ariaLabel:B.formElementsEditor.customButtonVariantOption("destructive"),value:n.DESTRUCTIVE,label:"Destructive"},{ariaLabel:B.formElementsEditor.customButtonVariantOption("custom"),value:n.CUSTOM,label:"Custom"}];var q;!function(e){e.DATASOURCE="datasource",e.DELETE="DELETE",e.GET="GET",e.NONE="-",e.PATCH="PATCH",e.POST="POST",e.PUT="PUT",e.QUERY="query"}(q||(q={}));const Y=[{value:"-",label:"Code",icon:"calculator-alt"},{value:"datasource",label:"Data Source",icon:"database"},{value:"query",label:"Query"},{value:"GET",label:"GET"}],X=[{value:"-",label:"Code",icon:"calculator-alt"},{value:"datasource",label:"Data Source",icon:"database"},{value:"DELETE",label:"DELETE"},{value:"PATCH",label:"PATCH"},{value:"POST",label:"POST"},{value:"PUT",label:"PUT"}];var Q;!function(e){e.FORMDATA="multipart/form-data",e.JSON="application/json",e.PLAIN="text/plain"}(Q||(Q={}));const K=[{label:"Application/json",value:"application/json"},{label:"Text/plain",value:"text/plain"},{label:"Multipart/form-data",value:"multipart/form-data"}];var J;!function(e){e.ALL="all",e.UPDATED="updated",e.CUSTOM="custom"}(J||(J={}));const Z=[{label:"All Elements",value:"all"},{label:"Updated Only",value:"updated"},{label:"Code",value:"custom",icon:"calculator-alt"}];var ee;!function(e){e.INITIAL="initial",e.CUSTOM="custom",e.DATASOURCE="datasource"}(ee||(ee={}));const te=[{label:"Code",value:"custom",icon:"calculator-alt"},{label:"Initial Request",value:"initial"},{label:"Data Source",value:"datasource",icon:"database"}],ne=[{value:s.DISABLED,label:"Disabled"},{value:s.AUTO,label:"If Changed",description:"Enabled if value is changed from initial."},{value:s.MANUAL,label:"Manual",description:"Disabled by default. Control through the code."}];var re;!function(e){e.ALL="all",e.MODIFIED="modified"}(re||(re={}));const oe=[{label:"All Elements",value:"all"},{label:"Updated Only",value:"modified"}],ae="console.log(context.panel.data, context.panel.response, context.panel.initial, context.panel.elements);\n\nreturn;\n\n/**\n * Data Source\n * Requires form elements to be defined\n */\nconst dataQuery = context.utils.toDataQueryResponse(context.panel.response);\nconsole.log(dataQuery);",ie="if (context.panel.response) {\n  context.grafana.notifySuccess(['Update', 'Values updated successfully.']);\n  context.grafana.locationService.reload();\n} else {\n  context.grafana.notifyError(['Update', 'An error occurred updating values.']);\n}",le="return {}",se="const payload = {};\n\ncontext.panel.elements.forEach((element) => {\n  if (!element.value) {\n    return;\n  }\n\n  payload[element.id] = element.value;\n})\n\nreturn payload;",ce={icon:"cloud-upload",backgroundColor:"purple",foregroundColor:"yellow",text:"Submit",variant:n.PRIMARY},de={icon:"process",backgroundColor:"purple",foregroundColor:"yellow",text:"Reset",variant:n.HIDDEN},ue={icon:"save",backgroundColor:"purple",foregroundColor:"yellow",text:"Save Default",variant:n.HIDDEN},pe={value:0},me={min:0,max:10,step:1,value:0},fe={height:200,language:o.JAVASCRIPT,value:""},ge={rows:10,value:""},be={options:[],optionsSource:U.CUSTOM},he={uid:"",id:"",title:"",type:N.STRING,width:null,labelWidth:10,tooltip:"",section:"",hidden:!1,unit:"",value:""},ve={id:"_",type:N.NUMBER,label:"",value:""},ye={title:"Confirm update request",body:"Please confirm to update changed values",columns:{include:[l.NAME,l.OLD_VALUE,l.NEW_VALUE],name:"Label",oldValue:"Old Value",newValue:"New Value"},confirm:"Confirm",cancel:"Cancel",elementDisplayMode:re.MODIFIED},Ee={customCode:"",size:t.MEDIUM,show:r.FORM,variant:n.PRIMARY,foregroundColor:"",backgroundColor:"",buttonLabel:"Button"};var Ae,Ce,Oe;!function(e){e.NONE="none",e.SINGLE="single",e.SPLIT="split"}(Ae||(Ae={})),function(e){e.VERTICAL="vertical",e.HORIZONTAL="horizontal"}(Ce||(Ce={})),function(e){e.DEFAULT="default",e.COLLAPSABLE="collapsable"}(Oe||(Oe={}));const we=[{value:"single",description:"All elements together.",label:"Basic",icon:"bars"},{value:"none",description:"Buttons only.",label:"Buttons only",icon:"apps"},{value:"split",description:"Elements split in separate sections.",label:"Sections",icon:"columns"}],Se=[{value:"horizontal",description:"Horizontal Orientation",label:"Horizontal",icon:"horizontal-align-center"},{value:"vertical",description:"Vertical Orientation",label:"Vertical",icon:"vertical-align-center"}],Ie=[{value:"default",description:"Always Open",label:"Always Open",icon:"bars"},{value:"collapsable",description:"Collapsable",label:"Collapsable",icon:"arrows-v"}],xe=[{value:!0,label:"Enabled"},{value:!1,label:"Disabled"}],Pe=(...e)=>{try{return new Function(...e)}catch(t){return console.error("Code Error",t),console.log(e[e.length-1]),()=>{}}};var De=m(6089);const Te={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};var Re,Be=new Uint8Array(16);function Ne(){if(!Re&&!(Re="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return Re(Be)}for(var Le=[],ke=0;ke<256;++ke)Le.push((ke+256).toString(16).slice(1));const Me=function(e,t,n){if(Te.randomUUID&&!t&&!e)return Te.randomUUID();var r=(e=e||{}).random||(e.rng||Ne)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t){n=n||0;for(var o=0;o<16;++o)t[n+o]=r[o];return t}return function(e,t=0){return(Le[e[t+0]]+Le[e[t+1]]+Le[e[t+2]]+Le[e[t+3]]+"-"+Le[e[t+4]]+Le[e[t+5]]+"-"+Le[e[t+6]]+Le[e[t+7]]+"-"+Le[e[t+8]]+Le[e[t+9]]+"-"+Le[e[t+10]]+Le[e[t+11]]+Le[e[t+12]]+Le[e[t+13]]+Le[e[t+14]]+Le[e[t+15]]).toLowerCase()}(r)},je=e=>e?e.values.toArray?e.values.toArray():e.values:[];function Fe(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function $e(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Fe(e,t,n[t])}))}return e}function _e(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Ue=(e,t,n)=>{const r=Array.from(e),[o]=r.splice(t,1);return r.splice(n,0,o),r},Ve=(e,t)=>{const n={uid:e.uid,id:e.id,type:t,labelWidth:e.labelWidth,width:e.width,value:e.value,title:e.title,tooltip:e.tooltip,section:e.section,unit:e.unit,helpers:e.helpers};switch(t){case N.STRING:return _e($e({},n),{hidden:!1,value:"",type:t});case N.SLIDER:return _e($e({},n,me),{type:t});case N.NUMBER:return _e($e({},n,pe),{type:t});case N.CODE:return _e($e({},n,fe),{type:t});case N.TEXTAREA:case N.DISABLED_TEXTAREA:return _e($e({},n,ge),{type:t});case N.SELECT:case N.MULTISELECT:case N.DISABLED:case N.RADIO:case N.CHECKBOX_LIST:{const r={options:"options"in e&&e.options||[],optionsSource:"optionsSource"in e&&e.optionsSource||be.optionsSource,queryOptions:"queryOptions"in e?e.queryOptions:void 0};return t===N.CHECKBOX_LIST?_e($e({},n,r),{type:t,value:Array.isArray(n)?n:[]}):_e($e({},n,r),{type:t})}case N.FILE:return _e($e({},n),{value:[],accept:"",type:t,multiple:!0});case N.DATETIME:case N.PASSWORD:case N.TIME:case N.SECRET:return _e($e({},n),{value:"",type:t,isUseLocalTime:!1});case N.BOOLEAN:return _e($e({},n),{value:!1,type:t});case N.BUTTON:return _e($e({},n,Ee),{value:"",type:t});case N.LINK:return _e($e({},n),{value:"",target:i.SELF_TAB,linkText:"",type:t})}},Ge=(e,t)=>e.some((e=>e.id===t.id&&e.type===t.type)),We=e=>e.trim().length>0?Number(e):null,He=e=>"number"==typeof e?e:"",ze=e=>"number"==typeof e?e:void 0,qe=e=>e.uid||Me(),Ye=e=>void 0!==e.id?e.id:e.value,Xe=e=>{var t;const n=e.showIf;let r=()=>!0;if(n||(null==n?void 0:n.trim())){const e=Pe("context",n);r=({elements:t,replaceVariables:n})=>e(C.create({panel:{elements:t},grafana:{replaceVariables:n}}))}const o=e.disableIf;let a=()=>!1;if(o||(null==o?void 0:o.trim())){const e=Pe("context",o);a=({elements:t,replaceVariables:n})=>e(O.create({panel:{elements:t},grafana:{replaceVariables:n}}))}let i=()=>[];if(e.type===N.DISABLED||e.type===N.SELECT||e.type===N.MULTISELECT||e.type===N.RADIO||e.type===N.CHECKBOX_LIST)if(e.optionsSource===U.QUERY)i=({data:t})=>{const{queryOptions:n}=e;if(!n||!n.value)return[];const r=t.series.find((e=>e.refId===n.source)),o=null==r?void 0:r.fields.find((e=>e.name===n.value));if(!r||!o)return[];const a=je((null==r?void 0:r.fields.find((e=>e.name===n.label)))||o);return je(o).map(((e,t)=>({value:e,label:a[t]})))};else if(e.optionsSource===U.CODE){const t=Pe("context",e.getOptions||"return []");i=({data:e,elements:n,replaceVariables:r})=>t(w.create({panel:{data:e,elements:n},grafana:{replaceVariables:r}}))}else i=()=>e.options||[];return _e($e({},e,"options"in e?{options:null===(t=e.options)||void 0===t?void 0:t.map((e=>_e($e({},e),{id:Ye(e)})))}:{}),{helpers:{showIf:r,disableIf:a,getOptions:i},uid:qe(e)})},Qe=e=>e&&Array.isArray(e)?e.map((e=>Xe(e))):[],Ke=e=>{switch(e){case n.DESTRUCTIVE:case n.PRIMARY:case n.SECONDARY:return e;default:return}},Je=(e,t)=>e.type===t,Ze=(e,t)=>{switch(e.type){case N.STRING:case N.DISABLED_TEXTAREA:case N.CODE:case N.PASSWORD:case N.SECRET:case N.TEXTAREA:case N.BUTTON:case N.LINK:var n;return _e($e({},e),{value:"string"==typeof t?t:null!==(n=null==t?void 0:t.toString())&&void 0!==n?n:""});case N.NUMBER:case N.SLIDER:{let n="number"==typeof t?t:0;return"string"==typeof t&&(n=Number(t),Number.isNaN(n)&&(n=0)),_e($e({},e),{value:n})}case N.FILE:return _e($e({},e),{value:[]});case N.BOOLEAN:return _e($e({},e),{value:!!t});case N.DATETIME:case N.TIME:{let n;return"number"!=typeof t&&"string"!=typeof t||(n=(e=>isNaN(new Date(e).getTime())?void 0:new Date(e).toISOString())(t)),_e($e({},e),{value:n})}case N.CHECKBOX_LIST:return _e($e({},e),{value:Array.isArray(t)?t:[t]});default:return _e($e({},e),{value:t})}};class et extends c.BusEventBase{constructor(e){super(),Fe(this,"payload",void 0),this.payload=e}}Fe(et,"type","value-changed");const tt=e=>{if(e)return e.split(",").reduce(((e,t)=>{const n=t.trim(),r=n.substring(1);return e.hasOwnProperty(r)?e[r]=[...e[r],n]:e[r]=[n],e}),{})},nt=(e,t)=>{switch(e.type){case N.PASSWORD:return"*********";case N.DATETIME:return t&&"string"==typeof t?(0,c.dateTime)(t).toISOString(e.isUseLocalTime):"";case N.TIME:return t&&"string"==typeof t?new Date(t).toLocaleTimeString(void 0,{hour:"2-digit",minute:"2-digit"}):"";default:return void 0===t?"":String(t)}},rt=(e,t)=>De.css`
    ${e&&`\n      & label:first-child {\n          background: ${e};\n        }\n    `}
    ${t&&`\n      & label:first-child {\n          color: ${t};\n        } \n    `}
  `;function ot(e,t,n,r,o,a,i){try{var l=e[a](i),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function at(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var a=e.apply(t,n);function i(e){ot(a,r,o,i,l,"next",e)}function l(e){ot(a,r,o,i,l,"throw",e)}i(void 0)}))}}const it=(lt=at((function*({request:e,elements:t,initial:n,replaceVariables:r}){if(e.payloadMode===J.CUSTOM)return new Function("context",r(e.getPayload))(S.create({panel:{elements:t,initial:n},utils:{fileToBase64:st}}));const o=e.payloadMode===J.UPDATED,a={};return t.forEach((e=>{e.helpers.showIf({elements:t,replaceVariables:r})&&(o?e.value!==n[e.id]&&e.type!==N.DISABLED&&(a[e.id]=e.value):a[e.id]=e.value)})),a})),function(e){return lt.apply(this,arguments)});var lt;const st=e=>new Promise((t=>{const n=new FileReader;n.addEventListener("load",(e=>{var n;"string"==typeof(null===(n=e.target)||void 0===n?void 0:n.result)&&t(e.target.result)})),n.readAsDataURL(e)})),ct=function(){var e=at((function*(e,t){if("object"!=typeof e||Array.isArray(e)||null===e)return t(JSON.stringify(e));const n={};for(const[t,r]of Object.entries(e))Array.isArray(r)&&r[0]instanceof File?n[t]=yield Promise.all(r.map((e=>st(e)))):n[t]=r;return t(JSON.stringify(n))}));return function(t,n){return e.apply(this,arguments)}}(),dt=(e,t)=>"string"==typeof e?t(e):e instanceof File?e:`${e}`;var ut=m(9997);function pt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}(0,ut.B)(B.customCodeEditor),(0,ut.B)(B.formElements,["fieldDateTime"]),(0,ut.B)(B.formElementsSection),(0,ut.B)(B.formElementsEditor,["fieldDateTime"]),(0,ut.B)(B.panel),(0,ut.B)(B.headerParametersEditor),(0,ut.B)(B.layoutSectionsEditor),(0,ut.B)(B.initialFieldsEditor);const mt=(e,t)=>e.map((e=>{return n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){pt(e,t,n[t])}))}return e}({},e),r=null!=(r={ariaLabel:t(e.value)})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n;var n,r}));function ft(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const gt=({element:e,onChange:t,highlightClass:n})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,"data-testid":B.formElements.fieldBooleanContainer,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.RadioButtonGroup,{value:e.value,onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ft(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},className:n(e),fullWidth:!e.width,options:k})),bt=e=>({checkboxWrap:De.css`
      width: 100%;
      & > div {
        flex: auto;
      }
    `,checkboxRow:De.css`
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
      align-items: flex-start;
    `,checkbox:De.css`
      padding: ${e.spacing(1)};
      background: unset !important;
    `});function ht(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const vt=({element:e,onChange:t})=>{const n=(0,d.useTheme2)(),r=(0,d.useStyles2)(bt);return p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:(0,De.cx)(r.checkboxWrap,rt(e.labelBackground,e.labelColor)),"data-testid":B.formElements.fieldCheckboxListContainer},p().createElement("div",{style:{width:e.width?n.spacing(e.width):"auto"},className:r.checkboxRow},e.options.map((n=>p().createElement(d.Checkbox,{className:r.checkbox,key:n.id,value:e.value.some((e=>e===n.value)),label:n.label,onChange:r=>{var o,a;t((o=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ht(e,t,n[t])}))}return e}({},e),a=null!=(a={value:r.currentTarget.checked?e.value.concat(n.value):e.value.filter((e=>e!==n.value))})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(a)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(a)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(a,e))})),o))}})))))};function yt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Et=({element:e,onChange:t})=>{var n;return p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(y.v4,{language:e.language||o.JAVASCRIPT,showLineNumbers:!0,showMiniMap:((null===(n=e.value)||void 0===n?void 0:n.length)||0)>100,value:e.value||"",height:e.height,width:ze(e.width),onBlur:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){yt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},monacoOptions:{formatOnPaste:!0,formatOnType:!0},"aria-label":B.formElements.fieldCode,readOnly:e.disabled}))};function At(e,t,n,r,o,a,i){try{var l=e[a](i),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const Ct=({element:e,executeCustomCode:t,elements:o,initial:a})=>{const i=(0,d.useTheme2)(),l=(0,u.useCallback)(function(){var e,n=(e=function*(e){yield t({code:e,currentElements:o,initial:a})},function(){var t=this,n=arguments;return new Promise((function(r,o){var a=e.apply(t,n);function i(e){At(a,r,o,i,l,"next",e)}function l(e){At(a,r,o,i,l,"throw",e)}i(void 0)}))});return function(e){return n.apply(this,arguments)}}(),[o,t,a]),s=p().createElement(d.Button,{variant:Ke(e.variant),style:e.variant===n.CUSTOM?{background:"none",border:"none",backgroundColor:i.visualization.getColorByName(e.backgroundColor),color:i.visualization.getColorByName(e.foregroundColor)}:{},icon:e.icon,disabled:e.disabled,onClick:()=>l(e.customCode),size:e.size,"data-testid":B.formElements.fieldCustomButton(e.id)},e.buttonLabel);return p().createElement(p().Fragment,null,e.show===r.FORM?p().createElement(d.InlineField,{grow:!0,label:e.title,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,"data-testid":B.formElements.fieldCustomButtonContainer},s):s)};function Ot(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const wt=({element:e,onChange:t})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},e.disabled?p().createElement(d.DatePickerWithInput,{onChange:void 0,value:e.value,"data-testid":B.formElements.fieldDateTime}):p().createElement(d.DateTimePicker,{minDate:e.min?new Date(e.min):void 0,maxDate:e.max?new Date(e.max):void 0,date:(0,c.dateTime)(e.value),onChange:n=>{var r,o;n&&t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ot(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n.toISOString(e.isUseLocalTime)})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},"data-testid":B.formElements.fieldDateTime})),St=({element:e})=>{var t,n,r,o;return p().createElement(p().Fragment,null,p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,disabled:!0,transparent:!e.title,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.Input,{value:(null===(t=e.options)||void 0===t?void 0:t.length)?null===(o=e.options)||void 0===o||null===(r=o.find((t=>t.value===e.value)))||void 0===r?void 0:r.label:(null===(n=e.value)||void 0===n?void 0:n.toString())||"",type:"text",width:ze(e.width),"data-testid":B.formElements.fieldDisabled})))},It=({element:e,highlightClass:t})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.type===N.DISABLED_TEXTAREA,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.TextArea,{value:e.value,className:t(e),cols:ze(e.width),rows:e.rows,"data-testid":B.formElements.fieldDisabledTextarea}));function xt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Pt(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){xt(e,t,n[t])}))}return e}function Dt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Tt=({element:e,onChange:t})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.FileDropzone,{options:{accept:tt(e.accept),multiple:e.multiple,onDrop:n=>{t(Dt(Pt({},e),{value:n}))}},onFileRemove:n=>{var r;t(Dt(Pt({},e),{value:(null===(r=e.value)||void 0===r?void 0:r.filter((e=>e.name!==n.file.name)))||[]}))},"data-testid":B.formElements.fieldFile})),Rt=e=>({link:De.css`
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
    `}),Bt=({element:e})=>{const t=(0,d.useTheme2)(),n=(0,d.useStyles2)(Rt);return p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,className:rt(e.labelBackground,e.labelColor)},p().createElement("div",{className:n.link,style:{width:e.width?t.spacing(e.width):"auto"}},p().createElement(d.TextLink,{href:e.value,external:e.target===i.NEW_TAB,"data-testid":B.formElements.link},e.linkText||e.value)))};function Nt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Lt=({element:e,onChange:t,highlightClass:n})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(y.Q7,{value:He(e.value),onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Nt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},type:"number",className:n(e),width:ze(e.width),min:e.min,max:e.max,"data-testid":B.formElements.fieldNumber}));function kt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Mt=({element:e,onChange:t,highlightClass:n})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.Input,{value:e.value||"",onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){kt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n.target.value})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},className:n(e),width:ze(e.width),type:"password","data-testid":B.formElements.fieldPassword}));function jt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Ft=({element:e,onChange:t,highlightClass:n})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,"data-testid":B.formElements.fieldRadioContainer,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.RadioButtonGroup,{value:e.value,onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){jt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},fullWidth:!e.width,options:e.options,className:n(e)}));function $t(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const _t=({element:e,onChange:t,highlightClass:n})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.Select,{key:e.id,isMulti:e.type===N.MULTISELECT,"aria-label":B.formElements.fieldSelect,value:void 0!==e.value?e.value:null,onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){$t(e,t,n[t])}))}return e}({},e),o=null!=(o={value:Array.isArray(n)?n.map((({value:e})=>e)):n.value})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},width:ze(e.width),options:e.options,className:n(e)}));var Ut=m(6067);const Vt=e=>({slider:De.css`
      .rc-slider {
        margin: 10px 0 0 0;
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${e.colors.primary.main};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
      }
      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle:focus,
      .rc-slider-handle-click-focused:focus,
      .rc-slider-dot-active {
        ${`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`};
      }
      .rc-slider-track {
        background-color: ${e.colors.primary.main};
      }
      .rc-slider-rail {
        background-color: ${e.colors.border.strong};
        cursor: pointer;
      }
    `,sliderInput:De.css`
      margin-left: 15px;
    `});function Gt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Wt(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Gt(e,t,n[t])}))}return e}function Ht(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const zt=({element:e,onChange:t})=>{const n=(0,d.useStyles2)(Vt);return p().createElement(p().Fragment,null,p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,className:(0,De.cx)(n.slider,rt(e.labelBackground,e.labelColor)),disabled:e.disabled},p().createElement(Ut.default,{value:e.value||0,onChange:n=>{t(Ht(Wt({},e),{value:Array.isArray(n)?n[n.length-1]:n}))},min:e.min||0,max:e.max||0,step:e.step||0,ariaLabelForHandle:B.formElements.fieldSlider})),p().createElement(d.InlineField,{className:(0,De.cx)(n.sliderInput),disabled:e.disabled},p().createElement(d.Input,{type:"number",width:8,min:e.min||0,max:e.max||0,value:e.value||0,onChange:n=>{t(Ht(Wt({},e),{value:Math.max(e.min||0,Math.min(e.max||0,Number(n.currentTarget.value)))}))},"data-testid":B.formElements.fieldSliderInput})))},qt=()=>({hidden:De.css`
      display: none;
    `});function Yt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Xt=({element:e,onChange:t,highlightClass:n})=>{const r=(0,d.useStyles2)(qt);return p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,className:(0,De.cx)({[r.hidden]:e.hidden},rt(e.labelBackground,e.labelColor)),disabled:e.disabled},p().createElement(d.Input,{value:e.value||"",onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Yt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n.target.value})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},className:n(e),width:ze(e.width),type:"text","data-testid":B.formElements.fieldString}))};function Qt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Kt=({element:e,onChange:t,highlightClass:n})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled,className:rt(e.labelBackground,e.labelColor)},p().createElement(d.TextArea,{value:e.value,onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Qt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n.target.value})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},className:n(e),cols:ze(e.width),rows:e.rows,"data-testid":B.formElements.fieldTextarea}));function Jt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Zt=({element:e,onChange:t})=>p().createElement(d.InlineField,{label:e.title,grow:!e.width,labelWidth:ze(e.labelWidth),tooltip:e.tooltip,transparent:!e.title,disabled:e.disabled},p().createElement(d.TimeOfDayPicker,{"data-testid":B.formElements.fieldTime,value:e.value?(0,c.dateTime)(e.value):(0,c.dateTime)((new Date).toISOString()),onChange:n=>{var r,o;t((r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Jt(e,t,n[t])}))}return e}({},e),o=null!=(o={value:n.toISOString()})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))}}));function en(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const tn=({elements:e,initial:t,replaceVariables:n,data:o,executeCustomCode:a})=>{const i=(0,u.useMemo)((()=>e.filter((t=>t.helpers.showIf({elements:e,replaceVariables:n}))).map((t=>{return r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){en(e,t,n[t])}))}return e}({},t),a=null!=(a={disabled:t.helpers.disableIf({elements:e,replaceVariables:n}),options:t.helpers.getOptions({elements:e,replaceVariables:n,data:o})})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(a)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(a)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(a,e))})),r;var r,a}))),[o,e,n]);return p().createElement(p().Fragment,null,!!i.length&&i.map((n=>n.type===N.BUTTON&&n.show===r.BOTTOM?p().createElement(Ct,{key:n.id,element:n,executeCustomCode:a,initial:t,elements:e}):null)))};var nn=m(8531);const rn=({value:e,item:t,onChange:n})=>{var r;const a=(null===(r=t.settings)||void 0===r?void 0:r.language)||o.JAVASCRIPT,i=(0,nn.getTemplateSrv)(),l=(0,u.useCallback)((()=>{var e,n;const r=(null===(e=t.settings)||void 0===e?void 0:e.variablesSuggestions)?i.getVariables().map((e=>({label:`\${${e.name}}`,kind:d.CodeEditorSuggestionItemKind.Property,detail:e.description?e.description:e.label}))):[];return(null===(n=t.settings)||void 0===n?void 0:n.type)?x[t.settings.type].concat(r):r}),[t.settings,i]);return p().createElement("div",{"data-testid":B.customCodeEditor.root},p().createElement(y.v4,{language:a,showLineNumbers:!0,showMiniMap:!!e&&e.length>100,value:e,onBlur:n,onSave:n,monacoOptions:{formatOnPaste:!0,formatOnType:!0,scrollBeyondLastLine:!1},onEditorDidMount:e=>{setTimeout((()=>{e.getAction("editor.action.formatDocument").run()}),100)},getSuggestions:l}))},on=()=>{const e=(0,u.useRef)(null),t=(0,u.useCallback)((()=>{e.current&&(clearTimeout(e.current),e.current=null)}),[]);return{startTimer:(0,u.useCallback)((n=>{t(),e.current=setTimeout((()=>{n(),e.current=null}),1e3)}),[t]),removeTimer:t}};var an=m(1269);function ln(e,t,n,r,o,a,i){try{var l=e[a](i),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const sn=()=>(0,u.useCallback)(function(){var e,t=(e=function*({query:e,datasource:t,replaceVariables:n,payload:r}){const o=yield(0,nn.getDataSourceSrv)().get(t),a=JSON.parse(n(JSON.stringify(e),{payload:{value:r}})),i=o.query({targets:[a]});return i instanceof Promise?yield i:yield(0,an.lastValueFrom)(i)},function(){var t=this,n=arguments;return new Promise((function(r,o){var a=e.apply(t,n);function i(e){ln(a,r,o,i,l,"next",e)}function l(e){ln(a,r,o,i,l,"throw",e)}i(void 0)}))});return function(e){return t.apply(this,arguments)}}(),[]);function cn(e,t,n,r,o,a,i){try{var l=e[a](i),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const dn=()=>{const[e,t]=(0,u.useState)([]);return(0,u.useEffect)((()=>{const e=function(){var e,n=(e=function*(){const e=yield(0,nn.getBackendSrv)().get("/api/datasources");t(e)},function(){var t=this,n=arguments;return new Promise((function(r,o){var a=e.apply(t,n);function i(e){cn(a,r,o,i,l,"next",e)}function l(e){cn(a,r,o,i,l,"throw",e)}i(void 0)}))});return function(){return n.apply(this,arguments)}}();e()}),[]),e},un=e=>{const[t,n]=(0,u.useState)(e),r=(0,u.useRef)(t),o=(0,u.useCallback)((e=>{n(e),r.current=e}),[]);return[t,o,r]};function pn(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function mn(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){pn(e,t,n[t])}))}return e}function fn(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const gn=({onChange:e,value:t,isAutoSave:n=!0,sections:r=[]})=>{const o=(0,u.useRef)(new c.EventBusSrv),[a,i,l]=un(Qe(t)),[s,d]=(0,u.useState)(r.reduce(((e,t)=>fn(mn({},e),{[t.id]:t.expanded})),{})),p=(0,u.useCallback)(((e,t)=>{d((n=>fn(mn({},n),{[e]:t})))}),[]),[m,f]=(0,u.useState)(!1),{startTimer:g,removeTimer:b}=on(),h=(0,u.useCallback)((()=>{e((e=>e.map((e=>{var{helpers:t}=e;return function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},a=Object.keys(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["helpers"])})))(a)),f(!1)}),[a,e]),v=(0,u.useCallback)((e=>{i(e),f(!0)}),[i]),y=(0,u.useCallback)(((e,t=!1)=>{const n=l.current;if(t&&Ge(n,e))return void alert("Element with the same id and type exists.");let r=!1;const a=n.map((t=>t.uid===e.uid?(r=e.value!==t.value,e):t));v(a),r&&o.current.publish(new et({elements:a,element:e}))}),[l,v]),E=(0,u.useCallback)(((e,t,{value:n=t.value}={},r=!1)=>{var o,a,i;return!(!("options"in e)||!e.options||(r&&(a=e.options,i=t,a.some((e=>e.value.toString()===i.value.toString())))?(alert("Option with the same value exists"),1):(y(fn(mn({},e),{options:null===(o=e.options)||void 0===o?void 0:o.map((e=>e.value===n?t:e))})),0)))}),[y]),A=(0,u.useCallback)((e=>{const t=l.current.filter((t=>t.uid!==e));v(t)}),[l,v]),C=(0,u.useCallback)((e=>v(((e,t)=>e.map((e=>{const n=t[e.id];return null!=n&&(e.value=Ze(e,n).value),e})))(l.current,e))),[l,v]),O=(0,u.useCallback)((()=>(e=>e.reduce(((e,t)=>(e[t.id]=t.value,e)),{}))(l.current)),[l]),w=(0,u.useCallback)((e=>{v(((e,t,n)=>e.map((e=>{const r=n[e.id];if(null!=r)e.value=Ze(e,r).value;else{const n=t.find((t=>t.id===e.id));e.value=void 0!==(null==n?void 0:n.value)&&null!==(null==n?void 0:n.value)?Ze(e,n.value).value:Ze(e,"").value}return e})))(l.current,Qe(t),e))}),[l,v,t]);return(0,u.useEffect)((()=>{i(Qe(t)),f(!1)}),[i,t]),(0,u.useEffect)((()=>(n&&m?g(h):b(),()=>{b()})),[g,m,h,b,n]),{elements:a,isChanged:m,onSaveUpdates:h,onChangeElements:v,onChangeElement:y,onChangeElementOption:E,onElementRemove:A,eventBus:o.current,elementsRef:l,sectionsExpandedState:s,onChangeSectionExpandedState:p,patchFormValue:C,setFormValue:w,getFormValue:O}},bn=({value:e,onChange:t})=>{const n=dn(),r=(0,u.useMemo)((()=>n.map((e=>({label:e.name,value:e.name})))),[n]);return p().createElement(d.Select,{onChange:e=>{t(e.value)},options:r,value:e,"aria-label":B.datasourceEditor.fieldSelect})};var hn=m(3241);function vn(e,t,n,r,o,a,i){try{var l=e[a](i),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const yn=({context:e,value:t,onChange:n,item:r})=>{var o,a;const i=(0,nn.getDataSourceSrv)(),[l,s]=(0,u.useState)(),[c,m]=(0,u.useState)(!0),{startTimer:f,removeTimer:g}=on(),[b,h]=(0,u.useState)(t),[v,y]=(0,u.useState)(!1),E=(0,u.useCallback)((e=>{h(e),y(!0)}),[]),A=(0,u.useCallback)((()=>null),[]),C=(0,u.useCallback)((()=>{n(b),y(!1)}),[n,b]);if((0,u.useEffect)((()=>{var t;const n=(0,hn.get)(e.options,(null===(t=r.settings)||void 0===t?void 0:t.datasourceKey)||""),o=function(){var e,t=(e=function*(){m(!0);const e=yield i.get(n);s(e),m(!1)},function(){var t=this,n=arguments;return new Promise((function(r,o){var a=e.apply(t,n);function i(e){vn(a,r,o,i,l,"next",e)}function l(e){vn(a,r,o,i,l,"throw",e)}i(void 0)}))});return function(){return t.apply(this,arguments)}}();l&&l.name!==n&&E({}),!n||l&&l.name===n||o()}),[e.options,i,l,null===(o=r.settings)||void 0===o?void 0:o.datasourceKey,E]),(0,u.useEffect)((()=>(v?f(C):g(),()=>{g()})),[f,v,C,g]),c)return p().createElement(d.Alert,{severity:"info",title:"Please Wait","data-testid":B.payloadEditor.loadingMessage},p().createElement(d.LoadingPlaceholder,{text:"Loading..."}));if(!l||!(null===(a=l.components)||void 0===a?void 0:a.QueryEditor))return p().createElement(d.Alert,{title:"No Query Editor",severity:"error","data-testid":B.payloadEditor.errorMessage});const O=l.components.QueryEditor;return p().createElement(O,{datasource:l,query:b,onChange:E,onRunQuery:A})};const En=e=>{var{value:t,onChange:n,label:r}=e,o=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},a=Object.keys(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["value","onChange","label"]);return p().createElement(d.InlineFieldRow,o,t?p().createElement(p().Fragment,null,p().createElement(d.InlineField,{label:r,labelWidth:8},p().createElement(d.DateTimePicker,{onChange:e=>{e&&n(e.toISOString())},date:(0,c.dateTime)(t),"data-testid":B.formElementsEditor.fieldDateTime})),p().createElement(d.Button,{icon:"minus",onClick:()=>{n("")},variant:"secondary","data-testid":B.formElementsEditor.buttonRemoveDate})):p().createElement(d.InlineField,{label:r,labelWidth:8},p().createElement(d.Button,{icon:"plus",onClick:()=>{n((new Date).toISOString())},variant:"secondary","data-testid":B.formElementsEditor.buttonSetDate},"Set ",r," Date")))};var An=m(8398),Cn=m.n(An),On=m(7694),wn=m(200);function Sn(e,t){var n=(0,u.useState)((function(){return{inputs:t,result:e()}}))[0],r=(0,u.useRef)(!0),o=(0,u.useRef)(n),a=r.current||Boolean(t&&o.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,o.current.inputs)),i=a?o.current:{inputs:t,result:e()};return(0,u.useEffect)((function(){r.current=!1,o.current=i}),[i]),i.result}var In=Sn,xn=function(e,t){return Sn((function(){return e}),t)},Pn=function(e){var t=e.top,n=e.right,r=e.bottom,o=e.left;return{top:t,right:n,bottom:r,left:o,width:n-o,height:r-t,x:o,y:t,center:{x:(n+o)/2,y:(r+t)/2}}},Dn=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},Tn=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},Rn={top:0,right:0,bottom:0,left:0},Bn=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?Rn:n,o=e.border,a=void 0===o?Rn:o,i=e.padding,l=void 0===i?Rn:i,s=Pn(Dn(t,r)),c=Pn(Tn(t,a)),d=Pn(Tn(c,l));return{marginBox:s,borderBox:Pn(t),paddingBox:c,contentBox:d,margin:r,border:a,padding:l}},Nn=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(e,t){throw new Error("Invariant failed")}(),n},Ln=function(e,t){var n,r,o=e.borderBox,a=e.border,i=e.margin,l=e.padding,s=(r=t,{top:(n=o).top+r.y,left:n.left+r.x,bottom:n.bottom+r.y,right:n.right+r.x});return Bn({borderBox:s,border:a,margin:i,padding:l})},kn=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),Ln(e,t)},Mn=function(e,t){var n={top:Nn(t.marginTop),right:Nn(t.marginRight),bottom:Nn(t.marginBottom),left:Nn(t.marginLeft)},r={top:Nn(t.paddingTop),right:Nn(t.paddingRight),bottom:Nn(t.paddingBottom),left:Nn(t.paddingLeft)},o={top:Nn(t.borderTopWidth),right:Nn(t.borderRightWidth),bottom:Nn(t.borderBottomWidth),left:Nn(t.borderLeftWidth)};return Bn({borderBox:e,margin:n,padding:r,border:o})},jn=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return Mn(t,n)},Fn=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function $n(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||Fn(r)&&Fn(o)))return!1;var r,o;return!0}function _n(e,t){void 0===t&&(t=$n);var n=null;function r(){for(var r=[],o=0;o<arguments.length;o++)r[o]=arguments[o];if(n&&n.lastThis===this&&t(r,n.lastArgs))return n.lastResult;var a=e.apply(this,r);return n={lastResult:a,lastArgs:r,lastThis:this},a}return r.clear=function(){n=null},r}const Un=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,o=new Array(r),a=0;a<r;a++)o[a]=arguments[a];t=o,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var Vn=m(8102);function Gn(e,t){}function Wn(){}function Hn(e,t,n){const r=t.map((t=>{const r=(o=n,a=t.options,{...o,...a});var o,a;return e.addEventListener(t.eventName,t.fn,r),function(){e.removeEventListener(t.eventName,t.fn,r)}}));return function(){r.forEach((e=>{e()}))}}Gn.bind(null,"warn"),Gn.bind(null,"error");const zn=!0,qn="Invariant failed";class Yn extends Error{}function Xn(e,t){if(!e)throw new Yn(zn?qn:`${qn}: ${t||""}`)}Yn.prototype.toString=function(){return this.message};class Qn extends p().Component{constructor(...e){super(...e),this.callbacks=null,this.unbind=Wn,this.onWindowError=e=>{const t=this.getCallbacks();t.isDragging()&&t.tryAbort(),e.error instanceof Yn&&e.preventDefault()},this.getCallbacks=()=>{if(!this.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return this.callbacks},this.setCallbacks=e=>{this.callbacks=e}}componentDidMount(){this.unbind=Hn(window,[{eventName:"error",fn:this.onWindowError}])}componentDidCatch(e){if(!(e instanceof Yn))throw e;this.setState({})}componentWillUnmount(){this.unbind()}render(){return this.props.children(this.setCallbacks)}}const Kn=e=>e+1,Jn=(e,t)=>{const n=e.droppableId===t.droppableId,r=Kn(e.index),o=Kn(t.index);return n?`\n      You have moved the item from position ${r}\n      to position ${o}\n    `:`\n    You have moved the item from position ${r}\n    in list ${e.droppableId}\n    to list ${t.droppableId}\n    in position ${o}\n  `},Zn=(e,t,n)=>t.droppableId===n.droppableId?`\n      The item ${e}\n      has been combined with ${n.draggableId}`:`\n      The item ${e}\n      in list ${t.droppableId}\n      has been combined with ${n.draggableId}\n      in list ${n.droppableId}\n    `,er=e=>`\n  The item has returned to its starting position\n  of ${Kn(e.index)}\n`,tr={dragHandleUsageInstructions:"\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n",onDragStart:e=>`\n  You have lifted an item in position ${Kn(e.source.index)}\n`,onDragUpdate:e=>{const t=e.destination;if(t)return Jn(e.source,t);const n=e.combine;return n?Zn(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},onDragEnd:e=>{if("CANCEL"===e.reason)return`\n      Movement cancelled.\n      ${er(e.source)}\n    `;const t=e.destination,n=e.combine;return t?`\n      You have dropped the item.\n      ${Jn(e.source,t)}\n    `:n?`\n      You have dropped the item.\n      ${Zn(e.draggableId,e.source,n)}\n    `:`\n    The item has been dropped while not over a drop area.\n    ${er(e.source)}\n  `}};var nr=tr;const rr={x:0,y:0},or=(e,t)=>({x:e.x+t.x,y:e.y+t.y}),ar=(e,t)=>({x:e.x-t.x,y:e.y-t.y}),ir=(e,t)=>e.x===t.x&&e.y===t.y,lr=e=>({x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}),sr=(e,t,n=0)=>"x"===e?{x:t,y:n}:{x:n,y:t},cr=(e,t)=>Math.sqrt((t.x-e.x)**2+(t.y-e.y)**2),dr=(e,t)=>Math.min(...t.map((t=>cr(e,t)))),ur=e=>t=>({x:e(t.x),y:e(t.y)}),pr=(e,t)=>({top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}),mr=e=>[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}],fr=(e,t)=>t&&t.shouldClipSubject?((e,t)=>{const n=Pn({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n})(t.pageMarginBox,e):Pn(e);var gr=({page:e,withPlaceholder:t,axis:n,frame:r})=>{const o=((e,t)=>t?pr(e,t.scroll.diff.displacement):e)(e.marginBox,r),a=((e,t,n)=>n&&n.increasedBy?{...e,[t.end]:e[t.end]+n.increasedBy[t.line]}:e)(o,n,t);return{page:e,withPlaceholder:t,active:fr(a,r)}},br=(e,t)=>{e.frame||Xn(!1);const n=e.frame,r=ar(t,n.scroll.initial),o=lr(r),a={...n,scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:o},max:n.scroll.max}},i=gr({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:a});return{...e,frame:a,subject:i}};const hr=_n((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),vr=_n((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),yr=_n((e=>Object.values(e))),Er=_n((e=>Object.values(e)));var Ar=_n(((e,t)=>{const n=Er(t).filter((t=>e===t.descriptor.droppableId)).sort(((e,t)=>e.descriptor.index-t.descriptor.index));return n}));function Cr(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function Or(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var wr=_n(((e,t)=>t.filter((t=>t.descriptor.id!==e.descriptor.id)))),Sr=(e,t)=>e.descriptor.droppableId===t.descriptor.id;const Ir={point:rr,value:0},xr={invisible:{},visible:{},all:[]};var Pr={displaced:xr,displacedBy:Ir,at:null},Dr=(e,t)=>n=>e<=n&&n<=t,Tr=e=>{const t=Dr(e.top,e.bottom),n=Dr(e.left,e.right);return r=>{if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;const o=t(r.top)||t(r.bottom),a=n(r.left)||n(r.right);if(o&&a)return!0;const i=r.top<e.top&&r.bottom>e.bottom,l=r.left<e.left&&r.right>e.right;return!(!i||!l)||(i&&a||l&&o)}},Rr=e=>{const t=Dr(e.top,e.bottom),n=Dr(e.left,e.right);return e=>t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)};const Br={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},Nr={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},Lr=({target:e,destination:t,viewport:n,withDroppableDisplacement:r,isVisibleThroughFrameFn:o})=>{const a=r?((e,t)=>{const n=t.frame?t.frame.scroll.diff.displacement:rr;return pr(e,n)})(e,t):e;return((e,t,n)=>!!t.subject.active&&n(t.subject.active)(e))(a,t,o)&&((e,t,n)=>n(t)(e))(a,n,o)},kr=e=>Lr({...e,isVisibleThroughFrameFn:Tr}),Mr=e=>Lr({...e,isVisibleThroughFrameFn:Rr}),jr=(e,t,n)=>{if("boolean"==typeof n)return n;if(!t)return!0;const{invisible:r,visible:o}=t;if(r[e])return!1;const a=o[e];return!a||a.shouldAnimate};function Fr({afterDragging:e,destination:t,displacedBy:n,viewport:r,forceShouldAnimate:o,last:a}){return e.reduce((function(e,i){const l=function(e,t){const n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return Pn(Dn(n,r))}(i,n),s=i.descriptor.id;if(e.all.push(s),!kr({target:l,destination:t,viewport:r,withDroppableDisplacement:!0}))return e.invisible[i.descriptor.id]=!0,e;const c={draggableId:s,shouldAnimate:jr(s,a,o)};return e.visible[s]=c,e}),{all:[],visible:{},invisible:{}})}function $r({insideDestination:e,inHomeList:t,displacedBy:n,destination:r}){const o=function(e,t){if(!e.length)return 0;const n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(e,{inHomeList:t});return{displaced:xr,displacedBy:n,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:o}}}}function _r({draggable:e,insideDestination:t,destination:n,viewport:r,displacedBy:o,last:a,index:i,forceShouldAnimate:l}){const s=Sr(e,n);if(null==i)return $r({insideDestination:t,inHomeList:s,displacedBy:o,destination:n});const c=t.find((e=>e.descriptor.index===i));if(!c)return $r({insideDestination:t,inHomeList:s,displacedBy:o,destination:n});const d=wr(e,t),u=t.indexOf(c);return{displaced:Fr({afterDragging:d.slice(u),destination:n,displacedBy:o,last:a,viewport:r.frame,forceShouldAnimate:l}),displacedBy:o,at:{type:"REORDER",destination:{droppableId:n.descriptor.id,index:i}}}}function Ur(e,t){return Boolean(t.effected[e])}const Vr=(e,t)=>t.margin[e.start]+t.borderBox[e.size]/2,Gr=(e,t,n)=>t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2,Wr=({axis:e,moveRelativeTo:t,isMoving:n})=>sr(e.line,t.marginBox[e.end]+Vr(e,n),Gr(e,t.marginBox,n)),Hr=({axis:e,moveRelativeTo:t,isMoving:n})=>sr(e.line,t.marginBox[e.start]-((e,t)=>t.margin[e.end]+t.borderBox[e.size]/2)(e,n),Gr(e,t.marginBox,n));var zr=(e,t)=>{const n=e.frame;return n?or(t,n.scroll.diff.displacement):t},qr=e=>{const t=(({impact:e,draggable:t,droppable:n,draggables:r,afterCritical:o})=>{const a=t.page.borderBox.center,i=e.at;return n&&i?"REORDER"===i.type?(({impact:e,draggable:t,draggables:n,droppable:r,afterCritical:o})=>{const a=Ar(r.descriptor.id,n),i=t.page,l=r.axis;if(!a.length)return(({axis:e,moveInto:t,isMoving:n})=>sr(e.line,t.contentBox[e.start]+Vr(e,n),Gr(e,t.contentBox,n)))({axis:l,moveInto:r.page,isMoving:i});const{displaced:s,displacedBy:c}=e,d=s.all[0];if(d){const e=n[d];if(Ur(d,o))return Hr({axis:l,moveRelativeTo:e.page,isMoving:i});const t=Ln(e.page,c.point);return Hr({axis:l,moveRelativeTo:t,isMoving:i})}const u=a[a.length-1];if(u.descriptor.id===t.descriptor.id)return i.borderBox.center;if(Ur(u.descriptor.id,o)){const e=Ln(u.page,lr(o.displacedBy.point));return Wr({axis:l,moveRelativeTo:e,isMoving:i})}return Wr({axis:l,moveRelativeTo:u.page,isMoving:i})})({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:o}):(({afterCritical:e,impact:t,draggables:n})=>{const r=Or(t);r||Xn(!1);const o=r.draggableId,a=n[o].page.borderBox.center,i=(({displaced:e,afterCritical:t,combineWith:n,displacedBy:r})=>{const o=Boolean(e.visible[n]||e.invisible[n]);return Ur(n,t)?o?rr:lr(r.point):o?r.point:rr})({displaced:t.displaced,afterCritical:e,combineWith:o,displacedBy:t.displacedBy});return or(a,i)})({impact:e,draggables:r,afterCritical:o}):a})(e),n=e.droppable;return n?zr(n,t):t},Yr=(e,t)=>{const n=ar(t,e.scroll.initial),r=lr(n);return{frame:Pn({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function Xr(e,t){return e.map((e=>t[e]))}var Qr=({pageBorderBoxCenter:e,draggable:t,viewport:n})=>{const r=((e,t)=>or(e.scroll.diff.displacement,t))(n,e),o=ar(r,t.page.borderBox.center);return or(t.client.borderBox.center,o)},Kr=({draggable:e,destination:t,newPageBorderBoxCenter:n,viewport:r,withDroppableDisplacement:o,onlyOnMainAxis:a=!1})=>{const i=ar(n,e.page.borderBox.center),l={target:pr(e.page.borderBox,i),destination:t,withDroppableDisplacement:o,viewport:r};return a?(e=>{return Lr({...e,isVisibleThroughFrameFn:(t=e.destination.axis,e=>{const n=Dr(e.top,e.bottom),r=Dr(e.left,e.right);return e=>t===Br?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)})});var t})(l):Mr(l)},Jr=({isMovingForward:e,draggable:t,destination:n,draggables:r,previousImpact:o,viewport:a,previousPageBorderBoxCenter:i,previousClientSelection:l,afterCritical:s})=>{if(!n.isEnabled)return null;const c=Ar(n.descriptor.id,r),d=Sr(t,n),u=(({isMovingForward:e,draggable:t,destination:n,insideDestination:r,previousImpact:o})=>{if(!n.isCombineEnabled)return null;if(!Cr(o))return null;function a(e){const t={type:"COMBINE",combine:{draggableId:e,droppableId:n.descriptor.id}};return{...o,at:t}}const i=o.displaced.all,l=i.length?i[0]:null;if(e)return l?a(l):null;const s=wr(t,r);if(!l)return s.length?a(s[s.length-1].descriptor.id):null;const c=s.findIndex((e=>e.descriptor.id===l));-1===c&&Xn(!1);const d=c-1;return d<0?null:a(s[d].descriptor.id)})({isMovingForward:e,draggable:t,destination:n,insideDestination:c,previousImpact:o})||(({isMovingForward:e,isInHomeList:t,draggable:n,draggables:r,destination:o,insideDestination:a,previousImpact:i,viewport:l,afterCritical:s})=>{const c=i.at;if(c||Xn(!1),"REORDER"===c.type){const r=(({isMovingForward:e,isInHomeList:t,insideDestination:n,location:r})=>{if(!n.length)return null;const o=r.index,a=e?o+1:o-1,i=n[0].descriptor.index,l=n[n.length-1].descriptor.index;return a<i||a>(t?l:l+1)?null:a})({isMovingForward:e,isInHomeList:t,location:c.destination,insideDestination:a});return null==r?null:_r({draggable:n,insideDestination:a,destination:o,viewport:l,last:i.displaced,displacedBy:i.displacedBy,index:r})}const d=(({isMovingForward:e,destination:t,draggables:n,combine:r,afterCritical:o})=>{if(!t.isCombineEnabled)return null;const a=r.draggableId,i=n[a].descriptor.index;return Ur(a,o)?e?i:i-1:e?i+1:i})({isMovingForward:e,destination:o,displaced:i.displaced,draggables:r,combine:c.combine,afterCritical:s});return null==d?null:_r({draggable:n,insideDestination:a,destination:o,viewport:l,last:i.displaced,displacedBy:i.displacedBy,index:d})})({isMovingForward:e,isInHomeList:d,draggable:t,draggables:r,destination:n,insideDestination:c,previousImpact:o,viewport:a,afterCritical:s});if(!u)return null;const p=qr({impact:u,draggable:t,droppable:n,draggables:r,afterCritical:s});if(Kr({draggable:t,destination:n,newPageBorderBoxCenter:p,viewport:a.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:Qr({pageBorderBoxCenter:p,draggable:t,viewport:a}),impact:u,scrollJumpRequest:null};const m=ar(p,i),f=(({impact:e,viewport:t,destination:n,draggables:r,maxScrollChange:o})=>{const a=Yr(t,or(t.scroll.current,o)),i=n.frame?br(n,or(n.frame.scroll.current,o)):n,l=e.displaced,s=Fr({afterDragging:Xr(l.all,r),destination:n,displacedBy:e.displacedBy,viewport:a.frame,last:l,forceShouldAnimate:!1}),c=Fr({afterDragging:Xr(l.all,r),destination:i,displacedBy:e.displacedBy,viewport:t.frame,last:l,forceShouldAnimate:!1}),d={},u={},p=[l,s,c];return l.all.forEach((e=>{const t=function(e,t){for(let n=0;n<t.length;n++){const r=t[n].visible[e];if(r)return r}return null}(e,p);t?u[e]=t:d[e]=!0})),{...e,displaced:{all:l.all,invisible:d,visible:u}}})({impact:u,viewport:a,destination:n,draggables:r,maxScrollChange:m});return{clientSelection:l,impact:f,scrollJumpRequest:m}};const Zr=e=>{const t=e.subject.active;return t||Xn(!1),t},eo=(e,t)=>{const n=e.page.borderBox.center;return Ur(e.descriptor.id,t)?ar(n,t.displacedBy.point):n},to=(e,t)=>{const n=e.page.borderBox;return Ur(e.descriptor.id,t)?pr(n,lr(t.displacedBy.point)):n};var no=_n((function(e,t){const n=t[e.line];return{value:n,point:sr(e.line,n)}}));const ro=(e,t)=>({...e,scroll:{...e.scroll,max:t}}),oo=(e,t,n)=>{const r=e.frame;Sr(t,e)&&Xn(!1),e.subject.withPlaceholder&&Xn(!1);const o=no(e.axis,t.displaceBy).point,a=((e,t,n)=>{const r=e.axis;if("virtual"===e.descriptor.mode)return sr(r.line,t[r.line]);const o=e.subject.page.contentBox[r.size],a=Ar(e.descriptor.id,n).reduce(((e,t)=>e+t.client.marginBox[r.size]),0)+t[r.line]-o;return a<=0?null:sr(r.line,a)})(e,o,n),i={placeholderSize:o,increasedBy:a,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){const t=gr({page:e.subject.page,withPlaceholder:i,axis:e.axis,frame:e.frame});return{...e,subject:t}}const l=a?or(r.scroll.max,a):r.scroll.max,s=ro(r,l),c=gr({page:e.subject.page,withPlaceholder:i,axis:e.axis,frame:s});return{...e,subject:c,frame:s}};var ao=e=>{const t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},io=({state:e,type:t})=>{const n=((e,t)=>{const n=ao(e);return n?t[n]:null})(e.impact,e.dimensions.droppables),r=Boolean(n),o=e.dimensions.droppables[e.critical.droppable.id],a=n||o,i=a.axis.direction,l="vertical"===i&&("MOVE_UP"===t||"MOVE_DOWN"===t)||"horizontal"===i&&("MOVE_LEFT"===t||"MOVE_RIGHT"===t);if(l&&!r)return null;const s="MOVE_DOWN"===t||"MOVE_RIGHT"===t,c=e.dimensions.draggables[e.critical.draggable.id],d=e.current.page.borderBoxCenter,{draggables:u,droppables:p}=e.dimensions;return l?Jr({isMovingForward:s,previousPageBorderBoxCenter:d,draggable:c,destination:a,draggables:u,viewport:e.viewport,previousClientSelection:e.current.client.selection,previousImpact:e.impact,afterCritical:e.afterCritical}):(({isMovingForward:e,previousPageBorderBoxCenter:t,draggable:n,isOver:r,draggables:o,droppables:a,viewport:i,afterCritical:l})=>{const s=(({isMovingForward:e,pageBorderBoxCenter:t,source:n,droppables:r,viewport:o})=>{const a=n.subject.active;if(!a)return null;const i=n.axis,l=Dr(a[i.start],a[i.end]),s=yr(r).filter((e=>e!==n)).filter((e=>e.isEnabled)).filter((e=>Boolean(e.subject.active))).filter((e=>Tr(o.frame)(Zr(e)))).filter((t=>{const n=Zr(t);return e?a[i.crossAxisEnd]<n[i.crossAxisEnd]:n[i.crossAxisStart]<a[i.crossAxisStart]})).filter((e=>{const t=Zr(e),n=Dr(t[i.start],t[i.end]);return l(t[i.start])||l(t[i.end])||n(a[i.start])||n(a[i.end])})).sort(((t,n)=>{const r=Zr(t)[i.crossAxisStart],o=Zr(n)[i.crossAxisStart];return e?r-o:o-r})).filter(((e,t,n)=>Zr(e)[i.crossAxisStart]===Zr(n[0])[i.crossAxisStart]));if(!s.length)return null;if(1===s.length)return s[0];const c=s.filter((e=>Dr(Zr(e)[i.start],Zr(e)[i.end])(t[i.line])));return 1===c.length?c[0]:c.length>1?c.sort(((e,t)=>Zr(e)[i.start]-Zr(t)[i.start]))[0]:s.sort(((e,n)=>{const r=dr(t,mr(Zr(e))),o=dr(t,mr(Zr(n)));return r!==o?r-o:Zr(e)[i.start]-Zr(n)[i.start]}))[0]})({isMovingForward:e,pageBorderBoxCenter:t,source:r,droppables:a,viewport:i});if(!s)return null;const c=Ar(s.descriptor.id,o),d=(({pageBorderBoxCenter:e,viewport:t,destination:n,insideDestination:r,afterCritical:o})=>{const a=r.filter((e=>Mr({target:to(e,o),destination:n,viewport:t.frame,withDroppableDisplacement:!0}))).sort(((t,r)=>{const a=cr(e,zr(n,eo(t,o))),i=cr(e,zr(n,eo(r,o)));return a<i?-1:i<a?1:t.descriptor.index-r.descriptor.index}));return a[0]||null})({pageBorderBoxCenter:t,viewport:i,destination:s,insideDestination:c,afterCritical:l}),u=(({previousPageBorderBoxCenter:e,moveRelativeTo:t,insideDestination:n,draggable:r,draggables:o,destination:a,viewport:i,afterCritical:l})=>{if(!t){if(n.length)return null;const e={displaced:xr,displacedBy:Ir,at:{type:"REORDER",destination:{droppableId:a.descriptor.id,index:0}}},t=qr({impact:e,draggable:r,droppable:a,draggables:o,afterCritical:l}),s=Sr(r,a)?a:oo(a,r,o);return Kr({draggable:r,destination:s,newPageBorderBoxCenter:t,viewport:i.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?e:null}const s=Boolean(e[a.axis.line]<=t.page.borderBox.center[a.axis.line]),c=(()=>{const e=t.descriptor.index;return t.descriptor.id===r.descriptor.id||s?e:e+1})(),d=no(a.axis,r.displaceBy);return _r({draggable:r,insideDestination:n,destination:a,viewport:i,displacedBy:d,last:xr,index:c})})({previousPageBorderBoxCenter:t,destination:s,draggable:n,draggables:o,moveRelativeTo:d,insideDestination:c,viewport:i,afterCritical:l});if(!u)return null;const p=qr({impact:u,draggable:n,droppable:s,draggables:o,afterCritical:l});return{clientSelection:Qr({pageBorderBoxCenter:p,draggable:n,viewport:i}),impact:u,scrollJumpRequest:null}})({isMovingForward:s,previousPageBorderBoxCenter:d,draggable:c,isOver:a,draggables:u,droppables:p,viewport:e.viewport,afterCritical:e.afterCritical})};function lo(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function so(e){const t=Dr(e.top,e.bottom),n=Dr(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}const co=(e,t)=>Pn(pr(e,t));function uo({displaced:e,id:t}){return Boolean(e.visible[t]||e.invisible[t])}var po=({pageOffset:e,draggable:t,draggables:n,droppables:r,previousImpact:o,viewport:a,afterCritical:i})=>{const l=co(t.page.borderBox,e),s=function({pageBorderBox:e,draggable:t,droppables:n}){const r=yr(n).filter((t=>{if(!t.isEnabled)return!1;const n=t.subject.active;if(!n)return!1;if(o=n,!((r=e).left<o.right&&r.right>o.left&&r.top<o.bottom&&r.bottom>o.top))return!1;var r,o;if(so(n)(e.center))return!0;const a=t.axis,i=n.center[a.crossAxisLine],l=e[a.crossAxisStart],s=e[a.crossAxisEnd],c=Dr(n[a.crossAxisStart],n[a.crossAxisEnd]),d=c(l),u=c(s);return!d&&!u||(d?l<i:s>i)}));return r.length?1===r.length?r[0].descriptor.id:function({pageBorderBox:e,draggable:t,candidates:n}){const r=t.page.borderBox.center,o=n.map((t=>{const n=t.axis,o=sr(t.axis.line,e.center[n.line],t.page.borderBox.center[n.crossAxisLine]);return{id:t.descriptor.id,distance:cr(r,o)}})).sort(((e,t)=>t.distance-e.distance));return o[0]?o[0].id:null}({pageBorderBox:e,draggable:t,candidates:r}):null}({pageBorderBox:l,draggable:t,droppables:r});if(!s)return Pr;const c=r[s],d=Ar(c.descriptor.id,n),u=((e,t)=>{const n=e.frame;return n?co(t,n.scroll.diff.value):t})(c,l);return(({draggable:e,pageBorderBoxWithDroppableScroll:t,previousImpact:n,destination:r,insideDestination:o,afterCritical:a})=>{if(!r.isCombineEnabled)return null;const i=r.axis,l=no(r.axis,e.displaceBy),s=l.value,c=t[i.start],d=t[i.end],u=wr(e,o).find((e=>{const t=e.descriptor.id,r=e.page.borderBox,o=r[i.size]/4,l=Ur(t,a),u=uo({displaced:n.displaced,id:t});return l?u?d>r[i.start]+o&&d<r[i.end]-o:c>r[i.start]-s+o&&c<r[i.end]-s-o:u?d>r[i.start]+s+o&&d<r[i.end]+s-o:c>r[i.start]+o&&c<r[i.end]-o}));return u?{displacedBy:l,displaced:n.displaced,at:{type:"COMBINE",combine:{draggableId:u.descriptor.id,droppableId:r.descriptor.id}}}:null})({pageBorderBoxWithDroppableScroll:u,draggable:t,previousImpact:o,destination:c,insideDestination:d,afterCritical:i})||(({pageBorderBoxWithDroppableScroll:e,draggable:t,destination:n,insideDestination:r,last:o,viewport:a,afterCritical:i})=>{const l=n.axis,s=no(n.axis,t.displaceBy),c=s.value,d=e[l.start],u=e[l.end],p=function({draggable:e,closest:t,inHomeList:n}){return t?n&&t.descriptor.index>e.descriptor.index?t.descriptor.index-1:t.descriptor.index:null}({draggable:t,closest:wr(t,r).find((e=>{const t=e.descriptor.id,n=e.page.borderBox.center[l.line],r=Ur(t,i),a=uo({displaced:o,id:t});return r?a?u<=n:d<n-c:a?u<=n+c:d<n}))||null,inHomeList:Sr(t,n)});return _r({draggable:t,insideDestination:r,destination:n,viewport:a,last:o,displacedBy:s,index:p})})({pageBorderBoxWithDroppableScroll:u,draggable:t,destination:c,insideDestination:d,last:o.displaced,viewport:a,afterCritical:i})},mo=(e,t)=>({...e,[t.descriptor.id]:t});var fo=({state:e,clientSelection:t,dimensions:n,viewport:r,impact:o,scrollJumpRequest:a})=>{const i=r||e.viewport,l=n||e.dimensions,s=t||e.current.client.selection,c=ar(s,e.initial.client.selection),d={offset:c,selection:s,borderBoxCenter:or(e.initial.client.borderBoxCenter,c)},u={selection:or(d.selection,i.scroll.current),borderBoxCenter:or(d.borderBoxCenter,i.scroll.current),offset:or(d.offset,i.scroll.diff.value)},p={client:d,page:u};if("COLLECTING"===e.phase)return{...e,dimensions:l,viewport:i,current:p};const m=l.draggables[e.critical.draggable.id],f=o||po({pageOffset:u.offset,draggable:m,draggables:l.draggables,droppables:l.droppables,previousImpact:e.impact,viewport:i,afterCritical:e.afterCritical}),g=(({draggable:e,draggables:t,droppables:n,previousImpact:r,impact:o})=>{const a=(({previousImpact:e,impact:t,droppables:n})=>{const r=ao(e),o=ao(t);if(!r)return n;if(r===o)return n;const a=n[r];if(!a.subject.withPlaceholder)return n;const i=(e=>{const t=e.subject.withPlaceholder;t||Xn(!1);const n=e.frame;if(!n){const t=gr({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return{...e,subject:t}}const r=t.oldFrameMaxScroll;r||Xn(!1);const o=ro(n,r),a=gr({page:e.subject.page,axis:e.axis,frame:o,withPlaceholder:null});return{...e,subject:a,frame:o}})(a);return mo(n,i)})({previousImpact:r,impact:o,droppables:n}),i=ao(o);if(!i)return a;const l=n[i];if(Sr(e,l))return a;if(l.subject.withPlaceholder)return a;const s=oo(l,e,t);return mo(a,s)})({draggable:m,impact:f,previousImpact:e.impact,draggables:l.draggables,droppables:l.droppables});return{...e,current:p,dimensions:{draggables:l.draggables,droppables:g},impact:f,viewport:i,scrollJumpRequest:a||null,forceShouldAnimate:!a&&null}},go=({impact:e,viewport:t,draggables:n,destination:r,forceShouldAnimate:o})=>{const a=e.displaced,i=function(e,t){return e.map((e=>t[e]))}(a.all,n),l=Fr({afterDragging:i,destination:r,displacedBy:e.displacedBy,viewport:t.frame,forceShouldAnimate:o,last:a});return{...e,displaced:l}},bo=({impact:e,draggable:t,droppable:n,draggables:r,viewport:o,afterCritical:a})=>{const i=qr({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:a});return Qr({pageBorderBoxCenter:i,draggable:t,viewport:o})},ho=({state:e,dimensions:t,viewport:n})=>{"SNAP"!==e.movementMode&&Xn(!1);const r=e.impact,o=n||e.viewport,a=t||e.dimensions,{draggables:i,droppables:l}=a,s=i[e.critical.draggable.id],c=ao(r);c||Xn(!1);const d=l[c],u=go({impact:r,viewport:o,destination:d,draggables:i}),p=bo({impact:u,draggable:s,droppable:d,draggables:i,viewport:o,afterCritical:e.afterCritical});return fo({impact:u,clientSelection:p,state:e,dimensions:a,viewport:o})},vo=({draggable:e,home:t,draggables:n,viewport:r})=>{const o=no(t.axis,e.displaceBy),a=Ar(t.descriptor.id,n),i=a.indexOf(e);-1===i&&Xn(!1);const l=a.slice(i+1),s=l.reduce(((e,t)=>(e[t.descriptor.id]=!0,e)),{}),c={inVirtualList:"virtual"===t.descriptor.mode,displacedBy:o,effected:s};var d;return{impact:{displaced:Fr({afterDragging:l,destination:t,displacedBy:o,last:null,viewport:r.frame,forceShouldAnimate:!1}),displacedBy:o,at:{type:"REORDER",destination:(d=e.descriptor,{index:d.index,droppableId:d.droppableId})}},afterCritical:c}};const yo=e=>"SNAP"===e.movementMode,Eo=(e,t,n)=>{const r=((e,t)=>({draggables:e.draggables,droppables:mo(e.droppables,t)}))(e.dimensions,t);return!yo(e)||n?fo({state:e,dimensions:r}):ho({state:e,dimensions:r})};function Ao(e){return e.isDragging&&"SNAP"===e.movementMode?{...e,scrollJumpRequest:null}:e}const Co={phase:"IDLE",completed:null,shouldFlush:!1};var Oo=(e=Co,t)=>{if("FLUSH"===t.type)return{...Co,shouldFlush:!0};if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&Xn(!1);const{critical:n,clientSelection:r,viewport:o,dimensions:a,movementMode:i}=t.payload,l=a.draggables[n.draggable.id],s=a.droppables[n.droppable.id],c={selection:r,borderBoxCenter:l.client.borderBox.center,offset:rr},d={client:c,page:{selection:or(c.selection,o.scroll.initial),borderBoxCenter:or(c.selection,o.scroll.initial),offset:or(c.selection,o.scroll.diff.value)}},u=yr(a.droppables).every((e=>!e.isFixedOnPage)),{impact:p,afterCritical:m}=vo({draggable:l,home:s,draggables:a.draggables,viewport:o});return{phase:"DRAGGING",isDragging:!0,critical:n,movementMode:i,dimensions:a,initial:d,current:d,isWindowScrollAllowed:u,impact:p,afterCritical:m,onLiftImpact:p,viewport:o,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&Xn(!1),{...e,phase:"COLLECTING"});if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&Xn(!1),(({state:e,published:t})=>{const n=t.modified.map((t=>{const n=e.dimensions.droppables[t.droppableId];return br(n,t.scroll)})),r={...e.dimensions.droppables,...hr(n)},o=vr((({additions:e,updatedDroppables:t,viewport:n})=>{const r=n.scroll.diff.value;return e.map((e=>{const o=e.descriptor.droppableId,a=(e=>{const t=e.frame;return t||Xn(!1),t})(t[o]),i=a.scroll.diff.value,l=(({draggable:e,offset:t,initialWindowScroll:n})=>{const r=Ln(e.client,t),o=kn(r,n);return{...e,placeholder:{...e.placeholder,client:r},client:r,page:o}})({draggable:e,offset:or(r,i),initialWindowScroll:n.scroll.initial});return l}))})({additions:t.additions,updatedDroppables:r,viewport:e.viewport})),a={...e.dimensions.draggables,...o};t.removals.forEach((e=>{delete a[e]}));const i={droppables:r,draggables:a},l=ao(e.impact),s=l?i.droppables[l]:null,c=i.draggables[e.critical.draggable.id],d=i.droppables[e.critical.droppable.id],{impact:u,afterCritical:p}=vo({draggable:c,home:d,draggables:a,viewport:e.viewport}),m=s&&s.isCombineEnabled?e.impact:u,f=po({pageOffset:e.current.page.offset,draggable:i.draggables[e.critical.draggable.id],draggables:i.draggables,droppables:i.droppables,previousImpact:m,viewport:e.viewport,afterCritical:p}),g={...e,phase:"DRAGGING",impact:f,onLiftImpact:u,dimensions:i,afterCritical:p,forceShouldAnimate:!1};return"COLLECTING"===e.phase?g:{...g,phase:"DROP_PENDING",reason:e.reason,isWaiting:!1}})({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;lo(e)||Xn(!1);const{client:n}=t.payload;return ir(n,e.current.client.selection)?e:fo({state:e,clientSelection:n,impact:yo(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return Ao(e);if("COLLECTING"===e.phase)return Ao(e);lo(e)||Xn(!1);const{id:n,newScroll:r}=t.payload,o=e.dimensions.droppables[n];if(!o)return e;const a=br(o,r);return Eo(e,a,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;lo(e)||Xn(!1);const{id:n,isEnabled:r}=t.payload,o=e.dimensions.droppables[n];o||Xn(!1),o.isEnabled===r&&Xn(!1);const a={...o,isEnabled:r};return Eo(e,a,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;lo(e)||Xn(!1);const{id:n,isCombineEnabled:r}=t.payload,o=e.dimensions.droppables[n];o||Xn(!1),o.isCombineEnabled===r&&Xn(!1);const a={...o,isCombineEnabled:r};return Eo(e,a,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;lo(e)||Xn(!1),e.isWindowScrollAllowed||Xn(!1);const n=t.payload.newScroll;if(ir(e.viewport.scroll.current,n))return Ao(e);const r=Yr(e.viewport,n);return yo(e)?ho({state:e,viewport:r}):fo({state:e,viewport:r})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!lo(e))return e;const n=t.payload.maxScroll;if(ir(n,e.viewport.scroll.max))return e;const r={...e.viewport,scroll:{...e.viewport.scroll,max:n}};return{...e,viewport:r}}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&Xn(!1);const n=io({state:e,type:t.type});return n?fo({state:e,impact:n.impact,clientSelection:n.clientSelection,scrollJumpRequest:n.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){const n=t.payload.reason;return"COLLECTING"!==e.phase&&Xn(!1),{...e,phase:"DROP_PENDING",isWaiting:!0,reason:n}}if("DROP_ANIMATE"===t.type){const{completed:n,dropDuration:r,newHomeClientOffset:o}=t.payload;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&Xn(!1),{phase:"DROP_ANIMATING",completed:n,dropDuration:r,newHomeClientOffset:o,dimensions:e.dimensions}}if("DROP_COMPLETE"===t.type){const{completed:e}=t.payload;return{phase:"IDLE",completed:e,shouldFlush:!1}}return e};const wo=e=>({type:"LIFT",payload:e}),So=e=>({type:"PUBLISH_WHILE_DRAGGING",payload:e}),Io=()=>({type:"COLLECTION_STARTING",payload:null}),xo=e=>({type:"UPDATE_DROPPABLE_SCROLL",payload:e}),Po=e=>({type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}),Do=e=>({type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}),To=e=>({type:"MOVE",payload:e}),Ro=()=>({type:"MOVE_UP",payload:null}),Bo=()=>({type:"MOVE_DOWN",payload:null}),No=()=>({type:"MOVE_RIGHT",payload:null}),Lo=()=>({type:"MOVE_LEFT",payload:null}),ko=()=>({type:"FLUSH",payload:null}),Mo=e=>({type:"DROP_COMPLETE",payload:e}),jo=e=>({type:"DROP",payload:e}),Fo="cubic-bezier(.2,1,.1,1)",$o=0,_o=.7,Uo=.75,Vo={outOfTheWay:.2,minDropTime:.33,maxDropTime:.55},Go=`${Vo.outOfTheWay}s cubic-bezier(0.2, 0, 0, 1)`,Wo={fluid:`opacity ${Go}`,snap:`transform ${Go}, opacity ${Go}`,drop:e=>{const t=`${e}s ${Fo}`;return`transform ${t}, opacity ${t}`},outOfTheWay:`transform ${Go}`,placeholder:`height ${Go}, width ${Go}, margin ${Go}`},Ho=e=>ir(e,rr)?void 0:`translate(${e.x}px, ${e.y}px)`,zo=Ho,qo=(e,t)=>{const n=Ho(e);if(n)return t?`${n} scale(${Uo})`:n},{minDropTime:Yo,maxDropTime:Xo}=Vo,Qo=Xo-Yo;var Ko=({getState:e,dispatch:t})=>n=>r=>{if("DROP"!==r.type)return void n(r);const o=e(),a=r.payload.reason;if("COLLECTING"===o.phase)return void t((i={reason:a},{type:"DROP_PENDING",payload:i}));var i;if("IDLE"===o.phase)return;"DROP_PENDING"===o.phase&&o.isWaiting&&Xn(!1),"DRAGGING"!==o.phase&&"DROP_PENDING"!==o.phase&&Xn(!1);const l=o.critical,s=o.dimensions,c=s.draggables[o.critical.draggable.id],{impact:d,didDropInsideDroppable:u}=(({draggables:e,reason:t,lastImpact:n,home:r,viewport:o,onLiftImpact:a})=>n.at&&"DROP"===t?"REORDER"===n.at.type?{impact:n,didDropInsideDroppable:!0}:{impact:{...n,displaced:xr},didDropInsideDroppable:!0}:{impact:go({draggables:e,impact:a,destination:r,viewport:o,forceShouldAnimate:!0}),didDropInsideDroppable:!1})({reason:a,lastImpact:o.impact,afterCritical:o.afterCritical,onLiftImpact:o.onLiftImpact,home:o.dimensions.droppables[o.critical.droppable.id],viewport:o.viewport,draggables:o.dimensions.draggables}),p=u?Cr(d):null,m=u?Or(d):null,f={index:l.draggable.index,droppableId:l.droppable.id},g={draggableId:c.descriptor.id,type:c.descriptor.type,source:f,reason:a,mode:o.movementMode,destination:p,combine:m},b=(({impact:e,draggable:t,dimensions:n,viewport:r,afterCritical:o})=>{const{draggables:a,droppables:i}=n,l=ao(e),s=l?i[l]:null,c=i[t.descriptor.droppableId],d=bo({impact:e,draggable:t,draggables:a,afterCritical:o,droppable:s||c,viewport:r});return ar(d,t.client.borderBox.center)})({impact:d,draggable:c,dimensions:s,viewport:o.viewport,afterCritical:o.afterCritical}),h={critical:o.critical,afterCritical:o.afterCritical,result:g,impact:d};if(ir(o.current.client.offset,b)&&!Boolean(g.combine))return void t(Mo({completed:h}));const v=(({current:e,destination:t,reason:n})=>{const r=cr(e,t);if(r<=0)return Yo;if(r>=1500)return Xo;const o=Yo+Qo*(r/1500);return Number(("CANCEL"===n?.6*o:o).toFixed(2))})({current:o.current.client.offset,destination:b,reason:a});t((e=>({type:"DROP_ANIMATE",payload:e}))({newHomeClientOffset:b,dropDuration:v,completed:h}))},Jo=()=>({x:window.pageXOffset,y:window.pageYOffset});var Zo=e=>{const t=function({onWindowScroll:e}){const t=Un((function(){e(Jo())})),n=function(e){return{eventName:"scroll",options:{passive:!0,capture:!1},fn:t=>{t.target!==window&&t.target!==window.document||e()}}}(t);let r=Wn;function o(){return r!==Wn}return{start:function(){o()&&Xn(!1),r=Hn(window,[n])},stop:function(){o()||Xn(!1),t.cancel(),r(),r=Wn},isActive:o}}({onWindowScroll:t=>{e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return e=>n=>{t.isActive()||"INITIAL_PUBLISH"!==n.type||t.start(),t.isActive()&&(e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(n)&&t.stop(),e(n)}};const ea=(e,t)=>{t()},ta=(e,t)=>({draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t});function na(e,t,n,r){if(!e)return void n(r(t));const o=(e=>{let t=!1,n=!1;const r=setTimeout((()=>{n=!0})),o=o=>{t||n||(t=!0,e(o),clearTimeout(r))};return o.wasCalled=()=>t,o})(n);e(t,{announce:o}),o.wasCalled()||n(r(t))}var ra=(e,t)=>{const n=((e,t)=>{const n=(()=>{const e=[];return{add:t=>{const n=setTimeout((()=>(t=>{const n=e.findIndex((e=>e.timerId===t));-1===n&&Xn(!1);const[r]=e.splice(n,1);r.callback()})(n))),r={timerId:n,callback:t};e.push(r)},flush:()=>{if(!e.length)return;const t=[...e];e.length=0,t.forEach((e=>{clearTimeout(e.timerId),e.callback()}))}}})();let r=null;const o=n=>{r||Xn(!1),r=null,ea(0,(()=>na(e().onDragEnd,n,t,nr.onDragEnd)))};return{beforeCapture:(t,n)=>{r&&Xn(!1),ea(0,(()=>{const r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:(t,n)=>{r&&Xn(!1),ea(0,(()=>{const r=e().onBeforeDragStart;r&&r(ta(t,n))}))},start:(o,a)=>{r&&Xn(!1);const i=ta(o,a);r={mode:a,lastCritical:o,lastLocation:i.source,lastCombine:null},n.add((()=>{ea(0,(()=>na(e().onDragStart,i,t,nr.onDragStart)))}))},update:(o,a)=>{const i=Cr(a),l=Or(a);r||Xn(!1);const s=!((e,t)=>{if(e===t)return!0;const n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r})(o,r.lastCritical);s&&(r.lastCritical=o);const c=(u=i,!(null==(d=r.lastLocation)&&null==u||null!=d&&null!=u&&d.droppableId===u.droppableId&&d.index===u.index));var d,u;c&&(r.lastLocation=i);const p=!((e,t)=>null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId)(r.lastCombine,l);if(p&&(r.lastCombine=l),!s&&!c&&!p)return;const m={...ta(o,r.mode),combine:l,destination:i};n.add((()=>{ea(0,(()=>na(e().onDragUpdate,m,t,nr.onDragUpdate)))}))},flush:()=>{r||Xn(!1),n.flush()},drop:o,abort:()=>{if(!r)return;const e={...ta(r.lastCritical,r.mode),combine:null,destination:null,reason:"CANCEL"};o(e)}}})(e,t);return e=>t=>r=>{if("BEFORE_INITIAL_CAPTURE"===r.type)return void n.beforeCapture(r.payload.draggableId,r.payload.movementMode);if("INITIAL_PUBLISH"===r.type){const e=r.payload.critical;return n.beforeStart(e,r.payload.movementMode),t(r),void n.start(e,r.payload.movementMode)}if("DROP_COMPLETE"===r.type){const e=r.payload.completed.result;return n.flush(),t(r),void n.drop(e)}if(t(r),"FLUSH"===r.type)return void n.abort();const o=e.getState();"DRAGGING"===o.phase&&n.update(o.critical,o.impact)}},oa=e=>t=>n=>{if("DROP_ANIMATION_FINISHED"!==n.type)return void t(n);const r=e.getState();"DROP_ANIMATING"!==r.phase&&Xn(!1),e.dispatch(Mo({completed:r.completed}))},aa=e=>{let t=null,n=null;return r=>o=>{if("FLUSH"!==o.type&&"DROP_COMPLETE"!==o.type&&"DROP_ANIMATION_FINISHED"!==o.type||(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(o),"DROP_ANIMATE"!==o.type)return;const a={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((()=>{n=null,t=Hn(window,[a])}))}},ia=e=>t=>n=>{if(t(n),"PUBLISH_WHILE_DRAGGING"!==n.type)return;const r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(jo({reason:r.reason})))};const la=On.compose;var sa=({dimensionMarshal:e,focusMarshal:t,styleMarshal:n,getResponders:r,announce:o,autoScroller:a})=>{return(0,On.createStore)(Oo,la((0,On.applyMiddleware)((i=n,()=>e=>t=>{"INITIAL_PUBLISH"===t.type&&i.dragging(),"DROP_ANIMATE"===t.type&&i.dropping(t.payload.completed.result.reason),"FLUSH"!==t.type&&"DROP_COMPLETE"!==t.type||i.resting(),e(t)}),(e=>()=>t=>n=>{"DROP_COMPLETE"!==n.type&&"FLUSH"!==n.type&&"DROP_ANIMATE"!==n.type||e.stopPublishing(),t(n)})(e),(e=>({getState:t,dispatch:n})=>r=>o=>{if("LIFT"!==o.type)return void r(o);const{id:a,clientSelection:i,movementMode:l}=o.payload,s=t();"DROP_ANIMATING"===s.phase&&n(Mo({completed:s.completed})),"IDLE"!==t().phase&&Xn(!1),n(ko()),n({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:a,movementMode:l}});const c={draggableId:a,scrollOptions:{shouldPublishImmediately:"SNAP"===l}},{critical:d,dimensions:u,viewport:p}=e.startPublishing(c);n({type:"INITIAL_PUBLISH",payload:{critical:d,dimensions:u,clientSelection:i,movementMode:l,viewport:p}})})(e),Ko,oa,aa,ia,(e=>t=>n=>r=>{if((e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(r))return e.stop(),void n(r);if("INITIAL_PUBLISH"===r.type){n(r);const o=t.getState();return"DRAGGING"!==o.phase&&Xn(!1),void e.start(o)}n(r),e.scroll(t.getState())})(a),Zo,(e=>{let t=!1;return()=>n=>r=>{if("INITIAL_PUBLISH"===r.type)return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if("FLUSH"===r.type)return t=!1,void e.tryRestoreFocusRecorded();if("DROP_COMPLETE"===r.type){t=!1;const n=r.payload.completed.result;n.combine&&e.tryShiftRecord(n.draggableId,n.combine.draggableId),e.tryRestoreFocusRecorded()}}}})(t),ra(r,o))));var i},ca=({scrollHeight:e,scrollWidth:t,height:n,width:r})=>{const o=ar({x:t,y:e},{x:r,y:n});return{x:Math.max(0,o.x),y:Math.max(0,o.y)}},da=()=>{const e=document.documentElement;return e||Xn(!1),e},ua=()=>{const e=da();return ca({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function pa(e,t,n){return n.descriptor.id!==t.id&&(n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode)}var ma=(e,t)=>{let n=null;const r=function({registry:e,callbacks:t}){let n={additions:{},removals:{},modified:{}},r=null;const o=()=>{r||(t.collectionStarting(),r=requestAnimationFrame((()=>{r=null;const{additions:o,removals:a,modified:i}=n,l=Object.keys(o).map((t=>e.draggable.getById(t).getDimension(rr))).sort(((e,t)=>e.descriptor.index-t.descriptor.index)),s=Object.keys(i).map((t=>({droppableId:t,scroll:e.droppable.getById(t).callbacks.getScrollWhileDragging()}))),c={additions:l,removals:Object.keys(a),modified:s};n={additions:{},removals:{},modified:{}},t.publish(c)})))};return{add:e=>{const t=e.descriptor.id;n.additions[t]=e,n.modified[e.descriptor.droppableId]=!0,n.removals[t]&&delete n.removals[t],o()},remove:e=>{const t=e.descriptor;n.removals[t.id]=!0,n.modified[t.droppableId]=!0,n.additions[t.id]&&delete n.additions[t.id],o()},stop:()=>{r&&(cancelAnimationFrame(r),r=null,n={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),o=t=>{n||Xn(!1);const o=n.critical.draggable;"ADDITION"===t.type&&pa(e,o,t.value)&&r.add(t.value),"REMOVAL"===t.type&&pa(e,o,t.value)&&r.remove(t.value)},a={updateDroppableIsEnabled:(r,o)=>{e.droppable.exists(r)||Xn(!1),n&&t.updateDroppableIsEnabled({id:r,isEnabled:o})},updateDroppableIsCombineEnabled:(r,o)=>{n&&(e.droppable.exists(r)||Xn(!1),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:o}))},scrollDroppable:(t,r)=>{n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:(r,o)=>{n&&(e.droppable.exists(r)||Xn(!1),t.updateDroppableScroll({id:r,newScroll:o}))},startPublishing:t=>{n&&Xn(!1);const r=e.draggable.getById(t.draggableId),a=e.droppable.getById(r.descriptor.droppableId),i={draggable:r.descriptor,droppable:a.descriptor},l=e.subscribe(o);return n={critical:i,unsubscribe:l},(({critical:e,scrollOptions:t,registry:n})=>{const r=(()=>{const e=Jo(),t=ua(),n=e.y,r=e.x,o=da(),a=o.clientWidth,i=o.clientHeight;return{frame:Pn({top:n,left:r,right:r+a,bottom:n+i}),scroll:{initial:e,current:e,max:t,diff:{value:rr,displacement:rr}}}})(),o=r.scroll.current,a=e.droppable,i=n.droppable.getAllByType(a.type).map((e=>e.callbacks.getDimensionAndWatchScroll(o,t))),l=n.draggable.getAllByType(e.draggable.type).map((e=>e.getDimension(o)));return{dimensions:{draggables:vr(l),droppables:hr(i)},critical:e,viewport:r}})({critical:i,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:()=>{if(!n)return;r.stop();const t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((e=>e.callbacks.dragStopped())),n.unsubscribe(),n=null}};return a},fa=(e,t)=>"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason,ga=e=>{window.scrollBy(e.x,e.y)};const ba=_n((e=>yr(e).filter((e=>!!e.isEnabled&&!!e.frame))));const ha={startFromPercentage:.25,maxScrollAtPercentage:.05,maxPixelScroll:28,ease:e=>e**2,durationDampening:{stopDampeningAt:1200,accelerateAt:360},disabled:!1};var va=({startOfRange:e,endOfRange:t,current:n})=>{const r=t-e;return 0===r?0:(n-e)/r},ya=({distanceToEdge:e,thresholds:t,dragStartTime:n,shouldUseTimeDampening:r,getAutoScrollerOptions:o})=>{const a=((e,t,n=(()=>ha))=>{const r=n();if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return r.maxPixelScroll;if(e===t.startScrollingFrom)return 1;const o=1-va({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),a=r.maxPixelScroll*r.ease(o);return Math.ceil(a)})(e,t,o);return 0===a?0:r?Math.max(((e,t,n)=>{const r=n(),o=r.durationDampening.accelerateAt,a=r.durationDampening.stopDampeningAt,i=t,l=a,s=Date.now()-i;if(s>=a)return e;if(s<o)return 1;const c=va({startOfRange:o,endOfRange:l,current:s}),d=e*r.ease(c);return Math.ceil(d)})(a,n,o),1):a},Ea=({container:e,distanceToEdges:t,dragStartTime:n,axis:r,shouldUseTimeDampening:o,getAutoScrollerOptions:a})=>{const i=((e,t,n=(()=>ha))=>{const r=n();return{startScrollingFrom:e[t.size]*r.startFromPercentage,maxScrollValueAt:e[t.size]*r.maxScrollAtPercentage}})(e,r,a);return t[r.end]<t[r.start]?ya({distanceToEdge:t[r.end],thresholds:i,dragStartTime:n,shouldUseTimeDampening:o,getAutoScrollerOptions:a}):-1*ya({distanceToEdge:t[r.start],thresholds:i,dragStartTime:n,shouldUseTimeDampening:o,getAutoScrollerOptions:a})};const Aa=ur((e=>0===e?0:e));var Ca=({dragStartTime:e,container:t,subject:n,center:r,shouldUseTimeDampening:o,getAutoScrollerOptions:a})=>{const i={top:r.y-t.top,right:t.right-r.x,bottom:t.bottom-r.y,left:r.x-t.left},l=Ea({container:t,distanceToEdges:i,dragStartTime:e,axis:Br,shouldUseTimeDampening:o,getAutoScrollerOptions:a}),s=Ea({container:t,distanceToEdges:i,dragStartTime:e,axis:Nr,shouldUseTimeDampening:o,getAutoScrollerOptions:a}),c=Aa({x:s,y:l});if(ir(c,rr))return null;const d=(({container:e,subject:t,proposedScroll:n})=>{const r=t.height>e.height,o=t.width>e.width;return o||r?o&&r?null:{x:o?0:n.x,y:r?0:n.y}:n})({container:t,subject:n,proposedScroll:c});return d?ir(d,rr)?null:d:null};const Oa=ur((e=>0===e?0:e>0?1:-1)),wa=(()=>{const e=(e,t)=>e<0?e:e>t?e-t:0;return({current:t,max:n,change:r})=>{const o=or(t,r),a={x:e(o.x,n.x),y:e(o.y,n.y)};return ir(a,rr)?null:a}})(),Sa=({max:e,current:t,change:n})=>{const r={x:Math.max(t.x,e.x),y:Math.max(t.y,e.y)},o=Oa(n),a=wa({max:r,current:t,change:o});return!a||0!==o.x&&0===a.x||0!==o.y&&0===a.y},Ia=(e,t)=>Sa({current:e.scroll.current,max:e.scroll.max,change:t}),xa=(e,t)=>{const n=e.frame;return!!n&&Sa({current:n.scroll.current,max:n.scroll.max,change:t})};var Pa=({state:e,dragStartTime:t,shouldUseTimeDampening:n,scrollWindow:r,scrollDroppable:o,getAutoScrollerOptions:a})=>{const i=e.current.page.borderBoxCenter,l=e.dimensions.draggables[e.critical.draggable.id].page.marginBox;if(e.isWindowScrollAllowed){const o=(({viewport:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:o,getAutoScrollerOptions:a})=>{const i=Ca({dragStartTime:r,container:e.frame,subject:t,center:n,shouldUseTimeDampening:o,getAutoScrollerOptions:a});return i&&Ia(e,i)?i:null})({dragStartTime:t,viewport:e.viewport,subject:l,center:i,shouldUseTimeDampening:n,getAutoScrollerOptions:a});if(o)return void r(o)}const s=(({center:e,destination:t,droppables:n})=>{if(t){const e=n[t];return e.frame?e:null}const r=((e,t)=>{const n=ba(t).find((t=>(t.frame||Xn(!1),so(t.frame.pageMarginBox)(e))))||null;return n})(e,n);return r})({center:i,destination:ao(e.impact),droppables:e.dimensions.droppables});if(!s)return;const c=(({droppable:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:o,getAutoScrollerOptions:a})=>{const i=e.frame;if(!i)return null;const l=Ca({dragStartTime:r,container:i.pageMarginBox,subject:t,center:n,shouldUseTimeDampening:o,getAutoScrollerOptions:a});return l&&xa(e,l)?l:null})({dragStartTime:t,droppable:s,subject:l,center:i,shouldUseTimeDampening:n,getAutoScrollerOptions:a});c&&o(s.descriptor.id,c)},Da=({move:e,scrollDroppable:t,scrollWindow:n})=>r=>{const o=r.scrollJumpRequest;if(!o)return;const a=ao(r.impact);a||Xn(!1);const i=((e,n)=>{if(!xa(e,n))return n;const r=((e,t)=>{const n=e.frame;return n&&xa(e,t)?wa({current:n.scroll.current,max:n.scroll.max,change:t}):null})(e,n);if(!r)return t(e.descriptor.id,n),null;const o=ar(n,r);return t(e.descriptor.id,o),ar(n,o)})(r.dimensions.droppables[a],o);if(!i)return;const l=r.viewport,s=((e,t,r)=>{if(!e)return r;if(!Ia(t,r))return r;const o=((e,t)=>{if(!Ia(e,t))return null;const n=e.scroll.max,r=e.scroll.current;return wa({current:r,max:n,change:t})})(t,r);if(!o)return n(r),null;const a=ar(r,o);return n(a),ar(r,a)})(r.isWindowScrollAllowed,l,i);s&&((t,n)=>{const r=or(t.current.client.selection,n);e({client:r})})(r,s)},Ta=({scrollDroppable:e,scrollWindow:t,move:n,getAutoScrollerOptions:r})=>{const o=(({scrollWindow:e,scrollDroppable:t,getAutoScrollerOptions:n=(()=>ha)})=>{const r=Un(e),o=Un(t);let a=null;const i=e=>{a||Xn(!1);const{shouldUseTimeDampening:t,dragStartTime:i}=a;Pa({state:e,scrollWindow:r,scrollDroppable:o,dragStartTime:i,shouldUseTimeDampening:t,getAutoScrollerOptions:n})};return{start:e=>{a&&Xn(!1);const t=Date.now();let r=!1;const o=()=>{r=!0};Pa({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:o,scrollDroppable:o,getAutoScrollerOptions:n}),a={dragStartTime:t,shouldUseTimeDampening:r},r&&i(e)},stop:()=>{a&&(r.cancel(),o.cancel(),a=null)},scroll:i}})({scrollWindow:t,scrollDroppable:e,getAutoScrollerOptions:r}),a=Da({move:n,scrollWindow:t,scrollDroppable:e});return{scroll:e=>{r().disabled||"DRAGGING"!==e.phase||("FLUID"!==e.movementMode?e.scrollJumpRequest&&a(e):o.scroll(e))},start:o.start,stop:o.stop}};const Ra="data-rfd",Ba=(()=>{const e=`${Ra}-drag-handle`;return{base:e,draggableId:`${e}-draggable-id`,contextId:`${e}-context-id`}})(),Na=(()=>{const e=`${Ra}-draggable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),La=(()=>{const e=`${Ra}-droppable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),ka={contextId:`${Ra}-scroll-container-context-id`},Ma=(e,t)=>e.map((e=>{const n=e.styles[t];return n?`${e.selector} { ${n} }`:""})).join(" ");var ja=e=>{const t=(n=e,e=>`[${e}="${n}"]`);var n;const r=(()=>{const e="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ";return{selector:t(Ba.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:e,dragging:"pointer-events: none;",dropAnimating:e}}})(),o=[(()=>{const e=`\n      transition: ${Wo.outOfTheWay};\n    `;return{selector:t(Na.contextId),styles:{dragging:e,dropAnimating:e,userCancel:e}}})(),r,{selector:t(La.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:Ma(o,"always"),resting:Ma(o,"resting"),dragging:Ma(o,"dragging"),dropAnimating:Ma(o,"dropAnimating"),userCancel:Ma(o,"userCancel")}},Fa="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?u.useLayoutEffect:u.useEffect;const $a=()=>{const e=document.querySelector("head");return e||Xn(!1),e},_a=e=>{const t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t};function Ua(e,t){return Array.from(e.querySelectorAll(t))}var Va=e=>e&&e.ownerDocument&&e.ownerDocument.defaultView?e.ownerDocument.defaultView:window;function Ga(e){return e instanceof Va(e).HTMLElement}function Wa(){const e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((t=>t(e)))}function r(t){return e.draggables[t]||null}function o(t){return e.droppables[t]||null}return{draggable:{register:t=>{e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:(t,n)=>{const r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:t=>{const o=t.descriptor.id,a=r(o);a&&t.uniqueId===a.uniqueId&&(delete e.draggables[o],e.droppables[t.descriptor.droppableId]&&n({type:"REMOVAL",value:t}))},getById:function(e){const t=r(e);return t||Xn(!1),t},findById:r,exists:e=>Boolean(r(e)),getAllByType:t=>Object.values(e.draggables).filter((e=>e.descriptor.type===t))},droppable:{register:t=>{e.droppables[t.descriptor.id]=t},unregister:t=>{const n=o(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){const t=o(e);return t||Xn(!1),t},findById:o,exists:e=>Boolean(o(e)),getAllByType:t=>Object.values(e.droppables).filter((e=>e.descriptor.type===t))},subscribe:function(e){return t.push(e),function(){const n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var Ha=p().createContext(null),za=()=>{const e=document.body;return e||Xn(!1),e},qa={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"};const Ya=e=>`rfd-announcement-${e}`;let Xa=0;const Qa={separator:"::"};var Ka="useId"in p()?function(e,t=Qa){const n=p().useId();return In((()=>`${e}${t.separator}${n}`),[t.separator,e,n])}:function(e,t=Qa){return In((()=>`${e}${t.separator}${Xa++}`),[t.separator,e])},Ja=p().createContext(null);function Za(e){const t=(0,u.useRef)(e);return(0,u.useEffect)((()=>{t.current=e})),t}function ei(e){return"IDLE"!==e.phase&&"DROP_ANIMATING"!==e.phase&&e.isDragging}const ti=9,ni=13,ri=33,oi=34,ai=35,ii=36,li={[ni]:!0,[ti]:!0};var si=e=>{li[e.keyCode]&&e.preventDefault()},ci=(()=>{const e="visibilitychange";return"undefined"==typeof document?e:[e,`ms${e}`,`webkit${e}`,`moz${e}`,`o${e}`].find((e=>`on${e}`in document))||e})();const di={type:"IDLE"};function ui(){}const pi={[oi]:!0,[ri]:!0,[ii]:!0,[ai]:!0};const mi={type:"IDLE"},fi=["input","button","textarea","select","option","optgroup","video","audio"];function gi(e,t){if(null==t)return!1;if(fi.includes(t.tagName.toLowerCase()))return!0;const n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&gi(e,t.parentElement)}function bi(e,t){const n=t.target;return!!Ga(n)&&gi(e,n)}var hi=e=>Pn(e.getBoundingClientRect()).center;const vi=(()=>{const e="matches";return"undefined"==typeof document?e:[e,"msMatchesSelector","webkitMatchesSelector"].find((e=>e in Element.prototype))||e})();function yi(e,t){return null==e?null:e[vi](t)?e:yi(e.parentElement,t)}function Ei(e,t){return e.closest?e.closest(t):yi(e,t)}function Ai(e){e.preventDefault()}function Ci({expected:e,phase:t,isLockActive:n,shouldWarn:r}){return!!n()&&e===t}function Oi({lockAPI:e,store:t,registry:n,draggableId:r}){if(e.isClaimed())return!1;const o=n.draggable.findById(r);return!!o&&!!o.options.isEnabled&&!!fa(t.getState(),r)}const wi=[function(e){const t=(0,u.useRef)(di),n=(0,u.useRef)(Wn),r=In((()=>({eventName:"mousedown",fn:function(t){if(t.defaultPrevented)return;if(0!==t.button)return;if(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)return;const r=e.findClosestDraggableId(t);if(!r)return;const o=e.tryGetLock(r,i,{sourceEvent:t});if(!o)return;t.preventDefault();const a={x:t.clientX,y:t.clientY};n.current(),c(o,a)}})),[e]),o=In((()=>({eventName:"webkitmouseforcewillbegin",fn:t=>{if(t.defaultPrevented)return;const n=e.findClosestDraggableId(t);if(!n)return;const r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}})),[e]),a=xn((function(){n.current=Hn(window,[o,r],{passive:!1,capture:!0})}),[o,r]),i=xn((()=>{"IDLE"!==t.current.type&&(t.current=di,n.current(),a())}),[a]),l=xn((()=>{const e=t.current;i(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[i]),s=xn((function(){const e=function({cancel:e,completed:t,getPhase:n,setPhase:r}){return[{eventName:"mousemove",fn:e=>{const{button:t,clientX:o,clientY:a}=e;if(0!==t)return;const i={x:o,y:a},l=n();if("DRAGGING"===l.type)return e.preventDefault(),void l.actions.move(i);if("PENDING"!==l.type&&Xn(!1),s=l.point,c=i,!(Math.abs(c.x-s.x)>=5||Math.abs(c.y-s.y)>=5))return;var s,c;e.preventDefault();const d=l.actions.fluidLift(i);r({type:"DRAGGING",actions:d})}},{eventName:"mouseup",fn:r=>{const o=n();"DRAGGING"===o.type?(r.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"mousedown",fn:t=>{"DRAGGING"===n().type&&t.preventDefault(),e()}},{eventName:"keydown",fn:t=>{if("PENDING"!==n().type)return 27===t.keyCode?(t.preventDefault(),void e()):void si(t);e()}},{eventName:"resize",fn:e},{eventName:"scroll",options:{passive:!0,capture:!1},fn:()=>{"PENDING"===n().type&&e()}},{eventName:"webkitmouseforcedown",fn:t=>{const r=n();"IDLE"===r.type&&Xn(!1),r.actions.shouldRespectForcePress()?e():t.preventDefault()}},{eventName:ci,fn:e}]}({cancel:l,completed:i,getPhase:()=>t.current,setPhase:e=>{t.current=e}});n.current=Hn(window,e,{capture:!0,passive:!1})}),[l,i]),c=xn((function(e,n){"IDLE"!==t.current.type&&Xn(!1),t.current={type:"PENDING",point:n,actions:e},s()}),[s]);Fa((function(){return a(),function(){n.current()}}),[a])},function(e){const t=(0,u.useRef)(ui),n=In((()=>({eventName:"keydown",fn:function(n){if(n.defaultPrevented)return;if(32!==n.keyCode)return;const o=e.findClosestDraggableId(n);if(!o)return;const a=e.tryGetLock(o,s,{sourceEvent:n});if(!a)return;n.preventDefault();let i=!0;const l=a.snapLift();function s(){i||Xn(!1),i=!1,t.current(),r()}t.current(),t.current=Hn(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:r=>27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(pi[r.keyCode]?r.preventDefault():si(r))},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:ci,fn:n}]}(l,s),{capture:!0,passive:!1})}})),[e]),r=xn((function(){t.current=Hn(window,[n],{passive:!1,capture:!0})}),[n]);Fa((function(){return r(),function(){t.current()}}),[r])},function(e){const t=(0,u.useRef)(mi),n=(0,u.useRef)(Wn),r=xn((function(){return t.current}),[]),o=xn((function(e){t.current=e}),[]),a=In((()=>({eventName:"touchstart",fn:function(t){if(t.defaultPrevented)return;const r=e.findClosestDraggableId(t);if(!r)return;const o=e.tryGetLock(r,l,{sourceEvent:t});if(!o)return;const a=t.touches[0],{clientX:i,clientY:s}=a,c={x:i,y:s};n.current(),p(o,c)}})),[e]),i=xn((function(){n.current=Hn(window,[a],{capture:!0,passive:!1})}),[a]),l=xn((()=>{const e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),o(mi),n.current(),i())}),[i,o]),s=xn((()=>{const e=t.current;l(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[l]),c=xn((function(){const e={capture:!0,passive:!1},t={cancel:s,completed:l,getPhase:r},o=Hn(window,function({cancel:e,completed:t,getPhase:n}){return[{eventName:"touchmove",options:{capture:!1},fn:t=>{const r=n();if("DRAGGING"!==r.type)return void e();r.hasMoved=!0;const{clientX:o,clientY:a}=t.touches[0],i={x:o,y:a};t.preventDefault(),r.actions.move(i)}},{eventName:"touchend",fn:r=>{const o=n();"DRAGGING"===o.type?(r.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"touchcancel",fn:t=>{"DRAGGING"===n().type?(t.preventDefault(),e()):e()}},{eventName:"touchforcechange",fn:t=>{const r=n();"IDLE"===r.type&&Xn(!1);const o=t.touches[0];if(!o)return;if(!(o.force>=.15))return;const a=r.actions.shouldRespectForcePress();if("PENDING"!==r.type)return a?r.hasMoved?void t.preventDefault():void e():void t.preventDefault();a&&e()}},{eventName:ci,fn:e}]}(t),e),a=Hn(window,function({cancel:e,getPhase:t}){return[{eventName:"orientationchange",fn:e},{eventName:"resize",fn:e},{eventName:"contextmenu",fn:e=>{e.preventDefault()}},{eventName:"keydown",fn:n=>{"DRAGGING"===t().type?(27===n.keyCode&&n.preventDefault(),e()):e()}},{eventName:ci,fn:e}]}(t),e);n.current=function(){o(),a()}}),[s,r,l]),d=xn((function(){const e=r();"PENDING"!==e.type&&Xn(!1);const t=e.actions.fluidLift(e.point);o({type:"DRAGGING",actions:t,hasMoved:!1})}),[r,o]),p=xn((function(e,t){"IDLE"!==r().type&&Xn(!1);const n=setTimeout(d,120);o({type:"PENDING",point:t,actions:e,longPressTimerId:n}),c()}),[c,r,o,d]);Fa((function(){return i(),function(){n.current();const e=r();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),o(mi))}}),[r,i,o]),Fa((function(){return Hn(window,[{eventName:"touchmove",fn:()=>{},options:{capture:!1,passive:!1}}])}),[])}];function Si({contextId:e,store:t,registry:n,customSensors:r,enableDefaultSensors:o}){const a=[...o?wi:[],...r||[]],i=(0,u.useState)((()=>function(){let e=null;function t(){e||Xn(!1),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&Xn(!1);const n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()))[0],l=xn((function(e,t){ei(e)&&!ei(t)&&i.tryAbandon()}),[i]);Fa((function(){let e=t.getState();return t.subscribe((()=>{const n=t.getState();l(e,n),e=n}))}),[i,t,l]),Fa((()=>i.tryAbandon),[i.tryAbandon]);const s=xn((e=>Oi({lockAPI:i,registry:n,store:t,draggableId:e})),[i,n,t]),c=xn(((r,o,a)=>function({lockAPI:e,contextId:t,store:n,registry:r,draggableId:o,forceSensorStop:a,sourceEvent:i}){if(!Oi({lockAPI:e,store:n,registry:r,draggableId:o}))return null;const l=r.draggable.getById(o),s=function(e,t){const n=`[${Na.contextId}="${e}"]`,r=Ua(document,n).find((e=>e.getAttribute(Na.id)===t));return r&&Ga(r)?r:null}(t,l.descriptor.id);if(!s)return null;if(i&&!l.options.canDragInteractiveElements&&bi(s,i))return null;const c=e.claim(a||Wn);let d="PRE_DRAG";function u(){return l.options.shouldRespectForcePress}function p(){return e.isActive(c)}const m=function(e,t){Ci({expected:e,phase:d,isLockActive:p,shouldWarn:!0})&&n.dispatch(t())}.bind(null,"DRAGGING");function f(t){function r(){e.release(),d="COMPLETED"}function o(e,o={shouldBlockNextClick:!1}){if(t.cleanup(),o.shouldBlockNextClick){const e=Hn(window,[{eventName:"click",fn:Ai,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(e)}r(),n.dispatch(jo({reason:e}))}return"PRE_DRAG"!==d&&(r(),Xn(!1)),n.dispatch(wo(t.liftActionArgs)),d="DRAGGING",{isActive:()=>Ci({expected:"DRAGGING",phase:d,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:u,drop:e=>o("DROP",e),cancel:e=>o("CANCEL",e),...t.actions}}return{isActive:()=>Ci({expected:"PRE_DRAG",phase:d,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:u,fluidLift:function(e){const t=Un((e=>{m((()=>To({client:e})))}));return{...f({liftActionArgs:{id:o,clientSelection:e,movementMode:"FLUID"},cleanup:()=>t.cancel(),actions:{move:t}}),move:t}},snapLift:function(){const e={moveUp:()=>m(Ro),moveRight:()=>m(No),moveDown:()=>m(Bo),moveLeft:()=>m(Lo)};return f({liftActionArgs:{id:o,clientSelection:hi(s),movementMode:"SNAP"},cleanup:Wn,actions:e})},abort:function(){Ci({expected:"PRE_DRAG",phase:d,isLockActive:p,shouldWarn:!0})&&e.release()}}}({lockAPI:i,registry:n,contextId:e,store:t,draggableId:r,forceSensorStop:o||null,sourceEvent:a&&a.sourceEvent?a.sourceEvent:null})),[e,i,n,t]),d=xn((t=>function(e,t){const n=function(e,t){const n=t.target;if(!((r=n)instanceof Va(r).Element))return null;var r;const o=function(e){return`[${Ba.contextId}="${e}"]`}(e),a=Ei(n,o);return a&&Ga(a)?a:null}(e,t);return n?n.getAttribute(Ba.draggableId):null}(e,t)),[e]),p=xn((e=>{const t=n.draggable.findById(e);return t?t.options:null}),[n.draggable]),m=xn((function(){i.isClaimed()&&(i.tryAbandon(),"IDLE"!==t.getState().phase&&t.dispatch(ko()))}),[i,t]),f=xn((()=>i.isClaimed()),[i]),g=In((()=>({canGetLock:s,tryGetLock:c,findClosestDraggableId:d,findOptionsForDraggable:p,tryReleaseLock:m,isLockClaimed:f})),[s,c,d,p,m,f]);for(let e=0;e<a.length;e++)a[e](g)}const Ii=e=>({onBeforeCapture:t=>{const n=()=>{e.onBeforeCapture&&e.onBeforeCapture(t)};p().version.startsWith("16")||p().version.startsWith("17")?n():(0,An.flushSync)(n)},onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}),xi=e=>({...ha,...e.autoScrollerOptions,durationDampening:{...ha.durationDampening,...e.autoScrollerOptions}});function Pi(e){return e.current||Xn(!1),e.current}function Di(e){const{contextId:t,setCallbacks:n,sensors:r,nonce:o,dragHandleUsageInstructions:a}=e,i=(0,u.useRef)(null),l=Za(e),s=xn((()=>Ii(l.current)),[l]),c=xn((()=>xi(l.current)),[l]),d=function(e){const t=In((()=>Ya(e)),[e]),n=(0,u.useRef)(null);return(0,u.useEffect)((function(){const e=document.createElement("div");return n.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,Vn.A)(e.style,qa),za().appendChild(e),function(){setTimeout((function(){const t=za();t.contains(e)&&t.removeChild(e),e===n.current&&(n.current=null)}))}}),[t]),xn((e=>{const t=n.current;t&&(t.textContent=e)}),[])}(t),m=function({contextId:e,text:t}){const n=Ka("hidden-text",{separator:"-"}),r=In((()=>function({contextId:e,uniqueId:t}){return`rfd-hidden-text-${e}-${t}`}({contextId:e,uniqueId:n})),[n,e]);return(0,u.useEffect)((function(){const e=document.createElement("div");return e.id=r,e.textContent=t,e.style.display="none",za().appendChild(e),function(){const t=za();t.contains(e)&&t.removeChild(e)}}),[r,t]),r}({contextId:t,text:a}),f=function(e,t){const n=In((()=>ja(e)),[e]),r=(0,u.useRef)(null),o=(0,u.useRef)(null),a=xn(_n((e=>{const t=o.current;t||Xn(!1),t.textContent=e})),[]),i=xn((e=>{const t=r.current;t||Xn(!1),t.textContent=e}),[]);Fa((()=>{(r.current||o.current)&&Xn(!1);const l=_a(t),s=_a(t);return r.current=l,o.current=s,l.setAttribute(`${Ra}-always`,e),s.setAttribute(`${Ra}-dynamic`,e),$a().appendChild(l),$a().appendChild(s),i(n.always),a(n.resting),()=>{const e=e=>{const t=e.current;t||Xn(!1),$a().removeChild(t),e.current=null};e(r),e(o)}}),[t,i,a,n.always,n.resting,e]);const l=xn((()=>a(n.dragging)),[a,n.dragging]),s=xn((e=>{a("DROP"!==e?n.userCancel:n.dropAnimating)}),[a,n.dropAnimating,n.userCancel]),c=xn((()=>{o.current&&a(n.resting)}),[a,n.resting]);return In((()=>({dragging:l,dropping:s,resting:c})),[l,s,c])}(t,o),g=xn((e=>{Pi(i).dispatch(e)}),[]),b=In((()=>(0,On.bindActionCreators)({publishWhileDragging:So,updateDroppableScroll:xo,updateDroppableIsEnabled:Po,updateDroppableIsCombineEnabled:Do,collectionStarting:Io},g)),[g]),h=function(){const e=In(Wa,[]);return(0,u.useEffect)((()=>function(){p().version.startsWith("16")||p().version.startsWith("17")?requestAnimationFrame(e.clean):e.clean()}),[e]),e}(),v=In((()=>ma(h,b)),[h,b]),y=In((()=>Ta({scrollWindow:ga,scrollDroppable:v.scrollDroppable,getAutoScrollerOptions:c,...(0,On.bindActionCreators)({move:To},g)})),[v.scrollDroppable,g,c]),E=function(e){const t=(0,u.useRef)({}),n=(0,u.useRef)(null),r=(0,u.useRef)(null),o=(0,u.useRef)(!1),a=xn((function(e,n){const r={id:e,focus:n};return t.current[e]=r,function(){const n=t.current;n[e]!==r&&delete n[e]}}),[]),i=xn((function(t){const n=function(e,t){const n=`[${Ba.contextId}="${e}"]`,r=Ua(document,n);if(!r.length)return null;const o=r.find((e=>e.getAttribute(Ba.draggableId)===t));return o&&Ga(o)?o:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),l=xn((function(e,t){n.current===e&&(n.current=t)}),[]),s=xn((function(){r.current||o.current&&(r.current=requestAnimationFrame((()=>{r.current=null;const e=n.current;e&&i(e)})))}),[i]),c=xn((function(e){n.current=null;const t=document.activeElement;t&&t.getAttribute(Ba.draggableId)===e&&(n.current=e)}),[]);return Fa((()=>(o.current=!0,function(){o.current=!1;const e=r.current;e&&cancelAnimationFrame(e)})),[]),In((()=>({register:a,tryRecordFocus:c,tryRestoreFocusRecorded:s,tryShiftRecord:l})),[a,c,s,l])}(t),A=In((()=>sa({announce:d,autoScroller:y,dimensionMarshal:v,focusMarshal:E,getResponders:s,styleMarshal:f})),[d,y,v,E,s,f]);i.current=A;const C=xn((()=>{const e=Pi(i);"IDLE"!==e.getState().phase&&e.dispatch(ko())}),[]),O=xn((()=>{const e=Pi(i).getState();return"DROP_ANIMATING"===e.phase||"IDLE"!==e.phase&&e.isDragging}),[]);n(In((()=>({isDragging:O,tryAbort:C})),[O,C]));const w=xn((e=>fa(Pi(i).getState(),e)),[]),S=xn((()=>lo(Pi(i).getState())),[]),I=In((()=>({marshal:v,focus:E,contextId:t,canLift:w,isMovementAllowed:S,dragHandleUsageInstructionsId:m,registry:h})),[t,v,m,E,w,S,h]);return Si({contextId:t,store:A,registry:h,customSensors:r||null,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,u.useEffect)((()=>C),[C]),p().createElement(Ja.Provider,{value:I},p().createElement(wn.Provider,{context:Ha,store:A},e.children))}let Ti=0;var Ri="useId"in p()?function(){return p().useId()}:function(){return In((()=>""+Ti++),[])};function Bi(e){const t=Ri(),n=e.dragHandleUsageInstructions||nr.dragHandleUsageInstructions;return p().createElement(Qn,null,(r=>p().createElement(Di,{nonce:e.nonce,contextId:t,setCallbacks:r,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd,autoScrollerOptions:e.autoScrollerOptions},e.children)))}const Ni=5e3,Li=4500,ki=(e,t)=>t?Wo.drop(t.duration):e?Wo.snap:Wo.fluid,Mi=(e,t)=>{if(e)return t?$o:_o};var ji=p().createContext(null);function Fi(e){const t=(0,u.useContext)(e);return t||Xn(!1),t}function $i(e){e.preventDefault()}var _i=(e,t)=>e===t,Ui=e=>{const{combine:t,destination:n}=e;return n?n.droppableId:t?t.droppableId:null};function Vi(e=null){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}const Gi={mapped:{type:"SECONDARY",offset:rr,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:Vi(null)}},Wi={dropAnimationFinished:()=>({type:"DROP_ANIMATION_FINISHED",payload:null})},Hi=(0,wn.connect)((()=>{const e=function(){const e=_n(((e,t)=>({x:e,y:t}))),t=_n(((e,t,n=null,r=null,o=null)=>({isDragging:!0,isClone:t,isDropAnimating:Boolean(o),dropAnimation:o,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}))),n=_n(((e,n,r,o,a=null,i=null,l=null)=>({mapped:{type:"DRAGGING",dropping:null,draggingOver:a,combineWith:i,mode:n,offset:e,dimension:r,forceShouldAnimate:l,snapshot:t(n,o,a,i,null)}})));return(r,o)=>{if(ei(r)){if(r.critical.draggable.id!==o.draggableId)return null;const t=r.current.client.offset,i=r.dimensions.draggables[o.draggableId],l=ao(r.impact),s=(a=r.impact).at&&"COMBINE"===a.at.type?a.at.combine.draggableId:null,c=r.forceShouldAnimate;return n(e(t.x,t.y),r.movementMode,i,o.isClone,l,s,c)}var a;if("DROP_ANIMATING"===r.phase){const e=r.completed;if(e.result.draggableId!==o.draggableId)return null;const n=o.isClone,a=r.dimensions.draggables[o.draggableId],i=e.result,l=i.mode,s=Ui(i),c=(e=>e.combine?e.combine.draggableId:null)(i),d={duration:r.dropDuration,curve:Fo,moveTo:r.newHomeClientOffset,opacity:c?$o:null,scale:c?Uo:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:a,dropping:d,draggingOver:s,combineWith:c,mode:l,forceShouldAnimate:null,snapshot:t(l,n,s,c,d)}}}return null}}(),t=function(){const e=_n(((e,t)=>({x:e,y:t}))),t=_n(Vi),n=_n(((e,n=null,r)=>({mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}))),r=e=>e?n(rr,e,!0):null,o=(t,o,a,i)=>{const l=a.displaced.visible[t],s=Boolean(i.inVirtualList&&i.effected[t]),c=Or(a),d=c&&c.draggableId===t?o:null;if(!l){if(!s)return r(d);if(a.displaced.invisible[t])return null;const o=lr(i.displacedBy.point),l=e(o.x,o.y);return n(l,d,!0)}if(s)return r(d);const u=a.displacedBy.point,p=e(u.x,u.y);return n(p,d,l.shouldAnimate)};return(e,t)=>{if(ei(e))return e.critical.draggable.id===t.draggableId?null:o(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){const n=e.completed;return n.result.draggableId===t.draggableId?null:o(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return(n,r)=>e(n,r)||t(n,r)||Gi}),Wi,null,{context:Ha,areStatePropsEqual:_i})((e=>{const t=(0,u.useRef)(null),n=xn(((e=null)=>{t.current=e}),[]),r=xn((()=>t.current),[]),{contextId:o,dragHandleUsageInstructionsId:a,registry:i}=Fi(Ja),{type:l,droppableId:s}=Fi(ji),c=In((()=>({id:e.draggableId,index:e.index,type:l,droppableId:s})),[e.draggableId,e.index,l,s]),{children:d,draggableId:m,isEnabled:f,shouldRespectForcePress:g,canDragInteractiveElements:b,isClone:h,mapped:v,dropAnimationFinished:y}=e;h||function(e){const t=Ka("draggable"),{descriptor:n,registry:r,getDraggableRef:o,canDragInteractiveElements:a,shouldRespectForcePress:i,isEnabled:l}=e,s=In((()=>({canDragInteractiveElements:a,shouldRespectForcePress:i,isEnabled:l})),[a,l,i]),c=xn((e=>{const t=o();return t||Xn(!1),function(e,t,n=rr){const r=window.getComputedStyle(t),o=t.getBoundingClientRect(),a=Mn(o,r),i=kn(a,n);return{descriptor:e,placeholder:{client:a,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:a.marginBox.width,y:a.marginBox.height},client:a,page:i}}(n,t,e)}),[n,o]),d=In((()=>({uniqueId:t,descriptor:n,options:s,getDimension:c})),[n,c,s,t]),p=(0,u.useRef)(d),m=(0,u.useRef)(!0);Fa((()=>(r.draggable.register(p.current),()=>r.draggable.unregister(p.current))),[r.draggable]),Fa((()=>{if(m.current)return void(m.current=!1);const e=p.current;p.current=d,r.draggable.update(d,e)}),[d,r.draggable])}(In((()=>({descriptor:c,registry:i,getDraggableRef:r,canDragInteractiveElements:b,shouldRespectForcePress:g,isEnabled:f})),[c,i,r,b,g,f]));const E=In((()=>f?{tabIndex:0,role:"button","aria-describedby":a,"data-rfd-drag-handle-draggable-id":m,"data-rfd-drag-handle-context-id":o,draggable:!1,onDragStart:$i}:null),[o,a,m,f]),A=xn((e=>{"DRAGGING"===v.type&&v.dropping&&"transform"===e.propertyName&&(p().version.startsWith("16")||p().version.startsWith("17")?y():(0,An.flushSync)(y))}),[y,v]),C=In((()=>{const e=function(e){return"DRAGGING"===e.type?function(e){const t=e.dimension.client,{offset:n,combineWith:r,dropping:o}=e,a=Boolean(r),i=(e=>null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode)(e),l=Boolean(o),s=l?qo(n,a):zo(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:ki(i,o),transform:s,opacity:Mi(a,l),zIndex:l?Li:Ni,pointerEvents:"none"}}(e):{transform:zo((t=e).offset),transition:t.shouldAnimateDisplacement?void 0:"none"};var t}(v),t="DRAGGING"===v.type&&v.dropping?A:void 0;return{innerRef:n,draggableProps:{"data-rfd-draggable-context-id":o,"data-rfd-draggable-id":m,style:e,onTransitionEnd:t},dragHandleProps:E}}),[o,E,m,v,A,n]),O=In((()=>({draggableId:c.id,type:c.type,source:{index:c.index,droppableId:c.droppableId}})),[c.droppableId,c.id,c.index,c.type]);return p().createElement(p().Fragment,null,d(C,v.snapshot,O))}));var zi=Hi;function qi(e){return Fi(ji).isUsingCloneFor!==e.draggableId||e.isClone?p().createElement(zi,e):null}function Yi(e){const t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),r=Boolean(e.shouldRespectForcePress);return p().createElement(qi,(0,Vn.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:r}))}const Xi=e=>t=>e===t,Qi=Xi("scroll"),Ki=Xi("auto"),Ji=(Xi("visible"),(e,t)=>t(e.overflowX)||t(e.overflowY)),Zi=e=>null==e||e===document.body||e===document.documentElement?null:(e=>{const t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return Ji(n,Qi)||Ji(n,Ki)})(e)?e:Zi(e.parentElement);var el=e=>({x:e.scrollLeft,y:e.scrollTop});const tl=e=>!!e&&("fixed"===window.getComputedStyle(e).position||tl(e.parentElement));const nl={passive:!1},rl={passive:!0};var ol=e=>e.shouldPublishImmediately?nl:rl;const al=e=>e&&e.env.closestScrollable||null;function il(e){const t=(0,u.useRef)(null),n=Fi(Ja),r=Ka("droppable"),{registry:o,marshal:a}=n,i=Za(e),l=In((()=>({id:e.droppableId,type:e.type,mode:e.mode})),[e.droppableId,e.mode,e.type]),s=(0,u.useRef)(l),c=In((()=>_n(((e,n)=>{t.current||Xn(!1);const r={x:e,y:n};a.updateDroppableScroll(l.id,r)}))),[l.id,a]),d=xn((()=>{const e=t.current;return e&&e.env.closestScrollable?el(e.env.closestScrollable):rr}),[]),p=xn((()=>{const e=d();c(e.x,e.y)}),[d,c]),m=In((()=>Un(p)),[p]),f=xn((()=>{const e=t.current,n=al(e);e&&n||Xn(!1),e.scrollOptions.shouldPublishImmediately?p():m()}),[m,p]),g=xn(((e,r)=>{t.current&&Xn(!1);const o=i.current,a=o.getDroppableRef();a||Xn(!1);const s=(e=>({closestScrollable:Zi(e),isFixedOnPage:tl(e)}))(a),c={ref:a,descriptor:l,env:s,scrollOptions:r};t.current=c;const d=(({ref:e,descriptor:t,env:n,windowScroll:r,direction:o,isDropDisabled:a,isCombineEnabled:i,shouldClipSubject:l})=>{const s=n.closestScrollable,c=((e,t)=>{const n=jn(e);if(!t)return n;if(e!==t)return n;const r=n.paddingBox.top-t.scrollTop,o=n.paddingBox.left-t.scrollLeft,a=r+t.scrollHeight,i=o+t.scrollWidth,l=Dn({top:r,right:i,bottom:a,left:o},n.border);return Bn({borderBox:l,margin:n.margin,border:n.border,padding:n.padding})})(e,s),d=kn(c,r),u=(()=>{if(!s)return null;const e=jn(s),t={scrollHeight:s.scrollHeight,scrollWidth:s.scrollWidth};return{client:e,page:kn(e,r),scroll:el(s),scrollSize:t,shouldClipSubject:l}})(),p=(({descriptor:e,isEnabled:t,isCombineEnabled:n,isFixedOnPage:r,direction:o,client:a,page:i,closest:l})=>{const s=(()=>{if(!l)return null;const{scrollSize:e,client:t}=l,n=ca({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:l.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:l.shouldClipSubject,scroll:{initial:l.scroll,current:l.scroll,max:n,diff:{value:rr,displacement:rr}}}})(),c="vertical"===o?Br:Nr;return{descriptor:e,isCombineEnabled:n,isFixedOnPage:r,axis:c,isEnabled:t,client:a,page:i,frame:s,subject:gr({page:i,withPlaceholder:null,axis:c,frame:s})}})({descriptor:t,isEnabled:!a,isCombineEnabled:i,isFixedOnPage:n.isFixedOnPage,direction:o,client:c,page:d,closest:u});return p})({ref:a,descriptor:l,env:s,windowScroll:e,direction:o.direction,isDropDisabled:o.isDropDisabled,isCombineEnabled:o.isCombineEnabled,shouldClipSubject:!o.ignoreContainerClipping}),u=s.closestScrollable;return u&&(u.setAttribute(ka.contextId,n.contextId),u.addEventListener("scroll",f,ol(c.scrollOptions))),d}),[n.contextId,l,f,i]),b=xn((()=>{const e=t.current,n=al(e);return e&&n||Xn(!1),el(n)}),[]),h=xn((()=>{const e=t.current;e||Xn(!1);const n=al(e);t.current=null,n&&(m.cancel(),n.removeAttribute(ka.contextId),n.removeEventListener("scroll",f,ol(e.scrollOptions)))}),[f,m]),v=xn((e=>{const n=t.current;n||Xn(!1);const r=al(n);r||Xn(!1),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),y=In((()=>({getDimensionAndWatchScroll:g,getScrollWhileDragging:b,dragStopped:h,scroll:v})),[h,g,b,v]),E=In((()=>({uniqueId:r,descriptor:l,callbacks:y})),[y,l,r]);Fa((()=>(s.current=E.descriptor,o.droppable.register(E),()=>{t.current&&h(),o.droppable.unregister(E)})),[y,l,h,E,a,o.droppable]),Fa((()=>{t.current&&a.updateDroppableIsEnabled(s.current.id,!e.isDropDisabled)}),[e.isDropDisabled,a]),Fa((()=>{t.current&&a.updateDroppableIsCombineEnabled(s.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,a])}function ll(){}const sl={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}};var cl=p().memo((e=>{const t=(0,u.useRef)(null),n=xn((()=>{t.current&&(clearTimeout(t.current),t.current=null)}),[]),{animate:r,onTransitionEnd:o,onClose:a,contextId:i}=e,[l,s]=(0,u.useState)("open"===e.animate);(0,u.useEffect)((()=>l?"open"!==r?(n(),s(!1),ll):t.current?ll:(t.current=setTimeout((()=>{t.current=null,s(!1)})),n):ll),[r,l,n]);const c=xn((e=>{"height"===e.propertyName&&(o(),"close"===r&&a())}),[r,a,o]),d=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>{const r=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>e||"close"===n?sl:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin})({isAnimatingOpenOnMount:e,placeholder:t,animate:n});return{display:t.display,boxSizing:"border-box",width:r.width,height:r.height,marginTop:r.margin.top,marginRight:r.margin.right,marginBottom:r.margin.bottom,marginLeft:r.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==n?Wo.placeholder:null}})({isAnimatingOpenOnMount:l,animate:e.animate,placeholder:e.placeholder});return p().createElement(e.placeholder.tagName,{style:d,"data-rfd-placeholder-context-id":i,onTransitionEnd:c,ref:e.innerRef})}));class dl extends p().PureComponent{constructor(...e){super(...e),this.state={isVisible:Boolean(this.props.on),data:this.props.on,animate:this.props.shouldAnimate&&this.props.on?"open":"none"},this.onClose=()=>{"close"===this.state.animate&&this.setState({isVisible:!1})}}static getDerivedStateFromProps(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}}render(){if(!this.state.isVisible)return null;const e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)}}const ul={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||Xn(!1),document.body}},pl=e=>{let t,n={...e};for(t in ul)void 0===e[t]&&(n={...n,[t]:ul[t]});return n},ml=(e,t)=>e===t.droppable.type,fl=(e,t)=>t.draggables[e.draggable.id];var gl=(0,wn.connect)((()=>{const e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t={...e,shouldAnimatePlaceholder:!1},n=_n((e=>({draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}))),r=_n(((r,o,a,i,l,s)=>{const c=l.descriptor.id;if(l.descriptor.droppableId===r){const e=s?{render:s,dragging:n(l.descriptor)}:null,t={isDraggingOver:a,draggingOverWith:a?c:null,draggingFromThisWith:c,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!1,snapshot:t,useClone:e}}if(!o)return t;if(!i)return e;const d={isDraggingOver:a,draggingOverWith:c,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!0,snapshot:d,useClone:null}}));return(n,o)=>{const a=pl(o),i=a.droppableId,l=a.type,s=!a.isDropDisabled,c=a.renderClone;if(ei(n)){const e=n.critical;if(!ml(l,e))return t;const o=fl(e,n.dimensions),a=ao(n.impact)===i;return r(i,s,a,a,o,c)}if("DROP_ANIMATING"===n.phase){const e=n.completed;if(!ml(l,e.critical))return t;const o=fl(e.critical,n.dimensions);return r(i,s,Ui(e.result)===i,ao(e.impact)===i,o,c)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){const r=n.completed;if(!ml(l,r.critical))return t;const o=ao(r.impact)===i,a=Boolean(r.impact.at&&"COMBINE"===r.impact.at.type),s=r.critical.droppable.id===i;return o?a?e:t:s?e:t}return t}}),{updateViewportMaxScroll:e=>({type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e})},((e,t,n)=>({...pl(n),...e,...t})),{context:Ha,areStatePropsEqual:_i})((e=>{const t=(0,u.useContext)(Ja);t||Xn(!1);const{contextId:n,isMovementAllowed:r}=t,o=(0,u.useRef)(null),a=(0,u.useRef)(null),{children:i,droppableId:l,type:s,mode:c,direction:d,ignoreContainerClipping:m,isDropDisabled:f,isCombineEnabled:g,snapshot:b,useClone:h,updateViewportMaxScroll:v,getContainerForClone:y}=e,E=xn((()=>o.current),[]),A=xn(((e=null)=>{o.current=e}),[]),C=(xn((()=>a.current),[]),xn(((e=null)=>{a.current=e}),[])),O=xn((()=>{r()&&v({maxScroll:ua()})}),[r,v]);il({droppableId:l,type:s,mode:c,direction:d,isDropDisabled:f,isCombineEnabled:g,ignoreContainerClipping:m,getDroppableRef:E});const w=In((()=>p().createElement(dl,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(({onClose:e,data:t,animate:r})=>p().createElement(cl,{placeholder:t,onClose:e,innerRef:C,animate:r,contextId:n,onTransitionEnd:O})))),[n,O,e.placeholder,e.shouldAnimatePlaceholder,C]),S=In((()=>({innerRef:A,placeholder:w,droppableProps:{"data-rfd-droppable-id":l,"data-rfd-droppable-context-id":n}})),[n,l,w,A]),I=h?h.dragging.draggableId:null,x=In((()=>({droppableId:l,type:s,isUsingCloneFor:I})),[l,I,s]);return p().createElement(ji.Provider,{value:x},i(S,b),function(){if(!h)return null;const{dragging:e,render:t}=h,n=p().createElement(qi,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},((n,r)=>t(n,r,e)));return Cn().createPortal(n,y())}())}));const bl=e=>({content:De.css`
      border: 1px solid ${e.colors.border.weak};
      padding: ${e.spacing(1)};
    `,item:De.css`
      margin-bottom: ${e.spacing(1)};
    `,dragHandle:De.css`
      display: flex;
      margin: ${e.spacing(0,.5)};
    `,dragIcon:De.css`
      cursor: grab;
      color: ${e.colors.text.disabled};
      &:hover {
        color: ${e.colors.text};
      }
    `,removeButton:De.css`
      margin-left: ${e.spacing(1)};
      color: ${e.colors.text.secondary};
    `});function hl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function vl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){hl(e,t,n[t])}))}return e}function yl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const El=({options:e=[],onChange:t,onChangeItem:n,iconEnabled:r=!0})=>{const o=(0,d.useStyles2)(bl),[a,i]=(0,u.useState)({}),l=(0,u.useCallback)((n=>{n.destination&&t(Ue(e,n.source.index,n.destination.index))}),[e,t]),s=(0,u.useCallback)((e=>{i((t=>yl(vl({},t),{[e]:!t[e]})))}),[]);return p().createElement(p().Fragment,null,p().createElement(d.Label,null,"Options"),p().createElement("div",{className:o.content},p().createElement(Bi,{onDragEnd:l},p().createElement(gl,{droppableId:"options"},(i=>p().createElement("div",yl(vl({},i.droppableProps),{ref:i.innerRef}),e.map(((i,l)=>{const c=!a[i.id];return p().createElement(Yi,{key:i.id,draggableId:i.id,index:l},((a,l)=>{return p().createElement("div",yl(vl({},a.draggableProps),{ref:a.innerRef,style:(l.isDragging,u=a.draggableProps.style,vl({},u)),className:o.item}),p().createElement(y.SD,{fill:"solid",headerTestId:B.formElementsEditor.optionLabel(i.id),contentTestId:B.formElementsEditor.optionContent(i.id),isOpen:c,onToggle:()=>s(i.id),title:p().createElement(p().Fragment,null,i.label," [",i.id,"]"),actions:p().createElement(p().Fragment,null,p().createElement(d.IconButton,{name:"trash-alt",variant:"secondary",size:"sm",className:o.removeButton,"data-testid":B.formElementsEditor.buttonRemoveOption,onClick:()=>t(null==e?void 0:e.filter((e=>e.id!==i.id))),"aria-label":"Remove"}),p().createElement("div",vl({className:o.dragHandle},a.dragHandleProps),p().createElement(d.Icon,{title:"Drag and drop to reorder",name:"draggabledots",size:"lg",className:o.dragIcon})))},p().createElement(p().Fragment,null,p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Type",labelWidth:6},p().createElement(d.Select,{options:M,onChange:e=>{const t=(null==e?void 0:e.value)===N.NUMBER?Number(i.value)||0:String(i.value);n(yl(vl({},i),{value:t,id:t.toString(),type:null==e?void 0:e.value}),i)},width:12,value:i.type,"aria-label":B.formElementsEditor.fieldOptionType})),p().createElement(d.InlineField,{invalid:!i.value,label:"Value",labelWidth:6,grow:!0},p().createElement(d.Input,{placeholder:i.type===N.NUMBER?"number":"string",type:i.type===N.NUMBER?"number":void 0,onChange:e=>{n(yl(vl({},i),{value:i.type===N.NUMBER?Number(e.target.value):e.target.value}),i,!0)},onBlur:()=>{var e;const t=(null===(e=i.value)||void 0===e?void 0:e.toString())||ve.id;n(yl(vl({},i),{id:t}),i)},value:i.value,"data-testid":B.formElementsEditor.fieldOptionValue}))),p().createElement(d.InlineFieldRow,null,r&&p().createElement(d.InlineField,{label:"Icon",labelWidth:6},p().createElement(d.Select,{onChange:e=>{n(yl(vl({},i),{icon:null==e?void 0:e.value}))},options:_,isClearable:!0,value:i.icon,width:12,"aria-label":B.formElementsEditor.fieldOptionIcon})),p().createElement(d.InlineField,{label:"Label",labelWidth:6,grow:!0,shrink:!0},p().createElement(d.Input,{placeholder:"label",onChange:e=>{n(yl(vl({},i),{label:e.target.value}))},value:i.label,"data-testid":B.formElementsEditor.fieldOptionLabel}))))));var u}))})),i.placeholder)))),p().createElement(d.Button,{variant:"secondary",onClick:()=>{const n=yl(vl({},ve),{type:e.length?e[0].type:ve.type});t(e.concat(n))},icon:"plus","data-testid":B.formElementsEditor.buttonAddOption,size:"sm",disabled:e.some((e=>e.id===ve.id))},"Add Option")))};function Al(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Cl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Al(e,t,n[t])}))}return e}function Ol(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const wl=({value:e,onChange:t,data:n})=>{const r=(0,u.useMemo)((()=>{const t=null==e?void 0:e.source,r=n.reduce(((e,t)=>e.concat(t.fields.map((e=>({value:`${t.refId}:${e.name}`,fieldName:e.name,label:`${t.refId}:${e.name}`,source:t.refId}))))),[]);if(t){const e=n.find((e=>e.refId===t));return{valueOptions:r,labelOptions:null==e?void 0:e.fields.map((({name:t})=>({label:`${e.refId}:${t}`,source:e.refId,value:t,fieldName:t})))}}return{valueOptions:r,labelOptions:[]}}),[n,null==e?void 0:e.source]);return p().createElement(p().Fragment,null,p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Value Field",grow:!0},p().createElement(d.Select,{options:r.valueOptions,value:`${null==e?void 0:e.source}:${null==e?void 0:e.value}`,onChange:n=>t(n?Ol(Cl({},e),{source:n.source,value:n.fieldName,label:(null==e?void 0:e.source)!==n.source?null:(null==e?void 0:e.label)||null}):void 0),"aria-label":B.formElementsEditor.fieldQueryOptionsValue,isClearable:!0}))),(null==e?void 0:e.value)&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Label Field",grow:!0},p().createElement(d.Select,{options:r.labelOptions,value:e.label,onChange:n=>t(Ol(Cl({},e),{label:n?n.fieldName:""})),"aria-label":B.formElementsEditor.fieldQueryOptionsLabel,isClearable:!0}))))},Sl=e=>({optionsContainer:De.css`
      margin: ${e.spacing(1,0)};
    `,colorPickerContainer:De.css`
      align-items: center;
    `,colorPickerButtons:De.css`
      display: flex;
      justify-content: flex-start;
      align-items: center;
      gap: ${e.spacing(1)};
      padding: ${e.spacing(0,1)};
    `});function Il(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function xl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Il(e,t,n[t])}))}return e}function Pl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Dl=({element:e,onChange:t,onChangeOption:r,layoutSectionOptions:a,data:i})=>{const l=(0,d.useStyles2)(Sl),s=(0,u.useMemo)((()=>(0,d.getAvailableIcons)().map((e=>({value:e,label:e})))),[]);var c;return p().createElement(p().Fragment,null,p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Id",grow:!0,labelWidth:8,invalid:""===e.id},p().createElement(d.Input,{placeholder:"Id",onChange:n=>{t(Pl(xl({},e),{id:n.target.value}),!0)},value:e.id,"data-testid":B.formElementsEditor.fieldId})),Je(e,N.STRING)&&p().createElement(d.InlineField,{"data-testid":B.formElementsEditor.fieldVisibility},p().createElement(d.RadioButtonGroup,{options:j,value:!!e.hidden,onChange:n=>{t(Pl(xl({},e),{hidden:n}))}}))),p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Type",grow:!0,labelWidth:8},p().createElement(d.Select,{options:L,onChange:n=>{t(Ve(e,null==n?void 0:n.value),!0)},value:L.find((t=>t.value===e.type)),"aria-label":B.formElementsEditor.fieldType})),p().createElement(d.InlineField,{label:"Width",labelWidth:12,tooltip:"Element will grow to max length if not specified. Some elements does not support adjusting width."},p().createElement(d.Input,{placeholder:"auto",onChange:n=>{t(Pl(xl({},e),{width:We(n.target.value)}))},value:He(e.width),min:0,type:"number","data-testid":B.formElementsEditor.fieldWidth}))),p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Label",grow:!0,labelWidth:8,invalid:""===e.title},p().createElement(d.Input,{placeholder:"Label",onChange:n=>{t(Pl(xl({},e),{title:n.target.value}))},value:e.title,"data-testid":B.formElementsEditor.fieldLabel})),p().createElement(d.InlineField,{label:"Label Width",labelWidth:12},p().createElement(d.Input,{placeholder:"auto",onChange:n=>{t(Pl(xl({},e),{labelWidth:We(n.target.value)}))},value:He(e.labelWidth),type:"number","data-testid":B.formElementsEditor.fieldLabelWidth}))),p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Tooltip",grow:!0,labelWidth:8},p().createElement(d.Input,{placeholder:"Tooltip",onChange:n=>{t(Pl(xl({},e),{tooltip:n.target.value}))},value:e.tooltip,"data-testid":B.formElementsEditor.fieldTooltip})),p().createElement(d.InlineField,{label:"Unit",labelWidth:12},p().createElement(d.Input,{placeholder:"Unit",onChange:n=>{t(Pl(xl({},e),{unit:n.target.value}))},value:e.unit,"data-testid":B.formElementsEditor.fieldUnit}))),p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{className:l.colorPickerContainer,label:"Background",grow:!0},p().createElement("div",{className:l.colorPickerButtons},p().createElement(d.ColorPicker,{"data-testid":B.formElementsEditor.fieldElementBackground,color:e.background||"transparent",onChange:n=>{t(Pl(xl({},e),{background:n}))}}),e.background&&p().createElement(d.IconButton,{"data-testid":B.formElementsEditor.buttonRemoveBackground,name:"times",size:"md",variant:"secondary",tooltip:"Reset to default",onClick:()=>t(Pl(xl({},e),{background:""}))}))),p().createElement(d.InlineField,{className:l.colorPickerContainer,label:"Label Background",grow:!0},p().createElement("div",{className:l.colorPickerButtons},p().createElement(d.ColorPicker,{"data-testid":B.formElementsEditor.fieldLabelBackground,color:e.labelBackground||"transparent",onChange:n=>{t(Pl(xl({},e),{labelBackground:n}))}}),e.labelBackground&&p().createElement(d.IconButton,{"data-testid":B.formElementsEditor.buttonRemoveLabelBackground,name:"times",size:"md",variant:"secondary",tooltip:"Reset to default",onClick:()=>t(Pl(xl({},e),{labelBackground:""}))}))),p().createElement(d.InlineField,{className:l.colorPickerContainer,label:"Label Color",grow:!0},p().createElement("div",{className:l.colorPickerButtons},p().createElement(d.ColorPicker,{"data-testid":B.formElementsEditor.fieldLabelColor,color:e.labelColor||"transparent",onChange:n=>{t(Pl(xl({},e),{labelColor:n}))}}),e.labelColor&&p().createElement(d.IconButton,{"data-testid":B.formElementsEditor.buttonRemoveLabelColor,name:"times",size:"md",variant:"secondary",tooltip:"Reset to default",onClick:()=>t(Pl(xl({},e),{labelColor:""}))})))),a.length>0&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Section",grow:!0,labelWidth:8},p().createElement(d.Select,{options:a,onChange:n=>{t(Pl(xl({},e),{section:null==n?void 0:n.value}))},value:a.find((t=>t.value===e.section)),"aria-label":B.formElementsEditor.fieldSection}))),Je(e,N.SLIDER)&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Min",labelWidth:8},p().createElement(d.Input,{placeholder:"Min",onChange:n=>{t(Pl(xl({},e),{min:Number(n.target.value)}))},type:"number",width:10,value:e.min,"data-testid":B.formElementsEditor.fieldSliderMin})),p().createElement(d.InlineField,{label:"Max",labelWidth:8},p().createElement(d.Input,{placeholder:"Max",onChange:n=>{t(Pl(xl({},e),{max:Number(n.target.value)}))},type:"number",width:10,value:e.max,"data-testid":B.formElementsEditor.fieldSliderMax})),p().createElement(d.InlineField,{label:"Step",labelWidth:8},p().createElement(d.Input,{placeholder:"Step",onChange:n=>{t(Pl(xl({},e),{step:Number(n.target.value)}))},type:"number",width:10,value:e.step,"data-testid":B.formElementsEditor.fieldSliderStep}))),Je(e,N.NUMBER)&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Min",labelWidth:8},p().createElement(d.Input,{placeholder:"Min",onChange:n=>{t(Pl(xl({},e),{min:n.target.value?Number(n.target.value):void 0}))},type:"number",width:10,value:He(e.min),"data-testid":B.formElementsEditor.fieldNumberMin})),p().createElement(d.InlineField,{label:"Max",labelWidth:8},p().createElement(d.Input,{placeholder:"Max",onChange:n=>{t(Pl(xl({},e),{max:n.target.value?Number(n.target.value):void 0}))},type:"number",width:10,value:He(e.max),"data-testid":B.formElementsEditor.fieldNumberMax}))),Je(e,N.DATETIME)&&p().createElement(p().Fragment,null,p().createElement(En,{label:"Min",onChange:n=>t(Pl(xl({},e),{min:n})),value:e.min,"data-testid":B.formElementsEditor.fieldMinDate}),p().createElement(En,{label:"Max",onChange:n=>t(Pl(xl({},e),{max:n})),value:e.max,"data-testid":B.formElementsEditor.fieldMaxDate}),p().createElement(d.InlineField,{label:"Time Zone","data-testid":B.formElementsEditor.fieldTimeZone},p().createElement(d.RadioButtonGroup,{options:F,value:e.isUseLocalTime,onChange:n=>{t(Pl(xl({},e),{isUseLocalTime:n}))}}))),(Je(e,N.TEXTAREA)||Je(e,N.DISABLED_TEXTAREA))&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Rows",labelWidth:8},p().createElement(d.Input,{placeholder:"Rows",onChange:n=>{t(Pl(xl({},e),{rows:Number(n.target.value)}))},type:"number",width:10,value:e.rows,min:2,"data-testid":B.formElementsEditor.fieldTextareaRows}))),Je(e,N.CODE)&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Language",grow:!0,labelWidth:10},p().createElement(d.Select,{options:I,onChange:n=>{t(Pl(xl({},e),{language:null==n?void 0:n.value}))},value:I.find((t=>t.value===e.language)),"aria-label":B.formElementsEditor.fieldCodeLanguage})),p().createElement(d.InlineField,{label:"Height",labelWidth:12,tooltip:"Code Editor height in px"},p().createElement(d.Input,{placeholder:"Height",onChange:n=>{t(Pl(xl({},e),{height:Number(n.target.value)}))},type:"number",value:e.height,min:0,"data-testid":B.formElementsEditor.fieldCodeHeight}))),Je(e,N.FILE)&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{grow:!0,label:"Accept",labelWidth:10,tooltip:"Specify comma-separated file extensions or keep blank to allow any file"},p().createElement(d.Input,{value:e.accept||"",onChange:n=>{t(Pl(xl({},e),{accept:n.target.value}))},"data-testid":B.formElementsEditor.fieldAccept})),p().createElement(d.InlineField,{label:"Multiple",labelWidth:12,tooltip:"Allows to select multiple files"},p().createElement(d.RadioButtonGroup,{options:mt(xe,B.formElementsEditor.fileMultipleOption),value:null!==(c=e.multiple)&&void 0!==c&&c,onChange:n=>{t(Pl(xl({},e),{multiple:n}))}}))),Je(e,N.LINK)&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{grow:!0,label:"Link Text",labelWidth:14},p().createElement(d.Input,{value:e.linkText,onChange:n=>{t(Pl(xl({},e),{linkText:n.currentTarget.value}))},placeholder:"Link address will be used","data-testid":B.formElementsEditor.fieldLinkText})),p().createElement(d.InlineField,{grow:!0,label:"Open in",labelWidth:14},p().createElement(d.RadioButtonGroup,{value:e.target,onChange:n=>{t(Pl(xl({},e),{target:n}))},options:G}))),(Je(e,N.RADIO)||Je(e,N.SELECT)||Je(e,N.MULTISELECT)||Je(e,N.DISABLED)||Je(e,N.CHECKBOX_LIST))&&p().createElement(p().Fragment,null,p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{label:"Options Source",labelWidth:14},p().createElement(d.RadioButtonGroup,{options:V,value:e.optionsSource||U.CUSTOM,onChange:n=>{t(Pl(xl({},e),{optionsSource:n}))}}))),e.optionsSource===U.QUERY&&p().createElement(wl,{value:e.queryOptions,onChange:n=>{t(Pl(xl({},e),{queryOptions:n}))},data:i}),e.optionsSource===U.CODE&&p().createElement(d.Field,{label:"Get Options Code",description:"Must return array with {label,value} objects. The code must be synchronous."},p().createElement(y.v4,{value:e.getOptions||"",language:o.JAVASCRIPT,onBlur:n=>{t(Pl(xl({},e),{getOptions:n}))},monacoOptions:{formatOnPaste:!0,formatOnType:!0},showLineNumbers:!0,"aria-label":B.formElementsEditor.fieldGetOptions,getSuggestions:()=>x.elementGetOptions})),(e.optionsSource===U.CUSTOM||!e.optionsSource)&&p().createElement("div",{className:l.optionsContainer,"data-testid":B.formElementsEditor.options},p().createElement(El,{options:e.options,onChange:n=>t(Pl(xl({},e),{options:n})),onChangeItem:(t,n,o)=>r(e,t,n,o),iconEnabled:e.type!==N.CHECKBOX_LIST}))),Je(e,N.BUTTON)&&p().createElement(p().Fragment,null,p().createElement(d.InlineField,{label:"Text",grow:!0,labelWidth:8,tooltip:"The text on the button."},p().createElement(d.Input,{placeholder:"Text",onChange:n=>{t(Pl(xl({},e),{buttonLabel:n.target.value}))},value:e.buttonLabel,"data-testid":B.formElementsEditor.fieldCustomButtonLabel})),p().createElement(d.InlineField,{label:"Icon",grow:!0},p().createElement(d.Select,{options:s,isClearable:!0,onChange:n=>{t(Pl(xl({},e),{icon:null==n?void 0:n.value}))},value:e.icon,"aria-label":B.formElementsEditor.fieldCustomButtonIcon,"data-testid":B.formElementsEditor.fieldCustomButtonIcon})),p().createElement(d.InlineField,{grow:!0,label:"Button Size","data-testid":B.formElementsEditor.fieldCustomButtonSize},p().createElement(d.RadioButtonGroup,{options:H,value:e.size,onChange:n=>{t(Pl(xl({},e),{size:n}))}})),p().createElement(d.InlineField,{grow:!0,label:"Button place",tooltip:"Positioning of the button among the form elements.","data-testid":B.formElementsEditor.fieldCustomButtonPlace},p().createElement(d.RadioButtonGroup,{options:W,value:e.show,onChange:n=>{t(Pl(xl({},e),{show:n}))}})),p().createElement(d.InlineField,{grow:!0,label:"Button variant","data-testid":B.formElementsEditor.fieldCustomButtonVariant},p().createElement(d.RadioButtonGroup,{options:z,value:e.variant,onChange:n=>{t(Pl(xl({},e),{variant:n}))}})),e.variant===n.CUSTOM&&p().createElement(d.InlineFieldRow,null,p().createElement(d.InlineField,{className:l.colorPickerContainer,label:"Foreground Color",tooltip:"Foreground color of the button.",grow:!0},p().createElement("div",{className:l.colorPickerButtons},p().createElement(d.ColorPicker,{"data-testid":B.formElementsEditor.fieldCustomButtonForeground,color:e.foregroundColor||"transparent",onChange:n=>{t(Pl(xl({},e),{foregroundColor:n}))}}))),p().createElement(d.InlineField,{className:l.colorPickerContainer,label:"Background Color",tooltip:"Background color of the button.",grow:!0},p().createElement("div",{className:l.colorPickerButtons},p().createElement(d.ColorPicker,{"data-testid":B.formElementsEditor.fieldCustomButtonBackground,color:e.backgroundColor||"transparent",onChange:n=>{t(Pl(xl({},e),{backgroundColor:n}))}})))),p().createElement(d.Field,{label:"Code to execute for button"},p().createElement(y.v4,{value:e.customCode||"",language:o.JAVASCRIPT,onBlur:n=>{t(Pl(xl({},e),{customCode:n}))},monacoOptions:{formatOnPaste:!0,formatOnType:!0},showLineNumbers:!0,"aria-label":B.formElementsEditor.fieldCustomButtonCustomCode,getSuggestions:()=>x.request}))),p().createElement(d.Field,{label:"Show if returned value is true"},p().createElement(y.v4,{value:e.showIf||"",language:o.JAVASCRIPT,onBlur:n=>{t(Pl(xl({},e),{showIf:n}))},monacoOptions:{formatOnPaste:!0,formatOnType:!0},showLineNumbers:!0,"aria-label":B.formElementsEditor.fieldShowIf,getSuggestions:()=>x.elementShowIf})),!Je(e,N.DISABLED_TEXTAREA)&&!Je(e,N.DISABLED)&&!Je(e,N.LINK)&&p().createElement(d.Field,{label:"Disable if returned value is true"},p().createElement(y.v4,{value:e.disableIf||"",language:o.JAVASCRIPT,onBlur:n=>{t(Pl(xl({},e),{disableIf:n}))},monacoOptions:{formatOnPaste:!0,formatOnType:!0},showLineNumbers:!0,"aria-label":B.formElementsEditor.fieldDisableIf,getSuggestions:()=>x.elementDisableIf})))},Tl=e=>({rootWithBackground:De.css`
      padding: ${e.spacing(.5,0,0,.5)};
      margin-bottom: ${e.spacing(.5)};
    `,hidden:De.css`
      display: none;
    `}),Rl=({element:e,onChange:t,highlightClass:n,executeCustomCode:o,elements:a,initial:i})=>{const l=(0,d.useStyles2)(Tl);return p().createElement(d.InlineFieldRow,{"data-testid":B.formElements.element(e.id,e.type),className:(0,De.cx)({[l.rootWithBackground]:!!e.background}),style:{backgroundColor:e.background||void 0}},(e=>{switch(e.type){case N.NUMBER:return p().createElement(Lt,{element:e,onChange:t,highlightClass:n});case N.STRING:return p().createElement(Xt,{element:e,onChange:t,highlightClass:n});case N.PASSWORD:return p().createElement(Mt,{element:e,onChange:t,highlightClass:n});case N.DISABLED:return p().createElement(St,{element:e});case N.TEXTAREA:return p().createElement(Kt,{element:e,onChange:t,highlightClass:n});case N.DISABLED_TEXTAREA:return p().createElement(It,{element:e,highlightClass:n});case N.CODE:return p().createElement(Et,{element:e,onChange:t});case N.BOOLEAN:return p().createElement(gt,{element:e,onChange:t,highlightClass:n});case N.DATETIME:return p().createElement(wt,{element:e,onChange:t});case N.TIME:return p().createElement(Zt,{element:e,onChange:t});case N.SLIDER:return p().createElement(zt,{element:e,onChange:t});case N.RADIO:return p().createElement(Ft,{element:e,onChange:t,highlightClass:n});case N.SELECT:case N.MULTISELECT:return p().createElement(_t,{element:e,onChange:t,highlightClass:n});case N.FILE:return p().createElement(Tt,{element:e,onChange:t});case N.LINK:return p().createElement(Bt,{element:e});case N.CHECKBOX_LIST:return p().createElement(vt,{element:e,onChange:t});case N.BUTTON:return e.show===r.FORM?p().createElement(Ct,{element:e,executeCustomCode:o,elements:a,initial:i}):p().createElement(p().Fragment,null);default:return p().createElement(p().Fragment,null)}})(e),e.unit&&p().createElement(d.InlineLabel,{"data-testid":B.formElements.unit,transparent:!0,width:4},e.unit))};function Bl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Nl=({options:e,elements:t,onChangeElement:n,section:r,initial:o,replaceVariables:a,data:i,executeCustomCode:l})=>{const s=(0,d.useTheme2)(),c=s.visualization.getColorByName(e.initial.highlightColor||"red"),m=(0,u.useCallback)((t=>e.initial.highlight&&Object.keys(o).length&&o[t.id]!==t.value?De.css`
            -webkit-text-fill-color: ${c};
          `:De.css`
            -webkit-text-fill-color: ${s.colors.text.primary};
          `),[c,o,e.initial.highlight,s.colors.text.primary]),f=(0,u.useMemo)((()=>t.filter((e=>e.helpers.showIf({elements:t,replaceVariables:a}))).map((e=>{return n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Bl(e,t,n[t])}))}return e}({},e),r=null!=(r={disabled:e.helpers.disableIf({elements:t,replaceVariables:a}),options:e.helpers.getOptions({elements:t,replaceVariables:a,data:i})})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n;var n,r}))),[i,t,a]);return p().createElement("div",{"data-testid":B.formElements.root},f.map(((e,i)=>{if(!r||e.section===r.id)return p().createElement(Rl,{key:i,element:e,onChange:n,highlightClass:m,replaceVariables:a,executeCustomCode:l,initial:o,elements:t})})))},Ll=({options:e,elements:t,onChangeElement:n,initial:r,replaceVariables:o,data:a,sectionsExpandedState:i,onChangeSectionExpandedState:l,executeCustomCode:s})=>{var c,u;const m=(f=(0,d.useTheme2)(),{root:De.css`
      display: flex;
      width: 100%;
      justify-content: stretch;
      &.vertical {
        flex-direction: column;
      }
    `,dragIcon:De.css`
      cursor: grab;
      color: ${f.colors.text.disabled};
      &:hover {
        color: ${f.colors.text};
      }
    `,section:De.css`
      padding: ${f.spacing(2.5)};
      flex: 1 0 auto;
      &.collapsable {
        padding: ${f.spacing(.5,2.5)};
      }
    `});var f;return p().createElement("div",{className:(0,De.cx)(m.root,{vertical:e.layout.orientation===Ce.VERTICAL})},null===(u=e.layout)||void 0===u||null===(c=u.sections)||void 0===c?void 0:c.map(((c,u)=>{const f=i[c.id];return p().createElement("div",{key:u,className:(0,De.cx)(m.section,{collapsable:e.layout.sectionVariant===Oe.COLLAPSABLE}),"data-testid":B.panel.splitLayoutContent(c.name)},(g=p().createElement(Nl,{options:e,elements:t,onChangeElement:n,initial:r,section:c,replaceVariables:o,data:a,executeCustomCode:s}),e.layout.sectionVariant===Oe.COLLAPSABLE?p().createElement(y.MU,{headerDataTestId:B.formElementsSection.sectionHeader(c.id,c.name),contentDataTestId:B.formElementsSection.sectionContent(c.id,c.name),isOpen:f,onToggle:()=>l(c.id,!f),label:p().createElement(p().Fragment,null,c.name," [",c.id,"]")},g):p().createElement(d.FieldSet,{label:c.name},g)));var g})))};function kl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ml(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){kl(e,t,n[t])}))}return e}function jl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Fl=({onSave:e,elements:t})=>{const[n,r]=(0,u.useState)(he),[o,a]=(0,u.useState)(null),i=(0,u.useCallback)((e=>{r(e),a(null)}),[]),l=(0,u.useCallback)((()=>{Ge(t,n)?a("Element with the same Id and Type already exists"):(e(Ve(Xe(n),n.type)),r(he))}),[t,n,e]);return p().createElement(d.CollapsableSection,{label:"New Element",isOpen:!0,headerDataTestId:B.formElementsEditor.sectionNewLabel,contentDataTestId:B.formElementsEditor.sectionNewContent},p().createElement(d.InlineField,{label:"Id",grow:!0,labelWidth:8,invalid:""===n.id},p().createElement(d.Input,{placeholder:"Id",onChange:e=>{i(jl(Ml({},n),{id:e.target.value}))},value:n.id,"data-testid":B.formElementsEditor.newElementId})),p().createElement(d.InlineField,{label:"Label",grow:!0,labelWidth:8,invalid:""===n.title},p().createElement(d.Input,{placeholder:"Label",onChange:e=>{i(jl(Ml({},n),{title:e.target.value}))},value:n.title,"data-testid":B.formElementsEditor.newElementLabel})),p().createElement(d.InlineField,{label:"Type",grow:!0,labelWidth:8},p().createElement(d.Select,{"aria-label":B.formElementsEditor.newElementType,options:L,onChange:e=>{i(jl(Ml({},n),{type:null==e?void 0:e.value}))},value:L.find((e=>e.value===n.type))})),!!o&&p().createElement(d.Alert,{"data-testid":B.formElementsEditor.addElementError,severity:"error",title:"Add Element"},o),p().createElement(d.Button,{variant:"secondary",onClick:l,disabled:!n.id||!n.type||!!o,icon:"plus","data-testid":B.formElementsEditor.buttonAddElement},"Add Element"))};function $l(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function _l(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){$l(e,t,n[t])}))}return e}function Ul(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Vl=({value:e,onChange:t,context:n})=>{var r,o;const a=(O=(0,d.useTheme2)(),{item:De.css`
      margin-bottom: ${O.spacing(1)};
    `,dragHandle:De.css`
      display: flex;
      margin: ${O.spacing(0,.5)};
    `,dragIcon:De.css`
      cursor: grab;
      color: ${O.colors.text.disabled};
      &:hover {
        color: ${O.colors.text};
      }
    `,removeButton:De.css`
      margin-left: ${O.spacing(1)};
      color: ${O.colors.text.secondary};
    `,buttonWrap:De.css`
      min-height: 32px;
    `}),[i,l]=(0,u.useState)({}),{elements:s,isChanged:c,onSaveUpdates:m,onChangeElements:f,onChangeElement:g,onChangeElementOption:b,onElementRemove:h}=gn({onChange:t,value:e}),v=(0,u.useCallback)((e=>{f(s.concat([e]))}),[s,f]),E=(0,u.useCallback)((e=>{e.destination&&f(Ue(s,e.source.index,e.destination.index))}),[s,f]),A=(0,u.useMemo)((()=>{var e,t,r;return(null===(r=n.options)||void 0===r||null===(t=r.layout)||void 0===t||null===(e=t.sections)||void 0===e?void 0:e.map((e=>({value:e.id,label:e.id}))))||[]}),[null===(o=n.options)||void 0===o||null===(r=o.layout)||void 0===r?void 0:r.sections]),C=(0,u.useCallback)((e=>{l((t=>Ul(_l({},t),{[e]:!t[e]})))}),[]);var O;return p().createElement("div",{"data-testid":B.formElementsEditor.root},p().createElement(Bi,{onDragEnd:E},p().createElement(gl,{droppableId:"elements"},(e=>p().createElement("div",Ul(_l({},e.droppableProps),{ref:e.innerRef}),s.map(((e,t)=>{const r=i[e.uid];return p().createElement(Yi,{key:e.uid,draggableId:e.uid,index:t},((t,o)=>{return p().createElement("div",Ul(_l({},t.draggableProps),{ref:t.innerRef,style:(o.isDragging,i=t.draggableProps.style,_l({},i)),className:a.item}),p().createElement(y.SD,{fill:"solid",headerTestId:B.formElementsEditor.sectionLabel(e.id,e.type),contentTestId:B.formElementsEditor.sectionContent(e.id,e.type),isOpen:r,onToggle:()=>C(e.uid),title:p().createElement(p().Fragment,null,e.title," [",e.id,"]"),actions:p().createElement(p().Fragment,null,p().createElement(d.IconButton,{name:"trash-alt",variant:"secondary",size:"sm",className:a.removeButton,"data-testid":B.formElementsEditor.buttonRemoveElement,onClick:()=>h(qe(e)),"aria-label":"Remove"}),p().createElement("div",_l({className:a.dragHandle},t.dragHandleProps),p().createElement(d.Icon,{title:"Drag and drop to reorder",name:"draggabledots",size:"lg",className:a.dragIcon})))},p().createElement(Dl,{element:e,onChange:g,layoutSectionOptions:A,onChangeOption:b,data:n.data})));var i}))})),e.placeholder)))),p().createElement("div",{className:a.buttonWrap},c&&p().createElement(d.Button,{onClick:m,"data-testid":B.formElementsEditor.buttonSaveChanges},"Save changes")),p().createElement("hr",null),p().createElement(Fl,{elements:s,onSave:v}))},Gl=()=>({animation:(0,De.keyframes)({"0%":{transform:"translateX(-50%)"},"100%":{transform:"translateX(100%)"}}),bar:(0,De.css)({width:"28%",height:1,background:"linear-gradient(90deg, rgba(110, 159, 255, 0) 0%, #6E9FFF 80.75%, rgba(110, 159, 255, 0) 100%)"})}),Wl=({width:e,ariaLabel:t="Loading bar"})=>{const n=(0,d.useStyles2)(Gl),r=Math.min(Math.max(Math.round(2.4*e),500),4e3),o={width:"100%",animation:`${n.animation} ${r}ms infinite linear`,willChange:"transform"};return p().createElement("div",{style:o},p().createElement("div",{"aria-label":t,className:n.bar}))},Hl=e=>({wrapper:De.css`
      position: relative;
      overflow-y: auto;
    `,loadingBar:De.css`
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      overflow: hidden;
    `,table:De.css`
      width: 100%;
    `,margin:De.css`
      margin: 5px;
    `,buttons:De.css`
      display: flex;
      align-items: center;
      justify-content: center;
      gap: ${e.spacing(.5)};
    `,buttonsPosition:{center:De.css`
        display: flex;
        align-items: center;
        justify-content: center;
      `,left:De.css`
        float: left;
      `,right:De.css`
        float: right;
      `},confirmTable:De.css`
      width: 100%;
      border: 1px solid;
      text-align: center;
    `,confirmTableTd:De.css`
      border: 1px solid;
    `});function zl(e,t,n,r,o,a,i){try{var l=e[a](i),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function ql(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var a=e.apply(t,n);function i(e){zl(a,r,o,i,l,"next",e)}function l(e){zl(a,r,o,i,l,"throw",e)}i(void 0)}))}}function Yl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Xl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Yl(e,t,n[t])}))}return e}function Ql(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Kl=({value:e,onChange:t})=>(e&&e.length||(e=[]),p().createElement("div",{"data-testid":B.headerParametersEditor.root},e.map(((n,r)=>p().createElement(d.InlineFieldRow,{key:r,"data-testid":B.headerParametersEditor.parameter(n.name)},p().createElement(d.InlineField,{label:"Name",labelWidth:8,invalid:""===n.name},p().createElement(d.Input,{placeholder:"name",onChange:r=>{n.name=r.target.value,t(e)},value:n.name,"data-testid":B.headerParametersEditor.fieldName})),p().createElement(d.InlineField,{label:"Value",labelWidth:8,grow:!0},p().createElement(d.Input,{placeholder:"value",onChange:r=>{n.value=r.target.value,t(e)},type:"password",value:n.value,"data-testid":B.headerParametersEditor.fieldValue})),p().createElement(d.Button,{variant:"secondary",onClick:()=>{e=e.filter((e=>e.name!==n.name)),t(e)},icon:"trash-alt","data-testid":B.headerParametersEditor.buttonRemove})))),p().createElement(d.Button,{variant:"secondary",onClick:()=>{e.push({name:"",value:""}),t(e)},icon:"plus","data-testid":B.headerParametersEditor.buttonAdd},"Add Parameter")));function Jl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Zl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Jl(e,t,n[t])}))}return e}function es(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const ts=({value:e,onChange:t,context:n})=>{var r,o;const{elements:a,isChanged:i,onSaveUpdates:l,onChangeElement:s}=gn({onChange:t,value:e}),c=(({data:e,isEnabled:t})=>(0,u.useMemo)((()=>t&&e?e.reduce(((e,{fields:t,refId:n})=>e.concat(t.map((e=>({value:e.name,refId:n,label:`${n}:${e.name}`}))))),[]):[]),[e,t]))({data:n.data,isEnabled:(null===(o=n.options)||void 0===o||null===(r=o.initial)||void 0===r?void 0:r.method)===q.QUERY});return p().createElement("div",{"data-testid":B.initialFieldsEditor.root},a.map((e=>{var t,r,o;return p().createElement(d.InlineFieldRow,{key:e.uid},p().createElement(d.InlineField,{grow:!0,label:e.title,labelWidth:14},(null===(r=n.options)||void 0===r||null===(t=r.initial)||void 0===t?void 0:t.method)===q.DATASOURCE?p().createElement(d.Input,{value:e.fieldName||"",onChange:t=>{s(es(Zl({},e),{fieldName:t.target.value}))},"data-testid":B.initialFieldsEditor.fieldNamePicker}):p().createElement(d.Select,{value:null===(o=e.queryField)||void 0===o?void 0:o.value,options:c,onChange:t=>{s(es(Zl({},e),{queryField:t}))},"data-testid":B.initialFieldsEditor.fieldFromQueryPicker,isClearable:!0})))})),i&&p().createElement(d.Button,{onClick:l,"data-testid":B.initialFieldsEditor.buttonSaveChanges},"Save changes"))},ns=e=>({item:De.css`
      margin-bottom: ${e.spacing(1)};
      border: 1px solid ${e.colors.border.weak};
      padding: ${e.spacing(1)};
    `,checkbox:De.css`
      display: flex;
      align-items: center;
      height: auto;
      margin: ${e.spacing(0,1,.5,.5)};
    `});function rs(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function os(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){rs(e,t,n[t])}))}return e}function as(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const is=({value:e,onChange:t,context:n})=>{var r,o;const a=(0,d.useStyles2)(ns),i=(0,u.useMemo)((()=>Array.isArray(e)?e:[]),[e]),l=(0,u.useCallback)(((e,n=e.id)=>{t(i.map((t=>t.id===n?e:t)))}),[t,i]),s=(0,u.useCallback)((e=>{t(i.filter((t=>t.id!==e.id)))}),[t,i]),c=(0,u.useMemo)((()=>i.some((e=>""===e.id))),[i]),m=(null===(r=n.options)||void 0===r?void 0:r.layout.orientation)===Ce.VERTICAL&&(null===(o=n.options)||void 0===o?void 0:o.layout.sectionVariant)===Oe.COLLAPSABLE;return p().createElement("div",{"data-testid":B.layoutSectionsEditor.root},i.map(((e,t)=>p().createElement(d.InlineFieldRow,{key:t,"data-testid":B.layoutSectionsEditor.section(e.id),className:a.item},p().createElement(d.InlineField,{label:"Id",grow:!0,invalid:""===e.id},p().createElement(d.Input,{placeholder:"id",onChange:t=>{const n=as(os({},e),{id:t.target.value||""}),r=!((e,t)=>e.some((e=>e.id===t.id)))(i,n);r&&l(n,e.id)},value:e.id,"data-testid":B.layoutSectionsEditor.fieldId})),p().createElement(d.InlineField,{label:"Name",grow:!0},p().createElement(d.Input,{placeholder:"name",onChange:t=>{l(as(os({},e),{name:t.target.value}))},value:e.name,"data-testid":B.layoutSectionsEditor.fieldName})),m&&p().createElement("div",{className:a.checkbox},p().createElement(d.Checkbox,{label:"Expanded",value:e.expanded,onClick:t=>{l(as(os({},e),{expanded:t.currentTarget.checked}))},"aria-label":B.layoutSectionsEditor.fieldExpanded})),p().createElement(d.Button,{variant:"secondary",onClick:()=>{s(e)},icon:"trash-alt","data-testid":B.layoutSectionsEditor.buttonRemove})))),p().createElement(d.Button,{variant:"secondary",onClick:()=>{t(i.concat({id:"",name:""}))},icon:"plus","data-testid":B.layoutSectionsEditor.buttonAdd,disabled:c},"Add Section"))};var ls=m(8449),ss=m.n(ls);function cs(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ds(){return ds=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},ds.apply(this,arguments)}function us(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){cs(e,t,n[t])}))}return e}function ps(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}function ms(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},a=Object.keys(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}const fs=e=>{var{updatedOnly:t,payloadMode:n}=e;return ps(us({},ms(e,["updatedOnly","payloadMode"])),{payloadMode:null!=n?n:t?J.UPDATED:J.ALL})},gs=e=>{if(!e)return"";const t=/^(?!.*context\.)(?:.*)(options\.|data\.|response|elements\.|onChange\(|locationService|templateService|onOptionsChange\(|initialRequest\(|setInitial\(|initial\.|notifyError\(|notifySuccess\(|notifyWarning\(|toDataQueryResponse\(|replaceVariables\()/gm;return e.split(" ").map((e=>e.replace(t,((e,...t)=>{const n=t[0]||e;return e.replace(n,(t=>{switch(t){case"options.":return"context.panel.options.";case"data.":return"context.panel.data.";case"response":return"context.panel.response";case"elements.":return"context.panel.elements.";case"onChange(":return"context.panel.onChangeElements(";case"locationService":return"context.grafana.locationService";case"templateService":return"context.grafana.templateService";case"onOptionsChange(":return"context.panel.onOptionsChange(";case"initialRequest(":return"context.panel.initialRequest(";case"setInitial(":return"context.panel.setInitial(";case"initial.":return"context.panel.initial.";case"notifyError(":return"context.grafana.notifyError(";case"notifySuccess(":return"context.grafana.notifySuccess(";case"notifyWarning(":return"context.grafana.notifyWarning(";case"toDataQueryResponse(":return"context.utils.toDataQueryResponse(";case"replaceVariables(":return"context.grafana.replaceVariables(";default:return e}}))})))).join(" ")},bs=e=>{if(!e||"object"!=typeof e)return e;const t={};for(const n in e){const r=e[n];(isNaN(Number(n))||"string"!=typeof r||1!==r.toString().length)&&(t[n]=r)}return t},hs=new c.PanelPlugin((({options:e,width:t,height:r,onOptionsChange:o,eventBus:a,replaceVariables:i,data:m})=>{const[f,g]=(0,u.useState)($.INITIAL),[b,h]=(0,u.useState)(""),[v,y]=(0,u.useState)(""),[C,O,w]=un({}),[S,I]=(0,u.useState)(!1),[x,P]=(0,u.useState)(!1),[D,T]=(0,u.useState)(!1),[R,L]=(0,u.useState)(!0),[k,M]=(0,u.useState)(!1),[j,F]=(0,u.useState)(!0),_=sn(),{canAddAnnotations:U}=(0,d.usePanelContext)(),V=(0,u.useMemo)((()=>!!U&&U()),[U]),G=(0,u.useCallback)((t=>{o(Ql(Xl({},e),{elements:t}))}),[o,e]),{elements:W,onChangeElement:H,onChangeElements:z,onSaveUpdates:Y,eventBus:X,elementsRef:K,sectionsExpandedState:Z,onChangeSectionExpandedState:te,patchFormValue:ne,setFormValue:oe,getFormValue:ae}=gn({onChange:G,value:e.elements,isAutoSave:!1,sections:e.layout.sections}),ie=(0,d.useTheme2)(),le=(0,d.useStyles2)(Hl),se=(0,nn.getTemplateSrv)(),ce=(0,nn.getAppEvents)(),de=(0,u.useCallback)((e=>ce.publish({type:c.AppEvents.alertSuccess.name,payload:e})),[ce]),ue=(0,u.useCallback)((e=>ce.publish({type:c.AppEvents.alertError.name,payload:e})),[ce]),pe=(0,u.useCallback)((e=>ce.publish({type:c.AppEvents.alertWarning.name,payload:e})),[ce]),me=(0,u.useCallback)(((e,t)=>K.current.map((n=>{const r=t===q.QUERY?n.queryField:{value:n.fieldName},o=e.filter((e=>!(null==r?void 0:r.refId)||e.refId===r.refId)).reduce(((e,{fields:t})=>(null==t?void 0:t.find((e=>e.name===(null==r?void 0:r.value))))||e),void 0);if(o){const e=je(o);return Ze(n,e[e.length-1])}return n}))),[K]),fe=(0,u.useCallback)(function(){var t=ql((function*({code:t,initial:n,response:r,initialRequest:l,currentElements:s}){if(!t)return;const c=Pe("context",i(t));try{yield c(E.create({grafana:{locationService:nn.locationService,templateService:se,notifyError:ue,notifySuccess:de,notifyWarning:pe,eventBus:a,appEvents:ce,refresh:()=>ce.publish({type:"variables-changed",payload:{refreshAll:!0}}),backendService:(0,nn.getBackendSrv)()},panel:{options:e,data:m,onOptionsChange:o,elements:s||K.current,onChangeElements:z,patchFormValue:ne,setFormValue:oe,formValue:ae(),setInitial:O,initial:n,initialRequest:l,response:r,enableSubmit:()=>M(!0),disableSubmit:()=>M(!1),collapseSection:e=>te(e,!1),expandSection:e=>te(e,!0),toggleSection:e=>te(e,!Z[e]),sectionsExpandedState:Z},utils:{toDataQueryResponse:nn.toDataQueryResponse,fileToBase64:st}}))}catch(e){e instanceof Error&&h(e.toString())}}));return function(e){return t.apply(this,arguments)}}(),[i,e,m,K,z,se,o,ae,ne,oe,O,ue,de,pe,a,ce,Z,te]),ge=(0,u.useCallback)(ql((function*(){h(""),g($.INITIAL);let t,n=K.current;if(!K.current.length||e.initial.method===q.NONE||e.initial.method===q.QUERY)return e.initial.method===q.QUERY&&(n=me(m.series,q.QUERY)),z(n),O((e=>e.reduce(((e,t)=>_e($e({},e),{[t.id]:t.value})),{}))(n)),yield fe({code:e.initial.code,initial:w.current,currentElements:n}),void g($.NONE);let r={};if(e.initial.method===q.DATASOURCE){if(!e.initial.datasource)return h("Please select Data Source for Initial Request."),void g($.NONE);const r=yield it({request:Ql(Xl({},e.initial),{payloadMode:J.CUSTOM}),elements:K.current,initial:w.current,replaceVariables:i});t=yield _({query:e.initial.payload,datasource:e.initial.datasource,replaceVariables:i,payload:r}).catch((e=>(h(JSON.stringify(e)),null))),t&&t.state===c.LoadingState.Done&&(n=me(t.data,q.DATASOURCE),z(n),O(n.reduce(((e,t)=>Ql(Xl({},e),{[t.id]:t.value})),{})))}else{var o;if(!e.initial.url)return h("Please select URL for Initial Request."),void g($.NONE);const l=new Headers;if(e.initial.method===q.POST&&l.set("Content-Type",e.initial.contentType),null===(o=e.initial.header)||void 0===o||o.forEach((e=>{const t=i(e.name);t?l.set(t,i(e.value)):h("All request parameters should be defined. Remove empty parameters.")})),t=yield fetch(i(e.initial.url,void 0,encodeURIComponent),{method:e.initial.method,headers:l}).catch((e=>(h(e.toString()),null))),"opaque"===(null==t?void 0:t.type)&&h("CORS prevents access to the response for Initial values."),null==t?void 0:t.ok){var a;r=yield t.json();const o=(null===(a=e.elements)||void 0===a?void 0:a.reduce(((e,t)=>Ql(Xl({},e),{[t.id]:void 0!==r[t.id]?r[t.id]:t.value})),{}))||{};n=K.current.map((e=>Ze(e,o[e.id]))),z(n),O(Xl({},r,o)),y("Values updated.")}}yield fe({code:e.initial.code,initial:r,response:t,currentElements:n}),g($.NONE)})),[m.series,_,K,fe,me,w,z,e.elements,e.initial,i,O]),be=(0,u.useCallback)(ql((function*(){if(h(""),e.resetAction.mode===ee.INITIAL)return void(yield ge());if(e.resetAction.mode===ee.CUSTOM)return g($.RESET),yield fe({code:e.resetAction.code,initial:w.current}),void g($.NONE);if(g($.RESET),!e.resetAction.datasource)return h("Please select Data Source for Reset Request."),void g($.NONE);const t=yield it({request:{datasource:e.resetAction.datasource,payloadMode:J.CUSTOM,method:q.NONE,url:"",header:[],getPayload:e.resetAction.getPayload,contentType:Q.PLAIN,code:e.resetAction.code,highlight:!1,highlightColor:"",confirm:!1,payload:e.resetAction.payload},elements:K.current,initial:w.current,replaceVariables:i}),n=yield _({query:e.resetAction.payload,datasource:e.resetAction.datasource,replaceVariables:i,payload:t}).catch((e=>(h(JSON.stringify(e)),null)));let r=K.current;n&&n.state===c.LoadingState.Done&&(r=me(n.data,q.DATASOURCE),z(r)),yield fe({code:e.resetAction.code,initial:w.current,response:n,currentElements:r}),g($.NONE)})),[_,K,fe,me,w,ge,z,e.resetAction.code,e.resetAction.datasource,e.resetAction.getPayload,e.resetAction.mode,e.resetAction.payload,i]),he=(0,u.useCallback)(ql((function*(){if(h(""),g($.UPDATE),e.update.method===q.NONE)return yield fe({code:e.update.code,initial:w.current,initialRequest:ge}),void g($.NONE);const t=yield it({request:e.update,elements:W,initial:w.current,replaceVariables:i});let n;if(e.update.method===q.DATASOURCE)n=yield _({query:e.update.payload,datasource:e.update.datasource,replaceVariables:i,payload:t}).catch((e=>(h(JSON.stringify(e)),null)));else{var r;const o=new Headers;let a;e.update.contentType!==Q.FORMDATA&&o.set("Content-Type",e.update.contentType),null===(r=e.update.header)||void 0===r||r.forEach((e=>{const t=i(e.name);t?o.set(t,i(e.value)):h("All request parameters should be defined. Remove empty parameters.")})),a=e.update.contentType===Q.FORMDATA&&t instanceof Object?((e,t)=>{const n=new FormData;return Object.entries(e).forEach((([e,r])=>{Array.isArray(r)?r.forEach(((r,o)=>{n.set(`${e}[${o}]`,dt(r,t))})):n.set(e,dt(r,t))})),n})(t,i):yield ct(t,i),n=yield fetch(i(e.update.url,void 0,encodeURIComponent),{method:e.update.method,headers:o,body:a}).catch((e=>(h(e.toString()),null))),(null==n?void 0:n.ok)&&y(n.toString())}yield fe({code:e.update.code,initial:w.current,response:n,initialRequest:ge}),g($.NONE)})),[_,W,fe,w,ge,e.update,i]);(0,u.useEffect)((()=>{m.state!==c.LoadingState.Done||!e.sync&&D||(ge(),e.sync||T(!0));const t=a.getStream(nn.RefreshEvent).subscribe((()=>{e.sync&&ge()}));return()=>{t.unsubscribe()}}),[e.initial,e.sync,a,m.state,D,ge]);const ve=(0,u.useMemo)((()=>{for(const e of W)if(!(0,hn.isEqual)(C[e.id],e.value))return!0;return!1}),[W,C]),ye=(0,u.useMemo)((()=>!!f||(e.updateEnabled===s.AUTO?!ve&&e.layout.variant!==Ae.NONE:!k)),[ve,f,e.layout.variant,e.updateEnabled,k]),Ee=(0,u.useCallback)((({elements:t,element:n})=>{Pe("context",i(e.elementValueChanged))(A.create({element:n,grafana:{locationService:nn.locationService,templateService:se,notifyError:ue,notifySuccess:de,notifyWarning:pe,eventBus:a,appEvents:ce,refresh:()=>ce.publish({type:"variables-changed",payload:{refreshAll:!0}})},panel:{options:e,data:m,onOptionsChange:o,elements:t,onChangeElements:z,patchFormValue:ne,setFormValue:oe,formValue:ae,collapseSection:e=>te(e,!1),expandSection:e=>te(e,!0),toggleSection:e=>te(e,!Z[e]),sectionsExpandedState:Z,initial:w.current,setError:h,enableReset:()=>L(!0),disableReset:()=>L(!1),enableSubmit:()=>M(!0),disableSubmit:()=>M(!1),enableSaveDefault:()=>F(!0),disableSaveDefault:()=>F(!1),initialRequest:ge},utils:{toDataQueryResponse:nn.toDataQueryResponse}}))}),[ce,m,a,w,ge,ue,de,ne,oe,ae,pe,z,te,o,e,i,Z,se]);return(0,u.useEffect)((()=>{const e=X.subscribe(et,(e=>{Ee(e.payload)}));return()=>{e.unsubscribe()}}),[X,a,Ee]),p().createElement("div",{"data-testid":B.panel.root,className:(0,De.cx)(le.wrapper,De.css`
          width: ${t}px;
          height: ${r}px;
          padding: ${e.layout.padding}px;
        `)},f===$.INITIAL&&p().createElement("div",{className:le.loadingBar,"data-testid":B.panel.loadingBar},p().createElement(Wl,{width:t})),!W.length&&e.layout.variant!==Ae.NONE&&p().createElement(d.Alert,{"data-testid":B.panel.infoMessage,severity:"info",title:"Form Elements"},"Please add elements in Panel Options or Custom Code."),p().createElement("div",null,e.layout.variant===Ae.SINGLE?p().createElement("div",{"data-testid":B.panel.singleLayoutContent},p().createElement(Nl,{data:m,options:e,elements:W,onChangeElement:H,initial:C,section:null,replaceVariables:i,executeCustomCode:fe})):p().createElement(Ll,{data:m,options:e,elements:W,onChangeElement:H,initial:C,replaceVariables:i,sectionsExpandedState:Z,onChangeSectionExpandedState:te,executeCustomCode:fe})),p().createElement("div",{className:(0,De.cx)(le.buttons,le.buttonsPosition[e.buttonGroup.orientation])},p().createElement(tn,{data:m,executeCustomCode:fe,initial:C,elements:W,replaceVariables:i}),e.updateEnabled!==s.DISABLED&&p().createElement(d.Button,{variant:Ke(e.submit.variant),icon:f===$.UPDATE?"fa fa-spinner":e.submit.icon,title:v,style:e.submit.variant===n.CUSTOM?{background:"none",border:"none",backgroundColor:ie.visualization.getColorByName(e.submit.backgroundColor),color:ie.visualization.getColorByName(e.submit.foregroundColor)}:{},disabled:ye,onClick:e.update.confirm?()=>{I(!0)}:he,size:e.buttonGroup.size,"data-testid":B.panel.buttonSubmit},e.submit.text),e.reset.variant!==n.HIDDEN&&p().createElement(d.Button,{variant:Ke(e.reset.variant),icon:f===$.RESET?"fa fa-spinner":e.reset.icon,style:e.reset.variant===n.CUSTOM?{background:"none",border:"none",backgroundColor:ie.visualization.getColorByName(e.reset.backgroundColor),color:ie.visualization.getColorByName(e.reset.foregroundColor)}:{},disabled:!!f||!R,onClick:()=>{e.resetAction.confirm?P(!0):be()},size:e.buttonGroup.size,"data-testid":B.panel.buttonReset},e.reset.text),e.saveDefault.variant!==n.HIDDEN&&V&&p().createElement(d.Button,{variant:Ke(e.saveDefault.variant),icon:e.saveDefault.icon,disabled:!!f||!j,onClick:Y,size:e.buttonGroup.size,"data-testid":B.panel.buttonSaveDefault,title:"Save values in the dashboard. Requires to Save dashboard."},e.saveDefault.text)),b&&p().createElement(d.Alert,{"data-testid":B.panel.errorMessage,severity:"error",title:"Request"},b),p().createElement(d.ConfirmModal,{isOpen:S,title:e.confirmModal.title,body:p().createElement("div",{"data-testid":B.panel.confirmModalContent},p().createElement("h4",null,e.confirmModal.body),e.layout.variant!==Ae.NONE&&e.confirmModal.columns.include.length>0&&p().createElement("table",{className:le.confirmTable},p().createElement("thead",null,p().createElement("tr",{className:le.confirmTable},e.confirmModal.columns.include.includes(l.NAME)&&p().createElement("td",{className:le.confirmTableTd},p().createElement("b",null,e.confirmModal.columns.name)),e.confirmModal.columns.include.includes(l.OLD_VALUE)&&p().createElement("td",{className:le.confirmTableTd},p().createElement("b",null,e.confirmModal.columns.oldValue)),e.confirmModal.columns.include.includes(l.NEW_VALUE)&&p().createElement("td",{className:le.confirmTableTd},p().createElement("b",null,e.confirmModal.columns.newValue)))),p().createElement("tbody",null,W.map((t=>{if((t.value!==C[t.id]||e.confirmModal.elementDisplayMode===re.ALL)&&t.type!==N.DISABLED&&!("hidden"in t&&t.hidden||!t.helpers.showIf({elements:W,replaceVariables:i})))return p().createElement("tr",{className:le.confirmTable,key:t.id,"data-testid":B.panel.confirmModalField(t.id)},e.confirmModal.columns.include.includes(l.NAME)&&p().createElement("td",{className:le.confirmTableTd,"data-testid":B.panel.confirmModalFieldTitle},t.title||t.tooltip),e.confirmModal.columns.include.includes(l.OLD_VALUE)&&p().createElement("td",{className:le.confirmTableTd,"data-testid":B.panel.confirmModalFieldPreviousValue},nt(t,C[t.id])),e.confirmModal.columns.include.includes(l.NEW_VALUE)&&p().createElement("td",{className:le.confirmTableTd,"data-testid":B.panel.confirmModalFieldValue},nt(t,t.value)))}))))),confirmText:e.confirmModal.confirm,onConfirm:()=>{he(),I(!1)},onDismiss:()=>I(!1),dismissText:e.confirmModal.cancel}),p().createElement(d.ConfirmModal,{isOpen:x,title:"Confirm reset values",body:p().createElement("div",{"data-testid":B.panel.resetConfirmModal},"Please confirm to reset values"),confirmText:"Confirm",onConfirm:()=>{be(),P(!1)},onDismiss:()=>P(!1)}))})).setNoPadding().setMigrationHandler((e=>{var t,n,r,o;const a=ds({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.options));var i,l,s,c,d,u,p,m,f;return e.pluginVersion&&ss().lt(e.pluginVersion,"4.0.0")&&((0,hn.set)(a,"initial.code",gs(null===(i=a.initial)||void 0===i?void 0:i.code)),(0,hn.set)(a,"resetAction.code",gs(null===(l=a.resetAction)||void 0===l?void 0:l.code)),(0,hn.set)(a,"update.code",gs(null===(s=a.update)||void 0===s?void 0:s.code)),(0,hn.set)(a,"initial.getPayload",gs(null===(c=a.initial)||void 0===c?void 0:c.getPayload)),(0,hn.set)(a,"resetAction.getPayload",gs(null===(d=a.resetAction)||void 0===d?void 0:d.getPayload)),(0,hn.set)(a,"update.getPayload",gs(null===(u=a.update)||void 0===u?void 0:u.getPayload)),a.elements&&a.elements.length>0&&a.elements.forEach((e=>{e.showIf&&(e.showIf=gs(e.showIf)),e.disableIf&&(e.disableIf=gs(e.disableIf)),e.type!==N.DISABLED&&e.type!==N.SELECT&&e.type!==N.MULTISELECT&&e.type!==N.RADIO&&e.type!==N.CHECKBOX_LIST||!e.getOptions||(e.getOptions=gs(e.getOptions))}))),"string"==typeof(null===(t=a.initial)||void 0===t?void 0:t.payload)&&(a.initial.payload={}),"string"==typeof(null===(n=a.update)||void 0===n?void 0:n.payload)&&(a.update.payload={}),"string"==typeof(null===(r=a.resetAction)||void 0===r?void 0:r.payload)&&(a.resetAction.payload={}),a.initial&&"updatedOnly"in a.initial&&(a.initial=fs(a.initial)),a.update&&"updatedOnly"in a.update&&(a.update=fs(a.update)),(null===(o=a.layout)||void 0===o?void 0:o.sections)&&(a.layout=ps(us({},a.layout),{sections:a.layout.sections.map((e=>{var{id:t}=e,n=ms(e,["id"]);return ps(us({},n),{id:null!=t?t:n.name})}))})),e.pluginVersion&&ss().lt(e.pluginVersion,"4.3.0")&&((0,hn.set)(a,"initial.payload",bs(null===(p=a.initial)||void 0===p?void 0:p.payload)),(0,hn.set)(a,"update.payload",bs(null===(m=a.update)||void 0===m?void 0:m.payload)),(0,hn.set)(a,"resetAction.payload",bs(null===(f=a.resetAction)||void 0===f?void 0:f.payload))),a})).setPanelOptions((r=>{const o=e=>e.method!==q.NONE,i=e=>e.method!==q.NONE&&e.method!==q.DATASOURCE&&e.method!==q.QUERY;return r.addRadio({path:"layout.variant",name:"Layout",category:["Layout"],settings:{options:we},defaultValue:Ae.SINGLE}).addSliderInput({path:"layout.padding",name:"Padding",category:["Layout"],defaultValue:10,settings:{min:0,max:20}}),r.addRadio({path:"layout.orientation",name:"Orientation",category:["Sections"],settings:{options:Se},defaultValue:Ce.HORIZONTAL,showIf:e=>e.layout.variant===Ae.SPLIT}).addRadio({path:"layout.sectionVariant",name:"Variant",category:["Sections"],settings:{options:Ie},defaultValue:Oe.DEFAULT,showIf:e=>e.layout.variant===Ae.SPLIT&&e.layout.orientation===Ce.VERTICAL}).addCustomEditor({id:"layout.sections",path:"layout.sections",name:"Sections",category:["Sections"],editor:is,showIf:e=>e.layout.variant===Ae.SPLIT}),r.addCustomEditor({id:"elements",path:"elements",name:"Form Elements",category:["Form Elements"],description:"Form Elements",editor:Vl,showIf:e=>e.layout.variant!==Ae.NONE}),r.addCustomEditor({id:"elementValueChanged",path:"elementValueChanged",name:"Element Value Changed",category:["Form Events"],description:"Code to run when element value changed",editor:rn,settings:{type:a.ELEMENT_VALUE_CHANGED,variablesSuggestions:!0},showIf:e=>e.layout.variant!==Ae.NONE,defaultValue:""}),r.addRadio({path:"sync",name:"Synchronize with data",description:"Keeps the panel synched with the dashboard updates.",category:["Initial Request"],settings:{options:D},defaultValue:!0}).addRadio({path:"initial.method",name:"Initial Action",category:["Initial Request"],settings:{options:Y},defaultValue:q.NONE}).addTextInput({path:"initial.url",name:"URL",category:["Initial Request"],description:"The URL to call. Leave empty to skip Initial Request.",settings:{placeholder:"http://"},showIf:e=>i(e.initial)}).addCustomEditor({id:"initial.header",path:"initial.header",name:"Header Parameters",category:["Initial Request"],editor:Kl,showIf:e=>i(e.initial)}).addCustomEditor({id:"initial.datasource",path:"initial.datasource",name:"Data Source",category:["Initial Request"],editor:bn,showIf:e=>e.initial.method===q.DATASOURCE}).addSelect({path:"initial.contentType",name:"Content-Type",category:["Initial Request"],description:"Content-Type of the payload.",defaultValue:Q.JSON,settings:{allowCustomValue:!0,options:K},showIf:e=>e.initial.method===q.POST}).addCustomEditor({id:"initial.code",path:"initial.code",name:"Custom Code",description:"Custom code to execute initial request.",editor:rn,category:["Initial Request"],settings:{type:a.REQUEST,variablesSuggestions:!0},defaultValue:ae,showIf:e=>!o(e.initial)}).addCustomEditor({id:"initial.code",path:"initial.code",name:"Custom Code",description:"Custom code to execute after initial request.",editor:rn,category:["Initial Request"],settings:{type:a.REQUEST,variablesSuggestions:!0},defaultValue:ae,showIf:e=>o(e.initial)}),r.addCustomEditor({id:"elements",path:"elements",name:"Field Names",description:"Specify fields for appropriate form elements.",category:["Initial Fields"],editor:ts,showIf:e=>e.layout.variant!==Ae.NONE&&e.initial.method===q.DATASOURCE}).addCustomEditor({id:"elements",path:"elements",name:"Query Fields",description:"Specify fields for appropriate form elements.",category:["Initial Fields"],editor:ts,showIf:e=>e.layout.variant!==Ae.NONE&&e.initial.method===q.QUERY}),r.addCustomEditor({id:"initial.getPayload",path:"initial.getPayload",name:"Create Payload",description:"Custom code to create payload for the initial data source request.",editor:rn,category:["Initial Request Payload"],settings:{type:a.GET_PAYLOAD,variablesSuggestions:!0},defaultValue:le,showIf:e=>e.initial.method===q.DATASOURCE&&!!e.initial.datasource}).addCustomEditor({id:"initial.payload",path:"initial.payload",name:"Query Editor",description:"Configure query for the selected data source. ${payload} variable contains all passed values.",editor:yn,category:["Initial Request Payload"],settings:{datasourceKey:"initial.datasource"},defaultValue:{},showIf:e=>e.initial.method===q.DATASOURCE&&!!e.initial.datasource}),r.addRadio({path:"initial.highlight",name:"Highlight Changes",description:"Some elements are not supporting highlighting.",category:["Highlight Changes"],settings:{options:xe},defaultValue:!1,showIf:e=>e.layout.variant!==Ae.NONE}).addColorPicker({path:"initial.highlightColor",name:"Color",category:["Highlight Changes"],defaultValue:"red",settings:{disableNamedColors:!0},showIf:e=>e.initial.highlight&&e.layout.variant!==Ae.NONE}),r.addRadio({path:"updateEnabled",name:"Enable Update",category:["Update Request"],settings:{options:ne},defaultValue:s.AUTO}).addRadio({path:"update.method",name:"Update Action",category:["Update Request"],settings:{options:X},defaultValue:q.NONE}).addTextInput({path:"update.url",name:"URL",category:["Update Request"],description:"The URL to call.",settings:{placeholder:"http://"},showIf:e=>o(e.update)&&i(e.update)}).addCustomEditor({id:"update.datasource",path:"update.datasource",name:"Data Source",category:["Update Request"],editor:bn,showIf:e=>e.update.method===q.DATASOURCE}).addCustomEditor({id:"update.header",path:"update.header",name:"Header Parameters",category:["Update Request"],editor:Kl,showIf:e=>o(e.update)&&i(e.update)}).addSelect({path:"update.contentType",name:"Content-Type",category:["Update Request"],description:"Content-Type of the payload.",defaultValue:Q.JSON,settings:{allowCustomValue:!0,options:K},showIf:e=>o(e.update)&&i(e.update)}).addCustomEditor({id:"update.code",path:"update.code",name:"Custom Code",description:"Custom code to execute after update request.",editor:rn,category:["Update Request"],settings:{type:a.REQUEST,variablesSuggestions:!0},defaultValue:ie,showIf:e=>o(e.update)}).addCustomEditor({id:"update.code",path:"update.code",name:"Custom Code",description:"Custom code to execute update request.",editor:rn,category:["Update Request"],settings:{type:a.REQUEST,variablesSuggestions:!0},defaultValue:ie,showIf:e=>!o(e.update)}),r.addRadio({path:"update.payloadMode",name:"Request Payload",description:"Choose what values will be included in payload.",category:["Update Request Payload"],settings:{options:Z},defaultValue:J.ALL,showIf:e=>o(e.update)&&e.layout.variant!==Ae.NONE}).addCustomEditor({id:"update.getPayload",path:"update.getPayload",name:"Create Payload",description:"Custom code to create payload for the update request.",editor:rn,category:["Update Request Payload"],settings:{type:a.GET_PAYLOAD,variablesSuggestions:!0},defaultValue:se,showIf:e=>o(e.update)&&e.update.payloadMode===J.CUSTOM}).addCustomEditor({id:"update.payload",path:"update.payload",name:"Query Editor",description:"Configure query for the selected data source. ${payload} variable contains all passed values.",editor:yn,category:["Update Request Payload"],settings:{datasourceKey:"update.datasource"},defaultValue:se,showIf:e=>o(e.update)&&e.update.method===q.DATASOURCE&&!!e.update.datasource}),r.addRadio({path:"update.confirm",name:"Confirmation Window",description:"Ask to confirm updated values.",category:["Update Confirmation Window"],settings:{options:xe},defaultValue:!1}).addTextInput({path:"confirmModal.title",name:"Title",category:["Update Confirmation Window"],defaultValue:ye.title,showIf:e=>e.update.confirm}).addRadio({path:"confirmModal.elementDisplayMode",name:"Display Values",description:"Which elements should be shown.",category:["Update Confirmation Window"],settings:{options:oe},defaultValue:re.MODIFIED,showIf:e=>e.update.confirm}).addTextInput({path:"confirmModal.body",name:"Text",category:["Update Confirmation Window"],defaultValue:ye.body,showIf:e=>e.update.confirm}).addMultiSelect({path:"confirmModal.columns.include",name:"Include columns",category:["Update Confirmation Window"],defaultValue:ye.columns.include,showIf:e=>e.update.confirm,settings:{options:P}}).addTextInput({path:"confirmModal.columns.name",name:"Name (Label) column",category:["Update Confirmation Window"],defaultValue:ye.columns.name,showIf:e=>e.update.confirm&&e.confirmModal.columns.include.includes(l.NAME)}).addTextInput({path:"confirmModal.columns.oldValue",name:"Old value column",category:["Update Confirmation Window"],defaultValue:ye.columns.oldValue,showIf:e=>e.update.confirm&&e.confirmModal.columns.include.includes(l.OLD_VALUE)}).addTextInput({path:"confirmModal.columns.newValue",name:"New value column",category:["Update Confirmation Window"],defaultValue:ye.columns.newValue,showIf:e=>e.update.confirm&&e.confirmModal.columns.include.includes(l.NEW_VALUE)}).addTextInput({path:"confirmModal.confirm",name:"Confirm button",category:["Update Confirmation Window"],description:"The text on the confirm button.",defaultValue:ye.confirm,showIf:e=>e.update.confirm}).addTextInput({path:"confirmModal.cancel",name:"Cancel button",category:["Update Confirmation Window"],description:"The text on the cancel button.",defaultValue:ye.cancel,showIf:e=>e.update.confirm}),r.addRadio({path:"buttonGroup.orientation",name:"Orientation",category:["Buttons"],description:"Buttons orientation on the form.",settings:{options:h},defaultValue:e.CENTER}).addRadio({path:"buttonGroup.size",name:"Size",category:["Buttons"],description:"Buttons size on the form.",settings:{options:v},defaultValue:t.MEDIUM}),r.addRadio({path:"submit.variant",name:"Submit Button",category:["Submit Button"],description:"Button variant.",settings:{options:b},defaultValue:ce.variant}).addColorPicker({path:"submit.foregroundColor",name:"Foreground Color",category:["Submit Button"],description:"Foreground color of the button.",defaultValue:ce.foregroundColor,settings:{disableNamedColors:!0},showIf:e=>e.submit.variant===n.CUSTOM}).addColorPicker({path:"submit.backgroundColor",name:"Background Color",category:["Submit Button"],description:"Background color of the button.",defaultValue:ce.backgroundColor,settings:{disableNamedColors:!0},showIf:e=>e.submit.variant===n.CUSTOM}).addSelect({path:"submit.icon",name:"Icon",category:["Submit Button"],settings:{options:(0,d.getAvailableIcons)().map((e=>({value:e,label:e})))},defaultValue:ce.icon}).addTextInput({path:"submit.text",name:"Text",category:["Submit Button"],description:"The text on the button.",defaultValue:ce.text}),r.addRadio({path:"reset.variant",name:"Reset Button",category:["Reset Button"],description:"Button variant.",settings:{options:[...g,...b]},defaultValue:de.variant}).addColorPicker({path:"reset.foregroundColor",name:"Foreground Color",category:["Reset Button"],description:"Foreground color of the button.",defaultValue:de.foregroundColor,settings:{disableNamedColors:!0},showIf:e=>e.reset.variant===n.CUSTOM}).addColorPicker({path:"reset.backgroundColor",name:"Background Color",category:["Reset Button"],description:"Background color of the button.",defaultValue:de.backgroundColor,settings:{disableNamedColors:!0},showIf:e=>e.reset.variant===n.CUSTOM}).addSelect({path:"reset.icon",name:"Icon",category:["Reset Button"],settings:{options:(0,d.getAvailableIcons)().map((e=>({value:e,label:e})))},defaultValue:de.icon,showIf:e=>e.reset.variant!==n.HIDDEN}).addTextInput({path:"reset.text",name:"Text",category:["Reset Button"],description:"The text on the button.",defaultValue:de.text,showIf:e=>e.reset.variant!==n.HIDDEN}),r.addRadio({path:"resetAction.mode",name:"Reset Action",category:["Reset Request"],description:"What action should be called by clicking on reset button.",settings:{options:te},defaultValue:ee.INITIAL,showIf:e=>e.reset.variant!==n.HIDDEN}).addCustomEditor({id:"resetAction.code",path:"resetAction.code",name:"Custom Code",description:"Custom code to execute reset request.",editor:rn,category:["Reset Request"],settings:{type:a.REQUEST,variablesSuggestions:!0},defaultValue:"console.log(context.panel.data, context.panel.response, context.panel.initial, context.panel.elements);",showIf:e=>e.reset.variant!==n.HIDDEN&&e.resetAction.mode===ee.CUSTOM}).addCustomEditor({id:"resetAction.datasource",path:"resetAction.datasource",name:"Data Source",category:["Reset Request"],editor:bn,showIf:e=>e.reset.variant!==n.HIDDEN&&e.resetAction.mode===ee.DATASOURCE}).addCustomEditor({id:"resetAction.code",path:"resetAction.code",name:"Custom Code",description:"Custom code to execute after reset request.",editor:rn,category:["Reset Request"],settings:{type:a.REQUEST,variablesSuggestions:!0},defaultValue:ie,showIf:e=>e.reset.variant!==n.HIDDEN&&e.resetAction.mode===ee.DATASOURCE}).addRadio({path:"resetAction.confirm",name:"Confirmation Window",description:"Ask to reset values.",category:["Reset Request"],settings:{options:xe},defaultValue:!1}),r.addCustomEditor({id:"resetAction.getPayload",path:"resetAction.getPayload",name:"Create Payload",description:"Custom code to create payload for the reset data source request.",editor:rn,category:["Reset Request Payload"],settings:{type:a.GET_PAYLOAD,variablesSuggestions:!0},defaultValue:le,showIf:e=>e.reset.variant!==n.HIDDEN&&e.resetAction.mode===ee.DATASOURCE&&!!e.resetAction.datasource}).addCustomEditor({id:"resetAction.payload",path:"resetAction.payload",name:"Query Editor",description:"Configure query for the selected data source. ${payload} variable contains all passed values.",editor:yn,category:["Reset Request Payload"],settings:{datasourceKey:"resetAction.datasource"},defaultValue:{},showIf:e=>e.reset.variant!==n.HIDDEN&&e.resetAction.mode===ee.DATASOURCE&&!!e.resetAction.datasource}),r.addRadio({path:"saveDefault.variant",name:"Save Default Button",category:["Save Default Button"],description:"Button variant.",settings:{options:[...g,{value:n.SECONDARY,label:"Auto"}]},defaultValue:ue.variant}).addSelect({path:"saveDefault.icon",name:"Icon",category:["Save Default Button"],settings:{options:(0,d.getAvailableIcons)().map((e=>({value:e,label:e})))},defaultValue:ue.icon,showIf:e=>e.saveDefault.variant!==n.HIDDEN}).addTextInput({path:"saveDefault.text",name:"Text",category:["Save Default Button"],description:"The text on the button.",defaultValue:ue.text,showIf:e=>e.saveDefault.variant!==n.HIDDEN}),r}))})(),f})()));
//# sourceMappingURL=module.js.map