/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@emotion/css","@grafana/ui","react","rxjs","lodash","react-dom","redux","react-redux","@emotion/react","@grafana/runtime"],((e,t,n,r,o,i,a,s,l,c,u)=>(()=>{var d={7774:(e,t,n)=>{"use strict";var r=n(9997),o=n(2007),i=n(5959),a=n(6089),s=(n(3241),n(7781),n(9089));n(5846);n(8531);r.createSelector((e=>`data-testid form-${e}`)),r.createSelector((e=>`data-testid form section-${e}`),"headerDataTestId"),r.createSelector((e=>`data-testid form section-content-${e}`),"contentDataTestId"),r.createSelector((e=>`form field-select-${e}`)),r.createSelector((e=>`data-testid form field-custom-${e}`)),r.createSelector((e=>`data-testid form field-slider-${e}`)),r.createSelector((e=>`form field-range-slider-${e}`),"sliderAriaLabel"),r.createSelector((e=>`data-testid form field-number-input-${e}`)),r.createSelector((e=>`data-testid form field-color-${e}`)),r.createSelector((e=>`data-testid form field-input-${e}`)),r.createSelector((()=>"data-testid date-time-input")),r.createSelector((e=>`data-testid form field-radio-${e}`));const l=e=>({rootOutline:a.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:a.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:a.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:a.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:a.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:a.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var c=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(c||{});const{default:u}=n(3072),{default:d}=(o.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,i=e.colors.primary.main,l=e.colors.primary.main,c=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:a.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:a.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${l};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${c};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${i};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:s.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:a.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:a.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:a.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:a.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(6067)),{default:p}=n(6067);t.SD=({title:e,actions:t,children:n,isOpen:r=!1,onToggle:s,headerTestId:c,contentTestId:u,fill:d="outline",isInlineContent:p=!1})=>{const f=o.useTheme2(),h=o.useStyles2(l),m="solid"===d,g="outline"===d;return i.createElement("div",{className:a.cx({[h.rootOutline]:g})},i.createElement("div",{className:a.cx(h.header,{[h.headerSolid]:m}),"data-testid":c,onClick:()=>s?.(!r)},i.createElement(o.IconButton,{name:r?"angle-down":"angle-right",tooltip:r?"Collapse":"Expand",className:h.collapseIcon,"aria-expanded":r}),i.createElement("div",{className:h.title},e),t&&i.createElement("div",{className:h.actions,onClick:e=>e.stopPropagation()},t)),r&&i.createElement("div",{style:{padding:p?0:f.spacing(.5)},"data-testid":u},n))}},9997:(e,t)=>{"use strict";t.createSelector=function(e,t){const n="string"==typeof e?()=>e:e;let r="aria-label";return t?r=t:n().startsWith("data-testid")&&(r="data-testid"),{selector:n,apply:(...e)=>({[r]:n(...e)})}},t.getJestSelectors=(e,t=[])=>n=>Object.entries(e).reduce(((e,[r,o])=>({...e,[r]:(e=!1,...i)=>{const a="object"==typeof o&&"selector"in o?o.selector:o,s="function"==typeof a?a(...i):a;return s.startsWith("data-testid")||t.includes(r)?e?n.queryByTestId(s):n.getByTestId(s):e?n.queryByLabelText(s):n.getByLabelText(s)}})),{})},7322:(e,t)=>{"use strict";t.byteLength=function(e){var t=s(e),n=t[0],r=t[1];return 3*(n+r)/4-r},t.toByteArray=function(e){var t,n,i=s(e),a=i[0],l=i[1],c=new o(function(e,t,n){return 3*(t+n)/4-n}(0,a,l)),u=0,d=l>0?a-4:a;for(n=0;n<d;n+=4)t=r[e.charCodeAt(n)]<<18|r[e.charCodeAt(n+1)]<<12|r[e.charCodeAt(n+2)]<<6|r[e.charCodeAt(n+3)],c[u++]=t>>16&255,c[u++]=t>>8&255,c[u++]=255&t;return 2===l&&(t=r[e.charCodeAt(n)]<<2|r[e.charCodeAt(n+1)]>>4,c[u++]=255&t),1===l&&(t=r[e.charCodeAt(n)]<<10|r[e.charCodeAt(n+1)]<<4|r[e.charCodeAt(n+2)]>>2,c[u++]=t>>8&255,c[u++]=255&t),c},t.fromByteArray=function(e){for(var t,r=e.length,o=r%3,i=[],a=16383,s=0,c=r-o;s<c;s+=a)i.push(l(e,s,s+a>c?c:s+a));return 1===o?(t=e[r-1],i.push(n[t>>2]+n[t<<4&63]+"==")):2===o&&(t=(e[r-2]<<8)+e[r-1],i.push(n[t>>10]+n[t>>4&63]+n[t<<2&63]+"=")),i.join("")};for(var n=[],r=[],o="undefined"!=typeof Uint8Array?Uint8Array:Array,i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a=0;a<64;++a)n[a]=i[a],r[i.charCodeAt(a)]=a;function s(e){var t=e.length;if(t%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var n=e.indexOf("=");return-1===n&&(n=t),[n,n===t?0:4-n%4]}function l(e,t,r){for(var o,i,a=[],s=t;s<r;s+=3)o=(e[s]<<16&16711680)+(e[s+1]<<8&65280)+(255&e[s+2]),a.push(n[(i=o)>>18&63]+n[i>>12&63]+n[i>>6&63]+n[63&i]);return a.join("")}r["-".charCodeAt(0)]=62,r["_".charCodeAt(0)]=63},8891:(e,t,n)=>{"use strict";const r=n(7322),o=n(8239),i="function"==typeof Symbol&&"function"==typeof Symbol.for?Symbol.for("nodejs.util.inspect.custom"):null;t.hp=l,t.IS=50;const a=2147483647;function s(e){if(e>a)throw new RangeError('The value "'+e+'" is invalid for option "size"');const t=new Uint8Array(e);return Object.setPrototypeOf(t,l.prototype),t}function l(e,t,n){if("number"==typeof e){if("string"==typeof t)throw new TypeError('The "string" argument must be of type string. Received type number');return d(e)}return c(e,t,n)}function c(e,t,n){if("string"==typeof e)return function(e,t){if("string"==typeof t&&""!==t||(t="utf8"),!l.isEncoding(t))throw new TypeError("Unknown encoding: "+t);const n=0|m(e,t);let r=s(n);const o=r.write(e,t);return o!==n&&(r=r.slice(0,o)),r}(e,t);if(ArrayBuffer.isView(e))return function(e){if(q(e,Uint8Array)){const t=new Uint8Array(e);return f(t.buffer,t.byteOffset,t.byteLength)}return p(e)}(e);if(null==e)throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type "+typeof e);if(q(e,ArrayBuffer)||e&&q(e.buffer,ArrayBuffer))return f(e,t,n);if("undefined"!=typeof SharedArrayBuffer&&(q(e,SharedArrayBuffer)||e&&q(e.buffer,SharedArrayBuffer)))return f(e,t,n);if("number"==typeof e)throw new TypeError('The "value" argument must not be of type number. Received type number');const r=e.valueOf&&e.valueOf();if(null!=r&&r!==e)return l.from(r,t,n);const o=function(e){if(l.isBuffer(e)){const t=0|h(e.length),n=s(t);return 0===n.length||e.copy(n,0,0,t),n}return void 0!==e.length?"number"!=typeof e.length||Z(e.length)?s(0):p(e):"Buffer"===e.type&&Array.isArray(e.data)?p(e.data):void 0}(e);if(o)return o;if("undefined"!=typeof Symbol&&null!=Symbol.toPrimitive&&"function"==typeof e[Symbol.toPrimitive])return l.from(e[Symbol.toPrimitive]("string"),t,n);throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type "+typeof e)}function u(e){if("number"!=typeof e)throw new TypeError('"size" argument must be of type number');if(e<0)throw new RangeError('The value "'+e+'" is invalid for option "size"')}function d(e){return u(e),s(e<0?0:0|h(e))}function p(e){const t=e.length<0?0:0|h(e.length),n=s(t);for(let r=0;r<t;r+=1)n[r]=255&e[r];return n}function f(e,t,n){if(t<0||e.byteLength<t)throw new RangeError('"offset" is outside of buffer bounds');if(e.byteLength<t+(n||0))throw new RangeError('"length" is outside of buffer bounds');let r;return r=void 0===t&&void 0===n?new Uint8Array(e):void 0===n?new Uint8Array(e,t):new Uint8Array(e,t,n),Object.setPrototypeOf(r,l.prototype),r}function h(e){if(e>=a)throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a.toString(16)+" bytes");return 0|e}function m(e,t){if(l.isBuffer(e))return e.length;if(ArrayBuffer.isView(e)||q(e,ArrayBuffer))return e.byteLength;if("string"!=typeof e)throw new TypeError('The "string" argument must be one of type string, Buffer, or ArrayBuffer. Received type '+typeof e);const n=e.length,r=arguments.length>2&&!0===arguments[2];if(!r&&0===n)return 0;let o=!1;for(;;)switch(t){case"ascii":case"latin1":case"binary":return n;case"utf8":case"utf-8":return V(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return 2*n;case"hex":return n>>>1;case"base64":return Y(e).length;default:if(o)return r?-1:V(e).length;t=(""+t).toLowerCase(),o=!0}}function g(e,t,n){let r=!1;if((void 0===t||t<0)&&(t=0),t>this.length)return"";if((void 0===n||n>this.length)&&(n=this.length),n<=0)return"";if((n>>>=0)<=(t>>>=0))return"";for(e||(e="utf8");;)switch(e){case"hex":return R(this,t,n);case"utf8":case"utf-8":return S(this,t,n);case"ascii":return T(this,t,n);case"latin1":case"binary":return O(this,t,n);case"base64":return I(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return D(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function v(e,t,n){const r=e[t];e[t]=e[n],e[n]=r}function b(e,t,n,r,o){if(0===e.length)return-1;if("string"==typeof n?(r=n,n=0):n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),Z(n=+n)&&(n=o?0:e.length-1),n<0&&(n=e.length+n),n>=e.length){if(o)return-1;n=e.length-1}else if(n<0){if(!o)return-1;n=0}if("string"==typeof t&&(t=l.from(t,r)),l.isBuffer(t))return 0===t.length?-1:y(e,t,n,r,o);if("number"==typeof t)return t&=255,"function"==typeof Uint8Array.prototype.indexOf?o?Uint8Array.prototype.indexOf.call(e,t,n):Uint8Array.prototype.lastIndexOf.call(e,t,n):y(e,[t],n,r,o);throw new TypeError("val must be string, number or Buffer")}function y(e,t,n,r,o){let i,a=1,s=e.length,l=t.length;if(void 0!==r&&("ucs2"===(r=String(r).toLowerCase())||"ucs-2"===r||"utf16le"===r||"utf-16le"===r)){if(e.length<2||t.length<2)return-1;a=2,s/=2,l/=2,n/=2}function c(e,t){return 1===a?e[t]:e.readUInt16BE(t*a)}if(o){let r=-1;for(i=n;i<s;i++)if(c(e,i)===c(t,-1===r?0:i-r)){if(-1===r&&(r=i),i-r+1===l)return r*a}else-1!==r&&(i-=i-r),r=-1}else for(n+l>s&&(n=s-l),i=n;i>=0;i--){let n=!0;for(let r=0;r<l;r++)if(c(e,i+r)!==c(t,r)){n=!1;break}if(n)return i}return-1}function A(e,t,n,r){n=Number(n)||0;const o=e.length-n;r?(r=Number(r))>o&&(r=o):r=o;const i=t.length;let a;for(r>i/2&&(r=i/2),a=0;a<r;++a){const r=parseInt(t.substr(2*a,2),16);if(Z(r))return a;e[n+a]=r}return a}function E(e,t,n,r){return X(V(t,e.length-n),e,n,r)}function w(e,t,n,r){return X(function(e){const t=[];for(let n=0;n<e.length;++n)t.push(255&e.charCodeAt(n));return t}(t),e,n,r)}function C(e,t,n,r){return X(Y(t),e,n,r)}function x(e,t,n,r){return X(function(e,t){let n,r,o;const i=[];for(let a=0;a<e.length&&!((t-=2)<0);++a)n=e.charCodeAt(a),r=n>>8,o=n%256,i.push(o),i.push(r);return i}(t,e.length-n),e,n,r)}function I(e,t,n){return 0===t&&n===e.length?r.fromByteArray(e):r.fromByteArray(e.slice(t,n))}function S(e,t,n){n=Math.min(e.length,n);const r=[];let o=t;for(;o<n;){const t=e[o];let i=null,a=t>239?4:t>223?3:t>191?2:1;if(o+a<=n){let n,r,s,l;switch(a){case 1:t<128&&(i=t);break;case 2:n=e[o+1],128==(192&n)&&(l=(31&t)<<6|63&n,l>127&&(i=l));break;case 3:n=e[o+1],r=e[o+2],128==(192&n)&&128==(192&r)&&(l=(15&t)<<12|(63&n)<<6|63&r,l>2047&&(l<55296||l>57343)&&(i=l));break;case 4:n=e[o+1],r=e[o+2],s=e[o+3],128==(192&n)&&128==(192&r)&&128==(192&s)&&(l=(15&t)<<18|(63&n)<<12|(63&r)<<6|63&s,l>65535&&l<1114112&&(i=l))}}null===i?(i=65533,a=1):i>65535&&(i-=65536,r.push(i>>>10&1023|55296),i=56320|1023&i),r.push(i),o+=a}return function(e){const t=e.length;if(t<=B)return String.fromCharCode.apply(String,e);let n="",r=0;for(;r<t;)n+=String.fromCharCode.apply(String,e.slice(r,r+=B));return n}(r)}l.TYPED_ARRAY_SUPPORT=function(){try{const e=new Uint8Array(1),t={foo:function(){return 42}};return Object.setPrototypeOf(t,Uint8Array.prototype),Object.setPrototypeOf(e,t),42===e.foo()}catch(e){return!1}}(),l.TYPED_ARRAY_SUPPORT||"undefined"==typeof console||"function"!=typeof console.error||console.error("This browser lacks typed array (Uint8Array) support which is required by `buffer` v5.x. Use `buffer` v4.x if you require old browser support."),Object.defineProperty(l.prototype,"parent",{enumerable:!0,get:function(){if(l.isBuffer(this))return this.buffer}}),Object.defineProperty(l.prototype,"offset",{enumerable:!0,get:function(){if(l.isBuffer(this))return this.byteOffset}}),l.poolSize=8192,l.from=function(e,t,n){return c(e,t,n)},Object.setPrototypeOf(l.prototype,Uint8Array.prototype),Object.setPrototypeOf(l,Uint8Array),l.alloc=function(e,t,n){return function(e,t,n){return u(e),e<=0?s(e):void 0!==t?"string"==typeof n?s(e).fill(t,n):s(e).fill(t):s(e)}(e,t,n)},l.allocUnsafe=function(e){return d(e)},l.allocUnsafeSlow=function(e){return d(e)},l.isBuffer=function(e){return null!=e&&!0===e._isBuffer&&e!==l.prototype},l.compare=function(e,t){if(q(e,Uint8Array)&&(e=l.from(e,e.offset,e.byteLength)),q(t,Uint8Array)&&(t=l.from(t,t.offset,t.byteLength)),!l.isBuffer(e)||!l.isBuffer(t))throw new TypeError('The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array');if(e===t)return 0;let n=e.length,r=t.length;for(let o=0,i=Math.min(n,r);o<i;++o)if(e[o]!==t[o]){n=e[o],r=t[o];break}return n<r?-1:r<n?1:0},l.isEncoding=function(e){switch(String(e).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},l.concat=function(e,t){if(!Array.isArray(e))throw new TypeError('"list" argument must be an Array of Buffers');if(0===e.length)return l.alloc(0);let n;if(void 0===t)for(t=0,n=0;n<e.length;++n)t+=e[n].length;const r=l.allocUnsafe(t);let o=0;for(n=0;n<e.length;++n){let t=e[n];if(q(t,Uint8Array))o+t.length>r.length?(l.isBuffer(t)||(t=l.from(t)),t.copy(r,o)):Uint8Array.prototype.set.call(r,t,o);else{if(!l.isBuffer(t))throw new TypeError('"list" argument must be an Array of Buffers');t.copy(r,o)}o+=t.length}return r},l.byteLength=m,l.prototype._isBuffer=!0,l.prototype.swap16=function(){const e=this.length;if(e%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(let t=0;t<e;t+=2)v(this,t,t+1);return this},l.prototype.swap32=function(){const e=this.length;if(e%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(let t=0;t<e;t+=4)v(this,t,t+3),v(this,t+1,t+2);return this},l.prototype.swap64=function(){const e=this.length;if(e%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(let t=0;t<e;t+=8)v(this,t,t+7),v(this,t+1,t+6),v(this,t+2,t+5),v(this,t+3,t+4);return this},l.prototype.toString=function(){const e=this.length;return 0===e?"":0===arguments.length?S(this,0,e):g.apply(this,arguments)},l.prototype.toLocaleString=l.prototype.toString,l.prototype.equals=function(e){if(!l.isBuffer(e))throw new TypeError("Argument must be a Buffer");return this===e||0===l.compare(this,e)},l.prototype.inspect=function(){let e="";const n=t.IS;return e=this.toString("hex",0,n).replace(/(.{2})/g,"$1 ").trim(),this.length>n&&(e+=" ... "),"<Buffer "+e+">"},i&&(l.prototype[i]=l.prototype.inspect),l.prototype.compare=function(e,t,n,r,o){if(q(e,Uint8Array)&&(e=l.from(e,e.offset,e.byteLength)),!l.isBuffer(e))throw new TypeError('The "target" argument must be one of type Buffer or Uint8Array. Received type '+typeof e);if(void 0===t&&(t=0),void 0===n&&(n=e?e.length:0),void 0===r&&(r=0),void 0===o&&(o=this.length),t<0||n>e.length||r<0||o>this.length)throw new RangeError("out of range index");if(r>=o&&t>=n)return 0;if(r>=o)return-1;if(t>=n)return 1;if(this===e)return 0;let i=(o>>>=0)-(r>>>=0),a=(n>>>=0)-(t>>>=0);const s=Math.min(i,a),c=this.slice(r,o),u=e.slice(t,n);for(let e=0;e<s;++e)if(c[e]!==u[e]){i=c[e],a=u[e];break}return i<a?-1:a<i?1:0},l.prototype.includes=function(e,t,n){return-1!==this.indexOf(e,t,n)},l.prototype.indexOf=function(e,t,n){return b(this,e,t,n,!0)},l.prototype.lastIndexOf=function(e,t,n){return b(this,e,t,n,!1)},l.prototype.write=function(e,t,n,r){if(void 0===t)r="utf8",n=this.length,t=0;else if(void 0===n&&"string"==typeof t)r=t,n=this.length,t=0;else{if(!isFinite(t))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");t>>>=0,isFinite(n)?(n>>>=0,void 0===r&&(r="utf8")):(r=n,n=void 0)}const o=this.length-t;if((void 0===n||n>o)&&(n=o),e.length>0&&(n<0||t<0)||t>this.length)throw new RangeError("Attempt to write outside buffer bounds");r||(r="utf8");let i=!1;for(;;)switch(r){case"hex":return A(this,e,t,n);case"utf8":case"utf-8":return E(this,e,t,n);case"ascii":case"latin1":case"binary":return w(this,e,t,n);case"base64":return C(this,e,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return x(this,e,t,n);default:if(i)throw new TypeError("Unknown encoding: "+r);r=(""+r).toLowerCase(),i=!0}},l.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};const B=4096;function T(e,t,n){let r="";n=Math.min(e.length,n);for(let o=t;o<n;++o)r+=String.fromCharCode(127&e[o]);return r}function O(e,t,n){let r="";n=Math.min(e.length,n);for(let o=t;o<n;++o)r+=String.fromCharCode(e[o]);return r}function R(e,t,n){const r=e.length;(!t||t<0)&&(t=0),(!n||n<0||n>r)&&(n=r);let o="";for(let r=t;r<n;++r)o+=K[e[r]];return o}function D(e,t,n){const r=e.slice(t,n);let o="";for(let e=0;e<r.length-1;e+=2)o+=String.fromCharCode(r[e]+256*r[e+1]);return o}function N(e,t,n){if(e%1!=0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function P(e,t,n,r,o,i){if(!l.isBuffer(e))throw new TypeError('"buffer" argument must be a Buffer instance');if(t>o||t<i)throw new RangeError('"value" argument is out of bounds');if(n+r>e.length)throw new RangeError("Index out of range")}function L(e,t,n,r,o){G(t,r,o,e,n,7);let i=Number(t&BigInt(4294967295));e[n++]=i,i>>=8,e[n++]=i,i>>=8,e[n++]=i,i>>=8,e[n++]=i;let a=Number(t>>BigInt(32)&BigInt(4294967295));return e[n++]=a,a>>=8,e[n++]=a,a>>=8,e[n++]=a,a>>=8,e[n++]=a,n}function M(e,t,n,r,o){G(t,r,o,e,n,7);let i=Number(t&BigInt(4294967295));e[n+7]=i,i>>=8,e[n+6]=i,i>>=8,e[n+5]=i,i>>=8,e[n+4]=i;let a=Number(t>>BigInt(32)&BigInt(4294967295));return e[n+3]=a,a>>=8,e[n+2]=a,a>>=8,e[n+1]=a,a>>=8,e[n]=a,n+8}function k(e,t,n,r,o,i){if(n+r>e.length)throw new RangeError("Index out of range");if(n<0)throw new RangeError("Index out of range")}function _(e,t,n,r,i){return t=+t,n>>>=0,i||k(e,0,n,4),o.write(e,t,n,r,23,4),n+4}function $(e,t,n,r,i){return t=+t,n>>>=0,i||k(e,0,n,8),o.write(e,t,n,r,52,8),n+8}l.prototype.slice=function(e,t){const n=this.length;(e=~~e)<0?(e+=n)<0&&(e=0):e>n&&(e=n),(t=void 0===t?n:~~t)<0?(t+=n)<0&&(t=0):t>n&&(t=n),t<e&&(t=e);const r=this.subarray(e,t);return Object.setPrototypeOf(r,l.prototype),r},l.prototype.readUintLE=l.prototype.readUIntLE=function(e,t,n){e>>>=0,t>>>=0,n||N(e,t,this.length);let r=this[e],o=1,i=0;for(;++i<t&&(o*=256);)r+=this[e+i]*o;return r},l.prototype.readUintBE=l.prototype.readUIntBE=function(e,t,n){e>>>=0,t>>>=0,n||N(e,t,this.length);let r=this[e+--t],o=1;for(;t>0&&(o*=256);)r+=this[e+--t]*o;return r},l.prototype.readUint8=l.prototype.readUInt8=function(e,t){return e>>>=0,t||N(e,1,this.length),this[e]},l.prototype.readUint16LE=l.prototype.readUInt16LE=function(e,t){return e>>>=0,t||N(e,2,this.length),this[e]|this[e+1]<<8},l.prototype.readUint16BE=l.prototype.readUInt16BE=function(e,t){return e>>>=0,t||N(e,2,this.length),this[e]<<8|this[e+1]},l.prototype.readUint32LE=l.prototype.readUInt32LE=function(e,t){return e>>>=0,t||N(e,4,this.length),(this[e]|this[e+1]<<8|this[e+2]<<16)+16777216*this[e+3]},l.prototype.readUint32BE=l.prototype.readUInt32BE=function(e,t){return e>>>=0,t||N(e,4,this.length),16777216*this[e]+(this[e+1]<<16|this[e+2]<<8|this[e+3])},l.prototype.readBigUInt64LE=Q((function(e){j(e>>>=0,"offset");const t=this[e],n=this[e+7];void 0!==t&&void 0!==n||W(e,this.length-8);const r=t+256*this[++e]+65536*this[++e]+this[++e]*2**24,o=this[++e]+256*this[++e]+65536*this[++e]+n*2**24;return BigInt(r)+(BigInt(o)<<BigInt(32))})),l.prototype.readBigUInt64BE=Q((function(e){j(e>>>=0,"offset");const t=this[e],n=this[e+7];void 0!==t&&void 0!==n||W(e,this.length-8);const r=t*2**24+65536*this[++e]+256*this[++e]+this[++e],o=this[++e]*2**24+65536*this[++e]+256*this[++e]+n;return(BigInt(r)<<BigInt(32))+BigInt(o)})),l.prototype.readIntLE=function(e,t,n){e>>>=0,t>>>=0,n||N(e,t,this.length);let r=this[e],o=1,i=0;for(;++i<t&&(o*=256);)r+=this[e+i]*o;return o*=128,r>=o&&(r-=Math.pow(2,8*t)),r},l.prototype.readIntBE=function(e,t,n){e>>>=0,t>>>=0,n||N(e,t,this.length);let r=t,o=1,i=this[e+--r];for(;r>0&&(o*=256);)i+=this[e+--r]*o;return o*=128,i>=o&&(i-=Math.pow(2,8*t)),i},l.prototype.readInt8=function(e,t){return e>>>=0,t||N(e,1,this.length),128&this[e]?-1*(255-this[e]+1):this[e]},l.prototype.readInt16LE=function(e,t){e>>>=0,t||N(e,2,this.length);const n=this[e]|this[e+1]<<8;return 32768&n?4294901760|n:n},l.prototype.readInt16BE=function(e,t){e>>>=0,t||N(e,2,this.length);const n=this[e+1]|this[e]<<8;return 32768&n?4294901760|n:n},l.prototype.readInt32LE=function(e,t){return e>>>=0,t||N(e,4,this.length),this[e]|this[e+1]<<8|this[e+2]<<16|this[e+3]<<24},l.prototype.readInt32BE=function(e,t){return e>>>=0,t||N(e,4,this.length),this[e]<<24|this[e+1]<<16|this[e+2]<<8|this[e+3]},l.prototype.readBigInt64LE=Q((function(e){j(e>>>=0,"offset");const t=this[e],n=this[e+7];void 0!==t&&void 0!==n||W(e,this.length-8);const r=this[e+4]+256*this[e+5]+65536*this[e+6]+(n<<24);return(BigInt(r)<<BigInt(32))+BigInt(t+256*this[++e]+65536*this[++e]+this[++e]*2**24)})),l.prototype.readBigInt64BE=Q((function(e){j(e>>>=0,"offset");const t=this[e],n=this[e+7];void 0!==t&&void 0!==n||W(e,this.length-8);const r=(t<<24)+65536*this[++e]+256*this[++e]+this[++e];return(BigInt(r)<<BigInt(32))+BigInt(this[++e]*2**24+65536*this[++e]+256*this[++e]+n)})),l.prototype.readFloatLE=function(e,t){return e>>>=0,t||N(e,4,this.length),o.read(this,e,!0,23,4)},l.prototype.readFloatBE=function(e,t){return e>>>=0,t||N(e,4,this.length),o.read(this,e,!1,23,4)},l.prototype.readDoubleLE=function(e,t){return e>>>=0,t||N(e,8,this.length),o.read(this,e,!0,52,8)},l.prototype.readDoubleBE=function(e,t){return e>>>=0,t||N(e,8,this.length),o.read(this,e,!1,52,8)},l.prototype.writeUintLE=l.prototype.writeUIntLE=function(e,t,n,r){e=+e,t>>>=0,n>>>=0,r||P(this,e,t,n,Math.pow(2,8*n)-1,0);let o=1,i=0;for(this[t]=255&e;++i<n&&(o*=256);)this[t+i]=e/o&255;return t+n},l.prototype.writeUintBE=l.prototype.writeUIntBE=function(e,t,n,r){e=+e,t>>>=0,n>>>=0,r||P(this,e,t,n,Math.pow(2,8*n)-1,0);let o=n-1,i=1;for(this[t+o]=255&e;--o>=0&&(i*=256);)this[t+o]=e/i&255;return t+n},l.prototype.writeUint8=l.prototype.writeUInt8=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,1,255,0),this[t]=255&e,t+1},l.prototype.writeUint16LE=l.prototype.writeUInt16LE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,2,65535,0),this[t]=255&e,this[t+1]=e>>>8,t+2},l.prototype.writeUint16BE=l.prototype.writeUInt16BE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,2,65535,0),this[t]=e>>>8,this[t+1]=255&e,t+2},l.prototype.writeUint32LE=l.prototype.writeUInt32LE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,4,4294967295,0),this[t+3]=e>>>24,this[t+2]=e>>>16,this[t+1]=e>>>8,this[t]=255&e,t+4},l.prototype.writeUint32BE=l.prototype.writeUInt32BE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,4,4294967295,0),this[t]=e>>>24,this[t+1]=e>>>16,this[t+2]=e>>>8,this[t+3]=255&e,t+4},l.prototype.writeBigUInt64LE=Q((function(e,t=0){return L(this,e,t,BigInt(0),BigInt("0xffffffffffffffff"))})),l.prototype.writeBigUInt64BE=Q((function(e,t=0){return M(this,e,t,BigInt(0),BigInt("0xffffffffffffffff"))})),l.prototype.writeIntLE=function(e,t,n,r){if(e=+e,t>>>=0,!r){const r=Math.pow(2,8*n-1);P(this,e,t,n,r-1,-r)}let o=0,i=1,a=0;for(this[t]=255&e;++o<n&&(i*=256);)e<0&&0===a&&0!==this[t+o-1]&&(a=1),this[t+o]=(e/i|0)-a&255;return t+n},l.prototype.writeIntBE=function(e,t,n,r){if(e=+e,t>>>=0,!r){const r=Math.pow(2,8*n-1);P(this,e,t,n,r-1,-r)}let o=n-1,i=1,a=0;for(this[t+o]=255&e;--o>=0&&(i*=256);)e<0&&0===a&&0!==this[t+o+1]&&(a=1),this[t+o]=(e/i|0)-a&255;return t+n},l.prototype.writeInt8=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,1,127,-128),e<0&&(e=255+e+1),this[t]=255&e,t+1},l.prototype.writeInt16LE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,2,32767,-32768),this[t]=255&e,this[t+1]=e>>>8,t+2},l.prototype.writeInt16BE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,2,32767,-32768),this[t]=e>>>8,this[t+1]=255&e,t+2},l.prototype.writeInt32LE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,4,2147483647,-2147483648),this[t]=255&e,this[t+1]=e>>>8,this[t+2]=e>>>16,this[t+3]=e>>>24,t+4},l.prototype.writeInt32BE=function(e,t,n){return e=+e,t>>>=0,n||P(this,e,t,4,2147483647,-2147483648),e<0&&(e=4294967295+e+1),this[t]=e>>>24,this[t+1]=e>>>16,this[t+2]=e>>>8,this[t+3]=255&e,t+4},l.prototype.writeBigInt64LE=Q((function(e,t=0){return L(this,e,t,-BigInt("0x8000000000000000"),BigInt("0x7fffffffffffffff"))})),l.prototype.writeBigInt64BE=Q((function(e,t=0){return M(this,e,t,-BigInt("0x8000000000000000"),BigInt("0x7fffffffffffffff"))})),l.prototype.writeFloatLE=function(e,t,n){return _(this,e,t,!0,n)},l.prototype.writeFloatBE=function(e,t,n){return _(this,e,t,!1,n)},l.prototype.writeDoubleLE=function(e,t,n){return $(this,e,t,!0,n)},l.prototype.writeDoubleBE=function(e,t,n){return $(this,e,t,!1,n)},l.prototype.copy=function(e,t,n,r){if(!l.isBuffer(e))throw new TypeError("argument should be a Buffer");if(n||(n=0),r||0===r||(r=this.length),t>=e.length&&(t=e.length),t||(t=0),r>0&&r<n&&(r=n),r===n)return 0;if(0===e.length||0===this.length)return 0;if(t<0)throw new RangeError("targetStart out of bounds");if(n<0||n>=this.length)throw new RangeError("Index out of range");if(r<0)throw new RangeError("sourceEnd out of bounds");r>this.length&&(r=this.length),e.length-t<r-n&&(r=e.length-t+n);const o=r-n;return this===e&&"function"==typeof Uint8Array.prototype.copyWithin?this.copyWithin(t,n,r):Uint8Array.prototype.set.call(e,this.subarray(n,r),t),o},l.prototype.fill=function(e,t,n,r){if("string"==typeof e){if("string"==typeof t?(r=t,t=0,n=this.length):"string"==typeof n&&(r=n,n=this.length),void 0!==r&&"string"!=typeof r)throw new TypeError("encoding must be a string");if("string"==typeof r&&!l.isEncoding(r))throw new TypeError("Unknown encoding: "+r);if(1===e.length){const t=e.charCodeAt(0);("utf8"===r&&t<128||"latin1"===r)&&(e=t)}}else"number"==typeof e?e&=255:"boolean"==typeof e&&(e=Number(e));if(t<0||this.length<t||this.length<n)throw new RangeError("Out of range index");if(n<=t)return this;let o;if(t>>>=0,n=void 0===n?this.length:n>>>0,e||(e=0),"number"==typeof e)for(o=t;o<n;++o)this[o]=e;else{const i=l.isBuffer(e)?e:l.from(e,r),a=i.length;if(0===a)throw new TypeError('The value "'+e+'" is invalid for argument "value"');for(o=0;o<n-t;++o)this[o+t]=i[o%a]}return this};const F={};function U(e,t,n){F[e]=class extends n{constructor(){super(),Object.defineProperty(this,"message",{value:t.apply(this,arguments),writable:!0,configurable:!0}),this.name=`${this.name} [${e}]`,this.stack,delete this.name}get code(){return e}set code(e){Object.defineProperty(this,"code",{configurable:!0,enumerable:!0,value:e,writable:!0})}toString(){return`${this.name} [${e}]: ${this.message}`}}}function z(e){let t="",n=e.length;const r="-"===e[0]?1:0;for(;n>=r+4;n-=3)t=`_${e.slice(n-3,n)}${t}`;return`${e.slice(0,n)}${t}`}function G(e,t,n,r,o,i){if(e>n||e<t){const r="bigint"==typeof t?"n":"";let o;throw o=i>3?0===t||t===BigInt(0)?`>= 0${r} and < 2${r} ** ${8*(i+1)}${r}`:`>= -(2${r} ** ${8*(i+1)-1}${r}) and < 2 ** ${8*(i+1)-1}${r}`:`>= ${t}${r} and <= ${n}${r}`,new F.ERR_OUT_OF_RANGE("value",o,e)}!function(e,t,n){j(t,"offset"),void 0!==e[t]&&void 0!==e[t+n]||W(t,e.length-(n+1))}(r,o,i)}function j(e,t){if("number"!=typeof e)throw new F.ERR_INVALID_ARG_TYPE(t,"number",e)}function W(e,t,n){if(Math.floor(e)!==e)throw j(e,n),new F.ERR_OUT_OF_RANGE(n||"offset","an integer",e);if(t<0)throw new F.ERR_BUFFER_OUT_OF_BOUNDS;throw new F.ERR_OUT_OF_RANGE(n||"offset",`>= ${n?1:0} and <= ${t}`,e)}U("ERR_BUFFER_OUT_OF_BOUNDS",(function(e){return e?`${e} is outside of buffer bounds`:"Attempt to access memory outside buffer bounds"}),RangeError),U("ERR_INVALID_ARG_TYPE",(function(e,t){return`The "${e}" argument must be of type number. Received type ${typeof t}`}),TypeError),U("ERR_OUT_OF_RANGE",(function(e,t,n){let r=`The value of "${e}" is out of range.`,o=n;return Number.isInteger(n)&&Math.abs(n)>2**32?o=z(String(n)):"bigint"==typeof n&&(o=String(n),(n>BigInt(2)**BigInt(32)||n<-(BigInt(2)**BigInt(32)))&&(o=z(o)),o+="n"),r+=` It must be ${t}. Received ${o}`,r}),RangeError);const H=/[^+/0-9A-Za-z-_]/g;function V(e,t){let n;t=t||1/0;const r=e.length;let o=null;const i=[];for(let a=0;a<r;++a){if(n=e.charCodeAt(a),n>55295&&n<57344){if(!o){if(n>56319){(t-=3)>-1&&i.push(239,191,189);continue}if(a+1===r){(t-=3)>-1&&i.push(239,191,189);continue}o=n;continue}if(n<56320){(t-=3)>-1&&i.push(239,191,189),o=n;continue}n=65536+(o-55296<<10|n-56320)}else o&&(t-=3)>-1&&i.push(239,191,189);if(o=null,n<128){if((t-=1)<0)break;i.push(n)}else if(n<2048){if((t-=2)<0)break;i.push(n>>6|192,63&n|128)}else if(n<65536){if((t-=3)<0)break;i.push(n>>12|224,n>>6&63|128,63&n|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;i.push(n>>18|240,n>>12&63|128,n>>6&63|128,63&n|128)}}return i}function Y(e){return r.toByteArray(function(e){if((e=(e=e.split("=")[0]).trim().replace(H,"")).length<2)return"";for(;e.length%4!=0;)e+="=";return e}(e))}function X(e,t,n,r){let o;for(o=0;o<r&&!(o+n>=t.length||o>=e.length);++o)t[o+n]=e[o];return o}function q(e,t){return e instanceof t||null!=e&&null!=e.constructor&&null!=e.constructor.name&&e.constructor.name===t.name}function Z(e){return e!=e}const K=function(){const e="0123456789abcdef",t=new Array(256);for(let n=0;n<16;++n){const r=16*n;for(let o=0;o<16;++o)t[r+o]=e[n]+e[o]}return t}();function Q(e){return"undefined"==typeof BigInt?J:e}function J(){throw new Error("BigInt not supported")}},3261:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(4942),o=n.n(r),i=n(278),a=n.n(i)()(o());a.push([e.id,".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n","",{version:3,sources:["webpack://./../node_modules/rc-slider/assets/index.css"],names:[],mappings:"AAAA;EACE,kBAAkB;EAClB,WAAW;EACX,YAAY;EACZ,cAAc;EACd,kBAAkB;EAClB,kBAAkB;EAClB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;;EAEE,kBAAkB;EAClB,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;EACE,UAAU;EACV,uBAAuB;EACvB,4BAA4B;EAC5B,sCAAsC;EACtC,yCAAyC;EACzC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,WAAW;EACX,YAAY;EACZ,gBAAgB;EAChB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;EACf,oBAAoB;EACpB,YAAY;EACZ,YAAY;EACZ,mBAAmB;AACrB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,aAAa;EACb,gBAAgB;AAClB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,qBAAqB;EACrB,iBAAiB;AACnB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,qBAAqB;EACrB,2BAA2B;EAC3B,wBAAwB;EACxB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,SAAS;EACT,OAAO;EACP,WAAW;EACX,eAAe;AACjB;AACA;EACE,kBAAkB;EAClB,qBAAqB;EACrB,WAAW;EACX,kBAAkB;EAClB,sBAAsB;EACtB,eAAe;AACjB;AACA;EACE,WAAW;AACb;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,uBAAuB;AACzB;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,UAAU;EACV,WAAW;EACX,sBAAsB;EACtB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;AACjB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,kBAAkB;AACpB;AACA;EACE,yBAAyB;AAC3B;AACA;EACE,sBAAsB;AACxB;AACA;;EAEE,sBAAsB;EACtB,kBAAkB;EAClB,gBAAgB;EAChB,mBAAmB;AACrB;AACA;;EAEE,8BAA8B;AAChC;AACA;EACE,WAAW;EACX,YAAY;EACZ,cAAc;AAChB;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,SAAS;EACT,SAAS;EACT,UAAU;AACZ;AACA;EACE,aAAa;EACb,gBAAgB;EAChB,wCAAwC;EACxC,uCAAuC;EACvC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,aAAa;EACb,iBAAiB;EACjB,mBAAmB;AACrB;AACA;EACE,MAAM;EACN,UAAU;EACV,YAAY;AACd;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,iBAAiB;AACnB;AACA;;EAEE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;EACE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;;EAEE,yCAAyC;EACzC,6BAA6B;AAC/B;AACA;EACE,0CAA0C;EAC1C,6BAA6B;AAC/B;AACA;;EAEE,sBAAsB;EACtB,yDAAyD;AAC3D;AACA;EACE,iEAAiE;AACnE;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;EACA;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;AACF;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;EACA;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;AACF;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,aAAa;EACb,mBAAmB;EACnB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,aAAa;AACf;AACA;EACE,oBAAoB;AACtB;AACA;EACE,eAAe;EACf,YAAY;EACZ,gBAAgB;EAChB,WAAW;EACX,eAAe;EACf,cAAc;EACd,kBAAkB;EAClB,qBAAqB;EACrB,yBAAyB;EACzB,kBAAkB;EAClB,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,QAAQ;EACR,SAAS;EACT,yBAAyB;EACzB,mBAAmB;AACrB;AACA;EACE,WAAW;EACX,SAAS;EACT,iBAAiB;EACjB,uBAAuB;EACvB,yBAAyB;AAC3B",sourcesContent:[".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n"],sourceRoot:""}]);const s=a},9250:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(4942),o=n.n(r),i=n(278),a=n.n(i)()(o());a.push([e.id,'[data-rmiz-ghost] {\n  position: absolute;\n  pointer-events: none;\n}\n[data-rmiz-btn-zoom],\n[data-rmiz-btn-unzoom] {\n  background-color: rgba(0, 0, 0, 0.7);\n  border-radius: 50%;\n  border: none;\n  box-shadow: 0 0 1px rgba(255, 255, 255, 0.5);\n  color: #fff;\n  height: 40px;\n  margin: 0;\n  outline-offset: 2px;\n  padding: 9px;\n  touch-action: manipulation;\n  width: 40px;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  appearance: none;\n}\n[data-rmiz-btn-zoom]:not(:focus):not(:active) {\n  position: absolute;\n  clip: rect(0 0 0 0);\n  clip-path: inset(50%);\n  height: 1px;\n  overflow: hidden;\n  pointer-events: none;\n  white-space: nowrap;\n  width: 1px;\n}\n[data-rmiz-btn-zoom] {\n  position: absolute;\n  inset: 10px 10px auto auto;\n  cursor: zoom-in;\n}\n[data-rmiz-btn-unzoom] {\n  position: absolute;\n  inset: 20px 20px auto auto;\n  cursor: zoom-out;\n  z-index: 1;\n}\n[data-rmiz-content="found"] img,\n[data-rmiz-content="found"] svg,\n[data-rmiz-content="found"] [role="img"],\n[data-rmiz-content="found"] [data-zoom] {\n  cursor: zoom-in;\n}\n[data-rmiz-modal]::backdrop {\n  display: none;\n}\n[data-rmiz-modal][open] {\n  position: fixed;\n  width: 100vw;\n  width: 100dvw;\n  height: 100vh;\n  height: 100dvh;\n  max-width: none;\n  max-height: none;\n  margin: 0;\n  padding: 0;\n  border: 0;\n  background: transparent;\n  overflow: hidden;\n}\n[data-rmiz-modal-overlay] {\n  position: absolute;\n  inset: 0;\n  transition: background-color 0.3s;\n}\n[data-rmiz-modal-overlay="hidden"] {\n  background-color: rgba(255, 255, 255, 0);\n}\n[data-rmiz-modal-overlay="visible"] {\n  background-color: rgba(255, 255, 255, 1);\n}\n[data-rmiz-modal-content] {\n  position: relative;\n  width: 100%;\n  height: 100%;\n}\n[data-rmiz-modal-img] {\n  position: absolute;\n  cursor: zoom-out;\n  image-rendering: high-quality;\n  transform-origin: top left;\n  transition: transform 0.3s;\n}\n@media (prefers-reduced-motion: reduce) {\n  [data-rmiz-modal-overlay],\n  [data-rmiz-modal-img] {\n    transition-duration: 0.01ms !important;\n  }\n}\n',"",{version:3,sources:["webpack://./../node_modules/react-medium-image-zoom/dist/styles.css"],names:[],mappings:"AAAA;EACE,kBAAkB;EAClB,oBAAoB;AACtB;AACA;;EAEE,oCAAoC;EACpC,kBAAkB;EAClB,YAAY;EACZ,4CAA4C;EAC5C,WAAW;EACX,YAAY;EACZ,SAAS;EACT,mBAAmB;EACnB,YAAY;EACZ,0BAA0B;EAC1B,WAAW;EACX,wBAAwB;EACxB,qBAAqB;EACrB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,mBAAmB;EACnB,qBAAqB;EACrB,WAAW;EACX,gBAAgB;EAChB,oBAAoB;EACpB,mBAAmB;EACnB,UAAU;AACZ;AACA;EACE,kBAAkB;EAClB,0BAA0B;EAC1B,eAAe;AACjB;AACA;EACE,kBAAkB;EAClB,0BAA0B;EAC1B,gBAAgB;EAChB,UAAU;AACZ;AACA;;;;EAIE,eAAe;AACjB;AACA;EACE,aAAa;AACf;AACA;EACE,eAAe;EACf,YAAY;EACZ,aAAa;EACb,aAAa;EACb,cAAc;EACd,eAAe;EACf,gBAAgB;EAChB,SAAS;EACT,UAAU;EACV,SAAS;EACT,uBAAuB;EACvB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,QAAQ;EACR,iCAAiC;AACnC;AACA;EACE,wCAAwC;AAC1C;AACA;EACE,wCAAwC;AAC1C;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,YAAY;AACd;AACA;EACE,kBAAkB;EAClB,gBAAgB;EAChB,6BAA6B;EAC7B,0BAA0B;EAC1B,0BAA0B;AAC5B;AACA;EACE;;IAEE,sCAAsC;EACxC;AACF",sourcesContent:['[data-rmiz-ghost] {\n  position: absolute;\n  pointer-events: none;\n}\n[data-rmiz-btn-zoom],\n[data-rmiz-btn-unzoom] {\n  background-color: rgba(0, 0, 0, 0.7);\n  border-radius: 50%;\n  border: none;\n  box-shadow: 0 0 1px rgba(255, 255, 255, 0.5);\n  color: #fff;\n  height: 40px;\n  margin: 0;\n  outline-offset: 2px;\n  padding: 9px;\n  touch-action: manipulation;\n  width: 40px;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  appearance: none;\n}\n[data-rmiz-btn-zoom]:not(:focus):not(:active) {\n  position: absolute;\n  clip: rect(0 0 0 0);\n  clip-path: inset(50%);\n  height: 1px;\n  overflow: hidden;\n  pointer-events: none;\n  white-space: nowrap;\n  width: 1px;\n}\n[data-rmiz-btn-zoom] {\n  position: absolute;\n  inset: 10px 10px auto auto;\n  cursor: zoom-in;\n}\n[data-rmiz-btn-unzoom] {\n  position: absolute;\n  inset: 20px 20px auto auto;\n  cursor: zoom-out;\n  z-index: 1;\n}\n[data-rmiz-content="found"] img,\n[data-rmiz-content="found"] svg,\n[data-rmiz-content="found"] [role="img"],\n[data-rmiz-content="found"] [data-zoom] {\n  cursor: zoom-in;\n}\n[data-rmiz-modal]::backdrop {\n  display: none;\n}\n[data-rmiz-modal][open] {\n  position: fixed;\n  width: 100vw;\n  width: 100dvw;\n  height: 100vh;\n  height: 100dvh;\n  max-width: none;\n  max-height: none;\n  margin: 0;\n  padding: 0;\n  border: 0;\n  background: transparent;\n  overflow: hidden;\n}\n[data-rmiz-modal-overlay] {\n  position: absolute;\n  inset: 0;\n  transition: background-color 0.3s;\n}\n[data-rmiz-modal-overlay="hidden"] {\n  background-color: rgba(255, 255, 255, 0);\n}\n[data-rmiz-modal-overlay="visible"] {\n  background-color: rgba(255, 255, 255, 1);\n}\n[data-rmiz-modal-content] {\n  position: relative;\n  width: 100%;\n  height: 100%;\n}\n[data-rmiz-modal-img] {\n  position: absolute;\n  cursor: zoom-out;\n  image-rendering: high-quality;\n  transform-origin: top left;\n  transition: transform 0.3s;\n}\n@media (prefers-reduced-motion: reduce) {\n  [data-rmiz-modal-overlay],\n  [data-rmiz-modal-img] {\n    transition-duration: 0.01ms !important;\n  }\n}\n'],sourceRoot:""}]);const s=a},278:e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n="",r=void 0!==t[5];return t[4]&&(n+="@supports (".concat(t[4],") {")),t[2]&&(n+="@media ".concat(t[2]," {")),r&&(n+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),n+=e(t),r&&(n+="}"),t[2]&&(n+="}"),t[4]&&(n+="}"),n})).join("")},t.i=function(e,n,r,o,i){"string"==typeof e&&(e=[[null,e,void 0]]);var a={};if(r)for(var s=0;s<this.length;s++){var l=this[s][0];null!=l&&(a[l]=!0)}for(var c=0;c<e.length;c++){var u=[].concat(e[c]);r&&a[u[0]]||(void 0!==i&&(void 0===u[5]||(u[1]="@layer".concat(u[5].length>0?" ".concat(u[5]):""," {").concat(u[1],"}")),u[5]=i),n&&(u[2]?(u[1]="@media ".concat(u[2]," {").concat(u[1],"}"),u[2]=n):u[2]=n),o&&(u[4]?(u[1]="@supports (".concat(u[4],") {").concat(u[1],"}"),u[4]=o):u[4]="".concat(o)),t.push(u))}},t}},4942:e=>{"use strict";e.exports=function(e){var t=e[1],n=e[3];if(!n)return t;if("function"==typeof btoa){var r=btoa(unescape(encodeURIComponent(JSON.stringify(n)))),o="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(r),i="/*# ".concat(o," */");return[t].concat([i]).join("\n")}return[t].join("\n")}},2249:function(e,t,n){var r,o;void 0===(o="function"==typeof(r=function(){"use strict";function t(e,t,n){var r=new XMLHttpRequest;r.open("GET",e),r.responseType="blob",r.onload=function(){s(r.response,t,n)},r.onerror=function(){console.error("could not download file")},r.send()}function r(e){var t=new XMLHttpRequest;t.open("HEAD",e,!1);try{t.send()}catch(e){}return 200<=t.status&&299>=t.status}function o(e){try{e.dispatchEvent(new MouseEvent("click"))}catch(n){var t=document.createEvent("MouseEvents");t.initMouseEvent("click",!0,!0,window,0,0,0,80,20,!1,!1,!1,!1,0,null),e.dispatchEvent(t)}}var i="object"==typeof window&&window.window===window?window:"object"==typeof self&&self.self===self?self:"object"==typeof n.g&&n.g.global===n.g?n.g:void 0,a=i.navigator&&/Macintosh/.test(navigator.userAgent)&&/AppleWebKit/.test(navigator.userAgent)&&!/Safari/.test(navigator.userAgent),s=i.saveAs||("object"!=typeof window||window!==i?function(){}:"download"in HTMLAnchorElement.prototype&&!a?function(e,n,a){var s=i.URL||i.webkitURL,l=document.createElement("a");n=n||e.name||"download",l.download=n,l.rel="noopener","string"==typeof e?(l.href=e,l.origin===location.origin?o(l):r(l.href)?t(e,n,a):o(l,l.target="_blank")):(l.href=s.createObjectURL(e),setTimeout((function(){s.revokeObjectURL(l.href)}),4e4),setTimeout((function(){o(l)}),0))}:"msSaveOrOpenBlob"in navigator?function(e,n,i){if(n=n||e.name||"download","string"!=typeof e)navigator.msSaveOrOpenBlob(function(e,t){return void 0===t?t={autoBom:!1}:"object"!=typeof t&&(console.warn("Deprecated: Expected third argument to be a object"),t={autoBom:!t}),t.autoBom&&/^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(e.type)?new Blob(["\ufeff",e],{type:e.type}):e}(e,i),n);else if(r(e))t(e,n,i);else{var a=document.createElement("a");a.href=e,a.target="_blank",setTimeout((function(){o(a)}))}}:function(e,n,r,o){if((o=o||open("","_blank"))&&(o.document.title=o.document.body.innerText="downloading..."),"string"==typeof e)return t(e,n,r);var s="application/octet-stream"===e.type,l=/constructor/i.test(i.HTMLElement)||i.safari,c=/CriOS\/[\d]+/.test(navigator.userAgent);if((c||s&&l||a)&&"undefined"!=typeof FileReader){var u=new FileReader;u.onloadend=function(){var e=u.result;e=c?e:e.replace(/^data:[^;]*;/,"data:attachment/file;"),o?o.location.href=e:location=e,o=null},u.readAsDataURL(e)}else{var d=i.URL||i.webkitURL,p=d.createObjectURL(e);o?o.location=p:location.href=p,o=null,setTimeout((function(){d.revokeObjectURL(p)}),4e4)}});i.saveAs=s.saveAs=s,e.exports=s})?r.apply(t,[]):r)||(e.exports=o)},8239:(e,t)=>{t.read=function(e,t,n,r,o){var i,a,s=8*o-r-1,l=(1<<s)-1,c=l>>1,u=-7,d=n?o-1:0,p=n?-1:1,f=e[t+d];for(d+=p,i=f&(1<<-u)-1,f>>=-u,u+=s;u>0;i=256*i+e[t+d],d+=p,u-=8);for(a=i&(1<<-u)-1,i>>=-u,u+=r;u>0;a=256*a+e[t+d],d+=p,u-=8);if(0===i)i=1-c;else{if(i===l)return a?NaN:1/0*(f?-1:1);a+=Math.pow(2,r),i-=c}return(f?-1:1)*a*Math.pow(2,i-r)},t.write=function(e,t,n,r,o,i){var a,s,l,c=8*i-o-1,u=(1<<c)-1,d=u>>1,p=23===o?Math.pow(2,-24)-Math.pow(2,-77):0,f=r?0:i-1,h=r?1:-1,m=t<0||0===t&&1/t<0?1:0;for(t=Math.abs(t),isNaN(t)||t===1/0?(s=isNaN(t)?1:0,a=u):(a=Math.floor(Math.log(t)/Math.LN2),t*(l=Math.pow(2,-a))<1&&(a--,l*=2),(t+=a+d>=1?p/l:p*Math.pow(2,1-d))*l>=2&&(a++,l/=2),a+d>=u?(s=0,a=u):a+d>=1?(s=(t*l-1)*Math.pow(2,o),a+=d):(s=t*Math.pow(2,d-1)*Math.pow(2,o),a=0));o>=8;e[n+f]=255&s,f+=h,s/=256,o-=8);for(a=a<<o|s,c+=o;c>0;e[n+f]=255&a,f+=h,a/=256,c-=8);e[n+f-h]|=128*m}},6067:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>P});var r=n(7405),o=n(1705),i=n(4300),a=n(7850),s=n(694),l=n(4452),c=n.n(l),u=n(9273),d=n(4358);var p=n(5959),f=n(8102),h=n(9644);function m(e,t,n){return(e-t)/(n-t)}function g(e,t,n,r){var o=m(t,n,r),i={};switch(e){case"rtl":i.right="".concat(100*o,"%"),i.transform="translateX(50%)";break;case"btt":i.bottom="".concat(100*o,"%"),i.transform="translateY(50%)";break;case"ttb":i.top="".concat(100*o,"%"),i.transform="translateY(-50%)";break;default:i.left="".concat(100*o,"%"),i.transform="translateX(-50%)"}return i}function v(e,t){return Array.isArray(e)?e[t]:e}var b={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=b.F1&&t<=b.F12)return!1;switch(t){case b.ALT:case b.CAPS_LOCK:case b.CONTEXT_MENU:case b.CTRL:case b.DOWN:case b.END:case b.ESC:case b.HOME:case b.INSERT:case b.LEFT:case b.MAC_FF_META:case b.META:case b.NUMLOCK:case b.NUM_CENTER:case b.PAGE_DOWN:case b.PAGE_UP:case b.PAUSE:case b.PRINT_SCREEN:case b.RIGHT:case b.SHIFT:case b.UP:case b.WIN_KEY:case b.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=b.ZERO&&e<=b.NINE)return!0;if(e>=b.NUM_ZERO&&e<=b.NUM_MULTIPLY)return!0;if(e>=b.A&&e<=b.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case b.SPACE:case b.QUESTION_MARK:case b.NUM_PLUS:case b.NUM_MINUS:case b.NUM_PERIOD:case b.NUM_DIVISION:case b.SEMICOLON:case b.DASH:case b.EQUALS:case b.COMMA:case b.PERIOD:case b.SLASH:case b.APOSTROPHE:case b.SINGLE_QUOTE:case b.OPEN_SQUARE_BRACKET:case b.BACKSLASH:case b.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const y=b,A=p.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var E=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete","onFocus","onMouseEnter"];const w=p.forwardRef((function(e,t){var n,i=e.prefixCls,a=e.value,s=e.valueIndex,l=e.onStartMove,u=e.style,d=e.render,m=e.dragging,b=e.onOffsetChange,w=e.onChangeComplete,C=e.onFocus,x=e.onMouseEnter,I=(0,h.A)(e,E),S=p.useContext(A),B=S.min,T=S.max,O=S.direction,R=S.disabled,D=S.keyboard,N=S.range,P=S.tabIndex,L=S.ariaLabelForHandle,M=S.ariaLabelledByForHandle,k=S.ariaValueTextFormatterForHandle,_=S.styles,$=S.classNames,F="".concat(i,"-handle"),U=function(e){R||l(e,s)},z=g(O,a,B,T),G={};null!==s&&(G={tabIndex:R?null:v(P,s),role:"slider","aria-valuemin":B,"aria-valuemax":T,"aria-valuenow":a,"aria-disabled":R,"aria-label":v(L,s),"aria-labelledby":v(M,s),"aria-valuetext":null===(n=v(k,s))||void 0===n?void 0:n(a),"aria-orientation":"ltr"===O||"rtl"===O?"horizontal":"vertical",onMouseDown:U,onTouchStart:U,onFocus:function(e){null==C||C(e,s)},onMouseEnter:function(e){x(e,s)},onKeyDown:function(e){if(!R&&D){var t=null;switch(e.which||e.keyCode){case y.LEFT:t="ltr"===O||"btt"===O?-1:1;break;case y.RIGHT:t="ltr"===O||"btt"===O?1:-1;break;case y.UP:t="ttb"!==O?1:-1;break;case y.DOWN:t="ttb"!==O?-1:1;break;case y.HOME:t="min";break;case y.END:t="max";break;case y.PAGE_UP:t=2;break;case y.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),b(t,s))}},onKeyUp:function(e){switch(e.which||e.keyCode){case y.LEFT:case y.RIGHT:case y.UP:case y.DOWN:case y.HOME:case y.END:case y.PAGE_UP:case y.PAGE_DOWN:null==w||w()}}});var j=p.createElement("div",(0,f.A)({ref:t,className:c()(F,(0,o.A)((0,o.A)({},"".concat(F,"-").concat(s+1),null!==s&&N),"".concat(F,"-dragging"),m),$.handle),style:(0,r.A)((0,r.A)((0,r.A)({},z),u),_.handle)},G,I));return d&&(j=d(j,{index:s,prefixCls:i,value:a,dragging:m})),j}));var C=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","activeHandleRender","draggingIndex","onFocus"];const x=p.forwardRef((function(e,t){var n=e.prefixCls,o=e.style,i=e.onStartMove,s=e.onOffsetChange,l=e.values,c=e.handleRender,u=e.activeHandleRender,d=e.draggingIndex,m=e.onFocus,g=(0,h.A)(e,C),b=p.useRef({});p.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=b.current[e])||void 0===t||t.focus()}}}));var y=p.useState(-1),A=(0,a.A)(y,2),E=A[0],x=A[1],I=(0,r.A)({prefixCls:n,onStartMove:i,onOffsetChange:s,render:c,onFocus:function(e,t){x(t),null==m||m(e)},onMouseEnter:function(e,t){x(t)}},g);return p.createElement(p.Fragment,null,l.map((function(e,t){return p.createElement(w,(0,f.A)({ref:function(e){e?b.current[t]=e:delete b.current[t]},dragging:d===t,style:v(o,t),key:t,value:e,valueIndex:t},I))})),u&&p.createElement(w,(0,f.A)({key:"a11y"},I,{value:l[E],valueIndex:null,dragging:-1!==d,render:u,style:{pointerEvents:"none"},tabIndex:null,"aria-hidden":!0})))})),I=function(e){var t=e.prefixCls,n=e.style,i=e.children,a=e.value,s=e.onClick,l=p.useContext(A),u=l.min,d=l.max,f=l.direction,h=l.includedStart,m=l.includedEnd,v=l.included,b="".concat(t,"-text"),y=g(f,a,u,d);return p.createElement("span",{className:c()(b,(0,o.A)({},"".concat(b,"-active"),v&&h<=a&&a<=m)),style:(0,r.A)((0,r.A)({},y),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){s(a)}},i)},S=function(e){var t=e.prefixCls,n=e.marks,r=e.onClick,o="".concat(t,"-mark");return n.length?p.createElement("div",{className:o},n.map((function(e){var t=e.value,n=e.style,i=e.label;return p.createElement(I,{key:t,prefixCls:o,style:n,value:t,onClick:r},i)}))):null},B=function(e){var t=e.prefixCls,n=e.value,i=e.style,a=e.activeStyle,s=p.useContext(A),l=s.min,u=s.max,d=s.direction,f=s.included,h=s.includedStart,m=s.includedEnd,v="".concat(t,"-dot"),b=f&&h<=n&&n<=m,y=(0,r.A)((0,r.A)({},g(d,n,l,u)),"function"==typeof i?i(n):i);return b&&(y=(0,r.A)((0,r.A)({},y),"function"==typeof a?a(n):a)),p.createElement("span",{className:c()(v,(0,o.A)({},"".concat(v,"-active"),b)),style:y})},T=function(e){var t=e.prefixCls,n=e.marks,r=e.dots,o=e.style,i=e.activeStyle,a=p.useContext(A),s=a.min,l=a.max,c=a.step,u=p.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==c)for(var t=s;t<=l;)e.add(t),t+=c;return Array.from(e)}),[s,l,c,r,n]);return p.createElement("div",{className:"".concat(t,"-step")},u.map((function(e){return p.createElement(B,{prefixCls:t,key:e,value:e,style:o,activeStyle:i})})))},O=function(e){var t=e.prefixCls,n=e.style,i=e.start,a=e.end,s=e.index,l=e.onStartMove,u=e.replaceCls,d=p.useContext(A),f=d.direction,h=d.min,g=d.max,v=d.disabled,b=d.range,y=d.classNames,E="".concat(t,"-track"),w=m(i,h,g),C=m(a,h,g),x=function(e){!v&&l&&l(e,-1)},I={};switch(f){case"rtl":I.right="".concat(100*w,"%"),I.width="".concat(100*C-100*w,"%");break;case"btt":I.bottom="".concat(100*w,"%"),I.height="".concat(100*C-100*w,"%");break;case"ttb":I.top="".concat(100*w,"%"),I.height="".concat(100*C-100*w,"%");break;default:I.left="".concat(100*w,"%"),I.width="".concat(100*C-100*w,"%")}var S=u||c()(E,(0,o.A)((0,o.A)({},"".concat(E,"-").concat(s+1),null!==s&&b),"".concat(t,"-track-draggable"),l),y.track);return p.createElement("div",{className:S,style:(0,r.A)((0,r.A)({},I),n),onMouseDown:x,onTouchStart:x})},R=function(e){var t=e.prefixCls,n=e.style,o=e.values,i=e.startPoint,a=e.onStartMove,s=p.useContext(A),l=s.included,u=s.range,d=s.min,f=s.styles,h=s.classNames,m=p.useMemo((function(){if(!u){if(0===o.length)return[];var e=null!=i?i:d,t=o[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<o.length-1;r+=1)n.push({start:o[r],end:o[r+1]});return n}),[o,u,i,d]);if(!l)return null;var g=h.tracks||f.tracks?p.createElement(O,{index:null,prefixCls:t,start:m[0].start,end:m[m.length-1].end,replaceCls:c()(h.tracks,"".concat(t,"-tracks")),style:f.tracks}):null;return p.createElement(p.Fragment,null,g,m.map((function(e,o){var i=e.start,s=e.end;return p.createElement(O,{index:o,prefixCls:t,style:(0,r.A)((0,r.A)({},v(n,o)),f.track),start:i,end:s,key:o,onStartMove:a})})))};var D=n(291);function N(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}const P=p.forwardRef((function(e,t){var n=e.prefixCls,l=void 0===n?"rc-slider":n,f=e.className,h=e.style,m=e.classNames,g=e.styles,v=e.disabled,b=void 0!==v&&v,y=e.keyboard,E=void 0===y||y,w=e.autoFocus,C=e.onFocus,I=e.onBlur,B=e.min,O=void 0===B?0:B,P=e.max,L=void 0===P?100:P,M=e.step,k=void 0===M?1:M,_=e.value,$=e.defaultValue,F=e.range,U=e.count,z=e.onChange,G=e.onBeforeChange,j=e.onAfterChange,W=e.onChangeComplete,H=e.allowCross,V=void 0===H||H,Y=e.pushable,X=void 0!==Y&&Y,q=e.draggableTrack,Z=e.reverse,K=e.vertical,Q=e.included,J=void 0===Q||Q,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,oe=e.dotStyle,ie=e.activeDotStyle,ae=e.marks,se=e.dots,le=e.handleRender,ce=e.activeHandleRender,ue=e.tabIndex,de=void 0===ue?0:ue,pe=e.ariaLabelForHandle,fe=e.ariaLabelledByForHandle,he=e.ariaValueTextFormatterForHandle,me=p.useRef(null),ge=p.useRef(null),ve=p.useMemo((function(){return K?Z?"ttb":"btt":Z?"rtl":"ltr"}),[Z,K]),be=p.useMemo((function(){return isFinite(O)?O:0}),[O]),ye=p.useMemo((function(){return isFinite(L)?L:100}),[L]),Ae=p.useMemo((function(){return null!==k&&k<=0?1:k}),[k]),Ee=p.useMemo((function(){return"boolean"==typeof X?!!X&&Ae:X>=0&&X}),[X,Ae]),we=p.useMemo((function(){return Object.keys(ae||{}).map((function(e){var t=ae[e],n={value:Number(e)};return t&&"object"===(0,s.A)(t)&&!p.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ae]),Ce=function(e,t,n,r,o,a){var s=p.useCallback((function(n){return Math.max(e,Math.min(t,n))}),[e,t]),l=p.useCallback((function(r){if(null!==n){var o=e+Math.round((s(r)-e)/n)*n,i=function(e){return(String(e).split(".")[1]||"").length},a=Math.max(i(n),i(t),i(e)),l=Number(o.toFixed(a));return e<=l&&l<=t?l:null}return null}),[n,e,t,s]),c=p.useCallback((function(o){var i=s(o),a=r.map((function(e){return e.value}));null!==n&&a.push(l(o)),a.push(e,t);var c=a[0],u=t-e;return a.forEach((function(e){var t=Math.abs(i-e);t<=u&&(c=e,u=t)})),c}),[e,t,r,n,s,l]),u=function o(a,s,c){var u=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof s){var d,p=a[c],f=p+s,h=[];r.forEach((function(e){h.push(e.value)})),h.push(e,t),h.push(l(p));var m=s>0?1:-1;"unit"===u?h.push(l(p+m*n)):h.push(l(f)),h=h.filter((function(e){return null!==e})).filter((function(e){return s<0?e<=p:e>=p})),"unit"===u&&(h=h.filter((function(e){return e!==p})));var g="unit"===u?p:f;d=h[0];var v=Math.abs(d-g);if(h.forEach((function(e){var t=Math.abs(e-g);t<v&&(d=e,v=t)})),void 0===d)return s<0?e:t;if("dist"===u)return d;if(Math.abs(s)>1){var b=(0,i.A)(a);return b[c]=d,o(b,s-m,c,u)}return d}return"min"===s?e:"max"===s?t:void 0},d=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e[n],i=u(e,t,n,r);return{value:i,changed:i!==o}},f=function(e){return null===a&&0===e||"number"==typeof a&&e<a};return[c,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",i=e.map(c),s=i[n],l=u(i,t,n,r);if(i[n]=l,!1===o){var p=a||0;n>0&&i[n-1]!==s&&(i[n]=Math.max(i[n],i[n-1]+p)),n<i.length-1&&i[n+1]!==s&&(i[n]=Math.min(i[n],i[n+1]-p))}else if("number"==typeof a||null===a){for(var h=n+1;h<i.length;h+=1)for(var m=!0;f(i[h]-i[h-1])&&m;){var g=d(i,1,h);i[h]=g.value,m=g.changed}for(var v=n;v>0;v-=1)for(var b=!0;f(i[v]-i[v-1])&&b;){var y=d(i,-1,v-1);i[v-1]=y.value,b=y.changed}for(var A=i.length-1;A>0;A-=1)for(var E=!0;f(i[A]-i[A-1])&&E;){var w=d(i,-1,A-1);i[A-1]=w.value,E=w.changed}for(var C=0;C<i.length-1;C+=1)for(var x=!0;f(i[C+1]-i[C])&&x;){var I=d(i,1,C+1);i[C+1]=I.value,x=I.changed}}return{value:i[n],values:i}}]}(be,ye,Ae,we,V,Ee),xe=(0,a.A)(Ce,2),Ie=xe[0],Se=xe[1],Be=(0,u.A)($,{value:_}),Te=(0,a.A)(Be,2),Oe=Te[0],Re=Te[1],De=p.useMemo((function(){var e=null==Oe?[]:Array.isArray(Oe)?Oe:[Oe],t=(0,a.A)(e,1)[0],n=null===Oe?[]:[void 0===t?be:t];if(F){if(n=(0,i.A)(e),U||void 0===Oe){var r=U>=0?U+1:2;for(n=n.slice(0,r);n.length<r;){var o;n.push(null!==(o=n[n.length-1])&&void 0!==o?o:be)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=Ie(e)})),n}),[Oe,F,be,U,Ie]),Ne=p.useRef(De);Ne.current=De;var Pe=function(e){return F?e:e[0]},Le=function(e){var t=(0,i.A)(e).sort((function(e,t){return e-t}));z&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,a=r.has(t);if((0,d.Ay)(!a,"Warning: There may be circular references"),a)return!1;if(t===o)return!0;if(n&&i>1)return!1;r.add(t);var l=i+1;if(Array.isArray(t)){if(!Array.isArray(o)||t.length!==o.length)return!1;for(var c=0;c<t.length;c++)if(!e(t[c],o[c],l))return!1;return!0}if(t&&o&&"object"===(0,s.A)(t)&&"object"===(0,s.A)(o)){var u=Object.keys(t);return u.length===Object.keys(o).length&&u.every((function(n){return e(t[n],o[n],l)}))}return!1}(e,t)}(t,Ne.current,!0)&&z(Pe(t)),Re(t)},Me=function(){var e=Pe(Ne.current);null==j||j(e),(0,d.Ay)(!j,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==W||W(e)},ke=function(e,t,n,r,o,s,l,c,u){var d=p.useState(null),f=(0,a.A)(d,2),h=f[0],m=f[1],g=p.useState(-1),v=(0,a.A)(g,2),b=v[0],y=v[1],A=p.useState(n),E=(0,a.A)(A,2),w=E[0],C=E[1],x=p.useState(n),I=(0,a.A)(x,2),S=I[0],B=I[1],T=p.useRef(null),O=p.useRef(null);p.useLayoutEffect((function(){-1===b&&C(n)}),[n,b]),p.useEffect((function(){return function(){document.removeEventListener("mousemove",T.current),document.removeEventListener("mouseup",O.current),document.removeEventListener("touchmove",T.current),document.removeEventListener("touchend",O.current)}}),[]);var R=function(e,t){w.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&m(t),C(e),l(e))},P=(0,D._q)((function(e,t){if(-1===e){var n=S[0],a=S[S.length-1],l=r-n,c=o-a,d=t*(o-r);d=Math.max(d,l),d=Math.min(d,c);var p=s(n+d);d=p-n;var f=S.map((function(e){return e+d}));R(f)}else{var h=(o-r)*t,m=(0,i.A)(w);m[e]=S[e];var g=u(m,h,e,"dist");R(g.values,g.value)}})),L=p.useMemo((function(){var e=(0,i.A)(n).sort((function(e,t){return e-t})),t=(0,i.A)(w).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?w:n}),[n,w]);return[b,h,L,function(r,o,i){r.stopPropagation();var a=i||n,s=a[o];y(o),m(s),B(a);var l=N(r),u=l.pageX,d=l.pageY,p=function(n){n.preventDefault();var r,i=N(n),a=i.pageX,s=i.pageY,l=a-u,c=s-d,p=e.current.getBoundingClientRect(),f=p.width,h=p.height;switch(t){case"btt":r=-c/h;break;case"ttb":r=c/h;break;case"rtl":r=-l/f;break;default:r=l/f}P(o,r)},f=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",p),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",p),T.current=null,O.current=null,y(-1),c()};document.addEventListener("mouseup",f),document.addEventListener("mousemove",p),document.addEventListener("touchend",f),document.addEventListener("touchmove",p),T.current=p,O.current=f}]}(ge,ve,De,be,ye,Ie,Le,Me,Se),_e=(0,a.A)(ke,4),$e=_e[0],Fe=_e[1],Ue=_e[2],ze=_e[3],Ge=function(e,t){if(!b){var n=0,r=ye-be;De.forEach((function(t,o){var i=Math.abs(e-t);i<=r&&(r=i,n=o)}));var o,a,s=(0,i.A)(De);s[n]=e,F&&!De.length&&void 0===U&&s.push(e),null==G||G(Pe(s)),Le(s),t&&(null===(o=document.activeElement)||void 0===o||null===(a=o.blur)||void 0===a||a.call(o),me.current.focus(n),ze(t,n,s))}},je=p.useState(null),We=(0,a.A)(je,2),He=We[0],Ve=We[1];p.useEffect((function(){if(null!==He){var e=De.indexOf(He);e>=0&&me.current.focus(e)}Ve(null)}),[He]);var Ye=p.useMemo((function(){return(!q||null!==Ae)&&q}),[q,Ae]),Xe=function(e,t){ze(e,t),null==G||G(Pe(Ne.current))},qe=-1!==$e;p.useEffect((function(){if(!qe){var e=De.lastIndexOf(Fe);me.current.focus(e)}}),[qe]);var Ze=p.useMemo((function(){return(0,i.A)(Ue).sort((function(e,t){return e-t}))}),[Ue]),Ke=p.useMemo((function(){return F?[Ze[0],Ze[Ze.length-1]]:[be,Ze[0]]}),[Ze,F,be]),Qe=(0,a.A)(Ke,2),Je=Qe[0],et=Qe[1];p.useImperativeHandle(t,(function(){return{focus:function(){me.current.focus(0)},blur:function(){var e,t=document.activeElement;null!==(e=ge.current)&&void 0!==e&&e.contains(t)&&(null==t||t.blur())}}})),p.useEffect((function(){w&&me.current.focus(0)}),[]);var tt=p.useMemo((function(){return{min:be,max:ye,direction:ve,disabled:b,keyboard:E,step:Ae,included:J,includedStart:Je,includedEnd:et,range:F,tabIndex:de,ariaLabelForHandle:pe,ariaLabelledByForHandle:fe,ariaValueTextFormatterForHandle:he,styles:g||{},classNames:m||{}}}),[be,ye,ve,b,E,Ae,J,Je,et,F,de,pe,fe,he,g,m]);return p.createElement(A.Provider,{value:tt},p.createElement("div",{ref:ge,className:c()(l,f,(0,o.A)((0,o.A)((0,o.A)((0,o.A)({},"".concat(l,"-disabled"),b),"".concat(l,"-vertical"),K),"".concat(l,"-horizontal"),!K),"".concat(l,"-with-marks"),we.length)),style:h,onMouseDown:function(e){e.preventDefault();var t,n=ge.current.getBoundingClientRect(),r=n.width,o=n.height,i=n.left,a=n.top,s=n.bottom,l=n.right,c=e.clientX,u=e.clientY;switch(ve){case"btt":t=(s-u)/o;break;case"ttb":t=(u-a)/o;break;case"rtl":t=(l-c)/r;break;default:t=(c-i)/r}Ge(Ie(be+t*(ye-be)),e)}},p.createElement("div",{className:c()("".concat(l,"-rail"),null==m?void 0:m.rail),style:(0,r.A)((0,r.A)({},re),null==g?void 0:g.rail)}),p.createElement(R,{prefixCls:l,style:te,values:Ze,startPoint:ee,onStartMove:Ye?Xe:void 0}),p.createElement(T,{prefixCls:l,marks:we,dots:se,style:oe,activeStyle:ie}),p.createElement(x,{ref:me,prefixCls:l,style:ne,values:Ue,draggingIndex:$e,onStartMove:Xe,onOffsetChange:function(e,t){if(!b){var n=Se(De,e,t);null==G||G(Pe(De)),Le(n.values),Ve(n.value)}},onFocus:C,onBlur:I,handleRender:le,activeHandleRender:ce,onChangeComplete:Me}),p.createElement(S,{prefixCls:l,marks:we,onClick:Ge})))}))},3072:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>s,default:()=>dn});var r=n(4452),o=n.n(r),i=n(5959),a=n.n(i);function s(e){var t=e.children,n=e.prefixCls,r=e.id,a=e.overlayInnerStyle,s=e.className,l=e.style;return i.createElement("div",{className:o()("".concat(n,"-content"),s),style:l},i.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:a},"function"==typeof t?t():t))}var l=n(8102),c=n(7405),u=n(9644),d=n(7850),p=n(8398),f=n.n(p),h=n(9370),m=(n(4358),n(9115));const g=i.createContext(null);var v=n(4300),b=n(697),y=[],A="data-rc-order",E="data-rc-priority",w="rc-util-key",C=new Map;function x(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):w}function I(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function S(e){return Array.from((C.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function B(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,h.A)())return null;var n=t.csp,r=t.prepend,o=t.priority,i=void 0===o?0:o,a=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),s="prependQueue"===a,l=document.createElement("style");l.setAttribute(A,a),s&&i&&l.setAttribute(E,"".concat(i)),null!=n&&n.nonce&&(l.nonce=null==n?void 0:n.nonce),l.innerHTML=e;var c=I(t),u=c.firstChild;if(r){if(s){var d=(t.styles||S(c)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(A)))return!1;var t=Number(e.getAttribute(E)||0);return i>=t}));if(d.length)return c.insertBefore(l,d[d.length-1].nextSibling),l}c.insertBefore(l,u)}else c.appendChild(l);return l}function T(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=I(t);return(t.styles||S(n)).find((function(n){return n.getAttribute(x(t))===e}))}function O(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=T(e,t);n&&I(t).removeChild(n)}function R(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=I(n),o=S(r),i=(0,c.A)((0,c.A)({},n),{},{styles:o});!function(e,t){var n=C.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=B("",t),o=r.parentNode;C.set(e,o),e.removeChild(r)}}(r,i);var a,s,l,u=T(t,i);if(u)return null!==(a=i.csp)&&void 0!==a&&a.nonce&&u.nonce!==(null===(s=i.csp)||void 0===s?void 0:s.nonce)&&(u.nonce=null===(l=i.csp)||void 0===l?void 0:l.nonce),u.innerHTML!==e&&(u.innerHTML=e),u;var d=B(e,i);return d.setAttribute(x(i),t),d}var D="rc-util-locker-".concat(Date.now()),N=0;function P(e){var t=!!e,n=i.useState((function(){return N+=1,"".concat(D,"_").concat(N)})),r=(0,d.A)(n,1)[0];(0,b.A)((function(){if(t){var e=(o=document.body,"undefined"!=typeof document&&o&&o instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,o,i=n.style;if(i.position="absolute",i.left="0",i.top="0",i.width="100px",i.height="100px",i.overflow="scroll",e){var a=getComputedStyle(e);i.scrollbarColor=a.scrollbarColor,i.scrollbarWidth=a.scrollbarWidth;var s=getComputedStyle(e,"::-webkit-scrollbar"),l=parseInt(s.width,10),c=parseInt(s.height,10);try{var u=l?"width: ".concat(s.width,";"):"",d=c?"height: ".concat(s.height,";"):"";R("\n#".concat(t,"::-webkit-scrollbar {\n").concat(u,"\n").concat(d,"\n}"),t)}catch(e){console.error(e),r=l,o=c}}document.body.appendChild(n);var p=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,f=e&&o&&!isNaN(o)?o:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),O(t),{width:p,height:f}}(o):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;R("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else O(r);var o;return function(){O(r)}}),[t,r])}var L=!1,M=function(e){return!1!==e&&((0,h.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},k=i.forwardRef((function(e,t){var n=e.open,r=e.autoLock,o=e.getContainer,a=(e.debug,e.autoDestroy),s=void 0===a||a,l=e.children,c=i.useState(n),u=(0,d.A)(c,2),f=u[0],A=u[1],E=f||n;i.useEffect((function(){(s||n)&&A(n)}),[n,s]);var w=i.useState((function(){return M(o)})),C=(0,d.A)(w,2),x=C[0],I=C[1];i.useEffect((function(){var e=M(o);I(null!=e?e:null)}));var S=function(e,t){var n=i.useState((function(){return(0,h.A)()?document.createElement("div"):null})),r=(0,d.A)(n,1)[0],o=i.useRef(!1),a=i.useContext(g),s=i.useState(y),l=(0,d.A)(s,2),c=l[0],u=l[1],p=a||(o.current?void 0:function(e){u((function(t){return[e].concat((0,v.A)(t))}))});function f(){r.parentElement||document.body.appendChild(r),o.current=!0}function m(){var e;null===(e=r.parentElement)||void 0===e||e.removeChild(r),o.current=!1}return(0,b.A)((function(){return e?a?a(f):f():m(),m}),[e]),(0,b.A)((function(){c.length&&(c.forEach((function(e){return e()})),u(y))}),[c]),[r,p]}(E&&!x),B=(0,d.A)(S,2),T=B[0],O=B[1],R=null!=x?x:T;P(r&&n&&(0,h.A)()&&(R===T||R===document.body));var D=null;l&&(0,m.f3)(l)&&t&&(D=l.ref);var N=(0,m.xK)(D,t);if(!E||!(0,h.A)()||void 0===x)return null;var k=!1===R||L,_=l;return t&&(_=i.cloneElement(l,{ref:N})),i.createElement(g.Provider,{value:O},k?_:(0,p.createPortal)(_,R))}));const _=k;var $=n(9555);function F(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return a().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat(F(e)):(0,$.isFragment)(e)&&e.props?n=n.concat(F(e.props.children,t)):n.push(e))})),n}var U=n(694);function z(e){return e instanceof HTMLElement||e instanceof SVGElement}function G(e){var t,n=function(e){return e&&"object"===(0,U.A)(e)&&z(e.nativeElement)?e.nativeElement:z(e)?e:null}(e);return n||(e instanceof a().Component?null===(t=f().findDOMNode)||void 0===t?void 0:t.call(f(),e):null)}var j=i.createContext(null),W=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var o=r[n];e.call(t,o[1],o[0])}},t}()}(),H="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,V=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),Y="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(V):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},X=["top","right","bottom","left","width","height","size","weight"],q="undefined"!=typeof MutationObserver,Z=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e,t){var n=!1,r=!1,o=0;function i(){n&&(n=!1,e()),r&&s()}function a(){Y(i)}function s(){var e=Date.now();if(n){if(e-o<2)return;r=!0}else n=!0,r=!1,setTimeout(a,t);o=e}return s}(this.refresh.bind(this),20)}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){H&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),q?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){H&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;X.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),K=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var o=r[n];Object.defineProperty(e,o,{value:t[o],enumerable:!1,writable:!1,configurable:!0})}return e},Q=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||V},J=oe(0,0,0,0);function ee(e){return parseFloat(e)||0}function te(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+ee(e["border-"+n+"-width"])}),0)}var ne="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof Q(e).SVGGraphicsElement}:function(e){return e instanceof Q(e).SVGElement&&"function"==typeof e.getBBox};function re(e){return H?ne(e)?function(e){var t=e.getBBox();return oe(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return J;var r=Q(e).getComputedStyle(e),o=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var o=r[n],i=e["padding-"+o];t[o]=ee(i)}return t}(r),i=o.left+o.right,a=o.top+o.bottom,s=ee(r.width),l=ee(r.height);if("border-box"===r.boxSizing&&(Math.round(s+i)!==t&&(s-=te(r,"left","right")+i),Math.round(l+a)!==n&&(l-=te(r,"top","bottom")+a)),!function(e){return e===Q(e).document.documentElement}(e)){var c=Math.round(s+i)-t,u=Math.round(l+a)-n;1!==Math.abs(c)&&(s-=c),1!==Math.abs(u)&&(l-=u)}return oe(o.left,o.top,s,l)}(e):J}function oe(e,t,n,r){return{x:e,y:t,width:n,height:r}}var ie=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=oe(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=re(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),ae=function(e,t){var n,r,o,i,a,s,l,c=(r=(n=t).x,o=n.y,i=n.width,a=n.height,s="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,l=Object.create(s.prototype),K(l,{x:r,y:o,width:i,height:a,top:o,right:r+i,bottom:a+o,left:r}),l);K(this,{target:e,contentRect:c})},se=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new W,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof Q(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new ie(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof Q(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new ae(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),le="undefined"!=typeof WeakMap?new WeakMap:new W,ce=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=Z.getInstance(),r=new se(t,n,this);le.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){ce.prototype[e]=function(){var t;return(t=le.get(this))[e].apply(t,arguments)}}));const ue=void 0!==V.ResizeObserver?V.ResizeObserver:ce;var de=new Map,pe=new ue((function(e){e.forEach((function(e){var t,n=e.target;null===(t=de.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function fe(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var he=n(2162);function me(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,he.A)(r.key),r)}}function ge(e,t,n){return t&&me(e.prototype,t),n&&me(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function ve(e,t){return ve=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},ve(e,t)}function be(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&ve(e,t)}function ye(e){return ye=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},ye(e)}function Ae(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Ae=function(){return!!e})()}function Ee(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function we(e){var t=Ae();return function(){var n,r=ye(e);if(t){var o=ye(this).constructor;n=Reflect.construct(r,arguments,o)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,U.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Ee(e)}(this,n)}}var Ce=function(e){be(n,e);var t=we(n);function n(){return fe(this,n),t.apply(this,arguments)}return ge(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);function xe(e,t){var n=e.children,r=e.disabled,o=i.useRef(null),a=i.useRef(null),s=i.useContext(j),l="function"==typeof n,u=l?n(o):n,d=i.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),p=!l&&i.isValidElement(u)&&(0,m.f3)(u),f=p?u.ref:null,h=(0,m.xK)(f,o),g=function(){var e;return G(o.current)||(o.current&&"object"===(0,U.A)(o.current)?G(null===(e=o.current)||void 0===e?void 0:e.nativeElement):null)||G(a.current)};i.useImperativeHandle(t,(function(){return g()}));var v=i.useRef(e);v.current=e;var b=i.useCallback((function(e){var t=v.current,n=t.onResize,r=t.data,o=e.getBoundingClientRect(),i=o.width,a=o.height,l=e.offsetWidth,u=e.offsetHeight,p=Math.floor(i),f=Math.floor(a);if(d.current.width!==p||d.current.height!==f||d.current.offsetWidth!==l||d.current.offsetHeight!==u){var h={width:p,height:f,offsetWidth:l,offsetHeight:u};d.current=h;var m=l===Math.round(i)?i:l,g=u===Math.round(a)?a:u,b=(0,c.A)((0,c.A)({},h),{},{offsetWidth:m,offsetHeight:g});null==s||s(b,e,r),n&&Promise.resolve().then((function(){n(b,e)}))}}),[]);return i.useEffect((function(){var e,t,n=g();return n&&!r&&(e=n,t=b,de.has(e)||(de.set(e,new Set),pe.observe(e)),de.get(e).add(t)),function(){return function(e,t){de.has(e)&&(de.get(e).delete(t),de.get(e).size||(pe.unobserve(e),de.delete(e)))}(n,b)}}),[o.current,r]),i.createElement(Ce,{ref:a},p?i.cloneElement(u,{ref:h}):u)}const Ie=i.forwardRef(xe);function Se(e,t){var n=e.children;return("function"==typeof n?[n]:F(n)).map((function(n,r){var o=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return i.createElement(Ie,(0,l.A)({},e,{key:o,ref:0===r?t:void 0}),n)}))}var Be=i.forwardRef(Se);Be.Collection=function(e){var t=e.children,n=e.onBatchResize,r=i.useRef(0),o=i.useRef([]),a=i.useContext(j),s=i.useCallback((function(e,t,i){r.current+=1;var s=r.current;o.current.push({size:e,element:t,data:i}),Promise.resolve().then((function(){s===r.current&&(null==n||n(o.current),o.current=[])})),null==a||a(e,t,i)}),[n,a]);return i.createElement(j.Provider,{value:s},t)};const Te=Be;function Oe(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function Re(e){return function(e){return Oe(e)instanceof ShadowRoot}(e)?Oe(e):null}var De=n(8728),Ne=0,Pe=(0,c.A)({},i).useId;const Le=Pe?function(e){var t=Pe();return e||t}:function(e){var t=i.useState("ssr-id"),n=(0,d.A)(t,2),r=n[0],o=n[1];return i.useEffect((function(){var e=Ne;Ne+=1,o("rc_unique_".concat(e))}),[]),e||r};var Me=n(1705),ke=i.createContext({}),_e=function(e){be(n,e);var t=we(n);function n(){return fe(this,n),t.apply(this,arguments)}return ge(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);const $e=_e;var Fe=n(291),Ue=n(1773),ze="none",Ge="appear",je="enter",We="leave",He="none",Ve="prepare",Ye="start",Xe="active",qe="end",Ze="prepared";function Ke(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var Qe,Je,et,tt=(Qe=(0,h.A)(),Je="undefined"!=typeof window?window:{},et={animationend:Ke("Animation","AnimationEnd"),transitionend:Ke("Transition","TransitionEnd")},Qe&&("AnimationEvent"in Je||delete et.animationend.animation,"TransitionEvent"in Je||delete et.transitionend.transition),et),nt={};if((0,h.A)()){var rt=document.createElement("div");nt=rt.style}var ot={};function it(e){if(ot[e])return ot[e];var t=tt[e];if(t)for(var n=Object.keys(t),r=n.length,o=0;o<r;o+=1){var i=n[o];if(Object.prototype.hasOwnProperty.call(t,i)&&i in nt)return ot[e]=t[i],ot[e]}return""}var at=it("animationend"),st=it("transitionend"),lt=!(!at||!st),ct=at||"animationend",ut=st||"transitionend";function dt(e,t){return e?"object"===(0,U.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const pt=(0,h.A)()?i.useLayoutEffect:i.useEffect;var ft=function(e){return+setTimeout(e,16)},ht=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(ft=function(e){return window.requestAnimationFrame(e)},ht=function(e){return window.cancelAnimationFrame(e)});var mt=0,gt=new Map;function vt(e){gt.delete(e)}var bt=function(e){var t=mt+=1;return function n(r){if(0===r)vt(t),e();else{var o=ft((function(){n(r-1)}));gt.set(t,o)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};bt.cancel=function(e){var t=gt.get(e);return vt(e),ht(t)};const yt=bt;var At=[Ve,Ye,Xe,qe],Et=[Ve,Ze],wt=!1;function Ct(e){return e===Xe||e===qe}function xt(e,t,n,r){var o,a,s,l,u=r.motionEnter,p=void 0===u||u,f=r.motionAppear,h=void 0===f||f,m=r.motionLeave,g=void 0===m||m,v=r.motionDeadline,b=r.motionLeaveImmediately,y=r.onAppearPrepare,A=r.onEnterPrepare,E=r.onLeavePrepare,w=r.onAppearStart,C=r.onEnterStart,x=r.onLeaveStart,I=r.onAppearActive,S=r.onEnterActive,B=r.onLeaveActive,T=r.onAppearEnd,O=r.onEnterEnd,R=r.onLeaveEnd,D=r.onVisibleChanged,N=(0,Ue.A)(),P=(0,d.A)(N,2),L=P[0],M=P[1],k=(o=ze,a=i.useReducer((function(e){return e+1}),0),s=(0,d.A)(a,2)[1],l=i.useRef(o),[(0,De.A)((function(){return l.current})),(0,De.A)((function(e){l.current="function"==typeof e?e(l.current):e,s()}))]),_=(0,d.A)(k,2),$=_[0],F=_[1],U=(0,Ue.A)(null),z=(0,d.A)(U,2),G=z[0],j=z[1],W=$(),H=(0,i.useRef)(!1),V=(0,i.useRef)(null);function Y(){return n()}var X=(0,i.useRef)(!1);function q(){F(ze),j(null,!0)}var Z=(0,Fe._q)((function(e){var t=$();if(t!==ze){var n=Y();if(!e||e.deadline||e.target===n){var r,o=X.current;t===Ge&&o?r=null==T?void 0:T(n,e):t===je&&o?r=null==O?void 0:O(n,e):t===We&&o&&(r=null==R?void 0:R(n,e)),o&&!1!==r&&q()}}})),K=function(e){var t=(0,i.useRef)();function n(t){t&&(t.removeEventListener(ut,e),t.removeEventListener(ct,e))}return i.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(ut,e),r.addEventListener(ct,e),t.current=r)},n]}(Z),Q=(0,d.A)(K,1)[0],J=function(e){switch(e){case Ge:return(0,Me.A)((0,Me.A)((0,Me.A)({},Ve,y),Ye,w),Xe,I);case je:return(0,Me.A)((0,Me.A)((0,Me.A)({},Ve,A),Ye,C),Xe,S);case We:return(0,Me.A)((0,Me.A)((0,Me.A)({},Ve,E),Ye,x),Xe,B);default:return{}}},ee=i.useMemo((function(){return J(W)}),[W]),te=function(e,t,n){var r=(0,Ue.A)(He),o=(0,d.A)(r,2),a=o[0],s=o[1],l=function(){var e=i.useRef(null);function t(){yt.cancel(e.current)}return i.useEffect((function(){return function(){t()}}),[]),[function n(r){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var i=yt((function(){o<=1?r({isCanceled:function(){return i!==e.current}}):n(r,o-1)}));e.current=i},t]}(),c=(0,d.A)(l,2),u=c[0],p=c[1],f=t?Et:At;return pt((function(){if(a!==He&&a!==qe){var e=f.indexOf(a),t=f[e+1],r=n(a);r===wt?s(t,!0):t&&u((function(e){function n(){e.isCanceled()||s(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,a]),i.useEffect((function(){return function(){p()}}),[]),[function(){s(Ve,!0)},a]}(W,!e,(function(e){if(e===Ve){var t=ee[Ve];return t?t(Y()):wt}var n;return oe in ee&&j((null===(n=ee[oe])||void 0===n?void 0:n.call(ee,Y(),null))||null),oe===Xe&&W!==ze&&(Q(Y()),v>0&&(clearTimeout(V.current),V.current=setTimeout((function(){Z({deadline:!0})}),v))),oe===Ze&&q(),true})),ne=(0,d.A)(te,2),re=ne[0],oe=ne[1],ie=Ct(oe);X.current=ie,pt((function(){M(t);var n,r=H.current;H.current=!0,!r&&t&&h&&(n=Ge),r&&t&&p&&(n=je),(r&&!t&&g||!r&&b&&!t&&g)&&(n=We);var o=J(n);n&&(e||o[Ve])?(F(n),re()):F(ze)}),[t]),(0,i.useEffect)((function(){(W===Ge&&!h||W===je&&!p||W===We&&!g)&&F(ze)}),[h,p,g]),(0,i.useEffect)((function(){return function(){H.current=!1,clearTimeout(V.current)}}),[]);var ae=i.useRef(!1);(0,i.useEffect)((function(){L&&(ae.current=!0),void 0!==L&&W===ze&&((ae.current||L)&&(null==D||D(L)),ae.current=!0)}),[L,W]);var se=G;return ee[Ve]&&oe===Ye&&(se=(0,c.A)({transition:"none"},se)),[W,oe,se,null!=L?L:t]}const It=function(e){var t=e;"object"===(0,U.A)(e)&&(t=e.transitionSupport);var n=i.forwardRef((function(e,n){var r=e.visible,a=void 0===r||r,s=e.removeOnLeave,l=void 0===s||s,u=e.forceRender,p=e.children,f=e.motionName,h=e.leavedClassName,g=e.eventProps,v=function(e,n){return!(!e.motionName||!t||!1===n)}(e,i.useContext(ke).motion),b=(0,i.useRef)(),y=(0,i.useRef)(),A=xt(v,a,(function(){try{return b.current instanceof HTMLElement?b.current:G(y.current)}catch(e){return null}}),e),E=(0,d.A)(A,4),w=E[0],C=E[1],x=E[2],I=E[3],S=i.useRef(I);I&&(S.current=!0);var B,T=i.useCallback((function(e){b.current=e,(0,m.Xf)(n,e)}),[n]),O=(0,c.A)((0,c.A)({},g),{},{visible:a});if(p)if(w===ze)B=I?p((0,c.A)({},O),T):!l&&S.current&&h?p((0,c.A)((0,c.A)({},O),{},{className:h}),T):u||!l&&!h?p((0,c.A)((0,c.A)({},O),{},{style:{display:"none"}}),T):null;else{var R;C===Ve?R="prepare":Ct(C)?R="active":C===Ye&&(R="start");var D=dt(f,"".concat(w,"-").concat(R));B=p((0,c.A)((0,c.A)({},O),{},{className:o()(dt(f,w),(0,Me.A)((0,Me.A)({},D,D&&R),f,"string"==typeof f)),style:x}),T)}else B=null;return i.isValidElement(B)&&(0,m.f3)(B)&&(B.ref||(B=i.cloneElement(B,{ref:T}))),i.createElement($e,{ref:y},B)}));return n.displayName="CSSMotion",n}(lt);var St="add",Bt="keep",Tt="remove",Ot="removed";function Rt(e){var t;return t=e&&"object"===(0,U.A)(e)&&"key"in e?e:{key:e},(0,c.A)((0,c.A)({},t),{},{key:String(t.key)})}function Dt(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(Rt)}var Nt=["component","children","onVisibleChanged","onAllRemoved"],Pt=["status"],Lt=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:It,n=function(e){be(r,e);var n=we(r);function r(){var e;fe(this,r);for(var t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return e=n.call.apply(n,[this].concat(o)),(0,Me.A)(Ee(e),"state",{keyEntities:[]}),(0,Me.A)(Ee(e),"removeKey",(function(t){var n=e.state.keyEntities.map((function(e){return e.key!==t?e:(0,c.A)((0,c.A)({},e),{},{status:Ot})}));return e.setState({keyEntities:n}),n.filter((function(e){return e.status!==Ot})).length})),e}return ge(r,[{key:"render",value:function(){var e=this,n=this.state.keyEntities,r=this.props,o=r.component,a=r.children,s=r.onVisibleChanged,d=r.onAllRemoved,p=(0,u.A)(r,Nt),f=o||i.Fragment,h={};return Lt.forEach((function(e){h[e]=p[e],delete p[e]})),delete p.keys,i.createElement(f,p,n.map((function(n,r){var o=n.status,p=(0,u.A)(n,Pt),f=o===St||o===Bt;return i.createElement(t,(0,l.A)({},h,{key:p.key,visible:f,eventProps:p,onVisibleChanged:function(t){null==s||s(t,{key:p.key}),t||0===e.removeKey(p.key)&&d&&d()}}),(function(e,t){return a((0,c.A)((0,c.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,o=Dt(n),i=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,o=t.length,i=Dt(e),a=Dt(t);i.forEach((function(e){for(var t=!1,i=r;i<o;i+=1){var s=a[i];if(s.key===e.key){r<i&&(n=n.concat(a.slice(r,i).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:St})}))),r=i),n.push((0,c.A)((0,c.A)({},s),{},{status:Bt})),r+=1,t=!0;break}}t||n.push((0,c.A)((0,c.A)({},e),{},{status:Tt}))})),r<o&&(n=n.concat(a.slice(r).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:St})}))));var s={};return n.forEach((function(e){var t=e.key;s[t]=(s[t]||0)+1})),Object.keys(s).filter((function(e){return s[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==Tt}))).forEach((function(t){t.key===e&&(t.status=Bt)}))})),n}(r,o);return{keyEntities:i.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==Ot||e.status!==Tt}))}}}]),r}(i.Component);(0,Me.A)(n,"defaultProps",{component:"div"})}(lt);const Mt=It;function kt(e){var t=e.prefixCls,n=e.align,r=e.arrow,a=e.arrowPos,s=r||{},l=s.className,c=s.content,u=a.x,d=void 0===u?0:u,p=a.y,f=void 0===p?0:p,h=i.useRef();if(!n||!n.points)return null;var m={position:"absolute"};if(!1!==n.autoArrow){var g=n.points[0],v=n.points[1],b=g[0],y=g[1],A=v[0],E=v[1];b!==A&&["t","b"].includes(b)?"t"===b?m.top=0:m.bottom=0:m.top=f,y!==E&&["l","r"].includes(y)?"l"===y?m.left=0:m.right=0:m.left=d}return i.createElement("div",{ref:h,className:o()("".concat(t,"-arrow"),l),style:m},c)}function _t(e){var t=e.prefixCls,n=e.open,r=e.zIndex,a=e.mask,s=e.motion;return a?i.createElement(Mt,(0,l.A)({},s,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return i.createElement("div",{style:{zIndex:r},className:o()("".concat(t,"-mask"),n)})})):null}const $t=i.memo((function(e){return e.children}),(function(e,t){return t.cache}));var Ft=i.forwardRef((function(e,t){var n=e.popup,r=e.className,a=e.prefixCls,s=e.style,u=e.target,p=e.onVisibleChanged,f=e.open,h=e.keepDom,g=e.fresh,v=e.onClick,y=e.mask,A=e.arrow,E=e.arrowPos,w=e.align,C=e.motion,x=e.maskMotion,I=e.forceRender,S=e.getPopupContainer,B=e.autoDestroy,T=e.portal,O=e.zIndex,R=e.onMouseEnter,D=e.onMouseLeave,N=e.onPointerEnter,P=e.ready,L=e.offsetX,M=e.offsetY,k=e.offsetR,_=e.offsetB,$=e.onAlign,F=e.onPrepare,U=e.stretch,z=e.targetWidth,G=e.targetHeight,j="function"==typeof n?n():n,W=f||h,H=(null==S?void 0:S.length)>0,V=i.useState(!S||!H),Y=(0,d.A)(V,2),X=Y[0],q=Y[1];if((0,b.A)((function(){!X&&H&&u&&q(!0)}),[X,H,u]),!X)return null;var Z="auto",K={left:"-1000vw",top:"-1000vh",right:Z,bottom:Z};if(P||!f){var Q,J=w.points,ee=w.dynamicInset||(null===(Q=w._experimental)||void 0===Q?void 0:Q.dynamicInset),te=ee&&"r"===J[0][1],ne=ee&&"b"===J[0][0];te?(K.right=k,K.left=Z):(K.left=L,K.right=Z),ne?(K.bottom=_,K.top=Z):(K.top=M,K.bottom=Z)}var re={};return U&&(U.includes("height")&&G?re.height=G:U.includes("minHeight")&&G&&(re.minHeight=G),U.includes("width")&&z?re.width=z:U.includes("minWidth")&&z&&(re.minWidth=z)),f||(re.pointerEvents="none"),i.createElement(T,{open:I||W,getContainer:S&&function(){return S(u)},autoDestroy:B},i.createElement(_t,{prefixCls:a,open:f,zIndex:O,mask:y,motion:x}),i.createElement(Te,{onResize:$,disabled:!f},(function(e){return i.createElement(Mt,(0,l.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:I,leavedClassName:"".concat(a,"-hidden")},C,{onAppearPrepare:F,onEnterPrepare:F,visible:f,onVisibleChanged:function(e){var t;null==C||null===(t=C.onVisibleChanged)||void 0===t||t.call(C,e),p(e)}}),(function(n,l){var u=n.className,d=n.style,p=o()(a,u,r);return i.createElement("div",{ref:(0,m.K4)(e,t,l),className:p,style:(0,c.A)((0,c.A)((0,c.A)((0,c.A)({"--arrow-x":"".concat(E.x||0,"px"),"--arrow-y":"".concat(E.y||0,"px")},K),re),d),{},{boxSizing:"border-box",zIndex:O},s),onMouseEnter:R,onMouseLeave:D,onPointerEnter:N,onClick:v},A&&i.createElement(kt,{prefixCls:a,arrow:A,arrowPos:E,align:w}),i.createElement($t,{cache:!f&&!g},j))}))})))}));const Ut=Ft,zt=i.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,o=(0,m.f3)(n),a=i.useCallback((function(e){(0,m.Xf)(t,r?r(e):e)}),[r]),s=(0,m.xK)(a,n.ref);return o?i.cloneElement(n,{ref:s}):n})),Gt=i.createContext(null);function jt(e){return e?Array.isArray(e)?e:[e]:[]}function Wt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function Ht(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function Vt(e){return e.ownerDocument.defaultView}function Yt(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var o=Vt(n).getComputedStyle(n);[o.overflowX,o.overflowY,o.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function Xt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function qt(e){return Xt(parseFloat(e),0)}function Zt(e,t){var n=(0,c.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=Vt(e).getComputedStyle(e),r=t.overflow,o=t.overflowClipMargin,i=t.borderTopWidth,a=t.borderBottomWidth,s=t.borderLeftWidth,l=t.borderRightWidth,c=e.getBoundingClientRect(),u=e.offsetHeight,d=e.clientHeight,p=e.offsetWidth,f=e.clientWidth,h=qt(i),m=qt(a),g=qt(s),v=qt(l),b=Xt(Math.round(c.width/p*1e3)/1e3),y=Xt(Math.round(c.height/u*1e3)/1e3),A=(p-f-g-v)*b,E=(u-d-h-m)*y,w=h*y,C=m*y,x=g*b,I=v*b,S=0,B=0;if("clip"===r){var T=qt(o);S=T*b,B=T*y}var O=c.x+x-S,R=c.y+w-B,D=O+c.width+2*S-x-I-A,N=R+c.height+2*B-w-C-E;n.left=Math.max(n.left,O),n.top=Math.max(n.top,R),n.right=Math.min(n.right,D),n.bottom=Math.min(n.bottom,N)}})),n}function Kt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function Qt(e,t){var n=t||[],r=(0,d.A)(n,2),o=r[0],i=r[1];return[Kt(e.width,o),Kt(e.height,i)]}function Jt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function en(e,t){var n,r=t[0],o=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===o?e.x:"r"===o?e.x+e.width:e.x+e.width/2,y:n}}function tn(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var nn=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const rn=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:_,t=i.forwardRef((function(t,n){var r=t.prefixCls,a=void 0===r?"rc-trigger-popup":r,s=t.children,l=t.action,p=void 0===l?"hover":l,f=t.showAction,h=t.hideAction,m=t.popupVisible,g=t.defaultPopupVisible,y=t.onPopupVisibleChange,A=t.afterPopupVisibleChange,E=t.mouseEnterDelay,w=t.mouseLeaveDelay,C=void 0===w?.1:w,x=t.focusDelay,I=t.blurDelay,S=t.mask,B=t.maskClosable,T=void 0===B||B,O=t.getPopupContainer,R=t.forceRender,D=t.autoDestroy,N=t.destroyPopupOnHide,P=t.popup,L=t.popupClassName,M=t.popupStyle,k=t.popupPlacement,_=t.builtinPlacements,$=void 0===_?{}:_,F=t.popupAlign,U=t.zIndex,G=t.stretch,j=t.getPopupClassNameFromAlign,W=t.fresh,H=t.alignPoint,V=t.onPopupClick,Y=t.onPopupAlign,X=t.arrow,q=t.popupMotion,Z=t.maskMotion,K=t.popupTransitionName,Q=t.popupAnimation,J=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,u.A)(t,nn),oe=D||N||!1,ie=i.useState(!1),ae=(0,d.A)(ie,2),se=ae[0],le=ae[1];(0,b.A)((function(){le(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var ce=i.useRef({}),ue=i.useContext(Gt),de=i.useMemo((function(){return{registerSubPopup:function(e,t){ce.current[e]=t,null==ue||ue.registerSubPopup(e,t)}}}),[ue]),pe=Le(),fe=i.useState(null),he=(0,d.A)(fe,2),me=he[0],ge=he[1],ve=i.useRef(null),be=(0,De.A)((function(e){ve.current=e,z(e)&&me!==e&&ge(e),null==ue||ue.registerSubPopup(pe,e)})),ye=i.useState(null),Ae=(0,d.A)(ye,2),Ee=Ae[0],we=Ae[1],Ce=i.useRef(null),xe=(0,De.A)((function(e){z(e)&&Ee!==e&&(we(e),Ce.current=e)})),Ie=i.Children.only(s),Se=(null==Ie?void 0:Ie.props)||{},Be={},Oe=(0,De.A)((function(e){var t,n,r=Ee;return(null==r?void 0:r.contains(e))||(null===(t=Re(r))||void 0===t?void 0:t.host)===e||e===r||(null==me?void 0:me.contains(e))||(null===(n=Re(me))||void 0===n?void 0:n.host)===e||e===me||Object.values(ce.current).some((function(t){return(null==t?void 0:t.contains(e))||e===t}))})),Ne=Ht(a,q,Q,K),Pe=Ht(a,Z,ee,J),Me=i.useState(g||!1),ke=(0,d.A)(Me,2),_e=ke[0],$e=ke[1],Fe=null!=m?m:_e,Ue=(0,De.A)((function(e){void 0===m&&$e(e)}));(0,b.A)((function(){$e(m||!1)}),[m]);var ze=i.useRef(Fe);ze.current=Fe;var Ge=i.useRef([]);Ge.current=[];var je=(0,De.A)((function(e){var t;Ue(e),(null!==(t=Ge.current[Ge.current.length-1])&&void 0!==t?t:Fe)!==e&&(Ge.current.push(e),null==y||y(e))})),We=i.useRef(),He=function(){clearTimeout(We.current)},Ve=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;He(),0===t?je(e):We.current=setTimeout((function(){je(e)}),1e3*t)};i.useEffect((function(){return He}),[]);var Ye=i.useState(!1),Xe=(0,d.A)(Ye,2),qe=Xe[0],Ze=Xe[1];(0,b.A)((function(e){e&&!Fe||Ze(!0)}),[Fe]);var Ke=i.useState(null),Qe=(0,d.A)(Ke,2),Je=Qe[0],et=Qe[1],tt=i.useState([0,0]),nt=(0,d.A)(tt,2),rt=nt[0],ot=nt[1],it=function(e){ot([e.clientX,e.clientY])},at=function(e,t,n,r,o,a,s){var l=i.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:o[r]||{}}),u=(0,d.A)(l,2),p=u[0],f=u[1],h=i.useRef(0),m=i.useMemo((function(){return t?Yt(t):[]}),[t]),g=i.useRef({});e||(g.current={});var v=(0,De.A)((function(){if(t&&n&&e){var i,l,u,p=t,h=p.ownerDocument,v=Vt(p).getComputedStyle(p),b=v.width,y=v.height,A=v.position,E=p.style.left,w=p.style.top,C=p.style.right,x=p.style.bottom,I=p.style.overflow,S=(0,c.A)((0,c.A)({},o[r]),a),B=h.createElement("div");if(null===(i=p.parentElement)||void 0===i||i.appendChild(B),B.style.left="".concat(p.offsetLeft,"px"),B.style.top="".concat(p.offsetTop,"px"),B.style.position=A,B.style.height="".concat(p.offsetHeight,"px"),B.style.width="".concat(p.offsetWidth,"px"),p.style.left="0",p.style.top="0",p.style.right="auto",p.style.bottom="auto",p.style.overflow="hidden",Array.isArray(n))u={x:n[0],y:n[1],width:0,height:0};else{var T=n.getBoundingClientRect();u={x:T.x,y:T.y,width:T.width,height:T.height}}var O=p.getBoundingClientRect(),R=h.documentElement,D=R.clientWidth,N=R.clientHeight,P=R.scrollWidth,L=R.scrollHeight,M=R.scrollTop,k=R.scrollLeft,_=O.height,$=O.width,F=u.height,U=u.width,G={left:0,top:0,right:D,bottom:N},j={left:-k,top:-M,right:P-k,bottom:L-M},W=S.htmlRegion,H="visible",V="visibleFirst";"scroll"!==W&&W!==V&&(W=H);var Y=W===V,X=Zt(j,m),q=Zt(G,m),Z=W===H?q:X,K=Y?q:Z;p.style.left="auto",p.style.top="auto",p.style.right="0",p.style.bottom="0";var Q=p.getBoundingClientRect();p.style.left=E,p.style.top=w,p.style.right=C,p.style.bottom=x,p.style.overflow=I,null===(l=p.parentElement)||void 0===l||l.removeChild(B);var J=Xt(Math.round($/parseFloat(b)*1e3)/1e3),ee=Xt(Math.round(_/parseFloat(y)*1e3)/1e3);if(0===J||0===ee||z(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var o=e.getBoundingClientRect(),i=o.width,a=o.height;if(i||a)return!0}}return!1}(n))return;var te=S.offset,ne=S.targetOffset,re=Qt(O,te),oe=(0,d.A)(re,2),ie=oe[0],ae=oe[1],se=Qt(u,ne),le=(0,d.A)(se,2),ce=le[0],ue=le[1];u.x-=ce,u.y-=ue;var de=S.points||[],pe=(0,d.A)(de,2),fe=pe[0],he=Jt(pe[1]),me=Jt(fe),ge=en(u,he),ve=en(O,me),be=(0,c.A)({},S),ye=ge.x-ve.x+ie,Ae=ge.y-ve.y+ae;function ft(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:Z,r=O.x+e,o=O.y+t,i=r+$,a=o+_,s=Math.max(r,n.left),l=Math.max(o,n.top),c=Math.min(i,n.right),u=Math.min(a,n.bottom);return Math.max(0,(c-s)*(u-l))}var Ee,we,Ce,xe,Ie=ft(ye,Ae),Se=ft(ye,Ae,q),Be=en(u,["t","l"]),Te=en(O,["t","l"]),Oe=en(u,["b","r"]),Re=en(O,["b","r"]),De=S.overflow||{},Ne=De.adjustX,Pe=De.adjustY,Le=De.shiftX,Me=De.shiftY,ke=function(e){return"boolean"==typeof e?e:e>=0};function ht(){Ee=O.y+Ae,we=Ee+_,Ce=O.x+ye,xe=Ce+$}ht();var _e=ke(Pe),$e=me[0]===he[0];if(_e&&"t"===me[0]&&(we>K.bottom||g.current.bt)){var Fe=Ae;$e?Fe-=_-F:Fe=Be.y-Re.y-ae;var Ue=ft(ye,Fe),ze=ft(ye,Fe,q);Ue>Ie||Ue===Ie&&(!Y||ze>=Se)?(g.current.bt=!0,Ae=Fe,ae=-ae,be.points=[tn(me,0),tn(he,0)]):g.current.bt=!1}if(_e&&"b"===me[0]&&(Ee<K.top||g.current.tb)){var Ge=Ae;$e?Ge+=_-F:Ge=Oe.y-Te.y-ae;var je=ft(ye,Ge),We=ft(ye,Ge,q);je>Ie||je===Ie&&(!Y||We>=Se)?(g.current.tb=!0,Ae=Ge,ae=-ae,be.points=[tn(me,0),tn(he,0)]):g.current.tb=!1}var He=ke(Ne),Ve=me[1]===he[1];if(He&&"l"===me[1]&&(xe>K.right||g.current.rl)){var Ye=ye;Ve?Ye-=$-U:Ye=Be.x-Re.x-ie;var Xe=ft(Ye,Ae),qe=ft(Ye,Ae,q);Xe>Ie||Xe===Ie&&(!Y||qe>=Se)?(g.current.rl=!0,ye=Ye,ie=-ie,be.points=[tn(me,1),tn(he,1)]):g.current.rl=!1}if(He&&"r"===me[1]&&(Ce<K.left||g.current.lr)){var Ze=ye;Ve?Ze+=$-U:Ze=Oe.x-Te.x-ie;var Ke=ft(Ze,Ae),Qe=ft(Ze,Ae,q);Ke>Ie||Ke===Ie&&(!Y||Qe>=Se)?(g.current.lr=!0,ye=Ze,ie=-ie,be.points=[tn(me,1),tn(he,1)]):g.current.lr=!1}ht();var Je=!0===Le?0:Le;"number"==typeof Je&&(Ce<q.left&&(ye-=Ce-q.left-ie,u.x+U<q.left+Je&&(ye+=u.x-q.left+U-Je)),xe>q.right&&(ye-=xe-q.right-ie,u.x>q.right-Je&&(ye+=u.x-q.right+Je)));var et=!0===Me?0:Me;"number"==typeof et&&(Ee<q.top&&(Ae-=Ee-q.top-ae,u.y+F<q.top+et&&(Ae+=u.y-q.top+F-et)),we>q.bottom&&(Ae-=we-q.bottom-ae,u.y>q.bottom-et&&(Ae+=u.y-q.bottom+et)));var tt=O.x+ye,nt=tt+$,rt=O.y+Ae,ot=rt+_,it=u.x,at=it+U,st=u.y,lt=st+F,ct=(Math.max(tt,it)+Math.min(nt,at))/2-tt,ut=(Math.max(rt,st)+Math.min(ot,lt))/2-rt;null==s||s(t,be);var dt=Q.right-O.x-(ye+O.width),pt=Q.bottom-O.y-(Ae+O.height);1===J&&(ye=Math.round(ye),dt=Math.round(dt)),1===ee&&(Ae=Math.round(Ae),pt=Math.round(pt)),f({ready:!0,offsetX:ye/J,offsetY:Ae/ee,offsetR:dt/J,offsetB:pt/ee,arrowX:ct/J,arrowY:ut/ee,scaleX:J,scaleY:ee,align:be})}})),y=function(){f((function(e){return(0,c.A)((0,c.A)({},e),{},{ready:!1})}))};return(0,b.A)(y,[r]),(0,b.A)((function(){e||y()}),[e]),[p.ready,p.offsetX,p.offsetY,p.offsetR,p.offsetB,p.arrowX,p.arrowY,p.scaleX,p.scaleY,p.align,function(){h.current+=1;var e=h.current;Promise.resolve().then((function(){h.current===e&&v()}))}]}(Fe,me,H?rt:Ee,k,$,F,Y),st=(0,d.A)(at,11),lt=st[0],ct=st[1],ut=st[2],dt=st[3],pt=st[4],ft=st[5],ht=st[6],mt=st[7],gt=st[8],vt=st[9],bt=st[10],yt=function(e,t,n,r){return i.useMemo((function(){var o=jt(null!=n?n:t),i=jt(null!=r?r:t),a=new Set(o),s=new Set(i);return e&&(a.has("hover")&&(a.delete("hover"),a.add("click")),s.has("hover")&&(s.delete("hover"),s.add("click"))),[a,s]}),[e,t,n,r])}(se,p,f,h),At=(0,d.A)(yt,2),Et=At[0],wt=At[1],Ct=Et.has("click"),xt=wt.has("click")||wt.has("contextMenu"),It=(0,De.A)((function(){qe||bt()}));!function(e,t,n,r,o){(0,b.A)((function(){if(e&&t&&n){var o=n,i=Yt(t),a=Yt(o),s=Vt(o),l=new Set([s].concat((0,v.A)(i),(0,v.A)(a)));function c(){r(),ze.current&&H&&xt&&Ve(!1)}return l.forEach((function(e){e.addEventListener("scroll",c,{passive:!0})})),s.addEventListener("resize",c,{passive:!0}),r(),function(){l.forEach((function(e){e.removeEventListener("scroll",c),s.removeEventListener("resize",c)}))}}}),[e,t,n])}(Fe,Ee,me,It),(0,b.A)((function(){It()}),[rt,k]),(0,b.A)((function(){!Fe||null!=$&&$[k]||It()}),[JSON.stringify(F)]);var St=i.useMemo((function(){var e=function(e,t,n,r){for(var o=n.points,i=Object.keys(e),a=0;a<i.length;a+=1){var s,l=i[a];if(Wt(null===(s=e[l])||void 0===s?void 0:s.points,o,r))return"".concat(t,"-placement-").concat(l)}return""}($,a,vt,H);return o()(e,null==j?void 0:j(vt))}),[vt,j,$,a,H]);i.useImperativeHandle(n,(function(){return{nativeElement:Ce.current,popupElement:ve.current,forceAlign:It}}));var Bt=i.useState(0),Tt=(0,d.A)(Bt,2),Ot=Tt[0],Rt=Tt[1],Dt=i.useState(0),Nt=(0,d.A)(Dt,2),Pt=Nt[0],Lt=Nt[1],Mt=function(){if(G&&Ee){var e=Ee.getBoundingClientRect();Rt(e.width),Lt(e.height)}};function kt(e,t,n,r){Be[e]=function(o){var i;null==r||r(o),Ve(t,n);for(var a=arguments.length,s=new Array(a>1?a-1:0),l=1;l<a;l++)s[l-1]=arguments[l];null===(i=Se[e])||void 0===i||i.call.apply(i,[Se,o].concat(s))}}(0,b.A)((function(){Je&&(bt(),Je(),et(null))}),[Je]),(Ct||xt)&&(Be.onClick=function(e){var t;ze.current&&xt?Ve(!1):!ze.current&&Ct&&(it(e),Ve(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Se.onClick)||void 0===t||t.call.apply(t,[Se,e].concat(r))}),function(e,t,n,r,o,a,s,l){var c=i.useRef(e);c.current=e,i.useEffect((function(){if(t&&r&&(!o||a)){var e=function(e){var t=e.target;c.current&&!s(t)&&l(!1)},i=Vt(r);i.addEventListener("mousedown",e,!0),i.addEventListener("contextmenu",e,!0);var u=Re(n);return u&&(u.addEventListener("mousedown",e,!0),u.addEventListener("contextmenu",e,!0)),function(){i.removeEventListener("mousedown",e,!0),i.removeEventListener("contextmenu",e,!0),u&&(u.removeEventListener("mousedown",e,!0),u.removeEventListener("contextmenu",e,!0))}}}),[t,n,r,o,a])}(Fe,xt,Ee,me,S,T,Oe,Ve);var _t,$t,Ft=Et.has("hover"),qt=wt.has("hover");Ft&&(kt("onMouseEnter",!0,E,(function(e){it(e)})),kt("onPointerEnter",!0,E,(function(e){it(e)})),_t=function(e){(Fe||qe)&&null!=me&&me.contains(e.target)&&Ve(!0,E)},H&&(Be.onMouseMove=function(e){var t;null===(t=Se.onMouseMove)||void 0===t||t.call(Se,e)})),qt&&(kt("onMouseLeave",!1,C),kt("onPointerLeave",!1,C),$t=function(){Ve(!1,C)}),Et.has("focus")&&kt("onFocus",!0,x),wt.has("focus")&&kt("onBlur",!1,I),Et.has("contextMenu")&&(Be.onContextMenu=function(e){var t;ze.current&&wt.has("contextMenu")?Ve(!1):(it(e),Ve(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Se.onContextMenu)||void 0===t||t.call.apply(t,[Se,e].concat(r))}),te&&(Be.className=o()(Se.className,te));var Kt=(0,c.A)((0,c.A)({},Se),Be),rn={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(rn[e]=function(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];null===(t=Kt[e])||void 0===t||t.call.apply(t,[Kt].concat(r)),re[e].apply(re,r)})}));var on=i.cloneElement(Ie,(0,c.A)((0,c.A)({},Kt),rn)),an={x:ft,y:ht},sn=X?(0,c.A)({},!0!==X?X:{}):null;return i.createElement(i.Fragment,null,i.createElement(Te,{disabled:!Fe,ref:xe,onResize:function(){Mt(),It()}},i.createElement(zt,{getTriggerDOMNode:ne},on)),i.createElement(Gt.Provider,{value:de},i.createElement(Ut,{portal:e,ref:be,prefixCls:a,popup:P,className:o()(L,St),style:M,target:Ee,onMouseEnter:_t,onMouseLeave:$t,onPointerEnter:_t,zIndex:U,open:Fe,keepDom:qe,fresh:W,onClick:V,mask:S,motion:Ne,maskMotion:Pe,onVisibleChanged:function(e){Ze(!1),bt(),null==A||A(e)},onPrepare:function(){return new Promise((function(e){Mt(),et((function(){return e}))}))},forceRender:R,autoDestroy:oe,getPopupContainer:O,align:vt,arrow:sn,arrowPos:an,ready:lt,offsetX:ct,offsetY:ut,offsetR:dt,offsetB:pt,onAlign:It,stretch:G,targetWidth:Ot/mt,targetHeight:Pt/gt})))}));return t}(_);var on={shiftX:64,adjustY:1},an={adjustX:1,shiftY:!0},sn=[0,0],ln={left:{points:["cr","cl"],overflow:an,offset:[-4,0],targetOffset:sn},right:{points:["cl","cr"],overflow:an,offset:[4,0],targetOffset:sn},top:{points:["bc","tc"],overflow:on,offset:[0,-4],targetOffset:sn},bottom:{points:["tc","bc"],overflow:on,offset:[0,4],targetOffset:sn},topLeft:{points:["bl","tl"],overflow:on,offset:[0,-4],targetOffset:sn},leftTop:{points:["tr","tl"],overflow:an,offset:[-4,0],targetOffset:sn},topRight:{points:["br","tr"],overflow:on,offset:[0,-4],targetOffset:sn},rightTop:{points:["tl","tr"],overflow:an,offset:[4,0],targetOffset:sn},bottomRight:{points:["tr","br"],overflow:on,offset:[0,4],targetOffset:sn},rightBottom:{points:["bl","br"],overflow:an,offset:[4,0],targetOffset:sn},bottomLeft:{points:["tl","bl"],overflow:on,offset:[0,4],targetOffset:sn},leftBottom:{points:["br","bl"],overflow:an,offset:[-4,0],targetOffset:sn}},cn=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],un=function(e,t){var n=e.overlayClassName,r=e.trigger,o=void 0===r?["hover"]:r,a=e.mouseEnterDelay,d=void 0===a?0:a,p=e.mouseLeaveDelay,f=void 0===p?.1:p,h=e.overlayStyle,m=e.prefixCls,g=void 0===m?"rc-tooltip":m,v=e.children,b=e.onVisibleChange,y=e.afterVisibleChange,A=e.transitionName,E=e.animation,w=e.motion,C=e.placement,x=void 0===C?"right":C,I=e.align,S=void 0===I?{}:I,B=e.destroyTooltipOnHide,T=void 0!==B&&B,O=e.defaultVisible,R=e.getTooltipContainer,D=e.overlayInnerStyle,N=(e.arrowContent,e.overlay),P=e.id,L=e.showArrow,M=void 0===L||L,k=(0,u.A)(e,cn),_=(0,i.useRef)(null);(0,i.useImperativeHandle)(t,(function(){return _.current}));var $=(0,c.A)({},k);return"visible"in e&&($.popupVisible=e.visible),i.createElement(rn,(0,l.A)({popupClassName:n,prefixCls:g,popup:function(){return i.createElement(s,{key:"content",prefixCls:g,id:P,overlayInnerStyle:D},N)},action:o,builtinPlacements:ln,popupPlacement:x,ref:_,popupAlign:S,getPopupContainer:R,onPopupVisibleChange:b,afterPopupVisibleChange:y,popupTransitionName:A,popupAnimation:E,popupMotion:w,defaultPopupVisible:O,autoDestroy:T,mouseLeaveDelay:f,popupStyle:h,mouseEnterDelay:d,arrow:M},$),v)};const dn=(0,i.forwardRef)(un)},9370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},8728:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(5959);function o(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>s,o:()=>a});var r=n(5959),o=(0,n(9370).A)()?r.useLayoutEffect:r.useEffect,i=function(e,t){var n=r.useRef(!0);o((function(){return e(n.current)}),t),o((function(){return n.current=!1,function(){n.current=!0}}),[])},a=function(e,t){i((function(t){if(!t)return e()}),t)};const s=i},9273:(e,t,n)=>{"use strict";n.d(t,{A:()=>l});var r=n(7850),o=n(8728),i=n(697),a=n(1773);function s(e){return void 0!==e}function l(e,t){var n=t||{},l=n.defaultValue,c=n.value,u=n.onChange,d=n.postState,p=(0,a.A)((function(){return s(c)?c:s(l)?"function"==typeof l?l():l:"function"==typeof e?e():e})),f=(0,r.A)(p,2),h=f[0],m=f[1],g=void 0!==c?c:h,v=d?d(g):g,b=(0,o.A)(u),y=(0,a.A)([g]),A=(0,r.A)(y,2),E=A[0],w=A[1];return(0,i.o)((function(){var e=E[0];h!==e&&b(h,e)}),[E]),(0,i.o)((function(){s(c)||m(c)}),[c]),[v,(0,o.A)((function(e,t){m(e,t),w([g],t)}))]}},1773:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(7850),o=n(5959);function i(e){var t=o.useRef(!1),n=o.useState(e),i=(0,r.A)(n,2),a=i[0],s=i[1];return o.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[a,function(e,n){n&&t.current||s(e)}]}},291:(e,t,n)=>{"use strict";n.d(t,{_q:()=>r.A});var r=n(8728);n(9273),n(9115),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys,n(4358)},9115:(e,t,n)=>{"use strict";n.d(t,{K4:()=>s,Xf:()=>a,f3:()=>c,xK:()=>l});var r=n(694),o=n(5959),i=n(9555),a=function(e,t){"function"==typeof e?e(t):"object"===(0,r.A)(e)&&e&&"current"in e&&(e.current=t)},s=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){a(t,e)}))}},l=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return s.apply(void 0,t)},i=t,a=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(l=o.useRef({})).current&&!a(l.current.condition,i)||(l.current.value=r(),l.current.condition=i),l.current.value;var r,i,a,l},c=function(e){var t,n,r=(0,i.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===i.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===i.ForwardRef)};Number(o.version.split(".")[0])},4358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>c});var r={},o=[];function i(e,t){}function a(e,t){}function s(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function l(e,t){s(i,e,t)}l.preMessage=function(e){o.push(e)},l.resetWarned=function(){r={}},l.noteOnce=function(e,t){s(a,e,t)};const c=l},6087:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),o=Symbol.for("react.fragment"),i=Symbol.for("react.strict_mode"),a=Symbol.for("react.profiler"),s=Symbol.for("react.provider"),l=Symbol.for("react.context"),c=Symbol.for("react.server_context"),u=Symbol.for("react.forward_ref"),d=Symbol.for("react.suspense"),p=Symbol.for("react.suspense_list"),f=Symbol.for("react.memo"),h=Symbol.for("react.lazy");Symbol.for("react.offscreen");function m(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case o:case a:case i:case d:case p:return e;default:switch(e=e&&e.$$typeof){case c:case l:case u:case h:case f:case s:return e;default:return t}}case r:return t}}}Symbol.for("react.module.reference"),t.ForwardRef=u,t.isFragment=function(e){return m(e)===o},t.isMemo=function(e){return m(e)===f}},9555:(e,t,n)=>{"use strict";e.exports=n(6087)},9524:(e,t,n)=>{const r=Symbol("SemVer ANY");class o{static get ANY(){return r}constructor(e,t){if(t=i(t),e instanceof o){if(e.loose===!!t.loose)return e;e=e.value}e=e.trim().split(/\s+/).join(" "),c("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===r?this.value="":this.value=this.operator+this.semver.version,c("comp",this)}parse(e){const t=this.options.loose?a[s.COMPARATORLOOSE]:a[s.COMPARATOR],n=e.match(t);if(!n)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==n[1]?n[1]:"","="===this.operator&&(this.operator=""),n[2]?this.semver=new u(n[2],this.options.loose):this.semver=r}toString(){return this.value}test(e){if(c("Comparator.test",e,this.options.loose),this.semver===r||e===r)return!0;if("string"==typeof e)try{e=new u(e,this.options)}catch(e){return!1}return l(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof o))throw new TypeError("a Comparator is required");return""===this.operator?""===this.value||new d(e.value,t).test(this.value):""===e.operator?""===e.value||new d(this.value,t).test(e.semver):!((t=i(t)).includePrerelease&&("<0.0.0-0"===this.value||"<0.0.0-0"===e.value)||!t.includePrerelease&&(this.value.startsWith("<0.0.0")||e.value.startsWith("<0.0.0"))||(!this.operator.startsWith(">")||!e.operator.startsWith(">"))&&(!this.operator.startsWith("<")||!e.operator.startsWith("<"))&&(this.semver.version!==e.semver.version||!this.operator.includes("=")||!e.operator.includes("="))&&!(l(this.semver,"<",e.semver,t)&&this.operator.startsWith(">")&&e.operator.startsWith("<"))&&!(l(this.semver,">",e.semver,t)&&this.operator.startsWith("<")&&e.operator.startsWith(">")))}}e.exports=o;const i=n(7095),{safeRe:a,t:s}=n(6850),l=n(3811),c=n(9796),u=n(7944),d=n(8395)},8395:(e,t,n)=>{class r{constructor(e,t){if(t=i(t),e instanceof r)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new r(e.raw,t);if(e instanceof a)return this.raw=e.value,this.set=[[e]],this.format(),this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e.trim().split(/\s+/).join(" "),this.set=this.raw.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${this.raw}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!g(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&v(e[0])){this.set=[e];break}}this.format()}format(){return this.range=this.set.map((e=>e.join(" ").trim())).join("||").trim(),this.range}toString(){return this.range}parseRange(e){const t=((this.options.includePrerelease&&h)|(this.options.loose&&m))+":"+e,n=o.get(t);if(n)return n;const r=this.options.loose,i=r?c[u.HYPHENRANGELOOSE]:c[u.HYPHENRANGE];e=e.replace(i,O(this.options.includePrerelease)),s("hyphen replace",e),e=e.replace(c[u.COMPARATORTRIM],d),s("comparator trim",e),e=e.replace(c[u.TILDETRIM],p),s("tilde trim",e),e=e.replace(c[u.CARETTRIM],f),s("caret trim",e);let l=e.split(" ").map((e=>y(e,this.options))).join(" ").split(/\s+/).map((e=>T(e,this.options)));r&&(l=l.filter((e=>(s("loose invalid filter",e,this.options),!!e.match(c[u.COMPARATORLOOSE]))))),s("range list",l);const v=new Map,b=l.map((e=>new a(e,this.options)));for(const e of b){if(g(e))return[e];v.set(e.value,e)}v.size>1&&v.has("")&&v.delete("");const A=[...v.values()];return o.set(t,A),A}intersects(e,t){if(!(e instanceof r))throw new TypeError("a Range is required");return this.set.some((n=>b(n,t)&&e.set.some((e=>b(e,t)&&n.every((n=>e.every((e=>n.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new l(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(R(this.set[t],e,this.options))return!0;return!1}}e.exports=r;const o=new(n(1158)),i=n(7095),a=n(9524),s=n(9796),l=n(7944),{safeRe:c,t:u,comparatorTrimReplace:d,tildeTrimReplace:p,caretTrimReplace:f}=n(6850),{FLAG_INCLUDE_PRERELEASE:h,FLAG_LOOSE:m}=n(9630),g=e=>"<0.0.0-0"===e.value,v=e=>""===e.value,b=(e,t)=>{let n=!0;const r=e.slice();let o=r.pop();for(;n&&r.length;)n=r.every((e=>o.intersects(e,t))),o=r.pop();return n},y=(e,t)=>(s("comp",e,t),e=C(e,t),s("caret",e),e=E(e,t),s("tildes",e),e=I(e,t),s("xrange",e),e=B(e,t),s("stars",e),e),A=e=>!e||"x"===e.toLowerCase()||"*"===e,E=(e,t)=>e.trim().split(/\s+/).map((e=>w(e,t))).join(" "),w=(e,t)=>{const n=t.loose?c[u.TILDELOOSE]:c[u.TILDE];return e.replace(n,((t,n,r,o,i)=>{let a;return s("tilde",e,t,n,r,o,i),A(n)?a="":A(r)?a=`>=${n}.0.0 <${+n+1}.0.0-0`:A(o)?a=`>=${n}.${r}.0 <${n}.${+r+1}.0-0`:i?(s("replaceTilde pr",i),a=`>=${n}.${r}.${o}-${i} <${n}.${+r+1}.0-0`):a=`>=${n}.${r}.${o} <${n}.${+r+1}.0-0`,s("tilde return",a),a}))},C=(e,t)=>e.trim().split(/\s+/).map((e=>x(e,t))).join(" "),x=(e,t)=>{s("caret",e,t);const n=t.loose?c[u.CARETLOOSE]:c[u.CARET],r=t.includePrerelease?"-0":"";return e.replace(n,((t,n,o,i,a)=>{let l;return s("caret",e,t,n,o,i,a),A(n)?l="":A(o)?l=`>=${n}.0.0${r} <${+n+1}.0.0-0`:A(i)?l="0"===n?`>=${n}.${o}.0${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.0${r} <${+n+1}.0.0-0`:a?(s("replaceCaret pr",a),l="0"===n?"0"===o?`>=${n}.${o}.${i}-${a} <${n}.${o}.${+i+1}-0`:`>=${n}.${o}.${i}-${a} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${i}-${a} <${+n+1}.0.0-0`):(s("no pr"),l="0"===n?"0"===o?`>=${n}.${o}.${i}${r} <${n}.${o}.${+i+1}-0`:`>=${n}.${o}.${i}${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${i} <${+n+1}.0.0-0`),s("caret return",l),l}))},I=(e,t)=>(s("replaceXRanges",e,t),e.split(/\s+/).map((e=>S(e,t))).join(" ")),S=(e,t)=>{e=e.trim();const n=t.loose?c[u.XRANGELOOSE]:c[u.XRANGE];return e.replace(n,((n,r,o,i,a,l)=>{s("xRange",e,n,r,o,i,a,l);const c=A(o),u=c||A(i),d=u||A(a),p=d;return"="===r&&p&&(r=""),l=t.includePrerelease?"-0":"",c?n=">"===r||"<"===r?"<0.0.0-0":"*":r&&p?(u&&(i=0),a=0,">"===r?(r=">=",u?(o=+o+1,i=0,a=0):(i=+i+1,a=0)):"<="===r&&(r="<",u?o=+o+1:i=+i+1),"<"===r&&(l="-0"),n=`${r+o}.${i}.${a}${l}`):u?n=`>=${o}.0.0${l} <${+o+1}.0.0-0`:d&&(n=`>=${o}.${i}.0${l} <${o}.${+i+1}.0-0`),s("xRange return",n),n}))},B=(e,t)=>(s("replaceStars",e,t),e.trim().replace(c[u.STAR],"")),T=(e,t)=>(s("replaceGTE0",e,t),e.trim().replace(c[t.includePrerelease?u.GTE0PRE:u.GTE0],"")),O=e=>(t,n,r,o,i,a,s,l,c,u,d,p)=>`${n=A(r)?"":A(o)?`>=${r}.0.0${e?"-0":""}`:A(i)?`>=${r}.${o}.0${e?"-0":""}`:a?`>=${n}`:`>=${n}${e?"-0":""}`} ${l=A(c)?"":A(u)?`<${+c+1}.0.0-0`:A(d)?`<${c}.${+u+1}.0-0`:p?`<=${c}.${u}.${d}-${p}`:e?`<${c}.${u}.${+d+1}-0`:`<=${l}`}`.trim(),R=(e,t,n)=>{for(let n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!n.includePrerelease){for(let n=0;n<e.length;n++)if(s(e[n].semver),e[n].semver!==a.ANY&&e[n].semver.prerelease.length>0){const r=e[n].semver;if(r.major===t.major&&r.minor===t.minor&&r.patch===t.patch)return!0}return!1}return!0}},7944:(e,t,n)=>{const r=n(9796),{MAX_LENGTH:o,MAX_SAFE_INTEGER:i}=n(9630),{safeRe:a,t:s}=n(6850),l=n(7095),{compareIdentifiers:c}=n(4031);class u{constructor(e,t){if(t=l(t),e instanceof u){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid version. Must be a string. Got type "${typeof e}".`);if(e.length>o)throw new TypeError(`version is longer than ${o} characters`);r("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const n=e.trim().match(t.loose?a[s.LOOSE]:a[s.FULL]);if(!n)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+n[1],this.minor=+n[2],this.patch=+n[3],this.major>i||this.major<0)throw new TypeError("Invalid major version");if(this.minor>i||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>i||this.patch<0)throw new TypeError("Invalid patch version");n[4]?this.prerelease=n[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<i)return t}return e})):this.prerelease=[],this.build=n[5]?n[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(r("SemVer.compare",this.version,this.options,e),!(e instanceof u)){if("string"==typeof e&&e===this.version)return 0;e=new u(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof u||(e=new u(e,this.options)),c(this.major,e.major)||c(this.minor,e.minor)||c(this.patch,e.patch)}comparePre(e){if(e instanceof u||(e=new u(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const n=this.prerelease[t],o=e.prerelease[t];if(r("prerelease compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return c(n,o)}while(++t)}compareBuild(e){e instanceof u||(e=new u(e,this.options));let t=0;do{const n=this.build[t],o=e.build[t];if(r("build compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return c(n,o)}while(++t)}inc(e,t,n){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t,n);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t,n);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t,n),this.inc("pre",t,n);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t,n),this.inc("pre",t,n);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":{const e=Number(n)?1:0;if(!t&&!1===n)throw new Error("invalid increment argument: identifier is empty");if(0===this.prerelease.length)this.prerelease=[e];else{let r=this.prerelease.length;for(;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);if(-1===r){if(t===this.prerelease.join(".")&&!1===n)throw new Error("invalid increment argument: identifier already exists");this.prerelease.push(e)}}if(t){let r=[t,e];!1===n&&(r=[t]),0===c(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=r):this.prerelease=r}break}default:throw new Error(`invalid increment argument: ${e}`)}return this.raw=this.format(),this.build.length&&(this.raw+=`+${this.build.join(".")}`),this}}e.exports=u},7994:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e.trim().replace(/^[=v]+/,""),t);return n?n.version:null}},3811:(e,t,n)=>{const r=n(6909),o=n(7659),i=n(144),a=n(2077),s=n(599),l=n(7092);e.exports=(e,t,n,c)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e===n;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e!==n;case"":case"=":case"==":return r(e,n,c);case"!=":return o(e,n,c);case">":return i(e,n,c);case">=":return a(e,n,c);case"<":return s(e,n,c);case"<=":return l(e,n,c);default:throw new TypeError(`Invalid operator: ${t}`)}}},5334:(e,t,n)=>{const r=n(7944),o=n(5860),{safeRe:i,t:a}=n(6850);e.exports=(e,t)=>{if(e instanceof r)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let n=null;if((t=t||{}).rtl){const r=t.includePrerelease?i[a.COERCERTLFULL]:i[a.COERCERTL];let o;for(;(o=r.exec(e))&&(!n||n.index+n[0].length!==e.length);)n&&o.index+o[0].length===n.index+n[0].length||(n=o),r.lastIndex=o.index+o[1].length+o[2].length;r.lastIndex=-1}else n=e.match(t.includePrerelease?i[a.COERCEFULL]:i[a.COERCE]);if(null===n)return null;const s=n[2],l=n[3]||"0",c=n[4]||"0",u=t.includePrerelease&&n[5]?`-${n[5]}`:"",d=t.includePrerelease&&n[6]?`+${n[6]}`:"";return o(`${s}.${l}.${c}${u}${d}`,t)}},2801:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>{const o=new r(e,n),i=new r(t,n);return o.compare(i)||o.compareBuild(i)}},7023:(e,t,n)=>{const r=n(5380);e.exports=(e,t)=>r(e,t,!0)},5380:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>new r(e,n).compare(new r(t,n))},660:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,null,!0),o=r(t,null,!0),i=n.compare(o);if(0===i)return null;const a=i>0,s=a?n:o,l=a?o:n,c=!!s.prerelease.length;if(l.prerelease.length&&!c)return l.patch||l.minor?s.patch?"patch":s.minor?"minor":"major":"major";const u=c?"pre":"";return n.major!==o.major?u+"major":n.minor!==o.minor?u+"minor":n.patch!==o.patch?u+"patch":"prerelease"}},6909:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0===r(e,t,n)},144:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>0},2077:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>=0},5955:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n,o,i)=>{"string"==typeof n&&(i=o,o=n,n=void 0);try{return new r(e instanceof r?e.version:e,n).inc(t,o,i).version}catch(e){return null}}},599:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<0},7092:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<=0},2966:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).major},5986:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).minor},7659:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0!==r(e,t,n)},5860:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n=!1)=>{if(e instanceof r)return e;try{return new r(e,t)}catch(e){if(!n)return null;throw e}}},1617:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).patch},9613:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n&&n.prerelease.length?n.prerelease:null}},2862:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(t,e,n)},6033:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(n,e,t)))},1722:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>{try{t=new r(t,n)}catch(e){return!1}return t.test(e)}},603:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(e,n,t)))},7645:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n?n.version:null}},8449:(e,t,n)=>{const r=n(6850),o=n(9630),i=n(7944),a=n(4031),s=n(5860),l=n(7645),c=n(7994),u=n(5955),d=n(660),p=n(2966),f=n(5986),h=n(1617),m=n(9613),g=n(5380),v=n(2862),b=n(7023),y=n(2801),A=n(603),E=n(6033),w=n(144),C=n(599),x=n(6909),I=n(7659),S=n(2077),B=n(7092),T=n(3811),O=n(5334),R=n(9524),D=n(8395),N=n(1722),P=n(651),L=n(7840),M=n(7930),k=n(3489),_=n(7494),$=n(5463),F=n(7871),U=n(4266),z=n(1112),G=n(1465),j=n(9252);e.exports={parse:s,valid:l,clean:c,inc:u,diff:d,major:p,minor:f,patch:h,prerelease:m,compare:g,rcompare:v,compareLoose:b,compareBuild:y,sort:A,rsort:E,gt:w,lt:C,eq:x,neq:I,gte:S,lte:B,cmp:T,coerce:O,Comparator:R,Range:D,satisfies:N,toComparators:P,maxSatisfying:L,minSatisfying:M,minVersion:k,validRange:_,outside:$,gtr:F,ltr:U,intersects:z,simplifyRange:G,subset:j,SemVer:i,re:r.re,src:r.src,tokens:r.t,SEMVER_SPEC_VERSION:o.SEMVER_SPEC_VERSION,RELEASE_TYPES:o.RELEASE_TYPES,compareIdentifiers:a.compareIdentifiers,rcompareIdentifiers:a.rcompareIdentifiers}},9630:e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={MAX_LENGTH:256,MAX_SAFE_COMPONENT_LENGTH:16,MAX_SAFE_BUILD_LENGTH:250,MAX_SAFE_INTEGER:t,RELEASE_TYPES:["major","premajor","minor","preminor","patch","prepatch","prerelease"],SEMVER_SPEC_VERSION:"2.0.0",FLAG_INCLUDE_PRERELEASE:1,FLAG_LOOSE:2}},9796:e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>console.error("SEMVER",...e):()=>{};e.exports=t},4031:e=>{const t=/^[0-9]+$/,n=(e,n)=>{const r=t.test(e),o=t.test(n);return r&&o&&(e=+e,n=+n),e===n?0:r&&!o?-1:o&&!r?1:e<n?-1:1};e.exports={compareIdentifiers:n,rcompareIdentifiers:(e,t)=>n(t,e)}},1158:e=>{e.exports=class{constructor(){this.max=1e3,this.map=new Map}get(e){const t=this.map.get(e);return void 0===t?void 0:(this.map.delete(e),this.map.set(e,t),t)}delete(e){return this.map.delete(e)}set(e,t){if(!this.delete(e)&&void 0!==t){if(this.map.size>=this.max){const e=this.map.keys().next().value;this.delete(e)}this.map.set(e,t)}return this}}},7095:e=>{const t=Object.freeze({loose:!0}),n=Object.freeze({});e.exports=e=>e?"object"!=typeof e?t:e:n},6850:(e,t,n)=>{const{MAX_SAFE_COMPONENT_LENGTH:r,MAX_SAFE_BUILD_LENGTH:o,MAX_LENGTH:i}=n(9630),a=n(9796),s=(t=e.exports={}).re=[],l=t.safeRe=[],c=t.src=[],u=t.t={};let d=0;const p="[a-zA-Z0-9-]",f=[["\\s",1],["\\d",i],[p,o]],h=(e,t,n)=>{const r=(e=>{for(const[t,n]of f)e=e.split(`${t}*`).join(`${t}{0,${n}}`).split(`${t}+`).join(`${t}{1,${n}}`);return e})(t),o=d++;a(e,o,t),u[e]=o,c[o]=t,s[o]=new RegExp(t,n?"g":void 0),l[o]=new RegExp(r,n?"g":void 0)};h("NUMERICIDENTIFIER","0|[1-9]\\d*"),h("NUMERICIDENTIFIERLOOSE","\\d+"),h("NONNUMERICIDENTIFIER",`\\d*[a-zA-Z-]${p}*`),h("MAINVERSION",`(${c[u.NUMERICIDENTIFIER]})\\.(${c[u.NUMERICIDENTIFIER]})\\.(${c[u.NUMERICIDENTIFIER]})`),h("MAINVERSIONLOOSE",`(${c[u.NUMERICIDENTIFIERLOOSE]})\\.(${c[u.NUMERICIDENTIFIERLOOSE]})\\.(${c[u.NUMERICIDENTIFIERLOOSE]})`),h("PRERELEASEIDENTIFIER",`(?:${c[u.NUMERICIDENTIFIER]}|${c[u.NONNUMERICIDENTIFIER]})`),h("PRERELEASEIDENTIFIERLOOSE",`(?:${c[u.NUMERICIDENTIFIERLOOSE]}|${c[u.NONNUMERICIDENTIFIER]})`),h("PRERELEASE",`(?:-(${c[u.PRERELEASEIDENTIFIER]}(?:\\.${c[u.PRERELEASEIDENTIFIER]})*))`),h("PRERELEASELOOSE",`(?:-?(${c[u.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${c[u.PRERELEASEIDENTIFIERLOOSE]})*))`),h("BUILDIDENTIFIER",`${p}+`),h("BUILD",`(?:\\+(${c[u.BUILDIDENTIFIER]}(?:\\.${c[u.BUILDIDENTIFIER]})*))`),h("FULLPLAIN",`v?${c[u.MAINVERSION]}${c[u.PRERELEASE]}?${c[u.BUILD]}?`),h("FULL",`^${c[u.FULLPLAIN]}$`),h("LOOSEPLAIN",`[v=\\s]*${c[u.MAINVERSIONLOOSE]}${c[u.PRERELEASELOOSE]}?${c[u.BUILD]}?`),h("LOOSE",`^${c[u.LOOSEPLAIN]}$`),h("GTLT","((?:<|>)?=?)"),h("XRANGEIDENTIFIERLOOSE",`${c[u.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),h("XRANGEIDENTIFIER",`${c[u.NUMERICIDENTIFIER]}|x|X|\\*`),h("XRANGEPLAIN",`[v=\\s]*(${c[u.XRANGEIDENTIFIER]})(?:\\.(${c[u.XRANGEIDENTIFIER]})(?:\\.(${c[u.XRANGEIDENTIFIER]})(?:${c[u.PRERELEASE]})?${c[u.BUILD]}?)?)?`),h("XRANGEPLAINLOOSE",`[v=\\s]*(${c[u.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[u.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[u.XRANGEIDENTIFIERLOOSE]})(?:${c[u.PRERELEASELOOSE]})?${c[u.BUILD]}?)?)?`),h("XRANGE",`^${c[u.GTLT]}\\s*${c[u.XRANGEPLAIN]}$`),h("XRANGELOOSE",`^${c[u.GTLT]}\\s*${c[u.XRANGEPLAINLOOSE]}$`),h("COERCEPLAIN",`(^|[^\\d])(\\d{1,${r}})(?:\\.(\\d{1,${r}}))?(?:\\.(\\d{1,${r}}))?`),h("COERCE",`${c[u.COERCEPLAIN]}(?:$|[^\\d])`),h("COERCEFULL",c[u.COERCEPLAIN]+`(?:${c[u.PRERELEASE]})?`+`(?:${c[u.BUILD]})?(?:$|[^\\d])`),h("COERCERTL",c[u.COERCE],!0),h("COERCERTLFULL",c[u.COERCEFULL],!0),h("LONETILDE","(?:~>?)"),h("TILDETRIM",`(\\s*)${c[u.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",h("TILDE",`^${c[u.LONETILDE]}${c[u.XRANGEPLAIN]}$`),h("TILDELOOSE",`^${c[u.LONETILDE]}${c[u.XRANGEPLAINLOOSE]}$`),h("LONECARET","(?:\\^)"),h("CARETTRIM",`(\\s*)${c[u.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",h("CARET",`^${c[u.LONECARET]}${c[u.XRANGEPLAIN]}$`),h("CARETLOOSE",`^${c[u.LONECARET]}${c[u.XRANGEPLAINLOOSE]}$`),h("COMPARATORLOOSE",`^${c[u.GTLT]}\\s*(${c[u.LOOSEPLAIN]})$|^$`),h("COMPARATOR",`^${c[u.GTLT]}\\s*(${c[u.FULLPLAIN]})$|^$`),h("COMPARATORTRIM",`(\\s*)${c[u.GTLT]}\\s*(${c[u.LOOSEPLAIN]}|${c[u.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",h("HYPHENRANGE",`^\\s*(${c[u.XRANGEPLAIN]})\\s+-\\s+(${c[u.XRANGEPLAIN]})\\s*$`),h("HYPHENRANGELOOSE",`^\\s*(${c[u.XRANGEPLAINLOOSE]})\\s+-\\s+(${c[u.XRANGEPLAINLOOSE]})\\s*$`),h("STAR","(<|>)?=?\\s*\\*"),h("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),h("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},7871:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,">",n)},1112:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>(e=new r(e,n),t=new r(t,n),e.intersects(t,n))},4266:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,"<",n)},7840:(e,t,n)=>{const r=n(7944),o=n(8395);e.exports=(e,t,n)=>{let i=null,a=null,s=null;try{s=new o(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(i&&-1!==a.compare(e)||(i=e,a=new r(i,n)))})),i}},7930:(e,t,n)=>{const r=n(7944),o=n(8395);e.exports=(e,t,n)=>{let i=null,a=null,s=null;try{s=new o(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(i&&1!==a.compare(e)||(i=e,a=new r(i,n)))})),i}},3489:(e,t,n)=>{const r=n(7944),o=n(8395),i=n(144);e.exports=(e,t)=>{e=new o(e,t);let n=new r("0.0.0");if(e.test(n))return n;if(n=new r("0.0.0-0"),e.test(n))return n;n=null;for(let t=0;t<e.set.length;++t){const o=e.set[t];let a=null;o.forEach((e=>{const t=new r(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":a&&!i(t,a)||(a=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!a||n&&!i(n,a)||(n=a)}return n&&e.test(n)?n:null}},5463:(e,t,n)=>{const r=n(7944),o=n(9524),{ANY:i}=o,a=n(8395),s=n(1722),l=n(144),c=n(599),u=n(7092),d=n(2077);e.exports=(e,t,n,p)=>{let f,h,m,g,v;switch(e=new r(e,p),t=new a(t,p),n){case">":f=l,h=u,m=c,g=">",v=">=";break;case"<":f=c,h=d,m=l,g="<",v="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(s(e,t,p))return!1;for(let n=0;n<t.set.length;++n){const r=t.set[n];let a=null,s=null;if(r.forEach((e=>{e.semver===i&&(e=new o(">=0.0.0")),a=a||e,s=s||e,f(e.semver,a.semver,p)?a=e:m(e.semver,s.semver,p)&&(s=e)})),a.operator===g||a.operator===v)return!1;if((!s.operator||s.operator===g)&&h(e,s.semver))return!1;if(s.operator===v&&m(e,s.semver))return!1}return!0}},1465:(e,t,n)=>{const r=n(1722),o=n(5380);e.exports=(e,t,n)=>{const i=[];let a=null,s=null;const l=e.sort(((e,t)=>o(e,t,n)));for(const e of l)r(e,t,n)?(s=e,a||(a=e)):(s&&i.push([a,s]),s=null,a=null);a&&i.push([a,null]);const c=[];for(const[e,t]of i)e===t?c.push(e):t||e!==l[0]?t?e===l[0]?c.push(`<=${t}`):c.push(`${e} - ${t}`):c.push(`>=${e}`):c.push("*");const u=c.join(" || "),d="string"==typeof t.raw?t.raw:String(t);return u.length<d.length?u:t}},9252:(e,t,n)=>{const r=n(8395),o=n(9524),{ANY:i}=o,a=n(1722),s=n(5380),l=[new o(">=0.0.0-0")],c=[new o(">=0.0.0")],u=(e,t,n)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===i){if(1===t.length&&t[0].semver===i)return!0;e=n.includePrerelease?l:c}if(1===t.length&&t[0].semver===i){if(n.includePrerelease)return!0;t=c}const r=new Set;let o,u,f,h,m,g,v;for(const t of e)">"===t.operator||">="===t.operator?o=d(o,t,n):"<"===t.operator||"<="===t.operator?u=p(u,t,n):r.add(t.semver);if(r.size>1)return null;if(o&&u){if(f=s(o.semver,u.semver,n),f>0)return null;if(0===f&&(">="!==o.operator||"<="!==u.operator))return null}for(const e of r){if(o&&!a(e,String(o),n))return null;if(u&&!a(e,String(u),n))return null;for(const r of t)if(!a(e,String(r),n))return!1;return!0}let b=!(!u||n.includePrerelease||!u.semver.prerelease.length)&&u.semver,y=!(!o||n.includePrerelease||!o.semver.prerelease.length)&&o.semver;b&&1===b.prerelease.length&&"<"===u.operator&&0===b.prerelease[0]&&(b=!1);for(const e of t){if(v=v||">"===e.operator||">="===e.operator,g=g||"<"===e.operator||"<="===e.operator,o)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(h=d(o,e,n),h===e&&h!==o)return!1}else if(">="===o.operator&&!a(o.semver,String(e),n))return!1;if(u)if(b&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===b.major&&e.semver.minor===b.minor&&e.semver.patch===b.patch&&(b=!1),"<"===e.operator||"<="===e.operator){if(m=p(u,e,n),m===e&&m!==u)return!1}else if("<="===u.operator&&!a(u.semver,String(e),n))return!1;if(!e.operator&&(u||o)&&0!==f)return!1}return!(o&&g&&!u&&0!==f||u&&v&&!o&&0!==f||y||b)},d=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r>0?e:r<0||">"===t.operator&&">="===e.operator?t:e},p=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r<0?e:r>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,n={})=>{if(e===t)return!0;e=new r(e,n),t=new r(t,n);let o=!1;e:for(const r of e.set){for(const e of t.set){const t=u(r,e,n);if(o=o||null!==t,t)continue e}if(o)return!1}return!0}},651:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>new r(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},7494:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>{try{return new r(e,t).range||"*"}catch(e){return null}}},5846:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>v});var r=n(5292),o=n.n(r),i=n(9893),a=n.n(i),s=n(9383),l=n.n(s),c=n(6884),u=n.n(c),d=n(9088),p=n.n(d),f=n(7997),h=n.n(f),m=n(3261),g={};g.styleTagTransform=h(),g.setAttributes=u(),g.insert=l().bind(null,"head"),g.domAPI=a(),g.insertStyleElement=p(),o()(m.A,g);const v=m.A&&m.A.locals?m.A.locals:void 0},5292:e=>{"use strict";var t=[];function n(e){for(var n=-1,r=0;r<t.length;r++)if(t[r].identifier===e){n=r;break}return n}function r(e,r){for(var i={},a=[],s=0;s<e.length;s++){var l=e[s],c=r.base?l[0]+r.base:l[0],u=i[c]||0,d="".concat(c," ").concat(u);i[c]=u+1;var p=n(d),f={css:l[1],media:l[2],sourceMap:l[3],supports:l[4],layer:l[5]};if(-1!==p)t[p].references++,t[p].updater(f);else{var h=o(f,r);r.byIndex=s,t.splice(s,0,{identifier:d,updater:h,references:1})}a.push(d)}return a}function o(e,t){var n=t.domAPI(t);return n.update(e),function(t){if(t){if(t.css===e.css&&t.media===e.media&&t.sourceMap===e.sourceMap&&t.supports===e.supports&&t.layer===e.layer)return;n.update(e=t)}else n.remove()}}e.exports=function(e,o){var i=r(e=e||[],o=o||{});return function(e){e=e||[];for(var a=0;a<i.length;a++){var s=n(i[a]);t[s].references--}for(var l=r(e,o),c=0;c<i.length;c++){var u=n(i[c]);0===t[u].references&&(t[u].updater(),t.splice(u,1))}i=l}}},9383:e=>{"use strict";var t={};e.exports=function(e,n){var r=function(e){if(void 0===t[e]){var n=document.querySelector(e);if(window.HTMLIFrameElement&&n instanceof window.HTMLIFrameElement)try{n=n.contentDocument.head}catch(e){n=null}t[e]=n}return t[e]}(e);if(!r)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");r.appendChild(n)}},9088:e=>{"use strict";e.exports=function(e){var t=document.createElement("style");return e.setAttributes(t,e.attributes),e.insert(t,e.options),t}},6884:(e,t,n)=>{"use strict";e.exports=function(e){var t=n.nc;t&&e.setAttribute("nonce",t)}},9893:e=>{"use strict";e.exports=function(e){if("undefined"==typeof document)return{update:function(){},remove:function(){}};var t=e.insertStyleElement(e);return{update:function(n){!function(e,t,n){var r="";n.supports&&(r+="@supports (".concat(n.supports,") {")),n.media&&(r+="@media ".concat(n.media," {"));var o=void 0!==n.layer;o&&(r+="@layer".concat(n.layer.length>0?" ".concat(n.layer):""," {")),r+=n.css,o&&(r+="}"),n.media&&(r+="}"),n.supports&&(r+="}");var i=n.sourceMap;i&&"undefined"!=typeof btoa&&(r+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(i))))," */")),t.styleTagTransform(r,e,t.options)}(t,e,n)},remove:function(){!function(e){if(null===e.parentNode)return!1;e.parentNode.removeChild(e)}(t)}}}},7997:e=>{"use strict";e.exports=function(e,t){if(t.styleSheet)t.styleSheet.cssText=e;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(e))}}},6089:e=>{"use strict";e.exports=t},9089:e=>{"use strict";e.exports=c},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=u},2007:e=>{"use strict";e.exports=n},3241:e=>{"use strict";e.exports=i},5959:e=>{"use strict";e.exports=r},8398:e=>{"use strict";e.exports=a},200:e=>{"use strict";e.exports=l},7694:e=>{"use strict";e.exports=s},1269:e=>{"use strict";e.exports=o},4452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=a(e,i(n)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=a(t,n));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(n=function(){return o}.apply(t,[]))||(e.exports=n)}()},7451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},1705:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(2162);function o(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},8102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},7405:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(1705);function o(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function i(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?o(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):o(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},9644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.includes(r))continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.includes(n)||{}.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}n.d(t,{A:()=>r})},7850:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(6438);function o(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,o,i,a,s=[],l=!0,c=!1;try{if(i=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;l=!1}else for(;!(l=(r=i.call(n)).done)&&(s.push(r.value),s.length!==t);l=!0);}catch(e){c=!0,o=e}finally{try{if(!l&&null!=n.return&&(a=n.return(),Object(a)!==a))return}finally{if(c)throw o}}return s}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},4300:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(7451),o=n(6438);function i(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,o.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},2162:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(694);function o(e){var t=function(e,t){if("object"!=(0,r.A)(e)||!e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var o=n.call(e,"string");if("object"!=(0,r.A)(o))return o;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},6438:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7451);function o(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}}},p={};function f(e){var t=p[e];if(void 0!==t)return t.exports;var n=p[e]={id:e,exports:{}};return d[e].call(n.exports,n,n.exports,f),n.exports}f.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return f.d(t,{a:t}),t},f.d=(e,t)=>{for(var n in t)f.o(t,n)&&!f.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},f.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),f.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),f.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},f.nc=void 0;var h={};return(()=>{"use strict";f.r(h),f.d(h,{plugin:()=>Ol});var e,t,n,r,o,i,a,s=f(7781),l=f(6089),c=f(2007),u=f(5959),d=f.n(u);!function(e){e.JPEG="image/jpeg",e.GIF="image/gif",e.PNG="image/png",e.PDF="application/pdf",e.HEIC="image/heic",e.MP4="video/mp4",e.WEBM="video/webm",e.OGG="audio/ogg",e.MP3="audio/mp3"}(e||(e={})),function(e){e.IMG="img",e.HEIGHT="height",e.WIDTH="width"}(t||(t={})),function(e){e.AUTO="auto",e.ORIGINAL="original",e.CUSTOM="custom"}(n||(n={})),function(e){e.IMAGE="image",e.VIDEO="video",e.AUDIO="audio",e.PDF="pdf"}(r||(r={})),function(e){e.AUTO="auto",e.CRISP_EDGES="crisp-edges",e.PIXELATED="pixelated"}(o||(o={})),function(e){e.AUTOPLAY="autoplay",e.DOWNLOAD="download",e.NAVIGATION="navigation",e.ZOOM="zoom"}(i||(i={})),function(e){e.DEFAULT="default",e.PANPINCH="panpinch"}(a||(a={}));const p={autoPlay:!0,buttons:[],controls:!0,description:"",height:0,heightMode:n.AUTO,heightName:"",infinityPlay:!1,noResultsMessage:"Nothing to display...",scale:o.AUTO,autoPlayInfinity:!1,toolbar:!0,width:0,widthMode:n.AUTO,widthName:"",zoomType:a.DEFAULT,mediaSources:[],pdfToolbar:!0},m={"/":e.JPEG,R:e.GIF,i:e.PNG,J:e.PDF,A:e.HEIC},g=[{value:n.AUTO,label:"Panel",description:"Based on panel size"},{value:n.ORIGINAL,label:"Original"},{value:n.CUSTOM,label:"Custom"}],v=[{value:o.AUTO,label:"Auto"},{value:o.CRISP_EDGES,label:"Crisp Edges",description:"The image is scaled with an algorithm that preserves contrast and edges in the image. Generally intended for images such as pixel art or line drawings, no blurring or color smoothing occurs."},{value:o.PIXELATED,label:"Pixelated",description:'The image is scaled with the "nearest neighbor" or similar algorithm, preserving a "pixelated" look as the image changes in size.'}],b=(r.AUDIO,r.IMAGE,r.PDF,r.VIDEO,[{value:!0,label:"Enabled"},{value:!1,label:"Disabled"}]),y=/^data:(video\/\w+|audio\/\w+|image|application\/\w+)/,A=[{value:r.AUDIO,label:"Audio"},{value:r.IMAGE,label:"Image"},{value:r.PDF,label:"PDF"},{value:r.VIDEO,label:"Video"}],E="data-testid panel audio",w="data-testid panel button-download",C="data-testid panel button-next",x="data-testid panel button-pause",I="data-testid panel button-play",S="data-testid panel button-previous",B="data-testid panel button-zoom",T="data-testid panel button-zoom-pan-pinch-in",O="data-testid panel button-zoom-pan-pinch-out",R="data-testid panel button-zoom-pan-pinch-reset",D="data-testid panel iframe",N="data-testid panel image",P="data-testid panel image-link",L="data-testid panel",M="data-testid panel video",k="data-testid panel warning",_="data-testid media-source-editor",$="data-testid media-source-editor button-add-new",F="data-testid media-source-editor button-remove",U=e=>`data-testid media-source-editor item-header-${e}`,z=e=>`data-testid media-source-editor item-content-${e}`,G="data-testid media-source-editor field-type",j="data-testid media-source-editor field-name",W="data-testid media-source-editor field-type-new",H="data-testid media-source-editor field-name-new",V=[{value:i.AUTOPLAY,label:"Auto Play"},{value:i.DOWNLOAD,label:"Download"},{value:i.NAVIGATION,label:"Navigation"},{value:i.ZOOM,label:"Zoom"}],Y=[{value:a.DEFAULT,label:"Full Screen"},{value:a.PANPINCH,label:"Pan and Pinch"}];f(8891).hp;const X=("function"==typeof TextDecoder&&new TextDecoder,"function"==typeof TextEncoder&&new TextEncoder,Array.prototype.slice.call("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=")),q=((e=>{let t={};e.forEach(((e,n)=>t[e]=n))})(X),String.fromCharCode.bind(String),"function"==typeof Uint8Array.from&&Uint8Array.from.bind(Uint8Array),e=>{if("string"!=typeof e)return!1;const t=e.replace(/\s+/g,"").replace(/={0,2}$/,"");return!/[^\s0-9a-zA-Z\+/]/.test(t)||!/[^\s0-9a-zA-Z\-_]/.test(t)});var Z=f(1269),K=(e=>(e.Count="count",e.Size="size",e))(K||{}),Q=(e=>(e.Linear="linear",e.Log="log",e.Ordinal="ordinal",e.Symlog="symlog",e))(Q||{}),J=(e=>(e.CSV="csv",e.Date="date",e.Distributed="distributed",e.DoubleQuote="doublequote",e.Glob="glob",e.HTML="html",e.JSON="json",e.Lucene="lucene",e.PercentEncode="percentencode",e.Pipe="pipe",e.QueryParam="queryparam",e.Raw="raw",e.Regex="regex",e.SQLString="sqlstring",e.SingleQuote="singlequote",e.Text="text",e.UriEncode="uriencode",e))(J||{});function ee(e){return"function"==typeof e}var te=function(e,t){return te=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])},te(e,t)};function ne(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e}te(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}function re(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function oe(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,o,i=n.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(r=i.next()).done;)a.push(r.value)}catch(e){o={error:e}}finally{try{r&&!r.done&&(n=i.return)&&n.call(i)}finally{if(o)throw o.error}}return a}function ie(e,t,n){if(n||2===arguments.length)for(var r,o=0,i=t.length;o<i;o++)!r&&o in t||(r||(r=Array.prototype.slice.call(t,0,o)),r[o]=t[o]);return e.concat(r||Array.prototype.slice.call(t))}Object.create,Object.create,"function"==typeof SuppressedError&&SuppressedError;var ae,se,le=(ae=function(e){return function(t){e(this),this.message=t?t.length+" errors occurred during unsubscription:\n"+t.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=t}},(se=ae((function(e){Error.call(e),e.stack=(new Error).stack}))).prototype=Object.create(Error.prototype),se.prototype.constructor=se,se);function ce(e,t){if(e){var n=e.indexOf(t);0<=n&&e.splice(n,1)}}var ue=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}return e.prototype.unsubscribe=function(){var e,t,n,r,o;if(!this.closed){this.closed=!0;var i=this._parentage;if(i)if(this._parentage=null,Array.isArray(i))try{for(var a=re(i),s=a.next();!s.done;s=a.next())s.value.remove(this)}catch(t){e={error:t}}finally{try{s&&!s.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}else i.remove(this);var l=this.initialTeardown;if(ee(l))try{l()}catch(e){o=e instanceof le?e.errors:[e]}var c=this._finalizers;if(c){this._finalizers=null;try{for(var u=re(c),d=u.next();!d.done;d=u.next()){var p=d.value;try{de(p)}catch(e){o=null!=o?o:[],e instanceof le?o=ie(ie([],oe(o)),oe(e.errors)):o.push(e)}}}catch(e){n={error:e}}finally{try{d&&!d.done&&(r=u.return)&&r.call(u)}finally{if(n)throw n.error}}}if(o)throw new le(o)}},e.prototype.add=function(t){var n;if(t&&t!==this)if(this.closed)de(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(n=this._finalizers)&&void 0!==n?n:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&ce(t,e)},e.prototype.remove=function(t){var n=this._finalizers;n&&ce(n,t),t instanceof e&&t._removeParent(this)},e.EMPTY=function(){var t=new e;return t.closed=!0,t}(),e}();function de(e){ee(e)?e():e.unsubscribe()}ue.EMPTY;var pe=null,fe=null,he=!1,me=!1,ge={setTimeout:function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];var o=ge.delegate;return(null==o?void 0:o.setTimeout)?o.setTimeout.apply(o,ie([e,t],oe(n))):setTimeout.apply(void 0,ie([e,t],oe(n)))},clearTimeout:function(e){var t=ge.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function ve(){}var be=ye("C",void 0,void 0);function ye(e,t,n){return{kind:e,value:t,error:n}}var Ae=function(e){function t(t){var n,r=e.call(this)||this;return r.isStopped=!1,t?(r.destination=t,((n=t)instanceof ue||n&&"closed"in n&&ee(n.remove)&&ee(n.add)&&ee(n.unsubscribe))&&t.add(r)):r.destination=Be,r}return ne(t,e),t.create=function(e,t,n){return new xe(e,t,n)},t.prototype.next=function(e){this.isStopped?Se(function(e){return ye("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?Se(ye("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?Se(be,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(ue),Ee=Function.prototype.bind;function we(e,t){return Ee.call(e,t)}var Ce=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){Ie(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){Ie(e)}else Ie(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){Ie(e)}},e}(),xe=function(e){function t(t,n,r){var o,i,a=e.call(this)||this;return ee(t)||!t?o={next:null!=t?t:void 0,error:null!=n?n:void 0,complete:null!=r?r:void 0}:a&&me?((i=Object.create(t)).unsubscribe=function(){return a.unsubscribe()},o={next:t.next&&we(t.next,i),error:t.error&&we(t.error,i),complete:t.complete&&we(t.complete,i)}):o=t,a.destination=new Ce(o),a}return ne(t,e),t}(Ae);function Ie(e){he||function(e){ge.setTimeout((function(){if(!pe)throw e;pe(e)}))}(e)}function Se(e,t){var n=fe;n&&ge.setTimeout((function(){return n(e,t)}))}var Be={closed:!0,next:ve,error:function(e){throw e},complete:ve},Te=function(e){function t(t,n,r,o,i,a){var s=e.call(this,t)||this;return s.onFinalize=i,s.shouldUnsubscribe=a,s._next=n?function(e){try{n(e)}catch(e){t.error(e)}}:e.prototype._next,s._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,s._complete=r?function(){try{r()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,s}return ne(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var n=this.closed;e.prototype.unsubscribe.call(this),!n&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(Ae);function Oe(e,t){return n=function(n,r){var o=0;n.subscribe(new Te(r,(function(n){r.next(e.call(t,n,o++))}),void 0,void 0,void 0))},function(e){if(function(e){return ee(null==e?void 0:e.lift)}(e))return e.lift((function(e){try{return n(e,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")};var n}var Re,De=f(3241),Ne=((Re=Ne||{}).CSV="csv",Re.DATE="date",Re.DISTRIBUTED="distributed",Re.DOUBLE_QUOTE="doublequote",Re.GLOB="glob",Re.HTML="html",Re.JSON="json",Re.LUCENE="lucene",Re.PERCENT_ENCODE="percentencode",Re.PIPE="pipe",Re.QUERY_PARAM="queryparam",Re.RAW="raw",Re.REGEX="regex",Re.SQL_STRING="sqlstring",Re.SINGLE_QUOTE="singlequote",Re.TEXT="text",Re.URI_ENCODE="uriencode",Re),Pe=(e=>(e.DASHBOARD="__dashboard",e.FROM="__from",e.TO="__to",e.INTERVAL="__interval",e.INTERVAL_MS="__interval_ms",e.ORG="__org",e.USER="__user",e.RANGE="__range",e.RANGE_MS="__range_ms",e.RANGE_S="__range_s",e.RATE_INTERVAL="__rate_interval",e.RATE_INTERVAL_MS="__rate_interval_ms",e.TIME_FILTER="timeFilter",e._TIME_FILTER="__timeFilter",e.TIMEZONE="__timezone",e))(Pe||{});const Le=Object.values(Pe),Me=(Pe.USER,/\$(\w+)|\[\[(\w+?)(?::(\w+))?\]\]|\${(\w+)(?:\.([^:^\}]+))?(?::([^\}]+))?}/g),{abs:ke,pow:_e}=Math,$e=new Map;function Fe(e,t,n,r){let o=[],i=r.map(s.guessDecimals);for(let a=t;a<n;a++){let t=ke(a),n=(0,s.roundDecimals)(_e(e,a),t);for(let e=0;e<r.length;e++){let l=r[e]*n,c=(l>=0&&a>=0?0:t)+(a>=i[e]?0:i[e]),u=(0,s.roundDecimals)(l,c);o.push(u),$e.set(u,c)}}return o}const Ue=[1,1.5,2,2.5,3,3.5,4,4.5,5,5.5,6,6.5,7,7.5,8,8.5,9,9.5],ze=Fe(10,-16,0,Ue),Ge=Fe(10,0,16,Ue).filter((e=>e%1==0)),je=ze.concat(Ge),We=6e4,He=60*We,Ve=24*He,Ye=365*Ve,Xe=[1,2,4,5,10,20,25,40,50,100,200,250,400,500,1e3,2e3,4e3,5e3,1e4,15e3,2e4,3e4,We,2*We,4*We,5*We,6e5,9e5,20*We,30*We,He,2*He,4*He,6*He,8*He,12*He,18*He,Ve,2*Ve,3*Ve,4*Ve,5*Ve,6*Ve,7*Ve,10*Ve,15*Ve,30*Ve,45*Ve,60*Ve,90*Ve,180*Ve,Ye,2*Ye,3*Ye,4*Ye,5*Ye,6*Ye,7*Ye,8*Ye,9*Ye,10*Ye],qe={id:s.DataTransformerID.heatmap,name:"Create heatmap",description:"Generate heatmap data from source data.",defaultOptions:{},isApplicable:e=>{const{xField:t,yField:n,xs:r,ys:o}=Ze(e);return t||n?s.TransformationApplicabilityLevels.NotPossible:r.length&&o.length?s.TransformationApplicabilityLevels.Applicable:s.TransformationApplicabilityLevels.NotPossible},isApplicableDescription:"The Heatmap transformation requires fields with Heatmap compatible data. No fields with Heatmap data could be found.",operator:(e,t)=>n=>n.pipe((0,Z.map)((n=>{{const r={...e,xBuckets:{...e.xBuckets},yBuckets:{...e.yBuckets}};return r.xBuckets?.value&&(r.xBuckets.value=t.interpolate(r.xBuckets.value)),r.yBuckets?.value&&(r.yBuckets.value=t.interpolate(r.yBuckets.value)),qe.transformer(r,t)(n)}}))),transformer:e=>t=>{const n=function(e,t){const{xField:n,yField:r,xs:o,ys:i}=Ze(e);if(!n||!r)throw"no heatmap fields found";if(!o.length||!i.length)throw"no values found";const a=t.xBuckets??{},l=t.yBuckets??{};if(a.scale?.type===Q.Log)throw"X axis only supports linear buckets";const c=t.yBuckets?.scale??{type:Q.Linear},u=function(e,t,n){let r=e.length,o=n?.xSorted??!1,i=n?.ySorted??!1,a=o?e[0]:1/0,l=i?t[0]:1/0,c=o?e[r-1]:-1/0,u=i?t[r-1]:-1/0,d=n?.yLog;for(let n=0;n<r;n++)o||(a=Math.min(a,e[n]),c=Math.max(c,e[n])),i||(!d||t[n]>0)&&(l=Math.min(l,t[n]),u=Math.max(u,t[n]));let p=n?.xSize??0,f=n?.ySize??0,h=n?.xMode,m=n?.yMode;if((!Number.isFinite(p)||p<=0)&&(h=K.Count,p=20),(!Number.isFinite(f)||f<=0)&&(m=K.Count,f=10),h===K.Count){let e=(c-a)/Math.max(p-1,1),t=n?.xTime?Xe:je,r=t.findIndex((t=>t>e))-1;p=t[Math.max(r,0)]}if(m===K.Count){let e=(u-l)/Math.max(f-1,1),t=n?.yTime?Xe:je,r=t.findIndex((t=>t>e))-1;f=t[Math.max(r,0)]}let g=n?.xCeil?e=>(0,s.incrRoundUp)(e,p):e=>(0,s.incrRoundDn)(e,p),v=n?.yCeil?e=>(0,s.incrRoundUp)(e,f):e=>(0,s.incrRoundDn)(e,f);if(d){f=1/(n?.ySize??1);let e=2===d?Math.log2:Math.log10;v=n?.yCeil?t=>(0,s.incrRoundUp)(e(t),f):t=>(0,s.incrRoundDn)(e(t),f)}let b=g(a),y=g(c),A=v(l),E=v(u),w=Math.round((y-b)/p)+1,C=Math.round((E-A)/f)+1,[x,I,S]=function(e,t,n,r,o,i,a){const s=e*t,l=new Array(s),c=new Array(s),u=new Array(s);for(let e=0,d=0,p=n;e<s;d=++e%t)u[e]=0,c[e]=a?a**(o+d*i):o+d*i,0===d&&e>=t&&(p+=r),l[e]=p;return[l,c,u]}(w,C,b,p,A,f,d);for(let n=0;n<r;n++)d&&t[n]<=0||S[(g(e[n])-b)/p*C+(v(t[n])-A)/f]++;return{x,y:I,count:S}}(o,i,{xSorted:(0,s.isLikelyAscendingVector)(o),xTime:n.type===s.FieldType.time,xMode:a.mode,xSize:a.mode===K.Size?(0,s.durationToMilliseconds)((0,s.parseDuration)(a.value??"")):a.value?+a.value:void 0,yMode:l.mode,ySize:l.value?+l.value:void 0,yLog:c?.type===Q.Log?c?.log:void 0});return{length:u.x.length,name:(0,s.getFieldDisplayName)(r),meta:{type:s.DataFrameType.HeatmapCells},fields:[{name:"xMin",type:n.type,values:u.x,config:n.config},{name:"yMin",type:s.FieldType.number,values:u.y,config:{...r.config,custom:{scaleDistribution:c}}},{name:"Count",type:s.FieldType.number,values:u.count,config:{unit:"short"}}]}}(t,e);return e.keepOriginalData?[n,...t]:[n]}};function Ze(e){let t,n,r=0;for(let t of e)t.fields.find((e=>e.type===s.FieldType.time))&&(r+=t.length);let o=Array(r),i=Array(r),a=0;for(let r of e){const e=r.fields.find((e=>e.type===s.FieldType.time));if(!e)continue;t||(t=e);const l=e.values;for(let t of r.fields)if(t!==e&&t.type===s.FieldType.number){const e=t.values;for(let t=0;t<l.length;t++,a++)o[a]=l[t],i[a]=e[t];n||(n=t)}}return{xField:t,yField:n,xs:o,ys:i}}var Ke=(e=>(e.Name="field.name",e.Value="field.value",e.Label="field.label",e.Ignore="__ignore",e))(Ke||{});s.ReducerID.allValues,s.ReducerID.allValues,s.ReducerID.allValues;function Qe(e){const t=(0,s.anyToNumber)(e);if(!isNaN(t))return t}function Je(e,t){const n=function(e,t){if(e&&t?.length)for(let n=0;n<e.fields.length;n++){const r=e.fields[n];if(t===r.name)return n;if(t===(0,s.getFieldDisplayName)(r,e))return n}}(e,t);return null==n?void 0:e.fields[n]}s.DataTransformerID.configFromData;var et=(e=>(e.JSON="json",e.KeyValues="kvp",e.Auto="auto",e))(et||{});const tt=[{id:et.JSON,name:"JSON",description:"Parse JSON string",parse:e=>JSON.parse(e)},{id:et.KeyValues,name:"Key+value pairs",description:"Look for a=b, c: d values in the line",parse:function(e){const t=[];let n="",r="";const o={};for(let i=0;i<e.length;i++){let a=e[i];a===n&&(n="",a=e[++i]);const s="\\"===a;if(s&&(a=e[++i]),s||n.length)t.push(a);else switch('"'!==a&&"'"!==a||(n=a),a){case":":case"=":t.length&&(r&&(o[r]=""),r=t.join(""),t.length=0);break;case'"':case"'":case" ":case"\n":case"\t":case"\r":case"\n":t.length&&""===r&&(o[t.join("")]="",t.length=0);case",":case";":case"&":case"{":case"}":if(t.length){const e=t.join("");r.length?(o[r]=e,r=""):r=e,t.length=0}break;default:t.push(a),i===e.length-1&&""===r&&t.length&&(o[t.join("")]="",t.length=0)}}return r.length&&(o[r]=t.join("")),o}}],nt={id:et.Auto,name:"Auto",description:"parse new fields automatically",parse:e=>{for(const t of tt)try{const n=t.parse(e);if(null!=n)return n}catch{}}},rt=new s.Registry((()=>[...tt,nt])),ot={id:s.DataTransformerID.extractFields,name:"Extract fields",description:"Parse fields from the contends of another",defaultOptions:{},operator:(e,t)=>n=>n.pipe(Oe((n=>ot.transformer(e,t)(n)))),transformer:e=>t=>t.map((t=>function(e,t){if(!t.source)return e;const n=Je(e,t.source);if(!n)return e;const r=rt.getIfExists(t.format??et.Auto);if(!r)throw new Error("unkonwn extractor");const o=e.length,i=[],a=new Map;for(let e=0;e<o;e++){let s=n.values[e];if((0,De.isString)(s))try{s=r.parse(s)}catch{s={}}if(null!=s){if(t.format===et.JSON&&t.jsonPaths&&t.jsonPaths?.length>0){const e={},n=t.jsonPaths.filter((e=>e.path));n.length>0&&(n.forEach((t=>{const n=t.alias&&t.alias.length>0?t.alias:t.path;e[n]=(0,De.get)(s,t.path)??"Not Found"})),s=e)}for(const[t,n]of Object.entries(s)){let r=a.get(t);null==r&&(r=new Array(o),a.set(t,r),i.push(t)),r[e]=n}}}const l=i.map((e=>{const t=a.get(e);return{name:e,values:t,type:t?(0,s.getFieldTypeFromValue)(t.find((e=>null!=e))):s.FieldType.other,config:{}}}));if(t.keepTime){const t=Je(e,"Time")||Je(e,"time");t&&l.unshift(t)}return t.replace||l.unshift(...e.fields),{...e,fields:l}}(t,e)))},it={id:s.DataTransformerID.joinByLabels,name:"Join by labels",description:"Flatten labeled results into a table joined by labels.",defaultOptions:{},operator:(e,t)=>n=>n.pipe(Oe((n=>it.transformer(e,t)(n)))),transformer:e=>t=>t&&t.length?[at(e,t)]:t};function at(e,t){if(!e.value?.length)return st("No value labele configured");const n=function(e){const t=new Set;for(const n of e)for(const e of n.fields)if(e.labels)for(const n of Object.keys(e.labels))t.add(n);return t}(t);if(n.size<1)return st("No labels in result");if(!n.has(e.value))return st("Value label not found");let r=e.join?.length?e.join:Array.from(n);r=r.filter((t=>t!==e.value));const o=new Set,i=new Map,a={};for(const n of t)for(const t of n.fields)if(t.labels&&t.type!==s.FieldType.time){const n=r.map((e=>t.labels[e])),s=n.join(",");let l=i.get(s);l||(l={keys:n,values:{}},i.set(s,l));const c=t.labels[e.value],u=t.values,d=l.values[c];l.values[c]=d?d.concat(u):u,a[c]||(a[c]=t),o.add(c)}const l=Array.from(o),c=r.map((()=>[])),u=l.map((()=>[]));for(const e of i.values()){let t=-1,n=!1;for(;!n;){t++,n=!0;for(let t=0;t<r.length;t++)c[t].push(e.keys[t]);for(let r=0;r<l.length;r++){const o=l[r],i=e.values[o]??[];u[r].push(i[t]),i.length>t+1&&(n=!1)}}}const d={fields:[],length:u[0].length};for(let e=0;e<r.length;e++)d.fields.push({name:r[e],config:{},type:s.FieldType.string,values:c[e]});for(let e=0;e<l.length;e++){const t=a[l[e]];d.fields.push({name:l[e],config:{},type:t.type??s.FieldType.number,values:u[e]})}return d}function st(e){return{meta:{notices:[{severity:"error",text:e}]},fields:[{name:"Error",type:s.FieldType.string,config:{},values:[e]}],length:0}}const lt=(e,t,n=[])=>(0===t?n.push(e):e.forEach((e=>{lt(e,t-1,n)})),n),ct=s.standardTransformers.noopTransformer,ut={asLabels:!0,append:!1,withNames:!1,separator1:"=",separator2:" "},dt={id:s.DataTransformerID.partitionByValues,name:"Partition by values",description:"Splits a one-frame dataset into multiple series discriminated by unique/enum values in one or more fields.",defaultOptions:{},operator:(e,t)=>n=>n.pipe((0,Z.map)((n=>dt.transformer(e,t)(n)))),transformer:(e,t)=>{const n=((e,t,n)=>{if(!t)return;const{names:r,pattern:o,variable:i}=t;return Array.isArray(r)&&0!==r.length||o?o?Array.isArray(r)&&0!==r.length?{id:s.FieldMatcherID.byRegexpOrNames,options:t}:{id:s.FieldMatcherID.byRegexp,options:o}:{id:s.FieldMatcherID.byNames,options:{names:r}}:void 0})(0,{names:e.fields});if(!n)return ct.transformer({},t);const r=(0,s.getFieldMatcher)(n);return t=>t.length?pt(t[0],r,e):t}};function pt(e,t,n){const r=e.fields.filter((n=>t(n,e,[e])));if(!r.length)return[e];const o=r.map((e=>e.values)),i=r.map((e=>e.name)),a={...ut,...n?.naming};return function(e){const t=e[0].length,n=e.length,r=new Map;for(let o=0;o<t;o++){let t=r;for(let r=0;r<n;r++){let i=e[r][o],a=t.get(i);null==a&&(a=r===n-1?[]:new Map,t.set(i,a)),t=a}t.push(o)}return lt(r,n)}(o).map((t=>{let s=e.name,l={};if(a.asLabels)l=function(e,t){const n={};return e.forEach(((e,r)=>{n[e]=String(t[r])})),n}(i,r.map(((e,n)=>o[n][t[0]])));else{let n=function(e,t,n){return t.map(((t,r)=>e.withNames?`${t}${e.separator1}${n[r]}`:n[r])).join(e.separator2)}(a,i,r.map(((e,n)=>o[n][t[0]])));a?.append&&e.name&&(n=`${e.name} ${n}`),s=n}let c=e.fields;if(!n?.keepFields){const t=new Set(i);c=e.fields.filter((e=>!t.has(e.name)))}return{name:s,meta:e.meta,length:t.length,fields:c.map((e=>{const n=e.values,r=Array(t.length);for(let e=0;e<t.length;e++)r[e]=n[t[e]];return{name:e.name,type:e.type,config:e.config,labels:{...e.labels,...l},values:r}}))}}))}function ft(e){if(!Array.isArray(e)||0===e.length)return e;const t=[];for(const n of ht(e)){const e=n.fields[0];if(!e||e.type!==s.FieldType.time)continue;const r=[],o=[];for(const e of n.fields)switch(e.type){case s.FieldType.number:case s.FieldType.boolean:r.push(e);break;case s.FieldType.string:o.push(e)}for(const i of r)if(o.length){const r=new Map;for(let t=0;t<n.length;t++){const n=e.values[t],a=i.values[t];if(void 0===a||null==n)continue;const s=o.map((e=>e.values[t])).join("/");let l=r.get(s);if(!l){l={key:s,time:[],value:[],labels:{}};for(const e of o)l.labels[e.name]=e.values[t];r.set(s,l)}l.time.push(n),l.value.push(a)}for(const o of r.values())t.push({name:n.name,refId:n.refId,meta:{...n.meta,type:s.DataFrameType.TimeSeriesMulti},fields:[{...e,values:o.time},{...i,values:o.value,labels:o.labels}],length:o.time.length})}else t.push({name:n.name,refId:n.refId,meta:{...n.meta,type:s.DataFrameType.TimeSeriesMulti},fields:[e,i],length:n.length})}return t}function ht(e){if(!Array.isArray(e)||0===e.length)return e;const t=[];for(const n of e){let e;const r=[],o={},i={},a={},l={};for(let t=0;t<n.fields.length;t++){const c=n.fields[t];switch(c.type){case s.FieldType.string:case s.FieldType.boolean:c.name in l||(l[c.name]=t,i[c.name]=!0);break;case s.FieldType.time:if(!e){e=c;break}default:if(c.name in o){const e=o[c.name];if(c.type!==e)continue}else o[c.name]=c.type,r.push(c.name);const n=JSON.stringify(c.labels),u=a[n];if(void 0!==u?u.push(t):a[n]=[t],null!=c.labels)for(const e in c.labels)i[e]=!0}}if(!e)continue;const c=[],u=[],d=[],p=[];for(let t=0;t<n.length;t++)c.push({time:e.values[t],wideRowIndex:t});for(const e in a)u.push(e);for(const e in i)d.push(e);for(const e in l)p.push(e);c.sort(((e,t)=>e.time-t.time)),u.sort(),d.sort(),r.sort();const f=new s.MutableDataFrame({...n,meta:{...n.meta,type:s.DataFrameType.TimeSeriesLong},fields:[{name:e.name,type:e.type}]});for(const e of r)f.addField({name:e,type:o[e]});for(const e of d)f.addField({name:e,type:s.FieldType.string});for(const t of c){const{time:r,wideRowIndex:o}=t;for(const t of u){const i={};for(const e of p)i[e]=n.fields[l[e]].values[o];let s=0;for(const e of a[t]){const t=n.fields[e];if(0==s++&&null!=t.labels)for(const e in t.labels)i[e]=t.labels[e];i[t.name]=t.values[o]}i[e.name]=r,f.add(i)}}t.push(f)}return t}function mt(e){return pt(e,(e=>e.type===s.FieldType.string)).map((e=>(e.meta||(e.meta={}),e.meta.type=s.DataFrameType.TimeSeriesMulti,e)))}const gt={id:s.DataTransformerID.prepareTimeSeries,name:"Prepare time series",description:"Will stretch data frames from the wide format into the long format. This is really helpful to be able to keep backwards compatibility for panels not supporting the new wide format.",defaultOptions:{},operator:(e,t)=>n=>n.pipe(Oe((n=>gt.transformer(e,t)(n)))),transformer:e=>{const t=e?.format??"wide";if("many"===t||"multi"===t)return ft;if("long"===t)return ht;const n=s.fieldMatchers.get(s.FieldMatcherID.firstTimeField).get({});return e=>{if(!e.length)return[];const t=[];for(const n of e)n.meta?.type===s.DataFrameType.TimeSeriesLong?mt(n).forEach((e=>t.push(e))):t.push(n);const r=(0,s.outerJoinDataFrames)({frames:t,joinBy:n,keepOriginIndices:!0});return r?(r.meta||(r.meta={}),r.meta.type=s.DataFrameType.TimeSeriesWide,[r]):[]}}};s.DataTransformerID.rowsToFields,s.DataTransformerID.timeSeriesTable;const vt=(e,t)=>{for(let n=0;n<e.length;n+=1){const r=e[n],o=r.fields.find((e=>t(e,r)));if(o)return o}};let bt={};const yt=new s.Registry((()=>[{id:J.Lucene,name:"Lucene",description:"Values are lucene escaped and multi-valued variables generate an OR expression",formatter:e=>"string"==typeof e?At(e):Array.isArray(e)?0===e.length?"__empty__":"("+(0,De.map)(e,(e=>'"'+At(e)+'"')).join(" OR ")+")":At(`${e}`)},{id:J.Raw,name:"raw",description:"Keep value as is",formatter:e=>String(e)},{id:J.Regex,name:"Regex",description:"Values are regex escaped and multi-valued variables generate a (<value>|<value>) expression",formatter:e=>{if("string"==typeof e)return(0,s.escapeRegex)(e);if(Array.isArray(e)){const t=e.map((e=>(0,s.escapeRegex)("string"==typeof e?e:String(e))));return 1===t.length?t[0]:"("+t.join("|")+")"}return(0,s.escapeRegex)(`${e}`)}},{id:J.Pipe,name:"Pipe",description:"Values are separated by | character",formatter:e=>"string"==typeof e?e:Array.isArray(e)?e.join("|"):`${e}`},{id:J.Distributed,name:"Distributed",description:"Multiple values are formatted like variable=value",formatter:(e,t,n)=>"string"==typeof e?e:Array.isArray(e)?(e=(0,De.map)(e,((e,t)=>0!==t?n.state.name+"="+e:e))).join(","):`${e}`},{id:J.CSV,name:"Csv",description:"Comma-separated values",formatter:e=>"string"==typeof e?e:(0,De.isArray)(e)?e.join(","):String(e)},{id:J.HTML,name:"HTML",description:"HTML escaping of values",formatter:e=>"string"==typeof e?s.textUtil.escapeHtml(e):(0,De.isArray)(e)?s.textUtil.escapeHtml(e.join(", ")):s.textUtil.escapeHtml(String(e))},{id:J.JSON,name:"JSON",description:"JSON stringify value",formatter:e=>"string"==typeof e?e:JSON.stringify(e)},{id:J.PercentEncode,name:"Percent encode",description:"Useful for URL escaping values",formatter:e=>(0,De.isArray)(e)?Et("{"+e.join(",")+"}"):Et(e)},{id:J.SingleQuote,name:"Single quote",description:"Single quoted values",formatter:e=>{const t=new RegExp("'","g");if((0,De.isArray)(e))return(0,De.map)(e,(e=>`'${(0,De.replace)(e,t,"\\'")}'`)).join(",");let n="string"==typeof e?e:String(e);return`'${(0,De.replace)(n,t,"\\'")}'`}},{id:J.DoubleQuote,name:"Double quote",description:"Double quoted values",formatter:e=>{const t=new RegExp('"',"g");if((0,De.isArray)(e))return(0,De.map)(e,(e=>`"${(0,De.replace)(e,t,'\\"')}"`)).join(",");let n="string"==typeof e?e:String(e);return`"${(0,De.replace)(n,t,'\\"')}"`}},{id:J.SQLString,name:"SQL string",description:"SQL string quoting and commas for use in IN statements and other scenarios",formatter:St},{id:J.Date,name:"Date",description:"Format date in different ways",formatter:(e,t)=>{let n=NaN;if("number"==typeof e?n=e:"string"==typeof e&&(n=parseInt(e,10)),isNaN(n))return"NaN";const r=t[0]??"iso";switch(r){case"ms":return String(e);case"seconds":return`${Math.round(n/1e3)}`;case"iso":return(0,s.dateTime)(n).toISOString();default:return(t||[]).length>1?(0,s.dateTime)(n).format(t.join(":")):(0,s.dateTime)(n).format(r)}}},{id:J.Glob,name:"Glob",description:"Format multi-valued variables using glob syntax, example {value1,value2}",formatter:e=>(0,De.isArray)(e)&&e.length>1?"{"+e.join(",")+"}":String(e)},{id:J.Text,name:"Text",description:"Format variables in their text representation. Example in multi-variable scenario A + B + C.",formatter:(e,t,n)=>n.getValueText?n.getValueText():String(e)},{id:J.QueryParam,name:"Query parameter",description:"Format variables as URL parameters. Example in multi-variable scenario A + B + C => var-foo=A&var-foo=B&var-foo=C.",formatter:(e,t,n)=>Array.isArray(e)?e.map((e=>xt(n.state.name,e))).join("&"):xt(n.state.name,e)},{id:J.UriEncode,name:"Percent encode as URI",description:"Useful for URL escaping values, taking into URI syntax characters",formatter:e=>(0,De.isArray)(e)?wt("{"+e.join(",")+"}"):wt(e)}]));function At(e){return!1===isNaN(+e)?e:e.replace(/([\!\*\+\-\=<>\s\&\|\(\)\[\]\{\}\^\~\?\:\\/"])/g,"\\$1")}function Et(e){return"object"==typeof e&&(e=String(e)),Ct(encodeURIComponent(e))}const wt=e=>Ct(encodeURI(String(e))),Ct=e=>e.replace(/[!'()*]/g,(e=>"%"+e.charCodeAt(0).toString(16).toUpperCase()));function xt(e,t){return`var-${e}=${Et(t)}`}const It={"'":"''",'"':'\\"'};function St(e){const t=new RegExp("'|\"","g");if((0,De.isArray)(e))return(0,De.map)(e,(e=>`'${(0,De.replace)(e,t,(e=>It[e]??""))}'`)).join(",");let n="string"==typeof e?e:String(e);return`'${(0,De.replace)(n,t,(e=>It[e]??""))}'`}var Bt=Object.defineProperty;class Tt{constructor(e,t,n){((e,t,n)=>{((e,t,n)=>{"state"in e?Bt(e,"state",{enumerable:!0,configurable:!0,writable:!0,value:n}):e.state=n})(this,0,void 0)})(),this.state={name:e.name,value:t,text:n,type:e.type}}getValue(e){let{value:t}=this.state;return"string"===t||"number"===t||"boolean"===t?t:String(t)}getValueText(){const{value:e,text:t}=this.state;return"string"==typeof t?"$__all"===e?"All":t:Array.isArray(t)?t.join(" + "):(console.log("value",t),String(t))}}let Ot;function Rt(e,t,n,r){if(null==e)return"";if("adhoc"===(n=n||{}).type&&t!==J.QueryParam)return"";if(Array.isArray(e)||"object"!=typeof e||(e=`${e}`),"function"==typeof t)return t(e,n,Rt);t||(t=J.Glob);let o=t.split(":");o.length>1?(t=o[0],o=o.slice(1)):o=[];let i=yt.getIfExists(t);i||(console.error(`Variable format ${t} not found. Using glob format as fallback.`),i=yt.get(J.Glob));const a=function(e,t,n){return Ot?(Ot.state.name=e.name,Ot.state.type=e.type,Ot.state.value=t,Ot.state.text=n):Ot=new Tt(e,t,n),Ot}(n,e,r??e);return i.formatter(e,o,a)}var Dt=Object.defineProperty,Nt=(e,t,n)=>(((e,t,n)=>{t in e?Dt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n})(e,"symbol"!=typeof t?t+"":t,n),n),Pt=Object.defineProperty;new class{constructor(e){this.templateService=e,((e,t,n)=>{((e,t,n)=>{"regex"in e?Pt(e,"regex",{enumerable:!0,configurable:!0,writable:!0,value:n}):e.regex=n})(this,0,n)})(0,0,Me)}getVariableNames(e){let t;this.regex.lastIndex=0;const n=[];for(;t=this.regex.exec(e);)n.push(t[1]??t[4]);return n.length?n:[]}containsVariable(e,t=[]){if(!e)return!1;const n=this.getVariableNames(e);if(!n.length)return!1;for(const e of n){if(Le.includes(e))return!0;if(t.includes(e))return!0}return!1}getUsedVariables(e,t=!1){return this.getVariableNames(e).filter((e=>!!t||!Le.includes(e)))}replace(e,t,n,r,o){return e?this.templateService.replace(e,t,n,r,o):e??""}}(new class{constructor(){Nt(this,"variables"),Nt(this,"regex",Me)}getVariableValue(e,t){return t?function(e){return bt[e]||(bt[e]=(0,De.property)(e))}(t)(e.value):e.value}getVariableText(e,t){return e.value===t||"string"!=typeof t?e.text:t}replace(e,t,n,r,o){return this.variables=o,e?(this.regex.lastIndex=0,this._replaceWithVariableRegex(e,n,((e,n,o,i)=>{const a=this._evaluateVariableExpression(e,n,o,i,t);return r&&r.push({match:e,variableName:n,fieldPath:o,format:i,value:a,found:a!==e}),a}))):e??""}getVariableAtIndex(e){if(e&&this.variables)return this.variables?.[e]}_evaluateVariableExpression(e,t,n,r,o){const i=o?.[t];if(i){const e=this.getVariableValue(i,n),o=this.getVariableText(i,e);if(null!=e)return Rt(e,r,this.getVariableAtIndex(t),o)}return e}_replaceWithVariableRegex(e,t,n){return this.regex.lastIndex=0,e.replace(this.regex,((e,r,o,i,a,s,l)=>n(e,r||o||a,s,i||l||t)))}});var Lt=f(8891).hp;const Mt=(e,t,n=512)=>{e=e.replace(/^[^,]+,/,"").replace(/\s/g,"");const r=Lt.from(e,"base64").toString("binary"),o=[];for(let e=0;e<r.length;e+=n){const t=r.slice(e,e+n),i=new Array(t.length);for(let e=0;e<t.length;e++)i[e]=t.charCodeAt(e);o.push(new Uint8Array(i))}return new Blob(o,{type:t})},kt=t=>{let n,r=t;if(t){const o=t.match(y);(null==o?void 0:o.length)?Object.values(e).includes(o[1])&&(n=o[1]):(n=m[t.charAt(0)],r=n?`data:${n};base64,${r}`:`data:;base64,${r}`)}return{currentMedia:r,type:n}},_t=(e,t)=>{const n=s.fieldMatchers.get(s.FieldMatcherID.byName).get(t),r=vt(e,((t,r)=>n(t,r,e)));return r&&r.values?r.values:[]};var $t=f(5292),Ft=f.n($t),Ut=f(9893),zt=f.n(Ut),Gt=f(9383),jt=f.n(Gt),Wt=f(6884),Ht=f.n(Wt),Vt=f(9088),Yt=f.n(Vt),Xt=f(7997),qt=f.n(Xt),Zt=f(9250),Kt={};Kt.styleTagTransform=qt(),Kt.setAttributes=Ht(),Kt.insert=jt().bind(null,"head"),Kt.domAPI=zt(),Kt.insertStyleElement=Yt(),Ft()(Zt.A,Kt),Zt.A&&Zt.A.locals&&Zt.A.locals;var Qt=f(2249),Jt=f(8398),en=f.n(Jt);const tn=(e,t)=>e===t?.tagName?.toUpperCase?.(),nn=e=>tn("DIV",e)||tn("SPAN",e),rn=e=>tn("IMG",e),on=e=>e.complete&&0!==e.naturalHeight,an=e=>tn("SVG",e),sn=({height:e,offset:t,width:n})=>Math.min((window.innerWidth-2*t)/n,(window.innerHeight-2*t)/e),ln=({containerHeight:e,containerWidth:t,hasScalableSrc:n,offset:r,targetHeight:o,targetWidth:i})=>e&&t?!n&&o&&i?(({containerHeight:e,containerWidth:t,offset:n,targetHeight:r,targetWidth:o})=>{const i=sn({height:r,offset:n,width:o}),a=o>r?o/t:r/e;return i>1?a:i*a})({containerHeight:e,containerWidth:t,offset:r,targetHeight:o,targetWidth:i}):sn({height:e,offset:r,width:t}):1,cn=/url(?:\(['"]?)(.*?)(?:['"]?\))/,un=e=>{if(e){if(rn(e))return e.currentSrc;if(nn(e)){const t=window.getComputedStyle(e).backgroundImage;if(t)return cn.exec(t)?.[1]}}},dn=({position:e,relativeNum:t})=>{const n=parseFloat(e);return e.endsWith("%")?t*n/100:n},pn=/\.svg$/i,fn=e=>{if(!e)return{};if(an(e)){const t=e.parentElement,n=e.getBoundingClientRect();if(t){const e=t.getBoundingClientRect();return{height:n.height,left:e.left-n.left,top:e.top-n.top,width:n.width}}return{height:n.height,left:n.left,width:n.width,top:n.top}}return{height:e.offsetHeight,left:e.offsetLeft,width:e.offsetWidth,top:e.offsetTop}},hn=["img","svg",'[role="img"]',"[data-zoom]"].map((e=>`${e}:not([aria-hidden="true"])`)).join(","),mn={overflow:"",width:""};function gn(e){return u.createElement(vn,{...e})}class vn extends u.Component{constructor(){super(...arguments),this.state={id:"",isZoomImgLoaded:!1,loadedImgEl:void 0,modalState:"UNLOADED",shouldRefresh:!1,styleGhost:{}},this.refContent=u.createRef(),this.refDialog=u.createRef(),this.refModalContent=u.createRef(),this.refModalImg=u.createRef(),this.refWrap=u.createRef(),this.imgEl=null,this.isScaling=!1,this.prevBodyAttrs=mn,this.styleModalImg={},this.getDialogContainer=()=>{let e=document.querySelector("[data-rmiz-portal]");return null==e&&(e=document.createElement("div"),e.setAttribute("data-rmiz-portal",""),document.body.appendChild(e)),e},this.setId=()=>{const e=()=>Math.random().toString(16).slice(-4);this.setState({id:e()+e()+e()})},this.setAndTrackImg=()=>{const e=this.refContent.current;e&&(this.imgEl=e.querySelector(hn),this.imgEl?(this.contentNotFoundChangeObserver?.disconnect?.(),this.imgEl.addEventListener("load",this.handleImgLoad),this.imgEl.addEventListener("click",this.handleZoom),this.state.loadedImgEl||this.handleImgLoad(),this.imgElResizeObserver=new ResizeObserver((e=>{const t=e[0];t?.target&&(this.imgEl=t.target,this.setState({styleGhost:fn(this.imgEl)}))})),this.imgElResizeObserver.observe(this.imgEl),this.contentChangeObserver||(this.contentChangeObserver=new MutationObserver((()=>{this.setState({styleGhost:fn(this.imgEl)})})),this.contentChangeObserver.observe(e,{attributes:!0,childList:!0,subtree:!0}))):this.contentNotFoundChangeObserver||(this.contentNotFoundChangeObserver=new MutationObserver(this.setAndTrackImg),this.contentNotFoundChangeObserver.observe(e,{childList:!0,subtree:!0})))},this.handleIfZoomChanged=e=>{const{isZoomed:t}=this.props;!e&&t?this.zoom():e&&!t&&this.unzoom()},this.handleImgLoad=()=>{const e=un(this.imgEl);if(!e)return;const t=new Image;rn(this.imgEl)&&(t.sizes=this.imgEl.sizes,t.srcset=this.imgEl.srcset),t.src=e;const n=()=>{this.setState({loadedImgEl:t,styleGhost:fn(this.imgEl)})};t.decode().then(n).catch((()=>{on(t)?n():t.onload=n}))},this.handleZoom=()=>{this.hasImage()&&this.props.onZoomChange?.(!0)},this.handleUnzoom=()=>{this.props.onZoomChange?.(!1)},this.handleDialogCancel=e=>{e.preventDefault()},this.handleDialogClick=e=>{e.target!==this.refModalContent.current&&e.target!==this.refModalImg.current||this.handleUnzoom()},this.handleKeyDown=e=>{"Escape"!==e.key&&27!==e.keyCode||(e.preventDefault(),e.stopPropagation(),this.handleUnzoom())},this.handleWheel=e=>{e.ctrlKey||(e.stopPropagation(),queueMicrotask((()=>{this.handleUnzoom()})))},this.handleTouchStart=e=>{e.touches.length>1?this.isScaling=!0:1===e.changedTouches.length&&e.changedTouches[0]&&(this.touchYStart=e.changedTouches[0].screenY)},this.handleTouchMove=e=>{const t=window.visualViewport?.scale??1;if(this.props.canSwipeToUnzoom&&!this.isScaling&&t<=1&&null!=this.touchYStart&&e.changedTouches[0]){this.touchYEnd=e.changedTouches[0].screenY;const t=Math.max(this.touchYStart,this.touchYEnd),n=Math.min(this.touchYStart,this.touchYEnd);Math.abs(t-n)>this.props.swipeToUnzoomThreshold&&(this.touchYStart=void 0,this.touchYEnd=void 0,this.handleUnzoom())}},this.handleTouchEnd=()=>{this.isScaling=!1,this.touchYStart=void 0,this.touchYEnd=void 0},this.handleTouchCancel=()=>{this.isScaling=!1,this.touchYStart=void 0,this.touchYEnd=void 0},this.handleResize=()=>{this.setState({shouldRefresh:!0})},this.hasImage=()=>this.imgEl&&(this.state.loadedImgEl||an(this.imgEl))&&"none"!==window.getComputedStyle(this.imgEl).display,this.zoom=()=>{this.bodyScrollDisable(),this.refDialog.current?.showModal?.(),this.setState({modalState:"LOADING"}),this.loadZoomImg(),window.addEventListener("touchstart",this.handleTouchStart,{passive:!0}),window.addEventListener("touchmove",this.handleTouchMove,{passive:!0}),window.addEventListener("touchend",this.handleTouchEnd,{passive:!0}),window.addEventListener("touchcancel",this.handleTouchCancel,{passive:!0}),document.addEventListener("keydown",this.handleKeyDown,!0),this.refModalImg.current?.addEventListener?.("transitionend",this.handleZoomEnd,{once:!0})},this.handleZoomEnd=()=>{setTimeout((()=>{this.setState({modalState:"LOADED"}),window.addEventListener("resize",this.handleResize,{passive:!0}),window.addEventListener("wheel",this.handleWheel,{passive:!0})}),0)},this.unzoom=()=>{this.setState({modalState:"UNLOADING"}),window.removeEventListener("wheel",this.handleWheel),window.removeEventListener("touchstart",this.handleTouchStart),window.removeEventListener("touchmove",this.handleTouchMove),window.removeEventListener("touchend",this.handleTouchEnd),window.removeEventListener("touchcancel",this.handleTouchCancel),document.removeEventListener("keydown",this.handleKeyDown,!0),this.refModalImg.current?.addEventListener?.("transitionend",this.handleUnzoomEnd,{once:!0})},this.handleUnzoomEnd=()=>{setTimeout((()=>{window.removeEventListener("resize",this.handleResize),this.setState({shouldRefresh:!1,modalState:"UNLOADED"},(()=>{this.refDialog.current?.close?.(),this.bodyScrollEnable()}))}),0)},this.bodyScrollDisable=()=>{this.prevBodyAttrs={overflow:document.body.style.overflow,width:document.body.style.width};const e=document.body.clientWidth;document.body.style.overflow="hidden",document.body.style.width=`${e}px`},this.bodyScrollEnable=()=>{document.body.style.width=this.prevBodyAttrs.width,document.body.style.overflow=this.prevBodyAttrs.overflow,this.prevBodyAttrs=mn},this.loadZoomImg=()=>{const{props:{zoomImg:e}}=this,t=e?.src;if(t){const n=new Image;n.sizes=e?.sizes??"",n.srcset=e?.srcSet??"",n.src=t;const r=()=>{this.setState({isZoomImgLoaded:!0})};n.decode().then(r).catch((()=>{on(n)?r():n.onload=r}))}},this.UNSAFE_handleSvg=()=>{const{imgEl:e,refModalImg:t,styleModalImg:n}=this;if(an(e)){const r=e.cloneNode(!0);(e=>{const t="-zoom",n=["clip-path","fill","mask","marker-start","marker-mid","marker-end"],r=new Map;if(e.hasAttribute("id")){const n=e.id,o=n+t;r.set(n,o),e.id=o}e.querySelectorAll("[id]").forEach((e=>{const n=e.id,o=n+t;r.set(n,o),e.id=o})),r.forEach(((t,r)=>{const o=`url(#${r})`,i=`url(#${t})`,a=n.map((e=>`[${e}="${o}"]`)).join(", ");e.querySelectorAll(a).forEach((e=>{n.forEach((t=>{e.getAttribute(t)===o&&e.setAttribute(t,i)}))}))})),e.querySelectorAll("style").forEach((e=>{r.forEach(((t,n)=>{e.textContent&&(e.textContent=e.textContent.replaceAll(`#${n}`,`#${t}`))}))}))})(r),r.style.width=`${n.width||0}px`,r.style.height=`${n.height||0}px`,r.addEventListener("click",this.handleUnzoom),t.current?.firstChild?.remove?.(),t.current?.appendChild?.(r)}}}render(){const{handleDialogCancel:e,handleDialogClick:t,handleUnzoom:n,handleZoom:r,imgEl:o,props:{a11yNameButtonUnzoom:i,a11yNameButtonZoom:a,children:s,classDialog:l,IconUnzoom:c,IconZoom:d,isZoomed:p,wrapElement:f,ZoomContent:h,zoomImg:m,zoomMargin:g},refContent:v,refDialog:b,refModalContent:y,refModalImg:A,refWrap:E,state:{id:w,isZoomImgLoaded:C,loadedImgEl:x,modalState:I,shouldRefresh:S,styleGhost:B}}=this,T=`rmiz-modal-${w}`,O=`rmiz-modal-img-${w}`,R=nn(o),D=rn(o),N=an(o),P=(e=>{if(e)return rn(e)?e.alt??void 0:e.getAttribute("aria-label")??void 0})(o),L=un(o),M=D?o.sizes:void 0,k=D?o.srcset:void 0,_=!!m?.src,$=this.hasImage(),F=P?`${a}: ${P}`:a,U="LOADING"===I||"LOADED"===I,z=$?"found":"not-found",G="UNLOADED"===I||"UNLOADING"===I?"hidden":"visible",j={visibility:"UNLOADED"===I?"visible":"hidden"};this.styleModalImg=$?(({hasZoomImg:e,imgSrc:t,isSvg:n,isZoomed:r,loadedImgEl:o,offset:i,shouldRefresh:a,targetEl:s})=>{const l=n||"data:image/svg+xml"===t?.slice?.(0,18)||e||!(!t||!pn.test(t)),c=s.getBoundingClientRect(),u=window.getComputedStyle(s),d=null!=o&&nn(s),p=null!=o&&!d,f=(({containerHeight:e,containerLeft:t,containerTop:n,containerWidth:r,hasScalableSrc:o,offset:i,targetHeight:a,targetWidth:s})=>{const l=ln({containerHeight:e,containerWidth:r,hasScalableSrc:o,offset:i,targetHeight:a,targetWidth:s});return{top:n,left:t,width:r*l,height:e*l,transform:`translate(0,0) scale(${1/l})`}})({containerHeight:c.height,containerLeft:c.left,containerTop:c.top,containerWidth:c.width,hasScalableSrc:l,offset:i,targetHeight:o?.naturalHeight||c.height,targetWidth:o?.naturalWidth||c.width}),h=p?(({containerHeight:e,containerLeft:t,containerTop:n,containerWidth:r,hasScalableSrc:o,objectFit:i,objectPosition:a,offset:s,targetHeight:l,targetWidth:c})=>{if("scale-down"===i&&(i=c<=r&&l<=e?"none":"contain"),"cover"===i||"contain"===i){const u=r/c,d=e/l,p="cover"===i?Math.max(u,d):Math.min(u,d),[f="50%",h="50%"]=a.split(" "),m=dn({position:f,relativeNum:r-c*p}),g=dn({position:h,relativeNum:e-l*p}),v=ln({containerHeight:l*p,containerWidth:c*p,hasScalableSrc:o,offset:s,targetHeight:l,targetWidth:c});return{top:n+g,left:t+m,width:c*p*v,height:l*p*v,transform:`translate(0,0) scale(${1/v})`}}if("none"===i){const[i="50%",u="50%"]=a.split(" "),d=dn({position:i,relativeNum:r-c}),p=dn({position:u,relativeNum:e-l}),f=ln({containerHeight:l,containerWidth:c,hasScalableSrc:o,offset:s,targetHeight:l,targetWidth:c});return{top:n+p,left:t+d,width:c*f,height:l*f,transform:`translate(0,0) scale(${1/f})`}}if("fill"===i){const t=r/c,n=e/l,i=Math.max(t,n),a=ln({containerHeight:l*i,containerWidth:c*i,hasScalableSrc:o,offset:s,targetHeight:l,targetWidth:c});return{width:r*a,height:e*a,transform:`translate(0,0) scale(${1/a})`}}return{}})({containerHeight:c.height,containerLeft:c.left,containerTop:c.top,containerWidth:c.width,hasScalableSrc:l,objectFit:u.objectFit,objectPosition:u.objectPosition,offset:i,targetHeight:o?.naturalHeight||c.height,targetWidth:o?.naturalWidth||c.width}):void 0,m=d?(({backgroundPosition:e,backgroundSize:t,containerHeight:n,containerLeft:r,containerTop:o,containerWidth:i,hasScalableSrc:a,offset:s,targetHeight:l,targetWidth:c})=>{if("cover"===t||"contain"===t){const u=i/c,d=n/l,p="cover"===t?Math.max(u,d):Math.min(u,d),[f="50%",h="50%"]=e.split(" "),m=dn({position:f,relativeNum:i-c*p}),g=dn({position:h,relativeNum:n-l*p}),v=ln({containerHeight:l*p,containerWidth:c*p,hasScalableSrc:a,offset:s,targetHeight:l,targetWidth:c});return{top:o+g,left:r+m,width:c*p*v,height:l*p*v,transform:`translate(0,0) scale(${1/v})`}}if("auto"===t){const[t="50%",u="50%"]=e.split(" "),d=dn({position:t,relativeNum:i-c}),p=dn({position:u,relativeNum:n-l}),f=ln({containerHeight:l,containerWidth:c,hasScalableSrc:a,offset:s,targetHeight:l,targetWidth:c});return{top:o+p,left:r+d,width:c*f,height:l*f,transform:`translate(0,0) scale(${1/f})`}}{const[u="50%",d="50%"]=t.split(" "),p=dn({position:u,relativeNum:i})/c,f=dn({position:d,relativeNum:n})/l,h=Math.min(p,f),[m="50%",g="50%"]=e.split(" "),v=dn({position:m,relativeNum:i-c*h}),b=dn({position:g,relativeNum:n-l*h}),y=ln({containerHeight:l*h,containerWidth:c*h,hasScalableSrc:a,offset:s,targetHeight:l,targetWidth:c});return{top:o+b,left:r+v,width:c*h*y,height:l*h*y,transform:`translate(0,0) scale(${1/y})`}}})({backgroundPosition:u.backgroundPosition,backgroundSize:u.backgroundSize,containerHeight:c.height,containerLeft:c.left,containerTop:c.top,containerWidth:c.width,hasScalableSrc:l,offset:i,targetHeight:o?.naturalHeight||c.height,targetWidth:o?.naturalWidth||c.width}):void 0,g=Object.assign({},f,h,m);if(r){const e=window.innerWidth/2,t=window.innerHeight/2,n=e-(parseFloat(String(g.left||0))+parseFloat(String(g.width||0))/2),r=t-(parseFloat(String(g.top||0))+parseFloat(String(g.height||0))/2);a&&(g.transitionDuration="0.01ms"),g.transform=`translate(${n}px,${r}px) scale(1)`}return g})({hasZoomImg:_,imgSrc:L,isSvg:N,isZoomed:p&&U,loadedImgEl:x,offset:g,shouldRefresh:S,targetEl:o}):{};let W=null;if($){const e=D||R?u.createElement("img",{alt:P,sizes:M,src:L,srcSet:k,...C&&"LOADED"===I?m:{},"data-rmiz-modal-img":"",height:this.styleModalImg.height||void 0,id:O,ref:A,style:this.styleModalImg,width:this.styleModalImg.width||void 0}):N?u.createElement("div",{"data-rmiz-modal-img":!0,ref:A,style:this.styleModalImg}):null,t=u.createElement("button",{"aria-label":i,"data-rmiz-btn-unzoom":"",onClick:n,type:"button"},u.createElement(c,null));W=h?u.createElement(h,{buttonUnzoom:t,modalState:I,img:e,onUnzoom:n}):u.createElement(u.Fragment,null,e,t)}return u.createElement(f,{"aria-owns":T,"data-rmiz":"",ref:E},u.createElement(f,{"data-rmiz-content":z,ref:v,style:j},s),$&&u.createElement(f,{"data-rmiz-ghost":"",style:B},u.createElement("button",{"aria-label":F,"data-rmiz-btn-zoom":"",onClick:r,type:"button"},u.createElement(d,null))),$&&Jt.createPortal(u.createElement("dialog",{"aria-labelledby":O,"aria-modal":"true",className:l,"data-rmiz-modal":"",id:T,onClick:t,onClose:n,onCancel:e,ref:b,role:"dialog"},u.createElement("div",{"data-rmiz-modal-overlay":G}),u.createElement("div",{"data-rmiz-modal-content":"",ref:y},W)),this.getDialogContainer()))}componentDidMount(){this.setId(),this.setAndTrackImg(),this.handleImgLoad(),this.UNSAFE_handleSvg()}componentWillUnmount(){"UNLOADED"!==this.state.modalState&&this.bodyScrollEnable(),this.contentChangeObserver?.disconnect?.(),this.contentNotFoundChangeObserver?.disconnect?.(),this.imgElResizeObserver?.disconnect?.(),this.imgEl?.removeEventListener?.("load",this.handleImgLoad),this.imgEl?.removeEventListener?.("click",this.handleZoom),this.refModalImg.current?.removeEventListener?.("transitionend",this.handleZoomEnd),this.refModalImg.current?.removeEventListener?.("transitionend",this.handleUnzoomEnd),window.removeEventListener("wheel",this.handleWheel),window.removeEventListener("touchstart",this.handleTouchStart),window.removeEventListener("touchmove",this.handleTouchMove),window.removeEventListener("touchend",this.handleTouchEnd),window.removeEventListener("touchcancel",this.handleTouchCancel),window.removeEventListener("resize",this.handleResize),document.removeEventListener("keydown",this.handleKeyDown,!0)}componentDidUpdate(e){this.UNSAFE_handleSvg(),this.handleIfZoomChanged(e.isZoomed)}}vn.defaultProps={a11yNameButtonUnzoom:"Minimize image",a11yNameButtonZoom:"Expand image",canSwipeToUnzoom:!0,IconUnzoom:function(){return u.createElement("svg",{"aria-hidden":"true","data-rmiz-btn-unzoom-icon":!0,fill:"currentColor",focusable:"false",viewBox:"0 0 16 16",xmlns:"http://www.w3.org/2000/svg"},u.createElement("path",{d:"M 14.144531 1.148438 L 9 6.292969 L 9 3 L 8 3 L 8 8 L 13 8 L 13 7 L 9.707031 7 L 14.855469 1.851563 Z M 8 8 L 3 8 L 3 9 L 6.292969 9 L 1.148438 14.144531 L 1.851563 14.855469 L 7 9.707031 L 7 13 L 8 13 Z"}))},IconZoom:function(){return u.createElement("svg",{"aria-hidden":"true","data-rmiz-btn-zoom-icon":!0,fill:"currentColor",focusable:"false",viewBox:"0 0 16 16",xmlns:"http://www.w3.org/2000/svg"},u.createElement("path",{d:"M 9 1 L 9 2 L 12.292969 2 L 2 12.292969 L 2 9 L 1 9 L 1 14 L 6 14 L 6 13 L 2.707031 13 L 13 2.707031 L 13 6 L 14 6 L 14 1 Z"}))},swipeToUnzoomThreshold:10,wrapElement:"div",zoomMargin:0};var bn=function(e,t){return Number(e.toFixed(t))},yn=function(e,t,n){n&&"function"==typeof n&&n(e,t)},An={easeOut:function(e){return-Math.cos(e*Math.PI)/2+.5},linear:function(e){return e},easeInQuad:function(e){return e*e},easeOutQuad:function(e){return e*(2-e)},easeInOutQuad:function(e){return e<.5?2*e*e:(4-2*e)*e-1},easeInCubic:function(e){return e*e*e},easeOutCubic:function(e){return--e*e*e+1},easeInOutCubic:function(e){return e<.5?4*e*e*e:(e-1)*(2*e-2)*(2*e-2)+1},easeInQuart:function(e){return e*e*e*e},easeOutQuart:function(e){return 1- --e*e*e*e},easeInOutQuart:function(e){return e<.5?8*e*e*e*e:1-8*--e*e*e*e},easeInQuint:function(e){return e*e*e*e*e},easeOutQuint:function(e){return 1+--e*e*e*e*e},easeInOutQuint:function(e){return e<.5?16*e*e*e*e*e:1+16*--e*e*e*e*e}},En=function(e){"number"==typeof e&&cancelAnimationFrame(e)},wn=function(e){e.mounted&&(En(e.animation),e.animate=!1,e.animation=null,e.velocity=null)};function Cn(e,t,n,r){if(e.mounted){var o=(new Date).getTime();wn(e),e.animation=function(){if(!e.mounted)return En(e.animation);var i=(new Date).getTime()-o,a=i/n,s=(0,An[t])(a);i>=n?(r(1),e.animation=null):e.animation&&(r(s),requestAnimationFrame(e.animation))},requestAnimationFrame(e.animation)}}function xn(e,t,n,r){var o=function(e){var t=e.scale,n=e.positionX,r=e.positionY;return!(Number.isNaN(t)||Number.isNaN(n)||Number.isNaN(r))}(t);if(e.mounted&&o){var i=e.setTransformState,a=e.transformState,s=a.scale,l=a.positionX,c=a.positionY,u=t.scale-s,d=t.positionX-l,p=t.positionY-c;0===n?i(t.scale,t.positionX,t.positionY):Cn(e,r,n,(function(e){i(s+u*e,l+d*e,c+p*e)}))}}var In=function(e,t){var n=e.wrapperComponent,r=e.contentComponent,o=e.setup.centerZoomedOut;if(!n||!r)throw new Error("Components are not mounted");var i=function(e,t,n){var r=e.offsetWidth,o=e.offsetHeight,i=t.offsetWidth*n,a=t.offsetHeight*n;return{wrapperWidth:r,wrapperHeight:o,newContentWidth:i,newDiffWidth:r-i,newContentHeight:a,newDiffHeight:o-a}}(n,r,t),a=i.wrapperWidth,s=i.wrapperHeight,l=function(e,t,n,r,o,i,a){var s=e>t?n*(a?1:.5):0,l=r>o?i*(a?1:.5):0;return{minPositionX:e-t-s,maxPositionX:s,minPositionY:r-o-l,maxPositionY:l}}(a,i.newContentWidth,i.newDiffWidth,s,i.newContentHeight,i.newDiffHeight,Boolean(o));return l},Sn=function(e,t,n,r){return bn(r?e<t?t:e>n?n:e:e,2)},Bn=function(e,t){var n=In(e,t);return e.bounds=n,n};function Tn(e,t,n,r,o,i,a){var s=n.minPositionX,l=n.minPositionY,c=n.maxPositionX,u=n.maxPositionY,d=0,p=0;return a&&(d=o,p=i),{x:Sn(e,s-d,c+d,r),y:Sn(t,l-p,u+p,r)}}function On(e,t,n,r,o,i){var a=e.transformState,s=a.scale,l=a.positionX,c=a.positionY,u=r-s;return"number"!=typeof t||"number"!=typeof n?(console.error("Mouse X and Y position were not provided!"),{x:l,y:c}):Tn(l-t*u,c-n*u,o,i,0,0,null)}function Rn(e,t,n,r,o){var i=t-(o?r:0);return!Number.isNaN(n)&&e>=n?n:!Number.isNaN(t)&&e<=i?i:e}var Dn=function(e,t){var n=e.setup.panning.excluded,r=e.isInitialized,o=e.wrapperComponent,i=t.target,a="shadowRoot"in i&&"composedPath"in t?t.composedPath().some((function(e){return e instanceof Element&&(null==o?void 0:o.contains(e))})):null==o?void 0:o.contains(i);return!!(r&&i&&a)&&!sr(i,n)},Nn=function(e){var t=e.isInitialized,n=e.isPanning,r=e.setup.panning.disabled;return!(!t||!n||r)};function Pn(e,t,n,r,o){var i=e.setup.limitToBounds,a=e.wrapperComponent,s=e.bounds,l=e.transformState,c=l.scale,u=l.positionX,d=l.positionY;if(null!==a&&null!==s&&(t!==u||n!==d)){var p=Tn(t,n,s,i,r,o,a),f=p.x,h=p.y;e.setTransformState(c,f,h)}}var Ln=function(e,t){var n=e.setup,r=e.transformState.scale,o=n.minScale,i=n.disablePadding;return t>0&&r>=o&&!i?t:0},Mn=function(e){var t=e.mounted,n=e.setup,r=n.disabled,o=n.velocityAnimation,i=e.transformState.scale;return!(o.disabled&&!(i>1)&&r&&!t)};function kn(e,t,n,r,o,i,a,s,l,c){if(o){var u;if(t>a&&n>a)return(u=a+(e-a)*c)>l?l:u<a?a:u;if(t<i&&n<i)return(u=i+(e-i)*c)<s?s:u>i?i:u}return r?t:Sn(e,i,a,o)}function _n(e,t){var n=e.transformState.scale;wn(e),Bn(e,n),void 0!==window.TouchEvent&&t instanceof TouchEvent?function(e,t){var n=t.touches,r=e.transformState,o=r.positionX,i=r.positionY;if(e.isPanning=!0,1===n.length){var a=n[0].clientX,s=n[0].clientY;e.startCoords={x:a-o,y:s-i}}}(e,t):function(e,t){var n=e.transformState,r=n.positionX,o=n.positionY;e.isPanning=!0;var i=t.clientX,a=t.clientY;e.startCoords={x:i-r,y:a-o}}(e,t)}function $n(e){var t=e.transformState.scale,n=e.setup,r=n.minScale,o=n.alignmentAnimation,i=o.disabled,a=o.sizeX,s=o.sizeY,l=o.animationTime,c=o.animationType;if(!(i||t<r||!a&&!s)){var u=function(e){var t=e.transformState,n=t.positionX,r=t.positionY,o=t.scale,i=e.setup,a=i.disabled,s=i.limitToBounds,l=i.centerZoomedOut,c=e.wrapperComponent;if(!a&&c&&e.bounds){var u=e.bounds,d=u.maxPositionX,p=u.minPositionX,f=u.maxPositionY,h=u.minPositionY,m=n>d||n<p,g=r>f||r<h,v=On(e,n>d?c.offsetWidth:e.setup.minPositionX||0,r>f?c.offsetHeight:e.setup.minPositionY||0,o,e.bounds,s||l),b=v.x,y=v.y;return{scale:o,positionX:m?b:n,positionY:g?y:r}}}(e);u&&xn(e,u,l,c)}}function Fn(e,t,n){var r=e.startCoords,o=e.setup.alignmentAnimation,i=o.sizeX,a=o.sizeY;if(r){var s=function(e,t,n){var r=e.startCoords,o=e.transformState,i=e.setup.panning,a=i.lockAxisX,s=i.lockAxisY,l=o.positionX,c=o.positionY;if(!r)return{x:l,y:c};var u=t-r.x,d=n-r.y;return{x:a?l:u,y:s?c:d}}(e,t,n),l=s.x,c=s.y,u=Ln(e,i),d=Ln(e,a);(function(e,t){if(Mn(e)){var n=e.lastMousePosition,r=e.velocityTime,o=e.setup,i=e.wrapperComponent,a=o.velocityAnimation.equalToMove,s=Date.now();if(n&&r&&i){var l=function(e,t){return t?Math.min(1,e.offsetWidth/window.innerWidth):1}(i,a),c=t.x-n.x,u=t.y-n.y,d=c/l,p=u/l,f=s-r,h=c*c+u*u,m=Math.sqrt(h)/f;e.velocity={velocityX:d,velocityY:p,total:m}}e.lastMousePosition=t,e.velocityTime=s}})(e,{x:l,y:c}),Pn(e,l,c,u,d)}}function Un(e,t,n,r){var o=e.setup,i=o.minScale,a=o.maxScale,s=o.limitToBounds,l=Rn(bn(t,2),i,a,0,!1),c=On(e,n,r,l,Bn(e,l),s);return{scale:l,positionX:c.x,positionY:c.y}}function zn(e,t,n){var r=e.transformState.scale,o=e.wrapperComponent,i=e.setup,a=i.minScale,s=i.limitToBounds,l=i.zoomAnimation,c=l.disabled,u=l.animationTime,d=l.animationType,p=c||r>=a;if((r>=1||s)&&$n(e),!p&&o&&e.mounted){var f=Un(e,a,t||o.offsetWidth/2,n||o.offsetHeight/2);f&&xn(e,f,u,d)}}var Gn=function(){return Gn=Object.assign||function(e){for(var t,n=1,r=arguments.length;n<r;n++)for(var o in t=arguments[n])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},Gn.apply(this,arguments)};function jn(e,t,n){if(n||2===arguments.length)for(var r,o=0,i=t.length;o<i;o++)!r&&o in t||(r||(r=Array.prototype.slice.call(t,0,o)),r[o]=t[o]);return e.concat(r||Array.prototype.slice.call(t))}var Wn={disabled:!1,minPositionX:null,maxPositionX:null,minPositionY:null,maxPositionY:null,minScale:1,maxScale:8,limitToBounds:!0,centerZoomedOut:!1,centerOnInit:!1,disablePadding:!1,smooth:!0,wheel:{step:.2,disabled:!1,smoothStep:.001,wheelDisabled:!1,touchPadDisabled:!1,activationKeys:[],excluded:[]},panning:{disabled:!1,velocityDisabled:!1,lockAxisX:!1,lockAxisY:!1,allowLeftClickPan:!0,allowMiddleClickPan:!0,allowRightClickPan:!0,wheelPanning:!1,activationKeys:[],excluded:[]},pinch:{step:5,disabled:!1,excluded:[]},doubleClick:{disabled:!1,step:.7,mode:"zoomIn",animationType:"easeOut",animationTime:200,excluded:[]},zoomAnimation:{disabled:!1,size:.4,animationTime:200,animationType:"easeOut"},alignmentAnimation:{disabled:!1,sizeX:100,sizeY:100,animationTime:200,velocityAlignmentTime:400,animationType:"easeOut"},velocityAnimation:{disabled:!1,sensitivity:1,animationTime:400,animationType:"easeOut",equalToMove:!0}},Hn="react-transform-wrapper",Vn=function(e){var t,n,r,o;return{previousScale:null!==(t=e.initialScale)&&void 0!==t?t:1,scale:null!==(n=e.initialScale)&&void 0!==n?n:1,positionX:null!==(r=e.initialPositionX)&&void 0!==r?r:0,positionY:null!==(o=e.initialPositionY)&&void 0!==o?o:0}},Yn=function(e){var t=Gn({},Wn);return Object.keys(e).forEach((function(n){var r=void 0!==e[n];if(void 0!==Wn[n]&&r){var o=Object.prototype.toString.call(Wn[n]),i="[object Object]"===o,a="[object Array]"===o;t[n]=i?Gn(Gn({},Wn[n]),e[n]):a?jn(jn([],Wn[n],!0),e[n],!0):e[n]}})),t},Xn=function(e,t,n){var r=e.transformState.scale,o=e.wrapperComponent,i=e.setup,a=i.maxScale,s=i.minScale,l=i.zoomAnimation,c=i.smooth,u=l.size;if(!o)throw new Error("Wrapper is not mounted");var d=c?r*Math.exp(t*n):r+t*n;return Rn(bn(d,3),s,a,u,!1)};function qn(e,t,n,r,o){var i=e.wrapperComponent,a=e.transformState,s=a.scale,l=a.positionX,c=a.positionY;if(!i)return console.error("No WrapperComponent found");var u=(i.offsetWidth/2-l)/s,d=(i.offsetHeight/2-c)/s,p=Un(e,Xn(e,t,n),u,d);if(!p)return console.error("Error during zoom event. New transformation state was not calculated.");xn(e,p,r,o)}function Zn(e,t,n,r){var o=e.setup,i=e.wrapperComponent,a=o.limitToBounds,s=Vn(e.props),l=e.transformState,c=l.scale,u=l.positionX,d=l.positionY;if(i){var p=In(e,s.scale),f=Tn(s.positionX,s.positionY,p,a,0,0,i),h={scale:s.scale,positionX:f.x,positionY:f.y};c===s.scale&&u===s.positionX&&d===s.positionY||(null==r||r(),xn(e,h,t,n))}}var Kn=function(e){return function(t,n,r){void 0===t&&(t=.5),void 0===n&&(n=300),void 0===r&&(r="easeOut"),qn(e,1,t,n,r)}},Qn=function(e){return function(t,n,r){void 0===t&&(t=.5),void 0===n&&(n=300),void 0===r&&(r="easeOut"),qn(e,-1,t,n,r)}},Jn=function(e){return function(t,n,r,o,i){void 0===o&&(o=300),void 0===i&&(i="easeOut");var a=e.transformState,s=a.positionX,l=a.positionY,c=a.scale,u=e.wrapperComponent,d=e.contentComponent;if(!e.setup.disabled&&u&&d){var p={positionX:Number.isNaN(t)?s:t,positionY:Number.isNaN(n)?l:n,scale:Number.isNaN(r)?c:r};xn(e,p,o,i)}}},er=function(e){return function(t,n){void 0===t&&(t=200),void 0===n&&(n="easeOut"),Zn(e,t,n)}},tr=function(e){return function(t,n,r){void 0===n&&(n=200),void 0===r&&(r="easeOut");var o=e.transformState,i=e.wrapperComponent,a=e.contentComponent;if(i&&a){var s=cr(t||o.scale,i,a);xn(e,s,n,r)}}},nr=function(e){return function(t,n,r,o){void 0===r&&(r=600),void 0===o&&(o="easeOut"),wn(e);var i=e.wrapperComponent,a="string"==typeof t?document.getElementById(t):t;if(i&&a&&i.contains(a)){var s=function(e,t,n){var r=e.wrapperComponent,o=e.contentComponent,i=e.transformState,a=e.setup,s=a.limitToBounds,l=a.minScale,c=a.maxScale;if(!r||!o)return i;var u=r.getBoundingClientRect(),d=t.getBoundingClientRect(),p=function(e,t,n,r){var o=e.getBoundingClientRect(),i=t.getBoundingClientRect(),a=n.getBoundingClientRect(),s=i.x*r.scale,l=i.y*r.scale;return{x:(o.x-a.x+s)/r.scale,y:(o.y-a.y+l)/r.scale}}(t,r,o,i),f=p.x,h=p.y,m=d.width/i.scale,g=d.height/i.scale,v=r.offsetWidth/m,b=r.offsetHeight/g,y=Rn(n||Math.min(v,b),l,c,0,!1),A=(u.width-m*y)/2,E=(u.height-g*y)/2,w=Tn((u.left-f)*y+A,(u.top-h)*y+E,In(e,y),s,0,0,r);return{positionX:w.x,positionY:w.y,scale:y}}(e,a,n);xn(e,s,r,o)}}},rr=function(e){return{instance:e,zoomIn:Kn(e),zoomOut:Qn(e),setTransform:Jn(e),resetTransform:er(e),centerView:tr(e),zoomToElement:nr(e)}},or=function(e){var t={};return Object.assign(t,function(e){return{instance:e,state:e.transformState}}(e)),Object.assign(t,rr(e)),t};function ir(){try{return{get passive(){return!1}}}catch(e){return!1}}var ar=".".concat(Hn),sr=function(e,t){return t.some((function(t){return e.matches("".concat(ar," ").concat(t,", ").concat(ar," .").concat(t,", ").concat(ar," ").concat(t," *, ").concat(ar," .").concat(t," *"))}))},lr=function(e){e&&clearTimeout(e)},cr=function(e,t,n){var r=n.offsetWidth*e,o=n.offsetHeight*e;return{scale:e,positionX:(t.offsetWidth-r)/2,positionY:(t.offsetHeight-o)/2}};function ur(e,t,n){var r=t.getBoundingClientRect(),o=0,i=0;if("clientX"in e)o=(e.clientX-r.left)/n,i=(e.clientY-r.top)/n;else{var a=e.touches[0];o=(a.clientX-r.left)/n,i=(a.clientY-r.top)/n}return(Number.isNaN(o)||Number.isNaN(i))&&console.error("No mouse or touch offset found"),{x:o,y:i}}var dr=function(e){return Math.sqrt(Math.pow(e.touches[0].pageX-e.touches[1].pageX,2)+Math.pow(e.touches[0].pageY-e.touches[1].pageY,2))},pr=function(e){for(var t=0,n=0,r=0;r<2;r+=1)t+=e.touches[r].clientX,n+=e.touches[r].clientY;return{x:t/2,y:n/2}},fr=function(e,t){var n=e.props.onZoomStop,r=e.setup.doubleClick.animationTime;lr(e.doubleClickStopEventTimer),e.doubleClickStopEventTimer=setTimeout((function(){e.doubleClickStopEventTimer=null,yn(or(e),t,n)}),r)};var hr=function(e){var t=this;this.mounted=!0,this.pinchLastCenterX=null,this.pinchLastCenterY=null,this.onChangeCallbacks=new Set,this.onInitCallbacks=new Set,this.wrapperComponent=null,this.contentComponent=null,this.isInitialized=!1,this.bounds=null,this.previousWheelEvent=null,this.wheelStopEventTimer=null,this.wheelAnimationTimer=null,this.isPanning=!1,this.isWheelPanning=!1,this.startCoords=null,this.lastTouch=null,this.distance=null,this.lastDistance=null,this.pinchStartDistance=null,this.pinchStartScale=null,this.pinchMidpoint=null,this.doubleClickStopEventTimer=null,this.velocity=null,this.velocityTime=null,this.lastMousePosition=null,this.animate=!1,this.animation=null,this.maxBounds=null,this.pressedKeys={},this.mount=function(){t.initializeWindowEvents()},this.unmount=function(){t.cleanupWindowEvents()},this.update=function(e){t.props=e,Bn(t,t.transformState.scale),t.setup=Yn(e)},this.initializeWindowEvents=function(){var e,n,r=ir(),o=null===(e=t.wrapperComponent)||void 0===e?void 0:e.ownerDocument,i=null==o?void 0:o.defaultView;null===(n=t.wrapperComponent)||void 0===n||n.addEventListener("wheel",t.onWheelPanning,r),null==i||i.addEventListener("mousedown",t.onPanningStart,r),null==i||i.addEventListener("mousemove",t.onPanning,r),null==i||i.addEventListener("mouseup",t.onPanningStop,r),null==o||o.addEventListener("mouseleave",t.clearPanning,r),null==i||i.addEventListener("keyup",t.setKeyUnPressed,r),null==i||i.addEventListener("keydown",t.setKeyPressed,r)},this.cleanupWindowEvents=function(){var e,n,r=ir(),o=null===(e=t.wrapperComponent)||void 0===e?void 0:e.ownerDocument,i=null==o?void 0:o.defaultView;null==i||i.removeEventListener("mousedown",t.onPanningStart,r),null==i||i.removeEventListener("mousemove",t.onPanning,r),null==i||i.removeEventListener("mouseup",t.onPanningStop,r),null==o||o.removeEventListener("mouseleave",t.clearPanning,r),null==i||i.removeEventListener("keyup",t.setKeyUnPressed,r),null==i||i.removeEventListener("keydown",t.setKeyPressed,r),document.removeEventListener("mouseleave",t.clearPanning,r),wn(t),null===(n=t.observer)||void 0===n||n.disconnect()},this.handleInitializeWrapperEvents=function(e){var n=ir();e.addEventListener("wheel",t.onWheelZoom,n),e.addEventListener("dblclick",t.onDoubleClick,n),e.addEventListener("touchstart",t.onTouchPanningStart,n),e.addEventListener("touchmove",t.onTouchPanning,n),e.addEventListener("touchend",t.onTouchPanningStop,n)},this.handleInitialize=function(e){var n=t.setup.centerOnInit;t.applyTransformation(),t.onInitCallbacks.forEach((function(e){return e(or(t))})),n&&(t.setCenter(),t.observer=new ResizeObserver((function(){var n,r=e.offsetWidth,o=e.offsetHeight;(r>0||o>0)&&(t.onInitCallbacks.forEach((function(e){return e(or(t))})),t.setCenter(),null===(n=t.observer)||void 0===n||n.disconnect())})),setTimeout((function(){var e;null===(e=t.observer)||void 0===e||e.disconnect()}),5e3),t.observer.observe(e))},this.onWheelZoom=function(e){if(!t.setup.disabled){var n=function(e,t){var n=e.setup.wheel,r=n.disabled,o=n.wheelDisabled,i=n.touchPadDisabled,a=n.excluded,s=e.isInitialized,l=e.isPanning,c=t.target;return!(!s||l||r||!c||o&&!t.ctrlKey||i&&t.ctrlKey||sr(c,a))}(t,e);n&&t.isPressingKeys(t.setup.wheel.activationKeys)&&(function(e,t){var n=e.props,r=n.onWheelStart,o=n.onZoomStart;e.wheelStopEventTimer||(wn(e),yn(or(e),t,r),yn(or(e),t,o))}(t,e),function(e,t){var n=e.props,r=n.onWheel,o=n.onZoom,i=e.contentComponent,a=e.setup,s=e.transformState.scale,l=a.limitToBounds,c=a.centerZoomedOut,u=a.zoomAnimation,d=a.wheel,p=a.disablePadding,f=a.smooth,h=u.size,m=u.disabled,g=d.step,v=d.smoothStep;if(!i)throw new Error("Component not mounted");t.preventDefault(),t.stopPropagation();var b=function(e,t){var n=function(e){return e?e.deltaY<0?1:-1:0}(e);return n}(t),y=function(e,t,n,r,o){var i=e.transformState.scale,a=e.wrapperComponent,s=e.setup,l=s.maxScale,c=s.minScale,u=s.zoomAnimation,d=s.disablePadding,p=u.size,f=u.disabled;if(!a)throw new Error("Wrapper is not mounted");var h=!r&&!f;return Rn(bn(i+t*n,3),c,l,p,h&&!d)}(e,b,f?v*Math.abs(t.deltaY):g,!t.ctrlKey);if(s!==y){var A=Bn(e,y),E=ur(t,i,s),w=l&&(m||0===h||c||p),C=On(e,E.x,E.y,y,A,w),x=C.x,I=C.y;e.previousWheelEvent=t,e.setTransformState(y,x,I),yn(or(e),t,r),yn(or(e),t,o)}}(t,e),function(e,t){var n=e.props,r=n.onWheelStop,o=n.onZoomStop;lr(e.wheelAnimationTimer),e.wheelAnimationTimer=setTimeout((function(){e.mounted&&(zn(e,t.x,t.y),e.wheelAnimationTimer=null)}),100);var i=function(e,t){var n=e.previousWheelEvent,r=e.transformState.scale,o=e.setup,i=o.maxScale,a=o.minScale;return!!n&&(r<i||r>a||Math.sign(n.deltaY)!==Math.sign(t.deltaY)||n.deltaY>0&&n.deltaY<t.deltaY||n.deltaY<0&&n.deltaY>t.deltaY||Math.sign(n.deltaY)!==Math.sign(t.deltaY))}(e,t);i&&(lr(e.wheelStopEventTimer),e.wheelStopEventTimer=setTimeout((function(){e.mounted&&(e.wheelStopEventTimer=null,yn(or(e),t,r),yn(or(e),t,o))}),160))}(t,e))}},this.onWheelPanning=function(e){var n=t.setup,r=n.disabled,o=n.wheel,i=n.panning;if(t.wrapperComponent&&t.contentComponent&&!r&&o.wheelDisabled&&!i.disabled&&i.wheelPanning&&!e.ctrlKey){e.preventDefault(),e.stopPropagation();var a=t.transformState,s=a.positionX,l=a.positionY,c=s-e.deltaX,u=l-e.deltaY,d=i.lockAxisX?s:c,p=i.lockAxisY?l:u,f=t.setup.alignmentAnimation,h=f.sizeX,m=f.sizeY,g=Ln(t,h),v=Ln(t,m);d===s&&p===l||Pn(t,d,p,g,v)}},this.onPanningStart=function(e){var n=t.setup.disabled,r=t.props.onPanningStart;n||Dn(t,e)&&t.isPressingKeys(t.setup.panning.activationKeys)&&(0!==e.button||t.setup.panning.allowLeftClickPan)&&(1!==e.button||t.setup.panning.allowMiddleClickPan)&&(2!==e.button||t.setup.panning.allowRightClickPan)&&(e.preventDefault(),e.stopPropagation(),wn(t),_n(t,e),yn(or(t),e,r))},this.onPanning=function(e){var n=t.setup.disabled,r=t.props.onPanning;n||Nn(t)&&t.isPressingKeys(t.setup.panning.activationKeys)&&(e.preventDefault(),e.stopPropagation(),Fn(t,e.clientX,e.clientY),yn(or(t),e,r))},this.onPanningStop=function(e){var n=t.props.onPanningStop;t.isPanning&&(function(e){if(e.isPanning){var t=e.setup.panning.velocityDisabled,n=e.velocity,r=e.wrapperComponent,o=e.contentComponent;e.isPanning=!1,e.animate=!1,e.animation=null;var i=null==r?void 0:r.getBoundingClientRect(),a=null==o?void 0:o.getBoundingClientRect(),s=(null==i?void 0:i.width)||0,l=(null==i?void 0:i.height)||0,c=(null==a?void 0:a.width)||0,u=(null==a?void 0:a.height)||0,d=s<c||l<u;!t&&n&&(null==n?void 0:n.total)>.1&&d?function(e){var t=e.velocity,n=e.bounds,r=e.setup,o=e.wrapperComponent;if(function(e){var t=e.mounted,n=e.velocity,r=e.bounds,o=e.setup,i=o.disabled,a=o.velocityAnimation,s=e.transformState.scale;return!(a.disabled&&!(s>1)&&i&&!t||!n||!r)}(e)&&t&&n&&o){var i=t.velocityX,a=t.velocityY,s=t.total,l=n.maxPositionX,c=n.minPositionX,u=n.maxPositionY,d=n.minPositionY,p=r.limitToBounds,f=r.alignmentAnimation,h=r.zoomAnimation,m=r.panning,g=m.lockAxisY,v=m.lockAxisX,b=h.animationType,y=f.sizeX,A=f.sizeY,E=f.velocityAlignmentTime,w=function(e,t){var n=e.setup.velocityAnimation,r=n.equalToMove,o=n.animationTime,i=n.sensitivity;return r?o*t*i:o}(e,s),C=Math.max(w,E),x=Ln(e,y),I=Ln(e,A),S=x*o.offsetWidth/100,B=I*o.offsetHeight/100,T=l+S,O=c-S,R=u+B,D=d-B,N=e.transformState,P=(new Date).getTime();Cn(e,b,C,(function(t){var n=e.transformState,r=n.scale,o=n.positionX,s=n.positionY,h=((new Date).getTime()-P)/E,m=1-(0,An[f.animationType])(Math.min(1,h)),b=1-t,y=o+i*b,A=s+a*b,w=kn(y,N.positionX,o,v,p,c,l,O,T,m),C=kn(A,N.positionY,s,g,p,d,u,D,R,m);o===y&&s===A||e.setTransformState(r,w,C)}))}}(e):$n(e)}}(t),yn(or(t),e,n))},this.onPinchStart=function(e){var n=t.setup.disabled,r=t.props,o=r.onPinchingStart,i=r.onZoomStart;if(!n){var a=function(e,t){var n=e.setup.pinch,r=n.disabled,o=n.excluded,i=e.isInitialized,a=t.target;return!(!i||r||!a||sr(a,o))}(t,e);a&&(function(e,t){var n=dr(t);e.pinchStartDistance=n,e.lastDistance=n,e.pinchStartScale=e.transformState.scale,e.isPanning=!1;var r=pr(t);e.pinchLastCenterX=r.x,e.pinchLastCenterY=r.y,wn(e)}(t,e),wn(t),yn(or(t),e,o),yn(or(t),e,i))}},this.onPinch=function(e){var n=t.setup.disabled,r=t.props,o=r.onPinching,i=r.onZoom;if(!n){var a=function(e){var t=e.setup.pinch.disabled,n=e.isInitialized,r=e.pinchStartDistance;return!(!n||t||!r)}(t);a&&(e.preventDefault(),e.stopPropagation(),function(e,t){var n=e.contentComponent,r=e.pinchStartDistance,o=e.wrapperComponent,i=e.transformState.scale,a=e.setup,s=a.limitToBounds,l=a.centerZoomedOut,c=a.zoomAnimation,u=a.alignmentAnimation,d=c.disabled,p=c.size;if(null!==r&&n){var f=function(e,t,n){var r=n.getBoundingClientRect(),o=e.touches,i=bn(o[0].clientX-r.left,5),a=bn(o[0].clientY-r.top,5);return{x:(i+bn(o[1].clientX-r.left,5))/2/t,y:(a+bn(o[1].clientY-r.top,5))/2/t}}(t,i,n);if(Number.isFinite(f.x)&&Number.isFinite(f.y)){var h=dr(t),m=function(e,t){var n=e.pinchStartScale,r=e.pinchStartDistance,o=e.setup,i=o.maxScale,a=o.minScale,s=o.zoomAnimation,l=o.disablePadding,c=s.size,u=s.disabled;if(!n||null===r||!t)throw new Error("Pinch touches distance was not provided");return t<0?e.transformState.scale:Rn(bn(t/r*n,2),a,i,c,!u&&!l)}(e,h),g=pr(t),v=g.x-(e.pinchLastCenterX||0),b=g.y-(e.pinchLastCenterY||0);if(m!==i||0!==v||0!==b){e.pinchLastCenterX=g.x,e.pinchLastCenterY=g.y;var y=Bn(e,m),A=s&&(d||0===p||l),E=On(e,f.x,f.y,m,y,A),w=E.x,C=E.y;e.pinchMidpoint=f,e.lastDistance=h;var x=u.sizeX,I=u.sizeY,S=Tn(w+v,C+b,y,s,Ln(e,x),Ln(e,I),o),B=S.x,T=S.y;e.setTransformState(m,B,T)}}}}(t,e),yn(or(t),e,o),yn(or(t),e,i))}},this.onPinchStop=function(e){var n,r,o=t.props,i=o.onPinchingStop,a=o.onZoomStop;t.pinchStartScale&&(r=(n=t).pinchMidpoint,n.velocity=null,n.lastDistance=null,n.pinchMidpoint=null,n.pinchStartScale=null,n.pinchStartDistance=null,zn(n,null==r?void 0:r.x,null==r?void 0:r.y),yn(or(t),e,i),yn(or(t),e,a))},this.onTouchPanningStart=function(e){var n=t.setup.disabled,r=t.props.onPanningStart;if(!n&&Dn(t,e)&&!(t.lastTouch&&+new Date-t.lastTouch<200)){t.lastTouch=+new Date,wn(t);var o=e.touches,i=1===o.length,a=2===o.length;i&&(wn(t),_n(t,e),yn(or(t),e,r)),a&&t.onPinchStart(e)}},this.onTouchPanning=function(e){var n=t.setup.disabled,r=t.props.onPanning;if(t.isPanning&&1===e.touches.length){if(n)return;if(!Nn(t))return;e.preventDefault(),e.stopPropagation();var o=e.touches[0];Fn(t,o.clientX,o.clientY),yn(or(t),e,r)}else e.touches.length>1&&t.onPinch(e)},this.onTouchPanningStop=function(e){t.onPanningStop(e),t.onPinchStop(e)},this.onDoubleClick=function(e){if(!t.setup.disabled){var n=function(e,t){var n=e.isInitialized,r=e.setup,o=e.wrapperComponent,i=r.doubleClick,a=i.disabled,s=i.excluded,l=t.target,c=null==o?void 0:o.contains(l);return!(!(n&&l&&c)||a||sr(l,s))}(t,e);n&&function(e,t){var n=e.setup,r=e.doubleClickStopEventTimer,o=e.transformState,i=e.contentComponent,a=o.scale,s=e.props,l=s.onZoomStart,c=s.onZoom,u=n.doubleClick,d=u.disabled,p=u.mode,f=u.step,h=u.animationTime,m=u.animationType;if(!d&&!r){if("reset"===p)return function(e,t){var n=e.props,r=n.onZoomStart,o=n.onZoom,i=e.setup.doubleClick,a=i.animationTime,s=i.animationType;yn(or(e),t,r),Zn(e,a,s,(function(){return yn(or(e),t,o)})),fr(e,t)}(e,t);if(!i)return console.error("No ContentComponent found");var g=function(e,t){return"toggle"===e?1===t?1:-1:"zoomOut"===e?-1:1}(p,e.transformState.scale),v=Xn(e,g,f);if(a!==v){yn(or(e),t,l);var b=ur(t,i,a),y=Un(e,v,b.x,b.y);if(!y)return console.error("Error during zoom event. New transformation state was not calculated.");yn(or(e),t,c),xn(e,y,h,m),fr(e,t)}}}(t,e)}},this.clearPanning=function(e){t.isPanning&&t.onPanningStop(e)},this.setKeyPressed=function(e){t.pressedKeys[e.key]=!0},this.setKeyUnPressed=function(e){t.pressedKeys[e.key]=!1},this.isPressingKeys=function(e){return!e.length||Boolean(e.find((function(e){return t.pressedKeys[e]})))},this.setTransformState=function(e,n,r){var o=t.props.onTransformed;if(Number.isNaN(e)||Number.isNaN(n)||Number.isNaN(r))console.error("Detected NaN set state values");else{e!==t.transformState.scale&&(t.transformState.previousScale=t.transformState.scale,t.transformState.scale=e),t.transformState.positionX=n,t.transformState.positionY=r,t.applyTransformation();var i=or(t);t.onChangeCallbacks.forEach((function(e){return e(i)})),yn(i,{scale:e,positionX:n,positionY:r},o)}},this.setCenter=function(){if(t.wrapperComponent&&t.contentComponent){var e=cr(t.transformState.scale,t.wrapperComponent,t.contentComponent);t.setTransformState(e.scale,e.positionX,e.positionY)}},this.handleTransformStyles=function(e,n,r){return t.props.customTransform?t.props.customTransform(e,n,r):function(e,t,n){return"translate(".concat(e,"px, ").concat(t,"px) scale(").concat(n,")")}(e,n,r)},this.applyTransformation=function(){if(t.mounted&&t.contentComponent){var e=t.transformState,n=e.scale,r=e.positionX,o=e.positionY,i=t.handleTransformStyles(r,o,n);t.contentComponent.style.transform=i}},this.getContext=function(){return or(t)},this.onChange=function(e){return t.onChangeCallbacks.has(e)||t.onChangeCallbacks.add(e),function(){t.onChangeCallbacks.delete(e)}},this.onInit=function(e){return t.onInitCallbacks.has(e)||t.onInitCallbacks.add(e),function(){t.onInitCallbacks.delete(e)}},this.init=function(e,n){t.cleanupWindowEvents(),t.wrapperComponent=e,t.contentComponent=n,Bn(t,t.transformState.scale),t.handleInitializeWrapperEvents(e),t.handleInitialize(n),t.initializeWindowEvents(),t.isInitialized=!0;var r=or(t);yn(r,void 0,t.props.onInit)},this.props=e,this.setup=Yn(this.props),this.transformState=Vn(this.props)},mr=d().createContext(null),gr=d().forwardRef((function(e,t){var n,r,o=(0,u.useRef)(new hr(e)).current,i=(n=e.children,r=rr(o),"function"==typeof n?n(r):n);return(0,u.useImperativeHandle)(t,(function(){return rr(o)}),[o]),(0,u.useEffect)((function(){o.update(e)}),[o,e]),d().createElement(mr.Provider,{value:o},i)}));d().forwardRef((function(e,t){var n,r=(0,u.useRef)(null),o=(0,u.useContext)(mr);return(0,u.useEffect)((function(){return o.onChange((function(e){r.current&&(r.current.style.transform=o.handleTransformStyles(0,0,1/e.instance.transformState.scale))}))}),[o]),d().createElement("div",Gn({},e,{ref:(n=[r,t],function(e){n.forEach((function(t){"function"==typeof t?t(e):null!=t&&(t.current=e)}))})}))}));!function(e,t){void 0===t&&(t={});var n=t.insertAt;if(e&&"undefined"!=typeof document){var r=document.head||document.getElementsByTagName("head")[0],o=document.createElement("style");o.type="text/css","top"===n&&r.firstChild?r.insertBefore(o,r.firstChild):r.appendChild(o),o.styleSheet?o.styleSheet.cssText=e:o.appendChild(document.createTextNode(e))}}(".transform-component-module_wrapper__SPB86 {\n  position: relative;\n  width: -moz-fit-content;\n  width: fit-content;\n  height: -moz-fit-content;\n  height: fit-content;\n  overflow: hidden;\n  -webkit-touch-callout: none; /* iOS Safari */\n  -webkit-user-select: none; /* Safari */\n  -khtml-user-select: none; /* Konqueror HTML */\n  -moz-user-select: none; /* Firefox */\n  -ms-user-select: none; /* Internet Explorer/Edge */\n  user-select: none;\n  margin: 0;\n  padding: 0;\n}\n.transform-component-module_content__FBWxo {\n  display: flex;\n  flex-wrap: wrap;\n  width: -moz-fit-content;\n  width: fit-content;\n  height: -moz-fit-content;\n  height: fit-content;\n  margin: 0;\n  padding: 0;\n  transform-origin: 0% 0%;\n}\n.transform-component-module_content__FBWxo img {\n  pointer-events: none;\n}\n");var vr=function(e){var t=e.children,n=e.wrapperClass,r=void 0===n?"":n,o=e.contentClass,i=void 0===o?"":o,a=e.wrapperStyle,s=e.contentStyle,l=e.wrapperProps,c=void 0===l?{}:l,p=e.contentProps,f=void 0===p?{}:p,h=(0,u.useContext)(mr),m=h.init,g=h.cleanupWindowEvents,v=(0,u.useRef)(null),b=(0,u.useRef)(null);return(0,u.useEffect)((function(){var e=v.current,t=b.current;return null!==e&&null!==t&&m&&(null==m||m(e,t)),function(){null==g||g()}}),[]),d().createElement("div",Gn({},c,{ref:v,className:"".concat(Hn," ").concat("transform-component-module_wrapper__SPB86"," ").concat(r),style:a}),d().createElement("div",Gn({},f,{ref:b,className:"".concat("react-transform-component"," ").concat("transform-component-module_content__FBWxo"," ").concat(i),style:s}),t))};const br=e=>({zoom:l.css`
      [data-rmiz-modal-overlay='visible'] {
        background-color: ${e.colors.background.primary};
    `}),yr=({options:e,width:t,height:n,children:o,rowsLength:s,currentIndex:l,setCurrentIndex:p,toolbarRef:f,mediaSource:h})=>{const m=(0,c.useStyles2)(br),[g,v]=(0,u.useState)(!1),[b,y]=(0,u.useState)(!1),A=(0,u.useRef)(null),E=(0,u.useCallback)((()=>{var e;null===(e=A.current)||void 0===e||e.zoomIn()}),[]),D=(0,u.useCallback)((()=>{var e;null===(e=A.current)||void 0===e||e.zoomOut()}),[]),N=(0,u.useCallback)((()=>{var e;null===(e=A.current)||void 0===e||e.resetTransform()}),[]),P=(0,u.useCallback)((e=>{let t;"prev"===e?(t=l-1,t<0&&(t=s-1)):(t=l+1,t>s-1&&(t=0)),p(t),N()}),[p,N,l,s]);return(0,u.useEffect)((()=>{N()}),[t,n,N]),(0,u.useEffect)((()=>{let t=0;if(g){const n=e.autoPlayInterval?1e3*e.autoPlayInterval:5e3;t=window.setInterval((()=>{if(l===s-1)return e.autoPlayInfinity?void p(0):(window.clearInterval(t),void v((e=>!e)));p(l+1)}),n)}return()=>window.clearInterval(t)}),[l,g,e.autoPlayInterval,e.autoPlayInfinity,s,p]),d().createElement(d().Fragment,null,d().createElement("div",{ref:f},d().createElement(c.PageToolbar,{forceShowLeftItems:e.buttons.includes(i.NAVIGATION),leftItems:e.buttons.includes(i.NAVIGATION)?(()=>{const t=[];return e.buttons.includes(i.NAVIGATION)&&t.push(d().createElement(c.ToolbarButton,{key:"previous",icon:"backward",onClick:()=>{P("prev")},"data-testid":S,disabled:1===Math.max(s,1)},"Previous"),d().createElement("div",{key:"current"},l+1," of ",Math.max(s,1)),d().createElement(c.ToolbarButton,{key:"next",icon:"forward",onClick:()=>{P("next")},"data-testid":C,disabled:1===Math.max(s,1)},"Next")),e.buttons.includes(i.AUTOPLAY)&&t.push(d().createElement(c.ToolbarButton,{key:g?"pause":"play",icon:g?"pause":l===s-1?"repeat":"play",onClick:()=>{g||l===s-1&&p(0),v((e=>!e))},"data-testid":g?x:I,disabled:1===Math.max(s,1)},g?"Pause":"Play")),t})():void 0},e.buttons.includes(i.DOWNLOAD)&&h.type===r.IMAGE&&d().createElement(c.ToolbarButton,{icon:"save",onClick:()=>{(0,Qt.saveAs)(h.url)},"data-testid":w},"Download"),e.buttons.includes(i.ZOOM)&&e.zoomType!==a.PANPINCH&&h.type===r.IMAGE&&d().createElement(c.ToolbarButton,{icon:"search-plus",onClick:()=>{y(!0)},"data-testid":B}),e.buttons.includes(i.ZOOM)&&e.zoomType===a.PANPINCH&&h.type===r.IMAGE&&d().createElement(d().Fragment,null,d().createElement(c.ToolbarButton,{icon:"search-plus",onClick:E,"data-testid":T}),d().createElement(c.ToolbarButton,{icon:"search-minus",onClick:D,"data-testid":O}),d().createElement(c.ToolbarButton,{icon:"times-circle",onClick:N,"data-testid":R})))),e.buttons.includes(i.ZOOM)&&h.type===r.IMAGE?(t=>e.zoomType===a.PANPINCH?d().createElement(gr,{ref:A,disablePadding:!0,wheel:{touchPadDisabled:!0,wheelDisabled:!0}},d().createElement(vr,null,t)):d().createElement(gn,{isZoomed:b,onZoomChange:y,zoomImg:{alt:"",src:h.url},classDialog:m.zoom},t))(o):o)},Ar=e=>({wrapper:l.css`
      position: relative;
    `,url:l.css`
      display: block;
    `,description:l.css`
      text-align: center;
      padding: ${e.spacing(.5)};
    `});var Er=f(7694),wr=f(200);function Cr(e,t){var n=(0,u.useState)((function(){return{inputs:t,result:e()}}))[0],r=(0,u.useRef)(!0),o=(0,u.useRef)(n),i=r.current||Boolean(t&&o.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,o.current.inputs)),a=i?o.current:{inputs:t,result:e()};return(0,u.useEffect)((function(){r.current=!1,o.current=a}),[a]),a.result}var xr=Cr,Ir=function(e,t){return Cr((function(){return e}),t)},Sr=function(e){var t=e.top,n=e.right,r=e.bottom,o=e.left;return{top:t,right:n,bottom:r,left:o,width:n-o,height:r-t,x:o,y:t,center:{x:(n+o)/2,y:(r+t)/2}}},Br=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},Tr=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},Or={top:0,right:0,bottom:0,left:0},Rr=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?Or:n,o=e.border,i=void 0===o?Or:o,a=e.padding,s=void 0===a?Or:a,l=Sr(Br(t,r)),c=Sr(Tr(t,i)),u=Sr(Tr(c,s));return{marginBox:l,borderBox:Sr(t),paddingBox:c,contentBox:u,margin:r,border:i,padding:s}},Dr=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(e,t){throw new Error("Invariant failed")}(),n},Nr=function(e,t){var n,r,o=e.borderBox,i=e.border,a=e.margin,s=e.padding,l=(r=t,{top:(n=o).top+r.y,left:n.left+r.x,bottom:n.bottom+r.y,right:n.right+r.x});return Rr({borderBox:l,border:i,margin:a,padding:s})},Pr=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),Nr(e,t)},Lr=function(e,t){var n={top:Dr(t.marginTop),right:Dr(t.marginRight),bottom:Dr(t.marginBottom),left:Dr(t.marginLeft)},r={top:Dr(t.paddingTop),right:Dr(t.paddingRight),bottom:Dr(t.paddingBottom),left:Dr(t.paddingLeft)},o={top:Dr(t.borderTopWidth),right:Dr(t.borderRightWidth),bottom:Dr(t.borderBottomWidth),left:Dr(t.borderLeftWidth)};return Rr({borderBox:e,margin:n,padding:r,border:o})},Mr=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return Lr(t,n)},kr=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function _r(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||kr(r)&&kr(o)))return!1;var r,o;return!0}function $r(e,t){void 0===t&&(t=_r);var n=null;function r(){for(var r=[],o=0;o<arguments.length;o++)r[o]=arguments[o];if(n&&n.lastThis===this&&t(r,n.lastArgs))return n.lastResult;var i=e.apply(this,r);return n={lastResult:i,lastArgs:r,lastThis:this},i}return r.clear=function(){n=null},r}const Fr=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,o=new Array(r),i=0;i<r;i++)o[i]=arguments[i];t=o,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var Ur=f(8102);function zr(e,t){}function Gr(){}function jr(e,t,n){const r=t.map((t=>{const r=(o=n,i=t.options,{...o,...i});var o,i;return e.addEventListener(t.eventName,t.fn,r),function(){e.removeEventListener(t.eventName,t.fn,r)}}));return function(){r.forEach((e=>{e()}))}}zr.bind(null,"warn"),zr.bind(null,"error");const Wr=!0,Hr="Invariant failed";class Vr extends Error{}function Yr(e,t){if(!e)throw new Vr(Wr?Hr:`${Hr}: ${t||""}`)}Vr.prototype.toString=function(){return this.message};class Xr extends d().Component{constructor(...e){super(...e),this.callbacks=null,this.unbind=Gr,this.onWindowError=e=>{const t=this.getCallbacks();t.isDragging()&&t.tryAbort(),e.error instanceof Vr&&e.preventDefault()},this.getCallbacks=()=>{if(!this.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return this.callbacks},this.setCallbacks=e=>{this.callbacks=e}}componentDidMount(){this.unbind=jr(window,[{eventName:"error",fn:this.onWindowError}])}componentDidCatch(e){if(!(e instanceof Vr))throw e;this.setState({})}componentWillUnmount(){this.unbind()}render(){return this.props.children(this.setCallbacks)}}const qr=e=>e+1,Zr=(e,t)=>{const n=e.droppableId===t.droppableId,r=qr(e.index),o=qr(t.index);return n?`\n      You have moved the item from position ${r}\n      to position ${o}\n    `:`\n    You have moved the item from position ${r}\n    in list ${e.droppableId}\n    to list ${t.droppableId}\n    in position ${o}\n  `},Kr=(e,t,n)=>t.droppableId===n.droppableId?`\n      The item ${e}\n      has been combined with ${n.draggableId}`:`\n      The item ${e}\n      in list ${t.droppableId}\n      has been combined with ${n.draggableId}\n      in list ${n.droppableId}\n    `,Qr=e=>`\n  The item has returned to its starting position\n  of ${qr(e.index)}\n`,Jr={dragHandleUsageInstructions:"\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n",onDragStart:e=>`\n  You have lifted an item in position ${qr(e.source.index)}\n`,onDragUpdate:e=>{const t=e.destination;if(t)return Zr(e.source,t);const n=e.combine;return n?Kr(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},onDragEnd:e=>{if("CANCEL"===e.reason)return`\n      Movement cancelled.\n      ${Qr(e.source)}\n    `;const t=e.destination,n=e.combine;return t?`\n      You have dropped the item.\n      ${Zr(e.source,t)}\n    `:n?`\n      You have dropped the item.\n      ${Kr(e.draggableId,e.source,n)}\n    `:`\n    The item has been dropped while not over a drop area.\n    ${Qr(e.source)}\n  `}};var eo=Jr;const to={x:0,y:0},no=(e,t)=>({x:e.x+t.x,y:e.y+t.y}),ro=(e,t)=>({x:e.x-t.x,y:e.y-t.y}),oo=(e,t)=>e.x===t.x&&e.y===t.y,io=e=>({x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}),ao=(e,t,n=0)=>"x"===e?{x:t,y:n}:{x:n,y:t},so=(e,t)=>Math.sqrt((t.x-e.x)**2+(t.y-e.y)**2),lo=(e,t)=>Math.min(...t.map((t=>so(e,t)))),co=e=>t=>({x:e(t.x),y:e(t.y)}),uo=(e,t)=>({top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}),po=e=>[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}],fo=(e,t)=>t&&t.shouldClipSubject?((e,t)=>{const n=Sr({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n})(t.pageMarginBox,e):Sr(e);var ho=({page:e,withPlaceholder:t,axis:n,frame:r})=>{const o=((e,t)=>t?uo(e,t.scroll.diff.displacement):e)(e.marginBox,r),i=((e,t,n)=>n&&n.increasedBy?{...e,[t.end]:e[t.end]+n.increasedBy[t.line]}:e)(o,n,t);return{page:e,withPlaceholder:t,active:fo(i,r)}},mo=(e,t)=>{e.frame||Yr(!1);const n=e.frame,r=ro(t,n.scroll.initial),o=io(r),i={...n,scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:o},max:n.scroll.max}},a=ho({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:i});return{...e,frame:i,subject:a}};const go=$r((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),vo=$r((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),bo=$r((e=>Object.values(e))),yo=$r((e=>Object.values(e)));var Ao=$r(((e,t)=>{const n=yo(t).filter((t=>e===t.descriptor.droppableId)).sort(((e,t)=>e.descriptor.index-t.descriptor.index));return n}));function Eo(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function wo(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var Co=$r(((e,t)=>t.filter((t=>t.descriptor.id!==e.descriptor.id)))),xo=(e,t)=>e.descriptor.droppableId===t.descriptor.id;const Io={point:to,value:0},So={invisible:{},visible:{},all:[]};var Bo={displaced:So,displacedBy:Io,at:null},To=(e,t)=>n=>e<=n&&n<=t,Oo=e=>{const t=To(e.top,e.bottom),n=To(e.left,e.right);return r=>{if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;const o=t(r.top)||t(r.bottom),i=n(r.left)||n(r.right);if(o&&i)return!0;const a=r.top<e.top&&r.bottom>e.bottom,s=r.left<e.left&&r.right>e.right;return!(!a||!s)||(a&&i||s&&o)}},Ro=e=>{const t=To(e.top,e.bottom),n=To(e.left,e.right);return e=>t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)};const Do={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},No={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},Po=({target:e,destination:t,viewport:n,withDroppableDisplacement:r,isVisibleThroughFrameFn:o})=>{const i=r?((e,t)=>{const n=t.frame?t.frame.scroll.diff.displacement:to;return uo(e,n)})(e,t):e;return((e,t,n)=>!!t.subject.active&&n(t.subject.active)(e))(i,t,o)&&((e,t,n)=>n(t)(e))(i,n,o)},Lo=e=>Po({...e,isVisibleThroughFrameFn:Oo}),Mo=e=>Po({...e,isVisibleThroughFrameFn:Ro}),ko=(e,t,n)=>{if("boolean"==typeof n)return n;if(!t)return!0;const{invisible:r,visible:o}=t;if(r[e])return!1;const i=o[e];return!i||i.shouldAnimate};function _o({afterDragging:e,destination:t,displacedBy:n,viewport:r,forceShouldAnimate:o,last:i}){return e.reduce((function(e,a){const s=function(e,t){const n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return Sr(Br(n,r))}(a,n),l=a.descriptor.id;if(e.all.push(l),!Lo({target:s,destination:t,viewport:r,withDroppableDisplacement:!0}))return e.invisible[a.descriptor.id]=!0,e;const c={draggableId:l,shouldAnimate:ko(l,i,o)};return e.visible[l]=c,e}),{all:[],visible:{},invisible:{}})}function $o({insideDestination:e,inHomeList:t,displacedBy:n,destination:r}){const o=function(e,t){if(!e.length)return 0;const n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(e,{inHomeList:t});return{displaced:So,displacedBy:n,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:o}}}}function Fo({draggable:e,insideDestination:t,destination:n,viewport:r,displacedBy:o,last:i,index:a,forceShouldAnimate:s}){const l=xo(e,n);if(null==a)return $o({insideDestination:t,inHomeList:l,displacedBy:o,destination:n});const c=t.find((e=>e.descriptor.index===a));if(!c)return $o({insideDestination:t,inHomeList:l,displacedBy:o,destination:n});const u=Co(e,t),d=t.indexOf(c);return{displaced:_o({afterDragging:u.slice(d),destination:n,displacedBy:o,last:i,viewport:r.frame,forceShouldAnimate:s}),displacedBy:o,at:{type:"REORDER",destination:{droppableId:n.descriptor.id,index:a}}}}function Uo(e,t){return Boolean(t.effected[e])}const zo=(e,t)=>t.margin[e.start]+t.borderBox[e.size]/2,Go=(e,t,n)=>t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2,jo=({axis:e,moveRelativeTo:t,isMoving:n})=>ao(e.line,t.marginBox[e.end]+zo(e,n),Go(e,t.marginBox,n)),Wo=({axis:e,moveRelativeTo:t,isMoving:n})=>ao(e.line,t.marginBox[e.start]-((e,t)=>t.margin[e.end]+t.borderBox[e.size]/2)(e,n),Go(e,t.marginBox,n));var Ho=(e,t)=>{const n=e.frame;return n?no(t,n.scroll.diff.displacement):t},Vo=e=>{const t=(({impact:e,draggable:t,droppable:n,draggables:r,afterCritical:o})=>{const i=t.page.borderBox.center,a=e.at;return n&&a?"REORDER"===a.type?(({impact:e,draggable:t,draggables:n,droppable:r,afterCritical:o})=>{const i=Ao(r.descriptor.id,n),a=t.page,s=r.axis;if(!i.length)return(({axis:e,moveInto:t,isMoving:n})=>ao(e.line,t.contentBox[e.start]+zo(e,n),Go(e,t.contentBox,n)))({axis:s,moveInto:r.page,isMoving:a});const{displaced:l,displacedBy:c}=e,u=l.all[0];if(u){const e=n[u];if(Uo(u,o))return Wo({axis:s,moveRelativeTo:e.page,isMoving:a});const t=Nr(e.page,c.point);return Wo({axis:s,moveRelativeTo:t,isMoving:a})}const d=i[i.length-1];if(d.descriptor.id===t.descriptor.id)return a.borderBox.center;if(Uo(d.descriptor.id,o)){const e=Nr(d.page,io(o.displacedBy.point));return jo({axis:s,moveRelativeTo:e,isMoving:a})}return jo({axis:s,moveRelativeTo:d.page,isMoving:a})})({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:o}):(({afterCritical:e,impact:t,draggables:n})=>{const r=wo(t);r||Yr(!1);const o=r.draggableId,i=n[o].page.borderBox.center,a=(({displaced:e,afterCritical:t,combineWith:n,displacedBy:r})=>{const o=Boolean(e.visible[n]||e.invisible[n]);return Uo(n,t)?o?to:io(r.point):o?r.point:to})({displaced:t.displaced,afterCritical:e,combineWith:o,displacedBy:t.displacedBy});return no(i,a)})({impact:e,draggables:r,afterCritical:o}):i})(e),n=e.droppable;return n?Ho(n,t):t},Yo=(e,t)=>{const n=ro(t,e.scroll.initial),r=io(n);return{frame:Sr({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function Xo(e,t){return e.map((e=>t[e]))}var qo=({pageBorderBoxCenter:e,draggable:t,viewport:n})=>{const r=((e,t)=>no(e.scroll.diff.displacement,t))(n,e),o=ro(r,t.page.borderBox.center);return no(t.client.borderBox.center,o)},Zo=({draggable:e,destination:t,newPageBorderBoxCenter:n,viewport:r,withDroppableDisplacement:o,onlyOnMainAxis:i=!1})=>{const a=ro(n,e.page.borderBox.center),s={target:uo(e.page.borderBox,a),destination:t,withDroppableDisplacement:o,viewport:r};return i?(e=>{return Po({...e,isVisibleThroughFrameFn:(t=e.destination.axis,e=>{const n=To(e.top,e.bottom),r=To(e.left,e.right);return e=>t===Do?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)})});var t})(s):Mo(s)},Ko=({isMovingForward:e,draggable:t,destination:n,draggables:r,previousImpact:o,viewport:i,previousPageBorderBoxCenter:a,previousClientSelection:s,afterCritical:l})=>{if(!n.isEnabled)return null;const c=Ao(n.descriptor.id,r),u=xo(t,n),d=(({isMovingForward:e,draggable:t,destination:n,insideDestination:r,previousImpact:o})=>{if(!n.isCombineEnabled)return null;if(!Eo(o))return null;function i(e){const t={type:"COMBINE",combine:{draggableId:e,droppableId:n.descriptor.id}};return{...o,at:t}}const a=o.displaced.all,s=a.length?a[0]:null;if(e)return s?i(s):null;const l=Co(t,r);if(!s)return l.length?i(l[l.length-1].descriptor.id):null;const c=l.findIndex((e=>e.descriptor.id===s));-1===c&&Yr(!1);const u=c-1;return u<0?null:i(l[u].descriptor.id)})({isMovingForward:e,draggable:t,destination:n,insideDestination:c,previousImpact:o})||(({isMovingForward:e,isInHomeList:t,draggable:n,draggables:r,destination:o,insideDestination:i,previousImpact:a,viewport:s,afterCritical:l})=>{const c=a.at;if(c||Yr(!1),"REORDER"===c.type){const r=(({isMovingForward:e,isInHomeList:t,insideDestination:n,location:r})=>{if(!n.length)return null;const o=r.index,i=e?o+1:o-1,a=n[0].descriptor.index,s=n[n.length-1].descriptor.index;return i<a||i>(t?s:s+1)?null:i})({isMovingForward:e,isInHomeList:t,location:c.destination,insideDestination:i});return null==r?null:Fo({draggable:n,insideDestination:i,destination:o,viewport:s,last:a.displaced,displacedBy:a.displacedBy,index:r})}const u=(({isMovingForward:e,destination:t,draggables:n,combine:r,afterCritical:o})=>{if(!t.isCombineEnabled)return null;const i=r.draggableId,a=n[i].descriptor.index;return Uo(i,o)?e?a:a-1:e?a+1:a})({isMovingForward:e,destination:o,displaced:a.displaced,draggables:r,combine:c.combine,afterCritical:l});return null==u?null:Fo({draggable:n,insideDestination:i,destination:o,viewport:s,last:a.displaced,displacedBy:a.displacedBy,index:u})})({isMovingForward:e,isInHomeList:u,draggable:t,draggables:r,destination:n,insideDestination:c,previousImpact:o,viewport:i,afterCritical:l});if(!d)return null;const p=Vo({impact:d,draggable:t,droppable:n,draggables:r,afterCritical:l});if(Zo({draggable:t,destination:n,newPageBorderBoxCenter:p,viewport:i.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:qo({pageBorderBoxCenter:p,draggable:t,viewport:i}),impact:d,scrollJumpRequest:null};const f=ro(p,a),h=(({impact:e,viewport:t,destination:n,draggables:r,maxScrollChange:o})=>{const i=Yo(t,no(t.scroll.current,o)),a=n.frame?mo(n,no(n.frame.scroll.current,o)):n,s=e.displaced,l=_o({afterDragging:Xo(s.all,r),destination:n,displacedBy:e.displacedBy,viewport:i.frame,last:s,forceShouldAnimate:!1}),c=_o({afterDragging:Xo(s.all,r),destination:a,displacedBy:e.displacedBy,viewport:t.frame,last:s,forceShouldAnimate:!1}),u={},d={},p=[s,l,c];return s.all.forEach((e=>{const t=function(e,t){for(let n=0;n<t.length;n++){const r=t[n].visible[e];if(r)return r}return null}(e,p);t?d[e]=t:u[e]=!0})),{...e,displaced:{all:s.all,invisible:u,visible:d}}})({impact:d,viewport:i,destination:n,draggables:r,maxScrollChange:f});return{clientSelection:s,impact:h,scrollJumpRequest:f}};const Qo=e=>{const t=e.subject.active;return t||Yr(!1),t},Jo=(e,t)=>{const n=e.page.borderBox.center;return Uo(e.descriptor.id,t)?ro(n,t.displacedBy.point):n},ei=(e,t)=>{const n=e.page.borderBox;return Uo(e.descriptor.id,t)?uo(n,io(t.displacedBy.point)):n};var ti=$r((function(e,t){const n=t[e.line];return{value:n,point:ao(e.line,n)}}));const ni=(e,t)=>({...e,scroll:{...e.scroll,max:t}}),ri=(e,t,n)=>{const r=e.frame;xo(t,e)&&Yr(!1),e.subject.withPlaceholder&&Yr(!1);const o=ti(e.axis,t.displaceBy).point,i=((e,t,n)=>{const r=e.axis;if("virtual"===e.descriptor.mode)return ao(r.line,t[r.line]);const o=e.subject.page.contentBox[r.size],i=Ao(e.descriptor.id,n).reduce(((e,t)=>e+t.client.marginBox[r.size]),0)+t[r.line]-o;return i<=0?null:ao(r.line,i)})(e,o,n),a={placeholderSize:o,increasedBy:i,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){const t=ho({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:e.frame});return{...e,subject:t}}const s=i?no(r.scroll.max,i):r.scroll.max,l=ni(r,s),c=ho({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:l});return{...e,subject:c,frame:l}};var oi=e=>{const t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},ii=({state:e,type:t})=>{const n=((e,t)=>{const n=oi(e);return n?t[n]:null})(e.impact,e.dimensions.droppables),r=Boolean(n),o=e.dimensions.droppables[e.critical.droppable.id],i=n||o,a=i.axis.direction,s="vertical"===a&&("MOVE_UP"===t||"MOVE_DOWN"===t)||"horizontal"===a&&("MOVE_LEFT"===t||"MOVE_RIGHT"===t);if(s&&!r)return null;const l="MOVE_DOWN"===t||"MOVE_RIGHT"===t,c=e.dimensions.draggables[e.critical.draggable.id],u=e.current.page.borderBoxCenter,{draggables:d,droppables:p}=e.dimensions;return s?Ko({isMovingForward:l,previousPageBorderBoxCenter:u,draggable:c,destination:i,draggables:d,viewport:e.viewport,previousClientSelection:e.current.client.selection,previousImpact:e.impact,afterCritical:e.afterCritical}):(({isMovingForward:e,previousPageBorderBoxCenter:t,draggable:n,isOver:r,draggables:o,droppables:i,viewport:a,afterCritical:s})=>{const l=(({isMovingForward:e,pageBorderBoxCenter:t,source:n,droppables:r,viewport:o})=>{const i=n.subject.active;if(!i)return null;const a=n.axis,s=To(i[a.start],i[a.end]),l=bo(r).filter((e=>e!==n)).filter((e=>e.isEnabled)).filter((e=>Boolean(e.subject.active))).filter((e=>Oo(o.frame)(Qo(e)))).filter((t=>{const n=Qo(t);return e?i[a.crossAxisEnd]<n[a.crossAxisEnd]:n[a.crossAxisStart]<i[a.crossAxisStart]})).filter((e=>{const t=Qo(e),n=To(t[a.start],t[a.end]);return s(t[a.start])||s(t[a.end])||n(i[a.start])||n(i[a.end])})).sort(((t,n)=>{const r=Qo(t)[a.crossAxisStart],o=Qo(n)[a.crossAxisStart];return e?r-o:o-r})).filter(((e,t,n)=>Qo(e)[a.crossAxisStart]===Qo(n[0])[a.crossAxisStart]));if(!l.length)return null;if(1===l.length)return l[0];const c=l.filter((e=>To(Qo(e)[a.start],Qo(e)[a.end])(t[a.line])));return 1===c.length?c[0]:c.length>1?c.sort(((e,t)=>Qo(e)[a.start]-Qo(t)[a.start]))[0]:l.sort(((e,n)=>{const r=lo(t,po(Qo(e))),o=lo(t,po(Qo(n)));return r!==o?r-o:Qo(e)[a.start]-Qo(n)[a.start]}))[0]})({isMovingForward:e,pageBorderBoxCenter:t,source:r,droppables:i,viewport:a});if(!l)return null;const c=Ao(l.descriptor.id,o),u=(({pageBorderBoxCenter:e,viewport:t,destination:n,insideDestination:r,afterCritical:o})=>{const i=r.filter((e=>Mo({target:ei(e,o),destination:n,viewport:t.frame,withDroppableDisplacement:!0}))).sort(((t,r)=>{const i=so(e,Ho(n,Jo(t,o))),a=so(e,Ho(n,Jo(r,o)));return i<a?-1:a<i?1:t.descriptor.index-r.descriptor.index}));return i[0]||null})({pageBorderBoxCenter:t,viewport:a,destination:l,insideDestination:c,afterCritical:s}),d=(({previousPageBorderBoxCenter:e,moveRelativeTo:t,insideDestination:n,draggable:r,draggables:o,destination:i,viewport:a,afterCritical:s})=>{if(!t){if(n.length)return null;const e={displaced:So,displacedBy:Io,at:{type:"REORDER",destination:{droppableId:i.descriptor.id,index:0}}},t=Vo({impact:e,draggable:r,droppable:i,draggables:o,afterCritical:s}),l=xo(r,i)?i:ri(i,r,o);return Zo({draggable:r,destination:l,newPageBorderBoxCenter:t,viewport:a.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?e:null}const l=Boolean(e[i.axis.line]<=t.page.borderBox.center[i.axis.line]),c=(()=>{const e=t.descriptor.index;return t.descriptor.id===r.descriptor.id||l?e:e+1})(),u=ti(i.axis,r.displaceBy);return Fo({draggable:r,insideDestination:n,destination:i,viewport:a,displacedBy:u,last:So,index:c})})({previousPageBorderBoxCenter:t,destination:l,draggable:n,draggables:o,moveRelativeTo:u,insideDestination:c,viewport:a,afterCritical:s});if(!d)return null;const p=Vo({impact:d,draggable:n,droppable:l,draggables:o,afterCritical:s});return{clientSelection:qo({pageBorderBoxCenter:p,draggable:n,viewport:a}),impact:d,scrollJumpRequest:null}})({isMovingForward:l,previousPageBorderBoxCenter:u,draggable:c,isOver:i,draggables:d,droppables:p,viewport:e.viewport,afterCritical:e.afterCritical})};function ai(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function si(e){const t=To(e.top,e.bottom),n=To(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}const li=(e,t)=>Sr(uo(e,t));function ci({displaced:e,id:t}){return Boolean(e.visible[t]||e.invisible[t])}var ui=({pageOffset:e,draggable:t,draggables:n,droppables:r,previousImpact:o,viewport:i,afterCritical:a})=>{const s=li(t.page.borderBox,e),l=function({pageBorderBox:e,draggable:t,droppables:n}){const r=bo(n).filter((t=>{if(!t.isEnabled)return!1;const n=t.subject.active;if(!n)return!1;if(o=n,!((r=e).left<o.right&&r.right>o.left&&r.top<o.bottom&&r.bottom>o.top))return!1;var r,o;if(si(n)(e.center))return!0;const i=t.axis,a=n.center[i.crossAxisLine],s=e[i.crossAxisStart],l=e[i.crossAxisEnd],c=To(n[i.crossAxisStart],n[i.crossAxisEnd]),u=c(s),d=c(l);return!u&&!d||(u?s<a:l>a)}));return r.length?1===r.length?r[0].descriptor.id:function({pageBorderBox:e,draggable:t,candidates:n}){const r=t.page.borderBox.center,o=n.map((t=>{const n=t.axis,o=ao(t.axis.line,e.center[n.line],t.page.borderBox.center[n.crossAxisLine]);return{id:t.descriptor.id,distance:so(r,o)}})).sort(((e,t)=>t.distance-e.distance));return o[0]?o[0].id:null}({pageBorderBox:e,draggable:t,candidates:r}):null}({pageBorderBox:s,draggable:t,droppables:r});if(!l)return Bo;const c=r[l],u=Ao(c.descriptor.id,n),d=((e,t)=>{const n=e.frame;return n?li(t,n.scroll.diff.value):t})(c,s);return(({draggable:e,pageBorderBoxWithDroppableScroll:t,previousImpact:n,destination:r,insideDestination:o,afterCritical:i})=>{if(!r.isCombineEnabled)return null;const a=r.axis,s=ti(r.axis,e.displaceBy),l=s.value,c=t[a.start],u=t[a.end],d=Co(e,o).find((e=>{const t=e.descriptor.id,r=e.page.borderBox,o=r[a.size]/4,s=Uo(t,i),d=ci({displaced:n.displaced,id:t});return s?d?u>r[a.start]+o&&u<r[a.end]-o:c>r[a.start]-l+o&&c<r[a.end]-l-o:d?u>r[a.start]+l+o&&u<r[a.end]+l-o:c>r[a.start]+o&&c<r[a.end]-o}));return d?{displacedBy:s,displaced:n.displaced,at:{type:"COMBINE",combine:{draggableId:d.descriptor.id,droppableId:r.descriptor.id}}}:null})({pageBorderBoxWithDroppableScroll:d,draggable:t,previousImpact:o,destination:c,insideDestination:u,afterCritical:a})||(({pageBorderBoxWithDroppableScroll:e,draggable:t,destination:n,insideDestination:r,last:o,viewport:i,afterCritical:a})=>{const s=n.axis,l=ti(n.axis,t.displaceBy),c=l.value,u=e[s.start],d=e[s.end],p=function({draggable:e,closest:t,inHomeList:n}){return t?n&&t.descriptor.index>e.descriptor.index?t.descriptor.index-1:t.descriptor.index:null}({draggable:t,closest:Co(t,r).find((e=>{const t=e.descriptor.id,n=e.page.borderBox.center[s.line],r=Uo(t,a),i=ci({displaced:o,id:t});return r?i?d<=n:u<n-c:i?d<=n+c:u<n}))||null,inHomeList:xo(t,n)});return Fo({draggable:t,insideDestination:r,destination:n,viewport:i,last:o,displacedBy:l,index:p})})({pageBorderBoxWithDroppableScroll:d,draggable:t,destination:c,insideDestination:u,last:o.displaced,viewport:i,afterCritical:a})},di=(e,t)=>({...e,[t.descriptor.id]:t});var pi=({state:e,clientSelection:t,dimensions:n,viewport:r,impact:o,scrollJumpRequest:i})=>{const a=r||e.viewport,s=n||e.dimensions,l=t||e.current.client.selection,c=ro(l,e.initial.client.selection),u={offset:c,selection:l,borderBoxCenter:no(e.initial.client.borderBoxCenter,c)},d={selection:no(u.selection,a.scroll.current),borderBoxCenter:no(u.borderBoxCenter,a.scroll.current),offset:no(u.offset,a.scroll.diff.value)},p={client:u,page:d};if("COLLECTING"===e.phase)return{...e,dimensions:s,viewport:a,current:p};const f=s.draggables[e.critical.draggable.id],h=o||ui({pageOffset:d.offset,draggable:f,draggables:s.draggables,droppables:s.droppables,previousImpact:e.impact,viewport:a,afterCritical:e.afterCritical}),m=(({draggable:e,draggables:t,droppables:n,previousImpact:r,impact:o})=>{const i=(({previousImpact:e,impact:t,droppables:n})=>{const r=oi(e),o=oi(t);if(!r)return n;if(r===o)return n;const i=n[r];if(!i.subject.withPlaceholder)return n;const a=(e=>{const t=e.subject.withPlaceholder;t||Yr(!1);const n=e.frame;if(!n){const t=ho({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return{...e,subject:t}}const r=t.oldFrameMaxScroll;r||Yr(!1);const o=ni(n,r),i=ho({page:e.subject.page,axis:e.axis,frame:o,withPlaceholder:null});return{...e,subject:i,frame:o}})(i);return di(n,a)})({previousImpact:r,impact:o,droppables:n}),a=oi(o);if(!a)return i;const s=n[a];if(xo(e,s))return i;if(s.subject.withPlaceholder)return i;const l=ri(s,e,t);return di(i,l)})({draggable:f,impact:h,previousImpact:e.impact,draggables:s.draggables,droppables:s.droppables});return{...e,current:p,dimensions:{draggables:s.draggables,droppables:m},impact:h,viewport:a,scrollJumpRequest:i||null,forceShouldAnimate:!i&&null}},fi=({impact:e,viewport:t,draggables:n,destination:r,forceShouldAnimate:o})=>{const i=e.displaced,a=function(e,t){return e.map((e=>t[e]))}(i.all,n),s=_o({afterDragging:a,destination:r,displacedBy:e.displacedBy,viewport:t.frame,forceShouldAnimate:o,last:i});return{...e,displaced:s}},hi=({impact:e,draggable:t,droppable:n,draggables:r,viewport:o,afterCritical:i})=>{const a=Vo({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:i});return qo({pageBorderBoxCenter:a,draggable:t,viewport:o})},mi=({state:e,dimensions:t,viewport:n})=>{"SNAP"!==e.movementMode&&Yr(!1);const r=e.impact,o=n||e.viewport,i=t||e.dimensions,{draggables:a,droppables:s}=i,l=a[e.critical.draggable.id],c=oi(r);c||Yr(!1);const u=s[c],d=fi({impact:r,viewport:o,destination:u,draggables:a}),p=hi({impact:d,draggable:l,droppable:u,draggables:a,viewport:o,afterCritical:e.afterCritical});return pi({impact:d,clientSelection:p,state:e,dimensions:i,viewport:o})},gi=({draggable:e,home:t,draggables:n,viewport:r})=>{const o=ti(t.axis,e.displaceBy),i=Ao(t.descriptor.id,n),a=i.indexOf(e);-1===a&&Yr(!1);const s=i.slice(a+1),l=s.reduce(((e,t)=>(e[t.descriptor.id]=!0,e)),{}),c={inVirtualList:"virtual"===t.descriptor.mode,displacedBy:o,effected:l};var u;return{impact:{displaced:_o({afterDragging:s,destination:t,displacedBy:o,last:null,viewport:r.frame,forceShouldAnimate:!1}),displacedBy:o,at:{type:"REORDER",destination:(u=e.descriptor,{index:u.index,droppableId:u.droppableId})}},afterCritical:c}};const vi=e=>"SNAP"===e.movementMode,bi=(e,t,n)=>{const r=((e,t)=>({draggables:e.draggables,droppables:di(e.droppables,t)}))(e.dimensions,t);return!vi(e)||n?pi({state:e,dimensions:r}):mi({state:e,dimensions:r})};function yi(e){return e.isDragging&&"SNAP"===e.movementMode?{...e,scrollJumpRequest:null}:e}const Ai={phase:"IDLE",completed:null,shouldFlush:!1};var Ei=(e=Ai,t)=>{if("FLUSH"===t.type)return{...Ai,shouldFlush:!0};if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&Yr(!1);const{critical:n,clientSelection:r,viewport:o,dimensions:i,movementMode:a}=t.payload,s=i.draggables[n.draggable.id],l=i.droppables[n.droppable.id],c={selection:r,borderBoxCenter:s.client.borderBox.center,offset:to},u={client:c,page:{selection:no(c.selection,o.scroll.initial),borderBoxCenter:no(c.selection,o.scroll.initial),offset:no(c.selection,o.scroll.diff.value)}},d=bo(i.droppables).every((e=>!e.isFixedOnPage)),{impact:p,afterCritical:f}=gi({draggable:s,home:l,draggables:i.draggables,viewport:o});return{phase:"DRAGGING",isDragging:!0,critical:n,movementMode:a,dimensions:i,initial:u,current:u,isWindowScrollAllowed:d,impact:p,afterCritical:f,onLiftImpact:p,viewport:o,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&Yr(!1),{...e,phase:"COLLECTING"});if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&Yr(!1),(({state:e,published:t})=>{const n=t.modified.map((t=>{const n=e.dimensions.droppables[t.droppableId];return mo(n,t.scroll)})),r={...e.dimensions.droppables,...go(n)},o=vo((({additions:e,updatedDroppables:t,viewport:n})=>{const r=n.scroll.diff.value;return e.map((e=>{const o=e.descriptor.droppableId,i=(e=>{const t=e.frame;return t||Yr(!1),t})(t[o]),a=i.scroll.diff.value,s=(({draggable:e,offset:t,initialWindowScroll:n})=>{const r=Nr(e.client,t),o=Pr(r,n);return{...e,placeholder:{...e.placeholder,client:r},client:r,page:o}})({draggable:e,offset:no(r,a),initialWindowScroll:n.scroll.initial});return s}))})({additions:t.additions,updatedDroppables:r,viewport:e.viewport})),i={...e.dimensions.draggables,...o};t.removals.forEach((e=>{delete i[e]}));const a={droppables:r,draggables:i},s=oi(e.impact),l=s?a.droppables[s]:null,c=a.draggables[e.critical.draggable.id],u=a.droppables[e.critical.droppable.id],{impact:d,afterCritical:p}=gi({draggable:c,home:u,draggables:i,viewport:e.viewport}),f=l&&l.isCombineEnabled?e.impact:d,h=ui({pageOffset:e.current.page.offset,draggable:a.draggables[e.critical.draggable.id],draggables:a.draggables,droppables:a.droppables,previousImpact:f,viewport:e.viewport,afterCritical:p}),m={...e,phase:"DRAGGING",impact:h,onLiftImpact:d,dimensions:a,afterCritical:p,forceShouldAnimate:!1};return"COLLECTING"===e.phase?m:{...m,phase:"DROP_PENDING",reason:e.reason,isWaiting:!1}})({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;ai(e)||Yr(!1);const{client:n}=t.payload;return oo(n,e.current.client.selection)?e:pi({state:e,clientSelection:n,impact:vi(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return yi(e);if("COLLECTING"===e.phase)return yi(e);ai(e)||Yr(!1);const{id:n,newScroll:r}=t.payload,o=e.dimensions.droppables[n];if(!o)return e;const i=mo(o,r);return bi(e,i,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;ai(e)||Yr(!1);const{id:n,isEnabled:r}=t.payload,o=e.dimensions.droppables[n];o||Yr(!1),o.isEnabled===r&&Yr(!1);const i={...o,isEnabled:r};return bi(e,i,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;ai(e)||Yr(!1);const{id:n,isCombineEnabled:r}=t.payload,o=e.dimensions.droppables[n];o||Yr(!1),o.isCombineEnabled===r&&Yr(!1);const i={...o,isCombineEnabled:r};return bi(e,i,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;ai(e)||Yr(!1),e.isWindowScrollAllowed||Yr(!1);const n=t.payload.newScroll;if(oo(e.viewport.scroll.current,n))return yi(e);const r=Yo(e.viewport,n);return vi(e)?mi({state:e,viewport:r}):pi({state:e,viewport:r})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!ai(e))return e;const n=t.payload.maxScroll;if(oo(n,e.viewport.scroll.max))return e;const r={...e.viewport,scroll:{...e.viewport.scroll,max:n}};return{...e,viewport:r}}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&Yr(!1);const n=ii({state:e,type:t.type});return n?pi({state:e,impact:n.impact,clientSelection:n.clientSelection,scrollJumpRequest:n.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){const n=t.payload.reason;return"COLLECTING"!==e.phase&&Yr(!1),{...e,phase:"DROP_PENDING",isWaiting:!0,reason:n}}if("DROP_ANIMATE"===t.type){const{completed:n,dropDuration:r,newHomeClientOffset:o}=t.payload;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&Yr(!1),{phase:"DROP_ANIMATING",completed:n,dropDuration:r,newHomeClientOffset:o,dimensions:e.dimensions}}if("DROP_COMPLETE"===t.type){const{completed:e}=t.payload;return{phase:"IDLE",completed:e,shouldFlush:!1}}return e};const wi=e=>({type:"LIFT",payload:e}),Ci=e=>({type:"PUBLISH_WHILE_DRAGGING",payload:e}),xi=()=>({type:"COLLECTION_STARTING",payload:null}),Ii=e=>({type:"UPDATE_DROPPABLE_SCROLL",payload:e}),Si=e=>({type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}),Bi=e=>({type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}),Ti=e=>({type:"MOVE",payload:e}),Oi=()=>({type:"MOVE_UP",payload:null}),Ri=()=>({type:"MOVE_DOWN",payload:null}),Di=()=>({type:"MOVE_RIGHT",payload:null}),Ni=()=>({type:"MOVE_LEFT",payload:null}),Pi=()=>({type:"FLUSH",payload:null}),Li=e=>({type:"DROP_COMPLETE",payload:e}),Mi=e=>({type:"DROP",payload:e}),ki="cubic-bezier(.2,1,.1,1)",_i=0,$i=.7,Fi=.75,Ui={outOfTheWay:.2,minDropTime:.33,maxDropTime:.55},zi=`${Ui.outOfTheWay}s cubic-bezier(0.2, 0, 0, 1)`,Gi={fluid:`opacity ${zi}`,snap:`transform ${zi}, opacity ${zi}`,drop:e=>{const t=`${e}s ${ki}`;return`transform ${t}, opacity ${t}`},outOfTheWay:`transform ${zi}`,placeholder:`height ${zi}, width ${zi}, margin ${zi}`},ji=e=>oo(e,to)?void 0:`translate(${e.x}px, ${e.y}px)`,Wi=ji,Hi=(e,t)=>{const n=ji(e);if(n)return t?`${n} scale(${Fi})`:n},{minDropTime:Vi,maxDropTime:Yi}=Ui,Xi=Yi-Vi;var qi=({getState:e,dispatch:t})=>n=>r=>{if("DROP"!==r.type)return void n(r);const o=e(),i=r.payload.reason;if("COLLECTING"===o.phase)return void t((a={reason:i},{type:"DROP_PENDING",payload:a}));var a;if("IDLE"===o.phase)return;"DROP_PENDING"===o.phase&&o.isWaiting&&Yr(!1),"DRAGGING"!==o.phase&&"DROP_PENDING"!==o.phase&&Yr(!1);const s=o.critical,l=o.dimensions,c=l.draggables[o.critical.draggable.id],{impact:u,didDropInsideDroppable:d}=(({draggables:e,reason:t,lastImpact:n,home:r,viewport:o,onLiftImpact:i})=>n.at&&"DROP"===t?"REORDER"===n.at.type?{impact:n,didDropInsideDroppable:!0}:{impact:{...n,displaced:So},didDropInsideDroppable:!0}:{impact:fi({draggables:e,impact:i,destination:r,viewport:o,forceShouldAnimate:!0}),didDropInsideDroppable:!1})({reason:i,lastImpact:o.impact,afterCritical:o.afterCritical,onLiftImpact:o.onLiftImpact,home:o.dimensions.droppables[o.critical.droppable.id],viewport:o.viewport,draggables:o.dimensions.draggables}),p=d?Eo(u):null,f=d?wo(u):null,h={index:s.draggable.index,droppableId:s.droppable.id},m={draggableId:c.descriptor.id,type:c.descriptor.type,source:h,reason:i,mode:o.movementMode,destination:p,combine:f},g=(({impact:e,draggable:t,dimensions:n,viewport:r,afterCritical:o})=>{const{draggables:i,droppables:a}=n,s=oi(e),l=s?a[s]:null,c=a[t.descriptor.droppableId],u=hi({impact:e,draggable:t,draggables:i,afterCritical:o,droppable:l||c,viewport:r});return ro(u,t.client.borderBox.center)})({impact:u,draggable:c,dimensions:l,viewport:o.viewport,afterCritical:o.afterCritical}),v={critical:o.critical,afterCritical:o.afterCritical,result:m,impact:u};if(oo(o.current.client.offset,g)&&!Boolean(m.combine))return void t(Li({completed:v}));const b=(({current:e,destination:t,reason:n})=>{const r=so(e,t);if(r<=0)return Vi;if(r>=1500)return Yi;const o=Vi+Xi*(r/1500);return Number(("CANCEL"===n?.6*o:o).toFixed(2))})({current:o.current.client.offset,destination:g,reason:i});t((e=>({type:"DROP_ANIMATE",payload:e}))({newHomeClientOffset:g,dropDuration:b,completed:v}))},Zi=()=>({x:window.pageXOffset,y:window.pageYOffset});var Ki=e=>{const t=function({onWindowScroll:e}){const t=Fr((function(){e(Zi())})),n=(r=t,{eventName:"scroll",options:{passive:!0,capture:!1},fn:e=>{e.target!==window&&e.target!==window.document||r()}});var r;let o=Gr;function i(){return o!==Gr}return{start:function(){i()&&Yr(!1),o=jr(window,[n])},stop:function(){i()||Yr(!1),t.cancel(),o(),o=Gr},isActive:i}}({onWindowScroll:t=>{e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return e=>n=>{t.isActive()||"INITIAL_PUBLISH"!==n.type||t.start(),t.isActive()&&(e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(n)&&t.stop(),e(n)}};const Qi=(e,t)=>{t()},Ji=(e,t)=>({draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t});function ea(e,t,n,r){if(!e)return void n(r(t));const o=(e=>{let t=!1,n=!1;const r=setTimeout((()=>{n=!0})),o=o=>{t||n||(t=!0,e(o),clearTimeout(r))};return o.wasCalled=()=>t,o})(n);e(t,{announce:o}),o.wasCalled()||n(r(t))}var ta=(e,t)=>{const n=((e,t)=>{const n=(()=>{const e=[];return{add:t=>{const n=setTimeout((()=>(t=>{const n=e.findIndex((e=>e.timerId===t));-1===n&&Yr(!1);const[r]=e.splice(n,1);r.callback()})(n))),r={timerId:n,callback:t};e.push(r)},flush:()=>{if(!e.length)return;const t=[...e];e.length=0,t.forEach((e=>{clearTimeout(e.timerId),e.callback()}))}}})();let r=null;const o=n=>{r||Yr(!1),r=null,Qi(0,(()=>ea(e().onDragEnd,n,t,eo.onDragEnd)))};return{beforeCapture:(t,n)=>{r&&Yr(!1),Qi(0,(()=>{const r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:(t,n)=>{r&&Yr(!1),Qi(0,(()=>{const r=e().onBeforeDragStart;r&&r(Ji(t,n))}))},start:(o,i)=>{r&&Yr(!1);const a=Ji(o,i);r={mode:i,lastCritical:o,lastLocation:a.source,lastCombine:null},n.add((()=>{Qi(0,(()=>ea(e().onDragStart,a,t,eo.onDragStart)))}))},update:(o,i)=>{const a=Eo(i),s=wo(i);r||Yr(!1);const l=!((e,t)=>{if(e===t)return!0;const n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r})(o,r.lastCritical);l&&(r.lastCritical=o);const c=(d=a,!(null==(u=r.lastLocation)&&null==d||null!=u&&null!=d&&u.droppableId===d.droppableId&&u.index===d.index));var u,d;c&&(r.lastLocation=a);const p=!((e,t)=>null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId)(r.lastCombine,s);if(p&&(r.lastCombine=s),!l&&!c&&!p)return;const f={...Ji(o,r.mode),combine:s,destination:a};n.add((()=>{Qi(0,(()=>ea(e().onDragUpdate,f,t,eo.onDragUpdate)))}))},flush:()=>{r||Yr(!1),n.flush()},drop:o,abort:()=>{if(!r)return;const e={...Ji(r.lastCritical,r.mode),combine:null,destination:null,reason:"CANCEL"};o(e)}}})(e,t);return e=>t=>r=>{if("BEFORE_INITIAL_CAPTURE"===r.type)return void n.beforeCapture(r.payload.draggableId,r.payload.movementMode);if("INITIAL_PUBLISH"===r.type){const e=r.payload.critical;return n.beforeStart(e,r.payload.movementMode),t(r),void n.start(e,r.payload.movementMode)}if("DROP_COMPLETE"===r.type){const e=r.payload.completed.result;return n.flush(),t(r),void n.drop(e)}if(t(r),"FLUSH"===r.type)return void n.abort();const o=e.getState();"DRAGGING"===o.phase&&n.update(o.critical,o.impact)}},na=e=>t=>n=>{if("DROP_ANIMATION_FINISHED"!==n.type)return void t(n);const r=e.getState();"DROP_ANIMATING"!==r.phase&&Yr(!1),e.dispatch(Li({completed:r.completed}))},ra=e=>{let t=null,n=null;return r=>o=>{if("FLUSH"!==o.type&&"DROP_COMPLETE"!==o.type&&"DROP_ANIMATION_FINISHED"!==o.type||(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(o),"DROP_ANIMATE"!==o.type)return;const i={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((()=>{n=null,t=jr(window,[i])}))}},oa=e=>t=>n=>{if(t(n),"PUBLISH_WHILE_DRAGGING"!==n.type)return;const r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(Mi({reason:r.reason})))};const ia=Er.compose;var aa=({dimensionMarshal:e,focusMarshal:t,styleMarshal:n,getResponders:r,announce:o,autoScroller:i})=>{return(0,Er.createStore)(Ei,ia((0,Er.applyMiddleware)((a=n,()=>e=>t=>{"INITIAL_PUBLISH"===t.type&&a.dragging(),"DROP_ANIMATE"===t.type&&a.dropping(t.payload.completed.result.reason),"FLUSH"!==t.type&&"DROP_COMPLETE"!==t.type||a.resting(),e(t)}),(e=>()=>t=>n=>{"DROP_COMPLETE"!==n.type&&"FLUSH"!==n.type&&"DROP_ANIMATE"!==n.type||e.stopPublishing(),t(n)})(e),(e=>({getState:t,dispatch:n})=>r=>o=>{if("LIFT"!==o.type)return void r(o);const{id:i,clientSelection:a,movementMode:s}=o.payload,l=t();"DROP_ANIMATING"===l.phase&&n(Li({completed:l.completed})),"IDLE"!==t().phase&&Yr(!1),n(Pi()),n({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:i,movementMode:s}});const c={draggableId:i,scrollOptions:{shouldPublishImmediately:"SNAP"===s}},{critical:u,dimensions:d,viewport:p}=e.startPublishing(c);n({type:"INITIAL_PUBLISH",payload:{critical:u,dimensions:d,clientSelection:a,movementMode:s,viewport:p}})})(e),qi,na,ra,oa,(e=>t=>n=>r=>{if((e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(r))return e.stop(),void n(r);if("INITIAL_PUBLISH"===r.type){n(r);const o=t.getState();return"DRAGGING"!==o.phase&&Yr(!1),void e.start(o)}n(r),e.scroll(t.getState())})(i),Ki,(e=>{let t=!1;return()=>n=>r=>{if("INITIAL_PUBLISH"===r.type)return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if("FLUSH"===r.type)return t=!1,void e.tryRestoreFocusRecorded();if("DROP_COMPLETE"===r.type){t=!1;const n=r.payload.completed.result;n.combine&&e.tryShiftRecord(n.draggableId,n.combine.draggableId),e.tryRestoreFocusRecorded()}}}})(t),ta(r,o))));var a},sa=({scrollHeight:e,scrollWidth:t,height:n,width:r})=>{const o=ro({x:t,y:e},{x:r,y:n});return{x:Math.max(0,o.x),y:Math.max(0,o.y)}},la=()=>{const e=document.documentElement;return e||Yr(!1),e},ca=()=>{const e=la();return sa({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function ua(e,t,n){return n.descriptor.id!==t.id&&(n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode)}var da=(e,t)=>{let n=null;const r=function({registry:e,callbacks:t}){let n={additions:{},removals:{},modified:{}},r=null;const o=()=>{r||(t.collectionStarting(),r=requestAnimationFrame((()=>{r=null;const{additions:o,removals:i,modified:a}=n,s=Object.keys(o).map((t=>e.draggable.getById(t).getDimension(to))).sort(((e,t)=>e.descriptor.index-t.descriptor.index)),l=Object.keys(a).map((t=>({droppableId:t,scroll:e.droppable.getById(t).callbacks.getScrollWhileDragging()}))),c={additions:s,removals:Object.keys(i),modified:l};n={additions:{},removals:{},modified:{}},t.publish(c)})))};return{add:e=>{const t=e.descriptor.id;n.additions[t]=e,n.modified[e.descriptor.droppableId]=!0,n.removals[t]&&delete n.removals[t],o()},remove:e=>{const t=e.descriptor;n.removals[t.id]=!0,n.modified[t.droppableId]=!0,n.additions[t.id]&&delete n.additions[t.id],o()},stop:()=>{r&&(cancelAnimationFrame(r),r=null,n={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),o=t=>{n||Yr(!1);const o=n.critical.draggable;"ADDITION"===t.type&&ua(e,o,t.value)&&r.add(t.value),"REMOVAL"===t.type&&ua(e,o,t.value)&&r.remove(t.value)},i={updateDroppableIsEnabled:(r,o)=>{e.droppable.exists(r)||Yr(!1),n&&t.updateDroppableIsEnabled({id:r,isEnabled:o})},updateDroppableIsCombineEnabled:(r,o)=>{n&&(e.droppable.exists(r)||Yr(!1),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:o}))},scrollDroppable:(t,r)=>{n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:(r,o)=>{n&&(e.droppable.exists(r)||Yr(!1),t.updateDroppableScroll({id:r,newScroll:o}))},startPublishing:t=>{n&&Yr(!1);const r=e.draggable.getById(t.draggableId),i=e.droppable.getById(r.descriptor.droppableId),a={draggable:r.descriptor,droppable:i.descriptor},s=e.subscribe(o);return n={critical:a,unsubscribe:s},(({critical:e,scrollOptions:t,registry:n})=>{const r=(()=>{const e=Zi(),t=ca(),n=e.y,r=e.x,o=la(),i=o.clientWidth,a=o.clientHeight;return{frame:Sr({top:n,left:r,right:r+i,bottom:n+a}),scroll:{initial:e,current:e,max:t,diff:{value:to,displacement:to}}}})(),o=r.scroll.current,i=e.droppable,a=n.droppable.getAllByType(i.type).map((e=>e.callbacks.getDimensionAndWatchScroll(o,t))),s=n.draggable.getAllByType(e.draggable.type).map((e=>e.getDimension(o)));return{dimensions:{draggables:vo(s),droppables:go(a)},critical:e,viewport:r}})({critical:a,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:()=>{if(!n)return;r.stop();const t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((e=>e.callbacks.dragStopped())),n.unsubscribe(),n=null}};return i},pa=(e,t)=>"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason,fa=e=>{window.scrollBy(e.x,e.y)};const ha=$r((e=>bo(e).filter((e=>!!e.isEnabled&&!!e.frame))));const ma={startFromPercentage:.25,maxScrollAtPercentage:.05,maxPixelScroll:28,ease:e=>e**2,durationDampening:{stopDampeningAt:1200,accelerateAt:360},disabled:!1};var ga=({startOfRange:e,endOfRange:t,current:n})=>{const r=t-e;return 0===r?0:(n-e)/r},va=({distanceToEdge:e,thresholds:t,dragStartTime:n,shouldUseTimeDampening:r,getAutoScrollerOptions:o})=>{const i=((e,t,n=()=>ma)=>{const r=n();if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return r.maxPixelScroll;if(e===t.startScrollingFrom)return 1;const o=1-ga({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),i=r.maxPixelScroll*r.ease(o);return Math.ceil(i)})(e,t,o);return 0===i?0:r?Math.max(((e,t,n)=>{const r=n(),o=r.durationDampening.accelerateAt,i=r.durationDampening.stopDampeningAt,a=t,s=i,l=Date.now()-a;if(l>=i)return e;if(l<o)return 1;const c=ga({startOfRange:o,endOfRange:s,current:l}),u=e*r.ease(c);return Math.ceil(u)})(i,n,o),1):i},ba=({container:e,distanceToEdges:t,dragStartTime:n,axis:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a=((e,t,n=()=>ma)=>{const r=n();return{startScrollingFrom:e[t.size]*r.startFromPercentage,maxScrollValueAt:e[t.size]*r.maxScrollAtPercentage}})(e,r,i);return t[r.end]<t[r.start]?va({distanceToEdge:t[r.end],thresholds:a,dragStartTime:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i}):-1*va({distanceToEdge:t[r.start],thresholds:a,dragStartTime:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i})};const ya=co((e=>0===e?0:e));var Aa=({dragStartTime:e,container:t,subject:n,center:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a={top:r.y-t.top,right:t.right-r.x,bottom:t.bottom-r.y,left:r.x-t.left},s=ba({container:t,distanceToEdges:a,dragStartTime:e,axis:Do,shouldUseTimeDampening:o,getAutoScrollerOptions:i}),l=ba({container:t,distanceToEdges:a,dragStartTime:e,axis:No,shouldUseTimeDampening:o,getAutoScrollerOptions:i}),c=ya({x:l,y:s});if(oo(c,to))return null;const u=(({container:e,subject:t,proposedScroll:n})=>{const r=t.height>e.height,o=t.width>e.width;return o||r?o&&r?null:{x:o?0:n.x,y:r?0:n.y}:n})({container:t,subject:n,proposedScroll:c});return u?oo(u,to)?null:u:null};const Ea=co((e=>0===e?0:e>0?1:-1)),wa=(()=>{const e=(e,t)=>e<0?e:e>t?e-t:0;return({current:t,max:n,change:r})=>{const o=no(t,r),i={x:e(o.x,n.x),y:e(o.y,n.y)};return oo(i,to)?null:i}})(),Ca=({max:e,current:t,change:n})=>{const r={x:Math.max(t.x,e.x),y:Math.max(t.y,e.y)},o=Ea(n),i=wa({max:r,current:t,change:o});return!i||0!==o.x&&0===i.x||0!==o.y&&0===i.y},xa=(e,t)=>Ca({current:e.scroll.current,max:e.scroll.max,change:t}),Ia=(e,t)=>{const n=e.frame;return!!n&&Ca({current:n.scroll.current,max:n.scroll.max,change:t})};var Sa=({state:e,dragStartTime:t,shouldUseTimeDampening:n,scrollWindow:r,scrollDroppable:o,getAutoScrollerOptions:i})=>{const a=e.current.page.borderBoxCenter,s=e.dimensions.draggables[e.critical.draggable.id].page.marginBox;if(e.isWindowScrollAllowed){const o=(({viewport:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a=Aa({dragStartTime:r,container:e.frame,subject:t,center:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i});return a&&xa(e,a)?a:null})({dragStartTime:t,viewport:e.viewport,subject:s,center:a,shouldUseTimeDampening:n,getAutoScrollerOptions:i});if(o)return void r(o)}const l=(({center:e,destination:t,droppables:n})=>{if(t){const e=n[t];return e.frame?e:null}const r=((e,t)=>{const n=ha(t).find((t=>(t.frame||Yr(!1),si(t.frame.pageMarginBox)(e))))||null;return n})(e,n);return r})({center:a,destination:oi(e.impact),droppables:e.dimensions.droppables});if(!l)return;const c=(({droppable:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a=e.frame;if(!a)return null;const s=Aa({dragStartTime:r,container:a.pageMarginBox,subject:t,center:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i});return s&&Ia(e,s)?s:null})({dragStartTime:t,droppable:l,subject:s,center:a,shouldUseTimeDampening:n,getAutoScrollerOptions:i});c&&o(l.descriptor.id,c)},Ba=({move:e,scrollDroppable:t,scrollWindow:n})=>r=>{const o=r.scrollJumpRequest;if(!o)return;const i=oi(r.impact);i||Yr(!1);const a=((e,n)=>{if(!Ia(e,n))return n;const r=((e,t)=>{const n=e.frame;return n&&Ia(e,t)?wa({current:n.scroll.current,max:n.scroll.max,change:t}):null})(e,n);if(!r)return t(e.descriptor.id,n),null;const o=ro(n,r);return t(e.descriptor.id,o),ro(n,o)})(r.dimensions.droppables[i],o);if(!a)return;const s=r.viewport,l=((e,t,r)=>{if(!e)return r;if(!xa(t,r))return r;const o=((e,t)=>{if(!xa(e,t))return null;const n=e.scroll.max,r=e.scroll.current;return wa({current:r,max:n,change:t})})(t,r);if(!o)return n(r),null;const i=ro(r,o);return n(i),ro(r,i)})(r.isWindowScrollAllowed,s,a);l&&((t,n)=>{const r=no(t.current.client.selection,n);e({client:r})})(r,l)},Ta=({scrollDroppable:e,scrollWindow:t,move:n,getAutoScrollerOptions:r})=>{const o=(({scrollWindow:e,scrollDroppable:t,getAutoScrollerOptions:n=()=>ma})=>{const r=Fr(e),o=Fr(t);let i=null;const a=e=>{i||Yr(!1);const{shouldUseTimeDampening:t,dragStartTime:a}=i;Sa({state:e,scrollWindow:r,scrollDroppable:o,dragStartTime:a,shouldUseTimeDampening:t,getAutoScrollerOptions:n})};return{start:e=>{i&&Yr(!1);const t=Date.now();let r=!1;const o=()=>{r=!0};Sa({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:o,scrollDroppable:o,getAutoScrollerOptions:n}),i={dragStartTime:t,shouldUseTimeDampening:r},r&&a(e)},stop:()=>{i&&(r.cancel(),o.cancel(),i=null)},scroll:a}})({scrollWindow:t,scrollDroppable:e,getAutoScrollerOptions:r}),i=Ba({move:n,scrollWindow:t,scrollDroppable:e});return{scroll:e=>{r().disabled||"DRAGGING"!==e.phase||("FLUID"!==e.movementMode?e.scrollJumpRequest&&i(e):o.scroll(e))},start:o.start,stop:o.stop}};const Oa="data-rfd",Ra=(()=>{const e=`${Oa}-drag-handle`;return{base:e,draggableId:`${e}-draggable-id`,contextId:`${e}-context-id`}})(),Da=(()=>{const e=`${Oa}-draggable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),Na=(()=>{const e=`${Oa}-droppable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),Pa={contextId:`${Oa}-scroll-container-context-id`},La=(e,t)=>e.map((e=>{const n=e.styles[t];return n?`${e.selector} { ${n} }`:""})).join(" ");var Ma=e=>{const t=(e=>t=>`[${t}="${e}"]`)(e),n=(()=>{const e="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ";return{selector:t(Ra.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:e,dragging:"pointer-events: none;",dropAnimating:e}}})(),r=[(()=>{const e=`\n      transition: ${Gi.outOfTheWay};\n    `;return{selector:t(Da.contextId),styles:{dragging:e,dropAnimating:e,userCancel:e}}})(),n,{selector:t(Na.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:La(r,"always"),resting:La(r,"resting"),dragging:La(r,"dragging"),dropAnimating:La(r,"dropAnimating"),userCancel:La(r,"userCancel")}},ka="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?u.useLayoutEffect:u.useEffect;const _a=()=>{const e=document.querySelector("head");return e||Yr(!1),e},$a=e=>{const t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t};function Fa(e,t){return Array.from(e.querySelectorAll(t))}var Ua=e=>e&&e.ownerDocument&&e.ownerDocument.defaultView?e.ownerDocument.defaultView:window;function za(e){return e instanceof Ua(e).HTMLElement}function Ga(){const e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((t=>t(e)))}function r(t){return e.draggables[t]||null}function o(t){return e.droppables[t]||null}return{draggable:{register:t=>{e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:(t,n)=>{const r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:t=>{const o=t.descriptor.id,i=r(o);i&&t.uniqueId===i.uniqueId&&(delete e.draggables[o],e.droppables[t.descriptor.droppableId]&&n({type:"REMOVAL",value:t}))},getById:function(e){const t=r(e);return t||Yr(!1),t},findById:r,exists:e=>Boolean(r(e)),getAllByType:t=>Object.values(e.draggables).filter((e=>e.descriptor.type===t))},droppable:{register:t=>{e.droppables[t.descriptor.id]=t},unregister:t=>{const n=o(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){const t=o(e);return t||Yr(!1),t},findById:o,exists:e=>Boolean(o(e)),getAllByType:t=>Object.values(e.droppables).filter((e=>e.descriptor.type===t))},subscribe:function(e){return t.push(e),function(){const n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var ja=d().createContext(null),Wa=()=>{const e=document.body;return e||Yr(!1),e},Ha={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"};const Va=e=>`rfd-announcement-${e}`;let Ya=0;const Xa={separator:"::"};var qa="useId"in d()?function(e,t=Xa){const n=d().useId();return xr((()=>`${e}${t.separator}${n}`),[t.separator,e,n])}:function(e,t=Xa){return xr((()=>`${e}${t.separator}${Ya++}`),[t.separator,e])},Za=d().createContext(null);function Ka(e){const t=(0,u.useRef)(e);return(0,u.useEffect)((()=>{t.current=e})),t}function Qa(e){return"IDLE"!==e.phase&&"DROP_ANIMATING"!==e.phase&&e.isDragging}const Ja=9,es=13,ts=33,ns=34,rs=35,os=36,is={[es]:!0,[Ja]:!0};var as=e=>{is[e.keyCode]&&e.preventDefault()},ss=(()=>{const e="visibilitychange";return"undefined"==typeof document?e:[e,`ms${e}`,`webkit${e}`,`moz${e}`,`o${e}`].find((e=>`on${e}`in document))||e})();const ls={type:"IDLE"};function cs(){}const us={[ns]:!0,[ts]:!0,[os]:!0,[rs]:!0};const ds={type:"IDLE"},ps=["input","button","textarea","select","option","optgroup","video","audio"];function fs(e,t){if(null==t)return!1;if(ps.includes(t.tagName.toLowerCase()))return!0;const n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&fs(e,t.parentElement)}function hs(e,t){const n=t.target;return!!za(n)&&fs(e,n)}var ms=e=>Sr(e.getBoundingClientRect()).center;const gs=(()=>{const e="matches";return"undefined"==typeof document?e:[e,"msMatchesSelector","webkitMatchesSelector"].find((e=>e in Element.prototype))||e})();function vs(e,t){return null==e?null:e[gs](t)?e:vs(e.parentElement,t)}function bs(e,t){return e.closest?e.closest(t):vs(e,t)}function ys(e){e.preventDefault()}function As({expected:e,phase:t,isLockActive:n,shouldWarn:r}){return!!n()&&e===t}function Es({lockAPI:e,store:t,registry:n,draggableId:r}){if(e.isClaimed())return!1;const o=n.draggable.findById(r);return!!o&&!!o.options.isEnabled&&!!pa(t.getState(),r)}const ws=[function(e){const t=(0,u.useRef)(ls),n=(0,u.useRef)(Gr),r=xr((()=>({eventName:"mousedown",fn:function(t){if(t.defaultPrevented)return;if(0!==t.button)return;if(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)return;const r=e.findClosestDraggableId(t);if(!r)return;const o=e.tryGetLock(r,a,{sourceEvent:t});if(!o)return;t.preventDefault();const i={x:t.clientX,y:t.clientY};n.current(),c(o,i)}})),[e]),o=xr((()=>({eventName:"webkitmouseforcewillbegin",fn:t=>{if(t.defaultPrevented)return;const n=e.findClosestDraggableId(t);if(!n)return;const r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}})),[e]),i=Ir((function(){n.current=jr(window,[o,r],{passive:!1,capture:!0})}),[o,r]),a=Ir((()=>{"IDLE"!==t.current.type&&(t.current=ls,n.current(),i())}),[i]),s=Ir((()=>{const e=t.current;a(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[a]),l=Ir((function(){const e=function({cancel:e,completed:t,getPhase:n,setPhase:r}){return[{eventName:"mousemove",fn:e=>{const{button:t,clientX:o,clientY:i}=e;if(0!==t)return;const a={x:o,y:i},s=n();if("DRAGGING"===s.type)return e.preventDefault(),void s.actions.move(a);if("PENDING"!==s.type&&Yr(!1),l=s.point,c=a,!(Math.abs(c.x-l.x)>=5||Math.abs(c.y-l.y)>=5))return;var l,c;e.preventDefault();const u=s.actions.fluidLift(a);r({type:"DRAGGING",actions:u})}},{eventName:"mouseup",fn:r=>{const o=n();"DRAGGING"===o.type?(r.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"mousedown",fn:t=>{"DRAGGING"===n().type&&t.preventDefault(),e()}},{eventName:"keydown",fn:t=>{if("PENDING"!==n().type)return 27===t.keyCode?(t.preventDefault(),void e()):void as(t);e()}},{eventName:"resize",fn:e},{eventName:"scroll",options:{passive:!0,capture:!1},fn:()=>{"PENDING"===n().type&&e()}},{eventName:"webkitmouseforcedown",fn:t=>{const r=n();"IDLE"===r.type&&Yr(!1),r.actions.shouldRespectForcePress()?e():t.preventDefault()}},{eventName:ss,fn:e}]}({cancel:s,completed:a,getPhase:()=>t.current,setPhase:e=>{t.current=e}});n.current=jr(window,e,{capture:!0,passive:!1})}),[s,a]),c=Ir((function(e,n){"IDLE"!==t.current.type&&Yr(!1),t.current={type:"PENDING",point:n,actions:e},l()}),[l]);ka((function(){return i(),function(){n.current()}}),[i])},function(e){const t=(0,u.useRef)(cs),n=xr((()=>({eventName:"keydown",fn:function(n){if(n.defaultPrevented)return;if(32!==n.keyCode)return;const o=e.findClosestDraggableId(n);if(!o)return;const i=e.tryGetLock(o,l,{sourceEvent:n});if(!i)return;n.preventDefault();let a=!0;const s=i.snapLift();function l(){a||Yr(!1),a=!1,t.current(),r()}t.current(),t.current=jr(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:r=>27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(us[r.keyCode]?r.preventDefault():as(r))},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:ss,fn:n}]}(s,l),{capture:!0,passive:!1})}})),[e]),r=Ir((function(){t.current=jr(window,[n],{passive:!1,capture:!0})}),[n]);ka((function(){return r(),function(){t.current()}}),[r])},function(e){const t=(0,u.useRef)(ds),n=(0,u.useRef)(Gr),r=Ir((function(){return t.current}),[]),o=Ir((function(e){t.current=e}),[]),i=xr((()=>({eventName:"touchstart",fn:function(t){if(t.defaultPrevented)return;const r=e.findClosestDraggableId(t);if(!r)return;const o=e.tryGetLock(r,s,{sourceEvent:t});if(!o)return;const i=t.touches[0],{clientX:a,clientY:l}=i,c={x:a,y:l};n.current(),p(o,c)}})),[e]),a=Ir((function(){n.current=jr(window,[i],{capture:!0,passive:!1})}),[i]),s=Ir((()=>{const e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),o(ds),n.current(),a())}),[a,o]),l=Ir((()=>{const e=t.current;s(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[s]),c=Ir((function(){const e={capture:!0,passive:!1},t={cancel:l,completed:s,getPhase:r},o=jr(window,function({cancel:e,completed:t,getPhase:n}){return[{eventName:"touchmove",options:{capture:!1},fn:t=>{const r=n();if("DRAGGING"!==r.type)return void e();r.hasMoved=!0;const{clientX:o,clientY:i}=t.touches[0],a={x:o,y:i};t.preventDefault(),r.actions.move(a)}},{eventName:"touchend",fn:r=>{const o=n();"DRAGGING"===o.type?(r.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"touchcancel",fn:t=>{"DRAGGING"===n().type?(t.preventDefault(),e()):e()}},{eventName:"touchforcechange",fn:t=>{const r=n();"IDLE"===r.type&&Yr(!1);const o=t.touches[0];if(!o)return;if(!(o.force>=.15))return;const i=r.actions.shouldRespectForcePress();if("PENDING"!==r.type)return i?r.hasMoved?void t.preventDefault():void e():void t.preventDefault();i&&e()}},{eventName:ss,fn:e}]}(t),e),i=jr(window,function({cancel:e,getPhase:t}){return[{eventName:"orientationchange",fn:e},{eventName:"resize",fn:e},{eventName:"contextmenu",fn:e=>{e.preventDefault()}},{eventName:"keydown",fn:n=>{"DRAGGING"===t().type?(27===n.keyCode&&n.preventDefault(),e()):e()}},{eventName:ss,fn:e}]}(t),e);n.current=function(){o(),i()}}),[l,r,s]),d=Ir((function(){const e=r();"PENDING"!==e.type&&Yr(!1);const t=e.actions.fluidLift(e.point);o({type:"DRAGGING",actions:t,hasMoved:!1})}),[r,o]),p=Ir((function(e,t){"IDLE"!==r().type&&Yr(!1);const n=setTimeout(d,120);o({type:"PENDING",point:t,actions:e,longPressTimerId:n}),c()}),[c,r,o,d]);ka((function(){return a(),function(){n.current();const e=r();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),o(ds))}}),[r,a,o]),ka((function(){return jr(window,[{eventName:"touchmove",fn:()=>{},options:{capture:!1,passive:!1}}])}),[])}];function Cs({contextId:e,store:t,registry:n,customSensors:r,enableDefaultSensors:o}){const i=[...o?ws:[],...r||[]],a=(0,u.useState)((()=>function(){let e=null;function t(){e||Yr(!1),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&Yr(!1);const n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()))[0],s=Ir((function(e,t){Qa(e)&&!Qa(t)&&a.tryAbandon()}),[a]);ka((function(){let e=t.getState();return t.subscribe((()=>{const n=t.getState();s(e,n),e=n}))}),[a,t,s]),ka((()=>a.tryAbandon),[a.tryAbandon]);const l=Ir((e=>Es({lockAPI:a,registry:n,store:t,draggableId:e})),[a,n,t]),c=Ir(((r,o,i)=>function({lockAPI:e,contextId:t,store:n,registry:r,draggableId:o,forceSensorStop:i,sourceEvent:a}){if(!Es({lockAPI:e,store:n,registry:r,draggableId:o}))return null;const s=r.draggable.getById(o),l=function(e,t){const n=`[${Da.contextId}="${e}"]`,r=Fa(document,n).find((e=>e.getAttribute(Da.id)===t));return r&&za(r)?r:null}(t,s.descriptor.id);if(!l)return null;if(a&&!s.options.canDragInteractiveElements&&hs(l,a))return null;const c=e.claim(i||Gr);let u="PRE_DRAG";function d(){return s.options.shouldRespectForcePress}function p(){return e.isActive(c)}const f=function(e,t){As({expected:e,phase:u,isLockActive:p,shouldWarn:!0})&&n.dispatch(t())}.bind(null,"DRAGGING");function h(t){function r(){e.release(),u="COMPLETED"}function o(e,o={shouldBlockNextClick:!1}){if(t.cleanup(),o.shouldBlockNextClick){const e=jr(window,[{eventName:"click",fn:ys,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(e)}r(),n.dispatch(Mi({reason:e}))}return"PRE_DRAG"!==u&&(r(),Yr(!1)),n.dispatch(wi(t.liftActionArgs)),u="DRAGGING",{isActive:()=>As({expected:"DRAGGING",phase:u,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:d,drop:e=>o("DROP",e),cancel:e=>o("CANCEL",e),...t.actions}}return{isActive:()=>As({expected:"PRE_DRAG",phase:u,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:d,fluidLift:function(e){const t=Fr((e=>{f((()=>Ti({client:e})))}));return{...h({liftActionArgs:{id:o,clientSelection:e,movementMode:"FLUID"},cleanup:()=>t.cancel(),actions:{move:t}}),move:t}},snapLift:function(){const e={moveUp:()=>f(Oi),moveRight:()=>f(Di),moveDown:()=>f(Ri),moveLeft:()=>f(Ni)};return h({liftActionArgs:{id:o,clientSelection:ms(l),movementMode:"SNAP"},cleanup:Gr,actions:e})},abort:function(){As({expected:"PRE_DRAG",phase:u,isLockActive:p,shouldWarn:!0})&&e.release()}}}({lockAPI:a,registry:n,contextId:e,store:t,draggableId:r,forceSensorStop:o||null,sourceEvent:i&&i.sourceEvent?i.sourceEvent:null})),[e,a,n,t]),d=Ir((t=>function(e,t){const n=function(e,t){const n=t.target;if(!((r=n)instanceof Ua(r).Element))return null;var r;const o=function(e){return`[${Ra.contextId}="${e}"]`}(e),i=bs(n,o);return i&&za(i)?i:null}(e,t);return n?n.getAttribute(Ra.draggableId):null}(e,t)),[e]),p=Ir((e=>{const t=n.draggable.findById(e);return t?t.options:null}),[n.draggable]),f=Ir((function(){a.isClaimed()&&(a.tryAbandon(),"IDLE"!==t.getState().phase&&t.dispatch(Pi()))}),[a,t]),h=Ir((()=>a.isClaimed()),[a]),m=xr((()=>({canGetLock:l,tryGetLock:c,findClosestDraggableId:d,findOptionsForDraggable:p,tryReleaseLock:f,isLockClaimed:h})),[l,c,d,p,f,h]);for(let e=0;e<i.length;e++)i[e](m)}const xs=e=>({onBeforeCapture:t=>{const n=()=>{e.onBeforeCapture&&e.onBeforeCapture(t)};d().version.startsWith("16")||d().version.startsWith("17")?n():(0,Jt.flushSync)(n)},onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}),Is=e=>({...ma,...e.autoScrollerOptions,durationDampening:{...ma.durationDampening,...e.autoScrollerOptions}});function Ss(e){return e.current||Yr(!1),e.current}function Bs(e){const{contextId:t,setCallbacks:n,sensors:r,nonce:o,dragHandleUsageInstructions:i}=e,a=(0,u.useRef)(null),s=Ka(e),l=Ir((()=>xs(s.current)),[s]),c=Ir((()=>Is(s.current)),[s]),p=function(e){const t=xr((()=>Va(e)),[e]),n=(0,u.useRef)(null);return(0,u.useEffect)((function(){const e=document.createElement("div");return n.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,Ur.A)(e.style,Ha),Wa().appendChild(e),function(){setTimeout((function(){const t=Wa();t.contains(e)&&t.removeChild(e),e===n.current&&(n.current=null)}))}}),[t]),Ir((e=>{const t=n.current;t&&(t.textContent=e)}),[])}(t),f=function({contextId:e,text:t}){const n=qa("hidden-text",{separator:"-"}),r=xr((()=>function({contextId:e,uniqueId:t}){return`rfd-hidden-text-${e}-${t}`}({contextId:e,uniqueId:n})),[n,e]);return(0,u.useEffect)((function(){const e=document.createElement("div");return e.id=r,e.textContent=t,e.style.display="none",Wa().appendChild(e),function(){const t=Wa();t.contains(e)&&t.removeChild(e)}}),[r,t]),r}({contextId:t,text:i}),h=function(e,t){const n=xr((()=>Ma(e)),[e]),r=(0,u.useRef)(null),o=(0,u.useRef)(null),i=Ir($r((e=>{const t=o.current;t||Yr(!1),t.textContent=e})),[]),a=Ir((e=>{const t=r.current;t||Yr(!1),t.textContent=e}),[]);ka((()=>{(r.current||o.current)&&Yr(!1);const s=$a(t),l=$a(t);return r.current=s,o.current=l,s.setAttribute(`${Oa}-always`,e),l.setAttribute(`${Oa}-dynamic`,e),_a().appendChild(s),_a().appendChild(l),a(n.always),i(n.resting),()=>{const e=e=>{const t=e.current;t||Yr(!1),_a().removeChild(t),e.current=null};e(r),e(o)}}),[t,a,i,n.always,n.resting,e]);const s=Ir((()=>i(n.dragging)),[i,n.dragging]),l=Ir((e=>{i("DROP"!==e?n.userCancel:n.dropAnimating)}),[i,n.dropAnimating,n.userCancel]),c=Ir((()=>{o.current&&i(n.resting)}),[i,n.resting]);return xr((()=>({dragging:s,dropping:l,resting:c})),[s,l,c])}(t,o),m=Ir((e=>{Ss(a).dispatch(e)}),[]),g=xr((()=>(0,Er.bindActionCreators)({publishWhileDragging:Ci,updateDroppableScroll:Ii,updateDroppableIsEnabled:Si,updateDroppableIsCombineEnabled:Bi,collectionStarting:xi},m)),[m]),v=function(){const e=xr(Ga,[]);return(0,u.useEffect)((()=>function(){d().version.startsWith("16")||d().version.startsWith("17")?requestAnimationFrame(e.clean):e.clean()}),[e]),e}(),b=xr((()=>da(v,g)),[v,g]),y=xr((()=>Ta({scrollWindow:fa,scrollDroppable:b.scrollDroppable,getAutoScrollerOptions:c,...(0,Er.bindActionCreators)({move:Ti},m)})),[b.scrollDroppable,m,c]),A=function(e){const t=(0,u.useRef)({}),n=(0,u.useRef)(null),r=(0,u.useRef)(null),o=(0,u.useRef)(!1),i=Ir((function(e,n){const r={id:e,focus:n};return t.current[e]=r,function(){const n=t.current;n[e]!==r&&delete n[e]}}),[]),a=Ir((function(t){const n=function(e,t){const n=`[${Ra.contextId}="${e}"]`,r=Fa(document,n);if(!r.length)return null;const o=r.find((e=>e.getAttribute(Ra.draggableId)===t));return o&&za(o)?o:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),s=Ir((function(e,t){n.current===e&&(n.current=t)}),[]),l=Ir((function(){r.current||o.current&&(r.current=requestAnimationFrame((()=>{r.current=null;const e=n.current;e&&a(e)})))}),[a]),c=Ir((function(e){n.current=null;const t=document.activeElement;t&&t.getAttribute(Ra.draggableId)===e&&(n.current=e)}),[]);return ka((()=>(o.current=!0,function(){o.current=!1;const e=r.current;e&&cancelAnimationFrame(e)})),[]),xr((()=>({register:i,tryRecordFocus:c,tryRestoreFocusRecorded:l,tryShiftRecord:s})),[i,c,l,s])}(t),E=xr((()=>aa({announce:p,autoScroller:y,dimensionMarshal:b,focusMarshal:A,getResponders:l,styleMarshal:h})),[p,y,b,A,l,h]);a.current=E;const w=Ir((()=>{const e=Ss(a);"IDLE"!==e.getState().phase&&e.dispatch(Pi())}),[]),C=Ir((()=>{const e=Ss(a).getState();return"DROP_ANIMATING"===e.phase||"IDLE"!==e.phase&&e.isDragging}),[]);n(xr((()=>({isDragging:C,tryAbort:w})),[C,w]));const x=Ir((e=>pa(Ss(a).getState(),e)),[]),I=Ir((()=>ai(Ss(a).getState())),[]),S=xr((()=>({marshal:b,focus:A,contextId:t,canLift:x,isMovementAllowed:I,dragHandleUsageInstructionsId:f,registry:v})),[t,b,f,A,x,I,v]);return Cs({contextId:t,store:E,registry:v,customSensors:r||null,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,u.useEffect)((()=>w),[w]),d().createElement(Za.Provider,{value:S},d().createElement(wr.Provider,{context:ja,store:E},e.children))}let Ts=0;var Os="useId"in d()?function(){return d().useId()}:function(){return xr((()=>""+Ts++),[])};function Rs(e){const t=Os(),n=e.dragHandleUsageInstructions||eo.dragHandleUsageInstructions;return d().createElement(Xr,null,(r=>d().createElement(Bs,{nonce:e.nonce,contextId:t,setCallbacks:r,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd,autoScrollerOptions:e.autoScrollerOptions},e.children)))}const Ds=5e3,Ns=4500,Ps=(e,t)=>t?Gi.drop(t.duration):e?Gi.snap:Gi.fluid,Ls=(e,t)=>{if(e)return t?_i:$i};var Ms=d().createContext(null);function ks(e){const t=(0,u.useContext)(e);return t||Yr(!1),t}function _s(e){e.preventDefault()}var $s=(e,t)=>e===t,Fs=e=>{const{combine:t,destination:n}=e;return n?n.droppableId:t?t.droppableId:null};function Us(e=null){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}const zs={mapped:{type:"SECONDARY",offset:to,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:Us(null)}},Gs={dropAnimationFinished:()=>({type:"DROP_ANIMATION_FINISHED",payload:null})},js=(0,wr.connect)((()=>{const e=function(){const e=$r(((e,t)=>({x:e,y:t}))),t=$r(((e,t,n=null,r=null,o=null)=>({isDragging:!0,isClone:t,isDropAnimating:Boolean(o),dropAnimation:o,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}))),n=$r(((e,n,r,o,i=null,a=null,s=null)=>({mapped:{type:"DRAGGING",dropping:null,draggingOver:i,combineWith:a,mode:n,offset:e,dimension:r,forceShouldAnimate:s,snapshot:t(n,o,i,a,null)}})));return(r,o)=>{if(Qa(r)){if(r.critical.draggable.id!==o.draggableId)return null;const t=r.current.client.offset,a=r.dimensions.draggables[o.draggableId],s=oi(r.impact),l=(i=r.impact).at&&"COMBINE"===i.at.type?i.at.combine.draggableId:null,c=r.forceShouldAnimate;return n(e(t.x,t.y),r.movementMode,a,o.isClone,s,l,c)}var i;if("DROP_ANIMATING"===r.phase){const e=r.completed;if(e.result.draggableId!==o.draggableId)return null;const n=o.isClone,i=r.dimensions.draggables[o.draggableId],a=e.result,s=a.mode,l=Fs(a),c=(e=>e.combine?e.combine.draggableId:null)(a),u={duration:r.dropDuration,curve:ki,moveTo:r.newHomeClientOffset,opacity:c?_i:null,scale:c?Fi:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:i,dropping:u,draggingOver:l,combineWith:c,mode:s,forceShouldAnimate:null,snapshot:t(s,n,l,c,u)}}}return null}}(),t=function(){const e=$r(((e,t)=>({x:e,y:t}))),t=$r(Us),n=$r(((e,n=null,r)=>({mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}))),r=e=>e?n(to,e,!0):null,o=(t,o,i,a)=>{const s=i.displaced.visible[t],l=Boolean(a.inVirtualList&&a.effected[t]),c=wo(i),u=c&&c.draggableId===t?o:null;if(!s){if(!l)return r(u);if(i.displaced.invisible[t])return null;const o=io(a.displacedBy.point),s=e(o.x,o.y);return n(s,u,!0)}if(l)return r(u);const d=i.displacedBy.point,p=e(d.x,d.y);return n(p,u,s.shouldAnimate)};return(e,t)=>{if(Qa(e))return e.critical.draggable.id===t.draggableId?null:o(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){const n=e.completed;return n.result.draggableId===t.draggableId?null:o(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return(n,r)=>e(n,r)||t(n,r)||zs}),Gs,null,{context:ja,areStatePropsEqual:$s})((e=>{const t=(0,u.useRef)(null),n=Ir(((e=null)=>{t.current=e}),[]),r=Ir((()=>t.current),[]),{contextId:o,dragHandleUsageInstructionsId:i,registry:a}=ks(Za),{type:s,droppableId:l}=ks(Ms),c=xr((()=>({id:e.draggableId,index:e.index,type:s,droppableId:l})),[e.draggableId,e.index,s,l]),{children:p,draggableId:f,isEnabled:h,shouldRespectForcePress:m,canDragInteractiveElements:g,isClone:v,mapped:b,dropAnimationFinished:y}=e;v||function(e){const t=qa("draggable"),{descriptor:n,registry:r,getDraggableRef:o,canDragInteractiveElements:i,shouldRespectForcePress:a,isEnabled:s}=e,l=xr((()=>({canDragInteractiveElements:i,shouldRespectForcePress:a,isEnabled:s})),[i,s,a]),c=Ir((e=>{const t=o();return t||Yr(!1),function(e,t,n=to){const r=window.getComputedStyle(t),o=t.getBoundingClientRect(),i=Lr(o,r),a=Pr(i,n);return{descriptor:e,placeholder:{client:i,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:i.marginBox.width,y:i.marginBox.height},client:i,page:a}}(n,t,e)}),[n,o]),d=xr((()=>({uniqueId:t,descriptor:n,options:l,getDimension:c})),[n,c,l,t]),p=(0,u.useRef)(d),f=(0,u.useRef)(!0);ka((()=>(r.draggable.register(p.current),()=>r.draggable.unregister(p.current))),[r.draggable]),ka((()=>{if(f.current)return void(f.current=!1);const e=p.current;p.current=d,r.draggable.update(d,e)}),[d,r.draggable])}(xr((()=>({descriptor:c,registry:a,getDraggableRef:r,canDragInteractiveElements:g,shouldRespectForcePress:m,isEnabled:h})),[c,a,r,g,m,h]));const A=xr((()=>h?{tabIndex:0,role:"button","aria-describedby":i,"data-rfd-drag-handle-draggable-id":f,"data-rfd-drag-handle-context-id":o,draggable:!1,onDragStart:_s}:null),[o,i,f,h]),E=Ir((e=>{"DRAGGING"===b.type&&b.dropping&&"transform"===e.propertyName&&(d().version.startsWith("16")||d().version.startsWith("17")?y():(0,Jt.flushSync)(y))}),[y,b]),w=xr((()=>{const e=function(e){return"DRAGGING"===e.type?function(e){const t=e.dimension.client,{offset:n,combineWith:r,dropping:o}=e,i=Boolean(r),a=(e=>null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode)(e),s=Boolean(o),l=s?Hi(n,i):Wi(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:Ps(a,o),transform:l,opacity:Ls(i,s),zIndex:s?Ns:Ds,pointerEvents:"none"}}(e):{transform:Wi((t=e).offset),transition:t.shouldAnimateDisplacement?void 0:"none"};var t}(b),t="DRAGGING"===b.type&&b.dropping?E:void 0;return{innerRef:n,draggableProps:{"data-rfd-draggable-context-id":o,"data-rfd-draggable-id":f,style:e,onTransitionEnd:t},dragHandleProps:A}}),[o,A,f,b,E,n]),C=xr((()=>({draggableId:c.id,type:c.type,source:{index:c.index,droppableId:c.droppableId}})),[c.droppableId,c.id,c.index,c.type]);return d().createElement(d().Fragment,null,p(w,b.snapshot,C))}));var Ws=js;function Hs(e){return ks(Ms).isUsingCloneFor!==e.draggableId||e.isClone?d().createElement(Ws,e):null}function Vs(e){const t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),r=Boolean(e.shouldRespectForcePress);return d().createElement(Hs,(0,Ur.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:r}))}const Ys=e=>t=>e===t,Xs=Ys("scroll"),qs=Ys("auto"),Zs=(Ys("visible"),(e,t)=>t(e.overflowX)||t(e.overflowY)),Ks=e=>null==e||e===document.body||e===document.documentElement?null:(e=>{const t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return Zs(n,Xs)||Zs(n,qs)})(e)?e:Ks(e.parentElement);var Qs=e=>({x:e.scrollLeft,y:e.scrollTop});const Js=e=>!!e&&("fixed"===window.getComputedStyle(e).position||Js(e.parentElement));const el={passive:!1},tl={passive:!0};var nl=e=>e.shouldPublishImmediately?el:tl;const rl=e=>e&&e.env.closestScrollable||null;function ol(e){const t=(0,u.useRef)(null),n=ks(Za),r=qa("droppable"),{registry:o,marshal:i}=n,a=Ka(e),s=xr((()=>({id:e.droppableId,type:e.type,mode:e.mode})),[e.droppableId,e.mode,e.type]),l=(0,u.useRef)(s),c=xr((()=>$r(((e,n)=>{t.current||Yr(!1);const r={x:e,y:n};i.updateDroppableScroll(s.id,r)}))),[s.id,i]),d=Ir((()=>{const e=t.current;return e&&e.env.closestScrollable?Qs(e.env.closestScrollable):to}),[]),p=Ir((()=>{const e=d();c(e.x,e.y)}),[d,c]),f=xr((()=>Fr(p)),[p]),h=Ir((()=>{const e=t.current,n=rl(e);e&&n||Yr(!1),e.scrollOptions.shouldPublishImmediately?p():f()}),[f,p]),m=Ir(((e,r)=>{t.current&&Yr(!1);const o=a.current,i=o.getDroppableRef();i||Yr(!1);const l=(e=>({closestScrollable:Ks(e),isFixedOnPage:Js(e)}))(i),c={ref:i,descriptor:s,env:l,scrollOptions:r};t.current=c;const u=(({ref:e,descriptor:t,env:n,windowScroll:r,direction:o,isDropDisabled:i,isCombineEnabled:a,shouldClipSubject:s})=>{const l=n.closestScrollable,c=((e,t)=>{const n=Mr(e);if(!t)return n;if(e!==t)return n;const r=n.paddingBox.top-t.scrollTop,o=n.paddingBox.left-t.scrollLeft,i=r+t.scrollHeight,a=o+t.scrollWidth,s=Br({top:r,right:a,bottom:i,left:o},n.border);return Rr({borderBox:s,margin:n.margin,border:n.border,padding:n.padding})})(e,l),u=Pr(c,r),d=(()=>{if(!l)return null;const e=Mr(l),t={scrollHeight:l.scrollHeight,scrollWidth:l.scrollWidth};return{client:e,page:Pr(e,r),scroll:Qs(l),scrollSize:t,shouldClipSubject:s}})(),p=(({descriptor:e,isEnabled:t,isCombineEnabled:n,isFixedOnPage:r,direction:o,client:i,page:a,closest:s})=>{const l=(()=>{if(!s)return null;const{scrollSize:e,client:t}=s,n=sa({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:s.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:s.shouldClipSubject,scroll:{initial:s.scroll,current:s.scroll,max:n,diff:{value:to,displacement:to}}}})(),c="vertical"===o?Do:No;return{descriptor:e,isCombineEnabled:n,isFixedOnPage:r,axis:c,isEnabled:t,client:i,page:a,frame:l,subject:ho({page:a,withPlaceholder:null,axis:c,frame:l})}})({descriptor:t,isEnabled:!i,isCombineEnabled:a,isFixedOnPage:n.isFixedOnPage,direction:o,client:c,page:u,closest:d});return p})({ref:i,descriptor:s,env:l,windowScroll:e,direction:o.direction,isDropDisabled:o.isDropDisabled,isCombineEnabled:o.isCombineEnabled,shouldClipSubject:!o.ignoreContainerClipping}),d=l.closestScrollable;return d&&(d.setAttribute(Pa.contextId,n.contextId),d.addEventListener("scroll",h,nl(c.scrollOptions))),u}),[n.contextId,s,h,a]),g=Ir((()=>{const e=t.current,n=rl(e);return e&&n||Yr(!1),Qs(n)}),[]),v=Ir((()=>{const e=t.current;e||Yr(!1);const n=rl(e);t.current=null,n&&(f.cancel(),n.removeAttribute(Pa.contextId),n.removeEventListener("scroll",h,nl(e.scrollOptions)))}),[h,f]),b=Ir((e=>{const n=t.current;n||Yr(!1);const r=rl(n);r||Yr(!1),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),y=xr((()=>({getDimensionAndWatchScroll:m,getScrollWhileDragging:g,dragStopped:v,scroll:b})),[v,m,g,b]),A=xr((()=>({uniqueId:r,descriptor:s,callbacks:y})),[y,s,r]);ka((()=>(l.current=A.descriptor,o.droppable.register(A),()=>{t.current&&v(),o.droppable.unregister(A)})),[y,s,v,A,i,o.droppable]),ka((()=>{t.current&&i.updateDroppableIsEnabled(l.current.id,!e.isDropDisabled)}),[e.isDropDisabled,i]),ka((()=>{t.current&&i.updateDroppableIsCombineEnabled(l.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,i])}function il(){}const al={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}};var sl=d().memo((e=>{const t=(0,u.useRef)(null),n=Ir((()=>{t.current&&(clearTimeout(t.current),t.current=null)}),[]),{animate:r,onTransitionEnd:o,onClose:i,contextId:a}=e,[s,l]=(0,u.useState)("open"===e.animate);(0,u.useEffect)((()=>s?"open"!==r?(n(),l(!1),il):t.current?il:(t.current=setTimeout((()=>{t.current=null,l(!1)})),n):il),[r,s,n]);const c=Ir((e=>{"height"===e.propertyName&&(o(),"close"===r&&i())}),[r,i,o]),p=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>{const r=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>e||"close"===n?al:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin})({isAnimatingOpenOnMount:e,placeholder:t,animate:n});return{display:t.display,boxSizing:"border-box",width:r.width,height:r.height,marginTop:r.margin.top,marginRight:r.margin.right,marginBottom:r.margin.bottom,marginLeft:r.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==n?Gi.placeholder:null}})({isAnimatingOpenOnMount:s,animate:e.animate,placeholder:e.placeholder});return d().createElement(e.placeholder.tagName,{style:p,"data-rfd-placeholder-context-id":a,onTransitionEnd:c,ref:e.innerRef})}));class ll extends d().PureComponent{constructor(...e){super(...e),this.state={isVisible:Boolean(this.props.on),data:this.props.on,animate:this.props.shouldAnimate&&this.props.on?"open":"none"},this.onClose=()=>{"close"===this.state.animate&&this.setState({isVisible:!1})}}static getDerivedStateFromProps(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}}render(){if(!this.state.isVisible)return null;const e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)}}const cl={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||Yr(!1),document.body}},ul=e=>{let t,n={...e};for(t in cl)void 0===e[t]&&(n={...n,[t]:cl[t]});return n},dl=(e,t)=>e===t.droppable.type,pl=(e,t)=>t.draggables[e.draggable.id];var fl=(0,wr.connect)((()=>{const e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t={...e,shouldAnimatePlaceholder:!1},n=$r((e=>({draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}))),r=$r(((r,o,i,a,s,l)=>{const c=s.descriptor.id;if(s.descriptor.droppableId===r){const e=l?{render:l,dragging:n(s.descriptor)}:null,t={isDraggingOver:i,draggingOverWith:i?c:null,draggingFromThisWith:c,isUsingPlaceholder:!0};return{placeholder:s.placeholder,shouldAnimatePlaceholder:!1,snapshot:t,useClone:e}}if(!o)return t;if(!a)return e;const u={isDraggingOver:i,draggingOverWith:c,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:s.placeholder,shouldAnimatePlaceholder:!0,snapshot:u,useClone:null}}));return(n,o)=>{const i=ul(o),a=i.droppableId,s=i.type,l=!i.isDropDisabled,c=i.renderClone;if(Qa(n)){const e=n.critical;if(!dl(s,e))return t;const o=pl(e,n.dimensions),i=oi(n.impact)===a;return r(a,l,i,i,o,c)}if("DROP_ANIMATING"===n.phase){const e=n.completed;if(!dl(s,e.critical))return t;const o=pl(e.critical,n.dimensions);return r(a,l,Fs(e.result)===a,oi(e.impact)===a,o,c)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){const r=n.completed;if(!dl(s,r.critical))return t;const o=oi(r.impact)===a,i=Boolean(r.impact.at&&"COMBINE"===r.impact.at.type),l=r.critical.droppable.id===a;return o?i?e:t:l?e:t}return t}}),{updateViewportMaxScroll:e=>({type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e})},((e,t,n)=>({...ul(n),...e,...t})),{context:ja,areStatePropsEqual:$s})((e=>{const t=(0,u.useContext)(Za);t||Yr(!1);const{contextId:n,isMovementAllowed:r}=t,o=(0,u.useRef)(null),i=(0,u.useRef)(null),{children:a,droppableId:s,type:l,mode:c,direction:p,ignoreContainerClipping:f,isDropDisabled:h,isCombineEnabled:m,snapshot:g,useClone:v,updateViewportMaxScroll:b,getContainerForClone:y}=e,A=Ir((()=>o.current),[]),E=Ir(((e=null)=>{o.current=e}),[]),w=(Ir((()=>i.current),[]),Ir(((e=null)=>{i.current=e}),[])),C=Ir((()=>{r()&&b({maxScroll:ca()})}),[r,b]);ol({droppableId:s,type:l,mode:c,direction:p,isDropDisabled:h,isCombineEnabled:m,ignoreContainerClipping:f,getDroppableRef:A});const x=xr((()=>d().createElement(ll,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(({onClose:e,data:t,animate:r})=>d().createElement(sl,{placeholder:t,onClose:e,innerRef:w,animate:r,contextId:n,onTransitionEnd:C})))),[n,C,e.placeholder,e.shouldAnimatePlaceholder,w]),I=xr((()=>({innerRef:E,placeholder:x,droppableProps:{"data-rfd-droppable-id":s,"data-rfd-droppable-context-id":n}})),[n,s,x,E]),S=v?v.dragging.draggableId:null,B=xr((()=>({droppableId:s,type:l,isUsingCloneFor:S})),[s,S,l]);return d().createElement(Ms.Provider,{value:B},a(I,g),function(){if(!v)return null;const{dragging:e,render:t}=v,n=d().createElement(Hs,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},((n,r)=>t(n,r,e)));return en().createPortal(n,y())}())})),hl=f(7774);const ml={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};var gl,vl=new Uint8Array(16);function bl(){if(!gl&&!(gl="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return gl(vl)}for(var yl=[],Al=0;Al<256;++Al)yl.push((Al+256).toString(16).slice(1));const El=function(e,t,n){if(ml.randomUUID&&!t&&!e)return ml.randomUUID();var r=(e=e||{}).random||(e.rng||bl)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t){n=n||0;for(var o=0;o<16;++o)t[n+o]=r[o];return t}return function(e,t=0){return(yl[e[t+0]]+yl[e[t+1]]+yl[e[t+2]]+yl[e[t+3]]+"-"+yl[e[t+4]]+yl[e[t+5]]+"-"+yl[e[t+6]]+yl[e[t+7]]+"-"+yl[e[t+8]]+yl[e[t+9]]+"-"+yl[e[t+10]]+yl[e[t+11]]+yl[e[t+12]]+yl[e[t+13]]+yl[e[t+14]]+yl[e[t+15]]).toLowerCase()}(r)};function wl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Cl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){wl(e,t,n[t])}))}return e}function xl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Il=({item:e,value:t,onChange:n,context:o})=>{var i;const a=(C=(0,c.useTheme2)(),{item:l.css`
      margin-bottom: ${C.spacing(1)};
    `}),[s,p]=(0,u.useState)(t||[]),[f,h]=(0,u.useState)({id:El(),type:r.IMAGE,field:"",refId:""}),[m,g]=(0,u.useState)({}),v=(0,u.useCallback)((e=>{p(e),n(e)}),[n]),b=(0,u.useCallback)((e=>{e.destination&&v(((e,t,n)=>{const r=Array.from(e),[o]=r.splice(t,1);return r.splice(n,0,o),r})(s,e.source.index,e.destination.index))}),[v,s]),y=(0,u.useCallback)((()=>{f.field&&f.type&&(v([...s,f]),h({id:El(),type:r.IMAGE,field:"",refId:""}))}),[f,v,s]),E=(0,u.useCallback)((e=>{g((t=>xl(Cl({},t),{[e.id]:!t[e.id]})))}),[]),w=(0,u.useMemo)((()=>{var t,n,r;return n=o.data,r=null===(t=e.settings)||void 0===t?void 0:t.filterByType,n.reduce(((e,t)=>e.concat(t.fields.filter((e=>!r||r.includes(e.type))).map((e=>({value:`${t.refId?`${t.refId}:`:""}${e.name}`,label:`${t.refId?`${t.refId}:`:""}${e.name}`,refId:t.refId||"",field:e.name}))))),[])}),[o.data,null===(i=e.settings)||void 0===i?void 0:i.filterByType]);var C;return d().createElement("div",{"data-testid":_},d().createElement(Rs,{onDragEnd:b},d().createElement(fl,{droppableId:"editor"},(e=>d().createElement("div",xl(Cl({},e.droppableProps),{ref:e.innerRef}),s.map(((e,t)=>d().createElement(Vs,{key:e.id,draggableId:e.id,index:t},((t,n)=>{return d().createElement("div",xl(Cl({ref:t.innerRef},t.draggableProps),{style:(n.isDragging,r=t.draggableProps.style,Cl({},r)),className:a.item}),d().createElement(hl.SD,{headerTestId:U(e.id),contentTestId:z(e.id),isOpen:m[e.id],onToggle:()=>E(e),title:d().createElement(d().Fragment,null,`${e.type} - [${e.field}]`),actions:d().createElement(d().Fragment,null,d().createElement(c.Button,{icon:"trash-alt",variant:"secondary",fill:"text",size:"sm",onClick:()=>{v(s.filter((t=>t.id!==e.id)))},"data-testid":F}),d().createElement("div",t.dragHandleProps,d().createElement(c.Icon,{name:"draggabledots"})))},d().createElement(d().Fragment,null,d().createElement(c.InlineField,{label:"Type",grow:!0},d().createElement(c.Select,{placeholder:"Change source type",onChange:t=>{if(t.value){const n=s.map((n=>n.id===e.id?xl(Cl({},n),{type:t.value}):n));v(n)}},value:e.type,options:A,"aria-label":G,"data-testid":G})),d().createElement(c.InlineField,{label:"Field",grow:!0},d().createElement(c.Select,{value:`${e.refId?`${e.refId}:`:""}${e.field}`,onChange:t=>{const n=s.map((n=>n.id===e.id?xl(Cl({},n),{field:t.field,refId:t.refId||""}):n));v(n)},options:w,"aria-label":j,"data-testid":j})))));var r})))),e.placeholder)))),d().createElement(c.InlineFieldRow,null,d().createElement(c.InlineField,{label:"Media Type",grow:!0},d().createElement(c.Select,{placeholder:"Select source type",onChange:e=>{h(xl(Cl({},f),{type:e.value}))},value:f.type,options:A,"aria-label":W,"data-testid":W})),d().createElement(c.InlineField,{label:"Media Field",grow:!0},d().createElement(c.Select,{onChange:e=>{h(xl(Cl({},f),{field:e.field,refId:e.refId||""}))},value:f.field||null,options:w,"aria-label":H,"data-testid":H})),d().createElement(c.Button,{icon:"plus",title:"Add Media source",onClick:y,disabled:!f.type||!f.field,"data-testid":$},"Add")))};var Sl=f(8449),Bl=f.n(Sl);function Tl(){return Tl=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},Tl.apply(this,arguments)}const Ol=new s.PanelPlugin((({options:t,data:o,width:a,height:p})=>{const f=(0,c.useStyles2)(Ar),[h,m]=(0,u.useState)(0),[g,v]=(0,u.useState)(0),[b,y]=(0,u.useState)(0),A=(0,u.useRef)(null),w=(0,u.useRef)(null),{description:C,isNavigationShown:x,rowsLength:I,link:S,videoPoster:B,mediaSource:T}=(({options:t,data:n,currentIndex:o})=>{const a=(0,u.useMemo)((()=>{var e;return t.toolbar&&(null===(e=t.buttons)||void 0===e?void 0:e.includes(i.NAVIGATION))}),[t.buttons,t.toolbar]),l=(0,u.useMemo)((()=>n.series.length&&n.series[0].length||0),[n.series]),c=(0,u.useMemo)((()=>t.description?_t(n.series,t.description):[]),[n.series,t.description]),d=(0,u.useMemo)((()=>t.videoPoster?_t(n.series,t.videoPoster):[]),[n.series,t.videoPoster]),p=(0,u.useMemo)((()=>a?o:l-1),[o,a,l]),f=(0,u.useMemo)((()=>((t,n,o,i)=>{if(t&&t.length)for(const a of n){const n=vt(t,((e,t)=>a.refId?(null==t?void 0:t.refId)===a.refId&&e.name===a.field:e.name===a.field));if(n&&(null==n?void 0:n.values[o])){let t;if(q(n.values[o])){if(t=kt(null==n?void 0:n.values[o]).currentMedia,a.type===r.PDF){const n=Mt(t,e.PDF);t=URL.createObjectURL(n)}}else t=n.values[o];return a.type!==r.PDF||i||(t+="#toolbar=0"),{type:a.type,url:t,field:a.field}}}return{type:null}})(n.series,t.mediaSources,o,t.pdfToolbar)),[o,n.series,t.mediaSources,t.pdfToolbar]),h=(0,u.useMemo)((()=>c[p]),[p,c]),m=(0,u.useMemo)((()=>((e,t,n)=>{const r=vt(e,(e=>e.type===s.FieldType.string&&(!t.field||e.name===t.field)));return r&&(null==r?void 0:r.getLinks)?null==r?void 0:r.getLinks({valueRowIndex:n})[0]:null})(n.series,f,o)),[o,n.series,f]),g=(0,u.useMemo)((()=>d[p]||""),[d,p]),v=g?q(g)?kt(g).currentMedia:g:"";return{description:h,isNavigationShown:a,rowsLength:l,videoPoster:v,link:m,mediaSource:f}})({options:t,data:o,currentIndex:h}),O=(0,u.useMemo)((()=>t.toolbar&&t.buttons.length>0),[t.toolbar,t.buttons]);(0,u.useEffect)((()=>{var e;v((null===(e=A.current)||void 0===e?void 0:e.clientHeight)||0)}),[a,p,t.toolbar,t.buttons,t.zoomType]),(0,u.useEffect)((()=>{var e;y((null===(e=w.current)||void 0===e?void 0:e.clientHeight)||0)}),[a,p,t.description,C,h,x]),(0,u.useEffect)((()=>{h>I-1&&m(I-1)}),[h,o.series,I]);let R=t.heightMode===n.AUTO?p-g-b:0,_=t.widthMode===n.AUTO?a:0;if(t.heightMode===n.CUSTOM){if(t.heightName){const e=_t(o.series,t.heightName);R=Number(e[e.length-1])?Number(e[e.length-1]):R}R=t.height?t.height:R}if(t.widthMode===n.CUSTOM){if(t.widthName){const e=_t(o.series,t.widthName);_=Number(e[e.length-1])?Number(e[e.length-1]):_}_=t.width?t.width:_}const $=e=>d().createElement(d().Fragment,null,e,C&&d().createElement("div",{ref:w,className:f.description},C));let F;var U;if(T.type||(U=t.noResultsMessage,F=d().createElement(c.Alert,{severity:"warning",title:"","data-testid":k},U)),T.type===r.IMAGE){let e=d().createElement("img",{width:_||"",height:R||"",src:T.url,"data-testid":N,alt:"",style:{imageRendering:t.scale}});S&&S.href&&(e=d().createElement("a",{className:(0,l.cx)(f.url),href:S.href,target:S.target,title:S.title,"data-testid":P},e)),F=$(e)}return T.type===r.VIDEO&&(F=$(d().createElement("video",{muted:t.autoPlay,width:_||"",height:R||"",controls:t.controls,loop:t.infinityPlay,autoPlay:t.autoPlay,"data-testid":M,poster:B},d().createElement("source",{src:T.url})))),T.type===r.AUDIO&&(F=$(d().createElement("audio",{controls:t.controls,autoPlay:t.autoPlay,"data-testid":E,loop:t.infinityPlay},d().createElement("source",{src:T.url})))),T.type===r.PDF&&(F=$(d().createElement("iframe",{width:_||"",height:R||"",src:T.url,"data-testid":D}))),d().createElement("div",{"data-testid":L,className:(0,l.cx)(f.wrapper,l.css`
          width: ${a}px;
          height: ${p}px;
        `)},O?d().createElement(yr,{options:t,width:a,height:p,rowsLength:I,currentIndex:h,setCurrentIndex:m,toolbarRef:A,mediaSource:T},F):F)})).setNoPadding().setMigrationHandler((e=>{const t=Tl({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.options));if(t.hasOwnProperty("url")&&delete t.url,t.hasOwnProperty("formats")&&delete t.formats,t.hasOwnProperty("title")&&delete t.title,e.pluginVersion&&Bl().lt(e.pluginVersion,"5.2.0")){const e=[];if(t.hasOwnProperty("videoUrl")){var n;const o={type:r.VIDEO,id:El(),field:null!==(n=t.videoUrl)&&void 0!==n?n:"",refId:""};e.push(o),delete t.videoUrl}if(t.hasOwnProperty("imageUrl")){var o;const n={type:r.IMAGE,id:El(),field:null!==(o=t.imageUrl)&&void 0!==o?o:"",refId:""};e.push(n),delete t.imageUrl}if(t.hasOwnProperty("name")){var i;const n={type:r.IMAGE,id:El(),field:null!==(i=t.name)&&void 0!==i?i:"",refId:""};e.push(n),delete t.name}t.mediaSources=e}return t})).useFieldConfig({disableStandardOptions:[s.FieldConfigProperty.Color,s.FieldConfigProperty.Decimals,s.FieldConfigProperty.DisplayName,s.FieldConfigProperty.Filterable,s.FieldConfigProperty.Mappings,s.FieldConfigProperty.Max,s.FieldConfigProperty.Min,s.FieldConfigProperty.NoValue,s.FieldConfigProperty.Thresholds,s.FieldConfigProperty.Unit,"unitScale","fieldMinMax"]}).setPanelOptions((e=>{const t=e=>e.mediaSources&&e.mediaSources.some((e=>e.type===r.AUDIO)),o=e=>e.mediaSources&&e.mediaSources.some((e=>e.type===r.IMAGE)),a=e=>e.mediaSources&&e.mediaSources.some((e=>e.type===r.VIDEO));return e.addCustomEditor({id:"mediaSources",path:"mediaSources",name:"Media Sources",description:"Defines priority to display Base64 encoded and URL media sources.",editor:Il,settings:{filterByType:[s.FieldType.string]},defaultValue:p.mediaSources}),e.addFieldNamePicker({path:"description",name:"Field description",description:"Name of the field with descriptions. If not specified, the description won't be shown.",category:["Text Options"],settings:{filter:e=>e.type===s.FieldType.string,noFieldsMessage:"No strings fields found"}}).addTextInput({path:"noResultsMessage",name:"No Results Message",category:["Text Options"],description:"Specifies no results message text.",defaultValue:p.noResultsMessage}),e.addRadio({path:"toolbar",name:"Display toolbar",settings:{options:b},category:["Toolbar"],defaultValue:p.toolbar}).addMultiSelect({path:"buttons",name:"Features",description:"Select buttons to display on toolbar.",settings:{options:V},defaultValue:p.buttons,category:["Toolbar"],showIf:e=>e.toolbar}).addNumberInput({path:"autoPlayInterval",name:"Auto play Interval",description:"Set interval for auto play in seconds. If not specified, 5 seconds by default.",category:["Toolbar"],showIf:e=>e.toolbar&&e.buttons.includes(i.AUTOPLAY)}).addRadio({path:"autoPlayInfinity",name:"Auto Play infinity",settings:{options:b},category:["Toolbar"],defaultValue:p.autoPlayInfinity,showIf:e=>e.toolbar&&e.buttons.includes(i.AUTOPLAY)}).addRadio({path:"zoomType",name:"Zoom mode for images",settings:{options:Y},defaultValue:p.zoomType,category:["Toolbar"],showIf:e=>o(e)&&e.toolbar&&e.buttons.includes(i.ZOOM)}),e.addRadio({path:"pdfToolbar",name:"Reader toolbar",settings:{options:b},category:["PDF"],defaultValue:p.toolbar,showIf:e=>(e=>e.mediaSources&&e.mediaSources.some((e=>e.type===r.PDF)))(e)}),e.addSelect({path:"scale",name:"Scale Algorithm",category:["Image"],settings:{options:v},defaultValue:p.scale,showIf:e=>o(e)}),e.addRadio({path:"controls",name:"Controls",description:"When enabled, it specifies that video and audio controls should be displayed.",settings:{options:b},category:["Video/Audio"],defaultValue:p.controls,showIf:e=>a(e)||t(e)}).addRadio({path:"autoPlay",name:"Auto Play",description:"When enabled, the video and audio will automatically start playing without sound.",settings:{options:b},category:["Video/Audio"],defaultValue:p.autoPlay,showIf:e=>a(e)||t(e)}).addRadio({path:"infinityPlay",name:"Infinity Play",description:"When enabled, the video and audio will be played back repeatedly.",settings:{options:b},category:["Video/Audio"],defaultValue:p.infinityPlay,showIf:e=>a(e)||t(e)}).addFieldNamePicker({path:"videoPoster",name:"Poster Image",description:"Use URL or Base64 data for video poster preview.",settings:{filter:e=>e.type===s.FieldType.string,noFieldsMessage:"No strings fields found"},category:["Video/Audio"],showIf:e=>a(e)}),e.addRadio({path:"widthMode",name:"Width",settings:{options:g},category:["Width"],defaultValue:p.widthMode}).addFieldNamePicker({path:"widthName",name:"Field name",description:"Name of the field with width in px.",settings:{filter:e=>e.type===s.FieldType.number,noFieldsMessage:"No number fields found"},category:["Width"],showIf:e=>e.widthMode===n.CUSTOM}).addNumberInput({path:"width",name:"Custom width (px)",defaultValue:p.width,category:["Width"],showIf:e=>e.widthMode===n.CUSTOM}),e.addRadio({path:"heightMode",name:"Height",settings:{options:g},category:["Height"],defaultValue:p.heightMode}).addFieldNamePicker({path:"heightName",name:"Field name",description:"Name of the field with height in px.",settings:{filter:e=>e.type===s.FieldType.number,noFieldsMessage:"No number fields found"},category:["Height"],showIf:e=>e.heightMode===n.CUSTOM}).addNumberInput({path:"height",name:"Custom height (px)",defaultValue:p.height,category:["Height"],showIf:e=>e.heightMode===n.CUSTOM}),e}))})(),h})()));
//# sourceMappingURL=module.js.map