/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@grafana/runtime","@grafana/ui","react","lodash","@emotion/css","rxjs","@emotion/react","react-dom","redux","react-redux"],((e,t,n,r,o,i,a,l,s,u,c)=>(()=>{var d={7774:(e,t,n)=>{"use strict";var r=n(9997),o=n(2007),i=n(5959),a=n(6089),l=(n(3241),n(7781),n(9089));n(5846);n(8531);r.createSelector((e=>`data-testid form-${e}`)),r.createSelector((e=>`data-testid form section-${e}`),"headerDataTestId"),r.createSelector((e=>`data-testid form section-content-${e}`),"contentDataTestId"),r.createSelector((e=>`form field-select-${e}`)),r.createSelector((e=>`data-testid form field-custom-${e}`)),r.createSelector((e=>`data-testid form field-slider-${e}`)),r.createSelector((e=>`form field-range-slider-${e}`),"sliderAriaLabel"),r.createSelector((e=>`data-testid form field-number-input-${e}`)),r.createSelector((e=>`data-testid form field-color-${e}`)),r.createSelector((e=>`data-testid form field-input-${e}`)),r.createSelector((()=>"data-testid date-time-input")),r.createSelector((e=>`data-testid form field-radio-${e}`)),r.createSelector((e=>`data-testid code-editor modal-button-${e}`)),r.createSelector((()=>"data-testid code-editor modal-window"));const s=e=>({rootOutline:a.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:a.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:a.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:a.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:a.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:a.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var u=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(u||{});const c=({value:e,onChange:t,min:n,max:r,step:a,...l})=>{const s=i.useRef(null),u=i.useRef(!1),[c,d]=i.useState(e?.toString()??"0"),p=i.useCallback((e=>{d(e.currentTarget.value),u.current=!0}),[]),f=i.useCallback((()=>{let e=Number(c);if(Number.isNaN(e)&&(e=0),void 0!==a){let t=1e3*a;for(void 0!==n&&(t=1e3*n);t<1e3*e;)t+=1e3*a;e=t/1e3}void 0!==r&&e>r?e=r:void 0!==n&&e<n&&(e=n),u.current&&(t?.(e),d(e.toString()),u.current=!1)}),[c,r,n,t,a]),g=i.useCallback((e=>{"Enter"===e.key&&s.current?.blur()}),[f]);return i.useEffect((()=>{d(e?.toString()||"0")}),[e]),i.createElement(o.Input,{ref:s,...l,type:"text",value:c,onChange:p,onBlur:f,onKeyDown:g})},{default:d}=n(7212),{default:p}=(o.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,i=e.colors.primary.main,s=e.colors.primary.main,u=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:a.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:a.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${s};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${u};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${i};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:l.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:a.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:a.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:a.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:a.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(6067)),{default:f}=n(6067),g=({min:e,max:t,onChange:n,onAfterChange:r,orientation:s="horizontal",reverse:u,step:d,value:p,marks:g,included:m,inputWidth:v=8,sliderAriaLabel:h,disabled:b,...y})=>{const A="horizontal"===s,E=o.useTheme2(),w=((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,i=e.colors.primary.main,s=e.colors.primary.main,u=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:a.css({width:"100%",margin:t?"inherit":r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:a.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${s};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${u};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 5px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${i};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:l.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
      }
    `,sliderInput:a.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:a.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:a.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:a.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})(E,A,Boolean(g)),C=f,[x,S]=i.useState(p??e),I=i.useCallback((e=>{const t="number"==typeof e?e:e[0];S(t),n?.(t)}),[S,n]),R=i.useCallback((e=>{S(e),n&&n(e),r&&r(e)}),[r,n]),O=i.useCallback((e=>{const t="number"==typeof e?e:e[0];r?.(t)}),[r]);i.useEffect((()=>{p!==x&&S(p??e)}),[p,x,e]);const B=A?[]:[w.sliderInputVertical],D=A?[]:[w.sliderInputFieldVertical];return i.createElement("div",{className:a.cx(w.container,w.slider)},i.createElement(l.Global,{styles:w.tooltip}),i.createElement("div",{className:a.cx(w.sliderInput,...B)},i.createElement(C,{min:e,max:t,step:d,defaultValue:p,value:x,onChange:I,onAfterChange:O,vertical:!A,reverse:u,marks:g,included:m,ariaLabelForHandle:h,disabled:b}),v>0&&i.createElement(c,{className:a.cx(w.sliderInputField,...D,a.css`
                min-width: ${E.spacing(v)};
                width: ${E.spacing(v)};
              `),value:x,onChange:R,min:e,max:t,step:d,"data-testid":y["data-testid"],disabled:b})))};g.displayName="Slider";t.SD=({title:e,actions:t,children:n,isOpen:r=!1,onToggle:l,headerTestId:u,contentTestId:c,fill:d="outline",isInlineContent:p=!1})=>{const f=o.useTheme2(),g=o.useStyles2(s),m="solid"===d,v="outline"===d;return i.createElement("div",{className:a.cx({[g.rootOutline]:v})},i.createElement("div",{className:a.cx(g.header,{[g.headerSolid]:m}),"data-testid":u,onClick:()=>l?.(!r)},i.createElement(o.IconButton,{name:r?"angle-down":"angle-right",tooltip:r?"Collapse":"Expand",className:g.collapseIcon,"aria-expanded":r}),i.createElement("div",{className:g.title},e),t&&i.createElement("div",{className:g.actions,onClick:e=>e.stopPropagation()},t)),r&&i.createElement("div",{style:{padding:p?0:f.spacing(.5)},"data-testid":c},n))},t.Q7=c,t.Ap=g},9997:(e,t)=>{"use strict";t.createSelector=function(e,t){const n="string"==typeof e?()=>e:e;let r="aria-label";return t?r=t:n().startsWith("data-testid")&&(r="data-testid"),{selector:n,apply:(...e)=>({[r]:n(...e)})}},t.getJestSelectors=(e,t=[])=>n=>Object.entries(e).reduce(((e,[r,o])=>({...e,[r]:(e=!1,...i)=>{const a="object"==typeof o&&"selector"in o?o.selector:o,l="function"==typeof a?a(...i):a;return l.startsWith("data-testid")||t.includes(r)?e?n.queryByTestId(l):n.getByTestId(l):e?n.queryByLabelText(l):n.getByLabelText(l)}})),{})},3261:(e,t,n)=>{"use strict";n.d(t,{A:()=>l});var r=n(4942),o=n.n(r),i=n(278),a=n.n(i)()(o());a.push([e.id,".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n","",{version:3,sources:["webpack://./../node_modules/rc-slider/assets/index.css"],names:[],mappings:"AAAA;EACE,kBAAkB;EAClB,WAAW;EACX,YAAY;EACZ,cAAc;EACd,kBAAkB;EAClB,kBAAkB;EAClB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;;EAEE,kBAAkB;EAClB,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;EACE,UAAU;EACV,uBAAuB;EACvB,4BAA4B;EAC5B,sCAAsC;EACtC,yCAAyC;EACzC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,WAAW;EACX,YAAY;EACZ,gBAAgB;EAChB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;EACf,oBAAoB;EACpB,YAAY;EACZ,YAAY;EACZ,mBAAmB;AACrB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,aAAa;EACb,gBAAgB;AAClB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,qBAAqB;EACrB,iBAAiB;AACnB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,qBAAqB;EACrB,2BAA2B;EAC3B,wBAAwB;EACxB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,SAAS;EACT,OAAO;EACP,WAAW;EACX,eAAe;AACjB;AACA;EACE,kBAAkB;EAClB,qBAAqB;EACrB,WAAW;EACX,kBAAkB;EAClB,sBAAsB;EACtB,eAAe;AACjB;AACA;EACE,WAAW;AACb;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,uBAAuB;AACzB;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,UAAU;EACV,WAAW;EACX,sBAAsB;EACtB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;AACjB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,kBAAkB;AACpB;AACA;EACE,yBAAyB;AAC3B;AACA;EACE,sBAAsB;AACxB;AACA;;EAEE,sBAAsB;EACtB,kBAAkB;EAClB,gBAAgB;EAChB,mBAAmB;AACrB;AACA;;EAEE,8BAA8B;AAChC;AACA;EACE,WAAW;EACX,YAAY;EACZ,cAAc;AAChB;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,SAAS;EACT,SAAS;EACT,UAAU;AACZ;AACA;EACE,aAAa;EACb,gBAAgB;EAChB,wCAAwC;EACxC,uCAAuC;EACvC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,aAAa;EACb,iBAAiB;EACjB,mBAAmB;AACrB;AACA;EACE,MAAM;EACN,UAAU;EACV,YAAY;AACd;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,iBAAiB;AACnB;AACA;;EAEE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;EACE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;;EAEE,yCAAyC;EACzC,6BAA6B;AAC/B;AACA;EACE,0CAA0C;EAC1C,6BAA6B;AAC/B;AACA;;EAEE,sBAAsB;EACtB,yDAAyD;AAC3D;AACA;EACE,iEAAiE;AACnE;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;EACA;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;AACF;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;EACA;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;AACF;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,aAAa;EACb,mBAAmB;EACnB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,aAAa;AACf;AACA;EACE,oBAAoB;AACtB;AACA;EACE,eAAe;EACf,YAAY;EACZ,gBAAgB;EAChB,WAAW;EACX,eAAe;EACf,cAAc;EACd,kBAAkB;EAClB,qBAAqB;EACrB,yBAAyB;EACzB,kBAAkB;EAClB,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,QAAQ;EACR,SAAS;EACT,yBAAyB;EACzB,mBAAmB;AACrB;AACA;EACE,WAAW;EACX,SAAS;EACT,iBAAiB;EACjB,uBAAuB;EACvB,yBAAyB;AAC3B",sourcesContent:[".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n"],sourceRoot:""}]);const l=a},278:e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n="",r=void 0!==t[5];return t[4]&&(n+="@supports (".concat(t[4],") {")),t[2]&&(n+="@media ".concat(t[2]," {")),r&&(n+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),n+=e(t),r&&(n+="}"),t[2]&&(n+="}"),t[4]&&(n+="}"),n})).join("")},t.i=function(e,n,r,o,i){"string"==typeof e&&(e=[[null,e,void 0]]);var a={};if(r)for(var l=0;l<this.length;l++){var s=this[l][0];null!=s&&(a[s]=!0)}for(var u=0;u<e.length;u++){var c=[].concat(e[u]);r&&a[c[0]]||(void 0!==i&&(void 0===c[5]||(c[1]="@layer".concat(c[5].length>0?" ".concat(c[5]):""," {").concat(c[1],"}")),c[5]=i),n&&(c[2]?(c[1]="@media ".concat(c[2]," {").concat(c[1],"}"),c[2]=n):c[2]=n),o&&(c[4]?(c[1]="@supports (".concat(c[4],") {").concat(c[1],"}"),c[4]=o):c[4]="".concat(o)),t.push(c))}},t}},4942:e=>{"use strict";e.exports=function(e){var t=e[1],n=e[3];if(!n)return t;if("function"==typeof btoa){var r=btoa(unescape(encodeURIComponent(JSON.stringify(n)))),o="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(r),i="/*# ".concat(o," */");return[t].concat([i]).join("\n")}return[t].join("\n")}},6067:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>N});var r=n(7405),o=n(1705),i=n(4300),a=n(7850),l=n(694),s=n(4452),u=n.n(s),c=n(9273),d=n(4358);var p=n(5959),f=n(8102),g=n(9644);function m(e,t,n){return(e-t)/(n-t)}function v(e,t,n,r){var o=m(t,n,r),i={};switch(e){case"rtl":i.right="".concat(100*o,"%"),i.transform="translateX(50%)";break;case"btt":i.bottom="".concat(100*o,"%"),i.transform="translateY(50%)";break;case"ttb":i.top="".concat(100*o,"%"),i.transform="translateY(-50%)";break;default:i.left="".concat(100*o,"%"),i.transform="translateX(-50%)"}return i}function h(e,t){return Array.isArray(e)?e[t]:e}var b={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=b.F1&&t<=b.F12)return!1;switch(t){case b.ALT:case b.CAPS_LOCK:case b.CONTEXT_MENU:case b.CTRL:case b.DOWN:case b.END:case b.ESC:case b.HOME:case b.INSERT:case b.LEFT:case b.MAC_FF_META:case b.META:case b.NUMLOCK:case b.NUM_CENTER:case b.PAGE_DOWN:case b.PAGE_UP:case b.PAUSE:case b.PRINT_SCREEN:case b.RIGHT:case b.SHIFT:case b.UP:case b.WIN_KEY:case b.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=b.ZERO&&e<=b.NINE)return!0;if(e>=b.NUM_ZERO&&e<=b.NUM_MULTIPLY)return!0;if(e>=b.A&&e<=b.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case b.SPACE:case b.QUESTION_MARK:case b.NUM_PLUS:case b.NUM_MINUS:case b.NUM_PERIOD:case b.NUM_DIVISION:case b.SEMICOLON:case b.DASH:case b.EQUALS:case b.COMMA:case b.PERIOD:case b.SLASH:case b.APOSTROPHE:case b.SINGLE_QUOTE:case b.OPEN_SQUARE_BRACKET:case b.BACKSLASH:case b.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const y=b,A=p.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var E=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete","onFocus","onMouseEnter"];const w=p.forwardRef((function(e,t){var n,i=e.prefixCls,a=e.value,l=e.valueIndex,s=e.onStartMove,c=e.style,d=e.render,m=e.dragging,b=e.onOffsetChange,w=e.onChangeComplete,C=e.onFocus,x=e.onMouseEnter,S=(0,g.A)(e,E),I=p.useContext(A),R=I.min,O=I.max,B=I.direction,D=I.disabled,M=I.keyboard,P=I.range,N=I.tabIndex,k=I.ariaLabelForHandle,T=I.ariaLabelledByForHandle,L=I.ariaValueTextFormatterForHandle,F=I.styles,_=I.classNames,V="".concat(i,"-handle"),$=function(e){D||s(e,l)},G=v(B,a,R,O),j={};null!==l&&(j={tabIndex:D?null:h(N,l),role:"slider","aria-valuemin":R,"aria-valuemax":O,"aria-valuenow":a,"aria-disabled":D,"aria-label":h(k,l),"aria-labelledby":h(T,l),"aria-valuetext":null===(n=h(L,l))||void 0===n?void 0:n(a),"aria-orientation":"ltr"===B||"rtl"===B?"horizontal":"vertical",onMouseDown:$,onTouchStart:$,onFocus:function(e){null==C||C(e,l)},onMouseEnter:function(e){x(e,l)},onKeyDown:function(e){if(!D&&M){var t=null;switch(e.which||e.keyCode){case y.LEFT:t="ltr"===B||"btt"===B?-1:1;break;case y.RIGHT:t="ltr"===B||"btt"===B?1:-1;break;case y.UP:t="ttb"!==B?1:-1;break;case y.DOWN:t="ttb"!==B?-1:1;break;case y.HOME:t="min";break;case y.END:t="max";break;case y.PAGE_UP:t=2;break;case y.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),b(t,l))}},onKeyUp:function(e){switch(e.which||e.keyCode){case y.LEFT:case y.RIGHT:case y.UP:case y.DOWN:case y.HOME:case y.END:case y.PAGE_UP:case y.PAGE_DOWN:null==w||w()}}});var z=p.createElement("div",(0,f.A)({ref:t,className:u()(V,(0,o.A)((0,o.A)({},"".concat(V,"-").concat(l+1),null!==l&&P),"".concat(V,"-dragging"),m),_.handle),style:(0,r.A)((0,r.A)((0,r.A)({},G),c),F.handle)},j,S));return d&&(z=d(z,{index:l,prefixCls:i,value:a,dragging:m})),z}));var C=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","activeHandleRender","draggingIndex","onFocus"];const x=p.forwardRef((function(e,t){var n=e.prefixCls,o=e.style,i=e.onStartMove,l=e.onOffsetChange,s=e.values,u=e.handleRender,c=e.activeHandleRender,d=e.draggingIndex,m=e.onFocus,v=(0,g.A)(e,C),b=p.useRef({});p.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=b.current[e])||void 0===t||t.focus()}}}));var y=p.useState(-1),A=(0,a.A)(y,2),E=A[0],x=A[1],S=(0,r.A)({prefixCls:n,onStartMove:i,onOffsetChange:l,render:u,onFocus:function(e,t){x(t),null==m||m(e)},onMouseEnter:function(e,t){x(t)}},v);return p.createElement(p.Fragment,null,s.map((function(e,t){return p.createElement(w,(0,f.A)({ref:function(e){e?b.current[t]=e:delete b.current[t]},dragging:d===t,style:h(o,t),key:t,value:e,valueIndex:t},S))})),c&&p.createElement(w,(0,f.A)({key:"a11y"},S,{value:s[E],valueIndex:null,dragging:-1!==d,render:c,style:{pointerEvents:"none"},tabIndex:null,"aria-hidden":!0})))})),S=function(e){var t=e.prefixCls,n=e.style,i=e.children,a=e.value,l=e.onClick,s=p.useContext(A),c=s.min,d=s.max,f=s.direction,g=s.includedStart,m=s.includedEnd,h=s.included,b="".concat(t,"-text"),y=v(f,a,c,d);return p.createElement("span",{className:u()(b,(0,o.A)({},"".concat(b,"-active"),h&&g<=a&&a<=m)),style:(0,r.A)((0,r.A)({},y),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){l(a)}},i)},I=function(e){var t=e.prefixCls,n=e.marks,r=e.onClick,o="".concat(t,"-mark");return n.length?p.createElement("div",{className:o},n.map((function(e){var t=e.value,n=e.style,i=e.label;return p.createElement(S,{key:t,prefixCls:o,style:n,value:t,onClick:r},i)}))):null},R=function(e){var t=e.prefixCls,n=e.value,i=e.style,a=e.activeStyle,l=p.useContext(A),s=l.min,c=l.max,d=l.direction,f=l.included,g=l.includedStart,m=l.includedEnd,h="".concat(t,"-dot"),b=f&&g<=n&&n<=m,y=(0,r.A)((0,r.A)({},v(d,n,s,c)),"function"==typeof i?i(n):i);return b&&(y=(0,r.A)((0,r.A)({},y),"function"==typeof a?a(n):a)),p.createElement("span",{className:u()(h,(0,o.A)({},"".concat(h,"-active"),b)),style:y})},O=function(e){var t=e.prefixCls,n=e.marks,r=e.dots,o=e.style,i=e.activeStyle,a=p.useContext(A),l=a.min,s=a.max,u=a.step,c=p.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==u)for(var t=l;t<=s;)e.add(t),t+=u;return Array.from(e)}),[l,s,u,r,n]);return p.createElement("div",{className:"".concat(t,"-step")},c.map((function(e){return p.createElement(R,{prefixCls:t,key:e,value:e,style:o,activeStyle:i})})))},B=function(e){var t=e.prefixCls,n=e.style,i=e.start,a=e.end,l=e.index,s=e.onStartMove,c=e.replaceCls,d=p.useContext(A),f=d.direction,g=d.min,v=d.max,h=d.disabled,b=d.range,y=d.classNames,E="".concat(t,"-track"),w=m(i,g,v),C=m(a,g,v),x=function(e){!h&&s&&s(e,-1)},S={};switch(f){case"rtl":S.right="".concat(100*w,"%"),S.width="".concat(100*C-100*w,"%");break;case"btt":S.bottom="".concat(100*w,"%"),S.height="".concat(100*C-100*w,"%");break;case"ttb":S.top="".concat(100*w,"%"),S.height="".concat(100*C-100*w,"%");break;default:S.left="".concat(100*w,"%"),S.width="".concat(100*C-100*w,"%")}var I=c||u()(E,(0,o.A)((0,o.A)({},"".concat(E,"-").concat(l+1),null!==l&&b),"".concat(t,"-track-draggable"),s),y.track);return p.createElement("div",{className:I,style:(0,r.A)((0,r.A)({},S),n),onMouseDown:x,onTouchStart:x})},D=function(e){var t=e.prefixCls,n=e.style,o=e.values,i=e.startPoint,a=e.onStartMove,l=p.useContext(A),s=l.included,c=l.range,d=l.min,f=l.styles,g=l.classNames,m=p.useMemo((function(){if(!c){if(0===o.length)return[];var e=null!=i?i:d,t=o[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<o.length-1;r+=1)n.push({start:o[r],end:o[r+1]});return n}),[o,c,i,d]);if(!s)return null;var v=g.tracks||f.tracks?p.createElement(B,{index:null,prefixCls:t,start:m[0].start,end:m[m.length-1].end,replaceCls:u()(g.tracks,"".concat(t,"-tracks")),style:f.tracks}):null;return p.createElement(p.Fragment,null,v,m.map((function(e,o){var i=e.start,l=e.end;return p.createElement(B,{index:o,prefixCls:t,style:(0,r.A)((0,r.A)({},h(n,o)),f.track),start:i,end:l,key:o,onStartMove:a})})))};var M=n(291);function P(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}const N=p.forwardRef((function(e,t){var n=e.prefixCls,s=void 0===n?"rc-slider":n,f=e.className,g=e.style,m=e.classNames,v=e.styles,h=e.disabled,b=void 0!==h&&h,y=e.keyboard,E=void 0===y||y,w=e.autoFocus,C=e.onFocus,S=e.onBlur,R=e.min,B=void 0===R?0:R,N=e.max,k=void 0===N?100:N,T=e.step,L=void 0===T?1:T,F=e.value,_=e.defaultValue,V=e.range,$=e.count,G=e.onChange,j=e.onBeforeChange,z=e.onAfterChange,H=e.onChangeComplete,U=e.allowCross,W=void 0===U||U,q=e.pushable,X=void 0!==q&&q,Y=e.draggableTrack,K=e.reverse,Q=e.vertical,Z=e.included,J=void 0===Z||Z,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,oe=e.dotStyle,ie=e.activeDotStyle,ae=e.marks,le=e.dots,se=e.handleRender,ue=e.activeHandleRender,ce=e.tabIndex,de=void 0===ce?0:ce,pe=e.ariaLabelForHandle,fe=e.ariaLabelledByForHandle,ge=e.ariaValueTextFormatterForHandle,me=p.useRef(null),ve=p.useRef(null),he=p.useMemo((function(){return Q?K?"ttb":"btt":K?"rtl":"ltr"}),[K,Q]),be=p.useMemo((function(){return isFinite(B)?B:0}),[B]),ye=p.useMemo((function(){return isFinite(k)?k:100}),[k]),Ae=p.useMemo((function(){return null!==L&&L<=0?1:L}),[L]),Ee=p.useMemo((function(){return"boolean"==typeof X?!!X&&Ae:X>=0&&X}),[X,Ae]),we=p.useMemo((function(){return Object.keys(ae||{}).map((function(e){var t=ae[e],n={value:Number(e)};return t&&"object"===(0,l.A)(t)&&!p.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ae]),Ce=function(e,t,n,r,o,a){var l=p.useCallback((function(n){return Math.max(e,Math.min(t,n))}),[e,t]),s=p.useCallback((function(r){if(null!==n){var o=e+Math.round((l(r)-e)/n)*n,i=function(e){return(String(e).split(".")[1]||"").length},a=Math.max(i(n),i(t),i(e)),s=Number(o.toFixed(a));return e<=s&&s<=t?s:null}return null}),[n,e,t,l]),u=p.useCallback((function(o){var i=l(o),a=r.map((function(e){return e.value}));null!==n&&a.push(s(o)),a.push(e,t);var u=a[0],c=t-e;return a.forEach((function(e){var t=Math.abs(i-e);t<=c&&(u=e,c=t)})),u}),[e,t,r,n,l,s]),c=function o(a,l,u){var c=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof l){var d,p=a[u],f=p+l,g=[];r.forEach((function(e){g.push(e.value)})),g.push(e,t),g.push(s(p));var m=l>0?1:-1;"unit"===c?g.push(s(p+m*n)):g.push(s(f)),g=g.filter((function(e){return null!==e})).filter((function(e){return l<0?e<=p:e>=p})),"unit"===c&&(g=g.filter((function(e){return e!==p})));var v="unit"===c?p:f;d=g[0];var h=Math.abs(d-v);if(g.forEach((function(e){var t=Math.abs(e-v);t<h&&(d=e,h=t)})),void 0===d)return l<0?e:t;if("dist"===c)return d;if(Math.abs(l)>1){var b=(0,i.A)(a);return b[u]=d,o(b,l-m,u,c)}return d}return"min"===l?e:"max"===l?t:void 0},d=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e[n],i=c(e,t,n,r);return{value:i,changed:i!==o}},f=function(e){return null===a&&0===e||"number"==typeof a&&e<a};return[u,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",i=e.map(u),l=i[n],s=c(i,t,n,r);if(i[n]=s,!1===o){var p=a||0;n>0&&i[n-1]!==l&&(i[n]=Math.max(i[n],i[n-1]+p)),n<i.length-1&&i[n+1]!==l&&(i[n]=Math.min(i[n],i[n+1]-p))}else if("number"==typeof a||null===a){for(var g=n+1;g<i.length;g+=1)for(var m=!0;f(i[g]-i[g-1])&&m;){var v=d(i,1,g);i[g]=v.value,m=v.changed}for(var h=n;h>0;h-=1)for(var b=!0;f(i[h]-i[h-1])&&b;){var y=d(i,-1,h-1);i[h-1]=y.value,b=y.changed}for(var A=i.length-1;A>0;A-=1)for(var E=!0;f(i[A]-i[A-1])&&E;){var w=d(i,-1,A-1);i[A-1]=w.value,E=w.changed}for(var C=0;C<i.length-1;C+=1)for(var x=!0;f(i[C+1]-i[C])&&x;){var S=d(i,1,C+1);i[C+1]=S.value,x=S.changed}}return{value:i[n],values:i}}]}(be,ye,Ae,we,W,Ee),xe=(0,a.A)(Ce,2),Se=xe[0],Ie=xe[1],Re=(0,c.A)(_,{value:F}),Oe=(0,a.A)(Re,2),Be=Oe[0],De=Oe[1],Me=p.useMemo((function(){var e=null==Be?[]:Array.isArray(Be)?Be:[Be],t=(0,a.A)(e,1)[0],n=null===Be?[]:[void 0===t?be:t];if(V){if(n=(0,i.A)(e),$||void 0===Be){var r=$>=0?$+1:2;for(n=n.slice(0,r);n.length<r;){var o;n.push(null!==(o=n[n.length-1])&&void 0!==o?o:be)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=Se(e)})),n}),[Be,V,be,$,Se]),Pe=p.useRef(Me);Pe.current=Me;var Ne=function(e){return V?e:e[0]},ke=function(e){var t=(0,i.A)(e).sort((function(e,t){return e-t}));G&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,a=r.has(t);if((0,d.Ay)(!a,"Warning: There may be circular references"),a)return!1;if(t===o)return!0;if(n&&i>1)return!1;r.add(t);var s=i+1;if(Array.isArray(t)){if(!Array.isArray(o)||t.length!==o.length)return!1;for(var u=0;u<t.length;u++)if(!e(t[u],o[u],s))return!1;return!0}if(t&&o&&"object"===(0,l.A)(t)&&"object"===(0,l.A)(o)){var c=Object.keys(t);return c.length===Object.keys(o).length&&c.every((function(n){return e(t[n],o[n],s)}))}return!1}(e,t)}(t,Pe.current,!0)&&G(Ne(t)),De(t)},Te=function(){var e=Ne(Pe.current);null==z||z(e),(0,d.Ay)(!z,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==H||H(e)},Le=function(e,t,n,r,o,l,s,u,c){var d=p.useState(null),f=(0,a.A)(d,2),g=f[0],m=f[1],v=p.useState(-1),h=(0,a.A)(v,2),b=h[0],y=h[1],A=p.useState(n),E=(0,a.A)(A,2),w=E[0],C=E[1],x=p.useState(n),S=(0,a.A)(x,2),I=S[0],R=S[1],O=p.useRef(null),B=p.useRef(null);p.useLayoutEffect((function(){-1===b&&C(n)}),[n,b]),p.useEffect((function(){return function(){document.removeEventListener("mousemove",O.current),document.removeEventListener("mouseup",B.current),document.removeEventListener("touchmove",O.current),document.removeEventListener("touchend",B.current)}}),[]);var D=function(e,t){w.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&m(t),C(e),s(e))},N=(0,M._q)((function(e,t){if(-1===e){var n=I[0],a=I[I.length-1],s=r-n,u=o-a,d=t*(o-r);d=Math.max(d,s),d=Math.min(d,u);var p=l(n+d);d=p-n;var f=I.map((function(e){return e+d}));D(f)}else{var g=(o-r)*t,m=(0,i.A)(w);m[e]=I[e];var v=c(m,g,e,"dist");D(v.values,v.value)}})),k=p.useMemo((function(){var e=(0,i.A)(n).sort((function(e,t){return e-t})),t=(0,i.A)(w).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?w:n}),[n,w]);return[b,g,k,function(r,o,i){r.stopPropagation();var a=i||n,l=a[o];y(o),m(l),R(a);var s=P(r),c=s.pageX,d=s.pageY,p=function(n){n.preventDefault();var r,i=P(n),a=i.pageX,l=i.pageY,s=a-c,u=l-d,p=e.current.getBoundingClientRect(),f=p.width,g=p.height;switch(t){case"btt":r=-u/g;break;case"ttb":r=u/g;break;case"rtl":r=-s/f;break;default:r=s/f}N(o,r)},f=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",p),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",p),O.current=null,B.current=null,y(-1),u()};document.addEventListener("mouseup",f),document.addEventListener("mousemove",p),document.addEventListener("touchend",f),document.addEventListener("touchmove",p),O.current=p,B.current=f}]}(ve,he,Me,be,ye,Se,ke,Te,Ie),Fe=(0,a.A)(Le,4),_e=Fe[0],Ve=Fe[1],$e=Fe[2],Ge=Fe[3],je=function(e,t){if(!b){var n=0,r=ye-be;Me.forEach((function(t,o){var i=Math.abs(e-t);i<=r&&(r=i,n=o)}));var o,a,l=(0,i.A)(Me);l[n]=e,V&&!Me.length&&void 0===$&&l.push(e),null==j||j(Ne(l)),ke(l),t&&(null===(o=document.activeElement)||void 0===o||null===(a=o.blur)||void 0===a||a.call(o),me.current.focus(n),Ge(t,n,l))}},ze=p.useState(null),He=(0,a.A)(ze,2),Ue=He[0],We=He[1];p.useEffect((function(){if(null!==Ue){var e=Me.indexOf(Ue);e>=0&&me.current.focus(e)}We(null)}),[Ue]);var qe=p.useMemo((function(){return(!Y||null!==Ae)&&Y}),[Y,Ae]),Xe=function(e,t){Ge(e,t),null==j||j(Ne(Pe.current))},Ye=-1!==_e;p.useEffect((function(){if(!Ye){var e=Me.lastIndexOf(Ve);me.current.focus(e)}}),[Ye]);var Ke=p.useMemo((function(){return(0,i.A)($e).sort((function(e,t){return e-t}))}),[$e]),Qe=p.useMemo((function(){return V?[Ke[0],Ke[Ke.length-1]]:[be,Ke[0]]}),[Ke,V,be]),Ze=(0,a.A)(Qe,2),Je=Ze[0],et=Ze[1];p.useImperativeHandle(t,(function(){return{focus:function(){me.current.focus(0)},blur:function(){var e,t=document.activeElement;null!==(e=ve.current)&&void 0!==e&&e.contains(t)&&(null==t||t.blur())}}})),p.useEffect((function(){w&&me.current.focus(0)}),[]);var tt=p.useMemo((function(){return{min:be,max:ye,direction:he,disabled:b,keyboard:E,step:Ae,included:J,includedStart:Je,includedEnd:et,range:V,tabIndex:de,ariaLabelForHandle:pe,ariaLabelledByForHandle:fe,ariaValueTextFormatterForHandle:ge,styles:v||{},classNames:m||{}}}),[be,ye,he,b,E,Ae,J,Je,et,V,de,pe,fe,ge,v,m]);return p.createElement(A.Provider,{value:tt},p.createElement("div",{ref:ve,className:u()(s,f,(0,o.A)((0,o.A)((0,o.A)((0,o.A)({},"".concat(s,"-disabled"),b),"".concat(s,"-vertical"),Q),"".concat(s,"-horizontal"),!Q),"".concat(s,"-with-marks"),we.length)),style:g,onMouseDown:function(e){e.preventDefault();var t,n=ve.current.getBoundingClientRect(),r=n.width,o=n.height,i=n.left,a=n.top,l=n.bottom,s=n.right,u=e.clientX,c=e.clientY;switch(he){case"btt":t=(l-c)/o;break;case"ttb":t=(c-a)/o;break;case"rtl":t=(s-u)/r;break;default:t=(u-i)/r}je(Se(be+t*(ye-be)),e)}},p.createElement("div",{className:u()("".concat(s,"-rail"),null==m?void 0:m.rail),style:(0,r.A)((0,r.A)({},re),null==v?void 0:v.rail)}),p.createElement(D,{prefixCls:s,style:te,values:Ke,startPoint:ee,onStartMove:qe?Xe:void 0}),p.createElement(O,{prefixCls:s,marks:we,dots:le,style:oe,activeStyle:ie}),p.createElement(x,{ref:me,prefixCls:s,style:ne,values:$e,draggingIndex:_e,onStartMove:Xe,onOffsetChange:function(e,t){if(!b){var n=Ie(Me,e,t);null==j||j(Ne(Me)),ke(n.values),We(n.value)}},onFocus:C,onBlur:S,handleRender:se,activeHandleRender:ue,onChangeComplete:Te}),p.createElement(I,{prefixCls:s,marks:we,onClick:je})))}))},7212:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>l,default:()=>dn});var r=n(4452),o=n.n(r),i=n(5959),a=n.n(i);function l(e){var t=e.children,n=e.prefixCls,r=e.id,a=e.overlayInnerStyle,l=e.className,s=e.style;return i.createElement("div",{className:o()("".concat(n,"-content"),l),style:s},i.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:a},"function"==typeof t?t():t))}var s=n(8102),u=n(7405),c=n(9644),d=n(7850),p=n(8398),f=n.n(p),g=n(9370),m=(n(4358),n(9115));const v=i.createContext(null);var h=n(4300),b=n(697),y=[],A="data-rc-order",E="data-rc-priority",w="rc-util-key",C=new Map;function x(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):w}function S(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function I(e){return Array.from((C.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function R(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,g.A)())return null;var n=t.csp,r=t.prepend,o=t.priority,i=void 0===o?0:o,a=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),l="prependQueue"===a,s=document.createElement("style");s.setAttribute(A,a),l&&i&&s.setAttribute(E,"".concat(i)),null!=n&&n.nonce&&(s.nonce=null==n?void 0:n.nonce),s.innerHTML=e;var u=S(t),c=u.firstChild;if(r){if(l){var d=(t.styles||I(u)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(A)))return!1;var t=Number(e.getAttribute(E)||0);return i>=t}));if(d.length)return u.insertBefore(s,d[d.length-1].nextSibling),s}u.insertBefore(s,c)}else u.appendChild(s);return s}function O(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=S(t);return(t.styles||I(n)).find((function(n){return n.getAttribute(x(t))===e}))}function B(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=O(e,t);n&&S(t).removeChild(n)}function D(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=S(n),o=I(r),i=(0,u.A)((0,u.A)({},n),{},{styles:o});!function(e,t){var n=C.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=R("",t),o=r.parentNode;C.set(e,o),e.removeChild(r)}}(r,i);var a,l,s,c=O(t,i);if(c)return null!==(a=i.csp)&&void 0!==a&&a.nonce&&c.nonce!==(null===(l=i.csp)||void 0===l?void 0:l.nonce)&&(c.nonce=null===(s=i.csp)||void 0===s?void 0:s.nonce),c.innerHTML!==e&&(c.innerHTML=e),c;var d=R(e,i);return d.setAttribute(x(i),t),d}var M="rc-util-locker-".concat(Date.now()),P=0;function N(e){var t=!!e,n=i.useState((function(){return P+=1,"".concat(M,"_").concat(P)})),r=(0,d.A)(n,1)[0];(0,b.A)((function(){if(t){var e=(o=document.body,"undefined"!=typeof document&&o&&o instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,o,i=n.style;if(i.position="absolute",i.left="0",i.top="0",i.width="100px",i.height="100px",i.overflow="scroll",e){var a=getComputedStyle(e);i.scrollbarColor=a.scrollbarColor,i.scrollbarWidth=a.scrollbarWidth;var l=getComputedStyle(e,"::-webkit-scrollbar"),s=parseInt(l.width,10),u=parseInt(l.height,10);try{var c=s?"width: ".concat(l.width,";"):"",d=u?"height: ".concat(l.height,";"):"";D("\n#".concat(t,"::-webkit-scrollbar {\n").concat(c,"\n").concat(d,"\n}"),t)}catch(e){console.error(e),r=s,o=u}}document.body.appendChild(n);var p=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,f=e&&o&&!isNaN(o)?o:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),B(t),{width:p,height:f}}(o):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;D("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else B(r);var o;return function(){B(r)}}),[t,r])}var k=!1,T=function(e){return!1!==e&&((0,g.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},L=i.forwardRef((function(e,t){var n=e.open,r=e.autoLock,o=e.getContainer,a=(e.debug,e.autoDestroy),l=void 0===a||a,s=e.children,u=i.useState(n),c=(0,d.A)(u,2),f=c[0],A=c[1],E=f||n;i.useEffect((function(){(l||n)&&A(n)}),[n,l]);var w=i.useState((function(){return T(o)})),C=(0,d.A)(w,2),x=C[0],S=C[1];i.useEffect((function(){var e=T(o);S(null!=e?e:null)}));var I=function(e){var t=i.useState((function(){return(0,g.A)()?document.createElement("div"):null})),n=(0,d.A)(t,1)[0],r=i.useRef(!1),o=i.useContext(v),a=i.useState(y),l=(0,d.A)(a,2),s=l[0],u=l[1],c=o||(r.current?void 0:function(e){u((function(t){return[e].concat((0,h.A)(t))}))});function p(){n.parentElement||document.body.appendChild(n),r.current=!0}function f(){var e;null===(e=n.parentElement)||void 0===e||e.removeChild(n),r.current=!1}return(0,b.A)((function(){return e?o?o(p):p():f(),f}),[e]),(0,b.A)((function(){s.length&&(s.forEach((function(e){return e()})),u(y))}),[s]),[n,c]}(E&&!x),R=(0,d.A)(I,2),O=R[0],B=R[1],D=null!=x?x:O;N(r&&n&&(0,g.A)()&&(D===O||D===document.body));var M=null;s&&(0,m.f3)(s)&&t&&(M=s.ref);var P=(0,m.xK)(M,t);if(!E||!(0,g.A)()||void 0===x)return null;var L=!1===D||k,F=s;return t&&(F=i.cloneElement(s,{ref:P})),i.createElement(v.Provider,{value:B},L?F:(0,p.createPortal)(F,D))}));const F=L;var _=n(9555);function V(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return a().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat(V(e)):(0,_.isFragment)(e)&&e.props?n=n.concat(V(e.props.children,t)):n.push(e))})),n}var $=n(694);function G(e){return e instanceof HTMLElement||e instanceof SVGElement}function j(e){var t,n=function(e){return e&&"object"===(0,$.A)(e)&&G(e.nativeElement)?e.nativeElement:G(e)?e:null}(e);return n||(e instanceof a().Component?null===(t=f().findDOMNode)||void 0===t?void 0:t.call(f(),e):null)}var z=i.createContext(null),H=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var o=r[n];e.call(t,o[1],o[0])}},t}()}(),U="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,W=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),q="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(W):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},X=["top","right","bottom","left","width","height","size","weight"],Y="undefined"!=typeof MutationObserver,K=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e,t){var n=!1,r=!1,o=0;function i(){n&&(n=!1,e()),r&&l()}function a(){q(i)}function l(){var e=Date.now();if(n){if(e-o<2)return;r=!0}else n=!0,r=!1,setTimeout(a,t);o=e}return l}(this.refresh.bind(this),20)}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){U&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),Y?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){U&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;X.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),Q=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var o=r[n];Object.defineProperty(e,o,{value:t[o],enumerable:!1,writable:!1,configurable:!0})}return e},Z=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||W},J=oe(0,0,0,0);function ee(e){return parseFloat(e)||0}function te(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+ee(e["border-"+n+"-width"])}),0)}var ne="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof Z(e).SVGGraphicsElement}:function(e){return e instanceof Z(e).SVGElement&&"function"==typeof e.getBBox};function re(e){return U?ne(e)?function(e){var t=e.getBBox();return oe(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return J;var r=Z(e).getComputedStyle(e),o=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var o=r[n],i=e["padding-"+o];t[o]=ee(i)}return t}(r),i=o.left+o.right,a=o.top+o.bottom,l=ee(r.width),s=ee(r.height);if("border-box"===r.boxSizing&&(Math.round(l+i)!==t&&(l-=te(r,"left","right")+i),Math.round(s+a)!==n&&(s-=te(r,"top","bottom")+a)),!function(e){return e===Z(e).document.documentElement}(e)){var u=Math.round(l+i)-t,c=Math.round(s+a)-n;1!==Math.abs(u)&&(l-=u),1!==Math.abs(c)&&(s-=c)}return oe(o.left,o.top,l,s)}(e):J}function oe(e,t,n,r){return{x:e,y:t,width:n,height:r}}var ie=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=oe(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=re(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),ae=function(e,t){var n,r,o,i,a,l,s,u=(r=(n=t).x,o=n.y,i=n.width,a=n.height,l="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,s=Object.create(l.prototype),Q(s,{x:r,y:o,width:i,height:a,top:o,right:r+i,bottom:a+o,left:r}),s);Q(this,{target:e,contentRect:u})},le=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new H,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof Z(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new ie(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof Z(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new ae(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),se="undefined"!=typeof WeakMap?new WeakMap:new H,ue=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=K.getInstance(),r=new le(t,n,this);se.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){ue.prototype[e]=function(){var t;return(t=se.get(this))[e].apply(t,arguments)}}));const ce=void 0!==W.ResizeObserver?W.ResizeObserver:ue;var de=new Map,pe=new ce((function(e){e.forEach((function(e){var t,n=e.target;null===(t=de.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function fe(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var ge=n(2162);function me(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,ge.A)(r.key),r)}}function ve(e,t,n){return t&&me(e.prototype,t),n&&me(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}var he=n(1576);function be(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&(0,he.A)(e,t)}function ye(e){return ye=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},ye(e)}function Ae(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Ae=function(){return!!e})()}function Ee(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function we(e){var t=Ae();return function(){var n,r=ye(e);if(t){var o=ye(this).constructor;n=Reflect.construct(r,arguments,o)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,$.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Ee(e)}(this,n)}}var Ce=function(e){be(n,e);var t=we(n);function n(){return fe(this,n),t.apply(this,arguments)}return ve(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);function xe(e,t){var n=e.children,r=e.disabled,o=i.useRef(null),a=i.useRef(null),l=i.useContext(z),s="function"==typeof n,c=s?n(o):n,d=i.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),p=!s&&i.isValidElement(c)&&(0,m.f3)(c),f=p?c.ref:null,g=(0,m.xK)(f,o),v=function(){var e;return j(o.current)||(o.current&&"object"===(0,$.A)(o.current)?j(null===(e=o.current)||void 0===e?void 0:e.nativeElement):null)||j(a.current)};i.useImperativeHandle(t,(function(){return v()}));var h=i.useRef(e);h.current=e;var b=i.useCallback((function(e){var t=h.current,n=t.onResize,r=t.data,o=e.getBoundingClientRect(),i=o.width,a=o.height,s=e.offsetWidth,c=e.offsetHeight,p=Math.floor(i),f=Math.floor(a);if(d.current.width!==p||d.current.height!==f||d.current.offsetWidth!==s||d.current.offsetHeight!==c){var g={width:p,height:f,offsetWidth:s,offsetHeight:c};d.current=g;var m=s===Math.round(i)?i:s,v=c===Math.round(a)?a:c,b=(0,u.A)((0,u.A)({},g),{},{offsetWidth:m,offsetHeight:v});null==l||l(b,e,r),n&&Promise.resolve().then((function(){n(b,e)}))}}),[]);return i.useEffect((function(){var e,t,n=v();return n&&!r&&(e=n,t=b,de.has(e)||(de.set(e,new Set),pe.observe(e)),de.get(e).add(t)),function(){return function(e,t){de.has(e)&&(de.get(e).delete(t),de.get(e).size||(pe.unobserve(e),de.delete(e)))}(n,b)}}),[o.current,r]),i.createElement(Ce,{ref:a},p?i.cloneElement(c,{ref:g}):c)}const Se=i.forwardRef(xe);function Ie(e,t){var n=e.children;return("function"==typeof n?[n]:V(n)).map((function(n,r){var o=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return i.createElement(Se,(0,s.A)({},e,{key:o,ref:0===r?t:void 0}),n)}))}var Re=i.forwardRef(Ie);Re.Collection=function(e){var t=e.children,n=e.onBatchResize,r=i.useRef(0),o=i.useRef([]),a=i.useContext(z),l=i.useCallback((function(e,t,i){r.current+=1;var l=r.current;o.current.push({size:e,element:t,data:i}),Promise.resolve().then((function(){l===r.current&&(null==n||n(o.current),o.current=[])})),null==a||a(e,t,i)}),[n,a]);return i.createElement(z.Provider,{value:l},t)};const Oe=Re;function Be(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function De(e){return function(e){return Be(e)instanceof ShadowRoot}(e)?Be(e):null}var Me=n(8728),Pe=0,Ne=(0,u.A)({},i).useId;const ke=Ne?function(e){var t=Ne();return e||t}:function(e){var t=i.useState("ssr-id"),n=(0,d.A)(t,2),r=n[0],o=n[1];return i.useEffect((function(){var e=Pe;Pe+=1,o("rc_unique_".concat(e))}),[]),e||r};var Te=n(1705),Le=i.createContext({}),Fe=function(e){be(n,e);var t=we(n);function n(){return fe(this,n),t.apply(this,arguments)}return ve(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);const _e=Fe;var Ve=n(291),$e=n(1773),Ge="none",je="appear",ze="enter",He="leave",Ue="none",We="prepare",qe="start",Xe="active",Ye="end",Ke="prepared";function Qe(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var Ze,Je,et,tt=(Ze=(0,g.A)(),Je="undefined"!=typeof window?window:{},et={animationend:Qe("Animation","AnimationEnd"),transitionend:Qe("Transition","TransitionEnd")},Ze&&("AnimationEvent"in Je||delete et.animationend.animation,"TransitionEvent"in Je||delete et.transitionend.transition),et),nt={};if((0,g.A)()){var rt=document.createElement("div");nt=rt.style}var ot={};function it(e){if(ot[e])return ot[e];var t=tt[e];if(t)for(var n=Object.keys(t),r=n.length,o=0;o<r;o+=1){var i=n[o];if(Object.prototype.hasOwnProperty.call(t,i)&&i in nt)return ot[e]=t[i],ot[e]}return""}var at=it("animationend"),lt=it("transitionend"),st=!(!at||!lt),ut=at||"animationend",ct=lt||"transitionend";function dt(e,t){return e?"object"===(0,$.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const pt=(0,g.A)()?i.useLayoutEffect:i.useEffect;var ft=function(e){return+setTimeout(e,16)},gt=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(ft=function(e){return window.requestAnimationFrame(e)},gt=function(e){return window.cancelAnimationFrame(e)});var mt=0,vt=new Map;function ht(e){vt.delete(e)}var bt=function(e){var t=mt+=1;return function n(r){if(0===r)ht(t),e();else{var o=ft((function(){n(r-1)}));vt.set(t,o)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};bt.cancel=function(e){var t=vt.get(e);return ht(e),gt(t)};const yt=bt;var At=[We,qe,Xe,Ye],Et=[We,Ke],wt=!1;function Ct(e){return e===Xe||e===Ye}function xt(e,t,n,r){var o,a,l,s,c=r.motionEnter,p=void 0===c||c,f=r.motionAppear,g=void 0===f||f,m=r.motionLeave,v=void 0===m||m,h=r.motionDeadline,b=r.motionLeaveImmediately,y=r.onAppearPrepare,A=r.onEnterPrepare,E=r.onLeavePrepare,w=r.onAppearStart,C=r.onEnterStart,x=r.onLeaveStart,S=r.onAppearActive,I=r.onEnterActive,R=r.onLeaveActive,O=r.onAppearEnd,B=r.onEnterEnd,D=r.onLeaveEnd,M=r.onVisibleChanged,P=(0,$e.A)(),N=(0,d.A)(P,2),k=N[0],T=N[1],L=(o=Ge,a=i.useReducer((function(e){return e+1}),0),l=(0,d.A)(a,2)[1],s=i.useRef(o),[(0,Me.A)((function(){return s.current})),(0,Me.A)((function(e){s.current="function"==typeof e?e(s.current):e,l()}))]),F=(0,d.A)(L,2),_=F[0],V=F[1],$=(0,$e.A)(null),G=(0,d.A)($,2),j=G[0],z=G[1],H=_(),U=(0,i.useRef)(!1),W=(0,i.useRef)(null);function q(){return n()}var X=(0,i.useRef)(!1);function Y(){V(Ge),z(null,!0)}var K=(0,Ve._q)((function(e){var t=_();if(t!==Ge){var n=q();if(!e||e.deadline||e.target===n){var r,o=X.current;t===je&&o?r=null==O?void 0:O(n,e):t===ze&&o?r=null==B?void 0:B(n,e):t===He&&o&&(r=null==D?void 0:D(n,e)),o&&!1!==r&&Y()}}})),Q=function(e){var t=(0,i.useRef)();function n(t){t&&(t.removeEventListener(ct,e),t.removeEventListener(ut,e))}return i.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(ct,e),r.addEventListener(ut,e),t.current=r)},n]}(K),Z=(0,d.A)(Q,1)[0],J=function(e){switch(e){case je:return(0,Te.A)((0,Te.A)((0,Te.A)({},We,y),qe,w),Xe,S);case ze:return(0,Te.A)((0,Te.A)((0,Te.A)({},We,A),qe,C),Xe,I);case He:return(0,Te.A)((0,Te.A)((0,Te.A)({},We,E),qe,x),Xe,R);default:return{}}},ee=i.useMemo((function(){return J(H)}),[H]),te=function(e,t,n){var r=(0,$e.A)(Ue),o=(0,d.A)(r,2),a=o[0],l=o[1],s=function(){var e=i.useRef(null);function t(){yt.cancel(e.current)}return i.useEffect((function(){return function(){t()}}),[]),[function n(r){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var i=yt((function(){o<=1?r({isCanceled:function(){return i!==e.current}}):n(r,o-1)}));e.current=i},t]}(),u=(0,d.A)(s,2),c=u[0],p=u[1],f=t?Et:At;return pt((function(){if(a!==Ue&&a!==Ye){var e=f.indexOf(a),t=f[e+1],r=n(a);r===wt?l(t,!0):t&&c((function(e){function n(){e.isCanceled()||l(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,a]),i.useEffect((function(){return function(){p()}}),[]),[function(){l(We,!0)},a]}(H,!e,(function(e){if(e===We){var t=ee[We];return t?t(q()):wt}var n;return oe in ee&&z((null===(n=ee[oe])||void 0===n?void 0:n.call(ee,q(),null))||null),oe===Xe&&H!==Ge&&(Z(q()),h>0&&(clearTimeout(W.current),W.current=setTimeout((function(){K({deadline:!0})}),h))),oe===Ke&&Y(),true})),ne=(0,d.A)(te,2),re=ne[0],oe=ne[1],ie=Ct(oe);X.current=ie,pt((function(){T(t);var n,r=U.current;U.current=!0,!r&&t&&g&&(n=je),r&&t&&p&&(n=ze),(r&&!t&&v||!r&&b&&!t&&v)&&(n=He);var o=J(n);n&&(e||o[We])?(V(n),re()):V(Ge)}),[t]),(0,i.useEffect)((function(){(H===je&&!g||H===ze&&!p||H===He&&!v)&&V(Ge)}),[g,p,v]),(0,i.useEffect)((function(){return function(){U.current=!1,clearTimeout(W.current)}}),[]);var ae=i.useRef(!1);(0,i.useEffect)((function(){k&&(ae.current=!0),void 0!==k&&H===Ge&&((ae.current||k)&&(null==M||M(k)),ae.current=!0)}),[k,H]);var le=j;return ee[We]&&oe===qe&&(le=(0,u.A)({transition:"none"},le)),[H,oe,le,null!=k?k:t]}const St=function(e){var t=e;"object"===(0,$.A)(e)&&(t=e.transitionSupport);var n=i.forwardRef((function(e,n){var r=e.visible,a=void 0===r||r,l=e.removeOnLeave,s=void 0===l||l,c=e.forceRender,p=e.children,f=e.motionName,g=e.leavedClassName,v=e.eventProps,h=function(e,n){return!(!e.motionName||!t||!1===n)}(e,i.useContext(Le).motion),b=(0,i.useRef)(),y=(0,i.useRef)(),A=xt(h,a,(function(){try{return b.current instanceof HTMLElement?b.current:j(y.current)}catch(e){return null}}),e),E=(0,d.A)(A,4),w=E[0],C=E[1],x=E[2],S=E[3],I=i.useRef(S);S&&(I.current=!0);var R,O=i.useCallback((function(e){b.current=e,(0,m.Xf)(n,e)}),[n]),B=(0,u.A)((0,u.A)({},v),{},{visible:a});if(p)if(w===Ge)R=S?p((0,u.A)({},B),O):!s&&I.current&&g?p((0,u.A)((0,u.A)({},B),{},{className:g}),O):c||!s&&!g?p((0,u.A)((0,u.A)({},B),{},{style:{display:"none"}}),O):null;else{var D;C===We?D="prepare":Ct(C)?D="active":C===qe&&(D="start");var M=dt(f,"".concat(w,"-").concat(D));R=p((0,u.A)((0,u.A)({},B),{},{className:o()(dt(f,w),(0,Te.A)((0,Te.A)({},M,M&&D),f,"string"==typeof f)),style:x}),O)}else R=null;return i.isValidElement(R)&&(0,m.f3)(R)&&(R.ref||(R=i.cloneElement(R,{ref:O}))),i.createElement(_e,{ref:y},R)}));return n.displayName="CSSMotion",n}(st);var It="add",Rt="keep",Ot="remove",Bt="removed";function Dt(e){var t;return t=e&&"object"===(0,$.A)(e)&&"key"in e?e:{key:e},(0,u.A)((0,u.A)({},t),{},{key:String(t.key)})}function Mt(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(Dt)}var Pt=["component","children","onVisibleChanged","onAllRemoved"],Nt=["status"],kt=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:St,t=function(t){be(r,t);var n=we(r);function r(){var e;fe(this,r);for(var t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return e=n.call.apply(n,[this].concat(o)),(0,Te.A)(Ee(e),"state",{keyEntities:[]}),(0,Te.A)(Ee(e),"removeKey",(function(t){var n=e.state.keyEntities.map((function(e){return e.key!==t?e:(0,u.A)((0,u.A)({},e),{},{status:Bt})}));return e.setState({keyEntities:n}),n.filter((function(e){return e.status!==Bt})).length})),e}return ve(r,[{key:"render",value:function(){var t=this,n=this.state.keyEntities,r=this.props,o=r.component,a=r.children,l=r.onVisibleChanged,d=r.onAllRemoved,p=(0,c.A)(r,Pt),f=o||i.Fragment,g={};return kt.forEach((function(e){g[e]=p[e],delete p[e]})),delete p.keys,i.createElement(f,p,n.map((function(n,r){var o=n.status,p=(0,c.A)(n,Nt),f=o===It||o===Rt;return i.createElement(e,(0,s.A)({},g,{key:p.key,visible:f,eventProps:p,onVisibleChanged:function(e){null==l||l(e,{key:p.key}),e||0===t.removeKey(p.key)&&d&&d()}}),(function(e,t){return a((0,u.A)((0,u.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,o=Mt(n),i=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,o=t.length,i=Mt(e),a=Mt(t);i.forEach((function(e){for(var t=!1,i=r;i<o;i+=1){var l=a[i];if(l.key===e.key){r<i&&(n=n.concat(a.slice(r,i).map((function(e){return(0,u.A)((0,u.A)({},e),{},{status:It})}))),r=i),n.push((0,u.A)((0,u.A)({},l),{},{status:Rt})),r+=1,t=!0;break}}t||n.push((0,u.A)((0,u.A)({},e),{},{status:Ot}))})),r<o&&(n=n.concat(a.slice(r).map((function(e){return(0,u.A)((0,u.A)({},e),{},{status:It})}))));var l={};return n.forEach((function(e){var t=e.key;l[t]=(l[t]||0)+1})),Object.keys(l).filter((function(e){return l[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==Ot}))).forEach((function(t){t.key===e&&(t.status=Rt)}))})),n}(r,o);return{keyEntities:i.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==Bt||e.status!==Ot}))}}}]),r}(i.Component);(0,Te.A)(t,"defaultProps",{component:"div"})}(st);const Tt=St;function Lt(e){var t=e.prefixCls,n=e.align,r=e.arrow,a=e.arrowPos,l=r||{},s=l.className,u=l.content,c=a.x,d=void 0===c?0:c,p=a.y,f=void 0===p?0:p,g=i.useRef();if(!n||!n.points)return null;var m={position:"absolute"};if(!1!==n.autoArrow){var v=n.points[0],h=n.points[1],b=v[0],y=v[1],A=h[0],E=h[1];b!==A&&["t","b"].includes(b)?"t"===b?m.top=0:m.bottom=0:m.top=f,y!==E&&["l","r"].includes(y)?"l"===y?m.left=0:m.right=0:m.left=d}return i.createElement("div",{ref:g,className:o()("".concat(t,"-arrow"),s),style:m},u)}function Ft(e){var t=e.prefixCls,n=e.open,r=e.zIndex,a=e.mask,l=e.motion;return a?i.createElement(Tt,(0,s.A)({},l,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return i.createElement("div",{style:{zIndex:r},className:o()("".concat(t,"-mask"),n)})})):null}const _t=i.memo((function(e){return e.children}),(function(e,t){return t.cache}));var Vt=i.forwardRef((function(e,t){var n=e.popup,r=e.className,a=e.prefixCls,l=e.style,c=e.target,p=e.onVisibleChanged,f=e.open,g=e.keepDom,v=e.fresh,h=e.onClick,y=e.mask,A=e.arrow,E=e.arrowPos,w=e.align,C=e.motion,x=e.maskMotion,S=e.forceRender,I=e.getPopupContainer,R=e.autoDestroy,O=e.portal,B=e.zIndex,D=e.onMouseEnter,M=e.onMouseLeave,P=e.onPointerEnter,N=e.ready,k=e.offsetX,T=e.offsetY,L=e.offsetR,F=e.offsetB,_=e.onAlign,V=e.onPrepare,$=e.stretch,G=e.targetWidth,j=e.targetHeight,z="function"==typeof n?n():n,H=f||g,U=(null==I?void 0:I.length)>0,W=i.useState(!I||!U),q=(0,d.A)(W,2),X=q[0],Y=q[1];if((0,b.A)((function(){!X&&U&&c&&Y(!0)}),[X,U,c]),!X)return null;var K="auto",Q={left:"-1000vw",top:"-1000vh",right:K,bottom:K};if(N||!f){var Z,J=w.points,ee=w.dynamicInset||(null===(Z=w._experimental)||void 0===Z?void 0:Z.dynamicInset),te=ee&&"r"===J[0][1],ne=ee&&"b"===J[0][0];te?(Q.right=L,Q.left=K):(Q.left=k,Q.right=K),ne?(Q.bottom=F,Q.top=K):(Q.top=T,Q.bottom=K)}var re={};return $&&($.includes("height")&&j?re.height=j:$.includes("minHeight")&&j&&(re.minHeight=j),$.includes("width")&&G?re.width=G:$.includes("minWidth")&&G&&(re.minWidth=G)),f||(re.pointerEvents="none"),i.createElement(O,{open:S||H,getContainer:I&&function(){return I(c)},autoDestroy:R},i.createElement(Ft,{prefixCls:a,open:f,zIndex:B,mask:y,motion:x}),i.createElement(Oe,{onResize:_,disabled:!f},(function(e){return i.createElement(Tt,(0,s.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:S,leavedClassName:"".concat(a,"-hidden")},C,{onAppearPrepare:V,onEnterPrepare:V,visible:f,onVisibleChanged:function(e){var t;null==C||null===(t=C.onVisibleChanged)||void 0===t||t.call(C,e),p(e)}}),(function(n,s){var c=n.className,d=n.style,p=o()(a,c,r);return i.createElement("div",{ref:(0,m.K4)(e,t,s),className:p,style:(0,u.A)((0,u.A)((0,u.A)((0,u.A)({"--arrow-x":"".concat(E.x||0,"px"),"--arrow-y":"".concat(E.y||0,"px")},Q),re),d),{},{boxSizing:"border-box",zIndex:B},l),onMouseEnter:D,onMouseLeave:M,onPointerEnter:P,onClick:h},A&&i.createElement(Lt,{prefixCls:a,arrow:A,arrowPos:E,align:w}),i.createElement(_t,{cache:!f&&!v},z))}))})))}));const $t=Vt,Gt=i.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,o=(0,m.f3)(n),a=i.useCallback((function(e){(0,m.Xf)(t,r?r(e):e)}),[r]),l=(0,m.xK)(a,n.ref);return o?i.cloneElement(n,{ref:l}):n})),jt=i.createContext(null);function zt(e){return e?Array.isArray(e)?e:[e]:[]}function Ht(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function Ut(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function Wt(e){return e.ownerDocument.defaultView}function qt(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var o=Wt(n).getComputedStyle(n);[o.overflowX,o.overflowY,o.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function Xt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function Yt(e){return Xt(parseFloat(e),0)}function Kt(e,t){var n=(0,u.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=Wt(e).getComputedStyle(e),r=t.overflow,o=t.overflowClipMargin,i=t.borderTopWidth,a=t.borderBottomWidth,l=t.borderLeftWidth,s=t.borderRightWidth,u=e.getBoundingClientRect(),c=e.offsetHeight,d=e.clientHeight,p=e.offsetWidth,f=e.clientWidth,g=Yt(i),m=Yt(a),v=Yt(l),h=Yt(s),b=Xt(Math.round(u.width/p*1e3)/1e3),y=Xt(Math.round(u.height/c*1e3)/1e3),A=(p-f-v-h)*b,E=(c-d-g-m)*y,w=g*y,C=m*y,x=v*b,S=h*b,I=0,R=0;if("clip"===r){var O=Yt(o);I=O*b,R=O*y}var B=u.x+x-I,D=u.y+w-R,M=B+u.width+2*I-x-S-A,P=D+u.height+2*R-w-C-E;n.left=Math.max(n.left,B),n.top=Math.max(n.top,D),n.right=Math.min(n.right,M),n.bottom=Math.min(n.bottom,P)}})),n}function Qt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function Zt(e,t){var n=t||[],r=(0,d.A)(n,2),o=r[0],i=r[1];return[Qt(e.width,o),Qt(e.height,i)]}function Jt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function en(e,t){var n,r=t[0],o=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===o?e.x:"r"===o?e.x+e.width:e.x+e.width/2,y:n}}function tn(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var nn=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const rn=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:F,t=i.forwardRef((function(t,n){var r=t.prefixCls,a=void 0===r?"rc-trigger-popup":r,l=t.children,s=t.action,p=void 0===s?"hover":s,f=t.showAction,g=t.hideAction,m=t.popupVisible,v=t.defaultPopupVisible,y=t.onPopupVisibleChange,A=t.afterPopupVisibleChange,E=t.mouseEnterDelay,w=t.mouseLeaveDelay,C=void 0===w?.1:w,x=t.focusDelay,S=t.blurDelay,I=t.mask,R=t.maskClosable,O=void 0===R||R,B=t.getPopupContainer,D=t.forceRender,M=t.autoDestroy,P=t.destroyPopupOnHide,N=t.popup,k=t.popupClassName,T=t.popupStyle,L=t.popupPlacement,F=t.builtinPlacements,_=void 0===F?{}:F,V=t.popupAlign,$=t.zIndex,j=t.stretch,z=t.getPopupClassNameFromAlign,H=t.fresh,U=t.alignPoint,W=t.onPopupClick,q=t.onPopupAlign,X=t.arrow,Y=t.popupMotion,K=t.maskMotion,Q=t.popupTransitionName,Z=t.popupAnimation,J=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,c.A)(t,nn),oe=M||P||!1,ie=i.useState(!1),ae=(0,d.A)(ie,2),le=ae[0],se=ae[1];(0,b.A)((function(){se(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var ue=i.useRef({}),ce=i.useContext(jt),de=i.useMemo((function(){return{registerSubPopup:function(e,t){ue.current[e]=t,null==ce||ce.registerSubPopup(e,t)}}}),[ce]),pe=ke(),fe=i.useState(null),ge=(0,d.A)(fe,2),me=ge[0],ve=ge[1],he=i.useRef(null),be=(0,Me.A)((function(e){he.current=e,G(e)&&me!==e&&ve(e),null==ce||ce.registerSubPopup(pe,e)})),ye=i.useState(null),Ae=(0,d.A)(ye,2),Ee=Ae[0],we=Ae[1],Ce=i.useRef(null),xe=(0,Me.A)((function(e){G(e)&&Ee!==e&&(we(e),Ce.current=e)})),Se=i.Children.only(l),Ie=(null==Se?void 0:Se.props)||{},Re={},Be=(0,Me.A)((function(e){var t,n,r=Ee;return(null==r?void 0:r.contains(e))||(null===(t=De(r))||void 0===t?void 0:t.host)===e||e===r||(null==me?void 0:me.contains(e))||(null===(n=De(me))||void 0===n?void 0:n.host)===e||e===me||Object.values(ue.current).some((function(t){return(null==t?void 0:t.contains(e))||e===t}))})),Pe=Ut(a,Y,Z,Q),Ne=Ut(a,K,ee,J),Te=i.useState(v||!1),Le=(0,d.A)(Te,2),Fe=Le[0],_e=Le[1],Ve=null!=m?m:Fe,$e=(0,Me.A)((function(e){void 0===m&&_e(e)}));(0,b.A)((function(){_e(m||!1)}),[m]);var Ge=i.useRef(Ve);Ge.current=Ve;var je=i.useRef([]);je.current=[];var ze=(0,Me.A)((function(e){var t;$e(e),(null!==(t=je.current[je.current.length-1])&&void 0!==t?t:Ve)!==e&&(je.current.push(e),null==y||y(e))})),He=i.useRef(),Ue=function(){clearTimeout(He.current)},We=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;Ue(),0===t?ze(e):He.current=setTimeout((function(){ze(e)}),1e3*t)};i.useEffect((function(){return Ue}),[]);var qe=i.useState(!1),Xe=(0,d.A)(qe,2),Ye=Xe[0],Ke=Xe[1];(0,b.A)((function(e){e&&!Ve||Ke(!0)}),[Ve]);var Qe=i.useState(null),Ze=(0,d.A)(Qe,2),Je=Ze[0],et=Ze[1],tt=i.useState([0,0]),nt=(0,d.A)(tt,2),rt=nt[0],ot=nt[1],it=function(e){ot([e.clientX,e.clientY])},at=function(e,t,n,r,o,a,l){var s=i.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:o[r]||{}}),c=(0,d.A)(s,2),p=c[0],f=c[1],g=i.useRef(0),m=i.useMemo((function(){return t?qt(t):[]}),[t]),v=i.useRef({});e||(v.current={});var h=(0,Me.A)((function(){if(t&&n&&e){var i,s,c,p=t,g=p.ownerDocument,h=Wt(p).getComputedStyle(p),b=h.width,y=h.height,A=h.position,E=p.style.left,w=p.style.top,C=p.style.right,x=p.style.bottom,S=p.style.overflow,I=(0,u.A)((0,u.A)({},o[r]),a),R=g.createElement("div");if(null===(i=p.parentElement)||void 0===i||i.appendChild(R),R.style.left="".concat(p.offsetLeft,"px"),R.style.top="".concat(p.offsetTop,"px"),R.style.position=A,R.style.height="".concat(p.offsetHeight,"px"),R.style.width="".concat(p.offsetWidth,"px"),p.style.left="0",p.style.top="0",p.style.right="auto",p.style.bottom="auto",p.style.overflow="hidden",Array.isArray(n))c={x:n[0],y:n[1],width:0,height:0};else{var O=n.getBoundingClientRect();c={x:O.x,y:O.y,width:O.width,height:O.height}}var B=p.getBoundingClientRect(),D=g.documentElement,M=D.clientWidth,P=D.clientHeight,N=D.scrollWidth,k=D.scrollHeight,T=D.scrollTop,L=D.scrollLeft,F=B.height,_=B.width,V=c.height,$=c.width,j={left:0,top:0,right:M,bottom:P},z={left:-L,top:-T,right:N-L,bottom:k-T},H=I.htmlRegion,U="visible",W="visibleFirst";"scroll"!==H&&H!==W&&(H=U);var q=H===W,X=Kt(z,m),Y=Kt(j,m),K=H===U?Y:X,Q=q?Y:K;p.style.left="auto",p.style.top="auto",p.style.right="0",p.style.bottom="0";var Z=p.getBoundingClientRect();p.style.left=E,p.style.top=w,p.style.right=C,p.style.bottom=x,p.style.overflow=S,null===(s=p.parentElement)||void 0===s||s.removeChild(R);var J=Xt(Math.round(_/parseFloat(b)*1e3)/1e3),ee=Xt(Math.round(F/parseFloat(y)*1e3)/1e3);if(0===J||0===ee||G(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var o=e.getBoundingClientRect(),i=o.width,a=o.height;if(i||a)return!0}}return!1}(n))return;var te=I.offset,ne=I.targetOffset,re=Zt(B,te),oe=(0,d.A)(re,2),ie=oe[0],ae=oe[1],le=Zt(c,ne),se=(0,d.A)(le,2),ue=se[0],ce=se[1];c.x-=ue,c.y-=ce;var de=I.points||[],pe=(0,d.A)(de,2),fe=pe[0],ge=Jt(pe[1]),me=Jt(fe),ve=en(c,ge),he=en(B,me),be=(0,u.A)({},I),ye=ve.x-he.x+ie,Ae=ve.y-he.y+ae;function ft(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:K,r=B.x+e,o=B.y+t,i=r+_,a=o+F,l=Math.max(r,n.left),s=Math.max(o,n.top),u=Math.min(i,n.right),c=Math.min(a,n.bottom);return Math.max(0,(u-l)*(c-s))}var Ee,we,Ce,xe,Se=ft(ye,Ae),Ie=ft(ye,Ae,Y),Re=en(c,["t","l"]),Oe=en(B,["t","l"]),Be=en(c,["b","r"]),De=en(B,["b","r"]),Me=I.overflow||{},Pe=Me.adjustX,Ne=Me.adjustY,ke=Me.shiftX,Te=Me.shiftY,Le=function(e){return"boolean"==typeof e?e:e>=0};function gt(){Ee=B.y+Ae,we=Ee+F,Ce=B.x+ye,xe=Ce+_}gt();var Fe=Le(Ne),_e=me[0]===ge[0];if(Fe&&"t"===me[0]&&(we>Q.bottom||v.current.bt)){var Ve=Ae;_e?Ve-=F-V:Ve=Re.y-De.y-ae;var $e=ft(ye,Ve),Ge=ft(ye,Ve,Y);$e>Se||$e===Se&&(!q||Ge>=Ie)?(v.current.bt=!0,Ae=Ve,ae=-ae,be.points=[tn(me,0),tn(ge,0)]):v.current.bt=!1}if(Fe&&"b"===me[0]&&(Ee<Q.top||v.current.tb)){var je=Ae;_e?je+=F-V:je=Be.y-Oe.y-ae;var ze=ft(ye,je),He=ft(ye,je,Y);ze>Se||ze===Se&&(!q||He>=Ie)?(v.current.tb=!0,Ae=je,ae=-ae,be.points=[tn(me,0),tn(ge,0)]):v.current.tb=!1}var Ue=Le(Pe),We=me[1]===ge[1];if(Ue&&"l"===me[1]&&(xe>Q.right||v.current.rl)){var qe=ye;We?qe-=_-$:qe=Re.x-De.x-ie;var Xe=ft(qe,Ae),Ye=ft(qe,Ae,Y);Xe>Se||Xe===Se&&(!q||Ye>=Ie)?(v.current.rl=!0,ye=qe,ie=-ie,be.points=[tn(me,1),tn(ge,1)]):v.current.rl=!1}if(Ue&&"r"===me[1]&&(Ce<Q.left||v.current.lr)){var Ke=ye;We?Ke+=_-$:Ke=Be.x-Oe.x-ie;var Qe=ft(Ke,Ae),Ze=ft(Ke,Ae,Y);Qe>Se||Qe===Se&&(!q||Ze>=Ie)?(v.current.lr=!0,ye=Ke,ie=-ie,be.points=[tn(me,1),tn(ge,1)]):v.current.lr=!1}gt();var Je=!0===ke?0:ke;"number"==typeof Je&&(Ce<Y.left&&(ye-=Ce-Y.left-ie,c.x+$<Y.left+Je&&(ye+=c.x-Y.left+$-Je)),xe>Y.right&&(ye-=xe-Y.right-ie,c.x>Y.right-Je&&(ye+=c.x-Y.right+Je)));var et=!0===Te?0:Te;"number"==typeof et&&(Ee<Y.top&&(Ae-=Ee-Y.top-ae,c.y+V<Y.top+et&&(Ae+=c.y-Y.top+V-et)),we>Y.bottom&&(Ae-=we-Y.bottom-ae,c.y>Y.bottom-et&&(Ae+=c.y-Y.bottom+et)));var tt=B.x+ye,nt=tt+_,rt=B.y+Ae,ot=rt+F,it=c.x,at=it+$,lt=c.y,st=lt+V,ut=(Math.max(tt,it)+Math.min(nt,at))/2-tt,ct=(Math.max(rt,lt)+Math.min(ot,st))/2-rt;null==l||l(t,be);var dt=Z.right-B.x-(ye+B.width),pt=Z.bottom-B.y-(Ae+B.height);1===J&&(ye=Math.round(ye),dt=Math.round(dt)),1===ee&&(Ae=Math.round(Ae),pt=Math.round(pt)),f({ready:!0,offsetX:ye/J,offsetY:Ae/ee,offsetR:dt/J,offsetB:pt/ee,arrowX:ut/J,arrowY:ct/ee,scaleX:J,scaleY:ee,align:be})}})),y=function(){f((function(e){return(0,u.A)((0,u.A)({},e),{},{ready:!1})}))};return(0,b.A)(y,[r]),(0,b.A)((function(){e||y()}),[e]),[p.ready,p.offsetX,p.offsetY,p.offsetR,p.offsetB,p.arrowX,p.arrowY,p.scaleX,p.scaleY,p.align,function(){g.current+=1;var e=g.current;Promise.resolve().then((function(){g.current===e&&h()}))}]}(Ve,me,U?rt:Ee,L,_,V,q),lt=(0,d.A)(at,11),st=lt[0],ut=lt[1],ct=lt[2],dt=lt[3],pt=lt[4],ft=lt[5],gt=lt[6],mt=lt[7],vt=lt[8],ht=lt[9],bt=lt[10],yt=function(e,t,n,r){return i.useMemo((function(){var o=zt(null!=n?n:t),i=zt(null!=r?r:t),a=new Set(o),l=new Set(i);return e&&(a.has("hover")&&(a.delete("hover"),a.add("click")),l.has("hover")&&(l.delete("hover"),l.add("click"))),[a,l]}),[e,t,n,r])}(le,p,f,g),At=(0,d.A)(yt,2),Et=At[0],wt=At[1],Ct=Et.has("click"),xt=wt.has("click")||wt.has("contextMenu"),St=(0,Me.A)((function(){Ye||bt()}));!function(e,t,n,r){(0,b.A)((function(){if(e&&t&&n){var o=n,i=qt(t),a=qt(o),l=Wt(o),s=new Set([l].concat((0,h.A)(i),(0,h.A)(a)));function u(){r(),Ge.current&&U&&xt&&We(!1)}return s.forEach((function(e){e.addEventListener("scroll",u,{passive:!0})})),l.addEventListener("resize",u,{passive:!0}),r(),function(){s.forEach((function(e){e.removeEventListener("scroll",u),l.removeEventListener("resize",u)}))}}}),[e,t,n])}(Ve,Ee,me,St),(0,b.A)((function(){St()}),[rt,L]),(0,b.A)((function(){!Ve||null!=_&&_[L]||St()}),[JSON.stringify(V)]);var It=i.useMemo((function(){var e=function(e,t,n,r){for(var o=n.points,i=Object.keys(e),a=0;a<i.length;a+=1){var l,s=i[a];if(Ht(null===(l=e[s])||void 0===l?void 0:l.points,o,r))return"".concat(t,"-placement-").concat(s)}return""}(_,a,ht,U);return o()(e,null==z?void 0:z(ht))}),[ht,z,_,a,U]);i.useImperativeHandle(n,(function(){return{nativeElement:Ce.current,popupElement:he.current,forceAlign:St}}));var Rt=i.useState(0),Ot=(0,d.A)(Rt,2),Bt=Ot[0],Dt=Ot[1],Mt=i.useState(0),Pt=(0,d.A)(Mt,2),Nt=Pt[0],kt=Pt[1],Tt=function(){if(j&&Ee){var e=Ee.getBoundingClientRect();Dt(e.width),kt(e.height)}};function Lt(e,t,n,r){Re[e]=function(o){var i;null==r||r(o),We(t,n);for(var a=arguments.length,l=new Array(a>1?a-1:0),s=1;s<a;s++)l[s-1]=arguments[s];null===(i=Ie[e])||void 0===i||i.call.apply(i,[Ie,o].concat(l))}}(0,b.A)((function(){Je&&(bt(),Je(),et(null))}),[Je]),(Ct||xt)&&(Re.onClick=function(e){var t;Ge.current&&xt?We(!1):!Ge.current&&Ct&&(it(e),We(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Ie.onClick)||void 0===t||t.call.apply(t,[Ie,e].concat(r))}),function(e,t,n,r,o,a,l,s){var u=i.useRef(e);u.current=e,i.useEffect((function(){if(t&&r&&(!o||a)){var e=function(e){var t;u.current&&!l((null===(t=e.composedPath)||void 0===t||null===(t=t.call(e))||void 0===t?void 0:t[0])||e.target)&&s(!1)},i=Wt(r);i.addEventListener("mousedown",e,!0),i.addEventListener("contextmenu",e,!0);var c=De(n);return c&&(c.addEventListener("mousedown",e,!0),c.addEventListener("contextmenu",e,!0)),function(){i.removeEventListener("mousedown",e,!0),i.removeEventListener("contextmenu",e,!0),c&&(c.removeEventListener("mousedown",e,!0),c.removeEventListener("contextmenu",e,!0))}}}),[t,n,r,o,a])}(Ve,xt,Ee,me,I,O,Be,We);var Ft,_t,Vt=Et.has("hover"),Yt=wt.has("hover");Vt&&(Lt("onMouseEnter",!0,E,(function(e){it(e)})),Lt("onPointerEnter",!0,E,(function(e){it(e)})),Ft=function(e){(Ve||Ye)&&null!=me&&me.contains(e.target)&&We(!0,E)},U&&(Re.onMouseMove=function(e){var t;null===(t=Ie.onMouseMove)||void 0===t||t.call(Ie,e)})),Yt&&(Lt("onMouseLeave",!1,C),Lt("onPointerLeave",!1,C),_t=function(){We(!1,C)}),Et.has("focus")&&Lt("onFocus",!0,x),wt.has("focus")&&Lt("onBlur",!1,S),Et.has("contextMenu")&&(Re.onContextMenu=function(e){var t;Ge.current&&wt.has("contextMenu")?We(!1):(it(e),We(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Ie.onContextMenu)||void 0===t||t.call.apply(t,[Ie,e].concat(r))}),te&&(Re.className=o()(Ie.className,te));var Qt=(0,u.A)((0,u.A)({},Ie),Re),rn={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(rn[e]=function(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];null===(t=Qt[e])||void 0===t||t.call.apply(t,[Qt].concat(r)),re[e].apply(re,r)})}));var on=i.cloneElement(Se,(0,u.A)((0,u.A)({},Qt),rn)),an={x:ft,y:gt},ln=X?(0,u.A)({},!0!==X?X:{}):null;return i.createElement(i.Fragment,null,i.createElement(Oe,{disabled:!Ve,ref:xe,onResize:function(){Tt(),St()}},i.createElement(Gt,{getTriggerDOMNode:ne},on)),i.createElement(jt.Provider,{value:de},i.createElement($t,{portal:e,ref:be,prefixCls:a,popup:N,className:o()(k,It),style:T,target:Ee,onMouseEnter:Ft,onMouseLeave:_t,onPointerEnter:Ft,zIndex:$,open:Ve,keepDom:Ye,fresh:H,onClick:W,mask:I,motion:Pe,maskMotion:Ne,onVisibleChanged:function(e){Ke(!1),bt(),null==A||A(e)},onPrepare:function(){return new Promise((function(e){Tt(),et((function(){return e}))}))},forceRender:D,autoDestroy:oe,getPopupContainer:B,align:ht,arrow:ln,arrowPos:an,ready:st,offsetX:ut,offsetY:ct,offsetR:dt,offsetB:pt,onAlign:St,stretch:j,targetWidth:Bt/mt,targetHeight:Nt/vt})))}));return t}(F);var on={shiftX:64,adjustY:1},an={adjustX:1,shiftY:!0},ln=[0,0],sn={left:{points:["cr","cl"],overflow:an,offset:[-4,0],targetOffset:ln},right:{points:["cl","cr"],overflow:an,offset:[4,0],targetOffset:ln},top:{points:["bc","tc"],overflow:on,offset:[0,-4],targetOffset:ln},bottom:{points:["tc","bc"],overflow:on,offset:[0,4],targetOffset:ln},topLeft:{points:["bl","tl"],overflow:on,offset:[0,-4],targetOffset:ln},leftTop:{points:["tr","tl"],overflow:an,offset:[-4,0],targetOffset:ln},topRight:{points:["br","tr"],overflow:on,offset:[0,-4],targetOffset:ln},rightTop:{points:["tl","tr"],overflow:an,offset:[4,0],targetOffset:ln},bottomRight:{points:["tr","br"],overflow:on,offset:[0,4],targetOffset:ln},rightBottom:{points:["bl","br"],overflow:an,offset:[4,0],targetOffset:ln},bottomLeft:{points:["tl","bl"],overflow:on,offset:[0,4],targetOffset:ln},leftBottom:{points:["br","bl"],overflow:an,offset:[-4,0],targetOffset:ln}},un=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],cn=function(e,t){var n=e.overlayClassName,r=e.trigger,o=void 0===r?["hover"]:r,a=e.mouseEnterDelay,d=void 0===a?0:a,p=e.mouseLeaveDelay,f=void 0===p?.1:p,g=e.overlayStyle,m=e.prefixCls,v=void 0===m?"rc-tooltip":m,h=e.children,b=e.onVisibleChange,y=e.afterVisibleChange,A=e.transitionName,E=e.animation,w=e.motion,C=e.placement,x=void 0===C?"right":C,S=e.align,I=void 0===S?{}:S,R=e.destroyTooltipOnHide,O=void 0!==R&&R,B=e.defaultVisible,D=e.getTooltipContainer,M=e.overlayInnerStyle,P=(e.arrowContent,e.overlay),N=e.id,k=e.showArrow,T=void 0===k||k,L=(0,c.A)(e,un),F=(0,i.useRef)(null);(0,i.useImperativeHandle)(t,(function(){return F.current}));var _=(0,u.A)({},L);return"visible"in e&&(_.popupVisible=e.visible),i.createElement(rn,(0,s.A)({popupClassName:n,prefixCls:v,popup:function(){return i.createElement(l,{key:"content",prefixCls:v,id:N,overlayInnerStyle:M},P)},action:o,builtinPlacements:sn,popupPlacement:x,ref:F,popupAlign:I,getPopupContainer:D,onPopupVisibleChange:b,afterPopupVisibleChange:y,popupTransitionName:A,popupAnimation:E,popupMotion:w,defaultPopupVisible:B,autoDestroy:O,mouseLeaveDelay:f,popupStyle:g,mouseEnterDelay:d,arrow:T},_),h)};const dn=(0,i.forwardRef)(cn)},9370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},8728:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(5959);function o(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>l,o:()=>a});var r=n(5959),o=(0,n(9370).A)()?r.useLayoutEffect:r.useEffect,i=function(e,t){var n=r.useRef(!0);o((function(){return e(n.current)}),t),o((function(){return n.current=!1,function(){n.current=!0}}),[])},a=function(e,t){i((function(t){if(!t)return e()}),t)};const l=i},9273:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(7850),o=n(8728),i=n(697),a=n(1773);function l(e){return void 0!==e}function s(e,t){var n=t||{},s=n.defaultValue,u=n.value,c=n.onChange,d=n.postState,p=(0,a.A)((function(){return l(u)?u:l(s)?"function"==typeof s?s():s:"function"==typeof e?e():e})),f=(0,r.A)(p,2),g=f[0],m=f[1],v=void 0!==u?u:g,h=d?d(v):v,b=(0,o.A)(c),y=(0,a.A)([v]),A=(0,r.A)(y,2),E=A[0],w=A[1];return(0,i.o)((function(){var e=E[0];g!==e&&b(g,e)}),[E]),(0,i.o)((function(){l(u)||m(u)}),[u]),[h,(0,o.A)((function(e,t){m(e,t),w([v],t)}))]}},1773:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(7850),o=n(5959);function i(e){var t=o.useRef(!1),n=o.useState(e),i=(0,r.A)(n,2),a=i[0],l=i[1];return o.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[a,function(e,n){n&&t.current||l(e)}]}},291:(e,t,n)=>{"use strict";n.d(t,{_q:()=>r.A});var r=n(8728);n(9273),n(9115),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys,n(4358)},9115:(e,t,n)=>{"use strict";n.d(t,{K4:()=>l,Xf:()=>a,f3:()=>u,xK:()=>s});var r=n(694),o=n(5959),i=n(9555),a=function(e,t){"function"==typeof e?e(t):"object"===(0,r.A)(e)&&e&&"current"in e&&(e.current=t)},l=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){a(t,e)}))}},s=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return l.apply(void 0,t)},i=t,a=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(s=o.useRef({})).current&&!a(s.current.condition,i)||(s.current.value=r(),s.current.condition=i),s.current.value;var r,i,a,s},u=function(e){var t,n,r=(0,i.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===i.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===i.ForwardRef)};Number(o.version.split(".")[0])},4358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>u});var r={},o=[];function i(e,t){}function a(e,t){}function l(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function s(e,t){l(i,e,t)}s.preMessage=function(e){o.push(e)},s.resetWarned=function(){r={}},s.noteOnce=function(e,t){l(a,e,t)};const u=s},6087:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),o=Symbol.for("react.fragment"),i=Symbol.for("react.strict_mode"),a=Symbol.for("react.profiler"),l=Symbol.for("react.provider"),s=Symbol.for("react.context"),u=Symbol.for("react.server_context"),c=Symbol.for("react.forward_ref"),d=Symbol.for("react.suspense"),p=Symbol.for("react.suspense_list"),f=Symbol.for("react.memo"),g=Symbol.for("react.lazy");Symbol.for("react.offscreen");function m(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case o:case a:case i:case d:case p:return e;default:switch(e=e&&e.$$typeof){case u:case s:case c:case g:case f:case l:return e;default:return t}}case r:return t}}}Symbol.for("react.module.reference"),t.ForwardRef=c,t.isFragment=function(e){return m(e)===o},t.isMemo=function(e){return m(e)===f}},9555:(e,t,n)=>{"use strict";e.exports=n(6087)},9524:(e,t,n)=>{const r=Symbol("SemVer ANY");class o{static get ANY(){return r}constructor(e,t){if(t=i(t),e instanceof o){if(e.loose===!!t.loose)return e;e=e.value}e=e.trim().split(/\s+/).join(" "),u("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===r?this.value="":this.value=this.operator+this.semver.version,u("comp",this)}parse(e){const t=this.options.loose?a[l.COMPARATORLOOSE]:a[l.COMPARATOR],n=e.match(t);if(!n)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==n[1]?n[1]:"","="===this.operator&&(this.operator=""),n[2]?this.semver=new c(n[2],this.options.loose):this.semver=r}toString(){return this.value}test(e){if(u("Comparator.test",e,this.options.loose),this.semver===r||e===r)return!0;if("string"==typeof e)try{e=new c(e,this.options)}catch(e){return!1}return s(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof o))throw new TypeError("a Comparator is required");return""===this.operator?""===this.value||new d(e.value,t).test(this.value):""===e.operator?""===e.value||new d(this.value,t).test(e.semver):!((t=i(t)).includePrerelease&&("<0.0.0-0"===this.value||"<0.0.0-0"===e.value)||!t.includePrerelease&&(this.value.startsWith("<0.0.0")||e.value.startsWith("<0.0.0"))||(!this.operator.startsWith(">")||!e.operator.startsWith(">"))&&(!this.operator.startsWith("<")||!e.operator.startsWith("<"))&&(this.semver.version!==e.semver.version||!this.operator.includes("=")||!e.operator.includes("="))&&!(s(this.semver,"<",e.semver,t)&&this.operator.startsWith(">")&&e.operator.startsWith("<"))&&!(s(this.semver,">",e.semver,t)&&this.operator.startsWith("<")&&e.operator.startsWith(">")))}}e.exports=o;const i=n(7095),{safeRe:a,t:l}=n(6850),s=n(3811),u=n(9796),c=n(7944),d=n(8395)},8395:(e,t,n)=>{const r=/\s+/g;class o{constructor(e,t){if(t=a(t),e instanceof o)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new o(e.raw,t);if(e instanceof l)return this.raw=e.value,this.set=[[e]],this.formatted=void 0,this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e.trim().replace(r," "),this.set=this.raw.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${this.raw}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!h(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&b(e[0])){this.set=[e];break}}this.formatted=void 0}get range(){if(void 0===this.formatted){this.formatted="";for(let e=0;e<this.set.length;e++){e>0&&(this.formatted+="||");const t=this.set[e];for(let e=0;e<t.length;e++)e>0&&(this.formatted+=" "),this.formatted+=t[e].toString().trim()}}return this.formatted}format(){return this.range}toString(){return this.range}parseRange(e){const t=((this.options.includePrerelease&&m)|(this.options.loose&&v))+":"+e,n=i.get(t);if(n)return n;const r=this.options.loose,o=r?c[d.HYPHENRANGELOOSE]:c[d.HYPHENRANGE];e=e.replace(o,D(this.options.includePrerelease)),s("hyphen replace",e),e=e.replace(c[d.COMPARATORTRIM],p),s("comparator trim",e),e=e.replace(c[d.TILDETRIM],f),s("tilde trim",e),e=e.replace(c[d.CARETTRIM],g),s("caret trim",e);let a=e.split(" ").map((e=>A(e,this.options))).join(" ").split(/\s+/).map((e=>B(e,this.options)));r&&(a=a.filter((e=>(s("loose invalid filter",e,this.options),!!e.match(c[d.COMPARATORLOOSE]))))),s("range list",a);const u=new Map,b=a.map((e=>new l(e,this.options)));for(const e of b){if(h(e))return[e];u.set(e.value,e)}u.size>1&&u.has("")&&u.delete("");const y=[...u.values()];return i.set(t,y),y}intersects(e,t){if(!(e instanceof o))throw new TypeError("a Range is required");return this.set.some((n=>y(n,t)&&e.set.some((e=>y(e,t)&&n.every((n=>e.every((e=>n.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new u(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(M(this.set[t],e,this.options))return!0;return!1}}e.exports=o;const i=new(n(1158)),a=n(7095),l=n(9524),s=n(9796),u=n(7944),{safeRe:c,t:d,comparatorTrimReplace:p,tildeTrimReplace:f,caretTrimReplace:g}=n(6850),{FLAG_INCLUDE_PRERELEASE:m,FLAG_LOOSE:v}=n(9630),h=e=>"<0.0.0-0"===e.value,b=e=>""===e.value,y=(e,t)=>{let n=!0;const r=e.slice();let o=r.pop();for(;n&&r.length;)n=r.every((e=>o.intersects(e,t))),o=r.pop();return n},A=(e,t)=>(s("comp",e,t),e=x(e,t),s("caret",e),e=w(e,t),s("tildes",e),e=I(e,t),s("xrange",e),e=O(e,t),s("stars",e),e),E=e=>!e||"x"===e.toLowerCase()||"*"===e,w=(e,t)=>e.trim().split(/\s+/).map((e=>C(e,t))).join(" "),C=(e,t)=>{const n=t.loose?c[d.TILDELOOSE]:c[d.TILDE];return e.replace(n,((t,n,r,o,i)=>{let a;return s("tilde",e,t,n,r,o,i),E(n)?a="":E(r)?a=`>=${n}.0.0 <${+n+1}.0.0-0`:E(o)?a=`>=${n}.${r}.0 <${n}.${+r+1}.0-0`:i?(s("replaceTilde pr",i),a=`>=${n}.${r}.${o}-${i} <${n}.${+r+1}.0-0`):a=`>=${n}.${r}.${o} <${n}.${+r+1}.0-0`,s("tilde return",a),a}))},x=(e,t)=>e.trim().split(/\s+/).map((e=>S(e,t))).join(" "),S=(e,t)=>{s("caret",e,t);const n=t.loose?c[d.CARETLOOSE]:c[d.CARET],r=t.includePrerelease?"-0":"";return e.replace(n,((t,n,o,i,a)=>{let l;return s("caret",e,t,n,o,i,a),E(n)?l="":E(o)?l=`>=${n}.0.0${r} <${+n+1}.0.0-0`:E(i)?l="0"===n?`>=${n}.${o}.0${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.0${r} <${+n+1}.0.0-0`:a?(s("replaceCaret pr",a),l="0"===n?"0"===o?`>=${n}.${o}.${i}-${a} <${n}.${o}.${+i+1}-0`:`>=${n}.${o}.${i}-${a} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${i}-${a} <${+n+1}.0.0-0`):(s("no pr"),l="0"===n?"0"===o?`>=${n}.${o}.${i}${r} <${n}.${o}.${+i+1}-0`:`>=${n}.${o}.${i}${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${i} <${+n+1}.0.0-0`),s("caret return",l),l}))},I=(e,t)=>(s("replaceXRanges",e,t),e.split(/\s+/).map((e=>R(e,t))).join(" ")),R=(e,t)=>{e=e.trim();const n=t.loose?c[d.XRANGELOOSE]:c[d.XRANGE];return e.replace(n,((n,r,o,i,a,l)=>{s("xRange",e,n,r,o,i,a,l);const u=E(o),c=u||E(i),d=c||E(a),p=d;return"="===r&&p&&(r=""),l=t.includePrerelease?"-0":"",u?n=">"===r||"<"===r?"<0.0.0-0":"*":r&&p?(c&&(i=0),a=0,">"===r?(r=">=",c?(o=+o+1,i=0,a=0):(i=+i+1,a=0)):"<="===r&&(r="<",c?o=+o+1:i=+i+1),"<"===r&&(l="-0"),n=`${r+o}.${i}.${a}${l}`):c?n=`>=${o}.0.0${l} <${+o+1}.0.0-0`:d&&(n=`>=${o}.${i}.0${l} <${o}.${+i+1}.0-0`),s("xRange return",n),n}))},O=(e,t)=>(s("replaceStars",e,t),e.trim().replace(c[d.STAR],"")),B=(e,t)=>(s("replaceGTE0",e,t),e.trim().replace(c[t.includePrerelease?d.GTE0PRE:d.GTE0],"")),D=e=>(t,n,r,o,i,a,l,s,u,c,d,p)=>`${n=E(r)?"":E(o)?`>=${r}.0.0${e?"-0":""}`:E(i)?`>=${r}.${o}.0${e?"-0":""}`:a?`>=${n}`:`>=${n}${e?"-0":""}`} ${s=E(u)?"":E(c)?`<${+u+1}.0.0-0`:E(d)?`<${u}.${+c+1}.0-0`:p?`<=${u}.${c}.${d}-${p}`:e?`<${u}.${c}.${+d+1}-0`:`<=${s}`}`.trim(),M=(e,t,n)=>{for(let n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!n.includePrerelease){for(let n=0;n<e.length;n++)if(s(e[n].semver),e[n].semver!==l.ANY&&e[n].semver.prerelease.length>0){const r=e[n].semver;if(r.major===t.major&&r.minor===t.minor&&r.patch===t.patch)return!0}return!1}return!0}},7944:(e,t,n)=>{const r=n(9796),{MAX_LENGTH:o,MAX_SAFE_INTEGER:i}=n(9630),{safeRe:a,t:l}=n(6850),s=n(7095),{compareIdentifiers:u}=n(4031);class c{constructor(e,t){if(t=s(t),e instanceof c){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid version. Must be a string. Got type "${typeof e}".`);if(e.length>o)throw new TypeError(`version is longer than ${o} characters`);r("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const n=e.trim().match(t.loose?a[l.LOOSE]:a[l.FULL]);if(!n)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+n[1],this.minor=+n[2],this.patch=+n[3],this.major>i||this.major<0)throw new TypeError("Invalid major version");if(this.minor>i||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>i||this.patch<0)throw new TypeError("Invalid patch version");n[4]?this.prerelease=n[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<i)return t}return e})):this.prerelease=[],this.build=n[5]?n[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(r("SemVer.compare",this.version,this.options,e),!(e instanceof c)){if("string"==typeof e&&e===this.version)return 0;e=new c(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof c||(e=new c(e,this.options)),u(this.major,e.major)||u(this.minor,e.minor)||u(this.patch,e.patch)}comparePre(e){if(e instanceof c||(e=new c(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const n=this.prerelease[t],o=e.prerelease[t];if(r("prerelease compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return u(n,o)}while(++t)}compareBuild(e){e instanceof c||(e=new c(e,this.options));let t=0;do{const n=this.build[t],o=e.build[t];if(r("build compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return u(n,o)}while(++t)}inc(e,t,n){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t,n);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t,n);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t,n),this.inc("pre",t,n);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t,n),this.inc("pre",t,n);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":{const e=Number(n)?1:0;if(!t&&!1===n)throw new Error("invalid increment argument: identifier is empty");if(0===this.prerelease.length)this.prerelease=[e];else{let r=this.prerelease.length;for(;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);if(-1===r){if(t===this.prerelease.join(".")&&!1===n)throw new Error("invalid increment argument: identifier already exists");this.prerelease.push(e)}}if(t){let r=[t,e];!1===n&&(r=[t]),0===u(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=r):this.prerelease=r}break}default:throw new Error(`invalid increment argument: ${e}`)}return this.raw=this.format(),this.build.length&&(this.raw+=`+${this.build.join(".")}`),this}}e.exports=c},7994:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e.trim().replace(/^[=v]+/,""),t);return n?n.version:null}},3811:(e,t,n)=>{const r=n(6909),o=n(7659),i=n(144),a=n(2077),l=n(599),s=n(7092);e.exports=(e,t,n,u)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e===n;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e!==n;case"":case"=":case"==":return r(e,n,u);case"!=":return o(e,n,u);case">":return i(e,n,u);case">=":return a(e,n,u);case"<":return l(e,n,u);case"<=":return s(e,n,u);default:throw new TypeError(`Invalid operator: ${t}`)}}},5334:(e,t,n)=>{const r=n(7944),o=n(5860),{safeRe:i,t:a}=n(6850);e.exports=(e,t)=>{if(e instanceof r)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let n=null;if((t=t||{}).rtl){const r=t.includePrerelease?i[a.COERCERTLFULL]:i[a.COERCERTL];let o;for(;(o=r.exec(e))&&(!n||n.index+n[0].length!==e.length);)n&&o.index+o[0].length===n.index+n[0].length||(n=o),r.lastIndex=o.index+o[1].length+o[2].length;r.lastIndex=-1}else n=e.match(t.includePrerelease?i[a.COERCEFULL]:i[a.COERCE]);if(null===n)return null;const l=n[2],s=n[3]||"0",u=n[4]||"0",c=t.includePrerelease&&n[5]?`-${n[5]}`:"",d=t.includePrerelease&&n[6]?`+${n[6]}`:"";return o(`${l}.${s}.${u}${c}${d}`,t)}},2801:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>{const o=new r(e,n),i=new r(t,n);return o.compare(i)||o.compareBuild(i)}},7023:(e,t,n)=>{const r=n(5380);e.exports=(e,t)=>r(e,t,!0)},5380:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>new r(e,n).compare(new r(t,n))},660:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,null,!0),o=r(t,null,!0),i=n.compare(o);if(0===i)return null;const a=i>0,l=a?n:o,s=a?o:n,u=!!l.prerelease.length;if(s.prerelease.length&&!u)return s.patch||s.minor?l.patch?"patch":l.minor?"minor":"major":"major";const c=u?"pre":"";return n.major!==o.major?c+"major":n.minor!==o.minor?c+"minor":n.patch!==o.patch?c+"patch":"prerelease"}},6909:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0===r(e,t,n)},144:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>0},2077:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>=0},5955:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n,o,i)=>{"string"==typeof n&&(i=o,o=n,n=void 0);try{return new r(e instanceof r?e.version:e,n).inc(t,o,i).version}catch(e){return null}}},599:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<0},7092:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<=0},2966:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).major},5986:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).minor},7659:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0!==r(e,t,n)},5860:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n=!1)=>{if(e instanceof r)return e;try{return new r(e,t)}catch(e){if(!n)return null;throw e}}},1617:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).patch},9613:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n&&n.prerelease.length?n.prerelease:null}},2862:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(t,e,n)},6033:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(n,e,t)))},1722:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>{try{t=new r(t,n)}catch(e){return!1}return t.test(e)}},603:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(e,n,t)))},7645:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n?n.version:null}},8449:(e,t,n)=>{const r=n(6850),o=n(9630),i=n(7944),a=n(4031),l=n(5860),s=n(7645),u=n(7994),c=n(5955),d=n(660),p=n(2966),f=n(5986),g=n(1617),m=n(9613),v=n(5380),h=n(2862),b=n(7023),y=n(2801),A=n(603),E=n(6033),w=n(144),C=n(599),x=n(6909),S=n(7659),I=n(2077),R=n(7092),O=n(3811),B=n(5334),D=n(9524),M=n(8395),P=n(1722),N=n(651),k=n(7840),T=n(7930),L=n(3489),F=n(7494),_=n(5463),V=n(7871),$=n(4266),G=n(1112),j=n(1465),z=n(9252);e.exports={parse:l,valid:s,clean:u,inc:c,diff:d,major:p,minor:f,patch:g,prerelease:m,compare:v,rcompare:h,compareLoose:b,compareBuild:y,sort:A,rsort:E,gt:w,lt:C,eq:x,neq:S,gte:I,lte:R,cmp:O,coerce:B,Comparator:D,Range:M,satisfies:P,toComparators:N,maxSatisfying:k,minSatisfying:T,minVersion:L,validRange:F,outside:_,gtr:V,ltr:$,intersects:G,simplifyRange:j,subset:z,SemVer:i,re:r.re,src:r.src,tokens:r.t,SEMVER_SPEC_VERSION:o.SEMVER_SPEC_VERSION,RELEASE_TYPES:o.RELEASE_TYPES,compareIdentifiers:a.compareIdentifiers,rcompareIdentifiers:a.rcompareIdentifiers}},9630:e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={MAX_LENGTH:256,MAX_SAFE_COMPONENT_LENGTH:16,MAX_SAFE_BUILD_LENGTH:250,MAX_SAFE_INTEGER:t,RELEASE_TYPES:["major","premajor","minor","preminor","patch","prepatch","prerelease"],SEMVER_SPEC_VERSION:"2.0.0",FLAG_INCLUDE_PRERELEASE:1,FLAG_LOOSE:2}},9796:e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>console.error("SEMVER",...e):()=>{};e.exports=t},4031:e=>{const t=/^[0-9]+$/,n=(e,n)=>{const r=t.test(e),o=t.test(n);return r&&o&&(e=+e,n=+n),e===n?0:r&&!o?-1:o&&!r?1:e<n?-1:1};e.exports={compareIdentifiers:n,rcompareIdentifiers:(e,t)=>n(t,e)}},1158:e=>{e.exports=class{constructor(){this.max=1e3,this.map=new Map}get(e){const t=this.map.get(e);return void 0===t?void 0:(this.map.delete(e),this.map.set(e,t),t)}delete(e){return this.map.delete(e)}set(e,t){if(!this.delete(e)&&void 0!==t){if(this.map.size>=this.max){const e=this.map.keys().next().value;this.delete(e)}this.map.set(e,t)}return this}}},7095:e=>{const t=Object.freeze({loose:!0}),n=Object.freeze({});e.exports=e=>e?"object"!=typeof e?t:e:n},6850:(e,t,n)=>{const{MAX_SAFE_COMPONENT_LENGTH:r,MAX_SAFE_BUILD_LENGTH:o,MAX_LENGTH:i}=n(9630),a=n(9796),l=(t=e.exports={}).re=[],s=t.safeRe=[],u=t.src=[],c=t.t={};let d=0;const p="[a-zA-Z0-9-]",f=[["\\s",1],["\\d",i],[p,o]],g=(e,t,n)=>{const r=(e=>{for(const[t,n]of f)e=e.split(`${t}*`).join(`${t}{0,${n}}`).split(`${t}+`).join(`${t}{1,${n}}`);return e})(t),o=d++;a(e,o,t),c[e]=o,u[o]=t,l[o]=new RegExp(t,n?"g":void 0),s[o]=new RegExp(r,n?"g":void 0)};g("NUMERICIDENTIFIER","0|[1-9]\\d*"),g("NUMERICIDENTIFIERLOOSE","\\d+"),g("NONNUMERICIDENTIFIER",`\\d*[a-zA-Z-]${p}*`),g("MAINVERSION",`(${u[c.NUMERICIDENTIFIER]})\\.(${u[c.NUMERICIDENTIFIER]})\\.(${u[c.NUMERICIDENTIFIER]})`),g("MAINVERSIONLOOSE",`(${u[c.NUMERICIDENTIFIERLOOSE]})\\.(${u[c.NUMERICIDENTIFIERLOOSE]})\\.(${u[c.NUMERICIDENTIFIERLOOSE]})`),g("PRERELEASEIDENTIFIER",`(?:${u[c.NUMERICIDENTIFIER]}|${u[c.NONNUMERICIDENTIFIER]})`),g("PRERELEASEIDENTIFIERLOOSE",`(?:${u[c.NUMERICIDENTIFIERLOOSE]}|${u[c.NONNUMERICIDENTIFIER]})`),g("PRERELEASE",`(?:-(${u[c.PRERELEASEIDENTIFIER]}(?:\\.${u[c.PRERELEASEIDENTIFIER]})*))`),g("PRERELEASELOOSE",`(?:-?(${u[c.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${u[c.PRERELEASEIDENTIFIERLOOSE]})*))`),g("BUILDIDENTIFIER",`${p}+`),g("BUILD",`(?:\\+(${u[c.BUILDIDENTIFIER]}(?:\\.${u[c.BUILDIDENTIFIER]})*))`),g("FULLPLAIN",`v?${u[c.MAINVERSION]}${u[c.PRERELEASE]}?${u[c.BUILD]}?`),g("FULL",`^${u[c.FULLPLAIN]}$`),g("LOOSEPLAIN",`[v=\\s]*${u[c.MAINVERSIONLOOSE]}${u[c.PRERELEASELOOSE]}?${u[c.BUILD]}?`),g("LOOSE",`^${u[c.LOOSEPLAIN]}$`),g("GTLT","((?:<|>)?=?)"),g("XRANGEIDENTIFIERLOOSE",`${u[c.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),g("XRANGEIDENTIFIER",`${u[c.NUMERICIDENTIFIER]}|x|X|\\*`),g("XRANGEPLAIN",`[v=\\s]*(${u[c.XRANGEIDENTIFIER]})(?:\\.(${u[c.XRANGEIDENTIFIER]})(?:\\.(${u[c.XRANGEIDENTIFIER]})(?:${u[c.PRERELEASE]})?${u[c.BUILD]}?)?)?`),g("XRANGEPLAINLOOSE",`[v=\\s]*(${u[c.XRANGEIDENTIFIERLOOSE]})(?:\\.(${u[c.XRANGEIDENTIFIERLOOSE]})(?:\\.(${u[c.XRANGEIDENTIFIERLOOSE]})(?:${u[c.PRERELEASELOOSE]})?${u[c.BUILD]}?)?)?`),g("XRANGE",`^${u[c.GTLT]}\\s*${u[c.XRANGEPLAIN]}$`),g("XRANGELOOSE",`^${u[c.GTLT]}\\s*${u[c.XRANGEPLAINLOOSE]}$`),g("COERCEPLAIN",`(^|[^\\d])(\\d{1,${r}})(?:\\.(\\d{1,${r}}))?(?:\\.(\\d{1,${r}}))?`),g("COERCE",`${u[c.COERCEPLAIN]}(?:$|[^\\d])`),g("COERCEFULL",u[c.COERCEPLAIN]+`(?:${u[c.PRERELEASE]})?`+`(?:${u[c.BUILD]})?(?:$|[^\\d])`),g("COERCERTL",u[c.COERCE],!0),g("COERCERTLFULL",u[c.COERCEFULL],!0),g("LONETILDE","(?:~>?)"),g("TILDETRIM",`(\\s*)${u[c.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",g("TILDE",`^${u[c.LONETILDE]}${u[c.XRANGEPLAIN]}$`),g("TILDELOOSE",`^${u[c.LONETILDE]}${u[c.XRANGEPLAINLOOSE]}$`),g("LONECARET","(?:\\^)"),g("CARETTRIM",`(\\s*)${u[c.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",g("CARET",`^${u[c.LONECARET]}${u[c.XRANGEPLAIN]}$`),g("CARETLOOSE",`^${u[c.LONECARET]}${u[c.XRANGEPLAINLOOSE]}$`),g("COMPARATORLOOSE",`^${u[c.GTLT]}\\s*(${u[c.LOOSEPLAIN]})$|^$`),g("COMPARATOR",`^${u[c.GTLT]}\\s*(${u[c.FULLPLAIN]})$|^$`),g("COMPARATORTRIM",`(\\s*)${u[c.GTLT]}\\s*(${u[c.LOOSEPLAIN]}|${u[c.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",g("HYPHENRANGE",`^\\s*(${u[c.XRANGEPLAIN]})\\s+-\\s+(${u[c.XRANGEPLAIN]})\\s*$`),g("HYPHENRANGELOOSE",`^\\s*(${u[c.XRANGEPLAINLOOSE]})\\s+-\\s+(${u[c.XRANGEPLAINLOOSE]})\\s*$`),g("STAR","(<|>)?=?\\s*\\*"),g("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),g("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},7871:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,">",n)},1112:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>(e=new r(e,n),t=new r(t,n),e.intersects(t,n))},4266:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,"<",n)},7840:(e,t,n)=>{const r=n(7944),o=n(8395);e.exports=(e,t,n)=>{let i=null,a=null,l=null;try{l=new o(t,n)}catch(e){return null}return e.forEach((e=>{l.test(e)&&(i&&-1!==a.compare(e)||(i=e,a=new r(i,n)))})),i}},7930:(e,t,n)=>{const r=n(7944),o=n(8395);e.exports=(e,t,n)=>{let i=null,a=null,l=null;try{l=new o(t,n)}catch(e){return null}return e.forEach((e=>{l.test(e)&&(i&&1!==a.compare(e)||(i=e,a=new r(i,n)))})),i}},3489:(e,t,n)=>{const r=n(7944),o=n(8395),i=n(144);e.exports=(e,t)=>{e=new o(e,t);let n=new r("0.0.0");if(e.test(n))return n;if(n=new r("0.0.0-0"),e.test(n))return n;n=null;for(let t=0;t<e.set.length;++t){const o=e.set[t];let a=null;o.forEach((e=>{const t=new r(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":a&&!i(t,a)||(a=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!a||n&&!i(n,a)||(n=a)}return n&&e.test(n)?n:null}},5463:(e,t,n)=>{const r=n(7944),o=n(9524),{ANY:i}=o,a=n(8395),l=n(1722),s=n(144),u=n(599),c=n(7092),d=n(2077);e.exports=(e,t,n,p)=>{let f,g,m,v,h;switch(e=new r(e,p),t=new a(t,p),n){case">":f=s,g=c,m=u,v=">",h=">=";break;case"<":f=u,g=d,m=s,v="<",h="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(l(e,t,p))return!1;for(let n=0;n<t.set.length;++n){const r=t.set[n];let a=null,l=null;if(r.forEach((e=>{e.semver===i&&(e=new o(">=0.0.0")),a=a||e,l=l||e,f(e.semver,a.semver,p)?a=e:m(e.semver,l.semver,p)&&(l=e)})),a.operator===v||a.operator===h)return!1;if((!l.operator||l.operator===v)&&g(e,l.semver))return!1;if(l.operator===h&&m(e,l.semver))return!1}return!0}},1465:(e,t,n)=>{const r=n(1722),o=n(5380);e.exports=(e,t,n)=>{const i=[];let a=null,l=null;const s=e.sort(((e,t)=>o(e,t,n)));for(const e of s)r(e,t,n)?(l=e,a||(a=e)):(l&&i.push([a,l]),l=null,a=null);a&&i.push([a,null]);const u=[];for(const[e,t]of i)e===t?u.push(e):t||e!==s[0]?t?e===s[0]?u.push(`<=${t}`):u.push(`${e} - ${t}`):u.push(`>=${e}`):u.push("*");const c=u.join(" || "),d="string"==typeof t.raw?t.raw:String(t);return c.length<d.length?c:t}},9252:(e,t,n)=>{const r=n(8395),o=n(9524),{ANY:i}=o,a=n(1722),l=n(5380),s=[new o(">=0.0.0-0")],u=[new o(">=0.0.0")],c=(e,t,n)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===i){if(1===t.length&&t[0].semver===i)return!0;e=n.includePrerelease?s:u}if(1===t.length&&t[0].semver===i){if(n.includePrerelease)return!0;t=u}const r=new Set;let o,c,f,g,m,v,h;for(const t of e)">"===t.operator||">="===t.operator?o=d(o,t,n):"<"===t.operator||"<="===t.operator?c=p(c,t,n):r.add(t.semver);if(r.size>1)return null;if(o&&c){if(f=l(o.semver,c.semver,n),f>0)return null;if(0===f&&(">="!==o.operator||"<="!==c.operator))return null}for(const e of r){if(o&&!a(e,String(o),n))return null;if(c&&!a(e,String(c),n))return null;for(const r of t)if(!a(e,String(r),n))return!1;return!0}let b=!(!c||n.includePrerelease||!c.semver.prerelease.length)&&c.semver,y=!(!o||n.includePrerelease||!o.semver.prerelease.length)&&o.semver;b&&1===b.prerelease.length&&"<"===c.operator&&0===b.prerelease[0]&&(b=!1);for(const e of t){if(h=h||">"===e.operator||">="===e.operator,v=v||"<"===e.operator||"<="===e.operator,o)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(g=d(o,e,n),g===e&&g!==o)return!1}else if(">="===o.operator&&!a(o.semver,String(e),n))return!1;if(c)if(b&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===b.major&&e.semver.minor===b.minor&&e.semver.patch===b.patch&&(b=!1),"<"===e.operator||"<="===e.operator){if(m=p(c,e,n),m===e&&m!==c)return!1}else if("<="===c.operator&&!a(c.semver,String(e),n))return!1;if(!e.operator&&(c||o)&&0!==f)return!1}return!(o&&v&&!c&&0!==f||c&&h&&!o&&0!==f||y||b)},d=(e,t,n)=>{if(!e)return t;const r=l(e.semver,t.semver,n);return r>0?e:r<0||">"===t.operator&&">="===e.operator?t:e},p=(e,t,n)=>{if(!e)return t;const r=l(e.semver,t.semver,n);return r<0?e:r>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,n={})=>{if(e===t)return!0;e=new r(e,n),t=new r(t,n);let o=!1;e:for(const r of e.set){for(const e of t.set){const t=c(r,e,n);if(o=o||null!==t,t)continue e}if(o)return!1}return!0}},651:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>new r(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},7494:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>{try{return new r(e,t).range||"*"}catch(e){return null}}},5846:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>h});var r=n(5292),o=n.n(r),i=n(9893),a=n.n(i),l=n(9383),s=n.n(l),u=n(6884),c=n.n(u),d=n(9088),p=n.n(d),f=n(7997),g=n.n(f),m=n(3261),v={};v.styleTagTransform=g(),v.setAttributes=c(),v.insert=s().bind(null,"head"),v.domAPI=a(),v.insertStyleElement=p(),o()(m.A,v);const h=m.A&&m.A.locals?m.A.locals:void 0},5292:e=>{"use strict";var t=[];function n(e){for(var n=-1,r=0;r<t.length;r++)if(t[r].identifier===e){n=r;break}return n}function r(e,r){for(var i={},a=[],l=0;l<e.length;l++){var s=e[l],u=r.base?s[0]+r.base:s[0],c=i[u]||0,d="".concat(u," ").concat(c);i[u]=c+1;var p=n(d),f={css:s[1],media:s[2],sourceMap:s[3],supports:s[4],layer:s[5]};if(-1!==p)t[p].references++,t[p].updater(f);else{var g=o(f,r);r.byIndex=l,t.splice(l,0,{identifier:d,updater:g,references:1})}a.push(d)}return a}function o(e,t){var n=t.domAPI(t);return n.update(e),function(t){if(t){if(t.css===e.css&&t.media===e.media&&t.sourceMap===e.sourceMap&&t.supports===e.supports&&t.layer===e.layer)return;n.update(e=t)}else n.remove()}}e.exports=function(e,o){var i=r(e=e||[],o=o||{});return function(e){e=e||[];for(var a=0;a<i.length;a++){var l=n(i[a]);t[l].references--}for(var s=r(e,o),u=0;u<i.length;u++){var c=n(i[u]);0===t[c].references&&(t[c].updater(),t.splice(c,1))}i=s}}},9383:e=>{"use strict";var t={};e.exports=function(e,n){var r=function(e){if(void 0===t[e]){var n=document.querySelector(e);if(window.HTMLIFrameElement&&n instanceof window.HTMLIFrameElement)try{n=n.contentDocument.head}catch(e){n=null}t[e]=n}return t[e]}(e);if(!r)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");r.appendChild(n)}},9088:e=>{"use strict";e.exports=function(e){var t=document.createElement("style");return e.setAttributes(t,e.attributes),e.insert(t,e.options),t}},6884:(e,t,n)=>{"use strict";e.exports=function(e){var t=n.nc;t&&e.setAttribute("nonce",t)}},9893:e=>{"use strict";e.exports=function(e){if("undefined"==typeof document)return{update:function(){},remove:function(){}};var t=e.insertStyleElement(e);return{update:function(n){!function(e,t,n){var r="";n.supports&&(r+="@supports (".concat(n.supports,") {")),n.media&&(r+="@media ".concat(n.media," {"));var o=void 0!==n.layer;o&&(r+="@layer".concat(n.layer.length>0?" ".concat(n.layer):""," {")),r+=n.css,o&&(r+="}"),n.media&&(r+="}"),n.supports&&(r+="}");var i=n.sourceMap;i&&"undefined"!=typeof btoa&&(r+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(i))))," */")),t.styleTagTransform(r,e,t.options)}(t,e,n)},remove:function(){!function(e){if(null===e.parentNode)return!1;e.parentNode.removeChild(e)}(t)}}}},7997:e=>{"use strict";e.exports=function(e,t){if(t.styleSheet)t.styleSheet.cssText=e;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(e))}}},6089:e=>{"use strict";e.exports=i},9089:e=>{"use strict";e.exports=l},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=t},2007:e=>{"use strict";e.exports=n},3241:e=>{"use strict";e.exports=o},5959:e=>{"use strict";e.exports=r},8398:e=>{"use strict";e.exports=s},200:e=>{"use strict";e.exports=c},7694:e=>{"use strict";e.exports=u},1269:e=>{"use strict";e.exports=a},4452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=a(e,i(n)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=a(t,n));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(n=function(){return o}.apply(t,[]))||(e.exports=n)}()},7451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},1705:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(2162);function o(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},8102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},7405:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(1705);function o(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function i(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?o(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):o(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},9644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.includes(r))continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.includes(n)||{}.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}n.d(t,{A:()=>r})},1576:(e,t,n)=>{"use strict";function r(e,t){return r=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},r(e,t)}n.d(t,{A:()=>r})},7850:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(6438);function o(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,o,i,a,l=[],s=!0,u=!1;try{if(i=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;s=!1}else for(;!(s=(r=i.call(n)).done)&&(l.push(r.value),l.length!==t);s=!0);}catch(e){u=!0,o=e}finally{try{if(!s&&null!=n.return&&(a=n.return(),Object(a)!==a))return}finally{if(u)throw o}}return l}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},4300:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(7451),o=n(6438);function i(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,o.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},2162:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(694);function o(e){var t=function(e){if("object"!=(0,r.A)(e)||!e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=(0,r.A)(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},6438:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7451);function o(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}}},p={};function f(e){var t=p[e];if(void 0!==t)return t.exports;var n=p[e]={id:e,exports:{}};return d[e](n,n.exports,f),n.exports}f.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return f.d(t,{a:t}),t},f.d=(e,t)=>{for(var n in t)f.o(t,n)&&!f.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},f.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),f.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),f.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},f.nc=void 0;var g={};return(()=>{"use strict";f.r(g),f.d(g,{plugin:()=>Os});var e,t,n,r,o,i,a,l,s,u=f(7781),c=f(8531),d=f(2007),p=f(5959),m=f.n(p);(s=e||(e={})).MINIMIZE="minimize",s.TABLE="table",s.BUTTON="button",s.SLIDER="slider",(l=t||(t={})).BROWSER="browser",l.DATASOURCE="datasource";class v extends u.BusEventBase{}o="variable-changed",(r="type")in(n=v)?Object.defineProperty(n,r,{value:o,enumerable:!0,configurable:!0,writable:!0}):n[r]=o,function(e){e.COLOR="color",e.IMAGE="image"}(i||(i={})),function(e){e.QUERY="query",e.ADHOC="adhoc",e.CONSTANT="constant",e.DATASOURCE="datasource",e.INTERVAL="interval",e.TEXTBOX="textbox",e.CUSTOM="custom",e.SYSTEM="system"}(a||(a={}));const h=[{value:e.TABLE,label:"Table",description:"Full featured table view."},{value:e.MINIMIZE,label:"Minimize",description:"Minimized select view."},{value:e.BUTTON,label:"Button",description:"Button select view."},{value:e.SLIDER,label:"Slider",description:"Slider select view."}],b=[{value:!0,label:"Display",description:"Display variable Label or Id. Allows to enable filtering."},{value:!1,label:"Hide",description:"Do not display header."}],y=[{value:!0,label:"Enabled",description:"Follow when scrolling."},{value:!1,label:"Disabled",description:"Scroll with dashboard."}],A=[{value:!0,label:"Enabled",description:"Display Table Filter.",icon:"filter"},{value:!1,label:"Disabled",description:"Hide Table Filter."}],E=[{value:!0,label:"Enabled",description:"Always Visible Search."},{value:!1,label:"Disabled",description:"Toggleable Search Visibility."}],w=[{value:!0,label:"Enabled",description:"Allows selecting and filtering favorites.",icon:"favorite"},{value:!1,label:"Disabled",description:"Hide favorites."}],C=[{value:t.BROWSER,label:"Browser",description:"Saved in the browser storage for each user.",icon:"monitor"},{value:t.DATASOURCE,label:"Data Source",description:"Saved data with the selected data source.",icon:"database"}],x=[{value:!0,label:"Enabled",description:"Allows saving selected group.",icon:"save"},{value:!1,label:"Disabled",description:"Disables saving selected group."}],S=[{value:!0,label:"Enabled",description:"Allows sort by status."},{value:!1,label:"Disabled",description:"Hide sorting."}],I=[{value:!0,label:"Enabled",description:"Display variable names."},{value:!1,label:"Disabled",description:"Hide variable names."}],R=[{value:!0,label:"In order",description:"Display tabs in order"},{value:!1,label:"Selected first",description:"Keep selected tab first"}],O=[{value:!0,label:"Collapsed",description:"All levels are collapsed.",icon:"folder"},{value:!1,label:"Expanded",description:"All levels are expanded.",icon:"folder-open"}],B=[{value:!0,label:"Enabled",description:"Auto scroll to the first selected value."},{value:!1,label:"Disabled",description:"Disable auto scroll."}],D=[{value:!0,label:"Enabled",description:"Enable to allow multi-level selection.",icon:"toggle-on"},{value:!1,label:"Disabled",description:"Disable multi-level selection.",icon:"toggle-off"}],M=[{value:!0,label:"Enabled",description:"Empty value enabled."},{value:!1,label:"Disabled",description:"Empty value disabled."}],P=[{value:!0,label:"Enabled",description:"Persistence enabled."},{value:!1,label:"Disabled",description:"Persistence disabled."}],N=[{value:!0,label:"Enabled",description:"Show labels enabled."},{value:!1,label:"Disabled",description:"Show labels disabled."}],k=[{value:!0,label:"Enabled",description:"Custom values enabled."},{value:!1,label:"Disabled",description:"Custom values disabled."}],T=[{value:!0,label:"Enabled",description:"Display selected rows"},{value:!1,label:"Disabled",description:"Hide selected rows."}],L=[{value:!0,label:"Enabled",description:"Show reset button."},{value:!1,label:"Disabled",description:"Do not show reset button."}],F="volkovlabs.variable.panel.favorites",_="data-testid panel content",V="data-testid panel info",$="data-testid panel",G=e=>`data-testid panel tab-${e}`,j="data-testid table all-control",z="data-testid table body",H="data-testid table button-expand",U="data-testid table button-expand-all",W="data-testid table button-filter",q="data-testid table button-sort",X=e=>`data-testid table row-${e}`,Y=(e,t)=>`data-testid table cell-${t}-${e}`,K="data-testid table value-control",Q="data-testid table favorites-control",Z="data-testid table favorites-filter",J="data-testid table field-filter-value",ee="data-testid table button-clean-filter-value",te="data-testid table header",ne="data-testid table header-group-count",re=e=>`data-testid table group-count-${e}`,oe="data-testid table label",ie="data-testid table status-color",ae="data-testid table status-image",le="data-testid fields-editor button-add-new",se="data-testid fields-editor button-remove",ue="data-testid fields-editor button-start-rename",ce="data-testid fields-editor button-cancel-rename",de="data-testid fields-editor button-save-rename",pe="data-testid fields-editor field-name",fe=e=>`data-testid fields-editor item-${e}`,ge="data-testid fields-editor new-level",me="data-testid fields-editor new-item-name",ve="data-testid levels-editor button-add-new",he="data-testid levels-editor button-remove",be=e=>`data-testid levels-editor item-${e}`,ye="data-testid levels-editor new-item",Ae="data-testidd levels-editor new-item-name",Ee="data-testid levels-editor",we="data-testid minimize-view",Ce="data-testid minimize-view no-variable-message",xe="options-variable",Se="data-testid text-variable",Ie="data-testid button-view",Re="data-testid button-view no-variable-message",Oe="data-testid button-view no-options-message",Be=e=>`data-testid button-view item-${e}`,De="data-testid button-view reset-variable",Me="data-testid button-view label",Pe="data-testid slider-view no-variable-message",Ne="data-testid slider-view no-options-message",ke="data-testid slider-view field",Te="data-testid slider-view slider",Le="data-testid slider-view",Fe="status-style-editor",_e="data-testid status-style-editor button-add-item",Ve=e=>`data-testid status-style-editor item-${e}`,$e="data-testid status-style-editor item field-value",Ge="data-testid status-style-editor item field-url",je="data-testid status-style-editor item button-remove-item",ze="select-datasource-editor field-select",He="data-testid payload-editor loading-message",Ue="data-testid payload-editor error-message",We="All",qe="$__all",Xe="$__empty";var Ye=f(3241);const Ke=(e,t,n)=>{const r=Array.from(e),[o]=r.splice(t,1);return r.splice(n,0,o),r};function Qe(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ze(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Qe(e,t,n[t])}))}return e}function Je(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const et=(e,t,n)=>{c.locationService.partial({[`var-${e}`]:t},!0),n.publish(new v)},tt=({values:e,runtimeVariable:t,panelEventBus:n,isKeepSelection:r=!1})=>{if(t)switch(t.type){case a.CUSTOM:case a.QUERY:{const{name:o,multi:i,includeAll:a,options:l}=t;if(i){if(a){const i=t.current.value,a=Array.isArray(i)?i.some((e=>e===qe)):i===qe;if(a&&r){const t=new Map;e.forEach((e=>{t.set(e,!0)}));const r=[];for(const e of l)e.value!==qe&&(t.has(e.value)||r.push(e.value));return void et(o,r,n)}}if(e.some((e=>e===qe)))return void et(o,We,n);if(e.some((e=>e===Xe)))return void et(o,"",n);const i=c.locationService.getSearch().getAll(`var-${o}`).filter((e=>0!==e.toLowerCase().indexOf("all")));if(0===i.length&&!c.locationService.getSearchObject()[`var-${o}`]){const e=t.current.value,n=Array.isArray(e)?e:[e];i.push(...n.filter((e=>e!==qe)))}const s=e.filter((e=>i.includes(e)));if(s.length===e.length)return void et(o,i.filter((e=>!s.includes(e))),n);const u=[...new Set(e.concat(i)).values()];return void et(o,u,n)}let s=e[0];return s===qe?s=We:s===Xe&&(s=""),void et(o,s,n)}case a.TEXTBOX:{const r=e[0];return void et(t.name,r,n)}default:return}},nt=e=>!!e&&(e.type===a.CUSTOM||e.type===a.QUERY),rt=e=>e.reduce(((e,t)=>{const n=(e=>{if(e.type===a.TEXTBOX)return e;if(e.type===a.CUSTOM||e.type===a.QUERY){const t=Je(Ze({},e),{type:a.CUSTOM,optionIndexByName:e.options.reduce(((e,t,n)=>(e.set(t.value,n),e)),new Map),helpers:{getOption:e=>t.options[t.optionIndexByName.get(e)]}});return t}})(t);return n?Je(Ze({},e),{[n.name]:n}):e}),{}),ot=e=>{var t;return!!nt(e)&&(Array.isArray(e.current.value)?e.includeAll?!!(null===(t=e.helpers.getOption(qe))||void 0===t?void 0:t.selected)||e.current.value.length===e.options.length-1:e.current.value.length===e.options.length:e.current.value===qe)},it=e=>{const t=e.nativeEvent;return-1!==navigator.userAgent.indexOf("Mac")?t.metaKey:t.ctrlKey},at=({previousValues:e,value:t,emptyValueEnabled:n,variable:r,panelEventBus:o})=>{const i=Array.isArray(t)?t:[t];if(e.length>i.length){if(0===i.length&&n)return void tt({values:[Xe],runtimeVariable:r,panelEventBus:o});if(0===i.length&&(null==r?void 0:r.multi)&&r.includeAll)return void tt({values:[qe],runtimeVariable:r,panelEventBus:o});const t=e.filter((e=>!i.includes(e)));tt({values:t,runtimeVariable:r,panelEventBus:o})}else i.length>1&&e.includes(qe)&&i.includes(qe)?tt({values:i.filter((e=>e!==qe)),runtimeVariable:r,panelEventBus:o}):i.length>1&&!e.includes(qe)&&i.includes(qe)?tt({values:[qe],runtimeVariable:r,panelEventBus:o}):tt({values:i,runtimeVariable:r,panelEventBus:o})};function lt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function st(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){lt(e,t,n[t])}))}return e}function ut(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const ct=(e,t,n)=>e.reduce(((e,n)=>{const r=t(n);return Array.isArray(r)?e.push(...r):e.push(r),e}),[...n]),dt=(e,t,n)=>{const r=t[0];return 1===t.length?e.map((e=>n(e,r))).filter((e=>e.selectable)):Array.from(((e,t)=>(null==e?void 0:e.reduce(((e,n)=>{const r=n[t],o=e.get(r);return e.set(r,o?o.concat(n):[n]),e}),new Map))||new Map)(e,r),(([e,o])=>{const i=dt(o,t.slice(1),n),a=n({[r]:e},r,i);return ut(st({},a),{childValues:ct(i,(e=>e.childValues||e.value),a.childValues||[]),childSelectedCount:i.reduce(((e,t)=>{var n;return e+(null!==(n=t.childSelectedCount)&&void 0!==n?n:t.selected?1:0)}),a.childSelectedCount||0),childFavoritesCount:i.reduce(((e,t)=>e+(t.childFavoritesCount||(t.isFavorite?1:0))),a.childFavoritesCount||0),children:i})})).filter((e=>{var t;return(null===(t=e.childValues)||void 0===t?void 0:t.length)||e.selectable}))},pt=(e,{status:t,children:n,isSelectedAll:r,favoritesEnabled:o,groupSelection:a})=>{const l=!!n&&!n.some((e=>!e.selected));let s=!1;!n&&nt(e.variable)?s=!!e.variable.helpers.getOption(e.value):a&&(null==n?void 0:n.length)&&(s=!0);const u=o&&!n&&e.value!==qe;return{value:e.value,selected:!!s&&(r||e.selected||l),showStatus:t.exist,statusColor:t.exist?t.color:void 0,variable:e.variable,selectable:s,canBeFavorite:u,isFavorite:u?e.isFavorite:void 0,name:e.name,status:t.exist?t.value:void 0,label:e.label,statusMode:t.exist?t.mode:i.IMAGE,statusImage:t.exist?t.image:void 0}},ft=(e,t)=>e.filter((e=>{var n;return null===(n=e.childValues)||void 0===n?void 0:n.some((e=>t.includes(e)))})).filter((e=>!!e.children&&ft(e.children,t))),gt=(e,t=[],n=0)=>e.reduce(((e,t)=>{const r=e[n]||{variable:void 0,values:[],selectable:!1};r.variable=t.variable,r.values.push(t.value),r.selectable=t.selectable;const o=e[n]?e:e.concat(r);return t.children?gt(t.children,o,n+1):o}),t),mt=(e,t,n)=>{const r=n.toLowerCase();return e.original.childValues?e.original.childValues.some((e=>e.toLowerCase().includes(r))):e.original.label.toLowerCase().includes(r)},vt=(e,t)=>{const n=void 0!==e.original.status?e.original.status:0,r=void 0!==t.original.status?t.original.status:0;return n===r?0:n>r?1:-1},ht=(e,t,n)=>!n||(e.original.childValues?(e.original.childFavoritesCount||0)>0:!!e.original.isFavorite),bt=(e,t)=>{const[n,r]=(0,p.useState)({}),[o,i]=(0,p.useState)();(0,p.useEffect)((()=>{r(rt((0,c.getTemplateSrv)().getVariables()));const t=e.getStream(c.RefreshEvent).subscribe((()=>{r(rt((0,c.getTemplateSrv)().getVariables()))}));return()=>{t.unsubscribe()}}),[e]);const a=(0,p.useCallback)((e=>n[e]||void 0),[n]);return(0,p.useEffect)((()=>{i(a(t))}),[a,t]),{variable:o,getVariable:a}};function yt(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const At=()=>{const[e,t]=(0,p.useState)([]);return(0,p.useEffect)((()=>{const e=(n=function*(){const e=yield(0,c.getBackendSrv)().get("/api/datasources");t(e)},r=function(){var e=this,t=arguments;return new Promise((function(r,o){var i=n.apply(e,t);function a(e){yt(i,r,o,a,l,"next",e)}function l(e){yt(i,r,o,a,l,"throw",e)}a(void 0)}))},function(){return r.apply(this,arguments)});var n,r;e()}),[]),e};function Et(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function wt(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){Et(i,r,o,a,l,"next",e)}function l(e){Et(i,r,o,a,l,"throw",e)}a(void 0)}))}}const Ct=(e,t)=>{const n=(0,p.useCallback)(wt((function*(){const n=window.localStorage.getItem(e);if(n){const e=JSON.parse(n);return(null==e?void 0:e.version)===t?e.data:void 0}})),[e,t]),r=(0,p.useCallback)((o=wt((function*(n){return window.localStorage.setItem(e,JSON.stringify({version:t,data:n})),n})),function(e){return o.apply(this,arguments)}),[e,t]);var o;return(0,p.useMemo)((()=>({get:n,update:r})),[n,r])},xt=e=>{const t=`var-${e}`;return(0,p.useMemo)((()=>({save:e=>{sessionStorage.setItem(t,JSON.stringify(e))},get:()=>{const e=sessionStorage.getItem(t);return e?JSON.parse(e):[]},remove:()=>sessionStorage.removeItem(t)})),[t])};function St(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function It(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Rt=({key:e,initialValue:t,version:n=1,getStateForSave:r=e=>e,enabled:o=!0})=>{const[i,a]=(0,p.useState)(t),[l,s]=(0,p.useState)(!1),u=(0,p.useRef)(r),{get:c,update:d}=Ct(e,n);(0,p.useEffect)((()=>{const e=(t=function*(){const e=yield c();e&&a("object"==typeof e?t=>(0,Ye.merge)(function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){It(e,t,n[t])}))}return e}({},t),e):e),s(!0)},n=function(){var e=this,n=arguments;return new Promise((function(r,o){var i=t.apply(e,n);function a(e){St(i,r,o,a,l,"next",e)}function l(e){St(i,r,o,a,l,"throw",e)}a(void 0)}))},function(){return n.apply(this,arguments)});var t,n;o&&e()}),[o,c]);const f=(0,p.useCallback)((e=>{a((t=>{const n="function"==typeof e?e(t):e;return o&&d(u.current(n)),n}))}),[o,d]);return[i,f,l]},Ot=({data:e,name:t,status:n})=>{const r=(0,p.useMemo)((()=>{var n;return null===(n=e.series.map((e=>e.fields.find((e=>e.type===u.FieldType.string&&(!t||e.name===t))))).find((e=>null==e?void 0:e.values)))||void 0===n?void 0:n.values}),[e.series,t]),o=(0,p.useMemo)((()=>e.series.map((e=>e.fields.find((e=>e.type===u.FieldType.number&&(!n||e.name===n))))).find((e=>null==e?void 0:e.values))),[e.series,n]);return(0,p.useCallback)((e=>{const t=null==r?void 0:r.findIndex((t=>t===e)),n=void 0!==t&&t>=0;if(n){var a,l,s,u,c;const e=null==o?void 0:o.values[t],r=null==o||null===(a=o.display)||void 0===a?void 0:a.call(o,e);if(void 0===e||void 0===r)return{exist:!1};let p;if((null==o||null===(s=o.config.custom)||void 0===s||null===(l=s.thresholdsStyle)||void 0===l?void 0:l.mode)===i.IMAGE){var d;const{thresholds:t}=null==o||null===(d=o.config.custom)||void 0===d?void 0:d.thresholdsStyle,n=((e,t)=>{if(!t||0===t.length)return{value:0,image:""};const n=[...t];n.sort(((e,t)=>e.value>t.value?1:-1));let r=n[0];for(const t of n){if(!(e>=t.value))break;r=t}return r})(e,t);p=null==n?void 0:n.image}return{exist:n,value:e,color:r.color||"",mode:(null==o||null===(c=o.config.custom)||void 0===c||null===(u=c.thresholdsStyle)||void 0===u?void 0:u.mode)||i.COLOR,image:p}}return{exist:n}}),[r,o])};var Bt=f(6089);const Dt=e=>({wrapper:Bt.css`
      position: relative;
    `,content:Bt.css`
      position: absolute;
      overflow: auto;
      overflow-x: hidden;
    `,header:Bt.css`
      position: sticky;
      top: 0;
      background-color: ${e.colors.background.primary};
      z-index: 120;
    `,rowContent:Bt.css`
      display: flex;
      justify-content: stretch;
      align-items: center;
    `,expandButton:Bt.css`
      margin-right: ${e.spacing(1)};
    `,label:Bt.css`
      display: flex;
      align-items: center;
      cursor: pointer;
      flex: auto;
      word-break: break-all;
    `,selectControl:Bt.css`
      vertical-align: middle;
      margin-right: ${e.spacing(1)};
    `,status:Bt.css`
      display: block;
      width: 12px;
      height: 12px;
      border-radius: 50%;
      margin-right: ${e.spacing(1)};
      flex: none;
    `,statusImage:Bt.css`
      display: block;
      width: ${e.spacing(2)};
      height: auto;
      margin-right: ${e.spacing(1)};
      flex: none;
    `,toolbar:Bt.css`
      div > div {
        flex-direction: column;
        max-width: 100%;
      }
      padding: ${e.spacing(.5)} 0 ${e.spacing(.5)} ${e.spacing(1)};
      border-bottom: 1px solid ${e.colors.border.weak};
    `,toolbarButton:Bt.css`
      overflow: hidden;
      max-width: 100%;

      > div {
        overflow: hidden;
        text-overflow: ellipsis;
      }
    `}),Mt=({variable:e,panelEventBus:t})=>{var n;const[r,o]=(0,p.useState)((null===(n=e.current.value)||void 0===n?void 0:n.toString())||"");(0,p.useEffect)((()=>{var t;o((null===(t=e.current.value)||void 0===t?void 0:t.toString())||"")}),[e]);const i=(0,p.useCallback)((e=>{o(e.target.value)}),[]),a=(0,p.useCallback)((()=>{tt({values:[r],runtimeVariable:e,panelEventBus:t})}),[t,r,e]),l=(0,p.useCallback)((e=>{"Enter"===e.key&&a(),"Escape"===e.key&&e.currentTarget.blur()}),[a]);return m().createElement(d.Input,{"data-testid":Se,onChange:i,onBlur:a,onKeyDown:l,value:r,placeholder:"Enter variable value"})};var Pt=f(1269);function Nt(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const kt=()=>{return(0,p.useCallback)((e=function*({query:e,datasource:t,replaceVariables:n,payload:r}){const o=yield(0,c.getDataSourceSrv)().get(t),i=JSON.parse(n(JSON.stringify(e),{payload:{value:r}})),a=o.query({targets:[i]});return a instanceof Promise?yield a:yield(0,Pt.lastValueFrom)(a)},t=function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){Nt(i,r,o,a,l,"next",e)}function l(e){Nt(i,r,o,a,l,"throw",e)}a(void 0)}))},function(e){return t.apply(this,arguments)}),[]);var e,t};function Tt(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function Lt(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){Tt(i,r,o,a,l,"next",e)}function l(e){Tt(i,r,o,a,l,"throw",e)}a(void 0)}))}}function Ft(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function _t(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ft(e,t,n[t])}))}return e}function Vt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const $t=()=>{const e=(0,p.useCallback)(Lt((function*(){const e=window.localStorage.getItem(F);return{itemsMap:JSON.parse(e||"{}"),itemIdsMap:{}}})),[]),t=(0,p.useCallback)((n=Lt((function*(e,t){const n=Vt(_t({},e.itemsMap),{[t.name]:e.itemsMap[t.name]?e.itemsMap[t.name].concat([t.value]):[t.value]});return window.localStorage.setItem(F,JSON.stringify(n)),Vt(_t({},e),{itemsMap:n})})),function(e,t){return n.apply(this,arguments)}),[]);var n;const r=(0,p.useCallback)(function(){var e=Lt((function*(e,t){const n=Vt(_t({},e.itemsMap),{[t.name]:e.itemsMap[t.name]?e.itemsMap[t.name].filter((e=>e!==t.value)):[]});return window.localStorage.setItem(F,JSON.stringify(n)),Vt(_t({},e),{itemsMap:n})}));return function(t,n){return e.apply(this,arguments)}}(),[]);return(0,p.useMemo)((()=>({get:e,add:t,remove:r})),[e,t,r])},Gt=({config:e,replaceVariables:t})=>{const n=kt(),r=(0,p.useCallback)(Lt((function*(){var r;const o={itemIdsMap:{},itemsMap:{}},i=null===(r=(yield n({query:e.getQuery,datasource:e.datasource,replaceVariables:t,payload:{}})).data)||void 0===r?void 0:r[0];if((0,u.isDataFrame)(i)){const e=i.fields.find((e=>"id"===e.name)),t=i.fields.find((e=>"variable"===e.name)),n=i.fields.find((e=>"value"===e.name));if(!e||!t||!n)return o;for(let r=0;r<i.length;r+=1){const i=e.values[r],a=t.values[r],l=n.values[r];o.itemsMap[a]||(o.itemsMap[a]=[]),o.itemsMap[a].push(l),o.itemIdsMap[l]=i}}return o})),[e.datasource,e.getQuery,n,t]),o=(0,p.useCallback)((i=Lt((function*(o,i){const a=yield n({query:e.addQuery,datasource:e.datasource,replaceVariables:t,payload:{variable:i.name,value:i.value}});if(a.state===u.LoadingState.Error)throw a.errors;return r()})),function(e,t){return i.apply(this,arguments)}),[e.addQuery,e.datasource,n,r,t]);var i;const a=(0,p.useCallback)(function(){var o=Lt((function*(o,i){const a=yield n({query:e.deleteQuery,datasource:e.datasource,replaceVariables:t,payload:{id:o.itemIdsMap[i.value],variable:i.name,value:i.value}});if(a.state===u.LoadingState.Error)throw a.errors;return r()}));return function(e,t){return o.apply(this,arguments)}}(),[e.datasource,e.deleteQuery,n,r,t]);return(0,p.useMemo)((()=>({get:r,add:o,remove:a})),[r,o,a])},jt=({config:e,replaceVariables:n})=>{const r=$t(),o=Gt({config:e,replaceVariables:n}),i=(0,p.useCallback)(Lt((function*(){switch(e.storage){case t.BROWSER:return r.get();case t.DATASOURCE:return o.get();default:return{itemsMap:{},itemIdsMap:{}}}})),[r,e.storage,o]),a=(0,p.useCallback)((l=Lt((function*(n,i){switch(e.storage){case t.BROWSER:return r.add(n,i);case t.DATASOURCE:return o.add(n,i);default:return n}})),function(e,t){return l.apply(this,arguments)}),[r,e.storage,o]);var l;const s=(0,p.useCallback)(function(){var n=Lt((function*(n,i){switch(e.storage){case t.BROWSER:return r.remove(n,i);case t.DATASOURCE:return o.remove(n,i);default:return n}}));return function(e,t){return n.apply(this,arguments)}}(),[r,e.storage,o]);return(0,p.useMemo)((()=>({get:i,add:a,remove:s})),[i,a,s])},zt=({config:e,replaceVariables:t})=>{const[n,r]=(0,p.useState)({itemsMap:{},itemIdsMap:{}}),o=jt({config:e,replaceVariables:t}),i=(0,p.useCallback)(Lt((function*(){const e=yield o.get();r(e)})),[o]),a=(0,p.useCallback)((l=Lt((function*(e,t){if(!e)return;const i=yield o.add(n,{name:e,value:t});r(i)})),function(e,t){return l.apply(this,arguments)}),[n,o]);var l;const s=(0,p.useCallback)(function(){var e=Lt((function*(e,t){if(!e)return;const i=yield o.remove(n,{name:e,value:t});r(i)}));return function(t,n){return e.apply(this,arguments)}}(),[n,o]),u=(0,p.useCallback)(((e,t)=>!(!e||!n.itemsMap[e])&&n.itemsMap[e].includes(t)),[n]);return(0,p.useEffect)((()=>{e.enabled&&i()}),[e.enabled,i]),(0,p.useMemo)((()=>({add:a,remove:s,isAdded:u})),[a,u,s])},Ht=({value:e,onChange:t})=>{const n=At(),r=(0,p.useMemo)((()=>n.map((e=>({label:e.name,value:e.name})))),[n]);return m().createElement(d.Select,{onChange:e=>{t(e.value)},options:r,value:e,"aria-label":ze})};function Ut(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const Wt=({context:e,value:t,onChange:n,item:r})=>{var o,i;const a=(0,c.getDataSourceSrv)(),[l,s]=(0,p.useState)(),[u,f]=(0,p.useState)(!0),{startTimer:g,removeTimer:v}=(()=>{const e=(0,p.useRef)(null),t=(0,p.useCallback)((()=>{e.current&&(clearTimeout(e.current),e.current=null)}),[]);return{startTimer:(0,p.useCallback)((n=>{t(),e.current=setTimeout((()=>{n(),e.current=null}),1e3)}),[t]),removeTimer:t}})(),[h,b]=(0,p.useState)(t),[y,A]=(0,p.useState)(!1),E=(0,p.useCallback)((e=>{b(e),A(!0)}),[]),w=(0,p.useCallback)((()=>null),[]),C=(0,p.useCallback)((()=>{n(h),A(!1)}),[n,h]);if((0,p.useEffect)((()=>{var t;const n=(0,Ye.get)(e.options,(null===(t=r.settings)||void 0===t?void 0:t.datasourceKey)||""),o=(i=function*(){f(!0);const e=yield a.get(n);s(e),f(!1)},u=function(){var e=this,t=arguments;return new Promise((function(n,r){var o=i.apply(e,t);function a(e){Ut(o,n,r,a,l,"next",e)}function l(e){Ut(o,n,r,a,l,"throw",e)}a(void 0)}))},function(){return u.apply(this,arguments)});var i,u;l&&l.name!==n&&E({}),!n||l&&l.name===n||o()}),[e.options,a,l,null===(o=r.settings)||void 0===o?void 0:o.datasourceKey,E]),(0,p.useEffect)((()=>(y?g(C):v(),()=>{v()})),[g,y,C,v]),u)return m().createElement(d.Alert,{severity:"info",title:"Please Wait","data-testid":He},m().createElement(d.LoadingPlaceholder,{text:"Loading..."}));if(!l||!(null===(i=l.components)||void 0===i?void 0:i.QueryEditor))return m().createElement(d.Alert,{title:"No Query Editor",severity:"error","data-testid":Ue});const x=l.components.QueryEditor;return m().createElement(x,{datasource:l,query:h,onChange:E,onRunQuery:w})};var qt=f(7774),Xt=f(1576);function Yt(e,t){e.prototype=Object.create(t.prototype),e.prototype.constructor=e,(0,Xt.A)(e,t)}var Kt=f(8102),Qt=f(7694),Zt=f(200);function Jt(e,t){var n=(0,p.useState)((function(){return{inputs:t,result:e()}}))[0],r=(0,p.useRef)(!0),o=(0,p.useRef)(n),i=r.current||Boolean(t&&o.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,o.current.inputs))?o.current:{inputs:t,result:e()};return(0,p.useEffect)((function(){r.current=!1,o.current=i}),[i]),i.result}var en=Jt,tn=function(e,t){return Jt((function(){return e}),t)},nn=function(e){var t=e.top,n=e.right,r=e.bottom,o=e.left;return{top:t,right:n,bottom:r,left:o,width:n-o,height:r-t,x:o,y:t,center:{x:(n+o)/2,y:(r+t)/2}}},rn=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},on=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},an={top:0,right:0,bottom:0,left:0},ln=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?an:n,o=e.border,i=void 0===o?an:o,a=e.padding,l=void 0===a?an:a,s=nn(rn(t,r)),u=nn(on(t,i)),c=nn(on(u,l));return{marginBox:s,borderBox:nn(t),paddingBox:u,contentBox:c,margin:r,border:i,padding:l}},sn=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(){throw new Error("Invariant failed")}(),n},un=function(e,t){var n,r,o=e.borderBox,i=e.border,a=e.margin,l=e.padding,s=(r=t,{top:(n=o).top+r.y,left:n.left+r.x,bottom:n.bottom+r.y,right:n.right+r.x});return ln({borderBox:s,border:i,margin:a,padding:l})},cn=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),un(e,t)},dn=function(e,t){var n={top:sn(t.marginTop),right:sn(t.marginRight),bottom:sn(t.marginBottom),left:sn(t.marginLeft)},r={top:sn(t.paddingTop),right:sn(t.paddingRight),bottom:sn(t.paddingBottom),left:sn(t.paddingLeft)},o={top:sn(t.borderTopWidth),right:sn(t.borderRightWidth),bottom:sn(t.borderBottomWidth),left:sn(t.borderLeftWidth)};return ln({borderBox:e,margin:n,padding:r,border:o})},pn=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return dn(t,n)},fn=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function gn(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||fn(r)&&fn(o)))return!1;var r,o;return!0}const mn=function(e,t){var n;void 0===t&&(t=gn);var r,o=[],i=!1;return function(){for(var a=[],l=0;l<arguments.length;l++)a[l]=arguments[l];return i&&n===this&&t(a,o)||(r=e.apply(this,a),i=!0,n=this,o=a),r}},vn=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,o=new Array(r),i=0;i<r;i++)o[i]=arguments[i];t=o,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var hn=f(8398),bn=f.n(hn);function yn(e,t){}function An(){}function En(e,t,n){var r=t.map((function(t){var r,o,i=(r=n,o=t.options,(0,Kt.A)({},r,{},o));return e.addEventListener(t.eventName,t.fn,i),function(){e.removeEventListener(t.eventName,t.fn,i)}}));return function(){r.forEach((function(e){e()}))}}yn.bind(null,"warn"),yn.bind(null,"error");var wn=!0,Cn="Invariant failed";function xn(e){this.message=e}function Sn(e,t){if(!e)throw new xn(wn?Cn:Cn+": "+(t||""))}xn.prototype.toString=function(){return this.message};var In=function(e){function t(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return(t=e.call.apply(e,[this].concat(r))||this).callbacks=null,t.unbind=An,t.onWindowError=function(e){var n=t.getCallbacks();n.isDragging()&&n.tryAbort(),e.error instanceof xn&&e.preventDefault()},t.getCallbacks=function(){if(!t.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return t.callbacks},t.setCallbacks=function(e){t.callbacks=e},t}Yt(t,e);var n=t.prototype;return n.componentDidMount=function(){this.unbind=En(window,[{eventName:"error",fn:this.onWindowError}])},n.componentDidCatch=function(e){if(!(e instanceof xn))throw e;this.setState({})},n.componentWillUnmount=function(){this.unbind()},n.render=function(){return this.props.children(this.setCallbacks)},t}(m().Component),Rn=function(e){return e+1},On=function(e,t){var n=e.droppableId===t.droppableId,r=Rn(e.index),o=Rn(t.index);return n?"\n      You have moved the item from position "+r+"\n      to position "+o+"\n    ":"\n    You have moved the item from position "+r+"\n    in list "+e.droppableId+"\n    to list "+t.droppableId+"\n    in position "+o+"\n  "},Bn=function(e,t,n){return t.droppableId===n.droppableId?"\n      The item "+e+"\n      has been combined with "+n.draggableId:"\n      The item "+e+"\n      in list "+t.droppableId+"\n      has been combined with "+n.draggableId+"\n      in list "+n.droppableId+"\n    "},Dn=function(e){return"\n  The item has returned to its starting position\n  of "+Rn(e.index)+"\n"},Mn=function(e){return"\n  You have lifted an item in position "+Rn(e.source.index)+"\n"},Pn=function(e){var t=e.destination;if(t)return On(e.source,t);var n=e.combine;return n?Bn(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},Nn=function(e){if("CANCEL"===e.reason)return"\n      Movement cancelled.\n      "+Dn(e.source)+"\n    ";var t=e.destination,n=e.combine;return t?"\n      You have dropped the item.\n      "+On(e.source,t)+"\n    ":n?"\n      You have dropped the item.\n      "+Bn(e.draggableId,e.source,n)+"\n    ":"\n    The item has been dropped while not over a drop area.\n    "+Dn(e.source)+"\n  "},kn={x:0,y:0},Tn=function(e,t){return{x:e.x+t.x,y:e.y+t.y}},Ln=function(e,t){return{x:e.x-t.x,y:e.y-t.y}},Fn=function(e,t){return e.x===t.x&&e.y===t.y},_n=function(e){return{x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}},Vn=function(e,t,n){var r;return void 0===n&&(n=0),(r={})[e]=t,r["x"===e?"y":"x"]=n,r},$n=function(e,t){return Math.sqrt(Math.pow(t.x-e.x,2)+Math.pow(t.y-e.y,2))},Gn=function(e,t){return Math.min.apply(Math,t.map((function(t){return $n(e,t)})))},jn=function(e){return function(t){return{x:e(t.x),y:e(t.y)}}},zn=function(e,t){return{top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}},Hn=function(e){return[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}]},Un=function(e,t){return t&&t.shouldClipSubject?function(e,t){var n=nn({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n}(t.pageMarginBox,e):nn(e)},Wn=function(e){var t=e.page,n=e.withPlaceholder,r=e.axis,o=e.frame,i=function(e,t){return t?zn(e,t.scroll.diff.displacement):e}(t.marginBox,o),a=function(e,t,n){var r;return n&&n.increasedBy?(0,Kt.A)({},e,((r={})[t.end]=e[t.end]+n.increasedBy[t.line],r)):e}(i,r,n);return{page:t,withPlaceholder:n,active:Un(a,o)}},qn=function(e,t){e.frame||Sn(!1);var n=e.frame,r=Ln(t,n.scroll.initial),o=_n(r),i=(0,Kt.A)({},n,{scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:o},max:n.scroll.max}}),a=Wn({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:i});return(0,Kt.A)({},e,{frame:i,subject:a})};function Xn(e){return Object.values?Object.values(e):Object.keys(e).map((function(t){return e[t]}))}function Yn(e,t){if(e.findIndex)return e.findIndex(t);for(var n=0;n<e.length;n++)if(t(e[n]))return n;return-1}function Kn(e,t){if(e.find)return e.find(t);var n=Yn(e,t);return-1!==n?e[n]:void 0}function Qn(e){return Array.prototype.slice.call(e)}var Zn=mn((function(e){return e.reduce((function(e,t){return e[t.descriptor.id]=t,e}),{})})),Jn=mn((function(e){return e.reduce((function(e,t){return e[t.descriptor.id]=t,e}),{})})),er=mn((function(e){return Xn(e)})),tr=mn((function(e){return Xn(e)})),nr=mn((function(e,t){var n=tr(t).filter((function(t){return e===t.descriptor.droppableId})).sort((function(e,t){return e.descriptor.index-t.descriptor.index}));return n}));function rr(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function or(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var ir=mn((function(e,t){return t.filter((function(t){return t.descriptor.id!==e.descriptor.id}))})),ar=function(e,t){return e.descriptor.droppableId===t.descriptor.id},lr={point:kn,value:0},sr={invisible:{},visible:{},all:[]},ur={displaced:sr,displacedBy:lr,at:null},cr=function(e,t){return function(n){return e<=n&&n<=t}},dr=function(e){var t=cr(e.top,e.bottom),n=cr(e.left,e.right);return function(r){if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;var o=t(r.top)||t(r.bottom),i=n(r.left)||n(r.right);if(o&&i)return!0;var a=r.top<e.top&&r.bottom>e.bottom,l=r.left<e.left&&r.right>e.right;return!(!a||!l)||a&&i||l&&o}},pr=function(e){var t=cr(e.top,e.bottom),n=cr(e.left,e.right);return function(e){return t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)}},fr={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},gr={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},mr=function(e){var t=e.target,n=e.destination,r=e.viewport,o=e.withDroppableDisplacement,i=e.isVisibleThroughFrameFn,a=o?function(e,t){var n=t.frame?t.frame.scroll.diff.displacement:kn;return zn(e,n)}(t,n):t;return function(e,t,n){return!!t.subject.active&&n(t.subject.active)(e)}(a,n,i)&&function(e,t,n){return n(t)(e)}(a,r,i)},vr=function(e){return mr((0,Kt.A)({},e,{isVisibleThroughFrameFn:dr}))},hr=function(e){return mr((0,Kt.A)({},e,{isVisibleThroughFrameFn:pr}))},br=function(e,t,n){if("boolean"==typeof n)return n;if(!t)return!0;var r=t.invisible,o=t.visible;if(r[e])return!1;var i=o[e];return!i||i.shouldAnimate};function yr(e){var t=e.afterDragging,n=e.destination,r=e.displacedBy,o=e.viewport,i=e.forceShouldAnimate,a=e.last;return t.reduce((function(e,t){var l=function(e,t){var n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return nn(rn(n,r))}(t,r),s=t.descriptor.id;if(e.all.push(s),!vr({target:l,destination:n,viewport:o,withDroppableDisplacement:!0}))return e.invisible[t.descriptor.id]=!0,e;var u={draggableId:s,shouldAnimate:br(s,a,i)};return e.visible[s]=u,e}),{all:[],visible:{},invisible:{}})}function Ar(e){var t=e.insideDestination,n=e.inHomeList,r=e.displacedBy,o=e.destination,i=function(e,t){if(!e.length)return 0;var n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(t,{inHomeList:n});return{displaced:sr,displacedBy:r,at:{type:"REORDER",destination:{droppableId:o.descriptor.id,index:i}}}}function Er(e){var t=e.draggable,n=e.insideDestination,r=e.destination,o=e.viewport,i=e.displacedBy,a=e.last,l=e.index,s=e.forceShouldAnimate,u=ar(t,r);if(null==l)return Ar({insideDestination:n,inHomeList:u,displacedBy:i,destination:r});var c=Kn(n,(function(e){return e.descriptor.index===l}));if(!c)return Ar({insideDestination:n,inHomeList:u,displacedBy:i,destination:r});var d=ir(t,n),p=n.indexOf(c);return{displaced:yr({afterDragging:d.slice(p),destination:r,displacedBy:i,last:a,viewport:o.frame,forceShouldAnimate:s}),displacedBy:i,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:l}}}}function wr(e,t){return Boolean(t.effected[e])}var Cr=function(e,t){return t.margin[e.start]+t.borderBox[e.size]/2},xr=function(e,t,n){return t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2},Sr=function(e){var t=e.axis,n=e.moveRelativeTo,r=e.isMoving;return Vn(t.line,n.marginBox[t.end]+Cr(t,r),xr(t,n.marginBox,r))},Ir=function(e){var t=e.axis,n=e.moveRelativeTo,r=e.isMoving;return Vn(t.line,n.marginBox[t.start]-function(e,t){return t.margin[e.end]+t.borderBox[e.size]/2}(t,r),xr(t,n.marginBox,r))},Rr=function(e,t){var n=e.frame;return n?Tn(t,n.scroll.diff.displacement):t},Or=function(e){var t=function(e){var t=e.impact,n=e.draggable,r=e.droppable,o=e.draggables,i=e.afterCritical,a=n.page.borderBox.center,l=t.at;return r&&l?"REORDER"===l.type?function(e){var t=e.impact,n=e.draggable,r=e.draggables,o=e.droppable,i=e.afterCritical,a=nr(o.descriptor.id,r),l=n.page,s=o.axis;if(!a.length)return function(e){var t=e.axis,n=e.moveInto,r=e.isMoving;return Vn(t.line,n.contentBox[t.start]+Cr(t,r),xr(t,n.contentBox,r))}({axis:s,moveInto:o.page,isMoving:l});var u=t.displaced,c=t.displacedBy,d=u.all[0];if(d){var p=r[d];if(wr(d,i))return Ir({axis:s,moveRelativeTo:p.page,isMoving:l});var f=un(p.page,c.point);return Ir({axis:s,moveRelativeTo:f,isMoving:l})}var g=a[a.length-1];if(g.descriptor.id===n.descriptor.id)return l.borderBox.center;if(wr(g.descriptor.id,i)){var m=un(g.page,_n(i.displacedBy.point));return Sr({axis:s,moveRelativeTo:m,isMoving:l})}return Sr({axis:s,moveRelativeTo:g.page,isMoving:l})}({impact:t,draggable:n,draggables:o,droppable:r,afterCritical:i}):function(e){var t=e.afterCritical,n=e.impact,r=e.draggables,o=or(n);o||Sn(!1);var i=o.draggableId,a=r[i].page.borderBox.center,l=function(e){var t=e.displaced,n=e.afterCritical,r=e.combineWith,o=e.displacedBy,i=Boolean(t.visible[r]||t.invisible[r]);return wr(r,n)?i?kn:_n(o.point):i?o.point:kn}({displaced:n.displaced,afterCritical:t,combineWith:i,displacedBy:n.displacedBy});return Tn(a,l)}({impact:t,draggables:o,afterCritical:i}):a}(e),n=e.droppable;return n?Rr(n,t):t},Br=function(e,t){var n=Ln(t,e.scroll.initial),r=_n(n);return{frame:nn({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function Dr(e,t){return e.map((function(e){return t[e]}))}var Mr=function(e){var t,n,r=e.pageBorderBoxCenter,o=e.draggable,i=(t=e.viewport,n=r,Tn(t.scroll.diff.displacement,n)),a=Ln(i,o.page.borderBox.center);return Tn(o.client.borderBox.center,a)},Pr=function(e){var t=e.draggable,n=e.destination,r=e.newPageBorderBoxCenter,o=e.viewport,i=e.withDroppableDisplacement,a=e.onlyOnMainAxis,l=void 0!==a&&a,s=Ln(r,t.page.borderBox.center),u={target:zn(t.page.borderBox,s),destination:n,withDroppableDisplacement:i,viewport:o};return l?function(e){return mr((0,Kt.A)({},e,{isVisibleThroughFrameFn:(t=e.destination.axis,function(e){var n=cr(e.top,e.bottom),r=cr(e.left,e.right);return function(e){return t===fr?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)}})}));var t}(u):hr(u)},Nr=function(e){var t=e.isMovingForward,n=e.draggable,r=e.destination,o=e.draggables,i=e.previousImpact,a=e.viewport,l=e.previousPageBorderBoxCenter,s=e.previousClientSelection,u=e.afterCritical;if(!r.isEnabled)return null;var c=nr(r.descriptor.id,o),d=ar(n,r),p=function(e){var t=e.isMovingForward,n=e.draggable,r=e.destination,o=e.insideDestination,i=e.previousImpact;if(!r.isCombineEnabled)return null;if(!rr(i))return null;function a(e){var t={type:"COMBINE",combine:{draggableId:e,droppableId:r.descriptor.id}};return(0,Kt.A)({},i,{at:t})}var l=i.displaced.all,s=l.length?l[0]:null;if(t)return s?a(s):null;var u=ir(n,o);if(!s)return u.length?a(u[u.length-1].descriptor.id):null;var c=Yn(u,(function(e){return e.descriptor.id===s}));-1===c&&Sn(!1);var d=c-1;return d<0?null:a(u[d].descriptor.id)}({isMovingForward:t,draggable:n,destination:r,insideDestination:c,previousImpact:i})||function(e){var t=e.isMovingForward,n=e.isInHomeList,r=e.draggable,o=e.draggables,i=e.destination,a=e.insideDestination,l=e.previousImpact,s=e.viewport,u=e.afterCritical,c=l.at;if(c||Sn(!1),"REORDER"===c.type){var d=function(e){var t=e.isMovingForward,n=e.isInHomeList,r=e.insideDestination,o=e.location;if(!r.length)return null;var i=o.index,a=t?i+1:i-1,l=r[0].descriptor.index,s=r[r.length-1].descriptor.index;return a<l||a>(n?s:s+1)?null:a}({isMovingForward:t,isInHomeList:n,location:c.destination,insideDestination:a});return null==d?null:Er({draggable:r,insideDestination:a,destination:i,viewport:s,last:l.displaced,displacedBy:l.displacedBy,index:d})}var p=function(e){var t=e.isMovingForward,n=e.draggables,r=e.combine,o=e.afterCritical;if(!e.destination.isCombineEnabled)return null;var i=r.draggableId,a=n[i].descriptor.index;return wr(i,o)?t?a:a-1:t?a+1:a}({isMovingForward:t,destination:i,displaced:l.displaced,draggables:o,combine:c.combine,afterCritical:u});return null==p?null:Er({draggable:r,insideDestination:a,destination:i,viewport:s,last:l.displaced,displacedBy:l.displacedBy,index:p})}({isMovingForward:t,isInHomeList:d,draggable:n,draggables:o,destination:r,insideDestination:c,previousImpact:i,viewport:a,afterCritical:u});if(!p)return null;var f=Or({impact:p,draggable:n,droppable:r,draggables:o,afterCritical:u});if(Pr({draggable:n,destination:r,newPageBorderBoxCenter:f,viewport:a.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:Mr({pageBorderBoxCenter:f,draggable:n,viewport:a}),impact:p,scrollJumpRequest:null};var g=Ln(f,l),m=function(e){var t=e.impact,n=e.viewport,r=e.destination,o=e.draggables,i=e.maxScrollChange,a=Br(n,Tn(n.scroll.current,i)),l=r.frame?qn(r,Tn(r.frame.scroll.current,i)):r,s=t.displaced,u=yr({afterDragging:Dr(s.all,o),destination:r,displacedBy:t.displacedBy,viewport:a.frame,last:s,forceShouldAnimate:!1}),c=yr({afterDragging:Dr(s.all,o),destination:l,displacedBy:t.displacedBy,viewport:n.frame,last:s,forceShouldAnimate:!1}),d={},p={},f=[s,u,c];return s.all.forEach((function(e){var t=function(e,t){for(var n=0;n<t.length;n++){var r=t[n].visible[e];if(r)return r}return null}(e,f);t?p[e]=t:d[e]=!0})),(0,Kt.A)({},t,{displaced:{all:s.all,invisible:d,visible:p}})}({impact:p,viewport:a,destination:r,draggables:o,maxScrollChange:g});return{clientSelection:s,impact:m,scrollJumpRequest:g}},kr=function(e){var t=e.subject.active;return t||Sn(!1),t},Tr=function(e,t){var n=e.page.borderBox.center;return wr(e.descriptor.id,t)?Ln(n,t.displacedBy.point):n},Lr=function(e,t){var n=e.page.borderBox;return wr(e.descriptor.id,t)?zn(n,_n(t.displacedBy.point)):n},Fr=mn((function(e,t){var n=t[e.line];return{value:n,point:Vn(e.line,n)}})),_r=function(e,t){return(0,Kt.A)({},e,{scroll:(0,Kt.A)({},e.scroll,{max:t})})},Vr=function(e,t,n){var r=e.frame;ar(t,e)&&Sn(!1),e.subject.withPlaceholder&&Sn(!1);var o=Fr(e.axis,t.displaceBy).point,i=function(e,t,n){var r=e.axis;if("virtual"===e.descriptor.mode)return Vn(r.line,t[r.line]);var o=e.subject.page.contentBox[r.size],i=nr(e.descriptor.id,n).reduce((function(e,t){return e+t.client.marginBox[r.size]}),0)+t[r.line]-o;return i<=0?null:Vn(r.line,i)}(e,o,n),a={placeholderSize:o,increasedBy:i,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){var l=Wn({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:e.frame});return(0,Kt.A)({},e,{subject:l})}var s=i?Tn(r.scroll.max,i):r.scroll.max,u=_r(r,s),c=Wn({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:u});return(0,Kt.A)({},e,{subject:c,frame:u})},$r=function(e){var t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},Gr=function(e){var t=e.state,n=e.type,r=function(e,t){var n=$r(e);return n?t[n]:null}(t.impact,t.dimensions.droppables),o=Boolean(r),i=t.dimensions.droppables[t.critical.droppable.id],a=r||i,l=a.axis.direction,s="vertical"===l&&("MOVE_UP"===n||"MOVE_DOWN"===n)||"horizontal"===l&&("MOVE_LEFT"===n||"MOVE_RIGHT"===n);if(s&&!o)return null;var u="MOVE_DOWN"===n||"MOVE_RIGHT"===n,c=t.dimensions.draggables[t.critical.draggable.id],d=t.current.page.borderBoxCenter,p=t.dimensions,f=p.draggables,g=p.droppables;return s?Nr({isMovingForward:u,previousPageBorderBoxCenter:d,draggable:c,destination:a,draggables:f,viewport:t.viewport,previousClientSelection:t.current.client.selection,previousImpact:t.impact,afterCritical:t.afterCritical}):function(e){var t=e.isMovingForward,n=e.previousPageBorderBoxCenter,r=e.draggable,o=e.isOver,i=e.draggables,a=e.droppables,l=e.viewport,s=e.afterCritical,u=function(e){var t=e.isMovingForward,n=e.pageBorderBoxCenter,r=e.source,o=e.droppables,i=e.viewport,a=r.subject.active;if(!a)return null;var l=r.axis,s=cr(a[l.start],a[l.end]),u=er(o).filter((function(e){return e!==r})).filter((function(e){return e.isEnabled})).filter((function(e){return Boolean(e.subject.active)})).filter((function(e){return dr(i.frame)(kr(e))})).filter((function(e){var n=kr(e);return t?a[l.crossAxisEnd]<n[l.crossAxisEnd]:n[l.crossAxisStart]<a[l.crossAxisStart]})).filter((function(e){var t=kr(e),n=cr(t[l.start],t[l.end]);return s(t[l.start])||s(t[l.end])||n(a[l.start])||n(a[l.end])})).sort((function(e,n){var r=kr(e)[l.crossAxisStart],o=kr(n)[l.crossAxisStart];return t?r-o:o-r})).filter((function(e,t,n){return kr(e)[l.crossAxisStart]===kr(n[0])[l.crossAxisStart]}));if(!u.length)return null;if(1===u.length)return u[0];var c=u.filter((function(e){return cr(kr(e)[l.start],kr(e)[l.end])(n[l.line])}));return 1===c.length?c[0]:c.length>1?c.sort((function(e,t){return kr(e)[l.start]-kr(t)[l.start]}))[0]:u.sort((function(e,t){var r=Gn(n,Hn(kr(e))),o=Gn(n,Hn(kr(t)));return r!==o?r-o:kr(e)[l.start]-kr(t)[l.start]}))[0]}({isMovingForward:t,pageBorderBoxCenter:n,source:o,droppables:a,viewport:l});if(!u)return null;var c=nr(u.descriptor.id,i),d=function(e){var t=e.pageBorderBoxCenter,n=e.viewport,r=e.destination,o=e.afterCritical,i=e.insideDestination.filter((function(e){return hr({target:Lr(e,o),destination:r,viewport:n.frame,withDroppableDisplacement:!0})})).sort((function(e,n){var i=$n(t,Rr(r,Tr(e,o))),a=$n(t,Rr(r,Tr(n,o)));return i<a?-1:a<i?1:e.descriptor.index-n.descriptor.index}));return i[0]||null}({pageBorderBoxCenter:n,viewport:l,destination:u,insideDestination:c,afterCritical:s}),p=function(e){var t=e.previousPageBorderBoxCenter,n=e.moveRelativeTo,r=e.insideDestination,o=e.draggable,i=e.draggables,a=e.destination,l=e.viewport,s=e.afterCritical;if(!n){if(r.length)return null;var u={displaced:sr,displacedBy:lr,at:{type:"REORDER",destination:{droppableId:a.descriptor.id,index:0}}},c=Or({impact:u,draggable:o,droppable:a,draggables:i,afterCritical:s}),d=ar(o,a)?a:Vr(a,o,i);return Pr({draggable:o,destination:d,newPageBorderBoxCenter:c,viewport:l.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?u:null}var p,f=Boolean(t[a.axis.line]<=n.page.borderBox.center[a.axis.line]),g=(p=n.descriptor.index,n.descriptor.id===o.descriptor.id||f?p:p+1);return Er({draggable:o,insideDestination:r,destination:a,viewport:l,displacedBy:Fr(a.axis,o.displaceBy),last:sr,index:g})}({previousPageBorderBoxCenter:n,destination:u,draggable:r,draggables:i,moveRelativeTo:d,insideDestination:c,viewport:l,afterCritical:s});if(!p)return null;var f=Or({impact:p,draggable:r,droppable:u,draggables:i,afterCritical:s});return{clientSelection:Mr({pageBorderBoxCenter:f,draggable:r,viewport:l}),impact:p,scrollJumpRequest:null}}({isMovingForward:u,previousPageBorderBoxCenter:d,draggable:c,isOver:a,draggables:f,droppables:g,viewport:t.viewport,afterCritical:t.afterCritical})};function jr(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function zr(e){var t=cr(e.top,e.bottom),n=cr(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}var Hr=function(e,t){return nn(zn(e,t))};function Ur(e){var t=e.displaced,n=e.id;return Boolean(t.visible[n]||t.invisible[n])}var Wr=function(e){var t=e.pageOffset,n=e.draggable,r=e.draggables,o=e.droppables,i=e.previousImpact,a=e.viewport,l=e.afterCritical,s=Hr(n.page.borderBox,t),u=function(e){var t=e.pageBorderBox,n=e.draggable,r=e.droppables,o=er(r).filter((function(e){if(!e.isEnabled)return!1;var n,r,o=e.subject.active;if(!o)return!1;if(r=o,!((n=t).left<r.right&&n.right>r.left&&n.top<r.bottom&&n.bottom>r.top))return!1;if(zr(o)(t.center))return!0;var i=e.axis,a=o.center[i.crossAxisLine],l=t[i.crossAxisStart],s=t[i.crossAxisEnd],u=cr(o[i.crossAxisStart],o[i.crossAxisEnd]),c=u(l),d=u(s);return!c&&!d||(c?l<a:s>a)}));return o.length?1===o.length?o[0].descriptor.id:function(e){var t=e.pageBorderBox,n=e.candidates,r=e.draggable.page.borderBox.center,o=n.map((function(e){var n=e.axis,o=Vn(e.axis.line,t.center[n.line],e.page.borderBox.center[n.crossAxisLine]);return{id:e.descriptor.id,distance:$n(r,o)}})).sort((function(e,t){return t.distance-e.distance}));return o[0]?o[0].id:null}({pageBorderBox:t,draggable:n,candidates:o}):null}({pageBorderBox:s,draggable:n,droppables:o});if(!u)return ur;var c=o[u],d=nr(c.descriptor.id,r),p=function(e,t){var n=e.frame;return n?Hr(t,n.scroll.diff.value):t}(c,s);return function(e){var t=e.draggable,n=e.pageBorderBoxWithDroppableScroll,r=e.previousImpact,o=e.destination,i=e.insideDestination,a=e.afterCritical;if(!o.isCombineEnabled)return null;var l=o.axis,s=Fr(o.axis,t.displaceBy),u=s.value,c=n[l.start],d=n[l.end],p=Kn(ir(t,i),(function(e){var t=e.descriptor.id,n=e.page.borderBox,o=n[l.size]/4,i=wr(t,a),s=Ur({displaced:r.displaced,id:t});return i?s?d>n[l.start]+o&&d<n[l.end]-o:c>n[l.start]-u+o&&c<n[l.end]-u-o:s?d>n[l.start]+u+o&&d<n[l.end]+u-o:c>n[l.start]+o&&c<n[l.end]-o}));return p?{displacedBy:s,displaced:r.displaced,at:{type:"COMBINE",combine:{draggableId:p.descriptor.id,droppableId:o.descriptor.id}}}:null}({pageBorderBoxWithDroppableScroll:p,draggable:n,previousImpact:i,destination:c,insideDestination:d,afterCritical:l})||function(e){var t=e.pageBorderBoxWithDroppableScroll,n=e.draggable,r=e.destination,o=e.insideDestination,i=e.last,a=e.viewport,l=e.afterCritical,s=r.axis,u=Fr(r.axis,n.displaceBy),c=u.value,d=t[s.start],p=t[s.end],f=function(e){var t=e.draggable,n=e.closest;return n?e.inHomeList&&n.descriptor.index>t.descriptor.index?n.descriptor.index-1:n.descriptor.index:null}({draggable:n,closest:Kn(ir(n,o),(function(e){var t=e.descriptor.id,n=e.page.borderBox.center[s.line],r=wr(t,l),o=Ur({displaced:i,id:t});return r?o?p<=n:d<n-c:o?p<=n+c:d<n})),inHomeList:ar(n,r)});return Er({draggable:n,insideDestination:o,destination:r,viewport:a,last:i,displacedBy:u,index:f})}({pageBorderBoxWithDroppableScroll:p,draggable:n,destination:c,insideDestination:d,last:i.displaced,viewport:a,afterCritical:l})},qr=function(e,t){var n;return(0,Kt.A)({},e,((n={})[t.descriptor.id]=t,n))},Xr=function(e){var t=e.state,n=e.clientSelection,r=e.dimensions,o=e.viewport,i=e.impact,a=e.scrollJumpRequest,l=o||t.viewport,s=r||t.dimensions,u=n||t.current.client.selection,c=Ln(u,t.initial.client.selection),d={offset:c,selection:u,borderBoxCenter:Tn(t.initial.client.borderBoxCenter,c)},p={selection:Tn(d.selection,l.scroll.current),borderBoxCenter:Tn(d.borderBoxCenter,l.scroll.current),offset:Tn(d.offset,l.scroll.diff.value)},f={client:d,page:p};if("COLLECTING"===t.phase)return(0,Kt.A)({phase:"COLLECTING"},t,{dimensions:s,viewport:l,current:f});var g=s.draggables[t.critical.draggable.id],m=i||Wr({pageOffset:p.offset,draggable:g,draggables:s.draggables,droppables:s.droppables,previousImpact:t.impact,viewport:l,afterCritical:t.afterCritical}),v=function(e){var t=e.draggable,n=e.draggables,r=e.droppables,o=e.impact,i=function(e){var t=e.previousImpact,n=e.impact,r=e.droppables,o=$r(t),i=$r(n);if(!o)return r;if(o===i)return r;var a=r[o];if(!a.subject.withPlaceholder)return r;var l=function(e){var t=e.subject.withPlaceholder;t||Sn(!1);var n=e.frame;if(!n){var r=Wn({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return(0,Kt.A)({},e,{subject:r})}var o=t.oldFrameMaxScroll;o||Sn(!1);var i=_r(n,o),a=Wn({page:e.subject.page,axis:e.axis,frame:i,withPlaceholder:null});return(0,Kt.A)({},e,{subject:a,frame:i})}(a);return qr(r,l)}({previousImpact:e.previousImpact,impact:o,droppables:r}),a=$r(o);if(!a)return i;var l=r[a];if(ar(t,l))return i;if(l.subject.withPlaceholder)return i;var s=Vr(l,t,n);return qr(i,s)}({draggable:g,impact:m,previousImpact:t.impact,draggables:s.draggables,droppables:s.droppables});return(0,Kt.A)({},t,{current:f,dimensions:{draggables:s.draggables,droppables:v},impact:m,viewport:l,scrollJumpRequest:a||null,forceShouldAnimate:!a&&null})},Yr=function(e){var t=e.impact,n=e.viewport,r=e.draggables,o=e.destination,i=e.forceShouldAnimate,a=t.displaced,l=function(e,t){return e.map((function(e){return t[e]}))}(a.all,r),s=yr({afterDragging:l,destination:o,displacedBy:t.displacedBy,viewport:n.frame,forceShouldAnimate:i,last:a});return(0,Kt.A)({},t,{displaced:s})},Kr=function(e){var t=e.impact,n=e.draggable,r=e.droppable,o=e.draggables,i=e.viewport,a=e.afterCritical,l=Or({impact:t,draggable:n,draggables:o,droppable:r,afterCritical:a});return Mr({pageBorderBoxCenter:l,draggable:n,viewport:i})},Qr=function(e){var t=e.state,n=e.dimensions,r=e.viewport;"SNAP"!==t.movementMode&&Sn(!1);var o=t.impact,i=r||t.viewport,a=n||t.dimensions,l=a.draggables,s=a.droppables,u=l[t.critical.draggable.id],c=$r(o);c||Sn(!1);var d=s[c],p=Yr({impact:o,viewport:i,destination:d,draggables:l}),f=Kr({impact:p,draggable:u,droppable:d,draggables:l,viewport:i,afterCritical:t.afterCritical});return Xr({impact:p,clientSelection:f,state:t,dimensions:a,viewport:i})},Zr=function(e){var t=e.draggable,n=e.home,r=e.draggables,o=e.viewport,i=Fr(n.axis,t.displaceBy),a=nr(n.descriptor.id,r),l=a.indexOf(t);-1===l&&Sn(!1);var s,u=a.slice(l+1),c=u.reduce((function(e,t){return e[t.descriptor.id]=!0,e}),{}),d={inVirtualList:"virtual"===n.descriptor.mode,displacedBy:i,effected:c};return{impact:{displaced:yr({afterDragging:u,destination:n,displacedBy:i,last:null,viewport:o.frame,forceShouldAnimate:!1}),displacedBy:i,at:{type:"REORDER",destination:(s=t.descriptor,{index:s.index,droppableId:s.droppableId})}},afterCritical:d}},Jr=function(e){return"SNAP"===e.movementMode},eo=function(e,t,n){var r=function(e,t){return{draggables:e.draggables,droppables:qr(e.droppables,t)}}(e.dimensions,t);return!Jr(e)||n?Xr({state:e,dimensions:r}):Qr({state:e,dimensions:r})};function to(e){return e.isDragging&&"SNAP"===e.movementMode?(0,Kt.A)({phase:"DRAGGING"},e,{scrollJumpRequest:null}):e}var no={phase:"IDLE",completed:null,shouldFlush:!1},ro=function(e,t){if(void 0===e&&(e=no),"FLUSH"===t.type)return(0,Kt.A)({},no,{shouldFlush:!0});if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&Sn(!1);var n=t.payload,r=n.critical,o=n.clientSelection,i=n.viewport,a=n.dimensions,l=n.movementMode,s=a.draggables[r.draggable.id],u=a.droppables[r.droppable.id],c={selection:o,borderBoxCenter:s.client.borderBox.center,offset:kn},d={client:c,page:{selection:Tn(c.selection,i.scroll.initial),borderBoxCenter:Tn(c.selection,i.scroll.initial),offset:Tn(c.selection,i.scroll.diff.value)}},p=er(a.droppables).every((function(e){return!e.isFixedOnPage})),f=Zr({draggable:s,home:u,draggables:a.draggables,viewport:i}),g=f.impact;return{phase:"DRAGGING",isDragging:!0,critical:r,movementMode:l,dimensions:a,initial:d,current:d,isWindowScrollAllowed:p,impact:g,afterCritical:f.afterCritical,onLiftImpact:g,viewport:i,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&Sn(!1),(0,Kt.A)({phase:"COLLECTING"},e,{phase:"COLLECTING"}));if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&Sn(!1),function(e){var t=e.state,n=e.published,r=n.modified.map((function(e){var n=t.dimensions.droppables[e.droppableId];return qn(n,e.scroll)})),o=(0,Kt.A)({},t.dimensions.droppables,{},Zn(r)),i=Jn(function(e){var t=e.additions,n=e.updatedDroppables,r=e.viewport,o=r.scroll.diff.value;return t.map((function(e){var t=e.descriptor.droppableId,i=function(e){var t=e.frame;return t||Sn(!1),t}(n[t]),a=i.scroll.diff.value,l=function(e){var t=e.draggable,n=e.offset,r=e.initialWindowScroll,o=un(t.client,n),i=cn(o,r);return(0,Kt.A)({},t,{placeholder:(0,Kt.A)({},t.placeholder,{client:o}),client:o,page:i})}({draggable:e,offset:Tn(o,a),initialWindowScroll:r.scroll.initial});return l}))}({additions:n.additions,updatedDroppables:o,viewport:t.viewport})),a=(0,Kt.A)({},t.dimensions.draggables,{},i);n.removals.forEach((function(e){delete a[e]}));var l={droppables:o,draggables:a},s=$r(t.impact),u=s?l.droppables[s]:null,c=l.draggables[t.critical.draggable.id],d=l.droppables[t.critical.droppable.id],p=Zr({draggable:c,home:d,draggables:a,viewport:t.viewport}),f=p.impact,g=p.afterCritical,m=u&&u.isCombineEnabled?t.impact:f,v=Wr({pageOffset:t.current.page.offset,draggable:l.draggables[t.critical.draggable.id],draggables:l.draggables,droppables:l.droppables,previousImpact:m,viewport:t.viewport,afterCritical:g}),h=(0,Kt.A)({phase:"DRAGGING"},t,{phase:"DRAGGING",impact:v,onLiftImpact:f,dimensions:l,afterCritical:g,forceShouldAnimate:!1});return"COLLECTING"===t.phase?h:(0,Kt.A)({phase:"DROP_PENDING"},h,{phase:"DROP_PENDING",reason:t.reason,isWaiting:!1})}({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;jr(e)||Sn(!1);var m=t.payload.client;return Fn(m,e.current.client.selection)?e:Xr({state:e,clientSelection:m,impact:Jr(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return to(e);if("COLLECTING"===e.phase)return to(e);jr(e)||Sn(!1);var v=t.payload,h=v.id,b=v.newScroll,y=e.dimensions.droppables[h];if(!y)return e;var A=qn(y,b);return eo(e,A,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;jr(e)||Sn(!1);var E=t.payload,w=E.id,C=E.isEnabled,x=e.dimensions.droppables[w];x||Sn(!1),x.isEnabled===C&&Sn(!1);var S=(0,Kt.A)({},x,{isEnabled:C});return eo(e,S,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;jr(e)||Sn(!1);var I=t.payload,R=I.id,O=I.isCombineEnabled,B=e.dimensions.droppables[R];B||Sn(!1),B.isCombineEnabled===O&&Sn(!1);var D=(0,Kt.A)({},B,{isCombineEnabled:O});return eo(e,D,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;jr(e)||Sn(!1),e.isWindowScrollAllowed||Sn(!1);var M=t.payload.newScroll;if(Fn(e.viewport.scroll.current,M))return to(e);var P=Br(e.viewport,M);return Jr(e)?Qr({state:e,viewport:P}):Xr({state:e,viewport:P})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!jr(e))return e;var N=t.payload.maxScroll;if(Fn(N,e.viewport.scroll.max))return e;var k=(0,Kt.A)({},e.viewport,{scroll:(0,Kt.A)({},e.viewport.scroll,{max:N})});return(0,Kt.A)({phase:"DRAGGING"},e,{viewport:k})}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&Sn(!1);var T=Gr({state:e,type:t.type});return T?Xr({state:e,impact:T.impact,clientSelection:T.clientSelection,scrollJumpRequest:T.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){var L=t.payload.reason;return"COLLECTING"!==e.phase&&Sn(!1),(0,Kt.A)({phase:"DROP_PENDING"},e,{phase:"DROP_PENDING",isWaiting:!0,reason:L})}if("DROP_ANIMATE"===t.type){var F=t.payload,_=F.completed,V=F.dropDuration,$=F.newHomeClientOffset;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&Sn(!1),{phase:"DROP_ANIMATING",completed:_,dropDuration:V,newHomeClientOffset:$,dimensions:e.dimensions}}return"DROP_COMPLETE"===t.type?{phase:"IDLE",completed:t.payload.completed,shouldFlush:!1}:e},oo=function(e){return{type:"LIFT",payload:e}},io=function(e){return{type:"PUBLISH_WHILE_DRAGGING",payload:e}},ao=function(){return{type:"COLLECTION_STARTING",payload:null}},lo=function(e){return{type:"UPDATE_DROPPABLE_SCROLL",payload:e}},so=function(e){return{type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}},uo=function(e){return{type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}},co=function(e){return{type:"MOVE",payload:e}},po=function(){return{type:"MOVE_UP",payload:null}},fo=function(){return{type:"MOVE_DOWN",payload:null}},go=function(){return{type:"MOVE_RIGHT",payload:null}},mo=function(){return{type:"MOVE_LEFT",payload:null}},vo=function(){return{type:"FLUSH",payload:null}},ho=function(e){return{type:"DROP_COMPLETE",payload:e}},bo=function(e){return{type:"DROP",payload:e}},yo="cubic-bezier(.2,1,.1,1)",Ao=0,Eo=.7,wo=.75,Co="0.2s cubic-bezier(0.2, 0, 0, 1)",xo={fluid:"opacity "+Co,snap:"transform "+Co+", opacity "+Co,drop:function(e){var t=e+"s "+yo;return"transform "+t+", opacity "+t},outOfTheWay:"transform "+Co,placeholder:"height "+Co+", width "+Co+", margin "+Co},So=function(e){return Fn(e,kn)?null:"translate("+e.x+"px, "+e.y+"px)"},Io=So,Ro=function(e,t){var n=So(e);return n?t?n+" scale("+wo+")":n:null},Oo=.33,Bo=.55-Oo,Do=function(e){var t=e.getState,n=e.dispatch;return function(e){return function(r){if("DROP"===r.type){var o=t(),i=r.payload.reason;if("COLLECTING"!==o.phase){if("IDLE"!==o.phase){"DROP_PENDING"===o.phase&&o.isWaiting&&Sn(!1),"DRAGGING"!==o.phase&&"DROP_PENDING"!==o.phase&&Sn(!1);var a=o.critical,l=o.dimensions,s=l.draggables[o.critical.draggable.id],u=function(e){var t=e.draggables,n=e.reason,r=e.lastImpact,o=e.home,i=e.viewport,a=e.onLiftImpact;return r.at&&"DROP"===n?"REORDER"===r.at.type?{impact:r,didDropInsideDroppable:!0}:{impact:(0,Kt.A)({},r,{displaced:sr}),didDropInsideDroppable:!0}:{impact:Yr({draggables:t,impact:a,destination:o,viewport:i,forceShouldAnimate:!0}),didDropInsideDroppable:!1}}({reason:i,lastImpact:o.impact,afterCritical:o.afterCritical,onLiftImpact:o.onLiftImpact,home:o.dimensions.droppables[o.critical.droppable.id],viewport:o.viewport,draggables:o.dimensions.draggables}),c=u.impact,d=u.didDropInsideDroppable,p=d?rr(c):null,f=d?or(c):null,g={index:a.draggable.index,droppableId:a.droppable.id},m={draggableId:s.descriptor.id,type:s.descriptor.type,source:g,reason:i,mode:o.movementMode,destination:p,combine:f},v=function(e){var t=e.impact,n=e.draggable,r=e.dimensions,o=e.viewport,i=e.afterCritical,a=r.draggables,l=r.droppables,s=$r(t),u=s?l[s]:null,c=l[n.descriptor.droppableId],d=Kr({impact:t,draggable:n,draggables:a,afterCritical:i,droppable:u||c,viewport:o});return Ln(d,n.client.borderBox.center)}({impact:c,draggable:s,dimensions:l,viewport:o.viewport,afterCritical:o.afterCritical}),h={critical:o.critical,afterCritical:o.afterCritical,result:m,impact:c};if(!Fn(o.current.client.offset,v)||Boolean(m.combine)){var b=function(e){var t=e.reason,n=$n(e.current,e.destination);if(n<=0)return Oo;if(n>=1500)return.55;var r=Oo+Bo*(n/1500);return Number(("CANCEL"===t?.6*r:r).toFixed(2))}({current:o.current.client.offset,destination:v,reason:i});n({type:"DROP_ANIMATE",payload:{newHomeClientOffset:v,dropDuration:b,completed:h}})}else n(ho({completed:h}))}}else n(function(e){return{type:"DROP_PENDING",payload:e}}({reason:i}))}else e(r)}}},Mo=function(){return{x:window.pageXOffset,y:window.pageYOffset}};var Po=function(e){var t=function(e){var t=e.onWindowScroll,n=vn((function(){t(Mo())})),r=function(e){return{eventName:"scroll",options:{passive:!0,capture:!1},fn:function(t){t.target!==window&&t.target!==window.document||e()}}}(n),o=An;function i(){return o!==An}return{start:function(){i()&&Sn(!1),o=En(window,[r])},stop:function(){i()||Sn(!1),n.cancel(),o(),o=An},isActive:i}}({onWindowScroll:function(t){e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return function(e){return function(n){t.isActive()||"INITIAL_PUBLISH"!==n.type||t.start(),t.isActive()&&function(e){return"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type}(n)&&t.stop(),e(n)}}},No=function(e,t){t()},ko=function(e,t){return{draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t}},To=function(e,t,n,r){if(e){var o=function(e){var t=!1,n=!1,r=setTimeout((function(){n=!0})),o=function(o){t||n||(t=!0,e(o),clearTimeout(r))};return o.wasCalled=function(){return t},o}(n);e(t,{announce:o}),o.wasCalled()||n(r(t))}else n(r(t))},Lo=function(e,t){var n=function(e,t){var n,r=(n=[],{add:function(e){var t=setTimeout((function(){return function(e){var t=Yn(n,(function(t){return t.timerId===e}));-1===t&&Sn(!1),n.splice(t,1)[0].callback()}(t)})),r={timerId:t,callback:e};n.push(r)},flush:function(){if(n.length){var e=[].concat(n);n.length=0,e.forEach((function(e){clearTimeout(e.timerId),e.callback()}))}}}),o=null,i=function(n){o||Sn(!1),o=null,No(0,(function(){return To(e().onDragEnd,n,t,Nn)}))};return{beforeCapture:function(t,n){o&&Sn(!1),No(0,(function(){var r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:function(t,n){o&&Sn(!1),No(0,(function(){var r=e().onBeforeDragStart;r&&r(ko(t,n))}))},start:function(n,i){o&&Sn(!1);var a=ko(n,i);o={mode:i,lastCritical:n,lastLocation:a.source,lastCombine:null},r.add((function(){No(0,(function(){return To(e().onDragStart,a,t,Mn)}))}))},update:function(n,i){var a=rr(i),l=or(i);o||Sn(!1);var s=!function(e,t){if(e===t)return!0;var n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r}(n,o.lastCritical);s&&(o.lastCritical=n);var u,c,d=(c=a,!(null==(u=o.lastLocation)&&null==c||null!=u&&null!=c&&u.droppableId===c.droppableId&&u.index===c.index));d&&(o.lastLocation=a);var p=!function(e,t){return null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId}(o.lastCombine,l);if(p&&(o.lastCombine=l),s||d||p){var f=(0,Kt.A)({},ko(n,o.mode),{combine:l,destination:a});r.add((function(){No(0,(function(){return To(e().onDragUpdate,f,t,Pn)}))}))}},flush:function(){o||Sn(!1),r.flush()},drop:i,abort:function(){if(o){var e=(0,Kt.A)({},ko(o.lastCritical,o.mode),{combine:null,destination:null,reason:"CANCEL"});i(e)}}}}(e,t);return function(e){return function(t){return function(r){if("BEFORE_INITIAL_CAPTURE"!==r.type){if("INITIAL_PUBLISH"===r.type){var o=r.payload.critical;return n.beforeStart(o,r.payload.movementMode),t(r),void n.start(o,r.payload.movementMode)}if("DROP_COMPLETE"===r.type){var i=r.payload.completed.result;return n.flush(),t(r),void n.drop(i)}if(t(r),"FLUSH"!==r.type){var a=e.getState();"DRAGGING"===a.phase&&n.update(a.critical,a.impact)}else n.abort()}else n.beforeCapture(r.payload.draggableId,r.payload.movementMode)}}}},Fo=function(e){return function(t){return function(n){if("DROP_ANIMATION_FINISHED"===n.type){var r=e.getState();"DROP_ANIMATING"!==r.phase&&Sn(!1),e.dispatch(ho({completed:r.completed}))}else t(n)}}},_o=function(e){var t=null,n=null;return function(r){return function(o){if("FLUSH"!==o.type&&"DROP_COMPLETE"!==o.type&&"DROP_ANIMATION_FINISHED"!==o.type||(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(o),"DROP_ANIMATE"===o.type){var i={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((function(){n=null,t=En(window,[i])}))}}}},Vo=function(e){return function(t){return function(n){if(t(n),"PUBLISH_WHILE_DRAGGING"===n.type){var r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(bo({reason:r.reason})))}}}},$o=Qt.compose,Go=function(e){var t,n=e.dimensionMarshal,r=e.focusMarshal,o=e.styleMarshal,i=e.getResponders,a=e.announce,l=e.autoScroller;return(0,Qt.createStore)(ro,$o((0,Qt.applyMiddleware)((t=o,function(){return function(e){return function(n){"INITIAL_PUBLISH"===n.type&&t.dragging(),"DROP_ANIMATE"===n.type&&t.dropping(n.payload.completed.result.reason),"FLUSH"!==n.type&&"DROP_COMPLETE"!==n.type||t.resting(),e(n)}}}),function(e){return function(){return function(t){return function(n){"DROP_COMPLETE"!==n.type&&"FLUSH"!==n.type&&"DROP_ANIMATE"!==n.type||e.stopPublishing(),t(n)}}}}(n),function(e){return function(t){var n=t.getState,r=t.dispatch;return function(t){return function(o){if("LIFT"===o.type){var i=o.payload,a=i.id,l=i.clientSelection,s=i.movementMode,u=n();"DROP_ANIMATING"===u.phase&&r(ho({completed:u.completed})),"IDLE"!==n().phase&&Sn(!1),r(vo()),r({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:a,movementMode:s}});var c={draggableId:a,scrollOptions:{shouldPublishImmediately:"SNAP"===s}},d=e.startPublishing(c),p=d.critical,f=d.dimensions,g=d.viewport;r({type:"INITIAL_PUBLISH",payload:{critical:p,dimensions:f,clientSelection:l,movementMode:s,viewport:g}})}else t(o)}}}}(n),Do,Fo,_o,Vo,function(e){return function(t){return function(n){return function(r){if(function(e){return"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type}(r))return e.stop(),void n(r);if("INITIAL_PUBLISH"===r.type){n(r);var o=t.getState();return"DRAGGING"!==o.phase&&Sn(!1),void e.start(o)}n(r),e.scroll(t.getState())}}}}(l),Po,function(e){var t=!1;return function(){return function(n){return function(r){if("INITIAL_PUBLISH"===r.type)return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if("FLUSH"===r.type)return t=!1,void e.tryRestoreFocusRecorded();if("DROP_COMPLETE"===r.type){t=!1;var o=r.payload.completed.result;o.combine&&e.tryShiftRecord(o.draggableId,o.combine.draggableId),e.tryRestoreFocusRecorded()}}}}}}(r),Lo(i,a))))},jo=function(e){var t=e.scrollHeight,n=e.scrollWidth,r=e.height,o=e.width,i=Ln({x:n,y:t},{x:o,y:r});return{x:Math.max(0,i.x),y:Math.max(0,i.y)}},zo=function(){var e=document.documentElement;return e||Sn(!1),e},Ho=function(){var e=zo();return jo({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function Uo(e,t,n){return n.descriptor.id!==t.id&&n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode}var Wo,qo,Xo=function(e,t){var n=null,r=function(e){var t=e.registry,n=e.callbacks,r={additions:{},removals:{},modified:{}},o=null,i=function(){o||(n.collectionStarting(),o=requestAnimationFrame((function(){o=null;var e=r,i=e.additions,a=e.removals,l=e.modified,s=Object.keys(i).map((function(e){return t.draggable.getById(e).getDimension(kn)})).sort((function(e,t){return e.descriptor.index-t.descriptor.index})),u=Object.keys(l).map((function(e){return{droppableId:e,scroll:t.droppable.getById(e).callbacks.getScrollWhileDragging()}})),c={additions:s,removals:Object.keys(a),modified:u};r={additions:{},removals:{},modified:{}},n.publish(c)})))};return{add:function(e){var t=e.descriptor.id;r.additions[t]=e,r.modified[e.descriptor.droppableId]=!0,r.removals[t]&&delete r.removals[t],i()},remove:function(e){var t=e.descriptor;r.removals[t.id]=!0,r.modified[t.droppableId]=!0,r.additions[t.id]&&delete r.additions[t.id],i()},stop:function(){o&&(cancelAnimationFrame(o),o=null,r={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),o=function(t){n||Sn(!1);var o=n.critical.draggable;"ADDITION"===t.type&&Uo(e,o,t.value)&&r.add(t.value),"REMOVAL"===t.type&&Uo(e,o,t.value)&&r.remove(t.value)};return{updateDroppableIsEnabled:function(r,o){e.droppable.exists(r)||Sn(!1),n&&t.updateDroppableIsEnabled({id:r,isEnabled:o})},updateDroppableIsCombineEnabled:function(r,o){n&&(e.droppable.exists(r)||Sn(!1),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:o}))},scrollDroppable:function(t,r){n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:function(r,o){n&&(e.droppable.exists(r)||Sn(!1),t.updateDroppableScroll({id:r,newScroll:o}))},startPublishing:function(t){n&&Sn(!1);var r=e.draggable.getById(t.draggableId),i=e.droppable.getById(r.descriptor.droppableId),a={draggable:r.descriptor,droppable:i.descriptor},l=e.subscribe(o);return n={critical:a,unsubscribe:l},function(e){var t,n,r,o,i,a,l,s=e.critical,u=e.scrollOptions,c=e.registry,d=(t=Mo(),n=Ho(),r=t.y,o=t.x,a=(i=zo()).clientWidth,l=i.clientHeight,{frame:nn({top:r,left:o,right:o+a,bottom:r+l}),scroll:{initial:t,current:t,max:n,diff:{value:kn,displacement:kn}}}),p=d.scroll.current,f=s.droppable,g=c.droppable.getAllByType(f.type).map((function(e){return e.callbacks.getDimensionAndWatchScroll(p,u)})),m=c.draggable.getAllByType(s.draggable.type).map((function(e){return e.getDimension(p)}));return{dimensions:{draggables:Jn(m),droppables:Zn(g)},critical:s,viewport:d}}({critical:a,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:function(){if(n){r.stop();var t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((function(e){return e.callbacks.dragStopped()})),n.unsubscribe(),n=null}}}},Yo=function(e,t){return"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason},Ko=function(e){window.scrollBy(e.x,e.y)},Qo=mn((function(e){return er(e).filter((function(e){return!!e.isEnabled&&!!e.frame}))})),Zo=function(e){return Math.pow(e,2)},Jo=function(e){var t=e.startOfRange,n=e.endOfRange,r=e.current,o=n-t;return 0===o?0:(r-t)/o},ei=360,ti=1200,ni=function(e){var t=e.distanceToEdge,n=e.thresholds,r=e.dragStartTime,o=e.shouldUseTimeDampening,i=function(e,t){if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return 28;if(e===t.startScrollingFrom)return 1;var n=Jo({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),r=28*Zo(1-n);return Math.ceil(r)}(t,n);return 0===i?0:o?Math.max(function(e,t){var n=t,r=ti,o=Date.now()-n;if(o>=ti)return e;if(o<ei)return 1;var i=Jo({startOfRange:ei,endOfRange:r,current:o}),a=e*Zo(i);return Math.ceil(a)}(i,r),1):i},ri=function(e){var t=e.container,n=e.distanceToEdges,r=e.dragStartTime,o=e.axis,i=e.shouldUseTimeDampening,a=function(e,t){return{startScrollingFrom:.25*e[t.size],maxScrollValueAt:.05*e[t.size]}}(t,o);return n[o.end]<n[o.start]?ni({distanceToEdge:n[o.end],thresholds:a,dragStartTime:r,shouldUseTimeDampening:i}):-1*ni({distanceToEdge:n[o.start],thresholds:a,dragStartTime:r,shouldUseTimeDampening:i})},oi=jn((function(e){return 0===e?0:e})),ii=function(e){var t=e.dragStartTime,n=e.container,r=e.subject,o=e.center,i=e.shouldUseTimeDampening,a={top:o.y-n.top,right:n.right-o.x,bottom:n.bottom-o.y,left:o.x-n.left},l=ri({container:n,distanceToEdges:a,dragStartTime:t,axis:fr,shouldUseTimeDampening:i}),s=ri({container:n,distanceToEdges:a,dragStartTime:t,axis:gr,shouldUseTimeDampening:i}),u=oi({x:s,y:l});if(Fn(u,kn))return null;var c=function(e){var t=e.container,n=e.subject,r=e.proposedScroll,o=n.height>t.height,i=n.width>t.width;return i||o?i&&o?null:{x:i?0:r.x,y:o?0:r.y}:r}({container:n,subject:r,proposedScroll:u});return c?Fn(c,kn)?null:c:null},ai=jn((function(e){return 0===e?0:e>0?1:-1})),li=(Wo=function(e,t){return e<0?e:e>t?e-t:0},function(e){var t=e.current,n=e.max,r=e.change,o=Tn(t,r),i={x:Wo(o.x,n.x),y:Wo(o.y,n.y)};return Fn(i,kn)?null:i}),si=function(e){var t=e.max,n=e.current,r=e.change,o={x:Math.max(n.x,t.x),y:Math.max(n.y,t.y)},i=ai(r),a=li({max:o,current:n,change:i});return!a||0!==i.x&&0===a.x||0!==i.y&&0===a.y},ui=function(e,t){return si({current:e.scroll.current,max:e.scroll.max,change:t})},ci=function(e,t){var n=e.frame;return!!n&&si({current:n.scroll.current,max:n.scroll.max,change:t})},di=function(e){var t=e.state,n=e.dragStartTime,r=e.shouldUseTimeDampening,o=e.scrollWindow,i=e.scrollDroppable,a=t.current.page.borderBoxCenter,l=t.dimensions.draggables[t.critical.draggable.id].page.marginBox;if(t.isWindowScrollAllowed){var s=function(e){var t=e.viewport,n=e.subject,r=e.center,o=e.shouldUseTimeDampening,i=ii({dragStartTime:e.dragStartTime,container:t.frame,subject:n,center:r,shouldUseTimeDampening:o});return i&&ui(t,i)?i:null}({dragStartTime:n,viewport:t.viewport,subject:l,center:a,shouldUseTimeDampening:r});if(s)return void o(s)}var u=function(e){var t=e.center,n=e.destination,r=e.droppables;if(n){var o=r[n];return o.frame?o:null}var i=function(e,t){var n=Kn(Qo(t),(function(t){return t.frame||Sn(!1),zr(t.frame.pageMarginBox)(e)}));return n}(t,r);return i}({center:a,destination:$r(t.impact),droppables:t.dimensions.droppables});if(u){var c=function(e){var t=e.droppable,n=e.subject,r=e.center,o=e.dragStartTime,i=e.shouldUseTimeDampening,a=t.frame;if(!a)return null;var l=ii({dragStartTime:o,container:a.pageMarginBox,subject:n,center:r,shouldUseTimeDampening:i});return l&&ci(t,l)?l:null}({dragStartTime:n,droppable:u,subject:l,center:a,shouldUseTimeDampening:r});c&&i(u.descriptor.id,c)}},pi=function(e){var t=e.move,n=e.scrollDroppable,r=e.scrollWindow;return function(e){var o=e.scrollJumpRequest;if(o){var i=$r(e.impact);i||Sn(!1);var a=function(e,t){if(!ci(e,t))return t;var r=function(e,t){var n=e.frame;return n&&ci(e,t)?li({current:n.scroll.current,max:n.scroll.max,change:t}):null}(e,t);if(!r)return n(e.descriptor.id,t),null;var o=Ln(t,r);return n(e.descriptor.id,o),Ln(t,o)}(e.dimensions.droppables[i],o);if(a){var l=e.viewport,s=function(e,t,n){if(!e)return n;if(!ui(t,n))return n;var o=function(e,t){if(!ui(e,t))return null;var n=e.scroll.max,r=e.scroll.current;return li({current:r,max:n,change:t})}(t,n);if(!o)return r(n),null;var i=Ln(n,o);return r(i),Ln(n,i)}(e.isWindowScrollAllowed,l,a);s&&function(e,n){var r=Tn(e.current.client.selection,n);t({client:r})}(e,s)}}}},fi=function(e){var t=e.scrollDroppable,n=e.scrollWindow,r=e.move,o=function(e){var t=e.scrollDroppable,n=vn(e.scrollWindow),r=vn(t),o=null,i=function(e){o||Sn(!1);var t=o,i=t.shouldUseTimeDampening,a=t.dragStartTime;di({state:e,scrollWindow:n,scrollDroppable:r,dragStartTime:a,shouldUseTimeDampening:i})};return{start:function(e){o&&Sn(!1);var t=Date.now(),n=!1,r=function(){n=!0};di({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:r,scrollDroppable:r}),o={dragStartTime:t,shouldUseTimeDampening:n},n&&i(e)},stop:function(){o&&(n.cancel(),r.cancel(),o=null)},scroll:i}}({scrollWindow:n,scrollDroppable:t}),i=pi({move:r,scrollWindow:n,scrollDroppable:t});return{scroll:function(e){"DRAGGING"===e.phase&&("FLUID"!==e.movementMode?e.scrollJumpRequest&&i(e):o.scroll(e))},start:o.start,stop:o.stop}},gi="data-rbd",mi={base:qo=gi+"-drag-handle",draggableId:qo+"-draggable-id",contextId:qo+"-context-id"},vi=function(){var e=gi+"-draggable";return{base:e,contextId:e+"-context-id",id:e+"-id"}}(),hi=function(){var e=gi+"-droppable";return{base:e,contextId:e+"-context-id",id:e+"-id"}}(),bi={contextId:gi+"-scroll-container-context-id"},yi=function(e,t){return e.map((function(e){var n=e.styles[t];return n?e.selector+" { "+n+" }":""})).join(" ")},Ai=function(e){var t,n,r,o=(t=e,function(e){return"["+e+'="'+t+'"]'}),i=(n="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ",{selector:o(mi.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:n,dragging:"pointer-events: none;",dropAnimating:n}}),a=[(r="\n      transition: "+xo.outOfTheWay+";\n    ",{selector:o(vi.contextId),styles:{dragging:r,dropAnimating:r,userCancel:r}}),i,{selector:o(hi.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:yi(a,"always"),resting:yi(a,"resting"),dragging:yi(a,"dragging"),dropAnimating:yi(a,"dropAnimating"),userCancel:yi(a,"userCancel")}},Ei="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?p.useLayoutEffect:p.useEffect,wi=function(){var e=document.querySelector("head");return e||Sn(!1),e},Ci=function(e){var t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t},xi=function(e){return e&&e.ownerDocument?e.ownerDocument.defaultView:window};function Si(e){return e instanceof xi(e).HTMLElement}function Ii(){var e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((function(t){return t(e)}))}function r(t){return e.draggables[t]||null}function o(t){return e.droppables[t]||null}return{draggable:{register:function(t){e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:function(t,n){var r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:function(t){var o=t.descriptor.id,i=r(o);i&&t.uniqueId===i.uniqueId&&(delete e.draggables[o],n({type:"REMOVAL",value:t}))},getById:function(e){var t=r(e);return t||Sn(!1),t},findById:r,exists:function(e){return Boolean(r(e))},getAllByType:function(t){return Xn(e.draggables).filter((function(e){return e.descriptor.type===t}))}},droppable:{register:function(t){e.droppables[t.descriptor.id]=t},unregister:function(t){var n=o(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){var t=o(e);return t||Sn(!1),t},findById:o,exists:function(e){return Boolean(o(e))},getAllByType:function(t){return Xn(e.droppables).filter((function(e){return e.descriptor.type===t}))}},subscribe:function(e){return t.push(e),function(){var n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var Ri=m().createContext(null),Oi=function(){var e=document.body;return e||Sn(!1),e},Bi={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"},Di=function(e){return"rbd-announcement-"+e},Mi=0,Pi={separator:"::"};function Ni(e,t){return void 0===t&&(t=Pi),en((function(){return""+e+t.separator+Mi++}),[t.separator,e])}var ki=m().createContext(null);function Ti(e){var t=(0,p.useRef)(e);return(0,p.useEffect)((function(){t.current=e})),t}var Li,Fi,_i=((Li={})[13]=!0,Li[9]=!0,Li),Vi=function(e){_i[e.keyCode]&&e.preventDefault()},$i=function(){var e="visibilitychange";return"undefined"==typeof document?e:Kn([e,"ms"+e,"webkit"+e,"moz"+e,"o"+e],(function(e){return"on"+e in document}))||e}(),Gi={type:"IDLE"};function ji(){}var zi=((Fi={})[34]=!0,Fi[33]=!0,Fi[36]=!0,Fi[35]=!0,Fi);var Hi={type:"IDLE"},Ui={input:!0,button:!0,textarea:!0,select:!0,option:!0,optgroup:!0,video:!0,audio:!0};function Wi(e,t){if(null==t)return!1;if(Boolean(Ui[t.tagName.toLowerCase()]))return!0;var n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&Wi(e,t.parentElement)}function qi(e,t){var n=t.target;return!!Si(n)&&Wi(e,n)}var Xi=function(e){return nn(e.getBoundingClientRect()).center},Yi=function(){var e="matches";return"undefined"==typeof document?e:Kn([e,"msMatchesSelector","webkitMatchesSelector"],(function(e){return e in Element.prototype}))||e}();function Ki(e,t){return null==e?null:e[Yi](t)?e:Ki(e.parentElement,t)}function Qi(e,t){return e.closest?e.closest(t):Ki(e,t)}function Zi(e){e.preventDefault()}function Ji(e){var t=e.expected,n=e.phase,r=e.isLockActive;return e.shouldWarn,!!r()&&t===n}function ea(e){var t=e.lockAPI,n=e.store,r=e.registry,o=e.draggableId;if(t.isClaimed())return!1;var i=r.draggable.findById(o);return!!i&&!!i.options.isEnabled&&!!Yo(n.getState(),o)}var ta=[function(e){var t=(0,p.useRef)(Gi),n=(0,p.useRef)(An),r=en((function(){return{eventName:"mousedown",fn:function(t){if(!t.defaultPrevented&&0===t.button&&!(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)){var r=e.findClosestDraggableId(t);if(r){var o=e.tryGetLock(r,a,{sourceEvent:t});if(o){t.preventDefault();var i={x:t.clientX,y:t.clientY};n.current(),u(o,i)}}}}}}),[e]),o=en((function(){return{eventName:"webkitmouseforcewillbegin",fn:function(t){if(!t.defaultPrevented){var n=e.findClosestDraggableId(t);if(n){var r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}}}}}),[e]),i=tn((function(){n.current=En(window,[o,r],{passive:!1,capture:!0})}),[o,r]),a=tn((function(){"IDLE"!==t.current.type&&(t.current=Gi,n.current(),i())}),[i]),l=tn((function(){var e=t.current;a(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[a]),s=tn((function(){var e=function(e){var t=e.cancel,n=e.completed,r=e.getPhase,o=e.setPhase;return[{eventName:"mousemove",fn:function(e){var t=e.button,n=e.clientX,i=e.clientY;if(0===t){var a={x:n,y:i},l=r();if("DRAGGING"===l.type)return e.preventDefault(),void l.actions.move(a);if("PENDING"!==l.type&&Sn(!1),s=l.point,u=a,Math.abs(u.x-s.x)>=5||Math.abs(u.y-s.y)>=5){var s,u;e.preventDefault();var c=l.actions.fluidLift(a);o({type:"DRAGGING",actions:c})}}}},{eventName:"mouseup",fn:function(e){var o=r();"DRAGGING"===o.type?(e.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),n()):t()}},{eventName:"mousedown",fn:function(e){"DRAGGING"===r().type&&e.preventDefault(),t()}},{eventName:"keydown",fn:function(e){if("PENDING"!==r().type)return 27===e.keyCode?(e.preventDefault(),void t()):void Vi(e);t()}},{eventName:"resize",fn:t},{eventName:"scroll",options:{passive:!0,capture:!1},fn:function(){"PENDING"===r().type&&t()}},{eventName:"webkitmouseforcedown",fn:function(e){var n=r();"IDLE"===n.type&&Sn(!1),n.actions.shouldRespectForcePress()?t():e.preventDefault()}},{eventName:$i,fn:t}]}({cancel:l,completed:a,getPhase:function(){return t.current},setPhase:function(e){t.current=e}});n.current=En(window,e,{capture:!0,passive:!1})}),[l,a]),u=tn((function(e,n){"IDLE"!==t.current.type&&Sn(!1),t.current={type:"PENDING",point:n,actions:e},s()}),[s]);Ei((function(){return i(),function(){n.current()}}),[i])},function(e){var t=(0,p.useRef)(ji),n=en((function(){return{eventName:"keydown",fn:function(n){if(!n.defaultPrevented&&32===n.keyCode){var o=e.findClosestDraggableId(n);if(o){var i=e.tryGetLock(o,s,{sourceEvent:n});if(i){n.preventDefault();var a=!0,l=i.snapLift();t.current(),t.current=En(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:function(r){return 27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(zi[r.keyCode]?r.preventDefault():Vi(r))}},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:$i,fn:n}]}(l,s),{capture:!0,passive:!1})}}}function s(){a||Sn(!1),a=!1,t.current(),r()}}}}),[e]),r=tn((function(){t.current=En(window,[n],{passive:!1,capture:!0})}),[n]);Ei((function(){return r(),function(){t.current()}}),[r])},function(e){var t=(0,p.useRef)(Hi),n=(0,p.useRef)(An),r=tn((function(){return t.current}),[]),o=tn((function(e){t.current=e}),[]),i=en((function(){return{eventName:"touchstart",fn:function(t){if(!t.defaultPrevented){var r=e.findClosestDraggableId(t);if(r){var o=e.tryGetLock(r,l,{sourceEvent:t});if(o){var i=t.touches[0],a={x:i.clientX,y:i.clientY};n.current(),d(o,a)}}}}}}),[e]),a=tn((function(){n.current=En(window,[i],{capture:!0,passive:!1})}),[i]),l=tn((function(){var e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),o(Hi),n.current(),a())}),[a,o]),s=tn((function(){var e=t.current;l(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[l]),u=tn((function(){var e={capture:!0,passive:!1},t={cancel:s,completed:l,getPhase:r},o=En(window,function(e){var t=e.cancel,n=e.completed,r=e.getPhase;return[{eventName:"touchmove",options:{capture:!1},fn:function(e){var n=r();if("DRAGGING"===n.type){n.hasMoved=!0;var o=e.touches[0],i={x:o.clientX,y:o.clientY};e.preventDefault(),n.actions.move(i)}else t()}},{eventName:"touchend",fn:function(e){var o=r();"DRAGGING"===o.type?(e.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),n()):t()}},{eventName:"touchcancel",fn:function(e){"DRAGGING"===r().type?(e.preventDefault(),t()):t()}},{eventName:"touchforcechange",fn:function(e){var n=r();"IDLE"===n.type&&Sn(!1);var o=e.touches[0];if(o&&o.force>=.15){var i=n.actions.shouldRespectForcePress();if("PENDING"!==n.type)return i?n.hasMoved?void e.preventDefault():void t():void e.preventDefault();i&&t()}}},{eventName:$i,fn:t}]}(t),e),i=En(window,function(e){var t=e.cancel,n=e.getPhase;return[{eventName:"orientationchange",fn:t},{eventName:"resize",fn:t},{eventName:"contextmenu",fn:function(e){e.preventDefault()}},{eventName:"keydown",fn:function(e){"DRAGGING"===n().type?(27===e.keyCode&&e.preventDefault(),t()):t()}},{eventName:$i,fn:t}]}(t),e);n.current=function(){o(),i()}}),[s,r,l]),c=tn((function(){var e=r();"PENDING"!==e.type&&Sn(!1);var t=e.actions.fluidLift(e.point);o({type:"DRAGGING",actions:t,hasMoved:!1})}),[r,o]),d=tn((function(e,t){"IDLE"!==r().type&&Sn(!1);var n=setTimeout(c,120);o({type:"PENDING",point:t,actions:e,longPressTimerId:n}),u()}),[u,r,o,c]);Ei((function(){return a(),function(){n.current();var e=r();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),o(Hi))}}),[r,a,o]),Ei((function(){return En(window,[{eventName:"touchmove",fn:function(){},options:{capture:!1,passive:!1}}])}),[])}];function na(e){var t=e.contextId,n=e.store,r=e.registry,o=e.customSensors,i=e.enableDefaultSensors,a=[].concat(i?ta:[],o||[]),l=(0,p.useState)((function(){return function(){var e=null;function t(){e||Sn(!1),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&Sn(!1);var n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()}))[0],s=tn((function(e,t){e.isDragging&&!t.isDragging&&l.tryAbandon()}),[l]);Ei((function(){var e=n.getState();return n.subscribe((function(){var t=n.getState();s(e,t),e=t}))}),[l,n,s]),Ei((function(){return l.tryAbandon}),[l.tryAbandon]);for(var u=tn((function(e){return ea({lockAPI:l,registry:r,store:n,draggableId:e})}),[l,r,n]),c=tn((function(e,o,i){return function(e){var t=e.lockAPI,n=e.contextId,r=e.store,o=e.registry,i=e.draggableId,a=e.forceSensorStop,l=e.sourceEvent;if(!ea({lockAPI:t,store:r,registry:o,draggableId:i}))return null;var s=o.draggable.getById(i),u=function(e,t){var n="["+vi.contextId+'="'+e+'"]',r=Kn(Qn(document.querySelectorAll(n)),(function(e){return e.getAttribute(vi.id)===t}));return r&&Si(r)?r:null}(n,s.descriptor.id);if(!u)return null;if(l&&!s.options.canDragInteractiveElements&&qi(u,l))return null;var c=t.claim(a||An),d="PRE_DRAG";function p(){return s.options.shouldRespectForcePress}function f(){return t.isActive(c)}var g=function(e,t){Ji({expected:e,phase:d,isLockActive:f,shouldWarn:!0})&&r.dispatch(t())}.bind(null,"DRAGGING");function m(e){function n(){t.release(),d="COMPLETED"}function o(t,o){if(void 0===o&&(o={shouldBlockNextClick:!1}),e.cleanup(),o.shouldBlockNextClick){var i=En(window,[{eventName:"click",fn:Zi,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(i)}n(),r.dispatch(bo({reason:t}))}return"PRE_DRAG"!==d&&(n(),"PRE_DRAG"!==d&&Sn(!1)),r.dispatch(oo(e.liftActionArgs)),d="DRAGGING",(0,Kt.A)({isActive:function(){return Ji({expected:"DRAGGING",phase:d,isLockActive:f,shouldWarn:!1})},shouldRespectForcePress:p,drop:function(e){return o("DROP",e)},cancel:function(e){return o("CANCEL",e)}},e.actions)}return{isActive:function(){return Ji({expected:"PRE_DRAG",phase:d,isLockActive:f,shouldWarn:!1})},shouldRespectForcePress:p,fluidLift:function(e){var t=vn((function(e){g((function(){return co({client:e})}))})),n=m({liftActionArgs:{id:i,clientSelection:e,movementMode:"FLUID"},cleanup:function(){return t.cancel()},actions:{move:t}});return(0,Kt.A)({},n,{move:t})},snapLift:function(){var e={moveUp:function(){return g(po)},moveRight:function(){return g(go)},moveDown:function(){return g(fo)},moveLeft:function(){return g(mo)}};return m({liftActionArgs:{id:i,clientSelection:Xi(u),movementMode:"SNAP"},cleanup:An,actions:e})},abort:function(){Ji({expected:"PRE_DRAG",phase:d,isLockActive:f,shouldWarn:!0})&&t.release()}}}({lockAPI:l,registry:r,contextId:t,store:n,draggableId:e,forceSensorStop:o,sourceEvent:i&&i.sourceEvent?i.sourceEvent:null})}),[t,l,r,n]),d=tn((function(e){return function(e,t){var n=function(e,t){var n,r=t.target;if(!((n=r)instanceof xi(n).Element))return null;var o=function(e){return"["+mi.contextId+'="'+e+'"]'}(e),i=Qi(r,o);return i&&Si(i)?i:null}(e,t);return n?n.getAttribute(mi.draggableId):null}(t,e)}),[t]),f=tn((function(e){var t=r.draggable.findById(e);return t?t.options:null}),[r.draggable]),g=tn((function(){l.isClaimed()&&(l.tryAbandon(),"IDLE"!==n.getState().phase&&n.dispatch(vo()))}),[l,n]),m=tn(l.isClaimed,[l]),v=en((function(){return{canGetLock:u,tryGetLock:c,findClosestDraggableId:d,findOptionsForDraggable:f,tryReleaseLock:g,isLockClaimed:m}}),[u,c,d,f,g,m]),h=0;h<a.length;h++)a[h](v)}var ra=function(e){return{onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}};function oa(e){return e.current||Sn(!1),e.current}function ia(e){var t=e.contextId,n=e.setCallbacks,r=e.sensors,o=e.nonce,i=e.dragHandleUsageInstructions,a=(0,p.useRef)(null),l=Ti(e),s=tn((function(){return ra(l.current)}),[l]),u=function(e){var t=en((function(){return Di(e)}),[e]),n=(0,p.useRef)(null);return(0,p.useEffect)((function(){var e=document.createElement("div");return n.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,Kt.A)(e.style,Bi),Oi().appendChild(e),function(){setTimeout((function(){var t=Oi();t.contains(e)&&t.removeChild(e),e===n.current&&(n.current=null)}))}}),[t]),tn((function(e){var t=n.current;t&&(t.textContent=e)}),[])}(t),c=function(e){var t=e.contextId,n=e.text,r=Ni("hidden-text",{separator:"-"}),o=en((function(){return"rbd-hidden-text-"+(e={contextId:t,uniqueId:r}).contextId+"-"+e.uniqueId;var e}),[r,t]);return(0,p.useEffect)((function(){var e=document.createElement("div");return e.id=o,e.textContent=n,e.style.display="none",Oi().appendChild(e),function(){var t=Oi();t.contains(e)&&t.removeChild(e)}}),[o,n]),o}({contextId:t,text:i}),d=function(e,t){var n=en((function(){return Ai(e)}),[e]),r=(0,p.useRef)(null),o=(0,p.useRef)(null),i=tn(mn((function(e){var t=o.current;t||Sn(!1),t.textContent=e})),[]),a=tn((function(e){var t=r.current;t||Sn(!1),t.textContent=e}),[]);Ei((function(){(r.current||o.current)&&Sn(!1);var l=Ci(t),s=Ci(t);return r.current=l,o.current=s,l.setAttribute(gi+"-always",e),s.setAttribute(gi+"-dynamic",e),wi().appendChild(l),wi().appendChild(s),a(n.always),i(n.resting),function(){var e=function(e){var t=e.current;t||Sn(!1),wi().removeChild(t),e.current=null};e(r),e(o)}}),[t,a,i,n.always,n.resting,e]);var l=tn((function(){return i(n.dragging)}),[i,n.dragging]),s=tn((function(e){i("DROP"!==e?n.userCancel:n.dropAnimating)}),[i,n.dropAnimating,n.userCancel]),u=tn((function(){o.current&&i(n.resting)}),[i,n.resting]);return en((function(){return{dragging:l,dropping:s,resting:u}}),[l,s,u])}(t,o),f=tn((function(e){oa(a).dispatch(e)}),[]),g=en((function(){return(0,Qt.bindActionCreators)({publishWhileDragging:io,updateDroppableScroll:lo,updateDroppableIsEnabled:so,updateDroppableIsCombineEnabled:uo,collectionStarting:ao},f)}),[f]),v=function(){var e=en(Ii,[]);return(0,p.useEffect)((function(){return function(){requestAnimationFrame(e.clean)}}),[e]),e}(),h=en((function(){return Xo(v,g)}),[v,g]),b=en((function(){return fi((0,Kt.A)({scrollWindow:Ko,scrollDroppable:h.scrollDroppable},(0,Qt.bindActionCreators)({move:co},f)))}),[h.scrollDroppable,f]),y=function(e){var t=(0,p.useRef)({}),n=(0,p.useRef)(null),r=(0,p.useRef)(null),o=(0,p.useRef)(!1),i=tn((function(e,n){var r={id:e,focus:n};return t.current[e]=r,function(){var n=t.current;n[e]!==r&&delete n[e]}}),[]),a=tn((function(t){var n=function(e,t){var n="["+mi.contextId+'="'+e+'"]',r=Qn(document.querySelectorAll(n));if(!r.length)return null;var o=Kn(r,(function(e){return e.getAttribute(mi.draggableId)===t}));return o&&Si(o)?o:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),l=tn((function(e,t){n.current===e&&(n.current=t)}),[]),s=tn((function(){r.current||o.current&&(r.current=requestAnimationFrame((function(){r.current=null;var e=n.current;e&&a(e)})))}),[a]),u=tn((function(e){n.current=null;var t=document.activeElement;t&&t.getAttribute(mi.draggableId)===e&&(n.current=e)}),[]);return Ei((function(){return o.current=!0,function(){o.current=!1;var e=r.current;e&&cancelAnimationFrame(e)}}),[]),en((function(){return{register:i,tryRecordFocus:u,tryRestoreFocusRecorded:s,tryShiftRecord:l}}),[i,u,s,l])}(t),A=en((function(){return Go({announce:u,autoScroller:b,dimensionMarshal:h,focusMarshal:y,getResponders:s,styleMarshal:d})}),[u,b,h,y,s,d]);a.current=A;var E=tn((function(){var e=oa(a);"IDLE"!==e.getState().phase&&e.dispatch(vo())}),[]),w=tn((function(){var e=oa(a).getState();return e.isDragging||"DROP_ANIMATING"===e.phase}),[]);n(en((function(){return{isDragging:w,tryAbort:E}}),[w,E]));var C=tn((function(e){return Yo(oa(a).getState(),e)}),[]),x=tn((function(){return jr(oa(a).getState())}),[]),S=en((function(){return{marshal:h,focus:y,contextId:t,canLift:C,isMovementAllowed:x,dragHandleUsageInstructionsId:c,registry:v}}),[t,h,c,y,C,x,v]);return na({contextId:t,store:A,registry:v,customSensors:r,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,p.useEffect)((function(){return E}),[E]),m().createElement(ki.Provider,{value:S},m().createElement(Zt.Provider,{context:Ri,store:A},e.children))}var aa=0;function la(e){var t=en((function(){return""+aa++}),[]),n=e.dragHandleUsageInstructions||"\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n";return m().createElement(In,null,(function(r){return m().createElement(ia,{nonce:e.nonce,contextId:t,setCallbacks:r,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd},e.children)}))}var sa=function(e){return function(t){return e===t}},ua=sa("scroll"),ca=sa("auto"),da=(sa("visible"),function(e,t){return t(e.overflowX)||t(e.overflowY)}),pa=function e(t){return null==t||t===document.body||t===document.documentElement?null:function(e){var t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return da(n,ua)||da(n,ca)}(t)?t:e(t.parentElement)},fa=function(e){return{x:e.scrollLeft,y:e.scrollTop}},ga=function e(t){return!!t&&("fixed"===window.getComputedStyle(t).position||e(t.parentElement))},ma={passive:!1},va={passive:!0},ha=function(e){return e.shouldPublishImmediately?ma:va};function ba(e){var t=(0,p.useContext)(e);return t||Sn(!1),t}var ya=function(e){return e&&e.env.closestScrollable||null};function Aa(){}var Ea={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}},wa=m().memo((function(e){var t=(0,p.useRef)(null),n=tn((function(){t.current&&(clearTimeout(t.current),t.current=null)}),[]),r=e.animate,o=e.onTransitionEnd,i=e.onClose,a=e.contextId,l=(0,p.useState)("open"===e.animate),s=l[0],u=l[1];(0,p.useEffect)((function(){return s?"open"!==r?(n(),u(!1),Aa):t.current?Aa:(t.current=setTimeout((function(){t.current=null,u(!1)})),n):Aa}),[r,s,n]);var c=tn((function(e){"height"===e.propertyName&&(o(),"close"===r&&i())}),[r,i,o]),d=function(e){var t=e.isAnimatingOpenOnMount,n=e.placeholder,r=e.animate,o=function(e){var t=e.placeholder;return e.isAnimatingOpenOnMount||"close"===e.animate?Ea:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin}}({isAnimatingOpenOnMount:t,placeholder:n,animate:r});return{display:n.display,boxSizing:"border-box",width:o.width,height:o.height,marginTop:o.margin.top,marginRight:o.margin.right,marginBottom:o.margin.bottom,marginLeft:o.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==r?xo.placeholder:null}}({isAnimatingOpenOnMount:s,animate:e.animate,placeholder:e.placeholder});return m().createElement(e.placeholder.tagName,{style:d,"data-rbd-placeholder-context-id":a,onTransitionEnd:c,ref:e.innerRef})})),Ca=m().createContext(null),xa=function(e){function t(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return(t=e.call.apply(e,[this].concat(r))||this).state={isVisible:Boolean(t.props.on),data:t.props.on,animate:t.props.shouldAnimate&&t.props.on?"open":"none"},t.onClose=function(){"close"===t.state.animate&&t.setState({isVisible:!1})},t}return Yt(t,e),t.getDerivedStateFromProps=function(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}},t.prototype.render=function(){if(!this.state.isVisible)return null;var e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)},t}(m().PureComponent),Sa=5e3,Ia=4500,Ra=function(e,t){return t?xo.drop(t.duration):e?xo.snap:xo.fluid},Oa=function(e,t){return e?t?Ao:Eo:null};function Ba(e){e.preventDefault()}var Da=function(e,t){return e===t},Ma=function(e){var t=e.combine,n=e.destination;return n?n.droppableId:t?t.droppableId:null};function Pa(e){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}var Na={mapped:{type:"SECONDARY",offset:kn,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:Pa(null)}},ka={dropAnimationFinished:function(){return{type:"DROP_ANIMATION_FINISHED",payload:null}}},Ta=(0,Zt.connect)((function(){var e,t,n,r=(e=mn((function(e,t){return{x:e,y:t}})),t=mn((function(e,t,n,r,o){return{isDragging:!0,isClone:t,isDropAnimating:Boolean(o),dropAnimation:o,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}})),n=mn((function(e,n,r,o,i,a,l){return{mapped:{type:"DRAGGING",dropping:null,draggingOver:i,combineWith:a,mode:n,offset:e,dimension:r,forceShouldAnimate:l,snapshot:t(n,o,i,a,null)}}})),function(r,o){if(r.isDragging){if(r.critical.draggable.id!==o.draggableId)return null;var i=r.current.client.offset,a=r.dimensions.draggables[o.draggableId],l=$r(r.impact),s=(c=r.impact).at&&"COMBINE"===c.at.type?c.at.combine.draggableId:null,u=r.forceShouldAnimate;return n(e(i.x,i.y),r.movementMode,a,o.isClone,l,s,u)}var c;if("DROP_ANIMATING"===r.phase){var d=r.completed;if(d.result.draggableId!==o.draggableId)return null;var p=o.isClone,f=r.dimensions.draggables[o.draggableId],g=d.result,m=g.mode,v=Ma(g),h=function(e){return e.combine?e.combine.draggableId:null}(g),b={duration:r.dropDuration,curve:yo,moveTo:r.newHomeClientOffset,opacity:h?Ao:null,scale:h?wo:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:f,dropping:b,draggingOver:v,combineWith:h,mode:m,forceShouldAnimate:null,snapshot:t(m,p,v,h,b)}}}return null}),o=function(){var e=mn((function(e,t){return{x:e,y:t}})),t=mn(Pa),n=mn((function(e,n,r){return void 0===n&&(n=null),{mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}})),r=function(e){return e?n(kn,e,!0):null},o=function(t,o,i,a){var l=i.displaced.visible[t],s=Boolean(a.inVirtualList&&a.effected[t]),u=or(i),c=u&&u.draggableId===t?o:null;if(!l){if(!s)return r(c);if(i.displaced.invisible[t])return null;var d=_n(a.displacedBy.point),p=e(d.x,d.y);return n(p,c,!0)}if(s)return r(c);var f=i.displacedBy.point,g=e(f.x,f.y);return n(g,c,l.shouldAnimate)};return function(e,t){if(e.isDragging)return e.critical.draggable.id===t.draggableId?null:o(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){var n=e.completed;return n.result.draggableId===t.draggableId?null:o(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return function(e,t){return r(e,t)||o(e,t)||Na}}),ka,null,{context:Ri,pure:!0,areStatePropsEqual:Da})((function(e){var t=(0,p.useRef)(null),n=tn((function(e){t.current=e}),[]),r=tn((function(){return t.current}),[]),o=ba(ki),i=o.contextId,a=o.dragHandleUsageInstructionsId,l=o.registry,s=ba(Ca),u=s.type,c=s.droppableId,d=en((function(){return{id:e.draggableId,index:e.index,type:u,droppableId:c}}),[e.draggableId,e.index,u,c]),f=e.children,g=e.draggableId,m=e.isEnabled,v=e.shouldRespectForcePress,h=e.canDragInteractiveElements,b=e.isClone,y=e.mapped,A=e.dropAnimationFinished;b||function(e){var t=Ni("draggable"),n=e.descriptor,r=e.registry,o=e.getDraggableRef,i=e.canDragInteractiveElements,a=e.shouldRespectForcePress,l=e.isEnabled,s=en((function(){return{canDragInteractiveElements:i,shouldRespectForcePress:a,isEnabled:l}}),[i,l,a]),u=tn((function(e){var t=o();return t||Sn(!1),function(e,t,n){void 0===n&&(n=kn);var r=window.getComputedStyle(t),o=t.getBoundingClientRect(),i=dn(o,r),a=cn(i,n);return{descriptor:e,placeholder:{client:i,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:i.marginBox.width,y:i.marginBox.height},client:i,page:a}}(n,t,e)}),[n,o]),c=en((function(){return{uniqueId:t,descriptor:n,options:s,getDimension:u}}),[n,u,s,t]),d=(0,p.useRef)(c),f=(0,p.useRef)(!0);Ei((function(){return r.draggable.register(d.current),function(){return r.draggable.unregister(d.current)}}),[r.draggable]),Ei((function(){if(f.current)f.current=!1;else{var e=d.current;d.current=c,r.draggable.update(c,e)}}),[c,r.draggable])}(en((function(){return{descriptor:d,registry:l,getDraggableRef:r,canDragInteractiveElements:h,shouldRespectForcePress:v,isEnabled:m}}),[d,l,r,h,v,m]));var E=en((function(){return m?{tabIndex:0,role:"button","aria-describedby":a,"data-rbd-drag-handle-draggable-id":g,"data-rbd-drag-handle-context-id":i,draggable:!1,onDragStart:Ba}:null}),[i,a,g,m]),w=tn((function(e){"DRAGGING"===y.type&&y.dropping&&"transform"===e.propertyName&&A()}),[A,y]),C=en((function(){var e=function(e){return"DRAGGING"===e.type?function(e){var t=e.dimension.client,n=e.offset,r=e.combineWith,o=e.dropping,i=Boolean(r),a=function(e){return null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode}(e),l=Boolean(o),s=l?Ro(n,i):Io(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:Ra(a,o),transform:s,opacity:Oa(i,l),zIndex:l?Ia:Sa,pointerEvents:"none"}}(e):{transform:Io((t=e).offset),transition:t.shouldAnimateDisplacement?null:"none"};var t}(y),t="DRAGGING"===y.type&&y.dropping?w:null;return{innerRef:n,draggableProps:{"data-rbd-draggable-context-id":i,"data-rbd-draggable-id":g,style:e,onTransitionEnd:t},dragHandleProps:E}}),[i,E,g,y,w,n]),x=en((function(){return{draggableId:d.id,type:d.type,source:{index:d.index,droppableId:d.droppableId}}}),[d.droppableId,d.id,d.index,d.type]);return f(C,y.snapshot,x)}));function La(e){return ba(Ca).isUsingCloneFor!==e.draggableId||e.isClone?m().createElement(Ta,e):null}function Fa(e){var t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),r=Boolean(e.shouldRespectForcePress);return m().createElement(La,(0,Kt.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:r}))}var _a=function(e,t){return e===t.droppable.type},Va=function(e,t){return t.draggables[e.draggable.id]},$a={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||Sn(!1),document.body}},Ga=(0,Zt.connect)((function(){var e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t=(0,Kt.A)({},e,{shouldAnimatePlaceholder:!1}),n=mn((function(e){return{draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}})),r=mn((function(r,o,i,a,l,s){var u=l.descriptor.id;if(l.descriptor.droppableId===r){var c=s?{render:s,dragging:n(l.descriptor)}:null,d={isDraggingOver:i,draggingOverWith:i?u:null,draggingFromThisWith:u,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!1,snapshot:d,useClone:c}}if(!o)return t;if(!a)return e;var p={isDraggingOver:i,draggingOverWith:u,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!0,snapshot:p,useClone:null}}));return function(n,o){var i=o.droppableId,a=o.type,l=!o.isDropDisabled,s=o.renderClone;if(n.isDragging){var u=n.critical;if(!_a(a,u))return t;var c=Va(u,n.dimensions),d=$r(n.impact)===i;return r(i,l,d,d,c,s)}if("DROP_ANIMATING"===n.phase){var p=n.completed;if(!_a(a,p.critical))return t;var f=Va(p.critical,n.dimensions);return r(i,l,Ma(p.result)===i,$r(p.impact)===i,f,s)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){var g=n.completed;if(!_a(a,g.critical))return t;var m=$r(g.impact)===i,v=Boolean(g.impact.at&&"COMBINE"===g.impact.at.type),h=g.critical.droppable.id===i;return m?v?e:t:h?e:t}return t}}),{updateViewportMaxScroll:function(e){return{type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e}}},null,{context:Ri,pure:!0,areStatePropsEqual:Da})((function(e){var t=(0,p.useContext)(ki);t||Sn(!1);var n=t.contextId,r=t.isMovementAllowed,o=(0,p.useRef)(null),i=(0,p.useRef)(null),a=e.children,l=e.droppableId,s=e.type,u=e.mode,c=e.direction,d=e.ignoreContainerClipping,f=e.isDropDisabled,g=e.isCombineEnabled,v=e.snapshot,h=e.useClone,b=e.updateViewportMaxScroll,y=e.getContainerForClone,A=tn((function(){return o.current}),[]),E=tn((function(e){o.current=e}),[]),w=(tn((function(){return i.current}),[]),tn((function(e){i.current=e}),[])),C=tn((function(){r()&&b({maxScroll:Ho()})}),[r,b]);!function(e){var t=(0,p.useRef)(null),n=ba(ki),r=Ni("droppable"),o=n.registry,i=n.marshal,a=Ti(e),l=en((function(){return{id:e.droppableId,type:e.type,mode:e.mode}}),[e.droppableId,e.mode,e.type]),s=(0,p.useRef)(l),u=en((function(){return mn((function(e,n){t.current||Sn(!1);var r={x:e,y:n};i.updateDroppableScroll(l.id,r)}))}),[l.id,i]),c=tn((function(){var e=t.current;return e&&e.env.closestScrollable?fa(e.env.closestScrollable):kn}),[]),d=tn((function(){var e=c();u(e.x,e.y)}),[c,u]),f=en((function(){return vn(d)}),[d]),g=tn((function(){var e=t.current,n=ya(e);e&&n||Sn(!1),e.scrollOptions.shouldPublishImmediately?d():f()}),[f,d]),m=tn((function(e,r){t.current&&Sn(!1);var o=a.current,i=o.getDroppableRef();i||Sn(!1);var s=function(e){return{closestScrollable:pa(e),isFixedOnPage:ga(e)}}(i),u={ref:i,descriptor:l,env:s,scrollOptions:r};t.current=u;var c=function(e){var t=e.ref,n=e.descriptor,r=e.env,o=e.windowScroll,i=e.direction,a=e.isDropDisabled,l=e.isCombineEnabled,s=e.shouldClipSubject,u=r.closestScrollable,c=function(e,t){var n=pn(e);if(!t)return n;if(e!==t)return n;var r=n.paddingBox.top-t.scrollTop,o=n.paddingBox.left-t.scrollLeft,i=r+t.scrollHeight,a=o+t.scrollWidth,l=rn({top:r,right:a,bottom:i,left:o},n.border);return ln({borderBox:l,margin:n.margin,border:n.border,padding:n.padding})}(t,u),d=cn(c,o),p=function(){if(!u)return null;var e=pn(u),t={scrollHeight:u.scrollHeight,scrollWidth:u.scrollWidth};return{client:e,page:cn(e,o),scroll:fa(u),scrollSize:t,shouldClipSubject:s}}(),f=function(e){var t=e.descriptor,n=e.isEnabled,r=e.isCombineEnabled,o=e.isFixedOnPage,i=e.direction,a=e.client,l=e.page,s=e.closest,u=function(){if(!s)return null;var e=s.scrollSize,t=s.client,n=jo({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:s.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:s.shouldClipSubject,scroll:{initial:s.scroll,current:s.scroll,max:n,diff:{value:kn,displacement:kn}}}}(),c="vertical"===i?fr:gr;return{descriptor:t,isCombineEnabled:r,isFixedOnPage:o,axis:c,isEnabled:n,client:a,page:l,frame:u,subject:Wn({page:l,withPlaceholder:null,axis:c,frame:u})}}({descriptor:n,isEnabled:!a,isCombineEnabled:l,isFixedOnPage:r.isFixedOnPage,direction:i,client:c,page:d,closest:p});return f}({ref:i,descriptor:l,env:s,windowScroll:e,direction:o.direction,isDropDisabled:o.isDropDisabled,isCombineEnabled:o.isCombineEnabled,shouldClipSubject:!o.ignoreContainerClipping}),d=s.closestScrollable;return d&&(d.setAttribute(bi.contextId,n.contextId),d.addEventListener("scroll",g,ha(u.scrollOptions))),c}),[n.contextId,l,g,a]),v=tn((function(){var e=t.current,n=ya(e);return e&&n||Sn(!1),fa(n)}),[]),h=tn((function(){var e=t.current;e||Sn(!1);var n=ya(e);t.current=null,n&&(f.cancel(),n.removeAttribute(bi.contextId),n.removeEventListener("scroll",g,ha(e.scrollOptions)))}),[g,f]),b=tn((function(e){var n=t.current;n||Sn(!1);var r=ya(n);r||Sn(!1),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),y=en((function(){return{getDimensionAndWatchScroll:m,getScrollWhileDragging:v,dragStopped:h,scroll:b}}),[h,m,v,b]),A=en((function(){return{uniqueId:r,descriptor:l,callbacks:y}}),[y,l,r]);Ei((function(){return s.current=A.descriptor,o.droppable.register(A),function(){t.current&&h(),o.droppable.unregister(A)}}),[y,l,h,A,i,o.droppable]),Ei((function(){t.current&&i.updateDroppableIsEnabled(s.current.id,!e.isDropDisabled)}),[e.isDropDisabled,i]),Ei((function(){t.current&&i.updateDroppableIsCombineEnabled(s.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,i])}({droppableId:l,type:s,mode:u,direction:c,isDropDisabled:f,isCombineEnabled:g,ignoreContainerClipping:d,getDroppableRef:A});var x=m().createElement(xa,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(function(e){var t=e.onClose,r=e.data,o=e.animate;return m().createElement(wa,{placeholder:r,onClose:t,innerRef:w,animate:o,contextId:n,onTransitionEnd:C})})),S=en((function(){return{innerRef:E,placeholder:x,droppableProps:{"data-rbd-droppable-id":l,"data-rbd-droppable-context-id":n}}}),[n,l,x,E]),I=h?h.dragging.draggableId:null,R=en((function(){return{droppableId:l,type:s,isUsingCloneFor:I}}),[l,I,s]);return m().createElement(Ca.Provider,{value:R},a(S,v),function(){if(!h)return null;var e=h.dragging,t=h.render,n=m().createElement(La,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},(function(n,r){return t(n,r,e)}));return bn().createPortal(n,y())}())}));function ja(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function za(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ja(e,t,n[t])}))}return e}function Ha(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}Ga.defaultProps=$a;const Ua=(e,t,n)=>za({marginLeft:4*n},t),Wa=({items:e,name:t,onChange:n,data:r})=>{const o=(v=(0,d.useTheme2)(),{header:Bt.css`
      padding: ${v.spacing(.5,.5)};
      border-radius: ${null===(h=v.shape.radius)||void 0===h?void 0:h.default};
      background: ${v.colors.background.secondary};
      min-height: ${v.spacing(4)};
      display: grid;
      grid-template-columns: minmax(100px, max-content) min-content;
      align-items: center;
      justify-content: space-between;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,column:Bt.css`
      display: flex;
      align-items: center;
    `,dragHandle:Bt.css`
      display: flex;
      margin: ${v.spacing(0,.5)};
    `,dragIcon:Bt.css`
      cursor: grab;
      color: ${v.colors.text.disabled};
      &:hover {
        color: ${v.colors.text};
      }
    `,collapseIcon:Bt.css`
      margin-left: ${v.spacing(.5)};
      color: ${v.colors.text.disabled};
    `,titleWrapper:Bt.css`
      display: flex;
      align-items: center;
      flex-grow: 1;
      cursor: pointer;
      overflow: hidden;
      margin-right: ${v.spacing(.5)};
    `,title:Bt.css`
      font-weight: ${v.typography.fontWeightBold};
      color: ${v.colors.text.secondary};
      margin-left: ${v.spacing(.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,item:Bt.css`
      margin-bottom: ${v.spacing(1)};
    `}),[i,a]=(0,p.useState)(e),[l,s]=(0,p.useState)(null),u=(0,p.useCallback)((e=>{a(e),n({name:t,items:e})}),[t,n]),c=(0,p.useCallback)((e=>{e.destination&&u(Ke(i,e.source.index,e.destination.index))}),[i,u]),f=(0,p.useMemo)((()=>{const e=i[i.length-1];if(e){const t=r.findIndex(((t,n)=>void 0===t.refId?n===e.source:t.refId===e.source)),n=r[t];if(n)return n.fields.map((({name:e})=>{var r;return{label:e,source:null!==(r=n.refId)&&void 0!==r?r:t,value:e,fieldName:e}})).filter((e=>!i.some((t=>t.name===e.value))))||[]}return r.reduce(((e,t,n)=>e.concat(t.fields.map((e=>{const r=t.refId||n;return{value:`${r}:${e.name}`,fieldName:e.name,label:`${r}:${e.name}`,source:r}})))),[])}),[r,i]),g=(0,p.useCallback)((()=>{l&&(u([...i,{name:l.name,source:l.source}]),s(null))}),[i,l,u]);var v,h;return m().createElement("div",{"data-testid":Ee},m().createElement(la,{onDragEnd:c},m().createElement(Ga,{droppableId:t},(e=>m().createElement("div",Ha(za({},e.droppableProps),{ref:e.innerRef}),i.map(((e,t)=>m().createElement(Fa,{key:e.name,draggableId:e.name,index:t},((n,r)=>m().createElement("div",Ha(za({ref:n.innerRef},n.draggableProps,n.dragHandleProps),{style:Ua(r.isDragging,n.draggableProps.style,t),className:o.item,"data-testid":be(e.name)}),m().createElement("div",{className:o.header},m().createElement("div",{className:o.column},e.name&&m().createElement("div",{className:o.titleWrapper},m().createElement("div",{className:(0,Bt.cx)(o.title)},e.name))),m().createElement("div",{className:o.column},m().createElement(d.IconButton,{name:"trash-alt",onClick:()=>u(i.filter((t=>t.name!==e.name))),"aria-label":"Remove","data-testid":he}),m().createElement("div",za({className:o.dragHandle},n.dragHandleProps),m().createElement(d.Icon,{title:"Drag and drop to reorder",name:"draggabledots",size:"lg",className:o.dragIcon}))))))))),e.placeholder)))),m().createElement(d.InlineFieldRow,{"data-testid":ye},m().createElement(d.InlineField,{label:"New Level",grow:!0},m().createElement(d.Select,{options:f,value:(null==l?void 0:l.value)||null,"aria-label":Ae,onChange:e=>{s({value:e.value,source:e.source,name:e.fieldName})}})),m().createElement(d.Button,{icon:"plus",title:"Add Level",disabled:!l,onClick:g,"data-testid":ve},"Add")))};function qa(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Xa(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){qa(e,t,n[t])}))}return e}function Ya(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Ka=({context:{options:e,data:t},onChange:n})=>{const r=(I=(0,d.useTheme2)(),{newGroup:Bt.css`
      margin: ${I.spacing(2)} 0;
    `,group:Bt.css`
      margin-bottom: ${I.spacing(1)};
    `,groupHeader:Bt.css`
      min-height: ${I.spacing(4)};
      padding: ${I.spacing(.5)};
    `,groupHeaderForm:Bt.css`
      display: flex;
      align-items: center;
      gap: ${I.spacing(.5)};
    `,groupHeaderText:Bt.css`
      overflow: hidden;
      text-overflow: ellipsis;
      line-height: ${I.spacing(4)};
    `,fieldName:Bt.css`
      margin: 0;
    `,dragHandle:Bt.css`
      display: flex;
      margin: ${I.spacing(0,.5)};
    `,dragIcon:Bt.css`
      cursor: grab;
      color: ${I.colors.text.disabled};
      &:hover {
        color: ${I.colors.text};
      }
    `,actionButton:Bt.css`
      color: ${I.colors.text.secondary};
    `}),[o,i]=(0,p.useState)((null==e?void 0:e.groups)||[]),[a,l]=(0,p.useState)(""),[s,u]=(0,p.useState)({}),[c,f]=(0,p.useState)(""),[g,v]=(0,p.useState)(""),h=(0,p.useCallback)((e=>{i(e),n(e)}),[n]),b=(0,p.useCallback)((e=>{e.destination&&h(Ke(o,e.source.index,e.destination.index))}),[o,h]),y=(0,p.useCallback)((e=>{u((t=>Ya(Xa({},t),{[e]:!t[e]})))}),[]),A=(0,p.useCallback)((()=>{l(""),h(o.concat([{name:a,items:[]}])),y(a)}),[o,a,h,y]),E=(0,p.useCallback)((e=>{h(o.map((t=>t.name===e.name?e:t)))}),[o,h]),w=(0,p.useMemo)((()=>o.some((e=>e.name===a))),[o,a]),C=(0,p.useCallback)((()=>{f(""),v(""),u((e=>Ya(Xa({},e),{[c]:!!e[c]&&c===g,[g]:e[c]})))}),[c,g]),x=(0,p.useMemo)((()=>!(!g.trim()||c!==g&&o.some((e=>e.name===g)))),[c,g,o]),S=(0,p.useCallback)((()=>{h(o.map((e=>e.name===c?Ya(Xa({},e),{name:g}):e))),C()}),[o,h,C,c,g]);var I;return m().createElement(m().Fragment,null,m().createElement(la,{onDragEnd:b},m().createElement(Ga,{droppableId:"groups-editor"},(e=>m().createElement("div",Ya(Xa({},e.droppableProps),{ref:e.innerRef}),o.map((({name:e,items:n},i)=>m().createElement(Fa,{key:e,draggableId:e,index:i},((i,a)=>{return m().createElement("div",Ya(Xa({ref:i.innerRef},i.draggableProps),{style:(a.isDragging,l=i.draggableProps.style,Xa({},l)),className:r.group}),m().createElement(qt.SD,{key:e,title:c===e?m().createElement("div",{className:(0,Bt.cx)(r.groupHeader,r.groupHeaderForm),onClick:e=>e.stopPropagation()},m().createElement(d.InlineField,{className:r.fieldName,invalid:!x},m().createElement(d.Input,{autoFocus:!0,value:g,onChange:e=>v(e.currentTarget.value),onKeyDown:e=>{"Enter"===e.key&&x&&S(),"Escape"===e.key&&C()},"data-testid":pe})),m().createElement(d.Button,{variant:"secondary",fill:"text",className:r.actionButton,icon:"times",size:"sm",onClick:C,"data-testid":ce}),m().createElement(d.Button,{variant:"secondary",fill:"text",className:r.actionButton,icon:"save",size:"sm",onClick:S,disabled:!x,tooltip:x?"":"Name is empty or group with the same name already exists.","data-testid":de})):m().createElement("div",{className:(0,Bt.cx)(r.groupHeader,r.groupHeaderText)},e),headerTestId:fe(e),actions:m().createElement(m().Fragment,null,c!==e&&m().createElement(d.Button,{icon:"edit",variant:"secondary",fill:"text",size:"sm",className:r.actionButton,onClick:()=>{v(e),f(e)},"data-testid":ue}),m().createElement(d.Button,{icon:"trash-alt",variant:"secondary",fill:"text",size:"sm",className:r.actionButton,onClick:()=>{h(o.filter((t=>t.name!==e)))},"data-testid":se}),m().createElement("div",Xa({className:r.dragHandle},i.dragHandleProps),m().createElement(d.Icon,{name:"draggabledots",className:r.dragIcon}))),isOpen:s[e],onToggle:()=>y(e)},m().createElement(Wa,{name:e,items:n,data:t,onChange:E})));var l})))),e.placeholder)))),m().createElement(d.InlineFieldRow,{className:r.newGroup,"data-testid":ge},m().createElement(d.InlineField,{label:"New Group",grow:!0,invalid:w,error:"Group with the same name already exists."},m().createElement(d.Input,{placeholder:"Unique name",value:a,onChange:e=>l(e.currentTarget.value.trim()),"data-testid":me})),m().createElement(d.Button,{icon:"plus",title:"Add Group",disabled:!a||w,onClick:A,"data-testid":le},"Add")))},Qa=e=>({buttons:Bt.css`
      margin-bottom: ${e.spacing(1)};
    `});function Za(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ja(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Za(e,t,n[t])}))}return e}function el(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const tl=({value:e,onChange:t})=>{const n=(0,d.useStyles2)(Qa);return m().createElement("div",null,m().createElement(d.InlineField,{label:"Mode",grow:!0},m().createElement(d.Select,{options:[{label:"Color",value:i.COLOR,icon:"circle-mono"},{label:"Image",value:i.IMAGE,icon:"gf-portrait"}],value:e.mode,onChange:n=>{var r;t(el(Ja({},e),{mode:null!==(r=null==n?void 0:n.value)&&void 0!==r?r:e.mode}))},"aria-label":Fe})),e.mode===i.IMAGE&&m().createElement("div",null,m().createElement(d.ButtonGroup,{className:n.buttons},m().createElement(d.Button,{icon:"plus",variant:"secondary",fullWidth:!0,onClick:()=>t(el(Ja({},e),{thresholds:[{value:e.thresholds[0]?e.thresholds[0].value+10:0,image:""},...e.thresholds]})),size:"sm","data-testid":_e},"Add threshold")),e.thresholds.map(((n,r)=>m().createElement(d.InlineFieldRow,{key:r,"data-testid":Ve(n.value)},m().createElement(d.InlineField,{label:"Value",shrink:!0},m().createElement(qt.Q7,{width:8,min:-1/0,value:n.value,onChange:n=>{const o=e.thresholds.map(((e,t)=>t===r?el(Ja({},e),{value:n}):e));o.sort(((e,t)=>e.value>t.value?-1:1)),t(el(Ja({},e),{thresholds:o}))},"data-testid":$e})),m().createElement(d.InlineField,{label:"URL",grow:!0},m().createElement(d.Input,{value:n.image,onChange:n=>{t(el(Ja({},e),{thresholds:e.thresholds.map(((e,t)=>t===r?el(Ja({},e),{image:n.currentTarget.value}):e))}))},suffix:m().createElement("img",{src:n.image,alt:"",style:{width:16}}),"data-testid":Ge})),m().createElement(d.Button,{icon:"trash-alt",variant:"secondary",onClick:()=>t(el(Ja({},e),{thresholds:e.thresholds.filter(((e,t)=>t!==r))})),tooltip:"Remove threshold","data-testid":je}))))))},nl=e=>({root:Bt.css`
      display: flex;
      gap: ${e.spacing(.5)};
      flex-wrap: wrap;
    `,label:Bt.css`
      color: ${e.colors.text.link};
      background: ${e.colors.background.primary};
      border: 1px solid ${e.colors.border.weak};
      margin: ${e.spacing(.25,0)};
    `,resetButton:Bt.css`
      margin-left: ${e.spacing(1)};
    `}),rl=({data:e,options:{variable:t,padding:n=0,status:r,name:o,emptyValue:i=!1,persistent:a=!1,showLabel:l=!1,showResetButton:s=!1}={},eventBus:u,panelEventBus:c,height:f})=>{const g=(0,d.useStyles2)(nl),v=(0,d.useTheme2)(),{variable:h}=bt(u,t||""),b=xt(null!=t?t:""),y=(0,p.useMemo)((()=>nt(h)?null==h?void 0:h.options.filter((e=>e.selected)).map((e=>e.value)):[]),[h]),A=Ot({data:e,name:o,status:r});if(!h)return m().createElement(d.Alert,{severity:"info",title:"Variable","data-testid":Re},"Variable is not selected.");if(!nt(h)||!h.options.length)return m().createElement(d.Alert,{severity:"info",title:"Variable","data-testid":Oe},"Options are not available.");const E=e=>{at({previousValues:y,variable:h,emptyValueEnabled:i,value:e,panelEventBus:c})};return m().createElement("div",{className:(0,Bt.cx)(g.root,Bt.css`
          padding: ${n}px;
          height: ${f}px;
          overflow-y: auto;
        `),"data-testid":Ie},s&&m().createElement(d.IconButton,{name:"times",tooltip:"Reset Variable",className:g.resetButton,onClick:()=>{const e=(Array.isArray(h.current.value)?h.current.value[0]:h.current.value)===qe;!h.includeAll||e?h.multi&&1===h.current.value.length&&h.options[0].selected||E(h.options[0].value):E([...y,h.options[0].value])},"aria-label":"Reset Variable","data-testid":De}),l&&m().createElement(d.InlineLabel,{"data-testid":Me,className:g.label,width:"auto",transparent:!0},h.label||h.name),h.options.map((e=>{const t=e.value===qe?We:e.value,n=A(t),r=e.selected?n.exist?n.color:v.colors.border.weak:v.colors.background.primary;return m().createElement(d.Button,{key:t,variant:"secondary",fill:"outline",className:Bt.css`
              background-color: ${r};
              margin: ${v.spacing(.25)};
              color: ${v.colors.getContrastText(r)};
              border-color: ${n.exist?n.color:""};
            `,onClick:()=>{let t=e.value;h.multi&&(t=e.selected?null==y?void 0:y.filter((t=>t!==e.value)):[...y,e.value]),a&&b.remove(),at({previousValues:y,variable:h,emptyValueEnabled:i,value:t,panelEventBus:c})},"data-testid":Be(t)},e.text.toString())})))},ol=({variable:e,emptyValue:t,persistent:n,customValue:r,panelEventBus:o,maxVisibleValues:i})=>{const a=xt(e.name),l=(0,p.useMemo)((()=>{const t=e.current.value;return Array.isArray(t)?t:[t]}),[e]),s=(0,p.useCallback)((r=>{n&&a.remove(),at({previousValues:l,value:Array.isArray(r)?r.map((e=>e.value)):r.value||"",variable:e,emptyValueEnabled:t,panelEventBus:o})}),[t,o,n,a,l,e]),u=(0,p.useMemo)((()=>{const t=e.options.map((e=>({label:e.text,value:e.value})));return l.forEach((e=>{t.some((t=>t.value===e))||t.push({label:e,value:e})})),t}),[l,e.options]);return m().createElement(d.Select,{"aria-label":xe,onChange:s,options:u,isMulti:e.multi,value:e.multi?l:l[0]||null,allowCustomValue:r,maxVisibleValues:i,hideSelectedOptions:!1,closeMenuOnSelect:!e.multi,showAllSelectedWhenOpen:!1})},il=e=>({field:Bt.css`
      label {
        color: ${e.colors.text.link};
        background: ${e.colors.background.primary};
        border: 1px solid ${e.colors.border.weak};
      }
    `}),al=({options:{variable:e,padding:t=0,emptyValue:n=!1,persistent:r=!1,customValue:o=!1,showLabel:i=!1,labelWidth:l,maxVisibleValues:s}={},eventBus:u,panelEventBus:c})=>{const{variable:p}=bt(u,e||""),f=(0,d.useStyles2)(il);return p?m().createElement("div",{className:Bt.css`
        padding: ${t}px;
      `,"data-testid":we},m().createElement(d.InlineField,{className:f.field,grow:!0,shrink:!0,label:i&&(p.label||p.name),labelWidth:l},m().createElement(m().Fragment,null,(p.type===a.QUERY||p.type===a.CUSTOM)&&m().createElement(ol,{variable:p,emptyValue:n,persistent:r,customValue:o,panelEventBus:c,maxVisibleValues:s}),p.type===a.TEXTBOX&&m().createElement(Mt,{variable:p,panelEventBus:c})))):m().createElement(d.Alert,{severity:"info",title:"Variable","data-testid":Ce},"Variable is not selected.")},ll=(e,t,n)=>({root:Bt.css`
      display: flex;
      gap: ${e.spacing(.5)};
      flex-wrap: wrap;
    `,field:Bt.css`
      flex: auto;
      align-items: center;

      label {
        color: ${e.colors.text.link};
        background: ${e.colors.background.primary};
        border: 1px solid ${e.colors.border.weak};
      }
    `,label:Bt.css`
      color: ${e.colors.text.link};
      background: ${e.colors.background.primary};
      border: 1px solid ${e.colors.border.weak};
      margin: ${e.spacing(.25,0)};
    `,slider:Bt.css`
      margin-left: ${e.spacing(1)};
      width: 90%;

      .rc-slider-dot:first-of-type {
        left: 0 !important;
      }

      .rc-slider-mark-text:first-of-type {
        left: 0 !important;
      }

      .rc-slider-dot {
        left: 100% !important;
      }

      .rc-slider-mark-text {
        left: 100% !important;
      }

      .rc-slider-handle::after {
        content: '${t}';
        position: absolute;
        top: ${e.spacing(2.25)};
        right: -${e.spacing(2.25)};
        font-size: 12px;
        background: ${e.colors.background.primary};
        color: ${e.colors.secondary.text};
        padding: ${e.spacing(.5)};
        left: 50%;
        transform: translateX(-50%);
        width: max-content;
        max-width: ${n-80}px;
      }
    `}),sl=({width:e,options:{variable:t,padding:n=0,showLabel:r=!1,labelWidth:o},eventBus:i,panelEventBus:a})=>{const{variable:l}=bt(i,t||""),s=(e=>{const t=(0,p.useMemo)((()=>e&&(null==e?void 0:e.includeAll)?1:0),[e]),n=(0,p.useMemo)((()=>e?e.options.length-1:0),[e]),r=(e,t)=>{var n;return e&&null!==(n=e.optionIndexByName.get(t))&&void 0!==n?n:0},o=(0,p.useMemo)((()=>e?Array.isArray(null==e?void 0:e.current.value)?null==e?void 0:e.current.value[0]:null==e?void 0:e.current.value:""),[e]),[i,a]=(0,p.useState)(r(e,o)),l=(0,p.useMemo)((()=>e?{[t]:e.options[t].text,[n]:e.options[n].text}:""),[n,t,e]);(0,p.useEffect)((()=>{a(r(e,o))}),[e,o]);const s=(0,p.useMemo)((()=>{var t,n;return null!==(n=null==e||null===(t=e.options[i])||void 0===t?void 0:t.text)&&void 0!==n?n:""}),[i,null==e?void 0:e.options]);return{min:t,max:n,value:i,marks:l,setValue:a,text:s,variableValue:o}})(nt(l)?l:void 0),u=(0,d.useStyles2)(ll,s.text,e);return l?nt(l)&&l.multi||!nt(l)?m().createElement(d.Alert,{severity:"info",title:"Variable","data-testid":Ne},"View is not supported for the selected variable."):m().createElement("div",{className:(0,Bt.cx)(u.root,Bt.css`
          padding: ${n}px;
        `),"data-testid":Le},m().createElement(d.InlineField,{label:r&&(l.label||l.name),className:u.field,grow:!0,labelWidth:o,"data-testid":ke},m().createElement("div",{className:u.slider},m().createElement(qt.Ap,{"data-testid":Te,included:!0,max:s.max,min:s.min,orientation:"horizontal",onChange:e=>{s.setValue(e)},onAfterChange:(e=s.value)=>{const t=l.options[e].value;at({previousValues:[s.variableValue],value:t,variable:l,emptyValueEnabled:!1,panelEventBus:a})},marks:s.marks,value:s.value,inputWidth:0})))):m().createElement(d.Alert,{severity:"info",title:"Variable","data-testid":Pe},"Variable is not selected.")};function ul(e,t){return"function"==typeof e?e(t):e}function cl(e,t){return n=>{t.setState((t=>({...t,[e]:ul(n,t[e])})))}}function dl(e){return e instanceof Function}function pl(e,t,n){let r,o=[];return i=>{let a;n.key&&n.debug&&(a=Date.now());const l=e(i);if(l.length===o.length&&!l.some(((e,t)=>o[t]!==e)))return r;let s;if(o=l,n.key&&n.debug&&(s=Date.now()),r=t(...l),null==n||null==n.onChange||n.onChange(r),n.key&&n.debug&&null!=n&&n.debug()){const e=Math.round(100*(Date.now()-a))/100,t=Math.round(100*(Date.now()-s))/100,r=t/16,o=(e,t)=>{for(e=String(e);e.length<t;)e=" "+e;return e};console.info(`%c⏱ ${o(t,5)} /${o(e,5)} ms`,`\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl(${Math.max(0,Math.min(120-120*r,120))}deg 100% 31%);`,null==n?void 0:n.key)}return r}}function fl(e,t,n,r){return{debug:()=>{var n;return null!=(n=null==e?void 0:e.debugAll)?n:e[t]},key:!1,onChange:r}}const gl="debugHeaders";function ml(e,t,n){var r;let o={id:null!=(r=n.id)?r:t.id,column:t,index:n.index,isPlaceholder:!!n.isPlaceholder,placeholderId:n.placeholderId,depth:n.depth,subHeaders:[],colSpan:0,rowSpan:0,headerGroup:null,getLeafHeaders:()=>{const e=[],t=n=>{n.subHeaders&&n.subHeaders.length&&n.subHeaders.map(t),e.push(n)};return t(o),e},getContext:()=>({table:e,header:o,column:t})};return e._features.forEach((t=>{null==t.createHeader||t.createHeader(o,e)})),o}const vl={createTable:e=>{e.getHeaderGroups=pl((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((t,n,r,o)=>{var i,a;const l=null!=(i=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?i:[],s=null!=(a=null==o?void 0:o.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?a:[];return hl(t,[...l,...n.filter((e=>!(null!=r&&r.includes(e.id)||null!=o&&o.includes(e.id)))),...s],e)}),fl(e.options,gl)),e.getCenterHeaderGroups=pl((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((t,n,r,o)=>hl(t,n=n.filter((e=>!(null!=r&&r.includes(e.id)||null!=o&&o.includes(e.id)))),e,"center")),fl(e.options,gl)),e.getLeftHeaderGroups=pl((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left]),((t,n,r)=>{var o;return hl(t,null!=(o=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?o:[],e,"left")}),fl(e.options,gl)),e.getRightHeaderGroups=pl((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.right]),((t,n,r)=>{var o;return hl(t,null!=(o=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?o:[],e,"right")}),fl(e.options,gl)),e.getFooterGroups=pl((()=>[e.getHeaderGroups()]),(e=>[...e].reverse()),fl(e.options,gl)),e.getLeftFooterGroups=pl((()=>[e.getLeftHeaderGroups()]),(e=>[...e].reverse()),fl(e.options,gl)),e.getCenterFooterGroups=pl((()=>[e.getCenterHeaderGroups()]),(e=>[...e].reverse()),fl(e.options,gl)),e.getRightFooterGroups=pl((()=>[e.getRightHeaderGroups()]),(e=>[...e].reverse()),fl(e.options,gl)),e.getFlatHeaders=pl((()=>[e.getHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),fl(e.options,gl)),e.getLeftFlatHeaders=pl((()=>[e.getLeftHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),fl(e.options,gl)),e.getCenterFlatHeaders=pl((()=>[e.getCenterHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),fl(e.options,gl)),e.getRightFlatHeaders=pl((()=>[e.getRightHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),fl(e.options,gl)),e.getCenterLeafHeaders=pl((()=>[e.getCenterFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),fl(e.options,gl)),e.getLeftLeafHeaders=pl((()=>[e.getLeftFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),fl(e.options,gl)),e.getRightLeafHeaders=pl((()=>[e.getRightFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),fl(e.options,gl)),e.getLeafHeaders=pl((()=>[e.getLeftHeaderGroups(),e.getCenterHeaderGroups(),e.getRightHeaderGroups()]),((e,t,n)=>{var r,o,i,a,l,s;return[...null!=(r=null==(o=e[0])?void 0:o.headers)?r:[],...null!=(i=null==(a=t[0])?void 0:a.headers)?i:[],...null!=(l=null==(s=n[0])?void 0:s.headers)?l:[]].map((e=>e.getLeafHeaders())).flat()}),fl(e.options,gl))}};function hl(e,t,n,r){var o,i;let a=0;const l=function(e,t){void 0===t&&(t=1),a=Math.max(a,t),e.filter((e=>e.getIsVisible())).forEach((e=>{var n;null!=(n=e.columns)&&n.length&&l(e.columns,t+1)}),0)};l(e);let s=[];const u=(e,t)=>{const o={depth:t,id:[r,`${t}`].filter(Boolean).join("_"),headers:[]},i=[];e.forEach((e=>{const a=[...i].reverse()[0];let l,s=!1;if(e.column.depth===o.depth&&e.column.parent?l=e.column.parent:(l=e.column,s=!0),a&&(null==a?void 0:a.column)===l)a.subHeaders.push(e);else{const o=ml(n,l,{id:[r,t,l.id,null==e?void 0:e.id].filter(Boolean).join("_"),isPlaceholder:s,placeholderId:s?`${i.filter((e=>e.column===l)).length}`:void 0,depth:t,index:i.length});o.subHeaders.push(e),i.push(o)}o.headers.push(e),e.headerGroup=o})),s.push(o),t>0&&u(i,t-1)},c=t.map(((e,t)=>ml(n,e,{depth:a,index:t})));u(c,a-1),s.reverse();const d=e=>e.filter((e=>e.column.getIsVisible())).map((e=>{let t=0,n=0,r=[0];return e.subHeaders&&e.subHeaders.length?(r=[],d(e.subHeaders).forEach((e=>{let{colSpan:n,rowSpan:o}=e;t+=n,r.push(o)}))):t=1,n+=Math.min(...r),e.colSpan=t,e.rowSpan=n,{colSpan:t,rowSpan:n}}));return d(null!=(o=null==(i=s[0])?void 0:i.headers)?o:[]),s}const bl=(e,t,n,r,o,i,a)=>{let l={id:t,index:r,original:n,depth:o,parentId:a,_valuesCache:{},_uniqueValuesCache:{},getValue:t=>{if(l._valuesCache.hasOwnProperty(t))return l._valuesCache[t];const n=e.getColumn(t);return null!=n&&n.accessorFn?(l._valuesCache[t]=n.accessorFn(l.original,r),l._valuesCache[t]):void 0},getUniqueValues:t=>{if(l._uniqueValuesCache.hasOwnProperty(t))return l._uniqueValuesCache[t];const n=e.getColumn(t);return null!=n&&n.accessorFn?n.columnDef.getUniqueValues?(l._uniqueValuesCache[t]=n.columnDef.getUniqueValues(l.original,r),l._uniqueValuesCache[t]):(l._uniqueValuesCache[t]=[l.getValue(t)],l._uniqueValuesCache[t]):void 0},renderValue:t=>{var n;return null!=(n=l.getValue(t))?n:e.options.renderFallbackValue},subRows:null!=i?i:[],getLeafRows:()=>function(e,t){const n=[],r=e=>{e.forEach((e=>{n.push(e);const o=t(e);null!=o&&o.length&&r(o)}))};return r(e),n}(l.subRows,(e=>e.subRows)),getParentRow:()=>l.parentId?e.getRow(l.parentId,!0):void 0,getParentRows:()=>{let e=[],t=l;for(;;){const n=t.getParentRow();if(!n)break;e.push(n),t=n}return e.reverse()},getAllCells:pl((()=>[e.getAllLeafColumns()]),(t=>t.map((t=>function(e,t,n,r){const o={id:`${t.id}_${n.id}`,row:t,column:n,getValue:()=>t.getValue(r),renderValue:()=>{var t;return null!=(t=o.getValue())?t:e.options.renderFallbackValue},getContext:pl((()=>[e,n,t,o]),((e,t,n,r)=>({table:e,column:t,row:n,cell:r,getValue:r.getValue,renderValue:r.renderValue})),fl(e.options,"debugCells"))};return e._features.forEach((r=>{null==r.createCell||r.createCell(o,n,t,e)}),{}),o}(e,l,t,t.id)))),fl(e.options,"debugRows")),_getAllCellsByColumnId:pl((()=>[l.getAllCells()]),(e=>e.reduce(((e,t)=>(e[t.column.id]=t,e)),{})),fl(e.options,"debugRows"))};for(let t=0;t<e._features.length;t++){const n=e._features[t];null==n||null==n.createRow||n.createRow(l,e)}return l},yl={createColumn:(e,t)=>{e._getFacetedRowModel=t.options.getFacetedRowModel&&t.options.getFacetedRowModel(t,e.id),e.getFacetedRowModel=()=>e._getFacetedRowModel?e._getFacetedRowModel():t.getPreFilteredRowModel(),e._getFacetedUniqueValues=t.options.getFacetedUniqueValues&&t.options.getFacetedUniqueValues(t,e.id),e.getFacetedUniqueValues=()=>e._getFacetedUniqueValues?e._getFacetedUniqueValues():new Map,e._getFacetedMinMaxValues=t.options.getFacetedMinMaxValues&&t.options.getFacetedMinMaxValues(t,e.id),e.getFacetedMinMaxValues=()=>{if(e._getFacetedMinMaxValues)return e._getFacetedMinMaxValues()}}},Al=(e,t,n)=>{var r;const o=n.toLowerCase();return Boolean(null==(r=e.getValue(t))||null==(r=r.toString())||null==(r=r.toLowerCase())?void 0:r.includes(o))};Al.autoRemove=e=>Dl(e);const El=(e,t,n)=>{var r;return Boolean(null==(r=e.getValue(t))||null==(r=r.toString())?void 0:r.includes(n))};El.autoRemove=e=>Dl(e);const wl=(e,t,n)=>{var r;return(null==(r=e.getValue(t))||null==(r=r.toString())?void 0:r.toLowerCase())===(null==n?void 0:n.toLowerCase())};wl.autoRemove=e=>Dl(e);const Cl=(e,t,n)=>{var r;return null==(r=e.getValue(t))?void 0:r.includes(n)};Cl.autoRemove=e=>Dl(e)||!(null!=e&&e.length);const xl=(e,t,n)=>!n.some((n=>{var r;return!(null!=(r=e.getValue(t))&&r.includes(n))}));xl.autoRemove=e=>Dl(e)||!(null!=e&&e.length);const Sl=(e,t,n)=>n.some((n=>{var r;return null==(r=e.getValue(t))?void 0:r.includes(n)}));Sl.autoRemove=e=>Dl(e)||!(null!=e&&e.length);const Il=(e,t,n)=>e.getValue(t)===n;Il.autoRemove=e=>Dl(e);const Rl=(e,t,n)=>e.getValue(t)==n;Rl.autoRemove=e=>Dl(e);const Ol=(e,t,n)=>{let[r,o]=n;const i=e.getValue(t);return i>=r&&i<=o};Ol.resolveFilterValue=e=>{let[t,n]=e,r="number"!=typeof t?parseFloat(t):t,o="number"!=typeof n?parseFloat(n):n,i=null===t||Number.isNaN(r)?-1/0:r,a=null===n||Number.isNaN(o)?1/0:o;if(i>a){const e=i;i=a,a=e}return[i,a]},Ol.autoRemove=e=>Dl(e)||Dl(e[0])&&Dl(e[1]);const Bl={includesString:Al,includesStringSensitive:El,equalsString:wl,arrIncludes:Cl,arrIncludesAll:xl,arrIncludesSome:Sl,equals:Il,weakEquals:Rl,inNumberRange:Ol};function Dl(e){return null==e||""===e}const Ml={getDefaultColumnDef:()=>({filterFn:"auto"}),getInitialState:e=>({columnFilters:[],...e}),getDefaultOptions:e=>({onColumnFiltersChange:cl("columnFilters",e),filterFromLeafRows:!1,maxLeafRowFilterDepth:100}),createColumn:(e,t)=>{e.getAutoFilterFn=()=>{const n=t.getCoreRowModel().flatRows[0],r=null==n?void 0:n.getValue(e.id);return"string"==typeof r?Bl.includesString:"number"==typeof r?Bl.inNumberRange:"boolean"==typeof r||null!==r&&"object"==typeof r?Bl.equals:Array.isArray(r)?Bl.arrIncludes:Bl.weakEquals},e.getFilterFn=()=>{var n,r;return dl(e.columnDef.filterFn)?e.columnDef.filterFn:"auto"===e.columnDef.filterFn?e.getAutoFilterFn():null!=(n=null==(r=t.options.filterFns)?void 0:r[e.columnDef.filterFn])?n:Bl[e.columnDef.filterFn]},e.getCanFilter=()=>{var n,r,o;return(null==(n=e.columnDef.enableColumnFilter)||n)&&(null==(r=t.options.enableColumnFilters)||r)&&(null==(o=t.options.enableFilters)||o)&&!!e.accessorFn},e.getIsFiltered=()=>e.getFilterIndex()>-1,e.getFilterValue=()=>{var n;return null==(n=t.getState().columnFilters)||null==(n=n.find((t=>t.id===e.id)))?void 0:n.value},e.getFilterIndex=()=>{var n,r;return null!=(n=null==(r=t.getState().columnFilters)?void 0:r.findIndex((t=>t.id===e.id)))?n:-1},e.setFilterValue=n=>{t.setColumnFilters((t=>{const r=e.getFilterFn(),o=null==t?void 0:t.find((t=>t.id===e.id)),i=ul(n,o?o.value:void 0);var a;if(Pl(r,i,e))return null!=(a=null==t?void 0:t.filter((t=>t.id!==e.id)))?a:[];const l={id:e.id,value:i};var s;return o?null!=(s=null==t?void 0:t.map((t=>t.id===e.id?l:t)))?s:[]:null!=t&&t.length?[...t,l]:[l]}))}},createRow:(e,t)=>{e.columnFilters={},e.columnFiltersMeta={}},createTable:e=>{e.setColumnFilters=t=>{const n=e.getAllLeafColumns();null==e.options.onColumnFiltersChange||e.options.onColumnFiltersChange((e=>{var r;return null==(r=ul(t,e))?void 0:r.filter((e=>{const t=n.find((t=>t.id===e.id));return!t||!Pl(t.getFilterFn(),e.value,t)}))}))},e.resetColumnFilters=t=>{var n,r;e.setColumnFilters(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.columnFilters)?n:[])},e.getPreFilteredRowModel=()=>e.getCoreRowModel(),e.getFilteredRowModel=()=>(!e._getFilteredRowModel&&e.options.getFilteredRowModel&&(e._getFilteredRowModel=e.options.getFilteredRowModel(e)),e.options.manualFiltering||!e._getFilteredRowModel?e.getPreFilteredRowModel():e._getFilteredRowModel())}};function Pl(e,t,n){return!(!e||!e.autoRemove)&&e.autoRemove(t,n)||void 0===t||"string"==typeof t&&!t}const Nl={sum:(e,t,n)=>n.reduce(((t,n)=>{const r=n.getValue(e);return t+("number"==typeof r?r:0)}),0),min:(e,t,n)=>{let r;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(r>n||void 0===r&&n>=n)&&(r=n)})),r},max:(e,t,n)=>{let r;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(r<n||void 0===r&&n>=n)&&(r=n)})),r},extent:(e,t,n)=>{let r,o;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(void 0===r?n>=n&&(r=o=n):(r>n&&(r=n),o<n&&(o=n)))})),[r,o]},mean:(e,t)=>{let n=0,r=0;if(t.forEach((t=>{let o=t.getValue(e);null!=o&&(o=+o)>=o&&(++n,r+=o)})),n)return r/n},median:(e,t)=>{if(!t.length)return;const n=t.map((t=>t.getValue(e)));if(r=n,!Array.isArray(r)||!r.every((e=>"number"==typeof e)))return;var r;if(1===n.length)return n[0];const o=Math.floor(n.length/2),i=n.sort(((e,t)=>e-t));return n.length%2!=0?i[o]:(i[o-1]+i[o])/2},unique:(e,t)=>Array.from(new Set(t.map((t=>t.getValue(e)))).values()),uniqueCount:(e,t)=>new Set(t.map((t=>t.getValue(e)))).size,count:(e,t)=>t.length},kl={getDefaultColumnDef:()=>({aggregatedCell:e=>{var t,n;return null!=(t=null==(n=e.getValue())||null==n.toString?void 0:n.toString())?t:null},aggregationFn:"auto"}),getInitialState:e=>({grouping:[],...e}),getDefaultOptions:e=>({onGroupingChange:cl("grouping",e),groupedColumnMode:"reorder"}),createColumn:(e,t)=>{e.toggleGrouping=()=>{t.setGrouping((t=>null!=t&&t.includes(e.id)?t.filter((t=>t!==e.id)):[...null!=t?t:[],e.id]))},e.getCanGroup=()=>{var n,r;return(null==(n=e.columnDef.enableGrouping)||n)&&(null==(r=t.options.enableGrouping)||r)&&(!!e.accessorFn||!!e.columnDef.getGroupingValue)},e.getIsGrouped=()=>{var n;return null==(n=t.getState().grouping)?void 0:n.includes(e.id)},e.getGroupedIndex=()=>{var n;return null==(n=t.getState().grouping)?void 0:n.indexOf(e.id)},e.getToggleGroupingHandler=()=>{const t=e.getCanGroup();return()=>{t&&e.toggleGrouping()}},e.getAutoAggregationFn=()=>{const n=t.getCoreRowModel().flatRows[0],r=null==n?void 0:n.getValue(e.id);return"number"==typeof r?Nl.sum:"[object Date]"===Object.prototype.toString.call(r)?Nl.extent:void 0},e.getAggregationFn=()=>{var n,r;if(!e)throw new Error;return dl(e.columnDef.aggregationFn)?e.columnDef.aggregationFn:"auto"===e.columnDef.aggregationFn?e.getAutoAggregationFn():null!=(n=null==(r=t.options.aggregationFns)?void 0:r[e.columnDef.aggregationFn])?n:Nl[e.columnDef.aggregationFn]}},createTable:e=>{e.setGrouping=t=>null==e.options.onGroupingChange?void 0:e.options.onGroupingChange(t),e.resetGrouping=t=>{var n,r;e.setGrouping(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.grouping)?n:[])},e.getPreGroupedRowModel=()=>e.getFilteredRowModel(),e.getGroupedRowModel=()=>(!e._getGroupedRowModel&&e.options.getGroupedRowModel&&(e._getGroupedRowModel=e.options.getGroupedRowModel(e)),e.options.manualGrouping||!e._getGroupedRowModel?e.getPreGroupedRowModel():e._getGroupedRowModel())},createRow:(e,t)=>{e.getIsGrouped=()=>!!e.groupingColumnId,e.getGroupingValue=n=>{if(e._groupingValuesCache.hasOwnProperty(n))return e._groupingValuesCache[n];const r=t.getColumn(n);return null!=r&&r.columnDef.getGroupingValue?(e._groupingValuesCache[n]=r.columnDef.getGroupingValue(e.original),e._groupingValuesCache[n]):e.getValue(n)},e._groupingValuesCache={}},createCell:(e,t,n,r)=>{e.getIsGrouped=()=>t.getIsGrouped()&&t.id===n.groupingColumnId,e.getIsPlaceholder=()=>!e.getIsGrouped()&&t.getIsGrouped(),e.getIsAggregated=()=>{var t;return!e.getIsGrouped()&&!e.getIsPlaceholder()&&!(null==(t=n.subRows)||!t.length)}}},Tl={getInitialState:e=>({columnOrder:[],...e}),getDefaultOptions:e=>({onColumnOrderChange:cl("columnOrder",e)}),createColumn:(e,t)=>{e.getIndex=pl((e=>[jl(t,e)]),(t=>t.findIndex((t=>t.id===e.id))),fl(t.options,"debugColumns")),e.getIsFirstColumn=n=>{var r;return(null==(r=jl(t,n)[0])?void 0:r.id)===e.id},e.getIsLastColumn=n=>{var r;const o=jl(t,n);return(null==(r=o[o.length-1])?void 0:r.id)===e.id}},createTable:e=>{e.setColumnOrder=t=>null==e.options.onColumnOrderChange?void 0:e.options.onColumnOrderChange(t),e.resetColumnOrder=t=>{var n;e.setColumnOrder(t?[]:null!=(n=e.initialState.columnOrder)?n:[])},e._getOrderColumnsFn=pl((()=>[e.getState().columnOrder,e.getState().grouping,e.options.groupedColumnMode]),((e,t,n)=>r=>{let o=[];if(null!=e&&e.length){const t=[...e],n=[...r];for(;n.length&&t.length;){const e=t.shift(),r=n.findIndex((t=>t.id===e));r>-1&&o.push(n.splice(r,1)[0])}o=[...o,...n]}else o=r;return function(e,t,n){if(null==t||!t.length||!n)return e;const r=e.filter((e=>!t.includes(e.id)));return"remove"===n?r:[...t.map((t=>e.find((e=>e.id===t)))).filter(Boolean),...r]}(o,t,n)}),fl(e.options,"debugTable"))}},Ll={getInitialState:e=>({columnPinning:{left:[],right:[]},...e}),getDefaultOptions:e=>({onColumnPinningChange:cl("columnPinning",e)}),createColumn:(e,t)=>{e.pin=n=>{const r=e.getLeafColumns().map((e=>e.id)).filter(Boolean);t.setColumnPinning((e=>{var t,o,i,a,l,s;return"right"===n?{left:(null!=(i=null==e?void 0:e.left)?i:[]).filter((e=>!(null!=r&&r.includes(e)))),right:[...(null!=(a=null==e?void 0:e.right)?a:[]).filter((e=>!(null!=r&&r.includes(e)))),...r]}:"left"===n?{left:[...(null!=(l=null==e?void 0:e.left)?l:[]).filter((e=>!(null!=r&&r.includes(e)))),...r],right:(null!=(s=null==e?void 0:e.right)?s:[]).filter((e=>!(null!=r&&r.includes(e))))}:{left:(null!=(t=null==e?void 0:e.left)?t:[]).filter((e=>!(null!=r&&r.includes(e)))),right:(null!=(o=null==e?void 0:e.right)?o:[]).filter((e=>!(null!=r&&r.includes(e))))}}))},e.getCanPin=()=>e.getLeafColumns().some((e=>{var n,r,o;return(null==(n=e.columnDef.enablePinning)||n)&&(null==(r=null!=(o=t.options.enableColumnPinning)?o:t.options.enablePinning)||r)})),e.getIsPinned=()=>{const n=e.getLeafColumns().map((e=>e.id)),{left:r,right:o}=t.getState().columnPinning,i=n.some((e=>null==r?void 0:r.includes(e))),a=n.some((e=>null==o?void 0:o.includes(e)));return i?"left":!!a&&"right"},e.getPinnedIndex=()=>{var n,r;const o=e.getIsPinned();return o?null!=(n=null==(r=t.getState().columnPinning)||null==(r=r[o])?void 0:r.indexOf(e.id))?n:-1:0}},createRow:(e,t)=>{e.getCenterVisibleCells=pl((()=>[e._getAllVisibleCells(),t.getState().columnPinning.left,t.getState().columnPinning.right]),((e,t,n)=>{const r=[...null!=t?t:[],...null!=n?n:[]];return e.filter((e=>!r.includes(e.column.id)))}),fl(t.options,"debugRows")),e.getLeftVisibleCells=pl((()=>[e._getAllVisibleCells(),t.getState().columnPinning.left]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.column.id===t)))).filter(Boolean).map((e=>({...e,position:"left"})))),fl(t.options,"debugRows")),e.getRightVisibleCells=pl((()=>[e._getAllVisibleCells(),t.getState().columnPinning.right]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.column.id===t)))).filter(Boolean).map((e=>({...e,position:"right"})))),fl(t.options,"debugRows"))},createTable:e=>{e.setColumnPinning=t=>null==e.options.onColumnPinningChange?void 0:e.options.onColumnPinningChange(t),e.resetColumnPinning=t=>{var n,r;return e.setColumnPinning(t?{left:[],right:[]}:null!=(n=null==(r=e.initialState)?void 0:r.columnPinning)?n:{left:[],right:[]})},e.getIsSomeColumnsPinned=t=>{var n;const r=e.getState().columnPinning;var o,i;return t?Boolean(null==(n=r[t])?void 0:n.length):Boolean((null==(o=r.left)?void 0:o.length)||(null==(i=r.right)?void 0:i.length))},e.getLeftLeafColumns=pl((()=>[e.getAllLeafColumns(),e.getState().columnPinning.left]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.id===t)))).filter(Boolean)),fl(e.options,"debugColumns")),e.getRightLeafColumns=pl((()=>[e.getAllLeafColumns(),e.getState().columnPinning.right]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.id===t)))).filter(Boolean)),fl(e.options,"debugColumns")),e.getCenterLeafColumns=pl((()=>[e.getAllLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((e,t,n)=>{const r=[...null!=t?t:[],...null!=n?n:[]];return e.filter((e=>!r.includes(e.id)))}),fl(e.options,"debugColumns"))}},Fl={size:150,minSize:20,maxSize:Number.MAX_SAFE_INTEGER},_l={getDefaultColumnDef:()=>Fl,getInitialState:e=>({columnSizing:{},columnSizingInfo:{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]},...e}),getDefaultOptions:e=>({columnResizeMode:"onEnd",columnResizeDirection:"ltr",onColumnSizingChange:cl("columnSizing",e),onColumnSizingInfoChange:cl("columnSizingInfo",e)}),createColumn:(e,t)=>{e.getSize=()=>{var n,r,o;const i=t.getState().columnSizing[e.id];return Math.min(Math.max(null!=(n=e.columnDef.minSize)?n:Fl.minSize,null!=(r=null!=i?i:e.columnDef.size)?r:Fl.size),null!=(o=e.columnDef.maxSize)?o:Fl.maxSize)},e.getStart=pl((e=>[e,jl(t,e),t.getState().columnSizing]),((t,n)=>n.slice(0,e.getIndex(t)).reduce(((e,t)=>e+t.getSize()),0)),fl(t.options,"debugColumns")),e.getAfter=pl((e=>[e,jl(t,e),t.getState().columnSizing]),((t,n)=>n.slice(e.getIndex(t)+1).reduce(((e,t)=>e+t.getSize()),0)),fl(t.options,"debugColumns")),e.resetSize=()=>{t.setColumnSizing((t=>{let{[e.id]:n,...r}=t;return r}))},e.getCanResize=()=>{var n,r;return(null==(n=e.columnDef.enableResizing)||n)&&(null==(r=t.options.enableColumnResizing)||r)},e.getIsResizing=()=>t.getState().columnSizingInfo.isResizingColumn===e.id},createHeader:(e,t)=>{e.getSize=()=>{let t=0;const n=e=>{var r;e.subHeaders.length?e.subHeaders.forEach(n):t+=null!=(r=e.column.getSize())?r:0};return n(e),t},e.getStart=()=>{if(e.index>0){const t=e.headerGroup.headers[e.index-1];return t.getStart()+t.getSize()}return 0},e.getResizeHandler=n=>{const r=t.getColumn(e.column.id),o=null==r?void 0:r.getCanResize();return i=>{if(!r||!o)return;if(null==i.persist||i.persist(),$l(i)&&i.touches&&i.touches.length>1)return;const a=e.getSize(),l=e?e.getLeafHeaders().map((e=>[e.column.id,e.column.getSize()])):[[r.id,r.getSize()]],s=$l(i)?Math.round(i.touches[0].clientX):i.clientX,u={},c=(e,n)=>{"number"==typeof n&&(t.setColumnSizingInfo((e=>{var r,o;const i="rtl"===t.options.columnResizeDirection?-1:1,a=(n-(null!=(r=null==e?void 0:e.startOffset)?r:0))*i,l=Math.max(a/(null!=(o=null==e?void 0:e.startSize)?o:0),-.999999);return e.columnSizingStart.forEach((e=>{let[t,n]=e;u[t]=Math.round(100*Math.max(n+n*l,0))/100})),{...e,deltaOffset:a,deltaPercentage:l}})),"onChange"!==t.options.columnResizeMode&&"end"!==e||t.setColumnSizing((e=>({...e,...u}))))},d=e=>c("move",e),p=e=>{c("end",e),t.setColumnSizingInfo((e=>({...e,isResizingColumn:!1,startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,columnSizingStart:[]})))},f=n||"undefined"!=typeof document?document:null,g={moveHandler:e=>d(e.clientX),upHandler:e=>{null==f||f.removeEventListener("mousemove",g.moveHandler),null==f||f.removeEventListener("mouseup",g.upHandler),p(e.clientX)}},m={moveHandler:e=>(e.cancelable&&(e.preventDefault(),e.stopPropagation()),d(e.touches[0].clientX),!1),upHandler:e=>{var t;null==f||f.removeEventListener("touchmove",m.moveHandler),null==f||f.removeEventListener("touchend",m.upHandler),e.cancelable&&(e.preventDefault(),e.stopPropagation()),p(null==(t=e.touches[0])?void 0:t.clientX)}},v=!!function(){if("boolean"==typeof Vl)return Vl;let e=!1;try{const t={get passive(){return e=!0,!1}},n=()=>{};window.addEventListener("test",n,t),window.removeEventListener("test",n)}catch(t){e=!1}return Vl=e,Vl}()&&{passive:!1};$l(i)?(null==f||f.addEventListener("touchmove",m.moveHandler,v),null==f||f.addEventListener("touchend",m.upHandler,v)):(null==f||f.addEventListener("mousemove",g.moveHandler,v),null==f||f.addEventListener("mouseup",g.upHandler,v)),t.setColumnSizingInfo((e=>({...e,startOffset:s,startSize:a,deltaOffset:0,deltaPercentage:0,columnSizingStart:l,isResizingColumn:r.id})))}}},createTable:e=>{e.setColumnSizing=t=>null==e.options.onColumnSizingChange?void 0:e.options.onColumnSizingChange(t),e.setColumnSizingInfo=t=>null==e.options.onColumnSizingInfoChange?void 0:e.options.onColumnSizingInfoChange(t),e.resetColumnSizing=t=>{var n;e.setColumnSizing(t?{}:null!=(n=e.initialState.columnSizing)?n:{})},e.resetHeaderSizeInfo=t=>{var n;e.setColumnSizingInfo(t?{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]}:null!=(n=e.initialState.columnSizingInfo)?n:{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]})},e.getTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getLeftTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getLeftHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getCenterTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getCenterHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getRightTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getRightHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0}}};let Vl=null;function $l(e){return"touchstart"===e.type}const Gl={getInitialState:e=>({columnVisibility:{},...e}),getDefaultOptions:e=>({onColumnVisibilityChange:cl("columnVisibility",e)}),createColumn:(e,t)=>{e.toggleVisibility=n=>{e.getCanHide()&&t.setColumnVisibility((t=>({...t,[e.id]:null!=n?n:!e.getIsVisible()})))},e.getIsVisible=()=>{var n,r;const o=e.columns;return null==(n=o.length?o.some((e=>e.getIsVisible())):null==(r=t.getState().columnVisibility)?void 0:r[e.id])||n},e.getCanHide=()=>{var n,r;return(null==(n=e.columnDef.enableHiding)||n)&&(null==(r=t.options.enableHiding)||r)},e.getToggleVisibilityHandler=()=>t=>{null==e.toggleVisibility||e.toggleVisibility(t.target.checked)}},createRow:(e,t)=>{e._getAllVisibleCells=pl((()=>[e.getAllCells(),t.getState().columnVisibility]),(e=>e.filter((e=>e.column.getIsVisible()))),fl(t.options,"debugRows")),e.getVisibleCells=pl((()=>[e.getLeftVisibleCells(),e.getCenterVisibleCells(),e.getRightVisibleCells()]),((e,t,n)=>[...e,...t,...n]),fl(t.options,"debugRows"))},createTable:e=>{const t=(t,n)=>pl((()=>[n(),n().filter((e=>e.getIsVisible())).map((e=>e.id)).join("_")]),(e=>e.filter((e=>null==e.getIsVisible?void 0:e.getIsVisible()))),fl(e.options,"debugColumns"));e.getVisibleFlatColumns=t(0,(()=>e.getAllFlatColumns())),e.getVisibleLeafColumns=t(0,(()=>e.getAllLeafColumns())),e.getLeftVisibleLeafColumns=t(0,(()=>e.getLeftLeafColumns())),e.getRightVisibleLeafColumns=t(0,(()=>e.getRightLeafColumns())),e.getCenterVisibleLeafColumns=t(0,(()=>e.getCenterLeafColumns())),e.setColumnVisibility=t=>null==e.options.onColumnVisibilityChange?void 0:e.options.onColumnVisibilityChange(t),e.resetColumnVisibility=t=>{var n;e.setColumnVisibility(t?{}:null!=(n=e.initialState.columnVisibility)?n:{})},e.toggleAllColumnsVisible=t=>{var n;t=null!=(n=t)?n:!e.getIsAllColumnsVisible(),e.setColumnVisibility(e.getAllLeafColumns().reduce(((e,n)=>({...e,[n.id]:t||!(null!=n.getCanHide&&n.getCanHide())})),{}))},e.getIsAllColumnsVisible=()=>!e.getAllLeafColumns().some((e=>!(null!=e.getIsVisible&&e.getIsVisible()))),e.getIsSomeColumnsVisible=()=>e.getAllLeafColumns().some((e=>null==e.getIsVisible?void 0:e.getIsVisible())),e.getToggleAllColumnsVisibilityHandler=()=>t=>{var n;e.toggleAllColumnsVisible(null==(n=t.target)?void 0:n.checked)}}};function jl(e,t){return t?"center"===t?e.getCenterVisibleLeafColumns():"left"===t?e.getLeftVisibleLeafColumns():e.getRightVisibleLeafColumns():e.getVisibleLeafColumns()}const zl={getInitialState:e=>({globalFilter:void 0,...e}),getDefaultOptions:e=>({onGlobalFilterChange:cl("globalFilter",e),globalFilterFn:"auto",getColumnCanGlobalFilter:t=>{var n;const r=null==(n=e.getCoreRowModel().flatRows[0])||null==(n=n._getAllCellsByColumnId()[t.id])?void 0:n.getValue();return"string"==typeof r||"number"==typeof r}}),createColumn:(e,t)=>{e.getCanGlobalFilter=()=>{var n,r,o,i;return(null==(n=e.columnDef.enableGlobalFilter)||n)&&(null==(r=t.options.enableGlobalFilter)||r)&&(null==(o=t.options.enableFilters)||o)&&(null==(i=null==t.options.getColumnCanGlobalFilter?void 0:t.options.getColumnCanGlobalFilter(e))||i)&&!!e.accessorFn}},createTable:e=>{e.getGlobalAutoFilterFn=()=>Bl.includesString,e.getGlobalFilterFn=()=>{var t,n;const{globalFilterFn:r}=e.options;return dl(r)?r:"auto"===r?e.getGlobalAutoFilterFn():null!=(t=null==(n=e.options.filterFns)?void 0:n[r])?t:Bl[r]},e.setGlobalFilter=t=>{null==e.options.onGlobalFilterChange||e.options.onGlobalFilterChange(t)},e.resetGlobalFilter=t=>{e.setGlobalFilter(t?void 0:e.initialState.globalFilter)}}},Hl={getInitialState:e=>({rowPinning:{top:[],bottom:[]},...e}),getDefaultOptions:e=>({onRowPinningChange:cl("rowPinning",e)}),createRow:(e,t)=>{e.pin=(n,r,o)=>{const i=r?e.getLeafRows().map((e=>{let{id:t}=e;return t})):[],a=o?e.getParentRows().map((e=>{let{id:t}=e;return t})):[],l=new Set([...a,e.id,...i]);t.setRowPinning((e=>{var t,r,o,i,a,s;return"bottom"===n?{top:(null!=(o=null==e?void 0:e.top)?o:[]).filter((e=>!(null!=l&&l.has(e)))),bottom:[...(null!=(i=null==e?void 0:e.bottom)?i:[]).filter((e=>!(null!=l&&l.has(e)))),...Array.from(l)]}:"top"===n?{top:[...(null!=(a=null==e?void 0:e.top)?a:[]).filter((e=>!(null!=l&&l.has(e)))),...Array.from(l)],bottom:(null!=(s=null==e?void 0:e.bottom)?s:[]).filter((e=>!(null!=l&&l.has(e))))}:{top:(null!=(t=null==e?void 0:e.top)?t:[]).filter((e=>!(null!=l&&l.has(e)))),bottom:(null!=(r=null==e?void 0:e.bottom)?r:[]).filter((e=>!(null!=l&&l.has(e))))}}))},e.getCanPin=()=>{var n;const{enableRowPinning:r,enablePinning:o}=t.options;return"function"==typeof r?r(e):null==(n=null!=r?r:o)||n},e.getIsPinned=()=>{const n=[e.id],{top:r,bottom:o}=t.getState().rowPinning,i=n.some((e=>null==r?void 0:r.includes(e))),a=n.some((e=>null==o?void 0:o.includes(e)));return i?"top":!!a&&"bottom"},e.getPinnedIndex=()=>{var n,r;const o=e.getIsPinned();if(!o)return-1;const i=null==(n="top"===o?t.getTopRows():t.getBottomRows())?void 0:n.map((e=>{let{id:t}=e;return t}));return null!=(r=null==i?void 0:i.indexOf(e.id))?r:-1}},createTable:e=>{e.setRowPinning=t=>null==e.options.onRowPinningChange?void 0:e.options.onRowPinningChange(t),e.resetRowPinning=t=>{var n,r;return e.setRowPinning(t?{top:[],bottom:[]}:null!=(n=null==(r=e.initialState)?void 0:r.rowPinning)?n:{top:[],bottom:[]})},e.getIsSomeRowsPinned=t=>{var n;const r=e.getState().rowPinning;var o,i;return t?Boolean(null==(n=r[t])?void 0:n.length):Boolean((null==(o=r.top)?void 0:o.length)||(null==(i=r.bottom)?void 0:i.length))},e._getPinnedRows=(t,n,r)=>{var o;return(null==(o=e.options.keepPinnedRows)||o?(null!=n?n:[]).map((t=>{const n=e.getRow(t,!0);return n.getIsAllParentsExpanded()?n:null})):(null!=n?n:[]).map((e=>t.find((t=>t.id===e))))).filter(Boolean).map((e=>({...e,position:r})))},e.getTopRows=pl((()=>[e.getRowModel().rows,e.getState().rowPinning.top]),((t,n)=>e._getPinnedRows(t,n,"top")),fl(e.options,"debugRows")),e.getBottomRows=pl((()=>[e.getRowModel().rows,e.getState().rowPinning.bottom]),((t,n)=>e._getPinnedRows(t,n,"bottom")),fl(e.options,"debugRows")),e.getCenterRows=pl((()=>[e.getRowModel().rows,e.getState().rowPinning.top,e.getState().rowPinning.bottom]),((e,t,n)=>{const r=new Set([...null!=t?t:[],...null!=n?n:[]]);return e.filter((e=>!r.has(e.id)))}),fl(e.options,"debugRows"))}},Ul={getInitialState:e=>({rowSelection:{},...e}),getDefaultOptions:e=>({onRowSelectionChange:cl("rowSelection",e),enableRowSelection:!0,enableMultiRowSelection:!0,enableSubRowSelection:!0}),createTable:e=>{e.setRowSelection=t=>null==e.options.onRowSelectionChange?void 0:e.options.onRowSelectionChange(t),e.resetRowSelection=t=>{var n;return e.setRowSelection(t?{}:null!=(n=e.initialState.rowSelection)?n:{})},e.toggleAllRowsSelected=t=>{e.setRowSelection((n=>{t=void 0!==t?t:!e.getIsAllRowsSelected();const r={...n},o=e.getPreGroupedRowModel().flatRows;return t?o.forEach((e=>{e.getCanSelect()&&(r[e.id]=!0)})):o.forEach((e=>{delete r[e.id]})),r}))},e.toggleAllPageRowsSelected=t=>e.setRowSelection((n=>{const r=void 0!==t?t:!e.getIsAllPageRowsSelected(),o={...n};return e.getRowModel().rows.forEach((t=>{Wl(o,t.id,r,!0,e)})),o})),e.getPreSelectedRowModel=()=>e.getCoreRowModel(),e.getSelectedRowModel=pl((()=>[e.getState().rowSelection,e.getCoreRowModel()]),((t,n)=>Object.keys(t).length?ql(e,n):{rows:[],flatRows:[],rowsById:{}}),fl(e.options,"debugTable")),e.getFilteredSelectedRowModel=pl((()=>[e.getState().rowSelection,e.getFilteredRowModel()]),((t,n)=>Object.keys(t).length?ql(e,n):{rows:[],flatRows:[],rowsById:{}}),fl(e.options,"debugTable")),e.getGroupedSelectedRowModel=pl((()=>[e.getState().rowSelection,e.getSortedRowModel()]),((t,n)=>Object.keys(t).length?ql(e,n):{rows:[],flatRows:[],rowsById:{}}),fl(e.options,"debugTable")),e.getIsAllRowsSelected=()=>{const t=e.getFilteredRowModel().flatRows,{rowSelection:n}=e.getState();let r=Boolean(t.length&&Object.keys(n).length);return r&&t.some((e=>e.getCanSelect()&&!n[e.id]))&&(r=!1),r},e.getIsAllPageRowsSelected=()=>{const t=e.getPaginationRowModel().flatRows.filter((e=>e.getCanSelect())),{rowSelection:n}=e.getState();let r=!!t.length;return r&&t.some((e=>!n[e.id]))&&(r=!1),r},e.getIsSomeRowsSelected=()=>{var t;const n=Object.keys(null!=(t=e.getState().rowSelection)?t:{}).length;return n>0&&n<e.getFilteredRowModel().flatRows.length},e.getIsSomePageRowsSelected=()=>{const t=e.getPaginationRowModel().flatRows;return!e.getIsAllPageRowsSelected()&&t.filter((e=>e.getCanSelect())).some((e=>e.getIsSelected()||e.getIsSomeSelected()))},e.getToggleAllRowsSelectedHandler=()=>t=>{e.toggleAllRowsSelected(t.target.checked)},e.getToggleAllPageRowsSelectedHandler=()=>t=>{e.toggleAllPageRowsSelected(t.target.checked)}},createRow:(e,t)=>{e.toggleSelected=(n,r)=>{const o=e.getIsSelected();t.setRowSelection((i=>{var a;if(n=void 0!==n?n:!o,e.getCanSelect()&&o===n)return i;const l={...i};return Wl(l,e.id,n,null==(a=null==r?void 0:r.selectChildren)||a,t),l}))},e.getIsSelected=()=>{const{rowSelection:n}=t.getState();return Xl(e,n)},e.getIsSomeSelected=()=>{const{rowSelection:n}=t.getState();return"some"===Yl(e,n)},e.getIsAllSubRowsSelected=()=>{const{rowSelection:n}=t.getState();return"all"===Yl(e,n)},e.getCanSelect=()=>{var n;return"function"==typeof t.options.enableRowSelection?t.options.enableRowSelection(e):null==(n=t.options.enableRowSelection)||n},e.getCanSelectSubRows=()=>{var n;return"function"==typeof t.options.enableSubRowSelection?t.options.enableSubRowSelection(e):null==(n=t.options.enableSubRowSelection)||n},e.getCanMultiSelect=()=>{var n;return"function"==typeof t.options.enableMultiRowSelection?t.options.enableMultiRowSelection(e):null==(n=t.options.enableMultiRowSelection)||n},e.getToggleSelectedHandler=()=>{const t=e.getCanSelect();return n=>{var r;t&&e.toggleSelected(null==(r=n.target)?void 0:r.checked)}}}},Wl=(e,t,n,r,o)=>{var i;const a=o.getRow(t,!0);n?(a.getCanMultiSelect()||Object.keys(e).forEach((t=>delete e[t])),a.getCanSelect()&&(e[t]=!0)):delete e[t],r&&null!=(i=a.subRows)&&i.length&&a.getCanSelectSubRows()&&a.subRows.forEach((t=>Wl(e,t.id,n,r,o)))};function ql(e,t){const n=e.getState().rowSelection,r=[],o={},i=function(e,t){return e.map((e=>{var t;const a=Xl(e,n);if(a&&(r.push(e),o[e.id]=e),null!=(t=e.subRows)&&t.length&&(e={...e,subRows:i(e.subRows)}),a)return e})).filter(Boolean)};return{rows:i(t.rows),flatRows:r,rowsById:o}}function Xl(e,t){var n;return null!=(n=t[e.id])&&n}function Yl(e,t,n){var r;if(null==(r=e.subRows)||!r.length)return!1;let o=!0,i=!1;return e.subRows.forEach((e=>{if((!i||o)&&(e.getCanSelect()&&(Xl(e,t)?i=!0:o=!1),e.subRows&&e.subRows.length)){const n=Yl(e,t);"all"===n?i=!0:"some"===n?(i=!0,o=!1):o=!1}})),o?"all":!!i&&"some"}const Kl=/([0-9]+)/gm;function Ql(e,t){return e===t?0:e>t?1:-1}function Zl(e){return"number"==typeof e?isNaN(e)||e===1/0||e===-1/0?"":String(e):"string"==typeof e?e:""}function Jl(e,t){const n=e.split(Kl).filter(Boolean),r=t.split(Kl).filter(Boolean);for(;n.length&&r.length;){const e=n.shift(),t=r.shift(),o=parseInt(e,10),i=parseInt(t,10),a=[o,i].sort();if(isNaN(a[0])){if(e>t)return 1;if(t>e)return-1}else{if(isNaN(a[1]))return isNaN(o)?-1:1;if(o>i)return 1;if(i>o)return-1}}return n.length-r.length}const es={alphanumeric:(e,t,n)=>Jl(Zl(e.getValue(n)).toLowerCase(),Zl(t.getValue(n)).toLowerCase()),alphanumericCaseSensitive:(e,t,n)=>Jl(Zl(e.getValue(n)),Zl(t.getValue(n))),text:(e,t,n)=>Ql(Zl(e.getValue(n)).toLowerCase(),Zl(t.getValue(n)).toLowerCase()),textCaseSensitive:(e,t,n)=>Ql(Zl(e.getValue(n)),Zl(t.getValue(n))),datetime:(e,t,n)=>{const r=e.getValue(n),o=t.getValue(n);return r>o?1:r<o?-1:0},basic:(e,t,n)=>Ql(e.getValue(n),t.getValue(n))},ts={getInitialState:e=>({sorting:[],...e}),getDefaultColumnDef:()=>({sortingFn:"auto",sortUndefined:1}),getDefaultOptions:e=>({onSortingChange:cl("sorting",e),isMultiSortEvent:e=>e.shiftKey}),createColumn:(e,t)=>{e.getAutoSortingFn=()=>{const n=t.getFilteredRowModel().flatRows.slice(10);let r=!1;for(const t of n){const n=null==t?void 0:t.getValue(e.id);if("[object Date]"===Object.prototype.toString.call(n))return es.datetime;if("string"==typeof n&&(r=!0,n.split(Kl).length>1))return es.alphanumeric}return r?es.text:es.basic},e.getAutoSortDir=()=>{const n=t.getFilteredRowModel().flatRows[0];return"string"==typeof(null==n?void 0:n.getValue(e.id))?"asc":"desc"},e.getSortingFn=()=>{var n,r;if(!e)throw new Error;return dl(e.columnDef.sortingFn)?e.columnDef.sortingFn:"auto"===e.columnDef.sortingFn?e.getAutoSortingFn():null!=(n=null==(r=t.options.sortingFns)?void 0:r[e.columnDef.sortingFn])?n:es[e.columnDef.sortingFn]},e.toggleSorting=(n,r)=>{const o=e.getNextSortingOrder(),i=null!=n;t.setSorting((a=>{const l=null==a?void 0:a.find((t=>t.id===e.id)),s=null==a?void 0:a.findIndex((t=>t.id===e.id));let u,c=[],d=i?n:"desc"===o;var p;return u=null!=a&&a.length&&e.getCanMultiSort()&&r?l?"toggle":"add":null!=a&&a.length&&s!==a.length-1?"replace":l?"toggle":"replace","toggle"===u&&(i||o||(u="remove")),"add"===u?(c=[...a,{id:e.id,desc:d}],c.splice(0,c.length-(null!=(p=t.options.maxMultiSortColCount)?p:Number.MAX_SAFE_INTEGER))):c="toggle"===u?a.map((t=>t.id===e.id?{...t,desc:d}:t)):"remove"===u?a.filter((t=>t.id!==e.id)):[{id:e.id,desc:d}],c}))},e.getFirstSortDir=()=>{var n,r;return(null!=(n=null!=(r=e.columnDef.sortDescFirst)?r:t.options.sortDescFirst)?n:"desc"===e.getAutoSortDir())?"desc":"asc"},e.getNextSortingOrder=n=>{var r,o;const i=e.getFirstSortDir(),a=e.getIsSorted();return a?!!(a===i||null!=(r=t.options.enableSortingRemoval)&&!r||n&&null!=(o=t.options.enableMultiRemove)&&!o)&&("desc"===a?"asc":"desc"):i},e.getCanSort=()=>{var n,r;return(null==(n=e.columnDef.enableSorting)||n)&&(null==(r=t.options.enableSorting)||r)&&!!e.accessorFn},e.getCanMultiSort=()=>{var n,r;return null!=(n=null!=(r=e.columnDef.enableMultiSort)?r:t.options.enableMultiSort)?n:!!e.accessorFn},e.getIsSorted=()=>{var n;const r=null==(n=t.getState().sorting)?void 0:n.find((t=>t.id===e.id));return!!r&&(r.desc?"desc":"asc")},e.getSortIndex=()=>{var n,r;return null!=(n=null==(r=t.getState().sorting)?void 0:r.findIndex((t=>t.id===e.id)))?n:-1},e.clearSorting=()=>{t.setSorting((t=>null!=t&&t.length?t.filter((t=>t.id!==e.id)):[]))},e.getToggleSortingHandler=()=>{const n=e.getCanSort();return r=>{n&&(null==r.persist||r.persist(),null==e.toggleSorting||e.toggleSorting(void 0,!!e.getCanMultiSort()&&(null==t.options.isMultiSortEvent?void 0:t.options.isMultiSortEvent(r))))}}},createTable:e=>{e.setSorting=t=>null==e.options.onSortingChange?void 0:e.options.onSortingChange(t),e.resetSorting=t=>{var n,r;e.setSorting(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.sorting)?n:[])},e.getPreSortedRowModel=()=>e.getGroupedRowModel(),e.getSortedRowModel=()=>(!e._getSortedRowModel&&e.options.getSortedRowModel&&(e._getSortedRowModel=e.options.getSortedRowModel(e)),e.options.manualSorting||!e._getSortedRowModel?e.getPreSortedRowModel():e._getSortedRowModel())}},ns=[vl,Gl,Tl,Ll,yl,Ml,{createTable:e=>{e._getGlobalFacetedRowModel=e.options.getFacetedRowModel&&e.options.getFacetedRowModel(e,"__global__"),e.getGlobalFacetedRowModel=()=>e.options.manualFiltering||!e._getGlobalFacetedRowModel?e.getPreFilteredRowModel():e._getGlobalFacetedRowModel(),e._getGlobalFacetedUniqueValues=e.options.getFacetedUniqueValues&&e.options.getFacetedUniqueValues(e,"__global__"),e.getGlobalFacetedUniqueValues=()=>e._getGlobalFacetedUniqueValues?e._getGlobalFacetedUniqueValues():new Map,e._getGlobalFacetedMinMaxValues=e.options.getFacetedMinMaxValues&&e.options.getFacetedMinMaxValues(e,"__global__"),e.getGlobalFacetedMinMaxValues=()=>{if(e._getGlobalFacetedMinMaxValues)return e._getGlobalFacetedMinMaxValues()}}},zl,ts,kl,{getInitialState:e=>({expanded:{},...e}),getDefaultOptions:e=>({onExpandedChange:cl("expanded",e),paginateExpandedRows:!0}),createTable:e=>{let t=!1,n=!1;e._autoResetExpanded=()=>{var r,o;if(t){if(null!=(r=null!=(o=e.options.autoResetAll)?o:e.options.autoResetExpanded)?r:!e.options.manualExpanding){if(n)return;n=!0,e._queue((()=>{e.resetExpanded(),n=!1}))}}else e._queue((()=>{t=!0}))},e.setExpanded=t=>null==e.options.onExpandedChange?void 0:e.options.onExpandedChange(t),e.toggleAllRowsExpanded=t=>{(null!=t?t:!e.getIsAllRowsExpanded())?e.setExpanded(!0):e.setExpanded({})},e.resetExpanded=t=>{var n,r;e.setExpanded(t?{}:null!=(n=null==(r=e.initialState)?void 0:r.expanded)?n:{})},e.getCanSomeRowsExpand=()=>e.getPrePaginationRowModel().flatRows.some((e=>e.getCanExpand())),e.getToggleAllRowsExpandedHandler=()=>t=>{null==t.persist||t.persist(),e.toggleAllRowsExpanded()},e.getIsSomeRowsExpanded=()=>{const t=e.getState().expanded;return!0===t||Object.values(t).some(Boolean)},e.getIsAllRowsExpanded=()=>{const t=e.getState().expanded;return"boolean"==typeof t?!0===t:!!Object.keys(t).length&&!e.getRowModel().flatRows.some((e=>!e.getIsExpanded()))},e.getExpandedDepth=()=>{let t=0;return(!0===e.getState().expanded?Object.keys(e.getRowModel().rowsById):Object.keys(e.getState().expanded)).forEach((e=>{const n=e.split(".");t=Math.max(t,n.length)})),t},e.getPreExpandedRowModel=()=>e.getSortedRowModel(),e.getExpandedRowModel=()=>(!e._getExpandedRowModel&&e.options.getExpandedRowModel&&(e._getExpandedRowModel=e.options.getExpandedRowModel(e)),e.options.manualExpanding||!e._getExpandedRowModel?e.getPreExpandedRowModel():e._getExpandedRowModel())},createRow:(e,t)=>{e.toggleExpanded=n=>{t.setExpanded((r=>{var o;const i=!0===r||!(null==r||!r[e.id]);let a={};if(!0===r?Object.keys(t.getRowModel().rowsById).forEach((e=>{a[e]=!0})):a=r,n=null!=(o=n)?o:!i,!i&&n)return{...a,[e.id]:!0};if(i&&!n){const{[e.id]:t,...n}=a;return n}return r}))},e.getIsExpanded=()=>{var n;const r=t.getState().expanded;return!!(null!=(n=null==t.options.getIsRowExpanded?void 0:t.options.getIsRowExpanded(e))?n:!0===r||(null==r?void 0:r[e.id]))},e.getCanExpand=()=>{var n,r,o;return null!=(n=null==t.options.getRowCanExpand?void 0:t.options.getRowCanExpand(e))?n:(null==(r=t.options.enableExpanding)||r)&&!(null==(o=e.subRows)||!o.length)},e.getIsAllParentsExpanded=()=>{let n=!0,r=e;for(;n&&r.parentId;)r=t.getRow(r.parentId,!0),n=r.getIsExpanded();return n},e.getToggleExpandedHandler=()=>{const t=e.getCanExpand();return()=>{t&&e.toggleExpanded()}}}},{getInitialState:e=>({...e,pagination:{pageIndex:0,pageSize:10,...null==e?void 0:e.pagination}}),getDefaultOptions:e=>({onPaginationChange:cl("pagination",e)}),createTable:e=>{let t=!1,n=!1;e._autoResetPageIndex=()=>{var r,o;if(t){if(null!=(r=null!=(o=e.options.autoResetAll)?o:e.options.autoResetPageIndex)?r:!e.options.manualPagination){if(n)return;n=!0,e._queue((()=>{e.resetPageIndex(),n=!1}))}}else e._queue((()=>{t=!0}))},e.setPagination=t=>null==e.options.onPaginationChange?void 0:e.options.onPaginationChange((e=>ul(t,e))),e.resetPagination=t=>{var n;e.setPagination(t?{pageIndex:0,pageSize:10}:null!=(n=e.initialState.pagination)?n:{pageIndex:0,pageSize:10})},e.setPageIndex=t=>{e.setPagination((n=>{let r=ul(t,n.pageIndex);const o=void 0===e.options.pageCount||-1===e.options.pageCount?Number.MAX_SAFE_INTEGER:e.options.pageCount-1;return r=Math.max(0,Math.min(r,o)),{...n,pageIndex:r}}))},e.resetPageIndex=t=>{var n,r;e.setPageIndex(t?0:null!=(n=null==(r=e.initialState)||null==(r=r.pagination)?void 0:r.pageIndex)?n:0)},e.resetPageSize=t=>{var n,r;e.setPageSize(t?10:null!=(n=null==(r=e.initialState)||null==(r=r.pagination)?void 0:r.pageSize)?n:10)},e.setPageSize=t=>{e.setPagination((e=>{const n=Math.max(1,ul(t,e.pageSize)),r=e.pageSize*e.pageIndex,o=Math.floor(r/n);return{...e,pageIndex:o,pageSize:n}}))},e.setPageCount=t=>e.setPagination((n=>{var r;let o=ul(t,null!=(r=e.options.pageCount)?r:-1);return"number"==typeof o&&(o=Math.max(-1,o)),{...n,pageCount:o}})),e.getPageOptions=pl((()=>[e.getPageCount()]),(e=>{let t=[];return e&&e>0&&(t=[...new Array(e)].fill(null).map(((e,t)=>t))),t}),fl(e.options,"debugTable")),e.getCanPreviousPage=()=>e.getState().pagination.pageIndex>0,e.getCanNextPage=()=>{const{pageIndex:t}=e.getState().pagination,n=e.getPageCount();return-1===n||0!==n&&t<n-1},e.previousPage=()=>e.setPageIndex((e=>e-1)),e.nextPage=()=>e.setPageIndex((e=>e+1)),e.firstPage=()=>e.setPageIndex(0),e.lastPage=()=>e.setPageIndex(e.getPageCount()-1),e.getPrePaginationRowModel=()=>e.getExpandedRowModel(),e.getPaginationRowModel=()=>(!e._getPaginationRowModel&&e.options.getPaginationRowModel&&(e._getPaginationRowModel=e.options.getPaginationRowModel(e)),e.options.manualPagination||!e._getPaginationRowModel?e.getPrePaginationRowModel():e._getPaginationRowModel()),e.getPageCount=()=>{var t;return null!=(t=e.options.pageCount)?t:Math.ceil(e.getRowCount()/e.getState().pagination.pageSize)},e.getRowCount=()=>{var t;return null!=(t=e.options.rowCount)?t:e.getPrePaginationRowModel().rows.length}}},Hl,Ul,_l];function rs(e){var t,n;const r=[...ns,...null!=(t=e._features)?t:[]];let o={_features:r};const i=o._features.reduce(((e,t)=>Object.assign(e,null==t.getDefaultOptions?void 0:t.getDefaultOptions(o))),{});let a={...null!=(n=e.initialState)?n:{}};o._features.forEach((e=>{var t;a=null!=(t=null==e.getInitialState?void 0:e.getInitialState(a))?t:a}));const l=[];let s=!1;const u={_features:r,options:{...i,...e},initialState:a,_queue:e=>{l.push(e),s||(s=!0,Promise.resolve().then((()=>{for(;l.length;)l.shift()();s=!1})).catch((e=>setTimeout((()=>{throw e})))))},reset:()=>{o.setState(o.initialState)},setOptions:e=>{const t=ul(e,o.options);o.options=(e=>o.options.mergeOptions?o.options.mergeOptions(i,e):{...i,...e})(t)},getState:()=>o.options.state,setState:e=>{null==o.options.onStateChange||o.options.onStateChange(e)},_getRowId:(e,t,n)=>{var r;return null!=(r=null==o.options.getRowId?void 0:o.options.getRowId(e,t,n))?r:`${n?[n.id,t].join("."):t}`},getCoreRowModel:()=>(o._getCoreRowModel||(o._getCoreRowModel=o.options.getCoreRowModel(o)),o._getCoreRowModel()),getRowModel:()=>o.getPaginationRowModel(),getRow:(e,t)=>{let n=(t?o.getPrePaginationRowModel():o.getRowModel()).rowsById[e];if(!n&&(n=o.getCoreRowModel().rowsById[e],!n))throw new Error;return n},_getDefaultColumnDef:pl((()=>[o.options.defaultColumn]),(e=>{var t;return e=null!=(t=e)?t:{},{header:e=>{const t=e.header.column.columnDef;return t.accessorKey?t.accessorKey:t.accessorFn?t.id:null},cell:e=>{var t,n;return null!=(t=null==(n=e.renderValue())||null==n.toString?void 0:n.toString())?t:null},...o._features.reduce(((e,t)=>Object.assign(e,null==t.getDefaultColumnDef?void 0:t.getDefaultColumnDef())),{}),...e}}),fl(e,"debugColumns")),_getColumnDefs:()=>o.options.columns,getAllColumns:pl((()=>[o._getColumnDefs()]),(e=>{const t=function(e,n,r){return void 0===r&&(r=0),e.map((e=>{const i=function(e,t,n,r){var o,i;const a={...e._getDefaultColumnDef(),...t},l=a.accessorKey;let s,u=null!=(o=null!=(i=a.id)?i:l?"function"==typeof String.prototype.replaceAll?l.replaceAll(".","_"):l.replace(/\./g,"_"):void 0)?o:"string"==typeof a.header?a.header:void 0;if(a.accessorFn?s=a.accessorFn:l&&(s=l.includes(".")?e=>{let t=e;for(const e of l.split(".")){var n;t=null==(n=t)?void 0:n[e]}return t}:e=>e[a.accessorKey]),!u)throw new Error;let c={id:`${String(u)}`,accessorFn:s,parent:r,depth:n,columnDef:a,columns:[],getFlatColumns:pl((()=>[!0]),(()=>{var e;return[c,...null==(e=c.columns)?void 0:e.flatMap((e=>e.getFlatColumns()))]}),fl(e.options,"debugColumns")),getLeafColumns:pl((()=>[e._getOrderColumnsFn()]),(e=>{var t;if(null!=(t=c.columns)&&t.length){let t=c.columns.flatMap((e=>e.getLeafColumns()));return e(t)}return[c]}),fl(e.options,"debugColumns"))};for(const t of e._features)null==t.createColumn||t.createColumn(c,e);return c}(o,e,r,n),a=e;return i.columns=a.columns?t(a.columns,i,r+1):[],i}))};return t(e)}),fl(e,"debugColumns")),getAllFlatColumns:pl((()=>[o.getAllColumns()]),(e=>e.flatMap((e=>e.getFlatColumns()))),fl(e,"debugColumns")),_getAllFlatColumnsById:pl((()=>[o.getAllFlatColumns()]),(e=>e.reduce(((e,t)=>(e[t.id]=t,e)),{})),fl(e,"debugColumns")),getAllLeafColumns:pl((()=>[o.getAllColumns(),o._getOrderColumnsFn()]),((e,t)=>t(e.flatMap((e=>e.getLeafColumns())))),fl(e,"debugColumns")),getColumn:e=>o._getAllFlatColumnsById()[e]};Object.assign(o,u);for(let e=0;e<o._features.length;e++){const t=o._features[e];null==t||null==t.createTable||t.createTable(o)}return o}function os(e,t){return e?function(e){return"function"==typeof e&&(()=>{const t=Object.getPrototypeOf(e);return t.prototype&&t.prototype.isReactComponent})()}(n=e)||"function"==typeof n||function(e){return"object"==typeof e&&"symbol"==typeof e.$$typeof&&["react.memo","react.forward_ref"].includes(e.$$typeof.description)}(n)?p.createElement(e,t):e:null;var n}function is(){return is=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},is.apply(this,arguments)}function as(){return as=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},as.apply(this,arguments)}function ls(e,t,n){var r,o,i=null!=(r=n.initialDeps)?r:[];return function(){var r;n.key&&null!=n.debug&&n.debug()&&(r=Date.now());var a,l=e();if(l.length===i.length&&!l.some((function(e,t){return i[t]!==e})))return o;if(i=l,n.key&&null!=n.debug&&n.debug()&&(a=Date.now()),o=t.apply(void 0,l),n.key&&null!=n.debug&&n.debug()){var s=Math.round(100*(Date.now()-r))/100,u=Math.round(100*(Date.now()-a))/100,c=u/16,d=function(e,t){for(e=String(e);e.length<t;)e=" "+e;return e};console.info("%c⏱ "+d(u,5)+" /"+d(s,5)+" ms","\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl("+Math.max(0,Math.min(120-120*c,120))+"deg 100% 31%);",null==n?void 0:n.key)}return null==n||null==n.onChange||n.onChange(o),o}}function ss(e,t){if(void 0===e)throw new Error("Unexpected undefined"+(t?": "+t:""));return e}var us=function(e){return e},cs=function(e){for(var t=Math.max(e.startIndex-e.overscan,0),n=Math.min(e.endIndex+e.overscan,e.count-1),r=[],o=t;o<=n;o++)r.push(o);return r},ds=function(e,t){var n=e.scrollElement;if(n){var r=function(e){var n=e.width,r=e.height;t({width:Math.round(n),height:Math.round(r)})};r(n.getBoundingClientRect());var o=new ResizeObserver((function(e){var t=e[0];if(null!=t&&t.borderBoxSize){var o=t.borderBoxSize[0];if(o)return void r({width:o.inlineSize,height:o.blockSize})}r(n.getBoundingClientRect())}));return o.observe(n,{box:"border-box"}),function(){o.unobserve(n)}}},ps=function(e,t){var n=e.scrollElement;if(n){var r=function(){t(n[e.options.horizontal?"scrollLeft":"scrollTop"])};return r(),n.addEventListener("scroll",r,{passive:!0}),function(){n.removeEventListener("scroll",r)}}},fs=function(e,t,n){if(null!=t&&t.borderBoxSize){var r=t.borderBoxSize[0];if(r)return Math.round(r[n.options.horizontal?"inlineSize":"blockSize"])}return Math.round(e.getBoundingClientRect()[n.options.horizontal?"width":"height"])},gs=function(e,t,n){var r,o,i=t.adjustments,a=void 0===i?0:i,l=t.behavior,s=e+a;null==(r=n.scrollElement)||null==r.scrollTo||r.scrollTo(((o={})[n.options.horizontal?"left":"top"]=s,o.behavior=l,o))},ms=function(e){var t,n,r=this;this.unsubs=[],this.scrollElement=null,this.isScrolling=!1,this.isScrollingTimeoutId=null,this.scrollToIndexTimeoutId=null,this.measurementsCache=[],this.itemSizeCache=new Map,this.pendingMeasuredCacheIndexes=[],this.scrollDirection=null,this.scrollAdjustments=0,this.measureElementCache=new Map,this.observer=(t=null,n=function(){return t||("undefined"!=typeof ResizeObserver?t=new ResizeObserver((function(e){e.forEach((function(e){r._measureElement(e.target,e)}))})):null)},{disconnect:function(){var e;return null==(e=n())?void 0:e.disconnect()},observe:function(e){var t;return null==(t=n())?void 0:t.observe(e,{box:"border-box"})},unobserve:function(e){var t;return null==(t=n())?void 0:t.unobserve(e)}}),this.range={startIndex:0,endIndex:0},this.setOptions=function(e){Object.entries(e).forEach((function(t){var n=t[0];void 0===t[1]&&delete e[n]})),r.options=as({debug:!1,initialOffset:0,overscan:1,paddingStart:0,paddingEnd:0,scrollPaddingStart:0,scrollPaddingEnd:0,horizontal:!1,getItemKey:us,rangeExtractor:cs,onChange:function(){},measureElement:fs,initialRect:{width:0,height:0},scrollMargin:0,scrollingDelay:150,indexAttribute:"data-index",initialMeasurementsCache:[],lanes:1},e)},this.notify=function(){null==r.options.onChange||r.options.onChange(r)},this.cleanup=function(){r.unsubs.filter(Boolean).forEach((function(e){return e()})),r.unsubs=[],r.scrollElement=null},this._didMount=function(){return r.measureElementCache.forEach(r.observer.observe),function(){r.observer.disconnect(),r.cleanup()}},this._willUpdate=function(){var e=r.options.getScrollElement();r.scrollElement!==e&&(r.cleanup(),r.scrollElement=e,r._scrollToOffset(r.scrollOffset,{adjustments:void 0,behavior:void 0}),r.unsubs.push(r.options.observeElementRect(r,(function(e){var t=r.scrollRect;r.scrollRect=e,(r.options.horizontal?e.width!==t.width:e.height!==t.height)&&r.maybeNotify()}))),r.unsubs.push(r.options.observeElementOffset(r,(function(e){r.scrollAdjustments=0,r.scrollOffset!==e&&(null!==r.isScrollingTimeoutId&&(clearTimeout(r.isScrollingTimeoutId),r.isScrollingTimeoutId=null),r.isScrolling=!0,r.scrollDirection=r.scrollOffset<e?"forward":"backward",r.scrollOffset=e,r.maybeNotify(),r.isScrollingTimeoutId=setTimeout((function(){r.isScrollingTimeoutId=null,r.isScrolling=!1,r.scrollDirection=null,r.maybeNotify()}),r.options.scrollingDelay))}))))},this.getSize=function(){return r.scrollRect[r.options.horizontal?"width":"height"]},this.memoOptions=ls((function(){return[r.options.count,r.options.paddingStart,r.options.scrollMargin,r.options.getItemKey]}),(function(e,t,n,o){return r.pendingMeasuredCacheIndexes=[],{count:e,paddingStart:t,scrollMargin:n,getItemKey:o}}),{key:!1}),this.getFurthestMeasurement=function(e,t){for(var n=new Map,o=new Map,i=t-1;i>=0;i--){var a=e[i];if(!n.has(a.lane)){var l=o.get(a.lane);if(null==l||a.end>l.end?o.set(a.lane,a):a.end<l.end&&n.set(a.lane,!0),n.size===r.options.lanes)break}}return o.size===r.options.lanes?Array.from(o.values()).sort((function(e,t){return e.end-t.end}))[0]:void 0},this.getMeasurements=ls((function(){return[r.memoOptions(),r.itemSizeCache]}),(function(e,t){var n=e.count,o=e.paddingStart,i=e.scrollMargin,a=e.getItemKey,l=r.pendingMeasuredCacheIndexes.length>0?Math.min.apply(Math,r.pendingMeasuredCacheIndexes):0;r.pendingMeasuredCacheIndexes=[];for(var s=r.measurementsCache.slice(0,l),u=l;u<n;u++){var c=a(u),d=1===r.options.lanes?s[u-1]:r.getFurthestMeasurement(s,u),p=d?d.end:o+i,f=t.get(c),g="number"==typeof f?f:r.options.estimateSize(u),m=p+g,v=d?d.lane:u%r.options.lanes;s[u]={index:u,start:p,size:g,end:m,key:c,lane:v}}return r.measurementsCache=s,s}),{key:!1,debug:function(){return r.options.debug}}),this.calculateRange=ls((function(){return[r.getMeasurements(),r.getSize(),r.scrollOffset]}),(function(e,t,n){return r.range=function(e){for(var t=e.measurements,n=e.outerSize,r=e.scrollOffset,o=t.length-1,i=vs(0,o,(function(e){return t[e].start}),r),a=i;a<o&&t[a].end<r+n;)a++;return{startIndex:i,endIndex:a}}({measurements:e,outerSize:t,scrollOffset:n})}),{key:!1,debug:function(){return r.options.debug}}),this.maybeNotify=ls((function(){var e=r.calculateRange();return[e.startIndex,e.endIndex,r.isScrolling]}),(function(){r.notify()}),{key:!1,debug:function(){return r.options.debug},initialDeps:[this.range.startIndex,this.range.endIndex,this.isScrolling]}),this.getIndexes=ls((function(){return[r.options.rangeExtractor,r.calculateRange(),r.options.overscan,r.options.count]}),(function(e,t,n,r){return e(as({},t,{overscan:n,count:r}))}),{key:!1,debug:function(){return r.options.debug}}),this.indexFromElement=function(e){var t=r.options.indexAttribute,n=e.getAttribute(t);return n?parseInt(n,10):(console.warn("Missing attribute name '"+t+"={index}' on measured element."),-1)},this._measureElement=function(e,t){var n=r.measurementsCache[r.indexFromElement(e)];if(n&&e.isConnected){var o=r.measureElementCache.get(n.key);o!==e&&(o&&r.observer.unobserve(o),r.observer.observe(e),r.measureElementCache.set(n.key,e));var i=r.options.measureElement(e,t,r);r.resizeItem(n,i)}else r.measureElementCache.forEach((function(t,n){t===e&&(r.observer.unobserve(e),r.measureElementCache.delete(n))}))},this.resizeItem=function(e,t){var n,o=t-(null!=(n=r.itemSizeCache.get(e.key))?n:e.size);0!==o&&(e.start<r.scrollOffset&&r._scrollToOffset(r.scrollOffset,{adjustments:r.scrollAdjustments+=o,behavior:void 0}),r.pendingMeasuredCacheIndexes.push(e.index),r.itemSizeCache=new Map(r.itemSizeCache.set(e.key,t)),r.notify())},this.measureElement=function(e){e&&r._measureElement(e,void 0)},this.getVirtualItems=ls((function(){return[r.getIndexes(),r.getMeasurements()]}),(function(e,t){for(var n=[],r=0,o=e.length;r<o;r++){var i=t[e[r]];n.push(i)}return n}),{key:!1,debug:function(){return r.options.debug}}),this.getVirtualItemForOffset=function(e){var t=r.getMeasurements();return ss(t[vs(0,t.length-1,(function(e){return ss(t[e]).start}),e)])},this.getOffsetForAlignment=function(e,t){var n=r.getSize();"auto"===t&&(t=e<=r.scrollOffset?"start":e>=r.scrollOffset+n?"end":"start"),"start"===t||("end"===t?e-=n:"center"===t&&(e-=n/2));var o=r.options.horizontal?"scrollWidth":"scrollHeight",i=(r.scrollElement?"document"in r.scrollElement?r.scrollElement.document.documentElement[o]:r.scrollElement[o]:0)-r.getSize();return Math.max(Math.min(i,e),0)},this.getOffsetForIndex=function(e,t){void 0===t&&(t="auto"),e=Math.max(0,Math.min(e,r.options.count-1));var n=ss(r.getMeasurements()[e]);if("auto"===t)if(n.end>=r.scrollOffset+r.getSize()-r.options.scrollPaddingEnd)t="end";else{if(!(n.start<=r.scrollOffset+r.options.scrollPaddingStart))return[r.scrollOffset,t];t="start"}var o="end"===t?n.end+r.options.scrollPaddingEnd:n.start-r.options.scrollPaddingStart;return[r.getOffsetForAlignment(o,t),t]},this.isDynamicMode=function(){return r.measureElementCache.size>0},this.cancelScrollToIndex=function(){null!==r.scrollToIndexTimeoutId&&(clearTimeout(r.scrollToIndexTimeoutId),r.scrollToIndexTimeoutId=null)},this.scrollToOffset=function(e,t){var n=void 0===t?{}:t,o=n.align,i=void 0===o?"start":o,a=n.behavior;r.cancelScrollToIndex(),"smooth"===a&&r.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),r._scrollToOffset(r.getOffsetForAlignment(e,i),{adjustments:void 0,behavior:a})},this.scrollToIndex=function(e,t){var n=void 0===t?{}:t,o=n.align,i=void 0===o?"auto":o,a=n.behavior;e=Math.max(0,Math.min(e,r.options.count-1)),r.cancelScrollToIndex(),"smooth"===a&&r.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size.");var l=r.getOffsetForIndex(e,i),s=l[0],u=l[1];r._scrollToOffset(s,{adjustments:void 0,behavior:a}),"smooth"!==a&&r.isDynamicMode()&&(r.scrollToIndexTimeoutId=setTimeout((function(){var t,n;(r.scrollToIndexTimeoutId=null,r.measureElementCache.has(r.options.getItemKey(e)))?(t=r.getOffsetForIndex(e,u)[0],n=r.scrollOffset,Math.abs(t-n)<1||r.scrollToIndex(e,{align:u,behavior:a})):r.scrollToIndex(e,{align:u,behavior:a})})))},this.scrollBy=function(e,t){var n=(void 0===t?{}:t).behavior;r.cancelScrollToIndex(),"smooth"===n&&r.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),r._scrollToOffset(r.scrollOffset+e,{adjustments:void 0,behavior:n})},this.getTotalSize=function(){var e;return((null==(e=r.getMeasurements()[r.options.count-1])?void 0:e.end)||r.options.paddingStart)-r.options.scrollMargin+r.options.paddingEnd},this._scrollToOffset=function(e,t){var n=t.adjustments,o=t.behavior;r.options.scrollToFn(e,{behavior:o,adjustments:n},r)},this.measure=function(){r.itemSizeCache=new Map,r.notify()},this.setOptions(e),this.scrollRect=this.options.initialRect,this.scrollOffset=this.options.initialOffset,this.measurementsCache=this.options.initialMeasurementsCache,this.measurementsCache.forEach((function(e){r.itemSizeCache.set(e.key,e.size)})),this.maybeNotify()},vs=function(e,t,n,r){for(;e<=t;){var o=(e+t)/2|0,i=n(o);if(i<r)e=o+1;else{if(!(i>r))return o;t=o-1}}return e>0?e-1:0},hs="undefined"!=typeof document?p.useLayoutEffect:p.useEffect;const bs=e=>{var t;const n=e.colors.emphasize(e.colors.background.primary,.03);return{table:Bt.css`
      border-radius: ${null===(t=e.shape.radius)||void 0===t?void 0:t.default};
      width: 100%;

      td {
        padding: ${e.spacing(1)};
      }

      td,
      th {
        min-width: ${e.spacing(3)};
      }
    `,disableGrow:Bt.css`
      width: 0;
    `,header:Bt.css`
      position: sticky;
      background-color: ${e.colors.background.primary};
      box-shadow: 0 1px ${e.colors.border.weak};
      z-index: 100;
    `,headerCell:Bt.css`
      padding: ${e.spacing(1)};
    `,row:Bt.css`
      border-bottom: 1px solid ${e.colors.border.weak};

      &:hover {
        background-color: ${n};
      }

      &:last-child {
        border-bottom: 0;
      }
    `,expandedRow:Bt.css`
      border-bottom: none;
    `,expandedContentRow:Bt.css`
      td {
        border-bottom: 1px solid ${e.colors.border.weak};
        position: relative;
        padding: ${e.spacing(2,2,2,5)};

        &:before {
          content: '';
          position: absolute;
          width: 1px;
          top: 0;
          left: 16px;
          bottom: ${e.spacing(2)};
          background: ${e.colors.border.medium};
        }
      }
    `,sortableHeader:Bt.css`
      /* increases selector's specificity so that it always takes precedence over default styles  */
      && {
      }
    `,headerButton:Bt.css`
      margin-left: ${e.spacing(.5)};
    `,filterContainer:Bt.css`
      background-color: ${e.colors.background.primary};
      padding: ${e.spacing(1)};
    `,filterInput:Bt.css`
      margin-top: ${e.spacing(.5)};
    `}},ys=({column:e,alwaysVisible:t})=>{const n=(0,d.useStyles2)(bs),[r,o]=(0,p.useState)(t),i=e.getFilterValue(),a=(0,p.useCallback)((()=>{o((e=>!e))}),[]),l=(0,p.useCallback)((t=>{e.setFilterValue(t.currentTarget.value)}),[e]);if("isFavorite"===e.columnDef.id)return m().createElement(d.Button,{variant:"secondary",fill:"text",size:"sm",onClick:()=>{e.setFilterValue(!i)},"data-testid":Z},i?m().createElement(d.Icon,{name:"favorite"}):m().createElement(d.Icon,{name:"star"}));const s=m().createElement(d.Input,{placeholder:"Search values",value:"string"==typeof i?i:"",onChange:l,className:n.filterInput,"data-testid":J,addonAfter:i?m().createElement(d.Button,{variant:"secondary",icon:"times",onClick:()=>e.setFilterValue(""),"data-testid":ee}):null});return t?s:m().createElement(m().Fragment,null,m().createElement(d.Button,{icon:"filter",fill:"text",onClick:a,size:"sm",className:n.headerButton,"data-testid":W}),r&&s)},As=({data:e,className:t,columns:n,getSubRows:r,showHeader:o=!0,tableRef:i,topOffset:a=0,tableHeaderRef:l,scrollableContainerRef:s,alwaysVisibleFilter:u,isFocused:c,autoScroll:f,shouldScroll:g,onAfterScroll:v,collapsedByDefault:h})=>{var b,y;const A=(0,d.useStyles2)(bs),[E,w]=(0,p.useState)(!h||{}),[C,x]=(0,p.useState)([]),S=function(e){const t={state:{},onStateChange:()=>{},renderFallbackValue:null,...e},[n]=p.useState((()=>({current:rs(t)}))),[r,o]=p.useState((()=>n.current.initialState));return n.current.setOptions((t=>({...t,...e,state:{...r,...e.state},onStateChange:t=>{o(t),null==e.onStateChange||e.onStateChange(t)}}))),n.current}({columns:n,data:e,autoResetExpanded:!1,enableSorting:!0,enableMultiSort:!1,getSubRows:r,getCoreRowModel:e=>pl((()=>[e.options.data]),(t=>{const n={rows:[],flatRows:[],rowsById:{}},r=function(t,o,i){void 0===o&&(o=0);const a=[];for(let s=0;s<t.length;s++){const u=bl(e,e._getRowId(t[s],s,i),t[s],s,o,void 0,null==i?void 0:i.id);var l;n.flatRows.push(u),n.rowsById[u.id]=u,a.push(u),e.options.getSubRows&&(u.originalSubRows=e.options.getSubRows(t[s],s),null!=(l=u.originalSubRows)&&l.length&&(u.subRows=r(u.originalSubRows,o+1,u)))}return a};return n.rows=r(t),n}),fl(e.options,"debugTable",0,(()=>e._autoResetPageIndex()))),getSortedRowModel:e=>pl((()=>[e.getState().sorting,e.getPreSortedRowModel()]),((t,n)=>{if(!n.rows.length||null==t||!t.length)return n;const r=e.getState().sorting,o=[],i=r.filter((t=>{var n;return null==(n=e.getColumn(t.id))?void 0:n.getCanSort()})),a={};i.forEach((t=>{const n=e.getColumn(t.id);n&&(a[t.id]={sortUndefined:n.columnDef.sortUndefined,invertSorting:n.columnDef.invertSorting,sortingFn:n.getSortingFn()})}));const l=e=>{const t=e.map((e=>({...e})));return t.sort(((e,t)=>{for(let r=0;r<i.length;r+=1){var n;const o=i[r],l=a[o.id],s=l.sortUndefined,u=null!=(n=null==o?void 0:o.desc)&&n;let c=0;if(s){const n=void 0===e.getValue(o.id),r=void 0===t.getValue(o.id);if(n||r){if("first"===s)return n?-1:1;if("last"===s)return n?1:-1;c=n&&r?0:n?s:-s}}if(0===c&&(c=l.sortingFn(e,t,o.id)),0!==c)return u&&(c*=-1),l.invertSorting&&(c*=-1),c}return e.index-t.index})),t.forEach((e=>{var t;o.push(e),null!=(t=e.subRows)&&t.length&&(e.subRows=l(e.subRows))})),t};return{rows:l(n.rows),flatRows:o,rowsById:n.rowsById}}),fl(e.options,"debugTable",0,(()=>e._autoResetPageIndex()))),getExpandedRowModel:e=>pl((()=>[e.getState().expanded,e.getPreExpandedRowModel(),e.options.paginateExpandedRows]),((e,t,n)=>!t.rows.length||!0!==e&&!Object.keys(null!=e?e:{}).length?t:n?function(e){const t=[],n=e=>{var r;t.push(e),null!=(r=e.subRows)&&r.length&&e.getIsExpanded()&&e.subRows.forEach(n)};return e.rows.forEach(n),{rows:t,flatRows:e.flatRows,rowsById:e.rowsById}}(t):t),fl(e.options,"debugTable")),getFilteredRowModel:e=>pl((()=>[e.getPreFilteredRowModel(),e.getState().columnFilters,e.getState().globalFilter]),((t,n,r)=>{if(!t.rows.length||(null==n||!n.length)&&!r){for(let e=0;e<t.flatRows.length;e++)t.flatRows[e].columnFilters={},t.flatRows[e].columnFiltersMeta={};return t}const o=[],i=[];(null!=n?n:[]).forEach((t=>{var n;const r=e.getColumn(t.id);if(!r)return;const i=r.getFilterFn();i&&o.push({id:t.id,filterFn:i,resolvedValue:null!=(n=null==i.resolveFilterValue?void 0:i.resolveFilterValue(t.value))?n:t.value})}));const a=(null!=n?n:[]).map((e=>e.id)),l=e.getGlobalFilterFn(),s=e.getAllLeafColumns().filter((e=>e.getCanGlobalFilter()));let u,c;r&&l&&s.length&&(a.push("__global__"),s.forEach((e=>{var t;i.push({id:e.id,filterFn:l,resolvedValue:null!=(t=null==l.resolveFilterValue?void 0:l.resolveFilterValue(r))?t:r})})));for(let e=0;e<t.flatRows.length;e++){const n=t.flatRows[e];if(n.columnFilters={},o.length)for(let e=0;e<o.length;e++){u=o[e];const t=u.id;n.columnFilters[t]=u.filterFn(n,t,u.resolvedValue,(e=>{n.columnFiltersMeta[t]=e}))}if(i.length){for(let e=0;e<i.length;e++){c=i[e];const t=c.id;if(c.filterFn(n,t,c.resolvedValue,(e=>{n.columnFiltersMeta[t]=e}))){n.columnFilters.__global__=!0;break}}!0!==n.columnFilters.__global__&&(n.columnFilters.__global__=!1)}}return function(e,t,n){return n.options.filterFromLeafRows?function(e,t,n){var r;const o=[],i={},a=null!=(r=n.options.maxLeafRowFilterDepth)?r:100,l=function(e,r){void 0===r&&(r=0);const s=[];for(let c=0;c<e.length;c++){var u;let d=e[c];const p=bl(n,d.id,d.original,d.index,d.depth,void 0,d.parentId);if(p.columnFilters=d.columnFilters,null!=(u=d.subRows)&&u.length&&r<a){if(p.subRows=l(d.subRows,r+1),d=p,t(d)&&!p.subRows.length){s.push(d),i[d.id]=d,o.push(d);continue}if(t(d)||p.subRows.length){s.push(d),i[d.id]=d,o.push(d);continue}}else d=p,t(d)&&(s.push(d),i[d.id]=d,o.push(d))}return s};return{rows:l(e),flatRows:o,rowsById:i}}(e,t,n):function(e,t,n){var r;const o=[],i={},a=null!=(r=n.options.maxLeafRowFilterDepth)?r:100,l=function(e,r){void 0===r&&(r=0);const s=[];for(let c=0;c<e.length;c++){let d=e[c];if(t(d)){var u;if(null!=(u=d.subRows)&&u.length&&r<a){const e=bl(n,d.id,d.original,d.index,d.depth,void 0,d.parentId);e.subRows=l(d.subRows,r+1),d=e}s.push(d),o.push(d),i[d.id]=d}}return s};return{rows:l(e),flatRows:o,rowsById:i}}(e,t,n)}(t.rows,(e=>{for(let t=0;t<a.length;t++)if(!1===e.columnFilters[a[t]])return!1;return!0}),e)}),fl(e.options,"debugTable",0,(()=>e._autoResetPageIndex()))),onColumnFiltersChange:x,enableExpanding:!0,onExpandedChange:w,state:{expanded:E,columnFilters:C}}),{rows:I}=S.getRowModel(),R=(0,p.useMemo)((()=>(e=>{for(let t=0;t<e.length;t+=1){const n=e[t];if(!n.originalSubRows&&n.original.selected)return t}return-1})(I)),[I]),O=(B={getScrollElement:(0,p.useCallback)((()=>s.current),[s]),count:I.length,estimateSize:(0,p.useCallback)((()=>38),[]),measureElement:(0,p.useCallback)((e=>e.offsetHeight),[]),overscan:10},function(e){var t=p.useReducer((function(){return{}}),{})[1],n=is({},e,{onChange:function(n){t(),null==e.onChange||e.onChange(n)}}),r=p.useState((function(){return new ms(n)}))[0];return r.setOptions(n),p.useEffect((function(){return r._didMount()}),[]),hs((function(){return r._willUpdate()})),r}(is({observeElementRect:ds,observeElementOffset:ps,scrollToFn:gs},B)));var B;const D=O.getVirtualItems(),M=O.getTotalSize(),P=D.length>0&&(null==D||null===(b=D[0])||void 0===b?void 0:b.start)||0,N=D.length>0?M-((null==D||null===(y=D[D.length-1])||void 0===y?void 0:y.end)||0):0;return(0,p.useEffect)((()=>{f&&e&&(!c.current||g.current)&&R>=0&&(O.scrollToIndex(R,{align:"start"}),v())}),[f,R,e,O,I,c,g,v]),m().createElement("table",{className:(0,Bt.cx)(A.table,t),ref:i},o&&m().createElement("thead",{"data-testid":te,className:A.header,style:{top:a},ref:l},S.getHeaderGroups().map((e=>m().createElement("tr",{key:e.id},e.headers.map((e=>m().createElement("th",{key:e.id,className:(0,Bt.cx)(A.headerCell,{[A.disableGrow]:!e.column.getCanResize(),[A.sortableHeader]:e.column.getCanSort()}),colSpan:e.colSpan,style:{width:"isFavorite"===e.column.columnDef.id?48:"auto"}},os(e.column.columnDef.header,e.getContext()),e.column.getCanSort()&&m().createElement(d.Button,{icon:e.column.getIsSorted()?"asc"===e.column.getIsSorted()?"sort-amount-up":"sort-amount-down":"list-ul",fill:"text",onClick:e.column.getToggleSortingHandler(),size:"sm",className:A.headerButton,variant:e.column.getIsSorted()?"primary":"secondary","data-testid":q,title:"Sort by status"}),e.column.getCanFilter()&&m().createElement(ys,{column:e.column,alwaysVisible:u})))))))),m().createElement("tbody",{"data-testid":z},P>0&&m().createElement("tr",null,m().createElement("td",{style:{height:`${P}px`}})),D.map((e=>{const t=I[e.index];return m().createElement("tr",{key:t.id,className:(0,Bt.cx)(A.row,t.getIsExpanded()&&A.expandedRow),"data-testid":X(t.id)},t.getVisibleCells().map((t=>m().createElement("td",{"data-index":e.index,ref:O.measureElement,key:t.id},os(t.column.columnDef.cell,t.getContext())))))})),N>0&&m().createElement("tr",null,m().createElement("td",{style:{height:`${N}px`}}))))},Es=({data:e,id:t,options:n,width:r,height:o,eventBus:l,panelEventBus:s,replaceVariables:u})=>{var c,f;const[g,v]=Rt({key:`volkovlabs.variable.panel.${n.saveSelectedGroupKey||t}`,initialValue:(null===(f=n.groups)||void 0===f||null===(c=f[0])||void 0===c?void 0:c.name)||"",enabled:n.saveSelectedGroup}),h=(0,p.useMemo)((()=>{var e,t;if((null===(e=n.groups)||void 0===e?void 0:e.length)&&g)return null===(t=n.groups.find((e=>e.name===g)))||void 0===t?void 0:t.items}),[n.groups,g]);(0,p.useEffect)((()=>{var e,t,r;(null===(e=n.groups)||void 0===e?void 0:e.some((e=>e.name===g)))||v((null===(r=n.groups)||void 0===r||null===(t=r[0])||void 0===t?void 0:t.name)||"")}),[g,t,n.groups,v]);const{tableData:b,columns:y,getSubRows:A}=(({data:e,options:t,eventBus:n,panelEventBus:r,levels:o,replaceVariables:l})=>{var s;const u=(0,d.useTheme2)(),c=Dt(u),f=(null==o?void 0:o.length)?null===(s=o[o.length-1])||void 0===s?void 0:s.name:t.variable,{variable:g,getVariable:v}=bt(n,f),h=zt({config:t.favorites,replaceVariables:l}),b=Ot({data:e,status:t.status,name:t.name}),y=(0,p.useMemo)((()=>{if(!g)return[];const n=ot(g),r=o||[];if(r.length&&nt(g)){const o={},a=((e,t,n)=>{const r=t[t.length-1],o=e.series.find(((e,t)=>void 0===e.refId?t===r.source:e.refId===r.source));if(!o)return null;const a=(e=>{const t=[];for(let n=0;n<e.length;n+=1){const r=e.fields.reduce(((e,t)=>ut(st({},e),{[t.name]:t.values[n]})),{});t.push(r)}return t})(o);return dt(a,t.map((({name:e})=>e)),n||((e,t)=>({value:e[t],label:e[t],selected:!1,showStatus:!1,selectable:!0,statusMode:i.COLOR})))})(e,r,((e,r,i)=>{const a=`${e[r]}`;let l=o[r];if(!l){const e=v(r);l=e,o[r]=e}const s=nt(l)?l.helpers.getOption(a):g.helpers.getOption(a);return pt({value:a,selected:(null==s?void 0:s.selected)||!1,variable:l,isFavorite:h.isAdded(r,a),name:r,label:(null==s?void 0:s.text)||a},{children:i,status:b(a),isSelectedAll:n,favoritesEnabled:t.favorites.enabled,groupSelection:t.groupSelection})}));if(a)return 1===r.length&&(null==g?void 0:g.multi)&&(null==g?void 0:g.includeAll)?[pt({value:qe,selected:n,variable:v(r[0].name),isFavorite:!1,name:r[0].name,label:We},{status:b(We),isSelectedAll:n,favoritesEnabled:t.favorites.enabled,groupSelection:t.groupSelection})].concat(a):a}return nt(g)?g.options.map((e=>pt({value:e.value,selected:e.selected,variable:g,isFavorite:h.isAdded(g.name,e.value),label:e.text},{status:b(e.value===qe?We:e.value),isSelectedAll:n,favoritesEnabled:t.favorites.enabled,groupSelection:t.groupSelection}))):g.type===a.TEXTBOX?[pt({value:(null===(l=g.current.value)||void 0===l?void 0:l.toString())||"",label:(null===(s=g.current.text)||void 0===s?void 0:s.toString())||"",selected:!1,variable:g,isFavorite:!1,name:null==g?void 0:g.name},{status:b(""),isSelectedAll:n,favoritesEnabled:t.favorites.enabled,groupSelection:t.groupSelection})]:[];var l,s}),[g,o,e,v,h,b,t.favorites,t.groupSelection]),A=(0,p.useCallback)(((e,t=!1)=>{const n=e.childValues||[e.value],o=ft(y,n);gt(o).filter((e=>e.variable!==g&&e.selectable)).map((e=>({variable:e.variable,values:e.values.filter((t=>{var n;return nt(e.variable)?!1===(null===(n=e.variable.helpers.getOption(t))||void 0===n?void 0:n.selected):t}))}))).filter((e=>e.values.length>0)).forEach((({variable:e,values:n})=>{tt({values:n,runtimeVariable:e,panelEventBus:r,isKeepSelection:t})})),tt({values:n,runtimeVariable:g,panelEventBus:r,isKeepSelection:t})}),[r,g,y]),E=(0,p.useCallback)(((e,t)=>{var n;e.selected&&nt(e.variable)&&!(null===(n=e.variable)||void 0===n?void 0:n.multi)&&e.variable===g&&A(e,it(t))}),[A,g]),w=(0,p.useMemo)((()=>{const e=`${(null==g?void 0:g.name)||f}`,r=[{id:"value",accessorKey:"value",header:({table:n})=>{const r=!!g&&ot(g),o=nt(g)&&(null==g?void 0:g.multi)&&t.showTotal,a=(null==g?void 0:g.options.some((e=>"All"===e.text&&e.selected)))?(null==g?void 0:g.options.length)-1:null==g?void 0:g.options.filter((e=>e.selected)).length,l=(null==g?void 0:g.options.some((e=>"All"===e.text)))?(null==g?void 0:g.options.length)-1:null==g?void 0:g.options.length;return m().createElement(m().Fragment,null,t.groupSelection&&m().createElement("input",{type:"checkbox",onChange:()=>{const e={childValues:ct(y,(e=>e.childValues||e.value),[]),selected:r,value:"",showStatus:!1,label:"",statusMode:i.COLOR};A(e,!1)},checked:r,className:c.selectControl,id:`${e}-select-all`,"data-testid":j,title:"Select all"}),n.getCanSomeRowsExpand()&&m().createElement(d.Button,{className:c.expandButton,onClick:n.getToggleAllRowsExpandedHandler(),variant:"secondary",fill:"text",size:"sm",icon:n.getIsAllRowsExpanded()?"angle-double-down":"angle-double-right","data-testid":U}),(null==g?void 0:g.label)||f,o&&m().createElement("span",{"data-testid":ne,style:{marginLeft:u.spacing(1),fontSize:u.spacing(1.5),color:u.colors.text.disabled}},"(",a,"/",l," selected)"))},enableColumnFilter:t.filter,filterFn:mt,enableSorting:t.statusSort,sortingFn:vt,cell:({row:r,getValue:o})=>{var l;const s=r.original.label||o(),p=nt(g)&&(null==g?void 0:g.multi)&&t.groupSelection&&t.showGroupTotal&&r.original.childValues;return m().createElement("div",{className:c.rowContent,style:{paddingLeft:u.spacing(1.5*r.depth)},"data-testid":Y(s,r.depth)},r.original.selectable&&m().createElement("input",{type:nt(g)?(null==g?void 0:g.multi)?"checkbox":"radio":"text",onChange:e=>A(r.original,it(e)),onClick:e=>E(r.original,e),checked:r.original.selected,className:c.selectControl,id:`${e}-${r.original.value}`,"data-testid":K,ref:e=>{if(e&&"checkbox"===e.type){const{childSelectedCount:t=0,childValues:n}=r.original;e.indeterminate=((null==n?void 0:n.length)||0)>t}}}),r.getCanExpand()&&m().createElement(d.Button,{className:c.expandButton,onClick:r.getToggleExpandedHandler(),variant:"secondary",fill:"text",size:"sm",icon:r.getIsExpanded()?"angle-down":"angle-right","data-testid":H}),nt(g)&&m().createElement("label",{onClick:e=>{r.original.selectable?A(r.original,it(e)):r.getCanExpand()&&r.getToggleExpandedHandler()()},"data-testid":oe,className:c.label},r.original.showStatus&&m().createElement(m().Fragment,null,r.original.statusMode===i.COLOR&&m().createElement("span",{className:c.status,style:{backgroundColor:r.original.statusColor},"data-testid":ie}),r.original.statusMode===i.IMAGE&&r.original.statusImage&&m().createElement("img",{className:c.statusImage,src:r.original.statusImage,alt:"","data-testid":ae})),m().createElement("span",{style:{fontWeight:r.original.selected?u.typography.fontWeightBold:u.typography.fontWeightRegular}},t.showName&&r.original.name?`${r.original.name}: `:"",s),p&&m().createElement("span",{"data-testid":re(s),style:{marginLeft:u.spacing(1),fontSize:u.spacing(1.5),color:u.colors.text.disabled}},"(",r.original.childSelectedCount,"/",null===(l=r.original.childValues)||void 0===l?void 0:l.length," selected)")),(null==g?void 0:g.type)===a.TEXTBOX&&m().createElement(Mt,{variable:g,panelEventBus:n}))}}];return t.favorites&&r.push({id:"isFavorite",accessorKey:"isFavorite",enableColumnFilter:!0,enableResizing:!1,enableSorting:!1,header:"",filterFn:ht,cell:({row:e,getValue:t})=>{const n=t();return e.original.canBeFavorite?m().createElement(d.Button,{variant:"secondary",fill:"text",size:"sm",onClick:()=>{var t,r;n?h.remove(null===(t=e.original.variable)||void 0===t?void 0:t.name,e.original.value):h.add(null===(r=e.original.variable)||void 0===r?void 0:r.name,e.original.value)},"data-testid":Q},n?m().createElement(d.Icon,{name:"favorite"}):m().createElement(d.Icon,{name:"star"})):null}}),r}),[g,f,t.filter,t.statusSort,t.favorites,t.showTotal,t.groupSelection,t.showGroupTotal,t.showName,c.selectControl,c.expandButton,c.rowContent,c.label,c.status,c.statusImage,u,y,A,n,E,h]),C=(0,p.useCallback)((e=>e.children),[]);return{tableData:y,columns:w,getSubRows:C}})({data:e,options:n,eventBus:l,levels:h,panelEventBus:s,replaceVariables:u}),{containerRef:E,tableRef:w,headerRef:C,tableTopOffset:x,tableHeaderRef:S}=(({tableData:e,height:t,options:n})=>{const r=(0,p.useRef)(null),o=(0,p.useRef)(null),i=(0,p.useRef)(null),a=(0,p.useRef)(null),[l,s]=(0,p.useState)(0);return(0,p.useEffect)((()=>{if(r.current){let e=0;o.current&&(e+=o.current.clientHeight),s(e)}}),[e,t,n.groups]),{containerRef:r,headerRef:o,tableRef:i,tableHeaderRef:a,tableTopOffset:l}})({height:o,options:n,tableData:b}),{containerRef:I,style:R}=(({width:e,height:t,sticky:n,scrollableContainerRef:r})=>{const o=(0,p.useRef)(null),i=(0,p.useRef)(null),a=(0,p.useRef)(null),[l,s]=(0,p.useState)({width:e,height:t}),u=(0,p.useRef)((0,Ye.throttle)((e=>{s(e)}),100));return(0,p.useLayoutEffect)((()=>{i.current||(i.current=document.querySelector(".main-view .scrollbar-view")),a.current||(a.current=document.querySelector('[aria-label="Dashboard submenu"]'));const l=()=>{if(o.current&&i.current){if(n){const t=(()=>{if(a.current){const e=getComputedStyle(a.current);if("fixed"===e.position&&"hidden"!==e.visibility)return{enabled:!0,height:a.current.clientHeight}}return{enabled:!1,height:0}})(),{y:n,height:l}=o.current.getBoundingClientRect(),s=i.current.getBoundingClientRect(),c=s.top+t.height,d=n-c,p=Math.abs(Math.min(d,0)),f=s.height-n+c,g=Math.min(Math.max(l-p,0),d<0?s.height:f);return r.current&&(r.current.style.transform=`translateY(${p}px)`,r.current.style.height=`${g}px`),void u.current({height:g,transform:`translateY(${p}px)`,width:e})}s({width:e,height:t})}};return l(),i.current&&n?(i.current.addEventListener("scroll",l),()=>{var e;null===(e=i.current)||void 0===e||e.removeEventListener("scroll",l)}):()=>{}}),[o,e,t,n,r]),{containerRef:o,style:l}})({width:r,height:o,sticky:n.sticky,scrollableContainerRef:E}),O=(0,p.useRef)(!1),B=(0,p.useRef)(!1),D=(0,d.useTheme2)(),M=Dt(D),P=(0,p.useMemo)((()=>{if(!n.groups)return[];const e=n.groups.find((e=>e.name===g));return!e||n.tabsInOrder?n.groups:[e,...n.groups.filter((e=>e.name!==g))]}),[g,n.groups,n.tabsInOrder]),N=(0,p.useCallback)((()=>{B.current=!1}),[]);return m().createElement(d.ClickOutsideWrapper,{onClick:()=>{O.current&&(O.current=!1)},useCapture:!0},m().createElement("div",{"data-testid":$,className:(0,Bt.cx)(M.wrapper,Bt.css`
            width: ${r}px;
            height: ${o}px;
          `),ref:I,onMouseDown:()=>{O.current=!0}},!b.length&&m().createElement(d.Alert,{"data-testid":V,severity:"info",title:"Variable"},"Variable is not selected or do not match returned fields."),m().createElement("div",{style:R,className:M.content,ref:E,"data-testid":_},P.length>1&&m().createElement("div",{ref:C,className:M.header},m().createElement(d.ToolbarButtonRow,{alignment:"left",key:g,className:M.toolbar},P.map(((e,t)=>m().createElement(d.ToolbarButton,{key:e.name,variant:g===e.name?"active":"default",onClick:()=>{v(e.name),B.current=!0},"data-testid":G(e.name),className:M.toolbarButton,style:{maxWidth:0===t?r-60:void 0}},e.name))))),m().createElement(As,{key:g,columns:y,data:b,getSubRows:A,showHeader:n.header,tableRef:w,tableHeaderRef:S,topOffset:x,scrollableContainerRef:E,alwaysVisibleFilter:n.alwaysVisibleFilter,isFocused:O,autoScroll:n.autoScroll,shouldScroll:B,onAfterScroll:N,collapsedByDefault:n.collapsedByDefault}))))};function ws(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Cs(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ws(e,t,n[t])}))}return e}var xs=f(8449),Ss=f.n(xs);function Is(){return Is=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},Is.apply(this,arguments)}function Rs(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const Os=new u.PanelPlugin((t=>{var{options:n,eventBus:r}=t,o=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(t,["options","eventBus"]);const i=(0,p.useRef)(new u.EventBusSrv);return(({eventBus:e,variableName:t})=>{const{variable:n}=bt(e,t),r=null==n?void 0:n.current;(0,p.useEffect)((()=>{if(null==r?void 0:r.value){const e=c.locationService.getLocation();c.locationService.replace(`/d/${r.value}${e.search}`)}}),[null==r?void 0:r.value])})({eventBus:r,variableName:n.dashboardVariable}),(({eventBus:e,panelEventBus:t,variableName:n,enabled:r})=>{const{variable:o}=bt(e,n),i=xt(n);(0,p.useEffect)((()=>{if(r&&o&&nt(o)&&o.multi){const e=c.locationService.getSearch().getAll(`var-${o.name}`).filter((e=>0!==e.toLowerCase().indexOf("all"))),n=(Array.isArray(o.current.value)?o.current.value:[o.current.value]).filter((e=>e!==qe)),r=e.filter((e=>!o.options.some((t=>t.value===e))));if(r.length){const e=i.get();i.save((e=>{const t=new Set;return e.forEach((e=>{t.add(e)})),Array.from(t.values())})(e.concat(r))),et(o.name,n.length?n:[We],t)}const a=i.get(),l=a.length?a.filter((e=>o.options.some((t=>t.value===e)))):[];l.length&&(i.save(a.filter((e=>!l.includes(e)))),et(o.name,n.concat(l),t))}}),[r,e,t,i,o])})({eventBus:r,variableName:n.variable,enabled:n.persistent,panelEventBus:i.current}),(({eventBus:e,panelEventBus:t,variableName:n})=>{const{variable:r}=bt(e,n||""),o=(0,p.useRef)(!1);(0,p.useEffect)((()=>{const e=t.subscribe(v,(()=>{n&&(o.current=!0)}));return()=>{e.unsubscribe()}}),[t,n]),(0,p.useEffect)((()=>{var e,t;o.current&&(o.current=!1,c.locationService.partial({[`var-${null==r?void 0:r.name}`]:null==r||null===(t=r.options)||void 0===t||null===(e=t[0])||void 0===e?void 0:e.value},!0))}),[r])})({eventBus:r,panelEventBus:i.current,variableName:n.resetVariable}),n.displayMode===e.MINIMIZE?m().createElement(al,Cs({options:n,eventBus:r,panelEventBus:i.current},o)):n.displayMode===e.BUTTON?m().createElement(rl,Cs({options:n,eventBus:r,panelEventBus:i.current},o)):n.displayMode===e.SLIDER?m().createElement(sl,Cs({options:n,eventBus:r,panelEventBus:i.current},o)):m().createElement(Es,Cs({options:n,eventBus:r,panelEventBus:i.current},o))})).setNoPadding().setMigrationHandler((n=>{const r=Is({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(n.options));if(n.options.displayMode===e.MINIMIZE&&void 0===n.options.showLabel&&(r.showLabel=!0),"object"!=typeof n.options.favorites&&(r.favorites={enabled:n.options.favorites,storage:t.BROWSER,datasource:"",getQuery:{},addQuery:{},deleteQuery:{}}),!n.pluginVersion||Ss().lt(n.pluginVersion,"3.4.0")){const e=window.localStorage.getItem("favorites");e&&window.localStorage.setItem(F,e)}return r})).useFieldConfig({disableStandardOptions:[u.FieldConfigProperty.Unit,u.FieldConfigProperty.Color,u.FieldConfigProperty.Min,u.FieldConfigProperty.Max,u.FieldConfigProperty.Decimals,u.FieldConfigProperty.DisplayName,u.FieldConfigProperty.NoValue,u.FieldConfigProperty.Links,u.FieldConfigProperty.Mappings,"unitScale","fieldMinMax"],useCustomConfig:e=>{e.addCustomEditor({id:"thresholdsStyle",path:"thresholdsStyle",name:"Status Style",description:"Show Status in Table view",category:["Thresholds"],defaultValue:{mode:i.COLOR,thresholds:[]},editor:tl,override:tl,process:u.identityOverrideProcessor,shouldApply:()=>!0})}}).setPanelOptions((n=>{const r=(0,c.getTemplateSrv)().getVariables().map((e=>({label:e.name,value:e.name}))),o=t=>t.displayMode===e.MINIMIZE,i=t=>t.displayMode===e.BUTTON,a=t=>t.displayMode===e.TABLE,l=t=>t.displayMode===e.SLIDER,s=e=>a(e)&&e.header&&e.favorites.enabled&&e.favorites.storage===t.DATASOURCE;var d,p;return n.addRadio({path:"displayMode",name:"Display mode",settings:{options:h},defaultValue:e.TABLE}),n.addSliderInput({path:"padding",name:"Padding",defaultValue:10,settings:{min:0,max:20},showIf:e=>o(e)||i(e)||l(e)}),n.addRadio({path:"emptyValue",name:"Allow empty value",description:"Supports empty value for multi-choice variable.",defaultValue:!1,settings:{options:M},category:["Values"],showIf:e=>o(e)||i(e)}).addRadio({path:"persistent",name:"Persistent values",description:"Allow to keep selected values if unavailable.",defaultValue:!1,settings:{options:P},category:["Values"],showIf:e=>o(e)||i(e)}).addRadio({path:"customValue",name:"Allow custom values",description:"Supports custom values for the variable.",defaultValue:!1,settings:{options:k},category:["Values"],showIf:e=>o(e)}).addNumberInput({path:"maxVisibleValues",name:"Maximum visible values",description:"Supports for multi-choice variable.",settings:{placeholder:"auto"},category:["Values"],showIf:e=>o(e)}),n.addRadio({path:"showLabel",name:"Show Label",description:"Display variable name",defaultValue:!1,settings:{options:N},category:["Label"],showIf:e=>o(e)||i(e)||l(e)}).addNumberInput({path:"labelWidth",name:"Label Width",settings:{placeholder:"auto"},category:["Label"],showIf:e=>e.showLabel&&(o(e)||l(e))}),n.addRadio({path:"sticky",name:"Sticky position",description:"Variables will follow when scrolling.",settings:{options:y},defaultValue:!1,showIf:a}).addRadio({path:"autoScroll",name:"Auto scroll to the selected value",settings:{options:B},defaultValue:!1,showIf:a}),n.addRadio({path:"header",name:"Header",settings:{options:b},category:["Header"],defaultValue:!0,showIf:a}).addRadio({path:"filter",name:"Allow values filtering",settings:{options:A},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}).addRadio({path:"alwaysVisibleFilter",name:"Always visible filter input",settings:{options:E},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header&&e.filter}).addRadio({path:"favorites.enabled",name:"Allow selecting favorites",settings:{options:w},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}).addRadio({path:"statusSort",name:"Sort by status",settings:{options:S},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}).addRadio({path:"showTotal",name:"Display total and selected values count for multi-select variables",settings:{options:T},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}),n.addSelect({path:"variable",name:"Select variable to display",settings:{options:r},category:["Layout"],showIf:e=>{var t;return o(e)||!(null===(t=e.groups)||void 0===t?void 0:t.length)}}).addCustomEditor({id:"groups",path:"groups",name:"Tree View based on data source query",editor:Ka,category:["Layout"],showIf:a}).addRadio({path:"tabsInOrder",name:"Tabs order",settings:{options:R},defaultValue:!0,category:["Layout"],showIf:e=>{var t;return a(e)&&(null===(t=e.groups)||void 0===t?void 0:t.length)>1}}).addRadio({path:"showName",name:"Display variable names",settings:{options:I},defaultValue:!1,category:["Layout"],showIf:e=>{var t;return a(e)&&!!(null===(t=e.groups)||void 0===t?void 0:t.length)}}).addRadio({path:"showResetButton",name:"Display reset button",description:"Allows to clear selected values.",settings:{options:L},defaultValue:!1,category:["Layout"],showIf:e=>i(e)}),n.addRadio({path:"groupSelection",name:"Allow multi-level selection",settings:{options:D},defaultValue:!1,category:["Groups"],showIf:e=>{var t;return a(e)&&!!(null===(t=e.groups)||void 0===t?void 0:t.length)}}).addRadio({path:"saveSelectedGroup",name:"Preserve selected group",description:"Saved in the browser storage for each user.",settings:{options:x},defaultValue:!1,category:["Groups"],showIf:e=>{var t;return a(e)&&(null===(t=e.groups)||void 0===t?void 0:t.length)>1}}).addTextInput({path:"saveSelectedGroupKey",name:"Selected group Id",description:"Key to preserve selected group in the browser storage.",defaultValue:"",settings:{placeholder:"Will be unique per panel if empty"},showIf:e=>a(e)&&e.saveSelectedGroup,category:["Groups"]}).addRadio({path:"showGroupTotal",name:"Display selected values count per group",settings:{options:T},defaultValue:!1,category:["Groups"],showIf:e=>a(e)&&e.groupSelection}).addRadio({path:"collapsedByDefault",name:"Initial state",settings:{options:O},defaultValue:!1,category:["Groups"],showIf:e=>{var t;return a(e)&&!!(null===(t=e.groups)||void 0===t?void 0:t.length)}}),n.addFieldNamePicker({path:"name",name:"Field with variable values. First string field will be used if not specified.",settings:{filter:e=>e.type===u.FieldType.string,noFieldsMessage:"No strings fields found"},category:["Status"],showIf:e=>a(e)||i(e)}).addFieldNamePicker({path:"status",name:"Field with status values. First number field will be used if not specified.",settings:{filter:e=>e.type===u.FieldType.number,noFieldsMessage:"No number fields found"},category:["Status"],showIf:e=>a(e)||i(e)}),n.addRadio({path:"favorites.storage",name:"Select storage for keeping favorites data",defaultValue:t.BROWSER,settings:{options:C},category:["Favorites"],showIf:e=>a(e)&&e.header&&e.favorites.enabled}).addCustomEditor({id:"favorites.datasource",path:"favorites.datasource",name:"Select Data Source",showIf:s,editor:Ht,category:["Favorites"]}).addCustomEditor({id:"favorites.getQuery",path:"favorites.getQuery",name:"Get items query",description:"Item should contain unique `id`, `variable` and `value` fields.",showIf:e=>s(e)&&!!e.favorites.datasource,editor:Wt,category:["Favorites"],settings:{datasourceKey:"favorites.datasource"}}).addCustomEditor({id:"favorites.addQuery",path:"favorites.addQuery",name:"Add item query",description:"Item to add is placed in variable `${payload}` with `variable` and `value` properties.",showIf:e=>s(e)&&!!e.favorites.datasource,editor:Wt,category:["Favorites"],settings:{datasourceKey:"favorites.datasource"}}).addCustomEditor({id:"favorites.deleteQuery",path:"favorites.deleteQuery",name:"Delete item query",description:"Item to delete is placed in variable `${payload}` with `id`, `variable` and `value` properties.",showIf:e=>s(e)&&!!e.favorites.datasource,editor:Wt,category:["Favorites"],settings:{datasourceKey:"favorites.datasource"}}),n.addSelect({path:"dashboardVariable",name:"Select variable with dashboard UID",description:"Allows to redirect to different dashboards",settings:{options:r},category:["Advanced"]}).addSelect({path:"resetVariable",name:"Select dependent variable to reset",settings:{options:[],getOptions:(d=function*(e){return r.filter((t=>t.label!==e.options.variable))},p=function(){var e=this,t=arguments;return new Promise((function(n,r){var o=d.apply(e,t);function i(e){Rs(o,n,r,i,a,"next",e)}function a(e){Rs(o,n,r,i,a,"throw",e)}i(void 0)}))},function(e){return p.apply(this,arguments)}),isClearable:!0},category:["Advanced"],showIf:e=>(e=>!!e.variable)(e)}),n}))})(),g})()));
//# sourceMappingURL=module.js.map